<?php
/**
 * VMware vCloud SDK for PHP
 *
 * PHP version 5
 * *******************************************************
 * Copyright VMware, Inc. 2010-2013. All Rights Reserved.
 * *******************************************************
 *
 * @category    VMware
 * @package     VMware_VCloud_SDK
 * @subpackage  Samples
 * @author      Ecosystem Engineering
 * @disclaimer  this program is provided to you "as is" without
 *              warranties or conditions # of any kind, whether oral or written,
 *              express or implied. the author specifically # disclaims any implied
 *              warranties or conditions of merchantability, satisfactory # quality,
 *              non-infringement and fitness for a particular purpose.
 * @SDK version 5.5.0
 */

/**
 * A class for VMware vCloud Director supported query types.
 *
 * @package VMware_VCloud_SDK
 */
final class VMware_VCloud_SDK_Query_Types
{
    /**
     * @deprecated since API version5.1.0, since SDK version 5.1.0
     */
    const ADMIN_ALLOCATED_EXT_ADDR = 'adminAllocatedExternalAddress';  //records only

    const ADMIN_CATALOG = 'adminCatalog';
    const ADMIN_CATALOG_ITEM = 'adminCatalogItem';
    const ADMIN_DISK = 'adminDisk';
    const ADMIN_GROUP = 'adminGroup';
    const ADMIN_MEDIA = 'adminMedia';
    /**
     * @deprecated since API version5.1.0, since SDK version 5.1.0
     */
    const ADMIN_ORG_NETWORK = 'adminOrgNetwork';

    const ADMIN_ORG_VDC = 'adminOrgVdc';
    const ADMIN_ORG_VDC_STORAGE_PROFILE = 'adminOrgVdcStorageProfile';
    const ADMIN_SHADOW_VM = 'adminShadowVM';
    const ADMIN_TASK = 'adminTask';
    const ADMIN_USER = 'adminUser';
    const ADMIN_VAPP = 'adminVApp';
    const ADMIN_VAPP_NETWORK = 'adminVAppNetwork';
    const ADMIN_VAPP_TEMPLATE = 'adminVAppTemplate';
    const ADMIN_VM = 'adminVM';
    const ADMIN_VM_DISK_RELATION = 'adminVMDiskRelation'; //records only
    /**
     * @deprecated since API version5.1.0, since SDK version 5.1.0
     */
    const ALLOCATED_EXT_ADDRESS = 'allocatedExternalAddress';  //records only

    const BLOCKING_TASK = 'blockingTask';
    const CATALOG = 'catalog';
    const CATALOG_ITEM = 'catalogItem';
    const CELL = 'cell';  //records only
    const CONDITION = 'condition'; //records only
    const DATASTORE = 'datastore';
    const DATASTORE_PROV_VDC_RELATION = 'datastoreProviderVdcRelation';//records only
    const DISK = 'disk';
    const DV_SWITCH = 'dvSwitch';       //records only
    const EVENT = 'event';           //records only
    const USER_FILE_DESCRIPTOR = 'fileDescriptor';
    const GROUP = 'group';
    const HOST = 'host';
    const EXTERNAL_NETWORK = 'externalNetwork';
    const MEDIA = 'media';
    const NETWORK_POOL = 'networkPool';
    const ORGANIZATION = 'organization';
    /**
     * @deprecated since API version5.1.0, since SDK version 5.1.0
     */
    const ORG_NETWORK = 'orgNetwork';
    const ORG_VDC = 'orgVdc';
    const ORG_VDC_RESOURCE_POOL_RELATION = 'orgVdcResourcePoolRelation'; //records only
    const ORG_VDC_STORAGE_PROFILE = 'orgVdcStorageProfile';
    const PORTGROUP = 'portgroup';      //records only
    const PROVIDER_VDC = 'providerVdc';
    const PROVIDER_VDC_RESOURCE_POOL_RELATION = 'providerVdcResourcePoolRelation'; //records only
    const PROVIDER_VDC_STORAGE_PROFILE = 'providerVdcStorageProfile';
    const EXTENSION_API_FILTER = 'apiFilter';
    const EXTENSION_RESOURCE_CLASS = 'resourceClass';
    const EXTENSION_RESOURCE_CLASS_ACTION = 'resourceClassAction';
    const RESOURCE_POOL = 'resourcePool';   //records only
    const RIGHT = 'right';
    const ROLE = 'role';
    const STRANDED_ITEM = 'strandedItem';
    const STRANDED_USER = 'strandedUser';
    const TASK = 'task';
    const USER = 'user';
    const VAPP = 'vApp';
    const VAPP_NETWORK = 'vAppNetwork';
    /**
     * @deprecated since API version5.1.0, since SDK version 5.1.0
     */
    const VAPP_ORG_NET_RELATION = 'vAppOrgNetworkRelation';

    const VAPP_TEMPLATE = 'vAppTemplate';
    const VC = 'virtualCenter';
    const VM = 'vm';
    const VM_DISK_RELATION = 'vmDiskRelation'; //records only
    const USER_SERVICE = 'service';
    const EXTENSION_SERVICE = 'adminService';
    const EXTENSION_APIDEFINITION = 'adminApiDefinition';
    const EXTENSION_FILE_DESCRIPTOR = 'adminFileDescriptor';
    const EXTENSION_SERVICE_LINK = 'serviceLink';
    const USER_API_DEFINITION = 'apiDefinition';
    const EXTENSION_ACLRULE = 'aclRule';
    const EXTENSION_SERVICE_RESOURCES = 'serviceResource';
    /**
     * @since SDK 5.1.0
     */
    const ADMIN_EVENT = 'adminEvent';
    const EDGE_GATEWAY = 'edgeGateway';
    const ORG_VDC_NETWORK = 'orgVdcNetwork';
    const EXTERNAL_LOCALIZATION = 'externalLocalization';
    const RESOURCEPOOL_VMLIST = 'resourcePoolVmList';
    const VAPP_ORG_VDC_NETWORK_RELATION = 'vAppOrgVdcNetworkRelation';
}
// end of class VMware_VCloud_SDK_Query_Types
?>
