<?php
/**
 * VMware vCloud SDK for PHP
 * 
 * PHP version 5
 * 
 * Copyright VMware, Inc. 2010-2013.  All Rights Reserved. 
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */

// Generated  by modified generateDS.py on.

#
# Data representation classes.
#

/**
 * General purpose extension element. Not related to extension  services.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VCloudExtensionType {
    protected $required = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param boolean $required - [optional] an attribute, default 'true'
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=True, $Any=null) {
        $this->required = $required;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'VCloudExtension';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_required(){
        return $this->required;
    }
    public function set_required($required) {
        $this->required = $required;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->required)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'required', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'required=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->required, $input_name='required')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndrequired = $attrs->getNamedItem('required');
        if (!is_null($ndrequired)) {
            $this->required = VMware_VCloud_API_Helper::get_boolean($ndrequired->value);
            if (isset($ndrequired->prefix)) {
                $this->namespace['required'] = $ndrequired->prefix;
                $nsUri = $ndrequired->lookupNamespaceURI($ndrequired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'required');
        } else {
            $this->required = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "required" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_VCloudExtensionType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Any {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'Any';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_Any


/**
 * A base abstract type for all complex types that support extensions.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VCloudExtensibleType {
    protected $VCloudExtension = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    */
    public function __construct($VCloudExtension=null) {
        if (!is_null($VCloudExtension)) {
            $this->VCloudExtension = $VCloudExtension;
        }
        $this->anyAttributes = array();
        $this->tagName = 'VCloudExtensibleType';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVCloudExtension() {
        return $this->VCloudExtension;
    }
    public function setVCloudExtension($VCloudExtension) { 
        $this->VCloudExtension = $VCloudExtension;
    }
    public function addVCloudExtension($value) { array_push($this->VCloudExtension, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->VCloudExtension)) {
            foreach ($this->VCloudExtension as $VCloudExtension) {
                $out = $VCloudExtension->export('VCloudExtension', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VCloudExtension)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VCloudExtension') {
            $obj = new VMware_VCloud_API_VCloudExtensionType();
            $obj->build($child);
            $obj->set_tagName('VCloudExtension');
            array_push($this->VCloudExtension, $obj);
            if (!empty($namespace)) {
                $this->namespace['VCloudExtension'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_VCloudExtensibleType


/**
 * The standard error message type used in the vCloud REST API.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ErrorType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $vendorSpecificErrorCode = null;
    protected $stackTrace = null;
    protected $message = null;
    protected $minorErrorCode = null;
    protected $majorErrorCode = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $vendorSpecificErrorCode - [optional] an attribute, 
    * @param string $stackTrace - [optional] an attribute, 
    * @param string $message - [required] an attribute, 
    * @param string $minorErrorCode - [required] an attribute, 
    * @param int $majorErrorCode - [required] an attribute, 
    */
    public function __construct($VCloudExtension=null, $vendorSpecificErrorCode=null, $stackTrace=null, $message=null, $minorErrorCode=null, $majorErrorCode=null) {
        parent::__construct($VCloudExtension);
        $this->vendorSpecificErrorCode = $vendorSpecificErrorCode;
        $this->stackTrace = $stackTrace;
        $this->message = $message;
        $this->minorErrorCode = $minorErrorCode;
        $this->majorErrorCode = $majorErrorCode;
        $this->tagName = 'Error';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vendorSpecificErrorCode(){
        return $this->vendorSpecificErrorCode;
    }
    public function set_vendorSpecificErrorCode($vendorSpecificErrorCode) {
        $this->vendorSpecificErrorCode = $vendorSpecificErrorCode;
    }
    public function get_stackTrace(){
        return $this->stackTrace;
    }
    public function set_stackTrace($stackTrace) {
        $this->stackTrace = $stackTrace;
    }
    public function get_message(){
        return $this->message;
    }
    public function set_message($message) {
        $this->message = $message;
    }
    public function get_minorErrorCode(){
        return $this->minorErrorCode;
    }
    public function set_minorErrorCode($minorErrorCode) {
        $this->minorErrorCode = $minorErrorCode;
    }
    public function get_majorErrorCode(){
        return $this->majorErrorCode;
    }
    public function set_majorErrorCode($majorErrorCode) {
        $this->majorErrorCode = $majorErrorCode;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vendorSpecificErrorCode)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vendorSpecificErrorCode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vendorSpecificErrorCode=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vendorSpecificErrorCode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vendorSpecificErrorCode')));
        }
        if (!is_null($this->stackTrace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'stackTrace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'stackTrace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->stackTrace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='stackTrace')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'message', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'message=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->message, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='message')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'minorErrorCode', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'minorErrorCode=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->minorErrorCode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='minorErrorCode')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'majorErrorCode', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'majorErrorCode=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->majorErrorCode, $input_name='majorErrorCode')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvendorSpecificErrorCode = $attrs->getNamedItem('vendorSpecificErrorCode');
        if (!is_null($ndvendorSpecificErrorCode)) {
            $this->vendorSpecificErrorCode = $ndvendorSpecificErrorCode->value;
            if (isset($ndvendorSpecificErrorCode->prefix)) {
                $this->namespace['vendorSpecificErrorCode'] = $ndvendorSpecificErrorCode->prefix;
                $nsUri = $ndvendorSpecificErrorCode->lookupNamespaceURI($ndvendorSpecificErrorCode->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vendorSpecificErrorCode');
        } else {
            $this->vendorSpecificErrorCode = null;
        }
        $ndstackTrace = $attrs->getNamedItem('stackTrace');
        if (!is_null($ndstackTrace)) {
            $this->stackTrace = $ndstackTrace->value;
            if (isset($ndstackTrace->prefix)) {
                $this->namespace['stackTrace'] = $ndstackTrace->prefix;
                $nsUri = $ndstackTrace->lookupNamespaceURI($ndstackTrace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'stackTrace');
        } else {
            $this->stackTrace = null;
        }
        $ndmessage = $attrs->getNamedItem('message');
        if (!is_null($ndmessage)) {
            $this->message = $ndmessage->value;
            if (isset($ndmessage->prefix)) {
                $this->namespace['message'] = $ndmessage->prefix;
                $nsUri = $ndmessage->lookupNamespaceURI($ndmessage->prefix);
            }
            $node->removeAttributeNS($nsUri, 'message');
        } else {
            $this->message = null;
        }
        $ndminorErrorCode = $attrs->getNamedItem('minorErrorCode');
        if (!is_null($ndminorErrorCode)) {
            $this->minorErrorCode = $ndminorErrorCode->value;
            if (isset($ndminorErrorCode->prefix)) {
                $this->namespace['minorErrorCode'] = $ndminorErrorCode->prefix;
                $nsUri = $ndminorErrorCode->lookupNamespaceURI($ndminorErrorCode->prefix);
            }
            $node->removeAttributeNS($nsUri, 'minorErrorCode');
        } else {
            $this->minorErrorCode = null;
        }
        $ndmajorErrorCode = $attrs->getNamedItem('majorErrorCode');
        if (!is_null($ndmajorErrorCode)) {
            $this->majorErrorCode = sprintf('%d', $ndmajorErrorCode->value);
            if (isset($ndmajorErrorCode->prefix)) {
                $this->namespace['majorErrorCode'] = $ndmajorErrorCode->prefix;
                $nsUri = $ndmajorErrorCode->lookupNamespaceURI($ndmajorErrorCode->prefix);
            }
            $node->removeAttributeNS($nsUri, 'majorErrorCode');
        } else {
            $this->majorErrorCode = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ErrorType


/**
 * The base type for all objects in the vCloud model.  Has an optional list of links and href and type attributes.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ResourceType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $href = null;
    protected $type = null;
    protected $Link = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null) {
        parent::__construct($VCloudExtension);
        $this->href = $href;
        $this->type = $type;
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->href)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Link) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        foreach ($attrs as $nm=>$nd) {
            $prefix = $nd->prefix;
            if ('xsi' != $prefix && 'type' == $nm) {
                $this->type = $nd->value;
                $this->namespace['type'] = $nd->prefix;
                $node->removeAttribute($nm);
                break;
            } else {
                $this->type = null;
            }
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ResourceType


/**
 * The base type for all resource types which contain an  id attribute.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IdentifiableResourceType extends VMware_VCloud_API_ResourceType {
    protected $operationKey = null;
    protected $id = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->operationKey = $operationKey;
        $this->id = $id;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_operationKey(){
        return $this->operationKey;
    }
    public function set_operationKey($operationKey) {
        $this->operationKey = $operationKey;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->operationKey)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'operationKey', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'operationKey=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->operationKey, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='operationKey')));
        }
        if (!is_null($this->id)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndoperationKey = $attrs->getNamedItem('operationKey');
        if (!is_null($ndoperationKey)) {
            $this->operationKey = $ndoperationKey->value;
            if (isset($ndoperationKey->prefix)) {
                $this->namespace['operationKey'] = $ndoperationKey->prefix;
                $nsUri = $ndoperationKey->lookupNamespaceURI($ndoperationKey->prefix);
            }
            $node->removeAttributeNS($nsUri, 'operationKey');
        } else {
            $this->operationKey = null;
        }
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IdentifiableResourceType


/**
 * A basic type used to specify request parameters.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $name = null;
    protected $Description = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null) {
        parent::__construct($VCloudExtension);
        $this->name = $name;
        $this->Description = $Description;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Description) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ParamsType


/**
 * A reference to a resource. Contains an href attribute and  optional name and type attributes.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ReferenceType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $href = null;
    protected $type = null;
    protected $id = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [required] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $id=null, $name=null) {
        parent::__construct($VCloudExtension);
        $this->href = $href;
        $this->type = $type;
        $this->id = $id;
        $this->name = $name;
        $this->tagName = 'ServiceExtensionReference';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        if (!is_null($this->id)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ReferenceType


/**
 * Represents a reference to a resource. Contains an href  attribute, a resource status attribute, and optional name and  type attributes.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ResourceReferenceType extends VMware_VCloud_API_ReferenceType {
    protected $status = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [required] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $status - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $id=null, $name=null, $status=null) {
        parent::__construct($VCloudExtension, $href, $type, $id, $name);
        $this->status = $status;
        $this->tagName = 'ResourceEntity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->status, $input_name='status')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = sprintf('%d', $ndstatus->value);
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ResourceReferenceType


/**
 * Container for query result sets.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ContainerType extends VMware_VCloud_API_ResourceType {
    protected $total = null;
    protected $name = null;
    protected $pageSize = null;
    protected $page = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param long $total - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $pageSize - [optional] an attribute, 
    * @param int $page - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $total=null, $name=null, $pageSize=null, $page=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->total = $total;
        $this->name = $name;
        $this->pageSize = $pageSize;
        $this->page = $page;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_total(){
        return $this->total;
    }
    public function set_total($total) {
        $this->total = $total;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_pageSize(){
        return $this->pageSize;
    }
    public function set_pageSize($pageSize) {
        $this->pageSize = $pageSize;
    }
    public function get_page(){
        return $this->page;
    }
    public function set_page($page) {
        $this->page = $page;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->total)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'total', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'total=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->total, $input_name='total')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->pageSize)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'pageSize', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'pageSize=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->pageSize, $input_name='pageSize')));
        }
        if (!is_null($this->page)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'page', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'page=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->page, $input_name='page')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndtotal = $attrs->getNamedItem('total');
        if (!is_null($ndtotal)) {
            $this->total = sprintf('%d', $ndtotal->value);
            if (isset($ndtotal->prefix)) {
                $this->namespace['total'] = $ndtotal->prefix;
                $nsUri = $ndtotal->lookupNamespaceURI($ndtotal->prefix);
            }
            $node->removeAttributeNS($nsUri, 'total');
        } else {
            $this->total = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndpageSize = $attrs->getNamedItem('pageSize');
        if (!is_null($ndpageSize)) {
            $this->pageSize = sprintf('%d', $ndpageSize->value);
            if (isset($ndpageSize->prefix)) {
                $this->namespace['pageSize'] = $ndpageSize->prefix;
                $nsUri = $ndpageSize->lookupNamespaceURI($ndpageSize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'pageSize');
        } else {
            $this->pageSize = null;
        }
        $ndpage = $attrs->getNamedItem('page');
        if (!is_null($ndpage)) {
            $this->page = sprintf('%d', $ndpage->value);
            if (isset($ndpage->prefix)) {
                $this->namespace['page'] = $ndpage->prefix;
                $nsUri = $ndpage->lookupNamespaceURI($ndpage->prefix);
            }
            $node->removeAttributeNS($nsUri, 'page');
        } else {
            $this->page = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ContainerType


/**
 * Represents the capacity of a given resource.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CapacityType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Units = null;
    protected $Allocated = null;
    protected $Limit = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Units - [required] 
    * @param int $Allocated - [optional] 
    * @param int $Limit - [required] 
    */
    public function __construct($VCloudExtension=null, $Units=null, $Allocated=null, $Limit=null) {
        parent::__construct($VCloudExtension);
        $this->Units = $Units;
        $this->Allocated = $Allocated;
        $this->Limit = $Limit;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUnits() {
        return $this->Units;
    }
    public function setUnits($Units) { 
        $this->Units = $Units;
    }
    public function getAllocated() {
        return $this->Allocated;
    }
    public function setAllocated($Allocated) { 
        $this->Allocated = $Allocated;
    }
    public function getLimit() {
        return $this->Limit;
    }
    public function setLimit($Limit) { 
        $this->Limit = $Limit;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Units)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Units', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Units>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Units, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Units')) . "</" . $ns . "Units>\n");
        }
        if (!is_null($this->Allocated)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Allocated', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Allocated>" . VMware_VCloud_API_Helper::format_integer($this->Allocated, $input_name='Allocated') . "</" . $ns . "Allocated>\n");
        }
        if (!is_null($this->Limit)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Limit', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Limit>" . VMware_VCloud_API_Helper::format_integer($this->Limit, $input_name='Limit') . "</" . $ns . "Limit>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Units) ||
            !is_null($this->Allocated) ||
            !is_null($this->Limit) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Units') {
            $sval = $child->nodeValue;
            $this->Units = $sval;
            if (!empty($namespace)) {
                $this->namespace['Units'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Allocated') {
            $sval = $child->nodeValue;
            $this->Allocated = $sval;
            if (!empty($namespace)) {
                $this->namespace['Allocated'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Limit') {
            $sval = $child->nodeValue;
            $this->Limit = $sval;
            if (!empty($namespace)) {
                $this->namespace['Limit'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CapacityType


/**
 * Represents a capacity and usage of a given resource.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CapacityWithUsageType extends VMware_VCloud_API_CapacityType {
    protected $Reserved = null;
    protected $Used = null;
    protected $Overhead = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Units - [required] 
    * @param int $Allocated - [optional] 
    * @param int $Limit - [required] 
    * @param int $Reserved - [optional] 
    * @param int $Used - [optional] 
    * @param int $Overhead - [optional] 
    */
    public function __construct($VCloudExtension=null, $Units=null, $Allocated=null, $Limit=null, $Reserved=null, $Used=null, $Overhead=null) {
        parent::__construct($VCloudExtension, $Units, $Allocated, $Limit);
        $this->Reserved = $Reserved;
        $this->Used = $Used;
        $this->Overhead = $Overhead;
        $this->tagName = 'StorageCapacity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getReserved() {
        return $this->Reserved;
    }
    public function setReserved($Reserved) { 
        $this->Reserved = $Reserved;
    }
    public function getUsed() {
        return $this->Used;
    }
    public function setUsed($Used) { 
        $this->Used = $Used;
    }
    public function getOverhead() {
        return $this->Overhead;
    }
    public function setOverhead($Overhead) { 
        $this->Overhead = $Overhead;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Reserved)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Reserved', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Reserved>" . VMware_VCloud_API_Helper::format_integer($this->Reserved, $input_name='Reserved') . "</" . $ns . "Reserved>\n");
        }
        if (!is_null($this->Used)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Used', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Used>" . VMware_VCloud_API_Helper::format_integer($this->Used, $input_name='Used') . "</" . $ns . "Used>\n");
        }
        if (!is_null($this->Overhead)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Overhead', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Overhead>" . VMware_VCloud_API_Helper::format_integer($this->Overhead, $input_name='Overhead') . "</" . $ns . "Overhead>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Reserved) ||
            !is_null($this->Used) ||
            !is_null($this->Overhead) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Reserved') {
            $sval = $child->nodeValue;
            $this->Reserved = $sval;
            if (!empty($namespace)) {
                $this->namespace['Reserved'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Used') {
            $sval = $child->nodeValue;
            $this->Used = $sval;
            if (!empty($namespace)) {
                $this->namespace['Used'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Overhead') {
            $sval = $child->nodeValue;
            $this->Overhead = $sval;
            if (!empty($namespace)) {
                $this->namespace['Overhead'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CapacityWithUsageType


/**
 * Controls access to the resource.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AccessSettingType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Subject = null;
    protected $AccessLevel = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $Subject - [required]
    * @param string $AccessLevel - [required] 
    */
    public function __construct($VCloudExtension=null, $Subject=null, $AccessLevel=null) {
        parent::__construct($VCloudExtension);
        $this->Subject = $Subject;
        $this->AccessLevel = $AccessLevel;
        $this->tagName = 'AccessSetting';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSubject() {
        return $this->Subject;
    }
    public function setSubject($Subject) { 
        $this->Subject = $Subject;
    }
    public function getAccessLevel() {
        return $this->AccessLevel;
    }
    public function setAccessLevel($AccessLevel) { 
        $this->AccessLevel = $AccessLevel;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Subject)) {
            $out = $this->Subject->export('Subject', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AccessLevel)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AccessLevel', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AccessLevel>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AccessLevel, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AccessLevel')) . "</" . $ns . "AccessLevel>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Subject) ||
            !is_null($this->AccessLevel) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Subject') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Subject');
            $this->setSubject($obj);
            if (!empty($namespace)) {
                $this->namespace['Subject'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AccessLevel') {
            $sval = $child->nodeValue;
            $this->AccessLevel = $sval;
            if (!empty($namespace)) {
                $this->namespace['AccessLevel'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AccessSettingType


/**
 * A list of access settings for a resource.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AccessSettingsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $AccessSetting = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $AccessSetting - [required] an array of VMware_VCloud_API_AccessSettingType objects
    */
    public function __construct($VCloudExtension=null, $AccessSetting=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($AccessSetting)) {
            $this->AccessSetting = $AccessSetting;
        }
        $this->tagName = 'AccessSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAccessSetting() {
        return $this->AccessSetting;
    }
    public function setAccessSetting($AccessSetting) { 
        $this->AccessSetting = $AccessSetting;
    }
    public function addAccessSetting($value) { array_push($this->AccessSetting, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->AccessSetting)) {
            foreach ($this->AccessSetting as $AccessSetting) {
                $out = $AccessSetting->export('AccessSetting', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->AccessSetting) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AccessSetting') {
            $obj = new VMware_VCloud_API_AccessSettingType();
            $obj->build($child);
            $obj->set_tagName('AccessSetting');
            array_push($this->AccessSetting, $obj);
            if (!empty($namespace)) {
                $this->namespace['AccessSetting'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AccessSettingsType


/**
 * Specifies access controls for a resource.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ControlAccessParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsSharedToEveryone = null;
    protected $EveryoneAccessLevel = null;
    protected $AccessSettings = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsSharedToEveryone - [required] 
    * @param string $EveryoneAccessLevel - [optional] 
    * @param VMware_VCloud_API_AccessSettingsType $AccessSettings - [optional]
    */
    public function __construct($VCloudExtension=null, $IsSharedToEveryone=null, $EveryoneAccessLevel=null, $AccessSettings=null) {
        parent::__construct($VCloudExtension);
        $this->IsSharedToEveryone = $IsSharedToEveryone;
        $this->EveryoneAccessLevel = $EveryoneAccessLevel;
        $this->AccessSettings = $AccessSettings;
        $this->tagName = 'ControlAccessParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsSharedToEveryone() {
        return $this->IsSharedToEveryone;
    }
    public function setIsSharedToEveryone($IsSharedToEveryone) { 
        $this->IsSharedToEveryone = $IsSharedToEveryone;
    }
    public function getEveryoneAccessLevel() {
        return $this->EveryoneAccessLevel;
    }
    public function setEveryoneAccessLevel($EveryoneAccessLevel) { 
        $this->EveryoneAccessLevel = $EveryoneAccessLevel;
    }
    public function getAccessSettings() {
        return $this->AccessSettings;
    }
    public function setAccessSettings($AccessSettings) { 
        $this->AccessSettings = $AccessSettings;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsSharedToEveryone)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsSharedToEveryone', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsSharedToEveryone>" . VMware_VCloud_API_Helper::format_boolean($this->IsSharedToEveryone, $input_name='IsSharedToEveryone') . "</" . $ns . "IsSharedToEveryone>\n");
     }
        if (!is_null($this->EveryoneAccessLevel)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EveryoneAccessLevel', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EveryoneAccessLevel>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EveryoneAccessLevel, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EveryoneAccessLevel')) . "</" . $ns . "EveryoneAccessLevel>\n");
        }
        if (!is_null($this->AccessSettings)) {
            $out = $this->AccessSettings->export('AccessSettings', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsSharedToEveryone) ||
            !is_null($this->EveryoneAccessLevel) ||
            !is_null($this->AccessSettings) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsSharedToEveryone') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsSharedToEveryone = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsSharedToEveryone'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EveryoneAccessLevel') {
            $sval = $child->nodeValue;
            $this->EveryoneAccessLevel = $sval;
            if (!empty($namespace)) {
                $this->namespace['EveryoneAccessLevel'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AccessSettings') {
            $obj = new VMware_VCloud_API_AccessSettingsType();
            $obj->build($child);
            $obj->set_tagName('AccessSettings');
            $this->setAccessSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['AccessSettings'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ControlAccessParamsType


/**
 * Represents the owner of this entity.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OwnerType extends VMware_VCloud_API_ResourceType {
    protected $User = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_ReferenceType $User - [required]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $User=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->User = $User;
        $this->tagName = 'Owner';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUser() {
        return $this->User;
    }
    public function setUser($User) { 
        $this->User = $User;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->User)) {
            $out = $this->User->export('User', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->User) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'User') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('User');
            $this->setUser($obj);
            if (!empty($namespace)) {
                $this->namespace['User'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OwnerType


/**
 * Container for query results returned in references format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ReferencesType extends VMware_VCloud_API_ContainerType {
    protected $Reference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param long $total - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $pageSize - [optional] an attribute, 
    * @param int $page - [optional] an attribute, 
    * @param array $Reference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $total=null, $name=null, $pageSize=null, $page=null, $Reference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $total, $name, $pageSize, $page);
        if (!is_null($Reference)) {
            $this->Reference = $Reference;
        }
        $this->tagName = 'DatastoreReferences';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getReference() {
        return $this->Reference;
    }
    public function setReference($Reference) { 
        $this->Reference = $Reference;
    }
    public function addReference($value) { array_push($this->Reference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Reference)) {
            foreach ($this->Reference as $Reference) {
                $tagName = $Reference->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Reference';
                }
                $out = $Reference->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Reference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Reference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Reference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['Reference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MediaReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('MediaReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['MediaReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppTemplateReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppTemplateReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppTemplateReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VMReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgNetworkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppNetworkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('CatalogReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminVdcReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWProviderVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VMWProviderVdcReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMWProviderVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('GroupReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['GroupReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('UserReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['UserReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoleReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RoleReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['RoleReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('DatastoreReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualCenterReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VirtualCenterReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualCenterReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('HostReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['HostReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RightReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['RightReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgNetworkRelationReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgNetworkRelationReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgNetworkRelationReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogItemReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('CatalogItemReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogItemReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TaskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('TaskReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['TaskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BlockingTaskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('BlockingTaskReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['BlockingTaskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('DiskReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminDiskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminDiskReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminDiskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedItemReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('StrandedItemReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedItemReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceLinkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceLinkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceLinkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcStorageProfileReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminOrgVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminOrgVdcStorageProfileReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminOrgVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfileReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiFilterReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ApiFilterReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiFilterReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminApiDefinitionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminApiDefinitionReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminApiDefinitionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiDefinitionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ApiDefinitionReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiDefinitionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminFileDescriptorReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminFileDescriptorReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminFileDescriptorReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassActionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassActionReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassActionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AclRuleReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AclRuleReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AclRuleReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResourceResourceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceResourceResourceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResourceResourceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGatewayReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('EdgeGatewayReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGatewayReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcNetworkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgVdcNetworkRelationReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgVdcNetworkRelationReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgVdcNetworkRelationReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingInstanceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VmServiceOfferingInstanceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VmServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcServiceOfferingReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcServiceOfferingReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VdcServiceOfferingReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceOfferingInstanceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceExtensionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceExtensionReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceExtensionReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ReferencesType


/**
 * Container for the list of typed queries available to the  requesting user.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryListType extends VMware_VCloud_API_ContainerType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param long $total - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $pageSize - [optional] an attribute, 
    * @param int $page - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $total=null, $name=null, $pageSize=null, $page=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $total, $name, $pageSize, $page);
        $this->tagName = 'QueryList';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryListType


/**
 * One of: < br >  GENERAL < br >  SYSTEM  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataDomainTagType {
    protected $visibility = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $visibility - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($visibility=null, $valueOf='') {
        $this->visibility = $visibility;
        $this->valueOf = $valueOf;
        $this->tagName = 'Domain';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_visibility(){
        return $this->visibility;
    }
    public function set_visibility($visibility) {
        $this->visibility = $visibility;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'visibility', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'visibility=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->visibility, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='visibility')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvisibility = $attrs->getNamedItem('visibility');
        if (!is_null($ndvisibility)) {
            $this->visibility = $ndvisibility->value;
            if (isset($ndvisibility->prefix)) {
                $this->namespace['visibility'] = $ndvisibility->prefix;
                $nsUri = $ndvisibility->lookupNamespaceURI($ndvisibility->prefix);
            }
            $node->removeAttributeNS($nsUri, 'visibility');
        } else {
            $this->visibility = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_MetadataDomainTagType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataEntryType extends VMware_VCloud_API_ResourceType {
    protected $Domain = null;
    protected $Key = null;
    protected $Value = null;
    protected $TypedValue = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataDomainTagType $Domain - [optional]
    * @param string $Key - [required] 
    * @param string $Value - [optional] 
    * @param VMware_VCloud_API_MetadataTypedValue $TypedValue - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Domain=null, $Key=null, $Value=null, $TypedValue=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->Domain = $Domain;
        $this->Key = $Key;
        $this->Value = $Value;
        $this->TypedValue = $TypedValue;
        $this->tagName = 'MetadataEntry';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDomain() {
        return $this->Domain;
    }
    public function setDomain($Domain) { 
        $this->Domain = $Domain;
    }
    public function getKey() {
        return $this->Key;
    }
    public function setKey($Key) { 
        $this->Key = $Key;
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function getTypedValue() {
        return $this->TypedValue;
    }
    public function setTypedValue($TypedValue) { 
        $this->TypedValue = $TypedValue;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Domain)) {
            $out = $this->Domain->export('Domain', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Key)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Key', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Key>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Key, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Key')) . "</" . $ns . "Key>\n");
        }
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        if (!is_null($this->TypedValue)) {
            $out = $this->TypedValue->export('TypedValue', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Domain) ||
            !is_null($this->Key) ||
            !is_null($this->Value) ||
            !is_null($this->TypedValue) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Domain') {
            $obj = new VMware_VCloud_API_MetadataDomainTagType();
            $obj->build($child);
            $obj->set_tagName('Domain');
            $this->setDomain($obj);
            if (!empty($namespace)) {
                $this->namespace['Domain'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Key') {
            $sval = $child->nodeValue;
            $this->Key = $sval;
            if (!empty($namespace)) {
                $this->namespace['Key'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TypedValue') {
            $t = $child->getAttribute('xsi:type');
            $obj = null;
            if (isset($t)) {
                $type = VMware_VCloud_API_Helper::getClassName($t);
                if (class_exists($type)) {
                    $class = new ReflectionClass($type);
                    if ($class->isInstantiable()) {
                        $obj = $class->newInstance();
                    }
                }
            }
            if (is_null($obj)) {
                $obj = new VMware_VCloud_API_MetadataTypedValue();
            }
            $obj->build($child);
            $obj->set_tagName('TypedValue');
            $this->setTypedValue($obj);
            if (!empty($namespace)) {
                $this->namespace['TypedValue'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MetadataEntryType


/**
 * One of: < br >  MetadataStringValue < br >  MetadataNumberValue < br >  MetadataBooleanValue < br >  MetadataDateTimeValue  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataTypedValue {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'TypedValue';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (is_subclass_of($this, __CLASS__)) {
            $c = str_replace('VMware_VCloud_API_', '', get_class($this));
            $out = VMware_VCloud_API_Helper::addString($out, ' xsi:type="' . $c . '"');
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_MetadataTypedValue


/**
 * UTF-8 character set. Strings longer than 1000  characters cannot be searched for in a query.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataStringValue extends VMware_VCloud_API_MetadataTypedValue {
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $Value - [required] 
    * @param string $valueOf - [optional]
    */
    public function __construct($Value=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->Value = $Value;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Value) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MetadataStringValue


/**
 * A signed 8-byte integer.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataNumberValue extends VMware_VCloud_API_MetadataTypedValue {
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param int $Value - [required] 
    * @param string $valueOf - [optional]
    */
    public function __construct($Value=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->Value = $Value;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::format_integer($this->Value, $input_name='Value') . "</" . $ns . "Value>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Value) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MetadataNumberValue


/**
 * One of: 1, 0, true, false  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataBooleanValue extends VMware_VCloud_API_MetadataTypedValue {
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param boolean $Value - [required] 
    * @param string $valueOf - [optional]
    */
    public function __construct($Value=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->Value = $Value;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::format_boolean($this->Value, $input_name='Value') . "</" . $ns . "Value>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Value) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MetadataBooleanValue


/**
 * UTC format. For example 2012-06-18T12:00:00-05:00  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataDateTimeValue extends VMware_VCloud_API_MetadataTypedValue {
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $Value - [required] 
    * @param string $valueOf - [optional]
    */
    public function __construct($Value=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->Value = $Value;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Value) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MetadataDateTimeValue


/**
 * User-defined metadata associated with with an object.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataType extends VMware_VCloud_API_ResourceType {
    protected $MetadataEntry = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $MetadataEntry - [optional] an array of VMware_VCloud_API_MetadataEntryType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $MetadataEntry=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($MetadataEntry)) {
            $this->MetadataEntry = $MetadataEntry;
        }
        $this->tagName = 'Metadata';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMetadataEntry() {
        return $this->MetadataEntry;
    }
    public function setMetadataEntry($MetadataEntry) { 
        $this->MetadataEntry = $MetadataEntry;
    }
    public function addMetadataEntry($value) { array_push($this->MetadataEntry, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->MetadataEntry)) {
            foreach ($this->MetadataEntry as $MetadataEntry) {
                $out = $MetadataEntry->export('MetadataEntry', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->MetadataEntry) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MetadataEntry') {
            $obj = new VMware_VCloud_API_MetadataEntryType();
            $obj->build($child);
            $obj->set_tagName('MetadataEntry');
            array_push($this->MetadataEntry, $obj);
            if (!empty($namespace)) {
                $this->namespace['MetadataEntry'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MetadataType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MetadataValueType extends VMware_VCloud_API_ResourceType {
    protected $Domain = null;
    protected $Value = null;
    protected $TypedValue = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataDomainTagType $Domain - [optional]
    * @param string $Value - [optional] 
    * @param VMware_VCloud_API_MetadataTypedValue $TypedValue - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Domain=null, $Value=null, $TypedValue=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->Domain = $Domain;
        $this->Value = $Value;
        $this->TypedValue = $TypedValue;
        $this->tagName = 'MetadataValue';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDomain() {
        return $this->Domain;
    }
    public function setDomain($Domain) { 
        $this->Domain = $Domain;
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function getTypedValue() {
        return $this->TypedValue;
    }
    public function setTypedValue($TypedValue) { 
        $this->TypedValue = $TypedValue;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Domain)) {
            $out = $this->Domain->export('Domain', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        if (!is_null($this->TypedValue)) {
            $out = $this->TypedValue->export('TypedValue', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Domain) ||
            !is_null($this->Value) ||
            !is_null($this->TypedValue) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Domain') {
            $obj = new VMware_VCloud_API_MetadataDomainTagType();
            $obj->build($child);
            $obj->set_tagName('Domain');
            $this->setDomain($obj);
            if (!empty($namespace)) {
                $this->namespace['Domain'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TypedValue') {
            $t = $child->getAttribute('xsi:type');
            $obj = null;
            if (isset($t)) {
                $type = VMware_VCloud_API_Helper::getClassName($t);
                if (class_exists($type)) {
                    $class = new ReflectionClass($type);
                    if ($class->isInstantiable()) {
                        $obj = $class->newInstance();
                    }
                }
            }
            if (is_null($obj)) {
                $obj = new VMware_VCloud_API_MetadataTypedValue();
            }
            $obj->build($child);
            $obj->set_tagName('TypedValue');
            $this->setTypedValue($obj);
            if (!empty($namespace)) {
                $this->namespace['TypedValue'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MetadataValueType


/**
 * Parameters for initializing file upload session.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_FileUploadParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $fileSize = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param long $fileSize - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $fileSize=null) {
        parent::__construct($VCloudExtension);
        $this->fileSize = $fileSize;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_fileSize(){
        return $this->fileSize;
    }
    public function set_fileSize($fileSize) {
        $this->fileSize = $fileSize;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->fileSize)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileSize', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileSize=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->fileSize, $input_name='fileSize')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndfileSize = $attrs->getNamedItem('fileSize');
        if (!is_null($ndfileSize)) {
            $this->fileSize = sprintf('%d', $ndfileSize->value);
            if (isset($ndfileSize->prefix)) {
                $this->namespace['fileSize'] = $ndfileSize->prefix;
                $nsUri = $ndfileSize->lookupNamespaceURI($ndfileSize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileSize');
        } else {
            $this->fileSize = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_FileUploadParamsType


/**
 * Parameters for initiating file upload.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_FileUploadSocketType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $uploadLocation = null;
    protected $Task = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $uploadLocation - [optional] an attribute, 
    * @param VMware_VCloud_API_TaskType $Task - [optional]
    */
    public function __construct($VCloudExtension=null, $uploadLocation=null, $Task=null) {
        parent::__construct($VCloudExtension);
        $this->uploadLocation = $uploadLocation;
        $this->Task = $Task;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getTask() {
        return $this->Task;
    }
    public function setTask($Task) { 
        $this->Task = $Task;
    }
    public function get_uploadLocation(){
        return $this->uploadLocation;
    }
    public function set_uploadLocation($uploadLocation) {
        $this->uploadLocation = $uploadLocation;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->uploadLocation)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'uploadLocation', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'uploadLocation=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->uploadLocation, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='uploadLocation')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Task)) {
            $out = $this->Task->export('Task', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Task) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nduploadLocation = $attrs->getNamedItem('uploadLocation');
        if (!is_null($nduploadLocation)) {
            $this->uploadLocation = $nduploadLocation->value;
            if (isset($nduploadLocation->prefix)) {
                $this->namespace['uploadLocation'] = $nduploadLocation->prefix;
                $nsUri = $nduploadLocation->lookupNamespaceURI($nduploadLocation->prefix);
            }
            $node->removeAttributeNS($nsUri, 'uploadLocation');
        } else {
            $this->uploadLocation = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Task') {
            $obj = new VMware_VCloud_API_TaskType();
            $obj->build($child);
            $obj->set_tagName('Task');
            $this->setTask($obj);
            if (!empty($namespace)) {
                $this->namespace['Task'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_FileUploadSocketType


/**
 * Container for references to catalog items.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CatalogItemsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $CatalogItem = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $CatalogItem - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $CatalogItem=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($CatalogItem)) {
            $this->CatalogItem = $CatalogItem;
        }
        $this->tagName = 'CatalogItems';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCatalogItem() {
        return $this->CatalogItem;
    }
    public function setCatalogItem($CatalogItem) { 
        $this->CatalogItem = $CatalogItem;
    }
    public function addCatalogItem($value) { array_push($this->CatalogItem, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->CatalogItem)) {
            foreach ($this->CatalogItem as $CatalogItem) {
                $out = $CatalogItem->export('CatalogItem', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->CatalogItem) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogItem') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('CatalogItem');
            array_push($this->CatalogItem, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogItem'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CatalogItemsType


/**
 * Contains key/value pair as property.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_PropertyType {
    protected $key = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $key - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($key=null, $valueOf='') {
        $this->key = $key;
        $this->valueOf = $valueOf;
        $this->tagName = 'Property';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_key(){
        return $this->key;
    }
    public function set_key($key) {
        $this->key = $key;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'key', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'key=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->key, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='key')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndkey = $attrs->getNamedItem('key');
        if (!is_null($ndkey)) {
            $this->key = $ndkey->value;
            if (isset($ndkey->prefix)) {
                $this->namespace['key'] = $ndkey->prefix;
                $nsUri = $ndkey->lookupNamespaceURI($ndkey->prefix);
            }
            $node->removeAttributeNS($nsUri, 'key');
        } else {
            $this->key = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_PropertyType


/**
 * Parameters for a copyCatalogItem or moveCatalogItem request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CopyOrMoveCatalogItemParamsType extends VMware_VCloud_API_ParamsType {
    protected $Source = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $Source=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->Source = $Source;
        $this->tagName = 'CopyOrMoveCatalogItemParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSource() {
        return $this->Source;
    }
    public function setSource($Source) { 
        $this->Source = $Source;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Source)) {
            $out = $this->Source->export('Source', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Source) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Source') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Source');
            $this->setSource($obj);
            if (!empty($namespace)) {
                $this->namespace['Source'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CopyOrMoveCatalogItemParamsType


/**
 * Parameters required when sharing a catalog with other  organizations.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_PublishCatalogParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsPublished = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsPublished - [required] 
    */
    public function __construct($VCloudExtension=null, $IsPublished=null) {
        parent::__construct($VCloudExtension);
        $this->IsPublished = $IsPublished;
        $this->tagName = 'PublishCatalogParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsPublished() {
        return $this->IsPublished;
    }
    public function setIsPublished($IsPublished) { 
        $this->IsPublished = $IsPublished;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsPublished)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsPublished>" . VMware_VCloud_API_Helper::format_boolean($this->IsPublished, $input_name='IsPublished') . "</" . $ns . "IsPublished>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsPublished) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsPublished') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsPublished = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsPublished'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_PublishCatalogParamsType


/**
 * Represents a list of files to be transferred (uploaded  or downloaded).  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_FilesListType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $File = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $File - [required] an array of VMware_VCloud_API_FileType objects
    */
    public function __construct($VCloudExtension=null, $File=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($File)) {
            $this->File = $File;
        }
        $this->tagName = 'Files';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getFile() {
        return $this->File;
    }
    public function setFile($File) { 
        $this->File = $File;
    }
    public function addFile($value) { array_push($this->File, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->File)) {
            foreach ($this->File as $File) {
                $out = $File->export('File', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->File) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'File') {
            $obj = new VMware_VCloud_API_FileType();
            $obj->build($child);
            $obj->set_tagName('File');
            array_push($this->File, $obj);
            if (!empty($namespace)) {
                $this->namespace['File'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_FilesListType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimDateTime {
    protected $CIM_DateTime = null;
    protected $Interval = null;
    protected $Date = null;
    protected $Time = null;
    protected $Datetime = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $CIM_DateTime - [required] 
    * @param string $Interval - [required] 
    * @param string $Date - [required] 
    * @param string $Time - [required] 
    * @param string $Datetime - [required] 
    */
    public function __construct($CIM_DateTime=null, $Interval=null, $Date=null, $Time=null, $Datetime=null) {
        $this->CIM_DateTime = $CIM_DateTime;
        $this->Interval = $Interval;
        $this->Date = $Date;
        $this->Time = $Time;
        $this->Datetime = $Datetime;
        $this->anyAttributes = array();
        $this->tagName = 'AutomaticStartupActionDelay';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCIM_DateTime() {
        return $this->CIM_DateTime;
    }
    public function setCIM_DateTime($CIM_DateTime) { 
        $this->CIM_DateTime = $CIM_DateTime;
    }
    public function getInterval() {
        return $this->Interval;
    }
    public function setInterval($Interval) { 
        $this->Interval = $Interval;
    }
    public function getDate() {
        return $this->Date;
    }
    public function setDate($Date) { 
        $this->Date = $Date;
    }
    public function getTime() {
        return $this->Time;
    }
    public function setTime($Time) { 
        $this->Time = $Time;
    }
    public function getDatetime() {
        return $this->Datetime;
    }
    public function setDatetime($Datetime) { 
        $this->Datetime = $Datetime;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->CIM_DateTime)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CIM_DateTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CIM_DateTime>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CIM_DateTime, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CIM_DateTime')) . "</" . $ns . "CIM_DateTime>\n");
        }
        if (!is_null($this->Interval)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Interval', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Interval>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Interval, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Interval')) . "</" . $ns . "Interval>\n");
        }
        if (!is_null($this->Date)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Date', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Date>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Date, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Date')) . "</" . $ns . "Date>\n");
        }
        if (!is_null($this->Time)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Time', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Time>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Time, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Time')) . "</" . $ns . "Time>\n");
        }
        if (!is_null($this->Datetime)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Datetime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Datetime>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Datetime, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Datetime')) . "</" . $ns . "Datetime>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->CIM_DateTime) ||
            !is_null($this->Interval) ||
            !is_null($this->Date) ||
            !is_null($this->Time) ||
            !is_null($this->Datetime)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CIM_DateTime') {
            $sval = $child->nodeValue;
            $this->CIM_DateTime = $sval;
            if (!empty($namespace)) {
                $this->namespace['CIM_DateTime'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Interval') {
            $sval = $child->nodeValue;
            $this->Interval = $sval;
            if (!empty($namespace)) {
                $this->namespace['Interval'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Date') {
            $sval = $child->nodeValue;
            $this->Date = $sval;
            if (!empty($namespace)) {
                $this->namespace['Date'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Time') {
            $sval = $child->nodeValue;
            $this->Time = $sval;
            if (!empty($namespace)) {
                $this->namespace['Time'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Datetime') {
            $sval = $child->nodeValue;
            $this->Datetime = $sval;
            if (!empty($namespace)) {
                $this->namespace['Datetime'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimDateTime


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimUnsignedByte {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimUnsignedByte';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimUnsignedByte


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimByte {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimByte';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimByte


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimUnsignedShort {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'AutomaticStartupActionSequenceNumber';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimUnsignedShort


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimShort {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimShort';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimShort


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimUnsignedInt {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Weight';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimUnsignedInt


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimInt {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimInt';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimInt


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimUnsignedLong {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Generation';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimUnsignedLong


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimLong {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimLong';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimLong


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimString {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Description';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimString


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimBoolean {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'AutomaticDeallocation';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimBoolean


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimFloat {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimFloat';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimFloat


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimDouble {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimDouble';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimDouble


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimChar16 {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimChar16';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimChar16


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimBase64Binary {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimBase64Binary';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimBase64Binary


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimReference {
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param array $Any - [required] an array of any type of objects
    */
    public function __construct($Any=null) {
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'cimReference';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimReference


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Any {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'Any';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_Any


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimHexBinary {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimHexBinary';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimHexBinary


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_cimAnySimpleType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'cimAnySimpleType';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_cimAnySimpleType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_qualifierString extends VMware_VCloud_API_OVF_cimString {
    protected $qualifier = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $qualifier - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($qualifier=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->qualifier = $qualifier;
        $this->tagName = 'ConfigurationDataRoot';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_qualifier(){
        return $this->qualifier;
    }
    public function set_qualifier($qualifier) {
        $this->qualifier = $qualifier;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='qualifierString'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'qualifier', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'qualifier=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->qualifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='qualifier')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndqualifier = $attrs->getNamedItem('qualifier');
        if (!is_null($ndqualifier)) {
            $this->qualifier = $ndqualifier->value;
            if (isset($ndqualifier->prefix)) {
                $this->namespace['qualifier'] = $ndqualifier->prefix;
                $nsUri = $ndqualifier->lookupNamespaceURI($ndqualifier->prefix);
            }
            $node->removeAttributeNS($nsUri, 'qualifier');
        } else {
            $this->qualifier = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_qualifierString


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_qualifierBoolean extends VMware_VCloud_API_OVF_cimBoolean {
    protected $qualifier = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $qualifier - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($qualifier=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->qualifier = $qualifier;
        $this->tagName = 'AutomaticDeallocation';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_qualifier(){
        return $this->qualifier;
    }
    public function set_qualifier($qualifier) {
        $this->qualifier = $qualifier;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='qualifierBoolean'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'qualifier', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'qualifier=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->qualifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='qualifier')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndqualifier = $attrs->getNamedItem('qualifier');
        if (!is_null($ndqualifier)) {
            $this->qualifier = $ndqualifier->value;
            if (isset($ndqualifier->prefix)) {
                $this->namespace['qualifier'] = $ndqualifier->prefix;
                $nsUri = $ndqualifier->lookupNamespaceURI($ndqualifier->prefix);
            }
            $node->removeAttributeNS($nsUri, 'qualifier');
        } else {
            $this->qualifier = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_qualifierBoolean


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_qualifierUInt32 extends VMware_VCloud_API_OVF_cimUnsignedInt {
    protected $qualifier = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $qualifier - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($qualifier=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->qualifier = $qualifier;
        $this->tagName = 'Weight';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_qualifier(){
        return $this->qualifier;
    }
    public function set_qualifier($qualifier) {
        $this->qualifier = $qualifier;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='qualifierUInt32'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'qualifier', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'qualifier=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->qualifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='qualifier')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndqualifier = $attrs->getNamedItem('qualifier');
        if (!is_null($ndqualifier)) {
            $this->qualifier = $ndqualifier->value;
            if (isset($ndqualifier->prefix)) {
                $this->namespace['qualifier'] = $ndqualifier->prefix;
                $nsUri = $ndqualifier->lookupNamespaceURI($ndqualifier->prefix);
            }
            $node->removeAttributeNS($nsUri, 'qualifier');
        } else {
            $this->qualifier = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_qualifierUInt32


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_qualifierSInt64 extends VMware_VCloud_API_OVF_cimLong {
    protected $qualifier = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $qualifier - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($qualifier=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->qualifier = $qualifier;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_qualifier(){
        return $this->qualifier;
    }
    public function set_qualifier($qualifier) {
        $this->qualifier = $qualifier;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'qualifier', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'qualifier=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->qualifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='qualifier')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndqualifier = $attrs->getNamedItem('qualifier');
        if (!is_null($ndqualifier)) {
            $this->qualifier = $ndqualifier->value;
            if (isset($ndqualifier->prefix)) {
                $this->namespace['qualifier'] = $ndqualifier->prefix;
                $nsUri = $ndqualifier->lookupNamespaceURI($ndqualifier->prefix);
            }
            $node->removeAttributeNS($nsUri, 'qualifier');
        } else {
            $this->qualifier = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_qualifierSInt64


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_qualifierSArray extends VMware_VCloud_API_OVF_qualifierString {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/common';

   /**
    * @param string $qualifier - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($qualifier=null, $valueOf='') {
        parent::__construct($qualifier, $valueOf);
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_qualifierSArray


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_AutomaticStartupAction extends VMware_VCloud_API_OVF_cimAnySimpleType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        parent::__construct($valueOf);
        $this->anyAttributes = array();
        $this->tagName = 'AutomaticStartupAction';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_AutomaticStartupAction


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_AutomaticShutdownAction extends VMware_VCloud_API_OVF_cimAnySimpleType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        parent::__construct($valueOf);
        $this->anyAttributes = array();
        $this->tagName = 'AutomaticShutdownAction';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_AutomaticShutdownAction


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_AutomaticRecoveryAction extends VMware_VCloud_API_OVF_cimAnySimpleType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        parent::__construct($valueOf);
        $this->anyAttributes = array();
        $this->tagName = 'AutomaticRecoveryAction';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_AutomaticRecoveryAction


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_ChangeableType extends VMware_VCloud_API_OVF_cimUnsignedShort {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        parent::__construct($valueOf);
        $this->anyAttributes = array();
        $this->tagName = 'ChangeableType';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_ChangeableType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Caption extends VMware_VCloud_API_OVF_cimString {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        parent::__construct($valueOf);
        $this->anyAttributes = array();
        $this->tagName = 'Caption';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_Caption


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_CIM_VirtualSystemSettingData_Type {
    protected $AutomaticRecoveryAction = null;
    protected $AutomaticShutdownAction = null;
    protected $AutomaticStartupAction = null;
    protected $AutomaticStartupActionDelay = null;
    protected $AutomaticStartupActionSequenceNumber = null;
    protected $Caption = null;
    protected $ChangeableType = null;
    protected $ConfigurationDataRoot = null;
    protected $ConfigurationFile = null;
    protected $ConfigurationID = null;
    protected $ConfigurationName = null;
    protected $CreationTime = null;
    protected $Description = null;
    protected $ElementName = null;
    protected $Generation = null;
    protected $InstanceID = null;
    protected $LogDataRoot = null;
    protected $Notes = array();
    protected $RecoveryFile = null;
    protected $SnapshotDataRoot = null;
    protected $SuspendDataRoot = null;
    protected $SwapFileDataRoot = null;
    protected $VirtualSystemIdentifier = null;
    protected $VirtualSystemType = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData';

   /**
    * @param VMware_VCloud_API_OVF_AutomaticRecoveryAction $AutomaticRecoveryAction - [optional]
    * @param VMware_VCloud_API_OVF_AutomaticShutdownAction $AutomaticShutdownAction - [optional]
    * @param VMware_VCloud_API_OVF_AutomaticStartupAction $AutomaticStartupAction - [optional]
    * @param VMware_VCloud_API_OVF_cimDateTime $AutomaticStartupActionDelay - [optional]
    * @param VMware_VCloud_API_OVF_cimUnsignedShort $AutomaticStartupActionSequenceNumber - [optional]
    * @param VMware_VCloud_API_OVF_Caption $Caption - [optional]
    * @param VMware_VCloud_API_OVF_ChangeableType $ChangeableType - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationDataRoot - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationFile - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationID - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationName - [optional]
    * @param VMware_VCloud_API_OVF_cimDateTime $CreationTime - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Description - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ElementName - [required]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $Generation - [optional]
    * @param VMware_VCloud_API_OVF_cimString $InstanceID - [required]
    * @param VMware_VCloud_API_OVF_cimString $LogDataRoot - [optional]
    * @param array $Notes - [optional] an array of VMware_VCloud_API_OVF_cimString objects
    * @param VMware_VCloud_API_OVF_cimString $RecoveryFile - [optional]
    * @param VMware_VCloud_API_OVF_cimString $SnapshotDataRoot - [optional]
    * @param VMware_VCloud_API_OVF_cimString $SuspendDataRoot - [optional]
    * @param VMware_VCloud_API_OVF_cimString $SwapFileDataRoot - [optional]
    * @param VMware_VCloud_API_OVF_cimString $VirtualSystemIdentifier - [optional]
    * @param VMware_VCloud_API_OVF_cimString $VirtualSystemType - [optional]
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($AutomaticRecoveryAction=null, $AutomaticShutdownAction=null, $AutomaticStartupAction=null, $AutomaticStartupActionDelay=null, $AutomaticStartupActionSequenceNumber=null, $Caption=null, $ChangeableType=null, $ConfigurationDataRoot=null, $ConfigurationFile=null, $ConfigurationID=null, $ConfigurationName=null, $CreationTime=null, $Description=null, $ElementName=null, $Generation=null, $InstanceID=null, $LogDataRoot=null, $Notes=null, $RecoveryFile=null, $SnapshotDataRoot=null, $SuspendDataRoot=null, $SwapFileDataRoot=null, $VirtualSystemIdentifier=null, $VirtualSystemType=null, $Any=null) {
        $this->AutomaticRecoveryAction = $AutomaticRecoveryAction;
        $this->AutomaticShutdownAction = $AutomaticShutdownAction;
        $this->AutomaticStartupAction = $AutomaticStartupAction;
        $this->AutomaticStartupActionDelay = $AutomaticStartupActionDelay;
        $this->AutomaticStartupActionSequenceNumber = $AutomaticStartupActionSequenceNumber;
        $this->Caption = $Caption;
        $this->ChangeableType = $ChangeableType;
        $this->ConfigurationDataRoot = $ConfigurationDataRoot;
        $this->ConfigurationFile = $ConfigurationFile;
        $this->ConfigurationID = $ConfigurationID;
        $this->ConfigurationName = $ConfigurationName;
        $this->CreationTime = $CreationTime;
        $this->Description = $Description;
        $this->ElementName = $ElementName;
        $this->Generation = $Generation;
        $this->InstanceID = $InstanceID;
        $this->LogDataRoot = $LogDataRoot;
        if (!is_null($Notes)) {
            $this->Notes = $Notes;
        }
        $this->RecoveryFile = $RecoveryFile;
        $this->SnapshotDataRoot = $SnapshotDataRoot;
        $this->SuspendDataRoot = $SuspendDataRoot;
        $this->SwapFileDataRoot = $SwapFileDataRoot;
        $this->VirtualSystemIdentifier = $VirtualSystemIdentifier;
        $this->VirtualSystemType = $VirtualSystemType;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'CIM_VirtualSystemSettingData';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAutomaticRecoveryAction() {
        return $this->AutomaticRecoveryAction;
    }
    public function setAutomaticRecoveryAction($AutomaticRecoveryAction) { 
        $this->AutomaticRecoveryAction = $AutomaticRecoveryAction;
    }
    public function getAutomaticShutdownAction() {
        return $this->AutomaticShutdownAction;
    }
    public function setAutomaticShutdownAction($AutomaticShutdownAction) { 
        $this->AutomaticShutdownAction = $AutomaticShutdownAction;
    }
    public function getAutomaticStartupAction() {
        return $this->AutomaticStartupAction;
    }
    public function setAutomaticStartupAction($AutomaticStartupAction) { 
        $this->AutomaticStartupAction = $AutomaticStartupAction;
    }
    public function getAutomaticStartupActionDelay() {
        return $this->AutomaticStartupActionDelay;
    }
    public function setAutomaticStartupActionDelay($AutomaticStartupActionDelay) { 
        $this->AutomaticStartupActionDelay = $AutomaticStartupActionDelay;
    }
    public function getAutomaticStartupActionSequenceNumber() {
        return $this->AutomaticStartupActionSequenceNumber;
    }
    public function setAutomaticStartupActionSequenceNumber($AutomaticStartupActionSequenceNumber) { 
        $this->AutomaticStartupActionSequenceNumber = $AutomaticStartupActionSequenceNumber;
    }
    public function getCaption() {
        return $this->Caption;
    }
    public function setCaption($Caption) { 
        $this->Caption = $Caption;
    }
    public function getChangeableType() {
        return $this->ChangeableType;
    }
    public function setChangeableType($ChangeableType) { 
        $this->ChangeableType = $ChangeableType;
    }
    public function getConfigurationDataRoot() {
        return $this->ConfigurationDataRoot;
    }
    public function setConfigurationDataRoot($ConfigurationDataRoot) { 
        $this->ConfigurationDataRoot = $ConfigurationDataRoot;
    }
    public function getConfigurationFile() {
        return $this->ConfigurationFile;
    }
    public function setConfigurationFile($ConfigurationFile) { 
        $this->ConfigurationFile = $ConfigurationFile;
    }
    public function getConfigurationID() {
        return $this->ConfigurationID;
    }
    public function setConfigurationID($ConfigurationID) { 
        $this->ConfigurationID = $ConfigurationID;
    }
    public function getConfigurationName() {
        return $this->ConfigurationName;
    }
    public function setConfigurationName($ConfigurationName) { 
        $this->ConfigurationName = $ConfigurationName;
    }
    public function getCreationTime() {
        return $this->CreationTime;
    }
    public function setCreationTime($CreationTime) { 
        $this->CreationTime = $CreationTime;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getElementName() {
        return $this->ElementName;
    }
    public function setElementName($ElementName) { 
        $this->ElementName = $ElementName;
    }
    public function getGeneration() {
        return $this->Generation;
    }
    public function setGeneration($Generation) { 
        $this->Generation = $Generation;
    }
    public function getInstanceID() {
        return $this->InstanceID;
    }
    public function setInstanceID($InstanceID) { 
        $this->InstanceID = $InstanceID;
    }
    public function getLogDataRoot() {
        return $this->LogDataRoot;
    }
    public function setLogDataRoot($LogDataRoot) { 
        $this->LogDataRoot = $LogDataRoot;
    }
    public function getNotes() {
        return $this->Notes;
    }
    public function setNotes($Notes) { 
        $this->Notes = $Notes;
    }
    public function addNotes($value) { array_push($this->Notes, $value); }
    public function getRecoveryFile() {
        return $this->RecoveryFile;
    }
    public function setRecoveryFile($RecoveryFile) { 
        $this->RecoveryFile = $RecoveryFile;
    }
    public function getSnapshotDataRoot() {
        return $this->SnapshotDataRoot;
    }
    public function setSnapshotDataRoot($SnapshotDataRoot) { 
        $this->SnapshotDataRoot = $SnapshotDataRoot;
    }
    public function getSuspendDataRoot() {
        return $this->SuspendDataRoot;
    }
    public function setSuspendDataRoot($SuspendDataRoot) { 
        $this->SuspendDataRoot = $SuspendDataRoot;
    }
    public function getSwapFileDataRoot() {
        return $this->SwapFileDataRoot;
    }
    public function setSwapFileDataRoot($SwapFileDataRoot) { 
        $this->SwapFileDataRoot = $SwapFileDataRoot;
    }
    public function getVirtualSystemIdentifier() {
        return $this->VirtualSystemIdentifier;
    }
    public function setVirtualSystemIdentifier($VirtualSystemIdentifier) { 
        $this->VirtualSystemIdentifier = $VirtualSystemIdentifier;
    }
    public function getVirtualSystemType() {
        return $this->VirtualSystemType;
    }
    public function setVirtualSystemType($VirtualSystemType) { 
        $this->VirtualSystemType = $VirtualSystemType;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->AutomaticRecoveryAction)) {
            $out = $this->AutomaticRecoveryAction->export('AutomaticRecoveryAction', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AutomaticShutdownAction)) {
            $out = $this->AutomaticShutdownAction->export('AutomaticShutdownAction', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AutomaticStartupAction)) {
            $out = $this->AutomaticStartupAction->export('AutomaticStartupAction', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AutomaticStartupActionDelay)) {
            $out = $this->AutomaticStartupActionDelay->export('AutomaticStartupActionDelay', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AutomaticStartupActionSequenceNumber)) {
            $out = $this->AutomaticStartupActionSequenceNumber->export('AutomaticStartupActionSequenceNumber', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Caption)) {
            $out = $this->Caption->export('Caption', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ChangeableType)) {
            $out = $this->ChangeableType->export('ChangeableType', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ConfigurationDataRoot)) {
            $out = $this->ConfigurationDataRoot->export('ConfigurationDataRoot', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ConfigurationFile)) {
            $out = $this->ConfigurationFile->export('ConfigurationFile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ConfigurationID)) {
            $out = $this->ConfigurationID->export('ConfigurationID', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ConfigurationName)) {
            $out = $this->ConfigurationName->export('ConfigurationName', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->CreationTime)) {
            $out = $this->CreationTime->export('CreationTime', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Description)) {
            $out = $this->Description->export('Description', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ElementName)) {
            $out = $this->ElementName->export('ElementName', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Generation)) {
            $out = $this->Generation->export('Generation', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->InstanceID)) {
            $out = $this->InstanceID->export('InstanceID', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->LogDataRoot)) {
            $out = $this->LogDataRoot->export('LogDataRoot', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Notes)) {
            foreach ($this->Notes as $Notes) {
                $out = $Notes->export('Notes', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->RecoveryFile)) {
            $out = $this->RecoveryFile->export('RecoveryFile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->SnapshotDataRoot)) {
            $out = $this->SnapshotDataRoot->export('SnapshotDataRoot', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->SuspendDataRoot)) {
            $out = $this->SuspendDataRoot->export('SuspendDataRoot', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->SwapFileDataRoot)) {
            $out = $this->SwapFileDataRoot->export('SwapFileDataRoot', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VirtualSystemIdentifier)) {
            $out = $this->VirtualSystemIdentifier->export('VirtualSystemIdentifier', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VirtualSystemType)) {
            $out = $this->VirtualSystemType->export('VirtualSystemType', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AutomaticRecoveryAction) ||
            !is_null($this->AutomaticShutdownAction) ||
            !is_null($this->AutomaticStartupAction) ||
            !is_null($this->AutomaticStartupActionDelay) ||
            !is_null($this->AutomaticStartupActionSequenceNumber) ||
            !is_null($this->Caption) ||
            !is_null($this->ChangeableType) ||
            !is_null($this->ConfigurationDataRoot) ||
            !is_null($this->ConfigurationFile) ||
            !is_null($this->ConfigurationID) ||
            !is_null($this->ConfigurationName) ||
            !is_null($this->CreationTime) ||
            !is_null($this->Description) ||
            !is_null($this->ElementName) ||
            !is_null($this->Generation) ||
            !is_null($this->InstanceID) ||
            !is_null($this->LogDataRoot) ||
            !empty($this->Notes) ||
            !is_null($this->RecoveryFile) ||
            !is_null($this->SnapshotDataRoot) ||
            !is_null($this->SuspendDataRoot) ||
            !is_null($this->SwapFileDataRoot) ||
            !is_null($this->VirtualSystemIdentifier) ||
            !is_null($this->VirtualSystemType) ||
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AutomaticRecoveryAction') {
            $obj = new VMware_VCloud_API_OVF_AutomaticRecoveryAction();
            $obj->build($child);
            $obj->set_tagName('AutomaticRecoveryAction');
            $this->setAutomaticRecoveryAction($obj);
            if (!empty($namespace)) {
                $this->namespace['AutomaticRecoveryAction'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AutomaticShutdownAction') {
            $obj = new VMware_VCloud_API_OVF_AutomaticShutdownAction();
            $obj->build($child);
            $obj->set_tagName('AutomaticShutdownAction');
            $this->setAutomaticShutdownAction($obj);
            if (!empty($namespace)) {
                $this->namespace['AutomaticShutdownAction'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AutomaticStartupAction') {
            $obj = new VMware_VCloud_API_OVF_AutomaticStartupAction();
            $obj->build($child);
            $obj->set_tagName('AutomaticStartupAction');
            $this->setAutomaticStartupAction($obj);
            if (!empty($namespace)) {
                $this->namespace['AutomaticStartupAction'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AutomaticStartupActionDelay') {
            $obj = new VMware_VCloud_API_OVF_cimDateTime();
            $obj->build($child);
            $obj->set_tagName('AutomaticStartupActionDelay');
            $this->setAutomaticStartupActionDelay($obj);
            if (!empty($namespace)) {
                $this->namespace['AutomaticStartupActionDelay'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AutomaticStartupActionSequenceNumber') {
            $obj = new VMware_VCloud_API_OVF_cimUnsignedShort();
            $obj->build($child);
            $obj->set_tagName('AutomaticStartupActionSequenceNumber');
            $this->setAutomaticStartupActionSequenceNumber($obj);
            if (!empty($namespace)) {
                $this->namespace['AutomaticStartupActionSequenceNumber'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Caption') {
            $obj = new VMware_VCloud_API_OVF_Caption();
            $obj->build($child);
            $obj->set_tagName('Caption');
            $this->setCaption($obj);
            if (!empty($namespace)) {
                $this->namespace['Caption'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ChangeableType') {
            $obj = new VMware_VCloud_API_OVF_ChangeableType();
            $obj->build($child);
            $obj->set_tagName('ChangeableType');
            $this->setChangeableType($obj);
            if (!empty($namespace)) {
                $this->namespace['ChangeableType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConfigurationDataRoot') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ConfigurationDataRoot');
            $this->setConfigurationDataRoot($obj);
            if (!empty($namespace)) {
                $this->namespace['ConfigurationDataRoot'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConfigurationFile') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ConfigurationFile');
            $this->setConfigurationFile($obj);
            if (!empty($namespace)) {
                $this->namespace['ConfigurationFile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConfigurationID') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ConfigurationID');
            $this->setConfigurationID($obj);
            if (!empty($namespace)) {
                $this->namespace['ConfigurationID'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConfigurationName') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ConfigurationName');
            $this->setConfigurationName($obj);
            if (!empty($namespace)) {
                $this->namespace['ConfigurationName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CreationTime') {
            $obj = new VMware_VCloud_API_OVF_cimDateTime();
            $obj->build($child);
            $obj->set_tagName('CreationTime');
            $this->setCreationTime($obj);
            if (!empty($namespace)) {
                $this->namespace['CreationTime'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Description');
            $this->setDescription($obj);
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ElementName') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ElementName');
            $this->setElementName($obj);
            if (!empty($namespace)) {
                $this->namespace['ElementName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Generation') {
            $obj = new VMware_VCloud_API_OVF_cimUnsignedLong();
            $obj->build($child);
            $obj->set_tagName('Generation');
            $this->setGeneration($obj);
            if (!empty($namespace)) {
                $this->namespace['Generation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstanceID') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('InstanceID');
            $this->setInstanceID($obj);
            if (!empty($namespace)) {
                $this->namespace['InstanceID'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LogDataRoot') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('LogDataRoot');
            $this->setLogDataRoot($obj);
            if (!empty($namespace)) {
                $this->namespace['LogDataRoot'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Notes') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Notes');
            array_push($this->Notes, $obj);
            if (!empty($namespace)) {
                $this->namespace['Notes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RecoveryFile') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('RecoveryFile');
            $this->setRecoveryFile($obj);
            if (!empty($namespace)) {
                $this->namespace['RecoveryFile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotDataRoot') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('SnapshotDataRoot');
            $this->setSnapshotDataRoot($obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotDataRoot'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SuspendDataRoot') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('SuspendDataRoot');
            $this->setSuspendDataRoot($obj);
            if (!empty($namespace)) {
                $this->namespace['SuspendDataRoot'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SwapFileDataRoot') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('SwapFileDataRoot');
            $this->setSwapFileDataRoot($obj);
            if (!empty($namespace)) {
                $this->namespace['SwapFileDataRoot'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualSystemIdentifier') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('VirtualSystemIdentifier');
            $this->setVirtualSystemIdentifier($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualSystemIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualSystemType') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('VirtualSystemType');
            $this->setVirtualSystemType($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualSystemType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_CIM_VirtualSystemSettingData_Type


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_ResourceType extends VMware_VCloud_API_OVF_cimAnySimpleType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        parent::__construct($valueOf);
        $this->anyAttributes = array();
        $this->tagName = 'ResourceType';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_ResourceType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_ConsumerVisibility extends VMware_VCloud_API_OVF_cimAnySimpleType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        parent::__construct($valueOf);
        $this->anyAttributes = array();
        $this->tagName = 'ConsumerVisibility';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_ConsumerVisibility


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_MappingBehavior extends VMware_VCloud_API_OVF_cimAnySimpleType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        parent::__construct($valueOf);
        $this->anyAttributes = array();
        $this->tagName = 'MappingBehavior';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_MappingBehavior


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_CIM_ResourceAllocationSettingData_Type {
    protected $Address = null;
    protected $AddressOnParent = null;
    protected $AllocationUnits = null;
    protected $AutomaticAllocation = null;
    protected $AutomaticDeallocation = null;
    protected $Caption = null;
    protected $ChangeableType = null;
    protected $ConfigurationName = null;
    protected $Connection = array();
    protected $ConsumerVisibility = null;
    protected $Description = null;
    protected $ElementName = null;
    protected $Generation = null;
    protected $HostResource = array();
    protected $InstanceID = null;
    protected $Limit = null;
    protected $MappingBehavior = null;
    protected $OtherResourceType = null;
    protected $Parent = null;
    protected $PoolID = null;
    protected $Reservation = null;
    protected $ResourceSubType = null;
    protected $ResourceType = null;
    protected $VirtualQuantity = null;
    protected $VirtualQuantityUnits = null;
    protected $Weight = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData';

   /**
    * @param VMware_VCloud_API_OVF_cimString $Address - [optional]
    * @param VMware_VCloud_API_OVF_cimString $AddressOnParent - [optional]
    * @param VMware_VCloud_API_OVF_cimString $AllocationUnits - [optional]
    * @param VMware_VCloud_API_OVF_cimBoolean $AutomaticAllocation - [optional]
    * @param VMware_VCloud_API_OVF_cimBoolean $AutomaticDeallocation - [optional]
    * @param VMware_VCloud_API_OVF_Caption $Caption - [optional]
    * @param VMware_VCloud_API_OVF_ChangeableType $ChangeableType - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationName - [optional]
    * @param array $Connection - [optional] an array of VMware_VCloud_API_OVF_cimString objects
    * @param VMware_VCloud_API_OVF_ConsumerVisibility $ConsumerVisibility - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Description - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ElementName - [required]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $Generation - [optional]
    * @param array $HostResource - [optional] an array of VMware_VCloud_API_OVF_cimString objects
    * @param VMware_VCloud_API_OVF_cimString $InstanceID - [required]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $Limit - [optional]
    * @param VMware_VCloud_API_OVF_MappingBehavior $MappingBehavior - [optional]
    * @param VMware_VCloud_API_OVF_cimString $OtherResourceType - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Parent - [optional]
    * @param VMware_VCloud_API_OVF_cimString $PoolID - [optional]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $Reservation - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ResourceSubType - [optional]
    * @param VMware_VCloud_API_OVF_ResourceType $ResourceType - [optional]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $VirtualQuantity - [optional]
    * @param VMware_VCloud_API_OVF_cimString $VirtualQuantityUnits - [optional]
    * @param VMware_VCloud_API_OVF_cimUnsignedInt $Weight - [optional]
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($Address=null, $AddressOnParent=null, $AllocationUnits=null, $AutomaticAllocation=null, $AutomaticDeallocation=null, $Caption=null, $ChangeableType=null, $ConfigurationName=null, $Connection=null, $ConsumerVisibility=null, $Description=null, $ElementName=null, $Generation=null, $HostResource=null, $InstanceID=null, $Limit=null, $MappingBehavior=null, $OtherResourceType=null, $Parent=null, $PoolID=null, $Reservation=null, $ResourceSubType=null, $ResourceType=null, $VirtualQuantity=null, $VirtualQuantityUnits=null, $Weight=null, $Any=null) {
        $this->Address = $Address;
        $this->AddressOnParent = $AddressOnParent;
        $this->AllocationUnits = $AllocationUnits;
        $this->AutomaticAllocation = $AutomaticAllocation;
        $this->AutomaticDeallocation = $AutomaticDeallocation;
        $this->Caption = $Caption;
        $this->ChangeableType = $ChangeableType;
        $this->ConfigurationName = $ConfigurationName;
        if (!is_null($Connection)) {
            $this->Connection = $Connection;
        }
        $this->ConsumerVisibility = $ConsumerVisibility;
        $this->Description = $Description;
        $this->ElementName = $ElementName;
        $this->Generation = $Generation;
        if (!is_null($HostResource)) {
            $this->HostResource = $HostResource;
        }
        $this->InstanceID = $InstanceID;
        $this->Limit = $Limit;
        $this->MappingBehavior = $MappingBehavior;
        $this->OtherResourceType = $OtherResourceType;
        $this->Parent = $Parent;
        $this->PoolID = $PoolID;
        $this->Reservation = $Reservation;
        $this->ResourceSubType = $ResourceSubType;
        $this->ResourceType = $ResourceType;
        $this->VirtualQuantity = $VirtualQuantity;
        $this->VirtualQuantityUnits = $VirtualQuantityUnits;
        $this->Weight = $Weight;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'CIM_ResourceAllocationSettingData';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAddress() {
        return $this->Address;
    }
    public function setAddress($Address) { 
        $this->Address = $Address;
    }
    public function getAddressOnParent() {
        return $this->AddressOnParent;
    }
    public function setAddressOnParent($AddressOnParent) { 
        $this->AddressOnParent = $AddressOnParent;
    }
    public function getAllocationUnits() {
        return $this->AllocationUnits;
    }
    public function setAllocationUnits($AllocationUnits) { 
        $this->AllocationUnits = $AllocationUnits;
    }
    public function getAutomaticAllocation() {
        return $this->AutomaticAllocation;
    }
    public function setAutomaticAllocation($AutomaticAllocation) { 
        $this->AutomaticAllocation = $AutomaticAllocation;
    }
    public function getAutomaticDeallocation() {
        return $this->AutomaticDeallocation;
    }
    public function setAutomaticDeallocation($AutomaticDeallocation) { 
        $this->AutomaticDeallocation = $AutomaticDeallocation;
    }
    public function getCaption() {
        return $this->Caption;
    }
    public function setCaption($Caption) { 
        $this->Caption = $Caption;
    }
    public function getChangeableType() {
        return $this->ChangeableType;
    }
    public function setChangeableType($ChangeableType) { 
        $this->ChangeableType = $ChangeableType;
    }
    public function getConfigurationName() {
        return $this->ConfigurationName;
    }
    public function setConfigurationName($ConfigurationName) { 
        $this->ConfigurationName = $ConfigurationName;
    }
    public function getConnection() {
        return $this->Connection;
    }
    public function setConnection($Connection) { 
        $this->Connection = $Connection;
    }
    public function addConnection($value) { array_push($this->Connection, $value); }
    public function getConsumerVisibility() {
        return $this->ConsumerVisibility;
    }
    public function setConsumerVisibility($ConsumerVisibility) { 
        $this->ConsumerVisibility = $ConsumerVisibility;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getElementName() {
        return $this->ElementName;
    }
    public function setElementName($ElementName) { 
        $this->ElementName = $ElementName;
    }
    public function getGeneration() {
        return $this->Generation;
    }
    public function setGeneration($Generation) { 
        $this->Generation = $Generation;
    }
    public function getHostResource() {
        return $this->HostResource;
    }
    public function setHostResource($HostResource) { 
        $this->HostResource = $HostResource;
    }
    public function addHostResource($value) { array_push($this->HostResource, $value); }
    public function getInstanceID() {
        return $this->InstanceID;
    }
    public function setInstanceID($InstanceID) { 
        $this->InstanceID = $InstanceID;
    }
    public function getLimit() {
        return $this->Limit;
    }
    public function setLimit($Limit) { 
        $this->Limit = $Limit;
    }
    public function getMappingBehavior() {
        return $this->MappingBehavior;
    }
    public function setMappingBehavior($MappingBehavior) { 
        $this->MappingBehavior = $MappingBehavior;
    }
    public function getOtherResourceType() {
        return $this->OtherResourceType;
    }
    public function setOtherResourceType($OtherResourceType) { 
        $this->OtherResourceType = $OtherResourceType;
    }
    public function getParent() {
        return $this->Parent;
    }
    public function setParent($Parent) { 
        $this->Parent = $Parent;
    }
    public function getPoolID() {
        return $this->PoolID;
    }
    public function setPoolID($PoolID) { 
        $this->PoolID = $PoolID;
    }
    public function getReservation() {
        return $this->Reservation;
    }
    public function setReservation($Reservation) { 
        $this->Reservation = $Reservation;
    }
    public function getResourceSubType() {
        return $this->ResourceSubType;
    }
    public function setResourceSubType($ResourceSubType) { 
        $this->ResourceSubType = $ResourceSubType;
    }
    public function getResourceType() {
        return $this->ResourceType;
    }
    public function setResourceType($ResourceType) { 
        $this->ResourceType = $ResourceType;
    }
    public function getVirtualQuantity() {
        return $this->VirtualQuantity;
    }
    public function setVirtualQuantity($VirtualQuantity) { 
        $this->VirtualQuantity = $VirtualQuantity;
    }
    public function getVirtualQuantityUnits() {
        return $this->VirtualQuantityUnits;
    }
    public function setVirtualQuantityUnits($VirtualQuantityUnits) { 
        $this->VirtualQuantityUnits = $VirtualQuantityUnits;
    }
    public function getWeight() {
        return $this->Weight;
    }
    public function setWeight($Weight) { 
        $this->Weight = $Weight;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Address)) {
            $out = $this->Address->export('Address', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AddressOnParent)) {
            $out = $this->AddressOnParent->export('AddressOnParent', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AllocationUnits)) {
            $out = $this->AllocationUnits->export('AllocationUnits', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AutomaticAllocation)) {
            $out = $this->AutomaticAllocation->export('AutomaticAllocation', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AutomaticDeallocation)) {
            $out = $this->AutomaticDeallocation->export('AutomaticDeallocation', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Caption)) {
            $out = $this->Caption->export('Caption', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ChangeableType)) {
            $out = $this->ChangeableType->export('ChangeableType', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ConfigurationName)) {
            $out = $this->ConfigurationName->export('ConfigurationName', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Connection)) {
            foreach ($this->Connection as $Connection) {
                $out = $Connection->export('Connection', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->ConsumerVisibility)) {
            $out = $this->ConsumerVisibility->export('ConsumerVisibility', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Description)) {
            $out = $this->Description->export('Description', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ElementName)) {
            $out = $this->ElementName->export('ElementName', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Generation)) {
            $out = $this->Generation->export('Generation', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->HostResource)) {
            foreach ($this->HostResource as $HostResource) {
                $out = $HostResource->export('HostResource', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->InstanceID)) {
            $out = $this->InstanceID->export('InstanceID', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Limit)) {
            $out = $this->Limit->export('Limit', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->MappingBehavior)) {
            $out = $this->MappingBehavior->export('MappingBehavior', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OtherResourceType)) {
            $out = $this->OtherResourceType->export('OtherResourceType', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Parent)) {
            $out = $this->Parent->export('Parent', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->PoolID)) {
            $out = $this->PoolID->export('PoolID', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Reservation)) {
            $out = $this->Reservation->export('Reservation', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ResourceSubType)) {
            $out = $this->ResourceSubType->export('ResourceSubType', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ResourceType)) {
            $out = $this->ResourceType->export('ResourceType', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VirtualQuantity)) {
            $out = $this->VirtualQuantity->export('VirtualQuantity', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VirtualQuantityUnits)) {
            $out = $this->VirtualQuantityUnits->export('VirtualQuantityUnits', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Weight)) {
            $out = $this->Weight->export('Weight', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Address) ||
            !is_null($this->AddressOnParent) ||
            !is_null($this->AllocationUnits) ||
            !is_null($this->AutomaticAllocation) ||
            !is_null($this->AutomaticDeallocation) ||
            !is_null($this->Caption) ||
            !is_null($this->ChangeableType) ||
            !is_null($this->ConfigurationName) ||
            !empty($this->Connection) ||
            !is_null($this->ConsumerVisibility) ||
            !is_null($this->Description) ||
            !is_null($this->ElementName) ||
            !is_null($this->Generation) ||
            !empty($this->HostResource) ||
            !is_null($this->InstanceID) ||
            !is_null($this->Limit) ||
            !is_null($this->MappingBehavior) ||
            !is_null($this->OtherResourceType) ||
            !is_null($this->Parent) ||
            !is_null($this->PoolID) ||
            !is_null($this->Reservation) ||
            !is_null($this->ResourceSubType) ||
            !is_null($this->ResourceType) ||
            !is_null($this->VirtualQuantity) ||
            !is_null($this->VirtualQuantityUnits) ||
            !is_null($this->Weight) ||
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Address') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Address');
            $this->setAddress($obj);
            if (!empty($namespace)) {
                $this->namespace['Address'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AddressOnParent') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('AddressOnParent');
            $this->setAddressOnParent($obj);
            if (!empty($namespace)) {
                $this->namespace['AddressOnParent'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllocationUnits') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('AllocationUnits');
            $this->setAllocationUnits($obj);
            if (!empty($namespace)) {
                $this->namespace['AllocationUnits'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AutomaticAllocation') {
            $obj = new VMware_VCloud_API_OVF_cimBoolean();
            $obj->build($child);
            $obj->set_tagName('AutomaticAllocation');
            $this->setAutomaticAllocation($obj);
            if (!empty($namespace)) {
                $this->namespace['AutomaticAllocation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AutomaticDeallocation') {
            $obj = new VMware_VCloud_API_OVF_cimBoolean();
            $obj->build($child);
            $obj->set_tagName('AutomaticDeallocation');
            $this->setAutomaticDeallocation($obj);
            if (!empty($namespace)) {
                $this->namespace['AutomaticDeallocation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Caption') {
            $obj = new VMware_VCloud_API_OVF_Caption();
            $obj->build($child);
            $obj->set_tagName('Caption');
            $this->setCaption($obj);
            if (!empty($namespace)) {
                $this->namespace['Caption'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ChangeableType') {
            $obj = new VMware_VCloud_API_OVF_ChangeableType();
            $obj->build($child);
            $obj->set_tagName('ChangeableType');
            $this->setChangeableType($obj);
            if (!empty($namespace)) {
                $this->namespace['ChangeableType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConfigurationName') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ConfigurationName');
            $this->setConfigurationName($obj);
            if (!empty($namespace)) {
                $this->namespace['ConfigurationName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Connection') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Connection');
            array_push($this->Connection, $obj);
            if (!empty($namespace)) {
                $this->namespace['Connection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConsumerVisibility') {
            $obj = new VMware_VCloud_API_OVF_ConsumerVisibility();
            $obj->build($child);
            $obj->set_tagName('ConsumerVisibility');
            $this->setConsumerVisibility($obj);
            if (!empty($namespace)) {
                $this->namespace['ConsumerVisibility'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Description');
            $this->setDescription($obj);
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ElementName') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ElementName');
            $this->setElementName($obj);
            if (!empty($namespace)) {
                $this->namespace['ElementName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Generation') {
            $obj = new VMware_VCloud_API_OVF_cimUnsignedLong();
            $obj->build($child);
            $obj->set_tagName('Generation');
            $this->setGeneration($obj);
            if (!empty($namespace)) {
                $this->namespace['Generation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostResource') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('HostResource');
            array_push($this->HostResource, $obj);
            if (!empty($namespace)) {
                $this->namespace['HostResource'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstanceID') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('InstanceID');
            $this->setInstanceID($obj);
            if (!empty($namespace)) {
                $this->namespace['InstanceID'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Limit') {
            $obj = new VMware_VCloud_API_OVF_cimUnsignedLong();
            $obj->build($child);
            $obj->set_tagName('Limit');
            $this->setLimit($obj);
            if (!empty($namespace)) {
                $this->namespace['Limit'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MappingBehavior') {
            $obj = new VMware_VCloud_API_OVF_MappingBehavior();
            $obj->build($child);
            $obj->set_tagName('MappingBehavior');
            $this->setMappingBehavior($obj);
            if (!empty($namespace)) {
                $this->namespace['MappingBehavior'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OtherResourceType') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('OtherResourceType');
            $this->setOtherResourceType($obj);
            if (!empty($namespace)) {
                $this->namespace['OtherResourceType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Parent') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Parent');
            $this->setParent($obj);
            if (!empty($namespace)) {
                $this->namespace['Parent'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PoolID') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('PoolID');
            $this->setPoolID($obj);
            if (!empty($namespace)) {
                $this->namespace['PoolID'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Reservation') {
            $obj = new VMware_VCloud_API_OVF_cimUnsignedLong();
            $obj->build($child);
            $obj->set_tagName('Reservation');
            $this->setReservation($obj);
            if (!empty($namespace)) {
                $this->namespace['Reservation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceSubType') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ResourceSubType');
            $this->setResourceSubType($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceSubType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceType') {
            $obj = new VMware_VCloud_API_OVF_ResourceType();
            $obj->build($child);
            $obj->set_tagName('ResourceType');
            $this->setResourceType($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualQuantity') {
            $obj = new VMware_VCloud_API_OVF_cimUnsignedLong();
            $obj->build($child);
            $obj->set_tagName('VirtualQuantity');
            $this->setVirtualQuantity($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualQuantity'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualQuantityUnits') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('VirtualQuantityUnits');
            $this->setVirtualQuantityUnits($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualQuantityUnits'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Weight') {
            $obj = new VMware_VCloud_API_OVF_cimUnsignedInt();
            $obj->build($child);
            $obj->set_tagName('Weight');
            $this->setWeight($obj);
            if (!empty($namespace)) {
                $this->namespace['Weight'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_CIM_ResourceAllocationSettingData_Type


/**
 * Root OVF descriptor type
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_EnvelopeType {
    protected $lang = null;
    protected $References = null;
    protected $Section = array();
    protected $Content = null;
    protected $Strings = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $lang - [optional] an attribute, default 'en-US'
    * @param VMware_VCloud_API_OVF_References_Type $References - [required]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    * @param VMware_VCloud_API_OVF_Content_Type $Content - [required]
    * @param array $Strings - [optional] an array of VMware_VCloud_API_OVF_Strings_Type objects
    */
    public function __construct($lang='en-US', $References=null, $Section=null, $Content=null, $Strings=null) {
        $this->lang = $lang;
        $this->References = $References;
        if (!is_null($Section)) {
            $this->Section = $Section;
        }
        $this->Content = $Content;
        if (!is_null($Strings)) {
            $this->Strings = $Strings;
        }
        $this->anyAttributes = array();
        $this->tagName = 'Envelope';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getReferences() {
        return $this->References;
    }
    public function setReferences($References) { 
        $this->References = $References;
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function addSection($value) { array_push($this->Section, $value); }
    public function getContent() {
        return $this->Content;
    }
    public function setContent($Content) { 
        $this->Content = $Content;
    }
    public function getStrings() {
        return $this->Strings;
    }
    public function setStrings($Strings) { 
        $this->Strings = $Strings;
    }
    public function addStrings($value) { array_push($this->Strings, $value); }
    public function get_lang(){
        return $this->lang;
    }
    public function set_lang($lang) {
        $this->lang = $lang;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->lang)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'lang', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'lang=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->lang, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='lang')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->References)) {
            $out = $this->References->export('References', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Section)) {
            foreach ($this->Section as $Section) {
                $tagName = $Section->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Section';
                }
                $out = $Section->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->Content)) {
            $out = $this->Content->export('Content', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Strings)) {
            foreach ($this->Strings as $Strings) {
                $out = $Strings->export('Strings', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->References) ||
            !empty($this->Section) ||
            !is_null($this->Content) ||
            !empty($this->Strings)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndlang = $attrs->getNamedItem('lang');
        if (!is_null($ndlang)) {
            $this->lang = $ndlang->value;
            if (isset($ndlang->prefix)) {
                $this->namespace['lang'] = $ndlang->prefix;
                $nsUri = $ndlang->lookupNamespaceURI($ndlang->prefix);
            }
            $node->removeAttributeNS($nsUri, 'lang');
        } else {
            $this->lang = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "lang" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'References') {
            $obj = new VMware_VCloud_API_OVF_References_Type();
            $obj->build($child);
            $obj->set_tagName('References');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['References'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ShadowVMReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ShadowVMReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ShadowVMReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('OrgReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MediaReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('MediaReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['MediaReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppTemplateReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VAppTemplateReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppTemplateReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VAppReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VMReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VMReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgNetworkReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('OrgNetworkReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgNetworkReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppNetworkReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VAppNetworkReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppNetworkReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('CatalogReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVdcReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('AdminVdcReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVdcReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWProviderVdcReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VMWProviderVdcReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VMWProviderVdcReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('NetworkReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('GroupReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['GroupReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('UserReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['UserReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoleReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('RoleReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['RoleReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('DatastoreReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualCenterReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VirtualCenterReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualCenterReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('HostReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['HostReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('RightReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['RightReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgNetworkRelationReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgNetworkRelationReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgNetworkRelationReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogItemReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('CatalogItemReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogItemReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TaskReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('TaskReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['TaskReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BlockingTaskReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('BlockingTaskReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['BlockingTaskReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('DiskReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['DiskReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminDiskReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('AdminDiskReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminDiskReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedItemReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('StrandedItemReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedItemReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ServiceReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceLinkReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ServiceLinkReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceLinkReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcStorageProfileReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcStorageProfileReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcStorageProfileReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminOrgVdcStorageProfileReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('AdminOrgVdcStorageProfileReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminOrgVdcStorageProfileReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfileReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfileReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfileReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiFilterReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ApiFilterReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ApiFilterReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminApiDefinitionReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('AdminApiDefinitionReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminApiDefinitionReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiDefinitionReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ApiDefinitionReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ApiDefinitionReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminFileDescriptorReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('AdminFileDescriptorReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminFileDescriptorReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassActionReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassActionReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassActionReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AclRuleReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('AclRuleReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['AclRuleReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResourceResourceReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ServiceResourceResourceReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResourceResourceReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGatewayReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('EdgeGatewayReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGatewayReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcNetworkReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcNetworkReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcNetworkReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgVdcNetworkRelationReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgVdcNetworkRelationReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgVdcNetworkRelationReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingInstanceReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingInstanceReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingInstanceReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmServiceOfferingInstanceReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VmServiceOfferingInstanceReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VmServiceOfferingInstanceReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcServiceOfferingReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('VdcServiceOfferingReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcServiceOfferingReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceOfferingInstanceReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceOfferingInstanceReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceOfferingInstanceReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceExtensionReferences') {
            $obj = new VMware_VCloud_API_ReferencesType();
            $obj->build($child);
            $obj->set_tagName('ServiceExtensionReferences');
            $this->setReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceExtensionReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $obj = new VMware_VCloud_API_OVF_Section_Type();
            $obj->build($child);
            $obj->set_tagName('Section');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Content') {
            $obj = new VMware_VCloud_API_OVF_Content_Type();
            $obj->build($child);
            $obj->set_tagName('Content');
            $this->setContent($obj);
            if (!empty($namespace)) {
                $this->namespace['Content'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualSystem') {
            $obj = new VMware_VCloud_API_OVF_VirtualSystem_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualSystem');
            $this->setContent($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualSystem'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualSystemCollection') {
            $obj = new VMware_VCloud_API_OVF_VirtualSystemCollection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualSystemCollection');
            $this->setContent($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualSystemCollection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Strings') {
            $obj = new VMware_VCloud_API_OVF_Strings_Type();
            $obj->build($child);
            $obj->set_tagName('Strings');
            array_push($this->Strings, $obj);
            if (!empty($namespace)) {
                $this->namespace['Strings'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_EnvelopeType


/**
 * Type for list of external resources
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_References_Type {
    protected $File = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param array $File - [optional] an array of VMware_VCloud_API_OVF_File_Type objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($File=null, $Any=null) {
        if (!is_null($File)) {
            $this->File = $File;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'References';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getFile() {
        return $this->File;
    }
    public function setFile($File) { 
        $this->File = $File;
    }
    public function addFile($value) { array_push($this->File, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->File)) {
            foreach ($this->File as $File) {
                $out = $File->export('File', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->File) ||
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'File') {
            $obj = new VMware_VCloud_API_OVF_File_Type();
            $obj->build($child);
            $obj->set_tagName('File');
            array_push($this->File, $obj);
            if (!empty($namespace)) {
                $this->namespace['File'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_References_Type


/**
 * Type for an external reference to a  resource
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_File_Type {
    protected $compression = null;
    protected $href = null;
    protected $chunkSize = null;
    protected $id = null;
    protected $size = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $compression - [optional] an attribute, default ''
    * @param anyURI $href - [required] an attribute, 
    * @param long $chunkSize - [optional] an attribute, 
    * @param string $id - [required] an attribute, 
    * @param unsignedLong $size - [optional] an attribute, 
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($compression='', $href=null, $chunkSize=null, $id=null, $size=null, $Any=null) {
        $this->compression = $compression;
        $this->href = $href;
        $this->chunkSize = $chunkSize;
        $this->id = $id;
        $this->size = $size;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'File';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_compression(){
        return $this->compression;
    }
    public function set_compression($compression) {
        $this->compression = $compression;
    }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_chunkSize(){
        return $this->chunkSize;
    }
    public function set_chunkSize($chunkSize) {
        $this->chunkSize = $chunkSize;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_size(){
        return $this->size;
    }
    public function set_size($size) {
        $this->size = $size;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->compression)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'compression', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'compression=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->compression, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='compression')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        if (!is_null($this->chunkSize)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'chunkSize', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'chunkSize=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->chunkSize, $input_name='chunkSize')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        if (!is_null($this->size)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'size', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'size=' . VMware_VCloud_API_Helper::quote_attrib($this->size));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndcompression = $attrs->getNamedItem('compression');
        if (!is_null($ndcompression)) {
            $this->compression = $ndcompression->value;
            if (isset($ndcompression->prefix)) {
                $this->namespace['compression'] = $ndcompression->prefix;
                $nsUri = $ndcompression->lookupNamespaceURI($ndcompression->prefix);
            }
            $node->removeAttributeNS($nsUri, 'compression');
        } else {
            $this->compression = null;
        }
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndchunkSize = $attrs->getNamedItem('chunkSize');
        if (!is_null($ndchunkSize)) {
            $this->chunkSize = sprintf('%d', $ndchunkSize->value);
            if (isset($ndchunkSize->prefix)) {
                $this->namespace['chunkSize'] = $ndchunkSize->prefix;
                $nsUri = $ndchunkSize->lookupNamespaceURI($ndchunkSize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'chunkSize');
        } else {
            $this->chunkSize = null;
        }
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $ndsize = $attrs->getNamedItem('size');
        if (!is_null($ndsize)) {
            $this->size = $ndsize->value;
            if (isset($ndsize->prefix)) {
                $this->namespace['size'] = $ndsize->prefix;
                $nsUri = $ndsize->lookupNamespaceURI($ndsize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'size');
        } else {
            $this->size = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "compression"  && $localName != "href"  && $localName != "chunkSize"  && $localName != "id"  && $localName != "size" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_File_Type


/**
 * Base class for content
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Content_Type {
    protected $id = null;
    protected $Info = null;
    protected $Name = null;
    protected $Section = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $id - [required] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param VMware_VCloud_API_OVF_Msg_Type $Name - [optional]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    */
    public function __construct($id=null, $Info=null, $Name=null, $Section=null) {
        $this->id = $id;
        $this->Info = $Info;
        $this->Name = $Name;
        if (!is_null($Section)) {
            $this->Section = $Section;
        }
        $this->anyAttributes = array();
        $this->tagName = 'Content';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getInfo() {
        return $this->Info;
    }
    public function setInfo($Info) { 
        $this->Info = $Info;
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function addSection($value) { array_push($this->Section, $value); }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Info)) {
            $out = $this->Info->export('Info', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Name)) {
            $out = $this->Name->export('Name', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Section)) {
            foreach ($this->Section as $Section) {
                $tagName = $Section->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Section';
                }
                $out = $Section->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Info) ||
            !is_null($this->Name) ||
            !empty($this->Section)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "id" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Info') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Info');
            $this->setInfo($obj);
            if (!empty($namespace)) {
                $this->namespace['Info'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Name');
            $this->setName($obj);
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $obj = new VMware_VCloud_API_OVF_Section_Type();
            $obj->build($child);
            $obj->set_tagName('Section');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_Content_Type


/**
 * Content describing a virtual system
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_VirtualSystem_Type extends VMware_VCloud_API_OVF_Content_Type {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $id - [required] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param VMware_VCloud_API_OVF_Msg_Type $Name - [optional]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    */
    public function __construct($id=null, $Info=null, $Name=null, $Section=null) {
        parent::__construct($id, $Info, $Name, $Section);
        $this->tagName = 'VirtualSystem';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_VirtualSystem_Type


/**
 * A collection of Content.
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_VirtualSystemCollection_Type extends VMware_VCloud_API_OVF_Content_Type {
    protected $Content = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $id - [required] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param VMware_VCloud_API_OVF_Msg_Type $Name - [optional]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    * @param array $Content - [optional] an array of VMware_VCloud_API_OVF_Content_Type objects
    */
    public function __construct($id=null, $Info=null, $Name=null, $Section=null, $Content=null) {
        parent::__construct($id, $Info, $Name, $Section);
        if (!is_null($Content)) {
            $this->Content = $Content;
        }
        $this->tagName = 'VirtualSystemCollection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getContent() {
        return $this->Content;
    }
    public function setContent($Content) { 
        $this->Content = $Content;
    }
    public function addContent($value) { array_push($this->Content, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Content)) {
            foreach ($this->Content as $Content) {
                $tagName = $Content->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Content';
                }
                $out = $Content->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Content) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Content') {
            $obj = new VMware_VCloud_API_OVF_Content_Type();
            $obj->build($child);
            $obj->set_tagName('Content');
            array_push($this->Content, $obj);
            if (!empty($namespace)) {
                $this->namespace['Content'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualSystem') {
            $obj = new VMware_VCloud_API_OVF_VirtualSystem_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualSystem');
            array_push($this->Content, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualSystem'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualSystemCollection') {
            $obj = new VMware_VCloud_API_OVF_VirtualSystemCollection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualSystemCollection');
            array_push($this->Content, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualSystemCollection'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_VirtualSystemCollection_Type


/**
 * Type for string resource bundle
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Strings_Type {
    protected $lang = null;
    protected $fileRef = null;
    protected $Msg = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $lang - [optional] an attribute, 
    * @param string $fileRef - [optional] an attribute, 
    * @param array $Msg - [optional] an array of VMware_VCloud_API_OVF_Msg objects
    */
    public function __construct($lang=null, $fileRef=null, $Msg=null) {
        $this->lang = $lang;
        $this->fileRef = $fileRef;
        if (!is_null($Msg)) {
            $this->Msg = $Msg;
        }
        $this->anyAttributes = array();
        $this->tagName = 'Strings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMsg() {
        return $this->Msg;
    }
    public function setMsg($Msg) { 
        $this->Msg = $Msg;
    }
    public function addMsg($value) { array_push($this->Msg, $value); }
    public function get_lang(){
        return $this->lang;
    }
    public function set_lang($lang) {
        $this->lang = $lang;
    }
    public function get_fileRef(){
        return $this->fileRef;
    }
    public function set_fileRef($fileRef) {
        $this->fileRef = $fileRef;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->lang)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'lang', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'lang=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->lang, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='lang')));
        }
        if (!is_null($this->fileRef)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileRef=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fileRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fileRef')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Msg)) {
            foreach ($this->Msg as $Msg) {
                $out = $Msg->export('Msg', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Msg)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndlang = $attrs->getNamedItem('lang');
        if (!is_null($ndlang)) {
            $this->lang = $ndlang->value;
            if (isset($ndlang->prefix)) {
                $this->namespace['lang'] = $ndlang->prefix;
                $nsUri = $ndlang->lookupNamespaceURI($ndlang->prefix);
            }
            $node->removeAttributeNS($nsUri, 'lang');
        } else {
            $this->lang = null;
        }
        $ndfileRef = $attrs->getNamedItem('fileRef');
        if (!is_null($ndfileRef)) {
            $this->fileRef = $ndfileRef->value;
            if (isset($ndfileRef->prefix)) {
                $this->namespace['fileRef'] = $ndfileRef->prefix;
                $nsUri = $ndfileRef->lookupNamespaceURI($ndfileRef->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileRef');
        } else {
            $this->fileRef = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "lang"  && $localName != "fileRef" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Msg') {
            $obj = new VMware_VCloud_API_OVF_Msg();
            $obj->build($child);
            $obj->set_tagName('Msg');
            array_push($this->Msg, $obj);
            if (!empty($namespace)) {
                $this->namespace['Msg'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_Strings_Type


/**
 * Resource bundle element
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Msg {
    protected $msgid = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $msgid - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($msgid=null, $valueOf='') {
        $this->msgid = $msgid;
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Msg';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_msgid(){
        return $this->msgid;
    }
    public function set_msgid($msgid) {
        $this->msgid = $msgid;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'msgid', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'msgid=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->msgid, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='msgid')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndmsgid = $attrs->getNamedItem('msgid');
        if (!is_null($ndmsgid)) {
            $this->msgid = $ndmsgid->value;
            if (isset($ndmsgid->prefix)) {
                $this->namespace['msgid'] = $ndmsgid->prefix;
                $nsUri = $ndmsgid->lookupNamespaceURI($ndmsgid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'msgid');
        } else {
            $this->msgid = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "msgid" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_Msg


/**
 * Base type for Sections, subclassing this is the most  common form of extensibility. Subtypes define more specific  elements.
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Section_Type {
    protected $required = null;
    protected $Info = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    */
    public function __construct($required=null, $Info=null) {
        $this->required = $required;
        $this->Info = $Info;
        $this->anyAttributes = array();
        $this->tagName = 'Section';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getInfo() {
        return $this->Info;
    }
    public function setInfo($Info) { 
        $this->Info = $Info;
    }
    public function get_required(){
        return $this->required;
    }
    public function set_required($required) {
        $this->required = $required;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->required)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'required', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'required=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->required, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='required')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Info)) {
            $out = $this->Info->export('Info', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Info)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndrequired = $attrs->getNamedItem('required');
        if (!is_null($ndrequired)) {
            $this->required = $ndrequired->value;
            if (isset($ndrequired->prefix)) {
                $this->namespace['required'] = $ndrequired->prefix;
                $nsUri = $ndrequired->lookupNamespaceURI($ndrequired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'required');
        } else {
            $this->required = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "required" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Info') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Info');
            $this->setInfo($obj);
            if (!empty($namespace)) {
                $this->namespace['Info'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_Section_Type


/**
 * Type for localizable string
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Msg_Type {
    protected $msgid = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $msgid - [optional] an attribute, default ''
    * @param string $valueOf - [optional]
    */
    public function __construct($msgid='', $valueOf='') {
        $this->msgid = $msgid;
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Info';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_msgid(){
        return $this->msgid;
    }
    public function set_msgid($msgid) {
        $this->msgid = $msgid;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->msgid)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'msgid', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'msgid=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->msgid, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='msgid')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndmsgid = $attrs->getNamedItem('msgid');
        if (!is_null($ndmsgid)) {
            $this->msgid = $ndmsgid->value;
            if (isset($ndmsgid->prefix)) {
                $this->namespace['msgid'] = $ndmsgid->prefix;
                $nsUri = $ndmsgid->lookupNamespaceURI($ndmsgid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'msgid');
        } else {
            $this->msgid = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "msgid" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_Msg_Type


/**
 * User defined annotation
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_AnnotationSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $Annotation = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param VMware_VCloud_API_OVF_Msg_Type $Annotation - [required]
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $Annotation=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->Annotation = $Annotation;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'AnnotationSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAnnotation() {
        return $this->Annotation;
    }
    public function setAnnotation($Annotation) { 
        $this->Annotation = $Annotation;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Annotation)) {
            $out = $this->Annotation->export('Annotation', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Annotation) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Annotation') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Annotation');
            $this->setAnnotation($obj);
            if (!empty($namespace)) {
                $this->namespace['Annotation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_AnnotationSection_Type


/**
 * Product information for a virtual  appliance
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_ProductSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $instance = null;
    protected $class = null;
    protected $Product = null;
    protected $Vendor = null;
    protected $Version = null;
    protected $FullVersion = null;
    protected $ProductUrl = null;
    protected $VendorUrl = null;
    protected $AppUrl = null;
    protected $Icon = array();
    protected $Category = array();
    protected $Property = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param string $instance - [optional] an attribute, default ''
    * @param string $class - [optional] an attribute, default ''
    * @param VMware_VCloud_API_OVF_Msg_Type $Product - [optional]
    * @param VMware_VCloud_API_OVF_Msg_Type $Vendor - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Version - [optional]
    * @param VMware_VCloud_API_OVF_cimString $FullVersion - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ProductUrl - [optional]
    * @param VMware_VCloud_API_OVF_cimString $VendorUrl - [optional]
    * @param VMware_VCloud_API_OVF_cimString $AppUrl - [optional]
    * @param array $Icon - [optional] an array of VMware_VCloud_API_OVF_Icon objects
    * @param array $Category - [optional] an array of VMware_VCloud_API_OVF_Msg_Type objects
    * @param array $Property - [optional] an array of VMware_VCloud_API_OVF_Property objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $instance='', $classxx='', $Product=null, $Vendor=null, $Version=null, $FullVersion=null, $ProductUrl=null, $VendorUrl=null, $AppUrl=null, $Icon=null, $Category=null, $Property=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->instance = $instance;
        $this->classxx = $classxx;
        $this->Product = $Product;
        $this->Vendor = $Vendor;
        $this->Version = $Version;
        $this->FullVersion = $FullVersion;
        $this->ProductUrl = $ProductUrl;
        $this->VendorUrl = $VendorUrl;
        $this->AppUrl = $AppUrl;
        if (!is_null($Icon)) {
            $this->Icon = $Icon;
        }
        if (!is_null($Category)) {
            $this->Category = $Category;
        }
        if (!is_null($Property)) {
            $this->Property = $Property;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'ProductSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProduct() {
        return $this->Product;
    }
    public function setProduct($Product) { 
        $this->Product = $Product;
    }
    public function getVendor() {
        return $this->Vendor;
    }
    public function setVendor($Vendor) { 
        $this->Vendor = $Vendor;
    }
    public function getVersion() {
        return $this->Version;
    }
    public function setVersion($Version) { 
        $this->Version = $Version;
    }
    public function getFullVersion() {
        return $this->FullVersion;
    }
    public function setFullVersion($FullVersion) { 
        $this->FullVersion = $FullVersion;
    }
    public function getProductUrl() {
        return $this->ProductUrl;
    }
    public function setProductUrl($ProductUrl) { 
        $this->ProductUrl = $ProductUrl;
    }
    public function getVendorUrl() {
        return $this->VendorUrl;
    }
    public function setVendorUrl($VendorUrl) { 
        $this->VendorUrl = $VendorUrl;
    }
    public function getAppUrl() {
        return $this->AppUrl;
    }
    public function setAppUrl($AppUrl) { 
        $this->AppUrl = $AppUrl;
    }
    public function getIcon() {
        return $this->Icon;
    }
    public function setIcon($Icon) { 
        $this->Icon = $Icon;
    }
    public function addIcon($value) { array_push($this->Icon, $value); }
    public function getCategory() {
        return $this->Category;
    }
    public function setCategory($Category) { 
        $this->Category = $Category;
    }
    public function addCategory($value) { array_push($this->Category, $value); }
    public function getProperty() {
        return $this->Property;
    }
    public function setProperty($Property) { 
        $this->Property = $Property;
    }
    public function addProperty($value) { array_push($this->Property, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_instance(){
        return $this->instance;
    }
    public function set_instance($instance) {
        $this->instance = $instance;
    }
    public function get_class(){
        return $this->classxx;
    }
    public function set_class($classxx) {
        $this->classxx = $classxx;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->instance)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'instance', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'instance=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->instance, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='instance')));
        }
        if (!is_null($this->classxx)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'classxx', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'class=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->classxx, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='class')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Product)) {
            $out = $this->Product->export('Product', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Vendor)) {
            $out = $this->Vendor->export('Vendor', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Version)) {
            $out = $this->Version->export('Version', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->FullVersion)) {
            $out = $this->FullVersion->export('FullVersion', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ProductUrl)) {
            $out = $this->ProductUrl->export('ProductUrl', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VendorUrl)) {
            $out = $this->VendorUrl->export('VendorUrl', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AppUrl)) {
            $out = $this->AppUrl->export('AppUrl', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Icon)) {
            foreach ($this->Icon as $Icon) {
                $out = $Icon->export('Icon', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Category)) {
            foreach ($this->Category as $Category) {
                $out = $Category->export('Category', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Property)) {
            foreach ($this->Property as $Property) {
                $out = $Property->export('Property', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Product) ||
            !is_null($this->Vendor) ||
            !is_null($this->Version) ||
            !is_null($this->FullVersion) ||
            !is_null($this->ProductUrl) ||
            !is_null($this->VendorUrl) ||
            !is_null($this->AppUrl) ||
            !empty($this->Icon) ||
            !empty($this->Category) ||
            !empty($this->Property) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndinstance = $attrs->getNamedItem('instance');
        if (!is_null($ndinstance)) {
            $this->instance = $ndinstance->value;
            if (isset($ndinstance->prefix)) {
                $this->namespace['instance'] = $ndinstance->prefix;
                $nsUri = $ndinstance->lookupNamespaceURI($ndinstance->prefix);
            }
            $node->removeAttributeNS($nsUri, 'instance');
        } else {
            $this->instance = null;
        }
        $ndclass = $attrs->getNamedItem('class');
        if (!is_null($ndclass)) {
            $this->classxx = $ndclass->value;
            if (isset($ndclassxx->prefix)) {
                $this->namespace['classxx'] = $ndclass->prefix;
                $nsUri = $ndclassxx->lookupNamespaceURI($ndclass->prefix);
            }
            $node->removeAttributeNS($nsUri, 'class');
        } else {
            $this->classxx = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Product') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Product');
            $this->setProduct($obj);
            if (!empty($namespace)) {
                $this->namespace['Product'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vendor') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Vendor');
            $this->setVendor($obj);
            if (!empty($namespace)) {
                $this->namespace['Vendor'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Version') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Version');
            $this->setVersion($obj);
            if (!empty($namespace)) {
                $this->namespace['Version'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FullVersion') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('FullVersion');
            $this->setFullVersion($obj);
            if (!empty($namespace)) {
                $this->namespace['FullVersion'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductUrl') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('ProductUrl');
            $this->setProductUrl($obj);
            if (!empty($namespace)) {
                $this->namespace['ProductUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VendorUrl') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('VendorUrl');
            $this->setVendorUrl($obj);
            if (!empty($namespace)) {
                $this->namespace['VendorUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AppUrl') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('AppUrl');
            $this->setAppUrl($obj);
            if (!empty($namespace)) {
                $this->namespace['AppUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Icon') {
            $obj = new VMware_VCloud_API_OVF_Icon();
            $obj->build($child);
            $obj->set_tagName('Icon');
            array_push($this->Icon, $obj);
            if (!empty($namespace)) {
                $this->namespace['Icon'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Category') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Category');
            array_push($this->Category, $obj);
            if (!empty($namespace)) {
                $this->namespace['Category'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Property') {
            $obj = new VMware_VCloud_API_OVF_Property();
            $obj->build($child);
            $obj->set_tagName('Property');
            array_push($this->Property, $obj);
            if (!empty($namespace)) {
                $this->namespace['Property'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_ProductSection_Type


/**
 * Experimental: Display icon for product
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Icon {
    protected $mimeType = null;
    protected $width = null;
    protected $fileRef = null;
    protected $height = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $mimeType - [optional] an attribute, 
    * @param unsignedShort $width - [optional] an attribute, 
    * @param string $fileRef - [required] an attribute, 
    * @param unsignedShort $height - [optional] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($mimeType=null, $width=null, $fileRef=null, $height=null, $valueOf='') {
        $this->mimeType = $mimeType;
        $this->width = $width;
        $this->fileRef = $fileRef;
        $this->height = $height;
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Icon';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_mimeType(){
        return $this->mimeType;
    }
    public function set_mimeType($mimeType) {
        $this->mimeType = $mimeType;
    }
    public function get_width(){
        return $this->width;
    }
    public function set_width($width) {
        $this->width = $width;
    }
    public function get_fileRef(){
        return $this->fileRef;
    }
    public function set_fileRef($fileRef) {
        $this->fileRef = $fileRef;
    }
    public function get_height(){
        return $this->height;
    }
    public function set_height($height) {
        $this->height = $height;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->mimeType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'mimeType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'mimeType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->mimeType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='mimeType')));
        }
        if (!is_null($this->width)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'width', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'width=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->width, $input_name='width')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileRef', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileRef=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fileRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fileRef')));
        if (!is_null($this->height)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'height', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'height=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->height, $input_name='height')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndmimeType = $attrs->getNamedItem('mimeType');
        if (!is_null($ndmimeType)) {
            $this->mimeType = $ndmimeType->value;
            if (isset($ndmimeType->prefix)) {
                $this->namespace['mimeType'] = $ndmimeType->prefix;
                $nsUri = $ndmimeType->lookupNamespaceURI($ndmimeType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'mimeType');
        } else {
            $this->mimeType = null;
        }
        $ndwidth = $attrs->getNamedItem('width');
        if (!is_null($ndwidth)) {
            $this->width = sprintf('%d', $ndwidth->value);
            if (isset($ndwidth->prefix)) {
                $this->namespace['width'] = $ndwidth->prefix;
                $nsUri = $ndwidth->lookupNamespaceURI($ndwidth->prefix);
            }
            $node->removeAttributeNS($nsUri, 'width');
        } else {
            $this->width = null;
        }
        $ndfileRef = $attrs->getNamedItem('fileRef');
        if (!is_null($ndfileRef)) {
            $this->fileRef = $ndfileRef->value;
            if (isset($ndfileRef->prefix)) {
                $this->namespace['fileRef'] = $ndfileRef->prefix;
                $nsUri = $ndfileRef->lookupNamespaceURI($ndfileRef->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileRef');
        } else {
            $this->fileRef = null;
        }
        $ndheight = $attrs->getNamedItem('height');
        if (!is_null($ndheight)) {
            $this->height = sprintf('%d', $ndheight->value);
            if (isset($ndheight->prefix)) {
                $this->namespace['height'] = $ndheight->prefix;
                $nsUri = $ndheight->lookupNamespaceURI($ndheight->prefix);
            }
            $node->removeAttributeNS($nsUri, 'height');
        } else {
            $this->height = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "mimeType"  && $localName != "width"  && $localName != "fileRef"  && $localName != "height" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_Icon


/**
 * Property element
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Property {
    protected $userConfigurable = null;
    protected $value = null;
    protected $key = null;
    protected $password = null;
    protected $type = null;
    protected $qualifiers = null;
    protected $Label = array();
    protected $Description = array();
    protected $Value = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param boolean $userConfigurable - [optional] an attribute, default 'false'
    * @param string $value - [optional] an attribute, default ''
    * @param string $key - [required] an attribute, 
    * @param boolean $password - [optional] an attribute, default 'false'
    * @param string $type - [required] an attribute, 
    * @param string $qualifiers - [optional] an attribute, 
    * @param array $Label - [optional] an array of VMware_VCloud_API_OVF_Msg_Type objects
    * @param array $Description - [optional] an array of VMware_VCloud_API_OVF_cimString objects
    * @param array $Value - [optional] an array of VMware_VCloud_API_OVF_PropertyConfigurationValue_Type objects
    */
    public function __construct($userConfigurable=False, $value='', $key=null, $password=False, $type=null, $qualifiers=null, $Label=null, $Description=null, $Value=null) {
        $this->userConfigurable = $userConfigurable;
        $this->value = $value;
        $this->key = $key;
        $this->password = $password;
        $this->type = $type;
        $this->qualifiers = $qualifiers;
        if (!is_null($Label)) {
            $this->Label = $Label;
        }
        if (!is_null($Description)) {
            $this->Description = $Description;
        }
        if (!is_null($Value)) {
            $this->Value = $Value;
        }
        $this->anyAttributes = array();
        $this->tagName = 'Property';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLabel() {
        return $this->Label;
    }
    public function setLabel($Label) { 
        $this->Label = $Label;
    }
    public function addLabel($value) { array_push($this->Label, $value); }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function addDescription($value) { array_push($this->Description, $value); }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function addValue($value) { array_push($this->Value, $value); }
    public function get_userConfigurable(){
        return $this->userConfigurable;
    }
    public function set_userConfigurable($userConfigurable) {
        $this->userConfigurable = $userConfigurable;
    }
    public function get_value(){
        return $this->value;
    }
    public function set_value($value) {
        $this->value = $value;
    }
    public function get_key(){
        return $this->key;
    }
    public function set_key($key) {
        $this->key = $key;
    }
    public function get_password(){
        return $this->password;
    }
    public function set_password($password) {
        $this->password = $password;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_qualifiers(){
        return $this->qualifiers;
    }
    public function set_qualifiers($qualifiers) {
        $this->qualifiers = $qualifiers;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->userConfigurable)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'userConfigurable', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'userConfigurable=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->userConfigurable, $input_name='userConfigurable')));
        }
        if (!is_null($this->value)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'value=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='value')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'key', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'key=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->key, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='key')));
        if (!is_null($this->password)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'password=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->password, $input_name='password')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        if (!is_null($this->qualifiers)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'qualifiers', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'qualifiers=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->qualifiers, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='qualifiers')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Label)) {
            foreach ($this->Label as $Label) {
                $out = $Label->export('Label', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Description)) {
            foreach ($this->Description as $Description) {
                $out = $Description->export('Description', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Value)) {
            foreach ($this->Value as $Value) {
                $out = $Value->export('Value', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Label) ||
            !empty($this->Description) ||
            !empty($this->Value)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nduserConfigurable = $attrs->getNamedItem('userConfigurable');
        if (!is_null($nduserConfigurable)) {
            $this->userConfigurable = VMware_VCloud_API_Helper::get_boolean($nduserConfigurable->value);
            if (isset($nduserConfigurable->prefix)) {
                $this->namespace['userConfigurable'] = $nduserConfigurable->prefix;
                $nsUri = $nduserConfigurable->lookupNamespaceURI($nduserConfigurable->prefix);
            }
            $node->removeAttributeNS($nsUri, 'userConfigurable');
        } else {
            $this->userConfigurable = null;
        }
        $ndvalue = $attrs->getNamedItem('value');
        if (!is_null($ndvalue)) {
            $this->value = $ndvalue->value;
            if (isset($ndvalue->prefix)) {
                $this->namespace['value'] = $ndvalue->prefix;
                $nsUri = $ndvalue->lookupNamespaceURI($ndvalue->prefix);
            }
            $node->removeAttributeNS($nsUri, 'value');
        } else {
            $this->value = null;
        }
        $ndkey = $attrs->getNamedItem('key');
        if (!is_null($ndkey)) {
            $this->key = $ndkey->value;
            if (isset($ndkey->prefix)) {
                $this->namespace['key'] = $ndkey->prefix;
                $nsUri = $ndkey->lookupNamespaceURI($ndkey->prefix);
            }
            $node->removeAttributeNS($nsUri, 'key');
        } else {
            $this->key = null;
        }
        $ndpassword = $attrs->getNamedItem('password');
        if (!is_null($ndpassword)) {
            $this->password = VMware_VCloud_API_Helper::get_boolean($ndpassword->value);
            if (isset($ndpassword->prefix)) {
                $this->namespace['password'] = $ndpassword->prefix;
                $nsUri = $ndpassword->lookupNamespaceURI($ndpassword->prefix);
            }
            $node->removeAttributeNS($nsUri, 'password');
        } else {
            $this->password = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        $ndqualifiers = $attrs->getNamedItem('qualifiers');
        if (!is_null($ndqualifiers)) {
            $this->qualifiers = $ndqualifiers->value;
            if (isset($ndqualifiers->prefix)) {
                $this->namespace['qualifiers'] = $ndqualifiers->prefix;
                $nsUri = $ndqualifiers->lookupNamespaceURI($ndqualifiers->prefix);
            }
            $node->removeAttributeNS($nsUri, 'qualifiers');
        } else {
            $this->qualifiers = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "userConfigurable"  && $localName != "value"  && $localName != "key"  && $localName != "password"  && $localName != "type"  && $localName != "qualifiers" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Label') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Label');
            array_push($this->Label, $obj);
            if (!empty($namespace)) {
                $this->namespace['Label'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Description');
            array_push($this->Description, $obj);
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $obj = new VMware_VCloud_API_OVF_PropertyConfigurationValue_Type();
            $obj->build($child);
            $obj->set_tagName('Value');
            array_push($this->Value, $obj);
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_Property


/**
 * Type for alternative default values for properties when  DeploymentOptionSection is used
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_PropertyConfigurationValue_Type {
    protected $configuration = null;
    protected $value = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $configuration - [optional] an attribute, 
    * @param string $value - [required] an attribute, 
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($configuration=null, $value=null, $Any=null) {
        $this->configuration = $configuration;
        $this->value = $value;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'Value';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_configuration(){
        return $this->configuration;
    }
    public function set_configuration($configuration) {
        $this->configuration = $configuration;
    }
    public function get_value(){
        return $this->value;
    }
    public function set_value($value) {
        $this->value = $value;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->configuration)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'configuration', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'configuration=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->configuration, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='configuration')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'value', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'value=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='value')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndconfiguration = $attrs->getNamedItem('configuration');
        if (!is_null($ndconfiguration)) {
            $this->configuration = $ndconfiguration->value;
            if (isset($ndconfiguration->prefix)) {
                $this->namespace['configuration'] = $ndconfiguration->prefix;
                $nsUri = $ndconfiguration->lookupNamespaceURI($ndconfiguration->prefix);
            }
            $node->removeAttributeNS($nsUri, 'configuration');
        } else {
            $this->configuration = null;
        }
        $ndvalue = $attrs->getNamedItem('value');
        if (!is_null($ndvalue)) {
            $this->value = $ndvalue->value;
            if (isset($ndvalue->prefix)) {
                $this->namespace['value'] = $ndvalue->prefix;
                $nsUri = $ndvalue->lookupNamespaceURI($ndvalue->prefix);
            }
            $node->removeAttributeNS($nsUri, 'value');
        } else {
            $this->value = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "configuration"  && $localName != "value" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_PropertyConfigurationValue_Type


/**
 * Descriptions of logical networks used within the  package
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_NetworkSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $Network = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param array $Network - [optional] an array of VMware_VCloud_API_OVF_Network objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $Network=null, $Any=null) {
        parent::__construct($required, $Info);
        if (!is_null($Network)) {
            $this->Network = $Network;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'NetworkSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetwork() {
        return $this->Network;
    }
    public function setNetwork($Network) { 
        $this->Network = $Network;
    }
    public function addNetwork($value) { array_push($this->Network, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Network)) {
            foreach ($this->Network as $Network) {
                $out = $Network->export('Network', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Network) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Network') {
            $obj = new VMware_VCloud_API_OVF_Network();
            $obj->build($child);
            $obj->set_tagName('Network');
            array_push($this->Network, $obj);
            if (!empty($namespace)) {
                $this->namespace['Network'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_NetworkSection_Type


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Network {
    protected $name = null;
    protected $Description = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $name - [required] an attribute, 
    * @param VMware_VCloud_API_OVF_cimString $Description - [optional]
    */
    public function __construct($name=null, $Description=null) {
        $this->name = $name;
        $this->Description = $Description;
        $this->anyAttributes = array();
        $this->tagName = 'Network';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Description)) {
            $out = $this->Description->export('Description', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Description)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "name" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Description');
            $this->setDescription($obj);
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_Network


/**
 * Descriptions of virtual disks used within the  package
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_DiskSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $Disk = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param array $Disk - [optional] an array of VMware_VCloud_API_OVF_VirtualDiskDesc_Type objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $Disk=null, $Any=null) {
        parent::__construct($required, $Info);
        if (!is_null($Disk)) {
            $this->Disk = $Disk;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'DiskSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDisk() {
        return $this->Disk;
    }
    public function setDisk($Disk) { 
        $this->Disk = $Disk;
    }
    public function addDisk($value) { array_push($this->Disk, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Disk)) {
            foreach ($this->Disk as $Disk) {
                $out = $Disk->export('Disk', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Disk) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Disk') {
            $obj = new VMware_VCloud_API_OVF_VirtualDiskDesc_Type();
            $obj->build($child);
            $obj->set_tagName('Disk');
            array_push($this->Disk, $obj);
            if (!empty($namespace)) {
                $this->namespace['Disk'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_DiskSection_Type


/**
 * Type for virtual disk descriptor
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_VirtualDiskDesc_Type {
    protected $capacityAllocationUnits = null;
    protected $capacity = null;
    protected $format = null;
    protected $parentRef = null;
    protected $fileRef = null;
    protected $populatedSize = null;
    protected $diskId = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $capacityAllocationUnits - [optional] an attribute, default 'byte'
    * @param string $capacity - [required] an attribute, 
    * @param string $format - [optional] an attribute, 
    * @param string $parentRef - [optional] an attribute, 
    * @param string $fileRef - [optional] an attribute, 
    * @param long $populatedSize - [optional] an attribute, 
    * @param string $diskId - [required] an attribute, 
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($capacityAllocationUnits='byte', $capacity=null, $format=null, $parentRef=null, $fileRef=null, $populatedSize=null, $diskId=null, $Any=null) {
        $this->capacityAllocationUnits = $capacityAllocationUnits;
        $this->capacity = $capacity;
        $this->format = $format;
        $this->parentRef = $parentRef;
        $this->fileRef = $fileRef;
        $this->populatedSize = $populatedSize;
        $this->diskId = $diskId;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'Disk';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_capacityAllocationUnits(){
        return $this->capacityAllocationUnits;
    }
    public function set_capacityAllocationUnits($capacityAllocationUnits) {
        $this->capacityAllocationUnits = $capacityAllocationUnits;
    }
    public function get_capacity(){
        return $this->capacity;
    }
    public function set_capacity($capacity) {
        $this->capacity = $capacity;
    }
    public function get_format(){
        return $this->format;
    }
    public function set_format($format) {
        $this->format = $format;
    }
    public function get_parentRef(){
        return $this->parentRef;
    }
    public function set_parentRef($parentRef) {
        $this->parentRef = $parentRef;
    }
    public function get_fileRef(){
        return $this->fileRef;
    }
    public function set_fileRef($fileRef) {
        $this->fileRef = $fileRef;
    }
    public function get_populatedSize(){
        return $this->populatedSize;
    }
    public function set_populatedSize($populatedSize) {
        $this->populatedSize = $populatedSize;
    }
    public function get_diskId(){
        return $this->diskId;
    }
    public function set_diskId($diskId) {
        $this->diskId = $diskId;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->capacityAllocationUnits)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'capacityAllocationUnits', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'capacityAllocationUnits=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->capacityAllocationUnits, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='capacityAllocationUnits')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'capacity', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'capacity=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->capacity, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='capacity')));
        if (!is_null($this->format)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'format', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'format=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->format, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='format')));
        }
        if (!is_null($this->parentRef)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'parentRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'parentRef=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->parentRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='parentRef')));
        }
        if (!is_null($this->fileRef)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileRef=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fileRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fileRef')));
        }
        if (!is_null($this->populatedSize)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'populatedSize', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'populatedSize=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->populatedSize, $input_name='populatedSize')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'diskId', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'diskId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->diskId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='diskId')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndcapacityAllocationUnits = $attrs->getNamedItem('capacityAllocationUnits');
        if (!is_null($ndcapacityAllocationUnits)) {
            $this->capacityAllocationUnits = $ndcapacityAllocationUnits->value;
            if (isset($ndcapacityAllocationUnits->prefix)) {
                $this->namespace['capacityAllocationUnits'] = $ndcapacityAllocationUnits->prefix;
                $nsUri = $ndcapacityAllocationUnits->lookupNamespaceURI($ndcapacityAllocationUnits->prefix);
            }
            $node->removeAttributeNS($nsUri, 'capacityAllocationUnits');
        } else {
            $this->capacityAllocationUnits = null;
        }
        $ndcapacity = $attrs->getNamedItem('capacity');
        if (!is_null($ndcapacity)) {
            $this->capacity = $ndcapacity->value;
            if (isset($ndcapacity->prefix)) {
                $this->namespace['capacity'] = $ndcapacity->prefix;
                $nsUri = $ndcapacity->lookupNamespaceURI($ndcapacity->prefix);
            }
            $node->removeAttributeNS($nsUri, 'capacity');
        } else {
            $this->capacity = null;
        }
        $ndformat = $attrs->getNamedItem('format');
        if (!is_null($ndformat)) {
            $this->format = $ndformat->value;
            if (isset($ndformat->prefix)) {
                $this->namespace['format'] = $ndformat->prefix;
                $nsUri = $ndformat->lookupNamespaceURI($ndformat->prefix);
            }
            $node->removeAttributeNS($nsUri, 'format');
        } else {
            $this->format = null;
        }
        $ndparentRef = $attrs->getNamedItem('parentRef');
        if (!is_null($ndparentRef)) {
            $this->parentRef = $ndparentRef->value;
            if (isset($ndparentRef->prefix)) {
                $this->namespace['parentRef'] = $ndparentRef->prefix;
                $nsUri = $ndparentRef->lookupNamespaceURI($ndparentRef->prefix);
            }
            $node->removeAttributeNS($nsUri, 'parentRef');
        } else {
            $this->parentRef = null;
        }
        $ndfileRef = $attrs->getNamedItem('fileRef');
        if (!is_null($ndfileRef)) {
            $this->fileRef = $ndfileRef->value;
            if (isset($ndfileRef->prefix)) {
                $this->namespace['fileRef'] = $ndfileRef->prefix;
                $nsUri = $ndfileRef->lookupNamespaceURI($ndfileRef->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileRef');
        } else {
            $this->fileRef = null;
        }
        $ndpopulatedSize = $attrs->getNamedItem('populatedSize');
        if (!is_null($ndpopulatedSize)) {
            $this->populatedSize = sprintf('%d', $ndpopulatedSize->value);
            if (isset($ndpopulatedSize->prefix)) {
                $this->namespace['populatedSize'] = $ndpopulatedSize->prefix;
                $nsUri = $ndpopulatedSize->lookupNamespaceURI($ndpopulatedSize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'populatedSize');
        } else {
            $this->populatedSize = null;
        }
        $nddiskId = $attrs->getNamedItem('diskId');
        if (!is_null($nddiskId)) {
            $this->diskId = $nddiskId->value;
            if (isset($nddiskId->prefix)) {
                $this->namespace['diskId'] = $nddiskId->prefix;
                $nsUri = $nddiskId->lookupNamespaceURI($nddiskId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'diskId');
        } else {
            $this->diskId = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "capacityAllocationUnits"  && $localName != "capacity"  && $localName != "format"  && $localName != "parentRef"  && $localName != "fileRef"  && $localName != "populatedSize"  && $localName != "diskId" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_VirtualDiskDesc_Type


/**
 * Specification of the operating system installed in the  guest
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_OperatingSystemSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $version = null;
    protected $id = null;
    protected $Description = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param string $version - [optional] an attribute, 
    * @param unsignedShort $id - [required] an attribute, 
    * @param VMware_VCloud_API_OVF_cimString $Description - [optional]
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $version=null, $id=null, $Description=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->version = $version;
        $this->id = $id;
        $this->Description = $Description;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'OperatingSystemSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_version(){
        return $this->version;
    }
    public function set_version($version) {
        $this->version = $version;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->version)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'version', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'version=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->version, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='version')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->id, $input_name='id')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Description)) {
            $out = $this->Description->export('Description', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Description) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndversion = $attrs->getNamedItem('version');
        if (!is_null($ndversion)) {
            $this->version = $ndversion->value;
            if (isset($ndversion->prefix)) {
                $this->namespace['version'] = $ndversion->prefix;
                $nsUri = $ndversion->lookupNamespaceURI($ndversion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'version');
        } else {
            $this->version = null;
        }
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = sprintf('%d', $ndid->value);
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Description');
            $this->setDescription($obj);
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_OperatingSystemSection_Type


/**
 * End-User License Agreement
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_EulaSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $License = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param VMware_VCloud_API_OVF_Msg_Type $License - [required]
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $License=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->License = $License;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'EulaSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLicense() {
        return $this->License;
    }
    public function setLicense($License) { 
        $this->License = $License;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->License)) {
            $out = $this->License->export('License', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->License) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'License') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('License');
            $this->setLicense($obj);
            if (!empty($namespace)) {
                $this->namespace['License'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_EulaSection_Type


/**
 * Specifies virtual hardware requirements for a virtual  machine
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_VirtualHardwareSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $id = null;
    protected $transport = null;
    protected $System = null;
    protected $Item = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param string $id - [optional] an attribute, default ''
    * @param string $transport - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_VSSD_Type $System - [optional]
    * @param array $Item - [optional] an array of VMware_VCloud_API_OVF_RASD_Type objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $id='', $transport=null, $System=null, $Item=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->id = $id;
        $this->transport = $transport;
        $this->System = $System;
        if (!is_null($Item)) {
            $this->Item = $Item;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'VirtualHardwareSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSystem() {
        return $this->System;
    }
    public function setSystem($System) { 
        $this->System = $System;
    }
    public function getItem() {
        return $this->Item;
    }
    public function setItem($Item) { 
        $this->Item = $Item;
    }
    public function addItem($value) { array_push($this->Item, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_transport(){
        return $this->transport;
    }
    public function set_transport($transport) {
        $this->transport = $transport;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->id)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        }
        if (!is_null($this->transport)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'transport', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'transport=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->transport, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='transport')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->System)) {
            $out = $this->System->export('System', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Item)) {
            foreach ($this->Item as $Item) {
                $out = $Item->export('Item', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->System) ||
            !empty($this->Item) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $ndtransport = $attrs->getNamedItem('transport');
        if (!is_null($ndtransport)) {
            $this->transport = $ndtransport->value;
            if (isset($ndtransport->prefix)) {
                $this->namespace['transport'] = $ndtransport->prefix;
                $nsUri = $ndtransport->lookupNamespaceURI($ndtransport->prefix);
            }
            $node->removeAttributeNS($nsUri, 'transport');
        } else {
            $this->transport = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'System') {
            $obj = new VMware_VCloud_API_OVF_VSSD_Type();
            $obj->build($child);
            $obj->set_tagName('System');
            $this->setSystem($obj);
            if (!empty($namespace)) {
                $this->namespace['System'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Item') {
            $obj = new VMware_VCloud_API_OVF_RASD_Type();
            $obj->build($child);
            $obj->set_tagName('Item');
            array_push($this->Item, $obj);
            if (!empty($namespace)) {
                $this->namespace['Item'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_VirtualHardwareSection_Type


/**
 * Resource constraints on a  VirtualSystemCollection
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_ResourceAllocationSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $Item = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param array $Item - [optional] an array of VMware_VCloud_API_OVF_RASD_Type objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $Item=null, $Any=null) {
        parent::__construct($required, $Info);
        if (!is_null($Item)) {
            $this->Item = $Item;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'ResourceAllocationSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getItem() {
        return $this->Item;
    }
    public function setItem($Item) { 
        $this->Item = $Item;
    }
    public function addItem($value) { array_push($this->Item, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Item)) {
            foreach ($this->Item as $Item) {
                $out = $Item->export('Item', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Item) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Item') {
            $obj = new VMware_VCloud_API_OVF_RASD_Type();
            $obj->build($child);
            $obj->set_tagName('Item');
            array_push($this->Item, $obj);
            if (!empty($namespace)) {
                $this->namespace['Item'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_ResourceAllocationSection_Type


/**
 * If present indicates that the virtual machine needs to be  initially booted to install and configure the software
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_InstallSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $initialBootStopDelay = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param unsignedShort $initialBootStopDelay - [optional] an attribute, default '0'
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $initialBootStopDelay=0, $Any=null) {
        parent::__construct($required, $Info);
        $this->initialBootStopDelay = $initialBootStopDelay;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'InstallSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_initialBootStopDelay(){
        return $this->initialBootStopDelay;
    }
    public function set_initialBootStopDelay($initialBootStopDelay) {
        $this->initialBootStopDelay = $initialBootStopDelay;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->initialBootStopDelay)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'initialBootStopDelay', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'initialBootStopDelay=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->initialBootStopDelay, $input_name='initialBootStopDelay')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndinitialBootStopDelay = $attrs->getNamedItem('initialBootStopDelay');
        if (!is_null($ndinitialBootStopDelay)) {
            $this->initialBootStopDelay = sprintf('%d', $ndinitialBootStopDelay->value);
            if (isset($ndinitialBootStopDelay->prefix)) {
                $this->namespace['initialBootStopDelay'] = $ndinitialBootStopDelay->prefix;
                $nsUri = $ndinitialBootStopDelay->lookupNamespaceURI($ndinitialBootStopDelay->prefix);
            }
            $node->removeAttributeNS($nsUri, 'initialBootStopDelay');
        } else {
            $this->initialBootStopDelay = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_InstallSection_Type


/**
 * Specifies the order in which entities in a  VirtualSystemCollection are powered on and shut down
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_StartupSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $Item = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param array $Item - [optional] an array of VMware_VCloud_API_OVF_RASD_Type objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $Item=null, $Any=null) {
        parent::__construct($required, $Info);
        if (!is_null($Item)) {
            $this->Item = $Item;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'StartupSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getItem() {
        return $this->Item;
    }
    public function setItem($Item) { 
        $this->Item = $Item;
    }
    public function addItem($value) { array_push($this->Item, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Item)) {
            foreach ($this->Item as $Item) {
                $out = $Item->export('Item', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Item) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Item') {
            $obj = new VMware_VCloud_API_OVF_RASD_Type();
            $obj->build($child);
            $obj->set_tagName('Item');
            array_push($this->Item, $obj);
            if (!empty($namespace)) {
                $this->namespace['Item'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_StartupSection_Type


/**
 * Unique identifier of  the content (within a VirtualSystemCollection)  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Item {
    protected $stopDelay = null;
    protected $order = null;
    protected $startAction = null;
    protected $startDelay = null;
    protected $waitingForGuest = null;
    protected $stopAction = null;
    protected $id = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param unsignedShort $stopDelay - [optional] an attribute, default '0'
    * @param unsignedShort $order - [required] an attribute, 
    * @param string $startAction - [optional] an attribute, default 'powerOn'
    * @param unsignedShort $startDelay - [optional] an attribute, default '0'
    * @param boolean $waitingForGuest - [optional] an attribute, default 'false'
    * @param string $stopAction - [optional] an attribute, default 'powerOff'
    * @param string $id - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($stopDelay=0, $order=null, $startAction='powerOn', $startDelay=0, $waitingForGuest=False, $stopAction='powerOff', $id=null, $valueOf='') {
        $this->stopDelay = $stopDelay;
        $this->order = $order;
        $this->startAction = $startAction;
        $this->startDelay = $startDelay;
        $this->waitingForGuest = $waitingForGuest;
        $this->stopAction = $stopAction;
        $this->id = $id;
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Item';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_stopDelay(){
        return $this->stopDelay;
    }
    public function set_stopDelay($stopDelay) {
        $this->stopDelay = $stopDelay;
    }
    public function get_order(){
        return $this->order;
    }
    public function set_order($order) {
        $this->order = $order;
    }
    public function get_startAction(){
        return $this->startAction;
    }
    public function set_startAction($startAction) {
        $this->startAction = $startAction;
    }
    public function get_startDelay(){
        return $this->startDelay;
    }
    public function set_startDelay($startDelay) {
        $this->startDelay = $startDelay;
    }
    public function get_waitingForGuest(){
        return $this->waitingForGuest;
    }
    public function set_waitingForGuest($waitingForGuest) {
        $this->waitingForGuest = $waitingForGuest;
    }
    public function get_stopAction(){
        return $this->stopAction;
    }
    public function set_stopAction($stopAction) {
        $this->stopAction = $stopAction;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->stopDelay)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'stopDelay', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'stopDelay=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->stopDelay, $input_name='stopDelay')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'order', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'order=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->order, $input_name='order')));
        if (!is_null($this->startAction)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'startAction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'startAction=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->startAction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='startAction')));
        }
        if (!is_null($this->startDelay)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'startDelay', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'startDelay=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->startDelay, $input_name='startDelay')));
        }
        if (!is_null($this->waitingForGuest)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'waitingForGuest', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'waitingForGuest=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->waitingForGuest, $input_name='waitingForGuest')));
        }
        if (!is_null($this->stopAction)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'stopAction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'stopAction=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->stopAction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='stopAction')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstopDelay = $attrs->getNamedItem('stopDelay');
        if (!is_null($ndstopDelay)) {
            $this->stopDelay = sprintf('%d', $ndstopDelay->value);
            if (isset($ndstopDelay->prefix)) {
                $this->namespace['stopDelay'] = $ndstopDelay->prefix;
                $nsUri = $ndstopDelay->lookupNamespaceURI($ndstopDelay->prefix);
            }
            $node->removeAttributeNS($nsUri, 'stopDelay');
        } else {
            $this->stopDelay = null;
        }
        $ndorder = $attrs->getNamedItem('order');
        if (!is_null($ndorder)) {
            $this->order = sprintf('%d', $ndorder->value);
            if (isset($ndorder->prefix)) {
                $this->namespace['order'] = $ndorder->prefix;
                $nsUri = $ndorder->lookupNamespaceURI($ndorder->prefix);
            }
            $node->removeAttributeNS($nsUri, 'order');
        } else {
            $this->order = null;
        }
        $ndstartAction = $attrs->getNamedItem('startAction');
        if (!is_null($ndstartAction)) {
            $this->startAction = $ndstartAction->value;
            if (isset($ndstartAction->prefix)) {
                $this->namespace['startAction'] = $ndstartAction->prefix;
                $nsUri = $ndstartAction->lookupNamespaceURI($ndstartAction->prefix);
            }
            $node->removeAttributeNS($nsUri, 'startAction');
        } else {
            $this->startAction = null;
        }
        $ndstartDelay = $attrs->getNamedItem('startDelay');
        if (!is_null($ndstartDelay)) {
            $this->startDelay = sprintf('%d', $ndstartDelay->value);
            if (isset($ndstartDelay->prefix)) {
                $this->namespace['startDelay'] = $ndstartDelay->prefix;
                $nsUri = $ndstartDelay->lookupNamespaceURI($ndstartDelay->prefix);
            }
            $node->removeAttributeNS($nsUri, 'startDelay');
        } else {
            $this->startDelay = null;
        }
        $ndwaitingForGuest = $attrs->getNamedItem('waitingForGuest');
        if (!is_null($ndwaitingForGuest)) {
            $this->waitingForGuest = VMware_VCloud_API_Helper::get_boolean($ndwaitingForGuest->value);
            if (isset($ndwaitingForGuest->prefix)) {
                $this->namespace['waitingForGuest'] = $ndwaitingForGuest->prefix;
                $nsUri = $ndwaitingForGuest->lookupNamespaceURI($ndwaitingForGuest->prefix);
            }
            $node->removeAttributeNS($nsUri, 'waitingForGuest');
        } else {
            $this->waitingForGuest = null;
        }
        $ndstopAction = $attrs->getNamedItem('stopAction');
        if (!is_null($ndstopAction)) {
            $this->stopAction = $ndstopAction->value;
            if (isset($ndstopAction->prefix)) {
                $this->namespace['stopAction'] = $ndstopAction->prefix;
                $nsUri = $ndstopAction->lookupNamespaceURI($ndstopAction->prefix);
            }
            $node->removeAttributeNS($nsUri, 'stopAction');
        } else {
            $this->stopAction = null;
        }
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "stopDelay"  && $localName != "order"  && $localName != "startAction"  && $localName != "startDelay"  && $localName != "waitingForGuest"  && $localName != "stopAction"  && $localName != "id" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVF_Item


/**
 * Enumeration of discrete deployment  options
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_DeploymentOptionSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $Configuration = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param array $Configuration - [required] an array of VMware_VCloud_API_OVF_Configuration objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $Configuration=null, $Any=null) {
        parent::__construct($required, $Info);
        if (!is_null($Configuration)) {
            $this->Configuration = $Configuration;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'DeploymentOptionSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getConfiguration() {
        return $this->Configuration;
    }
    public function setConfiguration($Configuration) { 
        $this->Configuration = $Configuration;
    }
    public function addConfiguration($value) { array_push($this->Configuration, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Configuration)) {
            foreach ($this->Configuration as $Configuration) {
                $out = $Configuration->export('Configuration', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Configuration) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Configuration') {
            $obj = new VMware_VCloud_API_OVF_Configuration();
            $obj->build($child);
            $obj->set_tagName('Configuration');
            array_push($this->Configuration, $obj);
            if (!empty($namespace)) {
                $this->namespace['Configuration'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_DeploymentOptionSection_Type


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_Configuration {
    protected $default = null;
    protected $id = null;
    protected $Label = null;
    protected $Description = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param boolean $default - [optional] an attribute, default 'false'
    * @param string $id - [required] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Label - [required]
    * @param VMware_VCloud_API_OVF_cimString $Description - [required]
    */
    public function __construct($default=False, $id=null, $Label=null, $Description=null) {
        $this->default = $default;
        $this->id = $id;
        $this->Label = $Label;
        $this->Description = $Description;
        $this->anyAttributes = array();
        $this->tagName = 'Configuration';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLabel() {
        return $this->Label;
    }
    public function setLabel($Label) { 
        $this->Label = $Label;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function get_default(){
        return $this->default;
    }
    public function set_default($default) {
        $this->default = $default;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->default)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'default', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'default=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->default, $input_name='default')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Label)) {
            $out = $this->Label->export('Label', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Description)) {
            $out = $this->Description->export('Description', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Label) ||
            !is_null($this->Description)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nddefault = $attrs->getNamedItem('default');
        if (!is_null($nddefault)) {
            $this->default = VMware_VCloud_API_Helper::get_boolean($nddefault->value);
            if (isset($nddefault->prefix)) {
                $this->namespace['default'] = $nddefault->prefix;
                $nsUri = $nddefault->lookupNamespaceURI($nddefault->prefix);
            }
            $node->removeAttributeNS($nsUri, 'default');
        } else {
            $this->default = null;
        }
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "default"  && $localName != "id" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Label') {
            $obj = new VMware_VCloud_API_OVF_Msg_Type();
            $obj->build($child);
            $obj->set_tagName('Label');
            $this->setLabel($obj);
            if (!empty($namespace)) {
                $this->namespace['Label'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Description');
            $this->setDescription($obj);
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVF_Configuration


/**
 * Wrapper for  CIM_VirtualSystemSettingData_Type
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_VSSD_Type extends VMware_VCloud_API_OVF_CIM_VirtualSystemSettingData_Type {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param VMware_VCloud_API_OVF_AutomaticRecoveryAction $AutomaticRecoveryAction - [optional]
    * @param VMware_VCloud_API_OVF_AutomaticShutdownAction $AutomaticShutdownAction - [optional]
    * @param VMware_VCloud_API_OVF_AutomaticStartupAction $AutomaticStartupAction - [optional]
    * @param VMware_VCloud_API_OVF_cimDateTime $AutomaticStartupActionDelay - [optional]
    * @param VMware_VCloud_API_OVF_cimUnsignedShort $AutomaticStartupActionSequenceNumber - [optional]
    * @param VMware_VCloud_API_OVF_Caption $Caption - [optional]
    * @param VMware_VCloud_API_OVF_ChangeableType $ChangeableType - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationDataRoot - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationFile - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationID - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationName - [optional]
    * @param VMware_VCloud_API_OVF_cimDateTime $CreationTime - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Description - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ElementName - [required]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $Generation - [optional]
    * @param VMware_VCloud_API_OVF_cimString $InstanceID - [required]
    * @param VMware_VCloud_API_OVF_cimString $LogDataRoot - [optional]
    * @param array $Notes - [optional] an array of VMware_VCloud_API_OVF_cimString objects
    * @param VMware_VCloud_API_OVF_cimString $RecoveryFile - [optional]
    * @param VMware_VCloud_API_OVF_cimString $SnapshotDataRoot - [optional]
    * @param VMware_VCloud_API_OVF_cimString $SuspendDataRoot - [optional]
    * @param VMware_VCloud_API_OVF_cimString $SwapFileDataRoot - [optional]
    * @param VMware_VCloud_API_OVF_cimString $VirtualSystemIdentifier - [optional]
    * @param VMware_VCloud_API_OVF_cimString $VirtualSystemType - [optional]
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($AutomaticRecoveryAction=null, $AutomaticShutdownAction=null, $AutomaticStartupAction=null, $AutomaticStartupActionDelay=null, $AutomaticStartupActionSequenceNumber=null, $Caption=null, $ChangeableType=null, $ConfigurationDataRoot=null, $ConfigurationFile=null, $ConfigurationID=null, $ConfigurationName=null, $CreationTime=null, $Description=null, $ElementName=null, $Generation=null, $InstanceID=null, $LogDataRoot=null, $Notes=null, $RecoveryFile=null, $SnapshotDataRoot=null, $SuspendDataRoot=null, $SwapFileDataRoot=null, $VirtualSystemIdentifier=null, $VirtualSystemType=null, $Any=null) {
        parent::__construct($AutomaticRecoveryAction, $AutomaticShutdownAction, $AutomaticStartupAction, $AutomaticStartupActionDelay, $AutomaticStartupActionSequenceNumber, $Caption, $ChangeableType, $ConfigurationDataRoot, $ConfigurationFile, $ConfigurationID, $ConfigurationName, $CreationTime, $Description, $ElementName, $Generation, $InstanceID, $LogDataRoot, $Notes, $RecoveryFile, $SnapshotDataRoot, $SuspendDataRoot, $SwapFileDataRoot, $VirtualSystemIdentifier, $VirtualSystemType, $Any);
        $this->anyAttributes = array();
        $this->tagName = 'System';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_VSSD_Type


/**
 * Wrapper for  CIM_ResourceAllocationSettingData_Type
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVF
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVF_RASD_Type extends VMware_VCloud_API_OVF_CIM_ResourceAllocationSettingData_Type {
    protected $required = null;
    protected $bound = null;
    protected $configuration = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/envelope/1';

   /**
    * @param VMware_VCloud_API_OVF_cimString $Address - [optional]
    * @param VMware_VCloud_API_OVF_cimString $AddressOnParent - [optional]
    * @param VMware_VCloud_API_OVF_cimString $AllocationUnits - [optional]
    * @param VMware_VCloud_API_OVF_cimBoolean $AutomaticAllocation - [optional]
    * @param VMware_VCloud_API_OVF_cimBoolean $AutomaticDeallocation - [optional]
    * @param VMware_VCloud_API_OVF_Caption $Caption - [optional]
    * @param VMware_VCloud_API_OVF_ChangeableType $ChangeableType - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ConfigurationName - [optional]
    * @param array $Connection - [optional] an array of VMware_VCloud_API_OVF_cimString objects
    * @param VMware_VCloud_API_OVF_ConsumerVisibility $ConsumerVisibility - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Description - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ElementName - [required]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $Generation - [optional]
    * @param array $HostResource - [optional] an array of VMware_VCloud_API_OVF_cimString objects
    * @param VMware_VCloud_API_OVF_cimString $InstanceID - [required]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $Limit - [optional]
    * @param VMware_VCloud_API_OVF_MappingBehavior $MappingBehavior - [optional]
    * @param VMware_VCloud_API_OVF_cimString $OtherResourceType - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Parent - [optional]
    * @param VMware_VCloud_API_OVF_cimString $PoolID - [optional]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $Reservation - [optional]
    * @param VMware_VCloud_API_OVF_cimString $ResourceSubType - [optional]
    * @param VMware_VCloud_API_OVF_ResourceType $ResourceType - [optional]
    * @param VMware_VCloud_API_OVF_cimUnsignedLong $VirtualQuantity - [optional]
    * @param VMware_VCloud_API_OVF_cimString $VirtualQuantityUnits - [optional]
    * @param VMware_VCloud_API_OVF_cimUnsignedInt $Weight - [optional]
    * @param array $Any - [optional] an array of any type of objects
    * @param boolean $required - [optional] an attribute, default 'true'
    * @param string $bound - [optional] an attribute, 
    * @param string $configuration - [optional] an attribute, 
    */
    public function __construct($Address=null, $AddressOnParent=null, $AllocationUnits=null, $AutomaticAllocation=null, $AutomaticDeallocation=null, $Caption=null, $ChangeableType=null, $ConfigurationName=null, $Connection=null, $ConsumerVisibility=null, $Description=null, $ElementName=null, $Generation=null, $HostResource=null, $InstanceID=null, $Limit=null, $MappingBehavior=null, $OtherResourceType=null, $Parent=null, $PoolID=null, $Reservation=null, $ResourceSubType=null, $ResourceType=null, $VirtualQuantity=null, $VirtualQuantityUnits=null, $Weight=null, $Any=null, $required=True, $bound=null, $configuration=null) {
        parent::__construct($Address, $AddressOnParent, $AllocationUnits, $AutomaticAllocation, $AutomaticDeallocation, $Caption, $ChangeableType, $ConfigurationName, $Connection, $ConsumerVisibility, $Description, $ElementName, $Generation, $HostResource, $InstanceID, $Limit, $MappingBehavior, $OtherResourceType, $Parent, $PoolID, $Reservation, $ResourceSubType, $ResourceType, $VirtualQuantity, $VirtualQuantityUnits, $Weight, $Any);
        $this->required = $required;
        $this->bound = $bound;
        $this->configuration = $configuration;
        $this->anyAttributes = array();
        $this->tagName = 'Item';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_required(){
        return $this->required;
    }
    public function set_required($required) {
        $this->required = $required;
    }
    public function get_bound(){
        return $this->bound;
    }
    public function set_bound($bound) {
        $this->bound = $bound;
    }
    public function get_configuration(){
        return $this->configuration;
    }
    public function set_configuration($configuration) {
        $this->configuration = $configuration;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->required)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'required', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'required=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->required, $input_name='required')));
        }
        if (!is_null($this->bound)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'bound', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'bound=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->bound, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='bound')));
        }
        if (!is_null($this->configuration)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'configuration', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'configuration=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->configuration, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='configuration')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndrequired = $attrs->getNamedItem('required');
        if (!is_null($ndrequired)) {
            $this->required = VMware_VCloud_API_Helper::get_boolean($ndrequired->value);
            if (isset($ndrequired->prefix)) {
                $this->namespace['required'] = $ndrequired->prefix;
                $nsUri = $ndrequired->lookupNamespaceURI($ndrequired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'required');
        } else {
            $this->required = null;
        }
        $ndbound = $attrs->getNamedItem('bound');
        if (!is_null($ndbound)) {
            $this->bound = $ndbound->value;
            if (isset($ndbound->prefix)) {
                $this->namespace['bound'] = $ndbound->prefix;
                $nsUri = $ndbound->lookupNamespaceURI($ndbound->prefix);
            }
            $node->removeAttributeNS($nsUri, 'bound');
        } else {
            $this->bound = null;
        }
        $ndconfiguration = $attrs->getNamedItem('configuration');
        if (!is_null($ndconfiguration)) {
            $this->configuration = $ndconfiguration->value;
            if (isset($ndconfiguration->prefix)) {
                $this->namespace['configuration'] = $ndconfiguration->prefix;
                $nsUri = $ndconfiguration->lookupNamespaceURI($ndconfiguration->prefix);
            }
            $node->removeAttributeNS($nsUri, 'configuration');
        } else {
            $this->configuration = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "required"  && $localName != "bound"  && $localName != "configuration" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVF_RASD_Type


/**
 * Type for root OVF environment
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVFENV
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVFENV_Environment_Type {
    protected $id = null;
    protected $Section = array();
    protected $Entity = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/environment/1';

   /**
    * @param string $id - [optional] an attribute, default ''
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVFENV_Section_Type objects
    * @param array $Entity - [optional] an array of VMware_VCloud_API_OVFENV_Entity_Type objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($id='', $Section=null, $Entity=null, $Any=null) {
        $this->id = $id;
        if (!is_null($Section)) {
            $this->Section = $Section;
        }
        if (!is_null($Entity)) {
            $this->Entity = $Entity;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'Environment';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function addSection($value) { array_push($this->Section, $value); }
    public function getEntity() {
        return $this->Entity;
    }
    public function setEntity($Entity) { 
        $this->Entity = $Entity;
    }
    public function addEntity($value) { array_push($this->Entity, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->id)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Section)) {
            foreach ($this->Section as $Section) {
                $tagName = $Section->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Section';
                }
                $out = $Section->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Entity)) {
            foreach ($this->Entity as $Entity) {
                $out = $Entity->export('Entity', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Section) ||
            !empty($this->Entity) ||
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "id" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $obj = new VMware_VCloud_API_OVFENV_Section_Type();
            $obj->build($child);
            $obj->set_tagName('Section');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Entity') {
            $obj = new VMware_VCloud_API_OVFENV_Entity_Type();
            $obj->build($child);
            $obj->set_tagName('Entity');
            array_push($this->Entity, $obj);
            if (!empty($namespace)) {
                $this->namespace['Entity'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVFENV_Environment_Type


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVFENV
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVFENV_Any {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/environment/1';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'Any';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVFENV_Any


/**
 * Container of sections for a specific entity  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVFENV
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVFENV_Entity_Type {
    protected $id = null;
    protected $Section = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/environment/1';

   /**
    * @param string $id - [required] an attribute, 
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVFENV_Section_Type objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($id=null, $Section=null, $Any=null) {
        $this->id = $id;
        if (!is_null($Section)) {
            $this->Section = $Section;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'Entity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function addSection($value) { array_push($this->Section, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Section)) {
            foreach ($this->Section as $Section) {
                $tagName = $Section->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Section';
                }
                $out = $Section->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Section) ||
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "id" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $obj = new VMware_VCloud_API_OVFENV_Section_Type();
            $obj->build($child);
            $obj->set_tagName('Section');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OVFENV_Entity_Type


/**
 * Abstract type for all sections in  environment
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVFENV
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVFENV_Section_Type {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/environment/1';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Section';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVFENV_Section_Type


/**
 * Key/value pairs of assigned properties for an  entity
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVFENV
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVFENV_PropertySection_Type extends VMware_VCloud_API_OVFENV_Section_Type {
    protected $Property = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/environment/1';

   /**
    * @param array $Property - [optional] an array of VMware_VCloud_API_OVFENV_Property objects
    * @param array $Any - [optional] an array of any type of objects
    * @param string $valueOf - [optional]
    */
    public function __construct($Property=null, $Any=null, $valueOf='') {
        parent::__construct($valueOf);
        if (!is_null($Property)) {
            $this->Property = $Property;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'PropertySection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProperty() {
        return $this->Property;
    }
    public function setProperty($Property) { 
        $this->Property = $Property;
    }
    public function addProperty($value) { array_push($this->Property, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Property)) {
            foreach ($this->Property as $Property) {
                $out = $Property->export('Property', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array())) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Property) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Property') {
            $obj = new VMware_VCloud_API_OVFENV_Property();
            $obj->build($child);
            $obj->set_tagName('Property');
            array_push($this->Property, $obj);
            if (!empty($namespace)) {
                $this->namespace['Property'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVFENV_PropertySection_Type


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVFENV
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVFENV_Property {
    protected $value = null;
    protected $key = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/environment/1';

   /**
    * @param string $value - [required] an attribute, 
    * @param string $key - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($value=null, $key=null, $valueOf='') {
        $this->value = $value;
        $this->key = $key;
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Property';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_value(){
        return $this->value;
    }
    public function set_value($value) {
        $this->value = $value;
    }
    public function get_key(){
        return $this->key;
    }
    public function set_key($key) {
        $this->key = $key;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'value', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'value=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='value')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'key', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'key=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->key, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='key')));
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvalue = $attrs->getNamedItem('value');
        if (!is_null($ndvalue)) {
            $this->value = $ndvalue->value;
            if (isset($ndvalue->prefix)) {
                $this->namespace['value'] = $ndvalue->prefix;
                $nsUri = $ndvalue->lookupNamespaceURI($ndvalue->prefix);
            }
            $node->removeAttributeNS($nsUri, 'value');
        } else {
            $this->value = null;
        }
        $ndkey = $attrs->getNamedItem('key');
        if (!is_null($ndkey)) {
            $this->key = $ndkey->value;
            if (isset($ndkey->prefix)) {
                $this->namespace['key'] = $ndkey->prefix;
                $nsUri = $ndkey->lookupNamespaceURI($ndkey->prefix);
            }
            $node->removeAttributeNS($nsUri, 'key');
        } else {
            $this->key = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "value"  && $localName != "key" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_OVFENV_Property


/**
 * Information about deployment platform
 *
 * @category   VMware
 * @package    VMware_VCloud_API_OVFENV
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OVFENV_PlatformSection_Type extends VMware_VCloud_API_OVFENV_Section_Type {
    protected $Kind = null;
    protected $Version = null;
    protected $Vendor = null;
    protected $Locale = null;
    protected $Timezone = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://schemas.dmtf.org/ovf/environment/1';

   /**
    * @param VMware_VCloud_API_OVF_cimString $Kind - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Version - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Vendor - [optional]
    * @param VMware_VCloud_API_OVF_cimString $Locale - [optional]
    * @param int $Timezone - [optional] 
    * @param array $Any - [optional] an array of any type of objects
    * @param string $valueOf - [optional]
    */
    public function __construct($Kind=null, $Version=null, $Vendor=null, $Locale=null, $Timezone=null, $Any=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->Kind = $Kind;
        $this->Version = $Version;
        $this->Vendor = $Vendor;
        $this->Locale = $Locale;
        $this->Timezone = $Timezone;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'PlatformSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getKind() {
        return $this->Kind;
    }
    public function setKind($Kind) { 
        $this->Kind = $Kind;
    }
    public function getVersion() {
        return $this->Version;
    }
    public function setVersion($Version) { 
        $this->Version = $Version;
    }
    public function getVendor() {
        return $this->Vendor;
    }
    public function setVendor($Vendor) { 
        $this->Vendor = $Vendor;
    }
    public function getLocale() {
        return $this->Locale;
    }
    public function setLocale($Locale) { 
        $this->Locale = $Locale;
    }
    public function getTimezone() {
        return $this->Timezone;
    }
    public function setTimezone($Timezone) { 
        $this->Timezone = $Timezone;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Kind)) {
            $out = $this->Kind->export('Kind', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Version)) {
            $out = $this->Version->export('Version', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Vendor)) {
            $out = $this->Vendor->export('Vendor', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Locale)) {
            $out = $this->Locale->export('Locale', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Timezone)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Timezone', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Timezone>" . VMware_VCloud_API_Helper::format_integer($this->Timezone, $input_name='Timezone') . "</" . $ns . "Timezone>\n");
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array())) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Kind) ||
            !is_null($this->Version) ||
            !is_null($this->Vendor) ||
            !is_null($this->Locale) ||
            !is_null($this->Timezone) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Kind') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Kind');
            $this->setKind($obj);
            if (!empty($namespace)) {
                $this->namespace['Kind'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Version') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Version');
            $this->setVersion($obj);
            if (!empty($namespace)) {
                $this->namespace['Version'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vendor') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Vendor');
            $this->setVendor($obj);
            if (!empty($namespace)) {
                $this->namespace['Vendor'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Locale') {
            $obj = new VMware_VCloud_API_OVF_cimString();
            $obj->build($child);
            $obj->set_tagName('Locale');
            $this->setLocale($obj);
            if (!empty($namespace)) {
                $this->namespace['Locale'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Timezone') {
            $sval = $child->nodeValue;
            $this->Timezone = $sval;
            if (!empty($namespace)) {
                $this->namespace['Timezone'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OVFENV_PlatformSection_Type


/**
 * Specifies the IP Assignment policy that is  supported
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpAssignmentSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $schemes = null;
    protected $protocols = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/schema/ovf';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param string $schemes - [optional] an attribute, default ''
    * @param string $protocols - [optional] an attribute, default 'IPv4'
    */
    public function __construct($required=null, $Info=null, $schemes='', $protocols='IPv4') {
        parent::__construct($required, $Info);
        $this->schemes = $schemes;
        $this->protocols = $protocols;
        $this->anyAttributes = array();
        $this->tagName = 'IpAssignmentSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_schemes(){
        return $this->schemes;
    }
    public function set_schemes($schemes) {
        $this->schemes = $schemes;
    }
    public function get_protocols(){
        return $this->protocols;
    }
    public function set_protocols($protocols) {
        $this->protocols = $protocols;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->schemes)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'schemes', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'schemes=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->schemes, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='schemes')));
        }
        if (!is_null($this->protocols)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'protocols', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'protocols=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->protocols, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='protocols')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndschemes = $attrs->getNamedItem('schemes');
        if (!is_null($ndschemes)) {
            $this->schemes = $ndschemes->value;
            if (isset($ndschemes->prefix)) {
                $this->namespace['schemes'] = $ndschemes->prefix;
                $nsUri = $ndschemes->lookupNamespaceURI($ndschemes->prefix);
            }
            $node->removeAttributeNS($nsUri, 'schemes');
        } else {
            $this->schemes = null;
        }
        $ndprotocols = $attrs->getNamedItem('protocols');
        if (!is_null($ndprotocols)) {
            $this->protocols = $ndprotocols->value;
            if (isset($ndprotocols->prefix)) {
                $this->namespace['protocols'] = $ndprotocols->prefix;
                $nsUri = $ndprotocols->lookupNamespaceURI($ndprotocols->prefix);
            }
            $node->removeAttributeNS($nsUri, 'protocols');
        } else {
            $this->protocols = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "schemes"  && $localName != "protocols" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpAssignmentSection_Type


/**
 * CPU Architecture requirements for guest  software
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CpuCompatibilitySection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $Level = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/schema/ovf';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param array $Level - [required] an array of VMware_VCloud_API_Level objects
    */
    public function __construct($required=null, $Info=null, $Level=null) {
        parent::__construct($required, $Info);
        if (!is_null($Level)) {
            $this->Level = $Level;
        }
        $this->anyAttributes = array();
        $this->tagName = 'CpuCompatibilitySection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLevel() {
        return $this->Level;
    }
    public function setLevel($Level) { 
        $this->Level = $Level;
    }
    public function addLevel($value) { array_push($this->Level, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Level)) {
            foreach ($this->Level as $Level) {
                $out = $Level->export('Level', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Level) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Level') {
            $obj = new VMware_VCloud_API_Level();
            $obj->build($child);
            $obj->set_tagName('Level');
            array_push($this->Level, $obj);
            if (!empty($namespace)) {
                $this->namespace['Level'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CpuCompatibilitySection_Type


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Level {
    protected $vendor = null;
    protected $level = null;
    protected $eax = null;
    protected $edx = null;
    protected $ebx = null;
    protected $ecx = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $vendor - [optional] an attribute, default ''
    * @param string $level - [required] an attribute, 
    * @param string $eax - [optional] an attribute, 
    * @param string $edx - [optional] an attribute, 
    * @param string $ebx - [optional] an attribute, 
    * @param string $ecx - [optional] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($vendor='', $level=null, $eax=null, $edx=null, $ebx=null, $ecx=null, $valueOf='') {
        $this->vendor = $vendor;
        $this->level = $level;
        $this->eax = $eax;
        $this->edx = $edx;
        $this->ebx = $ebx;
        $this->ecx = $ecx;
        $this->valueOf = $valueOf;
        $this->anyAttributes = array();
        $this->tagName = 'Level';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vendor(){
        return $this->vendor;
    }
    public function set_vendor($vendor) {
        $this->vendor = $vendor;
    }
    public function get_level(){
        return $this->level;
    }
    public function set_level($level) {
        $this->level = $level;
    }
    public function get_eax(){
        return $this->eax;
    }
    public function set_eax($eax) {
        $this->eax = $eax;
    }
    public function get_edx(){
        return $this->edx;
    }
    public function set_edx($edx) {
        $this->edx = $edx;
    }
    public function get_ebx(){
        return $this->ebx;
    }
    public function set_ebx($ebx) {
        $this->ebx = $ebx;
    }
    public function get_ecx(){
        return $this->ecx;
    }
    public function set_ecx($ecx) {
        $this->ecx = $ecx;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->vendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vendor')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'level', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'level=' . VMware_VCloud_API_Helper::quote_attrib($this->level));
        if (!is_null($this->eax)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eax', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eax=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->eax, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='eax')));
        }
        if (!is_null($this->edx)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'edx', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'edx=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->edx, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='edx')));
        }
        if (!is_null($this->ebx)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ebx', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ebx=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ebx, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ebx')));
        }
        if (!is_null($this->ecx)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ecx', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ecx=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ecx, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ecx')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvendor = $attrs->getNamedItem('vendor');
        if (!is_null($ndvendor)) {
            $this->vendor = $ndvendor->value;
            if (isset($ndvendor->prefix)) {
                $this->namespace['vendor'] = $ndvendor->prefix;
                $nsUri = $ndvendor->lookupNamespaceURI($ndvendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vendor');
        } else {
            $this->vendor = null;
        }
        $ndlevel = $attrs->getNamedItem('level');
        if (!is_null($ndlevel)) {
            $this->level = $ndlevel->value;
            if (isset($ndlevel->prefix)) {
                $this->namespace['level'] = $ndlevel->prefix;
                $nsUri = $ndlevel->lookupNamespaceURI($ndlevel->prefix);
            }
            $node->removeAttributeNS($nsUri, 'level');
        } else {
            $this->level = null;
        }
        $ndeax = $attrs->getNamedItem('eax');
        if (!is_null($ndeax)) {
            $this->eax = $ndeax->value;
            if (isset($ndeax->prefix)) {
                $this->namespace['eax'] = $ndeax->prefix;
                $nsUri = $ndeax->lookupNamespaceURI($ndeax->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eax');
        } else {
            $this->eax = null;
        }
        $ndedx = $attrs->getNamedItem('edx');
        if (!is_null($ndedx)) {
            $this->edx = $ndedx->value;
            if (isset($ndedx->prefix)) {
                $this->namespace['edx'] = $ndedx->prefix;
                $nsUri = $ndedx->lookupNamespaceURI($ndedx->prefix);
            }
            $node->removeAttributeNS($nsUri, 'edx');
        } else {
            $this->edx = null;
        }
        $ndebx = $attrs->getNamedItem('ebx');
        if (!is_null($ndebx)) {
            $this->ebx = $ndebx->value;
            if (isset($ndebx->prefix)) {
                $this->namespace['ebx'] = $ndebx->prefix;
                $nsUri = $ndebx->lookupNamespaceURI($ndebx->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ebx');
        } else {
            $this->ebx = null;
        }
        $ndecx = $attrs->getNamedItem('ecx');
        if (!is_null($ndecx)) {
            $this->ecx = $ndecx->value;
            if (isset($ndecx->prefix)) {
                $this->namespace['ecx'] = $ndecx->prefix;
                $nsUri = $ndecx->lookupNamespaceURI($ndecx->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ecx');
        } else {
            $this->ecx = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "vendor"  && $localName != "level"  && $localName != "eax"  && $localName != "edx"  && $localName != "ebx"  && $localName != "ecx" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_Level


/**
 * Specifies the boot device for this VirtualSystem
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_BootOrderSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $instanceId = null;
    protected $type = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/schema/ovf';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param int $instanceId - [optional] an attribute, 
    * @param string $type - [optional] an attribute, default ''
    */
    public function __construct($required=null, $Info=null, $instanceId=null, $type='') {
        parent::__construct($required, $Info);
        $this->instanceId = $instanceId;
        $this->type = $type;
        $this->anyAttributes = array();
        $this->tagName = 'BootOrderSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_instanceId(){
        return $this->instanceId;
    }
    public function set_instanceId($instanceId) {
        $this->instanceId = $instanceId;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->instanceId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'instanceId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'instanceId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->instanceId, $input_name='instanceId')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndinstanceId = $attrs->getNamedItem('instanceId');
        if (!is_null($ndinstanceId)) {
            $this->instanceId = sprintf('%d', $ndinstanceId->value);
            if (isset($ndinstanceId->prefix)) {
                $this->namespace['instanceId'] = $ndinstanceId->prefix;
                $nsUri = $ndinstanceId->lookupNamespaceURI($ndinstanceId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'instanceId');
        } else {
            $this->instanceId = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "instanceId"  && $localName != "type" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_BootOrderSection_Type


/**
 * Config key
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ConfigKeyValue_Type {
    protected $required = null;
    protected $value = null;
    protected $key = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/schema/ovf';

   /**
    * @param string $required - [optional] an attribute, 
    * @param string $value - [required] an attribute, 
    * @param string $key - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($required=null, $value=null, $key=null, $valueOf='') {
        $this->required = $required;
        $this->value = $value;
        $this->key = $key;
        $this->valueOf = $valueOf;
        $this->tagName = 'ConfigKeyValue_Type';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_required(){
        return $this->required;
    }
    public function set_required($required) {
        $this->required = $required;
    }
    public function get_value(){
        return $this->value;
    }
    public function set_value($value) {
        $this->value = $value;
    }
    public function get_key(){
        return $this->key;
    }
    public function set_key($key) {
        $this->key = $key;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->required)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'required', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'required=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->required, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='required')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'value', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'value=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='value')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'key', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'key=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->key, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='key')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndrequired = $attrs->getNamedItem('required');
        if (!is_null($ndrequired)) {
            $this->required = $ndrequired->value;
            if (isset($ndrequired->prefix)) {
                $this->namespace['required'] = $ndrequired->prefix;
                $nsUri = $ndrequired->lookupNamespaceURI($ndrequired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'required');
        } else {
            $this->required = null;
        }
        $ndvalue = $attrs->getNamedItem('value');
        if (!is_null($ndvalue)) {
            $this->value = $ndvalue->value;
            if (isset($ndvalue->prefix)) {
                $this->namespace['value'] = $ndvalue->prefix;
                $nsUri = $ndvalue->lookupNamespaceURI($ndvalue->prefix);
            }
            $node->removeAttributeNS($nsUri, 'value');
        } else {
            $this->value = null;
        }
        $ndkey = $attrs->getNamedItem('key');
        if (!is_null($ndkey)) {
            $this->key = $ndkey->value;
            if (isset($ndkey->prefix)) {
                $this->namespace['key'] = $ndkey->prefix;
                $nsUri = $ndkey->lookupNamespaceURI($ndkey->prefix);
            }
            $node->removeAttributeNS($nsUri, 'key');
        } else {
            $this->key = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_ConfigKeyValue_Type


/**
 * Config element
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Config_Type extends VMware_VCloud_API_ConfigKeyValue_Type {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/schema/ovf';

   /**
    * @param string $required - [optional] an attribute, 
    * @param string $value - [required] an attribute, 
    * @param string $key - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($required=null, $value=null, $key=null, $valueOf='') {
        parent::__construct($required, $value, $key, $valueOf);
        $this->tagName = 'Config';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Config_Type


/**
 * ExtraConfig element
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ExtraConfig_Type extends VMware_VCloud_API_ConfigKeyValue_Type {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/schema/ovf';

   /**
    * @param string $required - [optional] an attribute, 
    * @param string $value - [required] an attribute, 
    * @param string $key - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($required=null, $value=null, $key=null, $valueOf='') {
        parent::__construct($required, $value, $key, $valueOf);
        $this->tagName = 'ExtraConfig';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ExtraConfig_Type


/**
 * Type for CoresPerSocket element
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CoresPerSocket_Type extends VMware_VCloud_API_OVF_cimUnsignedInt {
    protected $required = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/schema/ovf';

   /**
    * @param string $required - [optional] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($required=null, $valueOf='') {
        parent::__construct($valueOf);
        $this->required = $required;
        $this->anyAttributes = array();
        $this->tagName = 'CoresPerSocket';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_required(){
        return $this->required;
    }
    public function set_required($required) {
        $this->required = $required;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->required)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'required', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'required=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->required, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='required')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndrequired = $attrs->getNamedItem('required');
        if (!is_null($ndrequired)) {
            $this->required = $ndrequired->value;
            if (isset($ndrequired->prefix)) {
                $this->namespace['required'] = $ndrequired->prefix;
                $nsUri = $ndrequired->lookupNamespaceURI($ndrequired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'required');
        } else {
            $this->required = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "required" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CoresPerSocket_Type


/**
 * Vendor services available for service insertion on networks or edge gateways.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VendorServicesType {
    protected $NetworkServices = array();
    protected $EdgeGatewayServices = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $NetworkServices - [optional] an array of VMware_VCloud_API_NetworkServiceInsertionType objects
    * @param array $EdgeGatewayServices - [optional] an array of VMware_VCloud_API_NetworkServiceInsertionType objects
    */
    public function __construct($NetworkServices=null, $EdgeGatewayServices=null) {
        if (!is_null($NetworkServices)) {
            $this->NetworkServices = $NetworkServices;
        }
        if (!is_null($EdgeGatewayServices)) {
            $this->EdgeGatewayServices = $EdgeGatewayServices;
        }
        $this->tagName = 'VendorServices';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetworkServices() {
        return $this->NetworkServices;
    }
    public function setNetworkServices($NetworkServices) { 
        $this->NetworkServices = $NetworkServices;
    }
    public function addNetworkServices($value) { array_push($this->NetworkServices, $value); }
    public function getEdgeGatewayServices() {
        return $this->EdgeGatewayServices;
    }
    public function setEdgeGatewayServices($EdgeGatewayServices) { 
        $this->EdgeGatewayServices = $EdgeGatewayServices;
    }
    public function addEdgeGatewayServices($value) { array_push($this->EdgeGatewayServices, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->NetworkServices)) {
            foreach ($this->NetworkServices as $NetworkServices) {
                $out = $NetworkServices->export('NetworkServices', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->EdgeGatewayServices)) {
            foreach ($this->EdgeGatewayServices as $EdgeGatewayServices) {
                $out = $EdgeGatewayServices->export('EdgeGatewayServices', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->NetworkServices) ||
            !empty($this->EdgeGatewayServices)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkServices') {
            $obj = new VMware_VCloud_API_NetworkServiceInsertionType();
            $obj->build($child);
            $obj->set_tagName('NetworkServices');
            array_push($this->NetworkServices, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkServices'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGatewayServices') {
            $obj = new VMware_VCloud_API_NetworkServiceInsertionType();
            $obj->build($child);
            $obj->set_tagName('EdgeGatewayServices');
            array_push($this->EdgeGatewayServices, $obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGatewayServices'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_VendorServicesType


/**
 * Information about a network service that has been inserted  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkServiceInsertionType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $Id = null;
    protected $Category = null;
    protected $CategoryType = null;
    protected $VendorTemplates = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [optional] 
    * @param string $Id - [optional] 
    * @param string $Category - [optional] 
    * @param string $CategoryType - [optional] 
    * @param array $VendorTemplates - [optional] an array of VMware_VCloud_API_VendorTemplateType objects
    */
    public function __construct($VCloudExtension=null, $Name=null, $Id=null, $Category=null, $CategoryType=null, $VendorTemplates=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->Id = $Id;
        $this->Category = $Category;
        $this->CategoryType = $CategoryType;
        if (!is_null($VendorTemplates)) {
            $this->VendorTemplates = $VendorTemplates;
        }
        $this->tagName = 'NetworkServiceInsertion';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getId() {
        return $this->Id;
    }
    public function setId($Id) { 
        $this->Id = $Id;
    }
    public function getCategory() {
        return $this->Category;
    }
    public function setCategory($Category) { 
        $this->Category = $Category;
    }
    public function getCategoryType() {
        return $this->CategoryType;
    }
    public function setCategoryType($CategoryType) { 
        $this->CategoryType = $CategoryType;
    }
    public function getVendorTemplates() {
        return $this->VendorTemplates;
    }
    public function setVendorTemplates($VendorTemplates) { 
        $this->VendorTemplates = $VendorTemplates;
    }
    public function addVendorTemplates($value) { array_push($this->VendorTemplates, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Id)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Id>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Id')) . "</" . $ns . "Id>\n");
        }
        if (!is_null($this->Category)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Category', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Category>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Category, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Category')) . "</" . $ns . "Category>\n");
        }
        if (!is_null($this->CategoryType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CategoryType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CategoryType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CategoryType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CategoryType')) . "</" . $ns . "CategoryType>\n");
        }
        if (isset($this->VendorTemplates)) {
            foreach ($this->VendorTemplates as $VendorTemplates) {
                $out = $VendorTemplates->export('VendorTemplates', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Id) ||
            !is_null($this->Category) ||
            !is_null($this->CategoryType) ||
            !empty($this->VendorTemplates) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Id') {
            $sval = $child->nodeValue;
            $this->Id = $sval;
            if (!empty($namespace)) {
                $this->namespace['Id'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Category') {
            $sval = $child->nodeValue;
            $this->Category = $sval;
            if (!empty($namespace)) {
                $this->namespace['Category'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CategoryType') {
            $sval = $child->nodeValue;
            $this->CategoryType = $sval;
            if (!empty($namespace)) {
                $this->namespace['CategoryType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VendorTemplates') {
            $obj = new VMware_VCloud_API_VendorTemplateType();
            $obj->build($child);
            $obj->set_tagName('VendorTemplates');
            array_push($this->VendorTemplates, $obj);
            if (!empty($namespace)) {
                $this->namespace['VendorTemplates'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkServiceInsertionType


/**
 * Information about a vendor service template. This is optional.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VendorTemplateType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $Id = null;
    protected $VendorTemplateAttributes = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [optional] 
    * @param string $Id - [optional] 
    * @param array $VendorTemplateAttributes - [optional] an array of VMware_VCloud_API_VendorTemplateAttributesType objects
    */
    public function __construct($VCloudExtension=null, $Name=null, $Id=null, $VendorTemplateAttributes=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->Id = $Id;
        if (!is_null($VendorTemplateAttributes)) {
            $this->VendorTemplateAttributes = $VendorTemplateAttributes;
        }
        $this->tagName = 'VendorTemplates';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getId() {
        return $this->Id;
    }
    public function setId($Id) { 
        $this->Id = $Id;
    }
    public function getVendorTemplateAttributes() {
        return $this->VendorTemplateAttributes;
    }
    public function setVendorTemplateAttributes($VendorTemplateAttributes) { 
        $this->VendorTemplateAttributes = $VendorTemplateAttributes;
    }
    public function addVendorTemplateAttributes($value) { array_push($this->VendorTemplateAttributes, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Id)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Id>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Id')) . "</" . $ns . "Id>\n");
        }
        if (isset($this->VendorTemplateAttributes)) {
            foreach ($this->VendorTemplateAttributes as $VendorTemplateAttributes) {
                $out = $VendorTemplateAttributes->export('VendorTemplateAttributes', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Id) ||
            !empty($this->VendorTemplateAttributes) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Id') {
            $sval = $child->nodeValue;
            $this->Id = $sval;
            if (!empty($namespace)) {
                $this->namespace['Id'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VendorTemplateAttributes') {
            $obj = new VMware_VCloud_API_VendorTemplateAttributesType();
            $obj->build($child);
            $obj->set_tagName('VendorTemplateAttributes');
            array_push($this->VendorTemplateAttributes, $obj);
            if (!empty($namespace)) {
                $this->namespace['VendorTemplateAttributes'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VendorTemplateType


/**
 * Information about vendor template attributes  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VendorTemplateAttributesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $Key = null;
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [optional] 
    * @param string $Key - [optional] 
    * @param string $Value - [optional] 
    */
    public function __construct($VCloudExtension=null, $Name=null, $Key=null, $Value=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->Key = $Key;
        $this->Value = $Value;
        $this->tagName = 'VendorTemplateAttributes';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getKey() {
        return $this->Key;
    }
    public function setKey($Key) { 
        $this->Key = $Key;
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Key)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Key', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Key>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Key, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Key')) . "</" . $ns . "Key>\n");
        }
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Key) ||
            !is_null($this->Value) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Key') {
            $sval = $child->nodeValue;
            $this->Key = $sval;
            if (!empty($namespace)) {
                $this->namespace['Key'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VendorTemplateAttributesType


/**
 * This is the root of the substitution group for network services.  Replace it with any of NatService, LoadBalancerService  IpsecVpnService/GatewayIpsecVpnService,  DhcpService/GatewayDhcpService, FirewallService, or  StaticRoutingService.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkServiceType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsEnabled = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null) {
        parent::__construct($VCloudExtension);
        $this->IsEnabled = $IsEnabled;
        $this->tagName = 'NetworkService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsEnabled) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkServiceType


/**
 * Represents features of a network.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkFeaturesType {
    protected $NetworkService = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $NetworkService - [optional] an array of VMware_VCloud_API_NetworkServiceType objects
    */
    public function __construct($NetworkService=null) {
        if (!is_null($NetworkService)) {
            $this->NetworkService = $NetworkService;
        }
        $this->tagName = 'Features';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetworkService() {
        return $this->NetworkService;
    }
    public function setNetworkService($NetworkService) { 
        $this->NetworkService = $NetworkService;
    }
    public function addNetworkService($value) { array_push($this->NetworkService, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        foreach ($this->NetworkService as $NetworkService) {
            $tagName = $NetworkService->get_tagName();
            $out = $NetworkService->export($tagName, $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->NetworkService)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkService') {
            $obj = new VMware_VCloud_API_NetworkServiceType();
            $obj->build($child);
            $obj->set_tagName('NetworkService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DhcpService') {
            $obj = new VMware_VCloud_API_DhcpServiceType();
            $obj->build($child);
            $obj->set_tagName('DhcpService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['DhcpService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FirewallService') {
            $obj = new VMware_VCloud_API_FirewallServiceType();
            $obj->build($child);
            $obj->set_tagName('FirewallService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['FirewallService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NatService') {
            $obj = new VMware_VCloud_API_NatServiceType();
            $obj->build($child);
            $obj->set_tagName('NatService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['NatService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnService') {
            $obj = new VMware_VCloud_API_IpsecVpnServiceType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StaticRoutingService') {
            $obj = new VMware_VCloud_API_StaticRoutingServiceType();
            $obj->build($child);
            $obj->set_tagName('StaticRoutingService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['StaticRoutingService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayIpsecVpnService') {
            $obj = new VMware_VCloud_API_GatewayIpsecVpnServiceType();
            $obj->build($child);
            $obj->set_tagName('GatewayIpsecVpnService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayIpsecVpnService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LoadBalancerService') {
            $obj = new VMware_VCloud_API_LoadBalancerServiceType();
            $obj->build($child);
            $obj->set_tagName('LoadBalancerService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['LoadBalancerService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayDhcpService') {
            $obj = new VMware_VCloud_API_GatewayDhcpServiceType();
            $obj->build($child);
            $obj->set_tagName('GatewayDhcpService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayDhcpService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DhcpService') {
            $obj = new VMware_VCloud_API_DhcpServiceType();
            $obj->build($child);
            $obj->set_tagName('DhcpService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['DhcpService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FirewallService') {
            $obj = new VMware_VCloud_API_FirewallServiceType();
            $obj->build($child);
            $obj->set_tagName('FirewallService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['FirewallService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NatService') {
            $obj = new VMware_VCloud_API_NatServiceType();
            $obj->build($child);
            $obj->set_tagName('NatService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['NatService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnService') {
            $obj = new VMware_VCloud_API_IpsecVpnServiceType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StaticRoutingService') {
            $obj = new VMware_VCloud_API_StaticRoutingServiceType();
            $obj->build($child);
            $obj->set_tagName('StaticRoutingService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['StaticRoutingService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayIpsecVpnService') {
            $obj = new VMware_VCloud_API_GatewayIpsecVpnServiceType();
            $obj->build($child);
            $obj->set_tagName('GatewayIpsecVpnService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayIpsecVpnService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LoadBalancerService') {
            $obj = new VMware_VCloud_API_LoadBalancerServiceType();
            $obj->build($child);
            $obj->set_tagName('LoadBalancerService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['LoadBalancerService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayDhcpService') {
            $obj = new VMware_VCloud_API_GatewayDhcpServiceType();
            $obj->build($child);
            $obj->set_tagName('GatewayDhcpService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayDhcpService'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_NetworkFeaturesType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RouterInfoType {
    protected $ExternalIp = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $ExternalIp - [required] 
    */
    public function __construct($ExternalIp=null) {
        $this->ExternalIp = $ExternalIp;
        $this->tagName = 'RouterInfo';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getExternalIp() {
        return $this->ExternalIp;
    }
    public function setExternalIp($ExternalIp) { 
        $this->ExternalIp = $ExternalIp;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->ExternalIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalIp')) . "</" . $ns . "ExternalIp>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ExternalIp)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalIp') {
            $sval = $child->nodeValue;
            $this->ExternalIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalIp'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_RouterInfoType


/**
 * Represents a DHCP network service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_DhcpServiceType extends VMware_VCloud_API_NetworkServiceType {
    protected $DefaultLeaseTime = null;
    protected $MaxLeaseTime = null;
    protected $IpRange = null;
    protected $RouterIp = null;
    protected $SubMask = null;
    protected $PrimaryNameServer = null;
    protected $SecondaryNameServer = null;
    protected $DomainName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param int $DefaultLeaseTime - [optional] 
    * @param int $MaxLeaseTime - [optional] 
    * @param VMware_VCloud_API_IpRangeType $IpRange - [optional]
    * @param string $RouterIp - [optional] 
    * @param string $SubMask - [optional] 
    * @param string $PrimaryNameServer - [optional] 
    * @param string $SecondaryNameServer - [optional] 
    * @param string $DomainName - [optional] 
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $DefaultLeaseTime=null, $MaxLeaseTime=null, $IpRange=null, $RouterIp=null, $SubMask=null, $PrimaryNameServer=null, $SecondaryNameServer=null, $DomainName=null) {
        parent::__construct($VCloudExtension, $IsEnabled);
        $this->DefaultLeaseTime = $DefaultLeaseTime;
        $this->MaxLeaseTime = $MaxLeaseTime;
        $this->IpRange = $IpRange;
        $this->RouterIp = $RouterIp;
        $this->SubMask = $SubMask;
        $this->PrimaryNameServer = $PrimaryNameServer;
        $this->SecondaryNameServer = $SecondaryNameServer;
        $this->DomainName = $DomainName;
        $this->tagName = 'DhcpService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDefaultLeaseTime() {
        return $this->DefaultLeaseTime;
    }
    public function setDefaultLeaseTime($DefaultLeaseTime) { 
        $this->DefaultLeaseTime = $DefaultLeaseTime;
    }
    public function getMaxLeaseTime() {
        return $this->MaxLeaseTime;
    }
    public function setMaxLeaseTime($MaxLeaseTime) { 
        $this->MaxLeaseTime = $MaxLeaseTime;
    }
    public function getIpRange() {
        return $this->IpRange;
    }
    public function setIpRange($IpRange) { 
        $this->IpRange = $IpRange;
    }
    public function getRouterIp() {
        return $this->RouterIp;
    }
    public function setRouterIp($RouterIp) { 
        $this->RouterIp = $RouterIp;
    }
    public function getSubMask() {
        return $this->SubMask;
    }
    public function setSubMask($SubMask) { 
        $this->SubMask = $SubMask;
    }
    public function getPrimaryNameServer() {
        return $this->PrimaryNameServer;
    }
    public function setPrimaryNameServer($PrimaryNameServer) { 
        $this->PrimaryNameServer = $PrimaryNameServer;
    }
    public function getSecondaryNameServer() {
        return $this->SecondaryNameServer;
    }
    public function setSecondaryNameServer($SecondaryNameServer) { 
        $this->SecondaryNameServer = $SecondaryNameServer;
    }
    public function getDomainName() {
        return $this->DomainName;
    }
    public function setDomainName($DomainName) { 
        $this->DomainName = $DomainName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->DefaultLeaseTime)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DefaultLeaseTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DefaultLeaseTime>" . VMware_VCloud_API_Helper::format_integer($this->DefaultLeaseTime, $input_name='DefaultLeaseTime') . "</" . $ns . "DefaultLeaseTime>\n");
        }
        if (!is_null($this->MaxLeaseTime)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MaxLeaseTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MaxLeaseTime>" . VMware_VCloud_API_Helper::format_integer($this->MaxLeaseTime, $input_name='MaxLeaseTime') . "</" . $ns . "MaxLeaseTime>\n");
        }
        if (!is_null($this->IpRange)) {
            $out = $this->IpRange->export('IpRange', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->RouterIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RouterIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RouterIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->RouterIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='RouterIp')) . "</" . $ns . "RouterIp>\n");
        }
        if (!is_null($this->SubMask)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SubMask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SubMask>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SubMask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SubMask')) . "</" . $ns . "SubMask>\n");
        }
        if (!is_null($this->PrimaryNameServer)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PrimaryNameServer', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PrimaryNameServer>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PrimaryNameServer, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PrimaryNameServer')) . "</" . $ns . "PrimaryNameServer>\n");
        }
        if (!is_null($this->SecondaryNameServer)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SecondaryNameServer', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SecondaryNameServer>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SecondaryNameServer, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SecondaryNameServer')) . "</" . $ns . "SecondaryNameServer>\n");
        }
        if (!is_null($this->DomainName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DomainName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DomainName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DomainName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DomainName')) . "</" . $ns . "DomainName>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->DefaultLeaseTime) ||
            !is_null($this->MaxLeaseTime) ||
            !is_null($this->IpRange) ||
            !is_null($this->RouterIp) ||
            !is_null($this->SubMask) ||
            !is_null($this->PrimaryNameServer) ||
            !is_null($this->SecondaryNameServer) ||
            !is_null($this->DomainName) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultLeaseTime') {
            $sval = $child->nodeValue;
            $this->DefaultLeaseTime = $sval;
            if (!empty($namespace)) {
                $this->namespace['DefaultLeaseTime'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MaxLeaseTime') {
            $sval = $child->nodeValue;
            $this->MaxLeaseTime = $sval;
            if (!empty($namespace)) {
                $this->namespace['MaxLeaseTime'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpRange') {
            $obj = new VMware_VCloud_API_IpRangeType();
            $obj->build($child);
            $obj->set_tagName('IpRange');
            $this->setIpRange($obj);
            if (!empty($namespace)) {
                $this->namespace['IpRange'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RouterIp') {
            $sval = $child->nodeValue;
            $this->RouterIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['RouterIp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SubMask') {
            $sval = $child->nodeValue;
            $this->SubMask = $sval;
            if (!empty($namespace)) {
                $this->namespace['SubMask'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PrimaryNameServer') {
            $sval = $child->nodeValue;
            $this->PrimaryNameServer = $sval;
            if (!empty($namespace)) {
                $this->namespace['PrimaryNameServer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SecondaryNameServer') {
            $sval = $child->nodeValue;
            $this->SecondaryNameServer = $sval;
            if (!empty($namespace)) {
                $this->namespace['SecondaryNameServer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DomainName') {
            $sval = $child->nodeValue;
            $this->DomainName = $sval;
            if (!empty($namespace)) {
                $this->namespace['DomainName'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_DhcpServiceType


/**
 * Represents a NAT network service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NatServiceType extends VMware_VCloud_API_NetworkServiceType {
    protected $NatType = null;
    protected $Policy = null;
    protected $NatRule = array();
    protected $ExternalIp = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param string $NatType - [optional] 
    * @param string $Policy - [optional] 
    * @param array $NatRule - [optional] an array of VMware_VCloud_API_NatRuleType objects
    * @param string $ExternalIp - [optional] 
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $NatType=null, $Policy=null, $NatRule=null, $ExternalIp=null) {
        parent::__construct($VCloudExtension, $IsEnabled);
        $this->NatType = $NatType;
        $this->Policy = $Policy;
        if (!is_null($NatRule)) {
            $this->NatRule = $NatRule;
        }
        $this->ExternalIp = $ExternalIp;
        $this->tagName = 'NatService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNatType() {
        return $this->NatType;
    }
    public function setNatType($NatType) { 
        $this->NatType = $NatType;
    }
    public function getPolicy() {
        return $this->Policy;
    }
    public function setPolicy($Policy) { 
        $this->Policy = $Policy;
    }
    public function getNatRule() {
        return $this->NatRule;
    }
    public function setNatRule($NatRule) { 
        $this->NatRule = $NatRule;
    }
    public function addNatRule($value) { array_push($this->NatRule, $value); }
    public function getExternalIp() {
        return $this->ExternalIp;
    }
    public function setExternalIp($ExternalIp) { 
        $this->ExternalIp = $ExternalIp;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->NatType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NatType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NatType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->NatType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='NatType')) . "</" . $ns . "NatType>\n");
        }
        if (!is_null($this->Policy)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Policy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Policy>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Policy, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Policy')) . "</" . $ns . "Policy>\n");
        }
        if (isset($this->NatRule)) {
            foreach ($this->NatRule as $NatRule) {
                $out = $NatRule->export('NatRule', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->ExternalIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalIp')) . "</" . $ns . "ExternalIp>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->NatType) ||
            !is_null($this->Policy) ||
            !empty($this->NatRule) ||
            !is_null($this->ExternalIp) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NatType') {
            $sval = $child->nodeValue;
            $this->NatType = $sval;
            if (!empty($namespace)) {
                $this->namespace['NatType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Policy') {
            $sval = $child->nodeValue;
            $this->Policy = $sval;
            if (!empty($namespace)) {
                $this->namespace['Policy'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NatRule') {
            $obj = new VMware_VCloud_API_NatRuleType();
            $obj->build($child);
            $obj->set_tagName('NatRule');
            array_push($this->NatRule, $obj);
            if (!empty($namespace)) {
                $this->namespace['NatRule'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalIp') {
            $sval = $child->nodeValue;
            $this->ExternalIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalIp'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NatServiceType


/**
 * Represents a NAT rule.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NatRuleType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Description = null;
    protected $RuleType = null;
    protected $IsEnabled = null;
    protected $Id = null;
    protected $GatewayNatRule = null;
    protected $OneToOneBasicRule = null;
    protected $OneToOneVmRule = null;
    protected $PortForwardingRule = null;
    protected $VmRule = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Description - [optional] 
    * @param string $RuleType - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param int $Id - [optional] 
    * @param VMware_VCloud_API_GatewayNatRuleType $GatewayNatRule - [required]
    * @param VMware_VCloud_API_NatOneToOneBasicRuleType $OneToOneBasicRule - [required]
    * @param VMware_VCloud_API_NatOneToOneVmRuleType $OneToOneVmRule - [required]
    * @param VMware_VCloud_API_NatPortForwardingRuleType $PortForwardingRule - [required]
    * @param VMware_VCloud_API_NatVmRuleType $VmRule - [required]
    */
    public function __construct($VCloudExtension=null, $Description=null, $RuleType=null, $IsEnabled=null, $Id=null, $GatewayNatRule=null, $OneToOneBasicRule=null, $OneToOneVmRule=null, $PortForwardingRule=null, $VmRule=null) {
        parent::__construct($VCloudExtension);
        $this->Description = $Description;
        $this->RuleType = $RuleType;
        $this->IsEnabled = $IsEnabled;
        $this->Id = $Id;
        $this->GatewayNatRule = $GatewayNatRule;
        $this->OneToOneBasicRule = $OneToOneBasicRule;
        $this->OneToOneVmRule = $OneToOneVmRule;
        $this->PortForwardingRule = $PortForwardingRule;
        $this->VmRule = $VmRule;
        $this->tagName = 'NatRule';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getRuleType() {
        return $this->RuleType;
    }
    public function setRuleType($RuleType) { 
        $this->RuleType = $RuleType;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getId() {
        return $this->Id;
    }
    public function setId($Id) { 
        $this->Id = $Id;
    }
    public function getGatewayNatRule() {
        return $this->GatewayNatRule;
    }
    public function setGatewayNatRule($GatewayNatRule) { 
        $this->GatewayNatRule = $GatewayNatRule;
    }
    public function getOneToOneBasicRule() {
        return $this->OneToOneBasicRule;
    }
    public function setOneToOneBasicRule($OneToOneBasicRule) { 
        $this->OneToOneBasicRule = $OneToOneBasicRule;
    }
    public function getOneToOneVmRule() {
        return $this->OneToOneVmRule;
    }
    public function setOneToOneVmRule($OneToOneVmRule) { 
        $this->OneToOneVmRule = $OneToOneVmRule;
    }
    public function getPortForwardingRule() {
        return $this->PortForwardingRule;
    }
    public function setPortForwardingRule($PortForwardingRule) { 
        $this->PortForwardingRule = $PortForwardingRule;
    }
    public function getVmRule() {
        return $this->VmRule;
    }
    public function setVmRule($VmRule) { 
        $this->VmRule = $VmRule;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->RuleType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RuleType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RuleType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->RuleType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='RuleType')) . "</" . $ns . "RuleType>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->Id)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Id>" . VMware_VCloud_API_Helper::format_integer($this->Id, $input_name='Id') . "</" . $ns . "Id>\n");
        }
        if (!is_null($this->GatewayNatRule)) {
            $out = $this->GatewayNatRule->export('GatewayNatRule', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OneToOneBasicRule)) {
            $out = $this->OneToOneBasicRule->export('OneToOneBasicRule', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OneToOneVmRule)) {
            $out = $this->OneToOneVmRule->export('OneToOneVmRule', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->PortForwardingRule)) {
            $out = $this->PortForwardingRule->export('PortForwardingRule', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VmRule)) {
            $out = $this->VmRule->export('VmRule', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Description) ||
            !is_null($this->RuleType) ||
            !is_null($this->IsEnabled) ||
            !is_null($this->Id) ||
            !is_null($this->GatewayNatRule) ||
            !is_null($this->OneToOneBasicRule) ||
            !is_null($this->OneToOneVmRule) ||
            !is_null($this->PortForwardingRule) ||
            !is_null($this->VmRule) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuleType') {
            $sval = $child->nodeValue;
            $this->RuleType = $sval;
            if (!empty($namespace)) {
                $this->namespace['RuleType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Id') {
            $sval = $child->nodeValue;
            $this->Id = $sval;
            if (!empty($namespace)) {
                $this->namespace['Id'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayNatRule') {
            $obj = new VMware_VCloud_API_GatewayNatRuleType();
            $obj->build($child);
            $obj->set_tagName('GatewayNatRule');
            $this->setGatewayNatRule($obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayNatRule'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OneToOneBasicRule') {
            $obj = new VMware_VCloud_API_NatOneToOneBasicRuleType();
            $obj->build($child);
            $obj->set_tagName('OneToOneBasicRule');
            $this->setOneToOneBasicRule($obj);
            if (!empty($namespace)) {
                $this->namespace['OneToOneBasicRule'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OneToOneVmRule') {
            $obj = new VMware_VCloud_API_NatOneToOneVmRuleType();
            $obj->build($child);
            $obj->set_tagName('OneToOneVmRule');
            $this->setOneToOneVmRule($obj);
            if (!empty($namespace)) {
                $this->namespace['OneToOneVmRule'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PortForwardingRule') {
            $obj = new VMware_VCloud_API_NatPortForwardingRuleType();
            $obj->build($child);
            $obj->set_tagName('PortForwardingRule');
            $this->setPortForwardingRule($obj);
            if (!empty($namespace)) {
                $this->namespace['PortForwardingRule'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmRule') {
            $obj = new VMware_VCloud_API_NatVmRuleType();
            $obj->build($child);
            $obj->set_tagName('VmRule');
            $this->setVmRule($obj);
            if (!empty($namespace)) {
                $this->namespace['VmRule'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NatRuleType


/**
 * Represents the SNAT and DNAT rules.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayNatRuleType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Interface = null;
    protected $OriginalIp = null;
    protected $OriginalPort = null;
    protected $TranslatedIp = null;
    protected $TranslatedPort = null;
    protected $Protocol = null;
    protected $IcmpSubType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $Interface - [optional]
    * @param string $OriginalIp - [optional] 
    * @param string $OriginalPort - [optional] 
    * @param string $TranslatedIp - [optional] 
    * @param string $TranslatedPort - [optional] 
    * @param string $Protocol - [optional] 
    * @param string $IcmpSubType - [optional] 
    */
    public function __construct($VCloudExtension=null, $Interface=null, $OriginalIp=null, $OriginalPort=null, $TranslatedIp=null, $TranslatedPort=null, $Protocol=null, $IcmpSubType=null) {
        parent::__construct($VCloudExtension);
        $this->Interface = $Interface;
        $this->OriginalIp = $OriginalIp;
        $this->OriginalPort = $OriginalPort;
        $this->TranslatedIp = $TranslatedIp;
        $this->TranslatedPort = $TranslatedPort;
        $this->Protocol = $Protocol;
        $this->IcmpSubType = $IcmpSubType;
        $this->tagName = 'GatewayNatRule';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getInterface() {
        return $this->Interface;
    }
    public function setInterface($Interface) { 
        $this->Interface = $Interface;
    }
    public function getOriginalIp() {
        return $this->OriginalIp;
    }
    public function setOriginalIp($OriginalIp) { 
        $this->OriginalIp = $OriginalIp;
    }
    public function getOriginalPort() {
        return $this->OriginalPort;
    }
    public function setOriginalPort($OriginalPort) { 
        $this->OriginalPort = $OriginalPort;
    }
    public function getTranslatedIp() {
        return $this->TranslatedIp;
    }
    public function setTranslatedIp($TranslatedIp) { 
        $this->TranslatedIp = $TranslatedIp;
    }
    public function getTranslatedPort() {
        return $this->TranslatedPort;
    }
    public function setTranslatedPort($TranslatedPort) { 
        $this->TranslatedPort = $TranslatedPort;
    }
    public function getProtocol() {
        return $this->Protocol;
    }
    public function setProtocol($Protocol) { 
        $this->Protocol = $Protocol;
    }
    public function getIcmpSubType() {
        return $this->IcmpSubType;
    }
    public function setIcmpSubType($IcmpSubType) { 
        $this->IcmpSubType = $IcmpSubType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Interface)) {
            $out = $this->Interface->export('Interface', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OriginalIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OriginalIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OriginalIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->OriginalIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='OriginalIp')) . "</" . $ns . "OriginalIp>\n");
        }
        if (!is_null($this->OriginalPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OriginalPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OriginalPort>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->OriginalPort, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='OriginalPort')) . "</" . $ns . "OriginalPort>\n");
        }
        if (!is_null($this->TranslatedIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TranslatedIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TranslatedIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->TranslatedIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='TranslatedIp')) . "</" . $ns . "TranslatedIp>\n");
        }
        if (!is_null($this->TranslatedPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TranslatedPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TranslatedPort>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->TranslatedPort, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='TranslatedPort')) . "</" . $ns . "TranslatedPort>\n");
        }
        if (!is_null($this->Protocol)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Protocol', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Protocol>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Protocol, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Protocol')) . "</" . $ns . "Protocol>\n");
        }
        if (!is_null($this->IcmpSubType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IcmpSubType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IcmpSubType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IcmpSubType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IcmpSubType')) . "</" . $ns . "IcmpSubType>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Interface) ||
            !is_null($this->OriginalIp) ||
            !is_null($this->OriginalPort) ||
            !is_null($this->TranslatedIp) ||
            !is_null($this->TranslatedPort) ||
            !is_null($this->Protocol) ||
            !is_null($this->IcmpSubType) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Interface') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Interface');
            $this->setInterface($obj);
            if (!empty($namespace)) {
                $this->namespace['Interface'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OriginalIp') {
            $sval = $child->nodeValue;
            $this->OriginalIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['OriginalIp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OriginalPort') {
            $sval = $child->nodeValue;
            $this->OriginalPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['OriginalPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TranslatedIp') {
            $sval = $child->nodeValue;
            $this->TranslatedIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['TranslatedIp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TranslatedPort') {
            $sval = $child->nodeValue;
            $this->TranslatedPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['TranslatedPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Protocol') {
            $sval = $child->nodeValue;
            $this->Protocol = $sval;
            if (!empty($namespace)) {
                $this->namespace['Protocol'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IcmpSubType') {
            $sval = $child->nodeValue;
            $this->IcmpSubType = $sval;
            if (!empty($namespace)) {
                $this->namespace['IcmpSubType'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayNatRuleType


/**
 * Represents the NAT basic rule for one to one mapping of internal  and external IP addresses from a network.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NatOneToOneBasicRuleType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $MappingMode = null;
    protected $ExternalIpAddress = null;
    protected $InternalIpAddress = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $MappingMode - [required] 
    * @param string $ExternalIpAddress - [required] 
    * @param string $InternalIpAddress - [required] 
    */
    public function __construct($VCloudExtension=null, $MappingMode=null, $ExternalIpAddress=null, $InternalIpAddress=null) {
        parent::__construct($VCloudExtension);
        $this->MappingMode = $MappingMode;
        $this->ExternalIpAddress = $ExternalIpAddress;
        $this->InternalIpAddress = $InternalIpAddress;
        $this->tagName = 'OneToOneBasicRule';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMappingMode() {
        return $this->MappingMode;
    }
    public function setMappingMode($MappingMode) { 
        $this->MappingMode = $MappingMode;
    }
    public function getExternalIpAddress() {
        return $this->ExternalIpAddress;
    }
    public function setExternalIpAddress($ExternalIpAddress) { 
        $this->ExternalIpAddress = $ExternalIpAddress;
    }
    public function getInternalIpAddress() {
        return $this->InternalIpAddress;
    }
    public function setInternalIpAddress($InternalIpAddress) { 
        $this->InternalIpAddress = $InternalIpAddress;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->MappingMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MappingMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MappingMode>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MappingMode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MappingMode')) . "</" . $ns . "MappingMode>\n");
        }
        if (!is_null($this->ExternalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalIpAddress')) . "</" . $ns . "ExternalIpAddress>\n");
        }
        if (!is_null($this->InternalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InternalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InternalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->InternalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='InternalIpAddress')) . "</" . $ns . "InternalIpAddress>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->MappingMode) ||
            !is_null($this->ExternalIpAddress) ||
            !is_null($this->InternalIpAddress) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MappingMode') {
            $sval = $child->nodeValue;
            $this->MappingMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['MappingMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalIpAddress') {
            $sval = $child->nodeValue;
            $this->ExternalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InternalIpAddress') {
            $sval = $child->nodeValue;
            $this->InternalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['InternalIpAddress'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NatOneToOneBasicRuleType


/**
 * Represents the NAT rule for one to one mapping of VM NIC and  external IP addresses from a network.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NatOneToOneVmRuleType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $MappingMode = null;
    protected $ExternalIpAddress = null;
    protected $VAppScopedVmId = null;
    protected $VmNicId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $MappingMode - [required] 
    * @param string $ExternalIpAddress - [optional] 
    * @param string $VAppScopedVmId - [required] 
    * @param int $VmNicId - [required] 
    */
    public function __construct($VCloudExtension=null, $MappingMode=null, $ExternalIpAddress=null, $VAppScopedVmId=null, $VmNicId=null) {
        parent::__construct($VCloudExtension);
        $this->MappingMode = $MappingMode;
        $this->ExternalIpAddress = $ExternalIpAddress;
        $this->VAppScopedVmId = $VAppScopedVmId;
        $this->VmNicId = $VmNicId;
        $this->tagName = 'OneToOneVmRule';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMappingMode() {
        return $this->MappingMode;
    }
    public function setMappingMode($MappingMode) { 
        $this->MappingMode = $MappingMode;
    }
    public function getExternalIpAddress() {
        return $this->ExternalIpAddress;
    }
    public function setExternalIpAddress($ExternalIpAddress) { 
        $this->ExternalIpAddress = $ExternalIpAddress;
    }
    public function getVAppScopedVmId() {
        return $this->VAppScopedVmId;
    }
    public function setVAppScopedVmId($VAppScopedVmId) { 
        $this->VAppScopedVmId = $VAppScopedVmId;
    }
    public function getVmNicId() {
        return $this->VmNicId;
    }
    public function setVmNicId($VmNicId) { 
        $this->VmNicId = $VmNicId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->MappingMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MappingMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MappingMode>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MappingMode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MappingMode')) . "</" . $ns . "MappingMode>\n");
        }
        if (!is_null($this->ExternalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalIpAddress')) . "</" . $ns . "ExternalIpAddress>\n");
        }
        if (!is_null($this->VAppScopedVmId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedVmId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedVmId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedVmId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedVmId')) . "</" . $ns . "VAppScopedVmId>\n");
        }
        if (!is_null($this->VmNicId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmNicId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmNicId>" . VMware_VCloud_API_Helper::format_integer($this->VmNicId, $input_name='VmNicId') . "</" . $ns . "VmNicId>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->MappingMode) ||
            !is_null($this->ExternalIpAddress) ||
            !is_null($this->VAppScopedVmId) ||
            !is_null($this->VmNicId) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MappingMode') {
            $sval = $child->nodeValue;
            $this->MappingMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['MappingMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalIpAddress') {
            $sval = $child->nodeValue;
            $this->ExternalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedVmId') {
            $sval = $child->nodeValue;
            $this->VAppScopedVmId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedVmId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmNicId') {
            $sval = $child->nodeValue;
            $this->VmNicId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmNicId'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NatOneToOneVmRuleType


/**
 * Represents the NAT rule for port forwarding between internal  IP/port and external IP/port.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NatPortForwardingRuleType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ExternalIpAddress = null;
    protected $ExternalPort = null;
    protected $InternalIpAddress = null;
    protected $InternalPort = null;
    protected $Protocol = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $ExternalIpAddress - [required] 
    * @param int $ExternalPort - [required] 
    * @param string $InternalIpAddress - [required] 
    * @param int $InternalPort - [required] 
    * @param string $Protocol - [required] 
    */
    public function __construct($VCloudExtension=null, $ExternalIpAddress=null, $ExternalPort=null, $InternalIpAddress=null, $InternalPort=null, $Protocol=null) {
        parent::__construct($VCloudExtension);
        $this->ExternalIpAddress = $ExternalIpAddress;
        $this->ExternalPort = $ExternalPort;
        $this->InternalIpAddress = $InternalIpAddress;
        $this->InternalPort = $InternalPort;
        $this->Protocol = $Protocol;
        $this->tagName = 'PortForwardingRule';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getExternalIpAddress() {
        return $this->ExternalIpAddress;
    }
    public function setExternalIpAddress($ExternalIpAddress) { 
        $this->ExternalIpAddress = $ExternalIpAddress;
    }
    public function getExternalPort() {
        return $this->ExternalPort;
    }
    public function setExternalPort($ExternalPort) { 
        $this->ExternalPort = $ExternalPort;
    }
    public function getInternalIpAddress() {
        return $this->InternalIpAddress;
    }
    public function setInternalIpAddress($InternalIpAddress) { 
        $this->InternalIpAddress = $InternalIpAddress;
    }
    public function getInternalPort() {
        return $this->InternalPort;
    }
    public function setInternalPort($InternalPort) { 
        $this->InternalPort = $InternalPort;
    }
    public function getProtocol() {
        return $this->Protocol;
    }
    public function setProtocol($Protocol) { 
        $this->Protocol = $Protocol;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ExternalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalIpAddress')) . "</" . $ns . "ExternalIpAddress>\n");
        }
        if (!is_null($this->ExternalPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalPort>" . VMware_VCloud_API_Helper::format_integer($this->ExternalPort, $input_name='ExternalPort') . "</" . $ns . "ExternalPort>\n");
        }
        if (!is_null($this->InternalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InternalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InternalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->InternalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='InternalIpAddress')) . "</" . $ns . "InternalIpAddress>\n");
        }
        if (!is_null($this->InternalPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InternalPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InternalPort>" . VMware_VCloud_API_Helper::format_integer($this->InternalPort, $input_name='InternalPort') . "</" . $ns . "InternalPort>\n");
        }
        if (!is_null($this->Protocol)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Protocol', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Protocol>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Protocol, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Protocol')) . "</" . $ns . "Protocol>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ExternalIpAddress) ||
            !is_null($this->ExternalPort) ||
            !is_null($this->InternalIpAddress) ||
            !is_null($this->InternalPort) ||
            !is_null($this->Protocol) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalIpAddress') {
            $sval = $child->nodeValue;
            $this->ExternalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalPort') {
            $sval = $child->nodeValue;
            $this->ExternalPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InternalIpAddress') {
            $sval = $child->nodeValue;
            $this->InternalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['InternalIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InternalPort') {
            $sval = $child->nodeValue;
            $this->InternalPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['InternalPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Protocol') {
            $sval = $child->nodeValue;
            $this->Protocol = $sval;
            if (!empty($namespace)) {
                $this->namespace['Protocol'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NatPortForwardingRuleType


/**
 * Represents the NAT rule for port forwarding between VM NIC/port  and external IP/port.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NatVmRuleType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ExternalIpAddress = null;
    protected $ExternalPort = null;
    protected $VAppScopedVmId = null;
    protected $VmNicId = null;
    protected $InternalPort = null;
    protected $Protocol = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $ExternalIpAddress - [optional] 
    * @param int $ExternalPort - [required] 
    * @param string $VAppScopedVmId - [required] 
    * @param int $VmNicId - [required] 
    * @param int $InternalPort - [required] 
    * @param string $Protocol - [required] 
    */
    public function __construct($VCloudExtension=null, $ExternalIpAddress=null, $ExternalPort=null, $VAppScopedVmId=null, $VmNicId=null, $InternalPort=null, $Protocol=null) {
        parent::__construct($VCloudExtension);
        $this->ExternalIpAddress = $ExternalIpAddress;
        $this->ExternalPort = $ExternalPort;
        $this->VAppScopedVmId = $VAppScopedVmId;
        $this->VmNicId = $VmNicId;
        $this->InternalPort = $InternalPort;
        $this->Protocol = $Protocol;
        $this->tagName = 'VmRule';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getExternalIpAddress() {
        return $this->ExternalIpAddress;
    }
    public function setExternalIpAddress($ExternalIpAddress) { 
        $this->ExternalIpAddress = $ExternalIpAddress;
    }
    public function getExternalPort() {
        return $this->ExternalPort;
    }
    public function setExternalPort($ExternalPort) { 
        $this->ExternalPort = $ExternalPort;
    }
    public function getVAppScopedVmId() {
        return $this->VAppScopedVmId;
    }
    public function setVAppScopedVmId($VAppScopedVmId) { 
        $this->VAppScopedVmId = $VAppScopedVmId;
    }
    public function getVmNicId() {
        return $this->VmNicId;
    }
    public function setVmNicId($VmNicId) { 
        $this->VmNicId = $VmNicId;
    }
    public function getInternalPort() {
        return $this->InternalPort;
    }
    public function setInternalPort($InternalPort) { 
        $this->InternalPort = $InternalPort;
    }
    public function getProtocol() {
        return $this->Protocol;
    }
    public function setProtocol($Protocol) { 
        $this->Protocol = $Protocol;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ExternalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalIpAddress')) . "</" . $ns . "ExternalIpAddress>\n");
        }
        if (!is_null($this->ExternalPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalPort>" . VMware_VCloud_API_Helper::format_integer($this->ExternalPort, $input_name='ExternalPort') . "</" . $ns . "ExternalPort>\n");
        }
        if (!is_null($this->VAppScopedVmId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedVmId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedVmId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedVmId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedVmId')) . "</" . $ns . "VAppScopedVmId>\n");
        }
        if (!is_null($this->VmNicId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmNicId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmNicId>" . VMware_VCloud_API_Helper::format_integer($this->VmNicId, $input_name='VmNicId') . "</" . $ns . "VmNicId>\n");
        }
        if (!is_null($this->InternalPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InternalPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InternalPort>" . VMware_VCloud_API_Helper::format_integer($this->InternalPort, $input_name='InternalPort') . "</" . $ns . "InternalPort>\n");
        }
        if (!is_null($this->Protocol)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Protocol', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Protocol>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Protocol, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Protocol')) . "</" . $ns . "Protocol>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ExternalIpAddress) ||
            !is_null($this->ExternalPort) ||
            !is_null($this->VAppScopedVmId) ||
            !is_null($this->VmNicId) ||
            !is_null($this->InternalPort) ||
            !is_null($this->Protocol) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalIpAddress') {
            $sval = $child->nodeValue;
            $this->ExternalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalPort') {
            $sval = $child->nodeValue;
            $this->ExternalPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedVmId') {
            $sval = $child->nodeValue;
            $this->VAppScopedVmId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedVmId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmNicId') {
            $sval = $child->nodeValue;
            $this->VmNicId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmNicId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InternalPort') {
            $sval = $child->nodeValue;
            $this->InternalPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['InternalPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Protocol') {
            $sval = $child->nodeValue;
            $this->Protocol = $sval;
            if (!empty($namespace)) {
                $this->namespace['Protocol'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NatVmRuleType


/**
 * Represents a network firewall service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_FirewallServiceType extends VMware_VCloud_API_NetworkServiceType {
    protected $DefaultAction = null;
    protected $LogDefaultAction = null;
    protected $FirewallRule = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param string $DefaultAction - [optional] 
    * @param boolean $LogDefaultAction - [optional] 
    * @param array $FirewallRule - [optional] an array of VMware_VCloud_API_FirewallRuleType objects
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $DefaultAction=null, $LogDefaultAction=null, $FirewallRule=null) {
        parent::__construct($VCloudExtension, $IsEnabled);
        $this->DefaultAction = $DefaultAction;
        $this->LogDefaultAction = $LogDefaultAction;
        if (!is_null($FirewallRule)) {
            $this->FirewallRule = $FirewallRule;
        }
        $this->tagName = 'FirewallService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDefaultAction() {
        return $this->DefaultAction;
    }
    public function setDefaultAction($DefaultAction) { 
        $this->DefaultAction = $DefaultAction;
    }
    public function getLogDefaultAction() {
        return $this->LogDefaultAction;
    }
    public function setLogDefaultAction($LogDefaultAction) { 
        $this->LogDefaultAction = $LogDefaultAction;
    }
    public function getFirewallRule() {
        return $this->FirewallRule;
    }
    public function setFirewallRule($FirewallRule) { 
        $this->FirewallRule = $FirewallRule;
    }
    public function addFirewallRule($value) { array_push($this->FirewallRule, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->DefaultAction)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DefaultAction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DefaultAction>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DefaultAction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DefaultAction')) . "</" . $ns . "DefaultAction>\n");
        }
        if (!is_null($this->LogDefaultAction)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LogDefaultAction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LogDefaultAction>" . VMware_VCloud_API_Helper::format_boolean($this->LogDefaultAction, $input_name='LogDefaultAction') . "</" . $ns . "LogDefaultAction>\n");
        }
        if (isset($this->FirewallRule)) {
            foreach ($this->FirewallRule as $FirewallRule) {
                $out = $FirewallRule->export('FirewallRule', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->DefaultAction) ||
            !is_null($this->LogDefaultAction) ||
            !empty($this->FirewallRule) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultAction') {
            $sval = $child->nodeValue;
            $this->DefaultAction = $sval;
            if (!empty($namespace)) {
                $this->namespace['DefaultAction'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LogDefaultAction') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->LogDefaultAction = $sval;
            if (!empty($namespace)) {
                $this->namespace['LogDefaultAction'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FirewallRule') {
            $obj = new VMware_VCloud_API_FirewallRuleType();
            $obj->build($child);
            $obj->set_tagName('FirewallRule');
            array_push($this->FirewallRule, $obj);
            if (!empty($namespace)) {
                $this->namespace['FirewallRule'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_FirewallServiceType


/**
 * Represents details of an vm+nic+iptype selection.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VmSelectionType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $VAppScopedVmId = null;
    protected $VmNicId = null;
    protected $IpType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $VAppScopedVmId - [required] 
    * @param int $VmNicId - [required] 
    * @param string $IpType - [required] 
    */
    public function __construct($VCloudExtension=null, $VAppScopedVmId=null, $VmNicId=null, $IpType=null) {
        parent::__construct($VCloudExtension);
        $this->VAppScopedVmId = $VAppScopedVmId;
        $this->VmNicId = $VmNicId;
        $this->IpType = $IpType;
        $this->tagName = 'DestinationVm';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVAppScopedVmId() {
        return $this->VAppScopedVmId;
    }
    public function setVAppScopedVmId($VAppScopedVmId) { 
        $this->VAppScopedVmId = $VAppScopedVmId;
    }
    public function getVmNicId() {
        return $this->VmNicId;
    }
    public function setVmNicId($VmNicId) { 
        $this->VmNicId = $VmNicId;
    }
    public function getIpType() {
        return $this->IpType;
    }
    public function setIpType($IpType) { 
        $this->IpType = $IpType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VAppScopedVmId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedVmId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedVmId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedVmId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedVmId')) . "</" . $ns . "VAppScopedVmId>\n");
        }
        if (!is_null($this->VmNicId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmNicId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmNicId>" . VMware_VCloud_API_Helper::format_integer($this->VmNicId, $input_name='VmNicId') . "</" . $ns . "VmNicId>\n");
        }
        if (!is_null($this->IpType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IpType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IpType')) . "</" . $ns . "IpType>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VAppScopedVmId) ||
            !is_null($this->VmNicId) ||
            !is_null($this->IpType) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedVmId') {
            $sval = $child->nodeValue;
            $this->VAppScopedVmId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedVmId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmNicId') {
            $sval = $child->nodeValue;
            $this->VmNicId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmNicId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpType') {
            $sval = $child->nodeValue;
            $this->IpType = $sval;
            if (!empty($namespace)) {
                $this->namespace['IpType'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VmSelectionType


/**
 * Represents a firewall rule.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_FirewallRuleType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Id = null;
    protected $IsEnabled = null;
    protected $MatchOnTranslate = null;
    protected $Description = null;
    protected $Policy = null;
    protected $Protocols = null;
    protected $IcmpSubType = null;
    protected $Port = null;
    protected $DestinationPortRange = null;
    protected $DestinationIp = null;
    protected $DestinationVm = null;
    protected $SourcePort = null;
    protected $SourcePortRange = null;
    protected $SourceIp = null;
    protected $SourceVm = null;
    protected $Direction = null;
    protected $EnableLogging = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Id - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param boolean $MatchOnTranslate - [optional] 
    * @param string $Description - [optional] 
    * @param string $Policy - [optional] 
    * @param VMware_VCloud_API_Protocols $Protocols - [optional]
    * @param string $IcmpSubType - [optional] 
    * @param int $Port - [optional] 
    * @param string $DestinationPortRange - [optional] 
    * @param string $DestinationIp - [required] 
    * @param VMware_VCloud_API_VmSelectionType $DestinationVm - [required]
    * @param int $SourcePort - [optional] 
    * @param string $SourcePortRange - [optional] 
    * @param string $SourceIp - [required] 
    * @param VMware_VCloud_API_VmSelectionType $SourceVm - [required]
    * @param string $Direction - [optional] 
    * @param boolean $EnableLogging - [optional] 
    */
    public function __construct($VCloudExtension=null, $Id=null, $IsEnabled=null, $MatchOnTranslate=null, $Description=null, $Policy=null, $Protocols=null, $IcmpSubType=null, $Port=null, $DestinationPortRange=null, $DestinationIp=null, $DestinationVm=null, $SourcePort=null, $SourcePortRange=null, $SourceIp=null, $SourceVm=null, $Direction=null, $EnableLogging=null) {
        parent::__construct($VCloudExtension);
        $this->Id = $Id;
        $this->IsEnabled = $IsEnabled;
        $this->MatchOnTranslate = $MatchOnTranslate;
        $this->Description = $Description;
        $this->Policy = $Policy;
        $this->Protocols = $Protocols;
        $this->IcmpSubType = $IcmpSubType;
        $this->Port = $Port;
        $this->DestinationPortRange = $DestinationPortRange;
        $this->DestinationIp = $DestinationIp;
        $this->DestinationVm = $DestinationVm;
        $this->SourcePort = $SourcePort;
        $this->SourcePortRange = $SourcePortRange;
        $this->SourceIp = $SourceIp;
        $this->SourceVm = $SourceVm;
        $this->Direction = $Direction;
        $this->EnableLogging = $EnableLogging;
        $this->tagName = 'FirewallRule';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getId() {
        return $this->Id;
    }
    public function setId($Id) { 
        $this->Id = $Id;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getMatchOnTranslate() {
        return $this->MatchOnTranslate;
    }
    public function setMatchOnTranslate($MatchOnTranslate) { 
        $this->MatchOnTranslate = $MatchOnTranslate;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getPolicy() {
        return $this->Policy;
    }
    public function setPolicy($Policy) { 
        $this->Policy = $Policy;
    }
    public function getProtocols() {
        return $this->Protocols;
    }
    public function setProtocols($Protocols) { 
        $this->Protocols = $Protocols;
    }
    public function getIcmpSubType() {
        return $this->IcmpSubType;
    }
    public function setIcmpSubType($IcmpSubType) { 
        $this->IcmpSubType = $IcmpSubType;
    }
    public function getPort() {
        return $this->Port;
    }
    public function setPort($Port) { 
        $this->Port = $Port;
    }
    public function getDestinationPortRange() {
        return $this->DestinationPortRange;
    }
    public function setDestinationPortRange($DestinationPortRange) { 
        $this->DestinationPortRange = $DestinationPortRange;
    }
    public function getDestinationIp() {
        return $this->DestinationIp;
    }
    public function setDestinationIp($DestinationIp) { 
        $this->DestinationIp = $DestinationIp;
    }
    public function getDestinationVm() {
        return $this->DestinationVm;
    }
    public function setDestinationVm($DestinationVm) { 
        $this->DestinationVm = $DestinationVm;
    }
    public function getSourcePort() {
        return $this->SourcePort;
    }
    public function setSourcePort($SourcePort) { 
        $this->SourcePort = $SourcePort;
    }
    public function getSourcePortRange() {
        return $this->SourcePortRange;
    }
    public function setSourcePortRange($SourcePortRange) { 
        $this->SourcePortRange = $SourcePortRange;
    }
    public function getSourceIp() {
        return $this->SourceIp;
    }
    public function setSourceIp($SourceIp) { 
        $this->SourceIp = $SourceIp;
    }
    public function getSourceVm() {
        return $this->SourceVm;
    }
    public function setSourceVm($SourceVm) { 
        $this->SourceVm = $SourceVm;
    }
    public function getDirection() {
        return $this->Direction;
    }
    public function setDirection($Direction) { 
        $this->Direction = $Direction;
    }
    public function getEnableLogging() {
        return $this->EnableLogging;
    }
    public function setEnableLogging($EnableLogging) { 
        $this->EnableLogging = $EnableLogging;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Id)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Id>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Id')) . "</" . $ns . "Id>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->MatchOnTranslate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MatchOnTranslate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MatchOnTranslate>" . VMware_VCloud_API_Helper::format_boolean($this->MatchOnTranslate, $input_name='MatchOnTranslate') . "</" . $ns . "MatchOnTranslate>\n");
        }
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->Policy)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Policy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Policy>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Policy, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Policy')) . "</" . $ns . "Policy>\n");
        }
        if (!is_null($this->Protocols)) {
            $out = $this->Protocols->export('Protocols', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IcmpSubType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IcmpSubType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IcmpSubType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IcmpSubType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IcmpSubType')) . "</" . $ns . "IcmpSubType>\n");
        }
        if (!is_null($this->Port)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Port', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Port>" . VMware_VCloud_API_Helper::format_integer($this->Port, $input_name='Port') . "</" . $ns . "Port>\n");
        }
        if (!is_null($this->DestinationPortRange)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DestinationPortRange', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DestinationPortRange>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DestinationPortRange, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DestinationPortRange')) . "</" . $ns . "DestinationPortRange>\n");
        }
        if (!is_null($this->DestinationIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DestinationIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DestinationIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DestinationIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DestinationIp')) . "</" . $ns . "DestinationIp>\n");
        }
        if (!is_null($this->DestinationVm)) {
            $out = $this->DestinationVm->export('DestinationVm', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->SourcePort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SourcePort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SourcePort>" . VMware_VCloud_API_Helper::format_integer($this->SourcePort, $input_name='SourcePort') . "</" . $ns . "SourcePort>\n");
        }
        if (!is_null($this->SourcePortRange)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SourcePortRange', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SourcePortRange>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SourcePortRange, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SourcePortRange')) . "</" . $ns . "SourcePortRange>\n");
        }
        if (!is_null($this->SourceIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SourceIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SourceIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SourceIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SourceIp')) . "</" . $ns . "SourceIp>\n");
        }
        if (!is_null($this->SourceVm)) {
            $out = $this->SourceVm->export('SourceVm', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Direction)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Direction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Direction>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Direction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Direction')) . "</" . $ns . "Direction>\n");
        }
        if (!is_null($this->EnableLogging)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EnableLogging', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EnableLogging>" . VMware_VCloud_API_Helper::format_boolean($this->EnableLogging, $input_name='EnableLogging') . "</" . $ns . "EnableLogging>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Id) ||
            !is_null($this->IsEnabled) ||
            !is_null($this->MatchOnTranslate) ||
            !is_null($this->Description) ||
            !is_null($this->Policy) ||
            !is_null($this->Protocols) ||
            !is_null($this->IcmpSubType) ||
            !is_null($this->Port) ||
            !is_null($this->DestinationPortRange) ||
            !is_null($this->DestinationIp) ||
            !is_null($this->DestinationVm) ||
            !is_null($this->SourcePort) ||
            !is_null($this->SourcePortRange) ||
            !is_null($this->SourceIp) ||
            !is_null($this->SourceVm) ||
            !is_null($this->Direction) ||
            !is_null($this->EnableLogging) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Id') {
            $sval = $child->nodeValue;
            $this->Id = $sval;
            if (!empty($namespace)) {
                $this->namespace['Id'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MatchOnTranslate') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->MatchOnTranslate = $sval;
            if (!empty($namespace)) {
                $this->namespace['MatchOnTranslate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Policy') {
            $sval = $child->nodeValue;
            $this->Policy = $sval;
            if (!empty($namespace)) {
                $this->namespace['Policy'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Protocols') {
            $obj = new VMware_VCloud_API_Protocols();
            $obj->build($child);
            $obj->set_tagName('Protocols');
            $this->setProtocols($obj);
            if (!empty($namespace)) {
                $this->namespace['Protocols'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IcmpSubType') {
            $sval = $child->nodeValue;
            $this->IcmpSubType = $sval;
            if (!empty($namespace)) {
                $this->namespace['IcmpSubType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Port') {
            $sval = $child->nodeValue;
            $this->Port = $sval;
            if (!empty($namespace)) {
                $this->namespace['Port'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DestinationPortRange') {
            $sval = $child->nodeValue;
            $this->DestinationPortRange = $sval;
            if (!empty($namespace)) {
                $this->namespace['DestinationPortRange'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DestinationIp') {
            $sval = $child->nodeValue;
            $this->DestinationIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['DestinationIp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DestinationVm') {
            $obj = new VMware_VCloud_API_VmSelectionType();
            $obj->build($child);
            $obj->set_tagName('DestinationVm');
            $this->setDestinationVm($obj);
            if (!empty($namespace)) {
                $this->namespace['DestinationVm'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SourcePort') {
            $sval = $child->nodeValue;
            $this->SourcePort = $sval;
            if (!empty($namespace)) {
                $this->namespace['SourcePort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SourcePortRange') {
            $sval = $child->nodeValue;
            $this->SourcePortRange = $sval;
            if (!empty($namespace)) {
                $this->namespace['SourcePortRange'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SourceIp') {
            $sval = $child->nodeValue;
            $this->SourceIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['SourceIp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SourceVm') {
            $obj = new VMware_VCloud_API_VmSelectionType();
            $obj->build($child);
            $obj->set_tagName('SourceVm');
            $this->setSourceVm($obj);
            if (!empty($namespace)) {
                $this->namespace['SourceVm'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Direction') {
            $sval = $child->nodeValue;
            $this->Direction = $sval;
            if (!empty($namespace)) {
                $this->namespace['Direction'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EnableLogging') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->EnableLogging = $sval;
            if (!empty($namespace)) {
                $this->namespace['EnableLogging'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_FirewallRuleType


/**
 * Specify the protocols to which the rule should be applied.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Protocols {
    protected $Tcp = null;
    protected $Udp = null;
    protected $Icmp = null;
    protected $Any = null;
    protected $Other = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param boolean $Tcp - [optional] 
    * @param boolean $Udp - [optional] 
    * @param boolean $Icmp - [optional] 
    * @param boolean $Any - [optional] 
    * @param string $Other - [optional] 
    */
    public function __construct($Tcp=null, $Udp=null, $Icmp=null, $Any=null, $Other=null) {
        $this->Tcp = $Tcp;
        $this->Udp = $Udp;
        $this->Icmp = $Icmp;
        $this->Any = $Any;
        $this->Other = $Other;
        $this->tagName = 'Protocols';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getTcp() {
        return $this->Tcp;
    }
    public function setTcp($Tcp) { 
        $this->Tcp = $Tcp;
    }
    public function getUdp() {
        return $this->Udp;
    }
    public function setUdp($Udp) { 
        $this->Udp = $Udp;
    }
    public function getIcmp() {
        return $this->Icmp;
    }
    public function setIcmp($Icmp) { 
        $this->Icmp = $Icmp;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function getOther() {
        return $this->Other;
    }
    public function setOther($Other) { 
        $this->Other = $Other;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Tcp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Tcp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Tcp>" . VMware_VCloud_API_Helper::format_boolean($this->Tcp, $input_name='Tcp') . "</" . $ns . "Tcp>\n");
        }
        if (!is_null($this->Udp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Udp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Udp>" . VMware_VCloud_API_Helper::format_boolean($this->Udp, $input_name='Udp') . "</" . $ns . "Udp>\n");
        }
        if (!is_null($this->Icmp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Icmp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Icmp>" . VMware_VCloud_API_Helper::format_boolean($this->Icmp, $input_name='Icmp') . "</" . $ns . "Icmp>\n");
        }
        if (!is_null($this->Any)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Any', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Any>" . VMware_VCloud_API_Helper::format_boolean($this->Any, $input_name='Any') . "</" . $ns . "Any>\n");
        }
        if (!is_null($this->Other)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Other', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Other>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Other, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Other')) . "</" . $ns . "Other>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Tcp) ||
            !is_null($this->Udp) ||
            !is_null($this->Icmp) ||
            !is_null($this->Any) ||
            !is_null($this->Other)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Tcp') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Tcp = $sval;
            if (!empty($namespace)) {
                $this->namespace['Tcp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Udp') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Udp = $sval;
            if (!empty($namespace)) {
                $this->namespace['Udp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Icmp') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Icmp = $sval;
            if (!empty($namespace)) {
                $this->namespace['Icmp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Any') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Any = $sval;
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Other') {
            $sval = $child->nodeValue;
            $this->Other = $sval;
            if (!empty($namespace)) {
                $this->namespace['Other'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Protocols


/**
 * Represents an IPSec-VPN network service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnServiceType extends VMware_VCloud_API_NetworkServiceType {
    protected $ExternalIpAddress = null;
    protected $PublicIpAddress = null;
    protected $IpsecVpnTunnel = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param string $ExternalIpAddress - [optional] 
    * @param string $PublicIpAddress - [optional] 
    * @param array $IpsecVpnTunnel - [optional] an array of VMware_VCloud_API_IpsecVpnTunnelType objects
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $ExternalIpAddress=null, $PublicIpAddress=null, $IpsecVpnTunnel=null) {
        parent::__construct($VCloudExtension, $IsEnabled);
        $this->ExternalIpAddress = $ExternalIpAddress;
        $this->PublicIpAddress = $PublicIpAddress;
        if (!is_null($IpsecVpnTunnel)) {
            $this->IpsecVpnTunnel = $IpsecVpnTunnel;
        }
        $this->tagName = 'IpsecVpnService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getExternalIpAddress() {
        return $this->ExternalIpAddress;
    }
    public function setExternalIpAddress($ExternalIpAddress) { 
        $this->ExternalIpAddress = $ExternalIpAddress;
    }
    public function getPublicIpAddress() {
        return $this->PublicIpAddress;
    }
    public function setPublicIpAddress($PublicIpAddress) { 
        $this->PublicIpAddress = $PublicIpAddress;
    }
    public function getIpsecVpnTunnel() {
        return $this->IpsecVpnTunnel;
    }
    public function setIpsecVpnTunnel($IpsecVpnTunnel) { 
        $this->IpsecVpnTunnel = $IpsecVpnTunnel;
    }
    public function addIpsecVpnTunnel($value) { array_push($this->IpsecVpnTunnel, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ExternalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalIpAddress')) . "</" . $ns . "ExternalIpAddress>\n");
        }
        if (!is_null($this->PublicIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PublicIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PublicIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PublicIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PublicIpAddress')) . "</" . $ns . "PublicIpAddress>\n");
        }
        if (isset($this->IpsecVpnTunnel)) {
            foreach ($this->IpsecVpnTunnel as $IpsecVpnTunnel) {
                $out = $IpsecVpnTunnel->export('IpsecVpnTunnel', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ExternalIpAddress) ||
            !is_null($this->PublicIpAddress) ||
            !empty($this->IpsecVpnTunnel) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalIpAddress') {
            $sval = $child->nodeValue;
            $this->ExternalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PublicIpAddress') {
            $sval = $child->nodeValue;
            $this->PublicIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['PublicIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnTunnel') {
            $obj = new VMware_VCloud_API_IpsecVpnTunnelType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnTunnel');
            array_push($this->IpsecVpnTunnel, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnTunnel'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnServiceType


/**
 * Represents details of an IPSec-VPN tunnel.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnTunnelType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $Description = null;
    protected $IpsecVpnPeer = null;
    protected $PeerIpAddress = null;
    protected $PeerNetworkAddress = null;
    protected $PeerNetworkMask = null;
    protected $SharedSecret = null;
    protected $EncryptionProtocol = null;
    protected $Mtu = null;
    protected $IsEnabled = null;
    protected $IsOperational = null;
    protected $ErrorDetails = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [required] 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_IpsecVpnPeerType $IpsecVpnPeer - [required]
    * @param string $PeerIpAddress - [required] 
    * @param string $PeerNetworkAddress - [required] 
    * @param string $PeerNetworkMask - [required] 
    * @param string $SharedSecret - [required] 
    * @param string $EncryptionProtocol - [required] 
    * @param int $Mtu - [required] 
    * @param boolean $IsEnabled - [required] 
    * @param boolean $IsOperational - [optional] 
    * @param string $ErrorDetails - [optional] 
    */
    public function __construct($VCloudExtension=null, $Name=null, $Description=null, $IpsecVpnPeer=null, $PeerIpAddress=null, $PeerNetworkAddress=null, $PeerNetworkMask=null, $SharedSecret=null, $EncryptionProtocol=null, $Mtu=null, $IsEnabled=null, $IsOperational=null, $ErrorDetails=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->Description = $Description;
        $this->IpsecVpnPeer = $IpsecVpnPeer;
        $this->PeerIpAddress = $PeerIpAddress;
        $this->PeerNetworkAddress = $PeerNetworkAddress;
        $this->PeerNetworkMask = $PeerNetworkMask;
        $this->SharedSecret = $SharedSecret;
        $this->EncryptionProtocol = $EncryptionProtocol;
        $this->Mtu = $Mtu;
        $this->IsEnabled = $IsEnabled;
        $this->IsOperational = $IsOperational;
        $this->ErrorDetails = $ErrorDetails;
        $this->tagName = 'IpsecVpnTunnel';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getIpsecVpnPeer() {
        return $this->IpsecVpnPeer;
    }
    public function setIpsecVpnPeer($IpsecVpnPeer) { 
        $this->IpsecVpnPeer = $IpsecVpnPeer;
    }
    public function getPeerIpAddress() {
        return $this->PeerIpAddress;
    }
    public function setPeerIpAddress($PeerIpAddress) { 
        $this->PeerIpAddress = $PeerIpAddress;
    }
    public function getPeerNetworkAddress() {
        return $this->PeerNetworkAddress;
    }
    public function setPeerNetworkAddress($PeerNetworkAddress) { 
        $this->PeerNetworkAddress = $PeerNetworkAddress;
    }
    public function getPeerNetworkMask() {
        return $this->PeerNetworkMask;
    }
    public function setPeerNetworkMask($PeerNetworkMask) { 
        $this->PeerNetworkMask = $PeerNetworkMask;
    }
    public function getSharedSecret() {
        return $this->SharedSecret;
    }
    public function setSharedSecret($SharedSecret) { 
        $this->SharedSecret = $SharedSecret;
    }
    public function getEncryptionProtocol() {
        return $this->EncryptionProtocol;
    }
    public function setEncryptionProtocol($EncryptionProtocol) { 
        $this->EncryptionProtocol = $EncryptionProtocol;
    }
    public function getMtu() {
        return $this->Mtu;
    }
    public function setMtu($Mtu) { 
        $this->Mtu = $Mtu;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getIsOperational() {
        return $this->IsOperational;
    }
    public function setIsOperational($IsOperational) { 
        $this->IsOperational = $IsOperational;
    }
    public function getErrorDetails() {
        return $this->ErrorDetails;
    }
    public function setErrorDetails($ErrorDetails) { 
        $this->ErrorDetails = $ErrorDetails;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->IpsecVpnPeer)) {
            $out = $this->IpsecVpnPeer->export('IpsecVpnPeer', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->PeerIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PeerIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PeerIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PeerIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PeerIpAddress')) . "</" . $ns . "PeerIpAddress>\n");
        }
        if (!is_null($this->PeerNetworkAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PeerNetworkAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PeerNetworkAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PeerNetworkAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PeerNetworkAddress')) . "</" . $ns . "PeerNetworkAddress>\n");
        }
        if (!is_null($this->PeerNetworkMask)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PeerNetworkMask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PeerNetworkMask>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PeerNetworkMask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PeerNetworkMask')) . "</" . $ns . "PeerNetworkMask>\n");
        }
        if (!is_null($this->SharedSecret)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SharedSecret', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SharedSecret>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SharedSecret, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SharedSecret')) . "</" . $ns . "SharedSecret>\n");
        }
        if (!is_null($this->EncryptionProtocol)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EncryptionProtocol', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EncryptionProtocol>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EncryptionProtocol, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EncryptionProtocol')) . "</" . $ns . "EncryptionProtocol>\n");
        }
        if (!is_null($this->Mtu)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Mtu', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Mtu>" . VMware_VCloud_API_Helper::format_integer($this->Mtu, $input_name='Mtu') . "</" . $ns . "Mtu>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
     }
        if (!is_null($this->IsOperational)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsOperational', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsOperational>" . VMware_VCloud_API_Helper::format_boolean($this->IsOperational, $input_name='IsOperational') . "</" . $ns . "IsOperational>\n");
        }
        if (!is_null($this->ErrorDetails)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ErrorDetails', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ErrorDetails>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ErrorDetails, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ErrorDetails')) . "</" . $ns . "ErrorDetails>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Description) ||
            !is_null($this->IpsecVpnPeer) ||
            !is_null($this->PeerIpAddress) ||
            !is_null($this->PeerNetworkAddress) ||
            !is_null($this->PeerNetworkMask) ||
            !is_null($this->SharedSecret) ||
            !is_null($this->EncryptionProtocol) ||
            !is_null($this->Mtu) ||
            !is_null($this->IsEnabled) ||
            !is_null($this->IsOperational) ||
            !is_null($this->ErrorDetails) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnLocalPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnLocalPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnLocalPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnLocalPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnRemotePeer') {
            $obj = new VMware_VCloud_API_IpsecVpnRemotePeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnRemotePeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnRemotePeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnThirdPartyPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnThirdPartyPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnThirdPartyPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnThirdPartyPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnLocalPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnLocalPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnLocalPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnLocalPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnRemotePeer') {
            $obj = new VMware_VCloud_API_IpsecVpnRemotePeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnRemotePeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnRemotePeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnThirdPartyPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnThirdPartyPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnThirdPartyPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnThirdPartyPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PeerIpAddress') {
            $sval = $child->nodeValue;
            $this->PeerIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['PeerIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PeerNetworkAddress') {
            $sval = $child->nodeValue;
            $this->PeerNetworkAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['PeerNetworkAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PeerNetworkMask') {
            $sval = $child->nodeValue;
            $this->PeerNetworkMask = $sval;
            if (!empty($namespace)) {
                $this->namespace['PeerNetworkMask'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SharedSecret') {
            $sval = $child->nodeValue;
            $this->SharedSecret = $sval;
            if (!empty($namespace)) {
                $this->namespace['SharedSecret'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EncryptionProtocol') {
            $sval = $child->nodeValue;
            $this->EncryptionProtocol = $sval;
            if (!empty($namespace)) {
                $this->namespace['EncryptionProtocol'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Mtu') {
            $sval = $child->nodeValue;
            $this->Mtu = $sval;
            if (!empty($namespace)) {
                $this->namespace['Mtu'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsOperational') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsOperational = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsOperational'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ErrorDetails') {
            $sval = $child->nodeValue;
            $this->ErrorDetails = $sval;
            if (!empty($namespace)) {
                $this->namespace['ErrorDetails'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnTunnelType


/**
 * Gives more details of peer end point.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnPeerType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    */
    public function __construct($VCloudExtension=null) {
        parent::__construct($VCloudExtension);
        $this->tagName = 'IpsecVpnPeer';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnPeerType


/**
 * Gives more details of peer end point.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnManagedPeerType extends VMware_VCloud_API_IpsecVpnPeerType {
    protected $Id = null;
    protected $Name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Id - [required] 
    * @param string $Name - [required] 
    */
    public function __construct($VCloudExtension=null, $Id=null, $Name=null) {
        parent::__construct($VCloudExtension);
        $this->Id = $Id;
        $this->Name = $Name;
        $this->tagName = 'IpsecVpnPeer';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getId() {
        return $this->Id;
    }
    public function setId($Id) { 
        $this->Id = $Id;
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='IpsecVpnManagedPeerType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Id)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Id>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Id')) . "</" . $ns . "Id>\n");
        }
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Id) ||
            !is_null($this->Name) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Id') {
            $sval = $child->nodeValue;
            $this->Id = $sval;
            if (!empty($namespace)) {
                $this->namespace['Id'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnManagedPeerType


/**
 * Gives more details of local peer end point.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnLocalPeerType extends VMware_VCloud_API_IpsecVpnManagedPeerType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Id - [required] 
    * @param string $Name - [required] 
    */
    public function __construct($VCloudExtension=null, $Id=null, $Name=null) {
        parent::__construct($VCloudExtension, $Id, $Name);
        $this->tagName = 'IpsecVpnLocalPeer';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnLocalPeerType


/**
 * Gives more details of remote peer end point.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnRemotePeerType extends VMware_VCloud_API_IpsecVpnManagedPeerType {
    protected $VcdUrl = null;
    protected $VcdOrganization = null;
    protected $VcdUsername = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Id - [required] 
    * @param string $Name - [required] 
    * @param string $VcdUrl - [required] 
    * @param string $VcdOrganization - [required] 
    * @param string $VcdUsername - [required] 
    */
    public function __construct($VCloudExtension=null, $Id=null, $Name=null, $VcdUrl=null, $VcdOrganization=null, $VcdUsername=null) {
        parent::__construct($VCloudExtension, $Id, $Name);
        $this->VcdUrl = $VcdUrl;
        $this->VcdOrganization = $VcdOrganization;
        $this->VcdUsername = $VcdUsername;
        $this->tagName = 'IpsecVpnRemotePeer';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVcdUrl() {
        return $this->VcdUrl;
    }
    public function setVcdUrl($VcdUrl) { 
        $this->VcdUrl = $VcdUrl;
    }
    public function getVcdOrganization() {
        return $this->VcdOrganization;
    }
    public function setVcdOrganization($VcdOrganization) { 
        $this->VcdOrganization = $VcdOrganization;
    }
    public function getVcdUsername() {
        return $this->VcdUsername;
    }
    public function setVcdUsername($VcdUsername) { 
        $this->VcdUsername = $VcdUsername;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VcdUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcdUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcdUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcdUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcdUrl')) . "</" . $ns . "VcdUrl>\n");
        }
        if (!is_null($this->VcdOrganization)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcdOrganization', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcdOrganization>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcdOrganization, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcdOrganization')) . "</" . $ns . "VcdOrganization>\n");
        }
        if (!is_null($this->VcdUsername)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcdUsername', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcdUsername>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcdUsername, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcdUsername')) . "</" . $ns . "VcdUsername>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VcdUrl) ||
            !is_null($this->VcdOrganization) ||
            !is_null($this->VcdUsername) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcdUrl') {
            $sval = $child->nodeValue;
            $this->VcdUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcdUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcdOrganization') {
            $sval = $child->nodeValue;
            $this->VcdOrganization = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcdOrganization'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcdUsername') {
            $sval = $child->nodeValue;
            $this->VcdUsername = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcdUsername'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnRemotePeerType


/**
 * Gives more details of peer end point not managed by vCloud Director.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnUnmanagedPeerType extends VMware_VCloud_API_IpsecVpnPeerType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    */
    public function __construct($VCloudExtension=null) {
        parent::__construct($VCloudExtension);
        $this->tagName = 'IpsecVpnPeer';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='IpsecVpnUnmanagedPeerType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnUnmanagedPeerType


/**
 * Gives more details of third party peer end point.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnThirdPartyPeerType extends VMware_VCloud_API_IpsecVpnUnmanagedPeerType {
    protected $PeerId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $PeerId - [required] 
    */
    public function __construct($VCloudExtension=null, $PeerId=null) {
        parent::__construct($VCloudExtension);
        $this->PeerId = $PeerId;
        $this->tagName = 'IpsecVpnThirdPartyPeer';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getPeerId() {
        return $this->PeerId;
    }
    public function setPeerId($PeerId) { 
        $this->PeerId = $PeerId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->PeerId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PeerId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PeerId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PeerId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PeerId')) . "</" . $ns . "PeerId>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->PeerId) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PeerId') {
            $sval = $child->nodeValue;
            $this->PeerId = $sval;
            if (!empty($namespace)) {
                $this->namespace['PeerId'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnThirdPartyPeerType


/**
 * Represents Static Routing network service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_StaticRoutingServiceType extends VMware_VCloud_API_NetworkServiceType {
    protected $StaticRoute = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param array $StaticRoute - [optional] an array of VMware_VCloud_API_StaticRouteType objects
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $StaticRoute=null) {
        parent::__construct($VCloudExtension, $IsEnabled);
        if (!is_null($StaticRoute)) {
            $this->StaticRoute = $StaticRoute;
        }
        $this->tagName = 'StaticRoutingService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getStaticRoute() {
        return $this->StaticRoute;
    }
    public function setStaticRoute($StaticRoute) { 
        $this->StaticRoute = $StaticRoute;
    }
    public function addStaticRoute($value) { array_push($this->StaticRoute, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->StaticRoute)) {
            foreach ($this->StaticRoute as $StaticRoute) {
                $out = $StaticRoute->export('StaticRoute', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->StaticRoute) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StaticRoute') {
            $obj = new VMware_VCloud_API_StaticRouteType();
            $obj->build($child);
            $obj->set_tagName('StaticRoute');
            array_push($this->StaticRoute, $obj);
            if (!empty($namespace)) {
                $this->namespace['StaticRoute'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_StaticRoutingServiceType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_StaticRouteType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $Network = null;
    protected $NextHopIp = null;
    protected $Interface = null;
    protected $GatewayInterface = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [required] 
    * @param string $Network - [required] 
    * @param string $NextHopIp - [required] 
    * @param string $Interface - [optional] 
    * @param VMware_VCloud_API_ReferenceType $GatewayInterface - [optional]
    */
    public function __construct($VCloudExtension=null, $Name=null, $Network=null, $NextHopIp=null, $Interface=null, $GatewayInterface=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->Network = $Network;
        $this->NextHopIp = $NextHopIp;
        $this->Interface = $Interface;
        $this->GatewayInterface = $GatewayInterface;
        $this->tagName = 'StaticRoute';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getNetwork() {
        return $this->Network;
    }
    public function setNetwork($Network) { 
        $this->Network = $Network;
    }
    public function getNextHopIp() {
        return $this->NextHopIp;
    }
    public function setNextHopIp($NextHopIp) { 
        $this->NextHopIp = $NextHopIp;
    }
    public function getInterface() {
        return $this->Interface;
    }
    public function setInterface($Interface) { 
        $this->Interface = $Interface;
    }
    public function getGatewayInterface() {
        return $this->GatewayInterface;
    }
    public function setGatewayInterface($GatewayInterface) { 
        $this->GatewayInterface = $GatewayInterface;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Network)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Network', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Network>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Network, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Network')) . "</" . $ns . "Network>\n");
        }
        if (!is_null($this->NextHopIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NextHopIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NextHopIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->NextHopIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='NextHopIp')) . "</" . $ns . "NextHopIp>\n");
        }
        if (!is_null($this->Interface)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Interface', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Interface>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Interface, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Interface')) . "</" . $ns . "Interface>\n");
        }
        if (!is_null($this->GatewayInterface)) {
            $out = $this->GatewayInterface->export('GatewayInterface', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Network) ||
            !is_null($this->NextHopIp) ||
            !is_null($this->Interface) ||
            !is_null($this->GatewayInterface) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Network') {
            $sval = $child->nodeValue;
            $this->Network = $sval;
            if (!empty($namespace)) {
                $this->namespace['Network'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NextHopIp') {
            $sval = $child->nodeValue;
            $this->NextHopIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['NextHopIp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Interface') {
            $sval = $child->nodeValue;
            $this->Interface = $sval;
            if (!empty($namespace)) {
                $this->namespace['Interface'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayInterface') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('GatewayInterface');
            $this->setGatewayInterface($obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayInterface'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_StaticRouteType


/**
 * Represents Gateway DHCP service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayDhcpServiceType extends VMware_VCloud_API_NetworkServiceType {
    protected $Pool = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param array $Pool - [optional] an array of VMware_VCloud_API_DhcpPoolServiceType objects
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $Pool=null) {
        parent::__construct($VCloudExtension, $IsEnabled);
        if (!is_null($Pool)) {
            $this->Pool = $Pool;
        }
        $this->tagName = 'GatewayDhcpService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getPool() {
        return $this->Pool;
    }
    public function setPool($Pool) { 
        $this->Pool = $Pool;
    }
    public function addPool($value) { array_push($this->Pool, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Pool)) {
            foreach ($this->Pool as $Pool) {
                $out = $Pool->export('Pool', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Pool) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Pool') {
            $obj = new VMware_VCloud_API_DhcpPoolServiceType();
            $obj->build($child);
            $obj->set_tagName('Pool');
            array_push($this->Pool, $obj);
            if (!empty($namespace)) {
                $this->namespace['Pool'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayDhcpServiceType


/**
 * Represents DHCP pool service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_DhcpPoolServiceType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsEnabled = null;
    protected $Network = null;
    protected $DefaultLeaseTime = null;
    protected $MaxLeaseTime = null;
    protected $LowIpAddress = null;
    protected $HighIpAddress = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Network - [optional]
    * @param int $DefaultLeaseTime - [optional] 
    * @param int $MaxLeaseTime - [optional] 
    * @param string $LowIpAddress - [optional] 
    * @param string $HighIpAddress - [optional] 
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $Network=null, $DefaultLeaseTime=null, $MaxLeaseTime=null, $LowIpAddress=null, $HighIpAddress=null) {
        parent::__construct($VCloudExtension);
        $this->IsEnabled = $IsEnabled;
        $this->Network = $Network;
        $this->DefaultLeaseTime = $DefaultLeaseTime;
        $this->MaxLeaseTime = $MaxLeaseTime;
        $this->LowIpAddress = $LowIpAddress;
        $this->HighIpAddress = $HighIpAddress;
        $this->tagName = 'Pool';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getNetwork() {
        return $this->Network;
    }
    public function setNetwork($Network) { 
        $this->Network = $Network;
    }
    public function getDefaultLeaseTime() {
        return $this->DefaultLeaseTime;
    }
    public function setDefaultLeaseTime($DefaultLeaseTime) { 
        $this->DefaultLeaseTime = $DefaultLeaseTime;
    }
    public function getMaxLeaseTime() {
        return $this->MaxLeaseTime;
    }
    public function setMaxLeaseTime($MaxLeaseTime) { 
        $this->MaxLeaseTime = $MaxLeaseTime;
    }
    public function getLowIpAddress() {
        return $this->LowIpAddress;
    }
    public function setLowIpAddress($LowIpAddress) { 
        $this->LowIpAddress = $LowIpAddress;
    }
    public function getHighIpAddress() {
        return $this->HighIpAddress;
    }
    public function setHighIpAddress($HighIpAddress) { 
        $this->HighIpAddress = $HighIpAddress;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->Network)) {
            $out = $this->Network->export('Network', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->DefaultLeaseTime)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DefaultLeaseTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DefaultLeaseTime>" . VMware_VCloud_API_Helper::format_integer($this->DefaultLeaseTime, $input_name='DefaultLeaseTime') . "</" . $ns . "DefaultLeaseTime>\n");
        }
        if (!is_null($this->MaxLeaseTime)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MaxLeaseTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MaxLeaseTime>" . VMware_VCloud_API_Helper::format_integer($this->MaxLeaseTime, $input_name='MaxLeaseTime') . "</" . $ns . "MaxLeaseTime>\n");
        }
        if (!is_null($this->LowIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LowIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LowIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->LowIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='LowIpAddress')) . "</" . $ns . "LowIpAddress>\n");
        }
        if (!is_null($this->HighIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HighIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HighIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HighIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HighIpAddress')) . "</" . $ns . "HighIpAddress>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsEnabled) ||
            !is_null($this->Network) ||
            !is_null($this->DefaultLeaseTime) ||
            !is_null($this->MaxLeaseTime) ||
            !is_null($this->LowIpAddress) ||
            !is_null($this->HighIpAddress) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Network') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Network');
            $this->setNetwork($obj);
            if (!empty($namespace)) {
                $this->namespace['Network'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultLeaseTime') {
            $sval = $child->nodeValue;
            $this->DefaultLeaseTime = $sval;
            if (!empty($namespace)) {
                $this->namespace['DefaultLeaseTime'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MaxLeaseTime') {
            $sval = $child->nodeValue;
            $this->MaxLeaseTime = $sval;
            if (!empty($namespace)) {
                $this->namespace['MaxLeaseTime'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LowIpAddress') {
            $sval = $child->nodeValue;
            $this->LowIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['LowIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HighIpAddress') {
            $sval = $child->nodeValue;
            $this->HighIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['HighIpAddress'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_DhcpPoolServiceType


/**
 * Represents gateway load balancer service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LoadBalancerServiceType extends VMware_VCloud_API_NetworkServiceType {
    protected $Pool = array();
    protected $VirtualServer = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param array $Pool - [optional] an array of VMware_VCloud_API_LoadBalancerPoolType objects
    * @param array $VirtualServer - [optional] an array of VMware_VCloud_API_LoadBalancerVirtualServerType objects
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $Pool=null, $VirtualServer=null) {
        parent::__construct($VCloudExtension, $IsEnabled);
        if (!is_null($Pool)) {
            $this->Pool = $Pool;
        }
        if (!is_null($VirtualServer)) {
            $this->VirtualServer = $VirtualServer;
        }
        $this->tagName = 'LoadBalancerService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getPool() {
        return $this->Pool;
    }
    public function setPool($Pool) { 
        $this->Pool = $Pool;
    }
    public function addPool($value) { array_push($this->Pool, $value); }
    public function getVirtualServer() {
        return $this->VirtualServer;
    }
    public function setVirtualServer($VirtualServer) { 
        $this->VirtualServer = $VirtualServer;
    }
    public function addVirtualServer($value) { array_push($this->VirtualServer, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Pool)) {
            foreach ($this->Pool as $Pool) {
                $out = $Pool->export('Pool', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->VirtualServer)) {
            foreach ($this->VirtualServer as $VirtualServer) {
                $out = $VirtualServer->export('VirtualServer', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Pool) ||
            !empty($this->VirtualServer) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Pool') {
            $obj = new VMware_VCloud_API_LoadBalancerPoolType();
            $obj->build($child);
            $obj->set_tagName('Pool');
            array_push($this->Pool, $obj);
            if (!empty($namespace)) {
                $this->namespace['Pool'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualServer') {
            $obj = new VMware_VCloud_API_LoadBalancerVirtualServerType();
            $obj->build($child);
            $obj->set_tagName('VirtualServer');
            array_push($this->VirtualServer, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualServer'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LoadBalancerServiceType


/**
 * Represents a load balancer pool.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LoadBalancerPoolType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Id = null;
    protected $Name = null;
    protected $Description = null;
    protected $ServicePort = array();
    protected $Member = array();
    protected $Operational = null;
    protected $ErrorDetails = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Id - [optional] 
    * @param string $Name - [optional] 
    * @param string $Description - [optional] 
    * @param array $ServicePort - [optional] an array of VMware_VCloud_API_LBPoolServicePortType objects
    * @param array $Member - [optional] an array of VMware_VCloud_API_LBPoolMemberType objects
    * @param boolean $Operational - [optional] 
    * @param string $ErrorDetails - [optional] 
    */
    public function __construct($VCloudExtension=null, $Id=null, $Name=null, $Description=null, $ServicePort=null, $Member=null, $Operational=null, $ErrorDetails=null) {
        parent::__construct($VCloudExtension);
        $this->Id = $Id;
        $this->Name = $Name;
        $this->Description = $Description;
        if (!is_null($ServicePort)) {
            $this->ServicePort = $ServicePort;
        }
        if (!is_null($Member)) {
            $this->Member = $Member;
        }
        $this->Operational = $Operational;
        $this->ErrorDetails = $ErrorDetails;
        $this->tagName = 'Pool';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getId() {
        return $this->Id;
    }
    public function setId($Id) { 
        $this->Id = $Id;
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getServicePort() {
        return $this->ServicePort;
    }
    public function setServicePort($ServicePort) { 
        $this->ServicePort = $ServicePort;
    }
    public function addServicePort($value) { array_push($this->ServicePort, $value); }
    public function getMember() {
        return $this->Member;
    }
    public function setMember($Member) { 
        $this->Member = $Member;
    }
    public function addMember($value) { array_push($this->Member, $value); }
    public function getOperational() {
        return $this->Operational;
    }
    public function setOperational($Operational) { 
        $this->Operational = $Operational;
    }
    public function getErrorDetails() {
        return $this->ErrorDetails;
    }
    public function setErrorDetails($ErrorDetails) { 
        $this->ErrorDetails = $ErrorDetails;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Id)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Id>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Id')) . "</" . $ns . "Id>\n");
        }
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (isset($this->ServicePort)) {
            foreach ($this->ServicePort as $ServicePort) {
                $out = $ServicePort->export('ServicePort', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Member)) {
            foreach ($this->Member as $Member) {
                $out = $Member->export('Member', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->Operational)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Operational', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Operational>" . VMware_VCloud_API_Helper::format_boolean($this->Operational, $input_name='Operational') . "</" . $ns . "Operational>\n");
        }
        if (!is_null($this->ErrorDetails)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ErrorDetails', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ErrorDetails>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ErrorDetails, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ErrorDetails')) . "</" . $ns . "ErrorDetails>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Id) ||
            !is_null($this->Name) ||
            !is_null($this->Description) ||
            !empty($this->ServicePort) ||
            !empty($this->Member) ||
            !is_null($this->Operational) ||
            !is_null($this->ErrorDetails) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Id') {
            $sval = $child->nodeValue;
            $this->Id = $sval;
            if (!empty($namespace)) {
                $this->namespace['Id'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServicePort') {
            $obj = new VMware_VCloud_API_LBPoolServicePortType();
            $obj->build($child);
            $obj->set_tagName('ServicePort');
            array_push($this->ServicePort, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServicePort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Member') {
            $obj = new VMware_VCloud_API_LBPoolMemberType();
            $obj->build($child);
            $obj->set_tagName('Member');
            array_push($this->Member, $obj);
            if (!empty($namespace)) {
                $this->namespace['Member'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Operational') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Operational = $sval;
            if (!empty($namespace)) {
                $this->namespace['Operational'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ErrorDetails') {
            $sval = $child->nodeValue;
            $this->ErrorDetails = $sval;
            if (!empty($namespace)) {
                $this->namespace['ErrorDetails'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LoadBalancerPoolType


/**
 * Represents a load balancer virtual server.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LoadBalancerVirtualServerType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsEnabled = null;
    protected $Name = null;
    protected $Description = null;
    protected $Interface = null;
    protected $IpAddress = null;
    protected $ServiceProfile = array();
    protected $Logging = null;
    protected $Pool = null;
    protected $LoadBalancerTemplates = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param string $Name - [optional] 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Interface - [optional]
    * @param string $IpAddress - [optional] 
    * @param array $ServiceProfile - [optional] an array of VMware_VCloud_API_LBVirtualServerServiceProfileType objects
    * @param boolean $Logging - [optional] 
    * @param string $Pool - [optional] 
    * @param array $LoadBalancerTemplates - [optional] an array of VMware_VCloud_API_VendorTemplateType objects
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $Name=null, $Description=null, $Interface=null, $IpAddress=null, $ServiceProfile=null, $Logging=null, $Pool=null, $LoadBalancerTemplates=null) {
        parent::__construct($VCloudExtension);
        $this->IsEnabled = $IsEnabled;
        $this->Name = $Name;
        $this->Description = $Description;
        $this->Interface = $Interface;
        $this->IpAddress = $IpAddress;
        if (!is_null($ServiceProfile)) {
            $this->ServiceProfile = $ServiceProfile;
        }
        $this->Logging = $Logging;
        $this->Pool = $Pool;
        if (!is_null($LoadBalancerTemplates)) {
            $this->LoadBalancerTemplates = $LoadBalancerTemplates;
        }
        $this->tagName = 'VirtualServer';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getInterface() {
        return $this->Interface;
    }
    public function setInterface($Interface) { 
        $this->Interface = $Interface;
    }
    public function getIpAddress() {
        return $this->IpAddress;
    }
    public function setIpAddress($IpAddress) { 
        $this->IpAddress = $IpAddress;
    }
    public function getServiceProfile() {
        return $this->ServiceProfile;
    }
    public function setServiceProfile($ServiceProfile) { 
        $this->ServiceProfile = $ServiceProfile;
    }
    public function addServiceProfile($value) { array_push($this->ServiceProfile, $value); }
    public function getLogging() {
        return $this->Logging;
    }
    public function setLogging($Logging) { 
        $this->Logging = $Logging;
    }
    public function getPool() {
        return $this->Pool;
    }
    public function setPool($Pool) { 
        $this->Pool = $Pool;
    }
    public function getLoadBalancerTemplates() {
        return $this->LoadBalancerTemplates;
    }
    public function setLoadBalancerTemplates($LoadBalancerTemplates) { 
        $this->LoadBalancerTemplates = $LoadBalancerTemplates;
    }
    public function addLoadBalancerTemplates($value) { array_push($this->LoadBalancerTemplates, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->Interface)) {
            $out = $this->Interface->export('Interface', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IpAddress')) . "</" . $ns . "IpAddress>\n");
        }
        if (isset($this->ServiceProfile)) {
            foreach ($this->ServiceProfile as $ServiceProfile) {
                $out = $ServiceProfile->export('ServiceProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->Logging)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Logging', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Logging>" . VMware_VCloud_API_Helper::format_boolean($this->Logging, $input_name='Logging') . "</" . $ns . "Logging>\n");
        }
        if (!is_null($this->Pool)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Pool', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Pool>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Pool, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Pool')) . "</" . $ns . "Pool>\n");
        }
        if (isset($this->LoadBalancerTemplates)) {
            foreach ($this->LoadBalancerTemplates as $LoadBalancerTemplates) {
                $out = $LoadBalancerTemplates->export('LoadBalancerTemplates', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsEnabled) ||
            !is_null($this->Name) ||
            !is_null($this->Description) ||
            !is_null($this->Interface) ||
            !is_null($this->IpAddress) ||
            !empty($this->ServiceProfile) ||
            !is_null($this->Logging) ||
            !is_null($this->Pool) ||
            !empty($this->LoadBalancerTemplates) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Interface') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Interface');
            $this->setInterface($obj);
            if (!empty($namespace)) {
                $this->namespace['Interface'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAddress') {
            $sval = $child->nodeValue;
            $this->IpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['IpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceProfile') {
            $obj = new VMware_VCloud_API_LBVirtualServerServiceProfileType();
            $obj->build($child);
            $obj->set_tagName('ServiceProfile');
            array_push($this->ServiceProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Logging') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Logging = $sval;
            if (!empty($namespace)) {
                $this->namespace['Logging'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Pool') {
            $sval = $child->nodeValue;
            $this->Pool = $sval;
            if (!empty($namespace)) {
                $this->namespace['Pool'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LoadBalancerTemplates') {
            $obj = new VMware_VCloud_API_VendorTemplateType();
            $obj->build($child);
            $obj->set_tagName('LoadBalancerTemplates');
            array_push($this->LoadBalancerTemplates, $obj);
            if (!empty($namespace)) {
                $this->namespace['LoadBalancerTemplates'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LoadBalancerVirtualServerType


/**
 * Represents a service port in a load balancer pool.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LBPoolServicePortType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsEnabled = null;
    protected $Protocol = null;
    protected $Algorithm = null;
    protected $Port = null;
    protected $HealthCheckPort = null;
    protected $HealthCheck = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param string $Protocol - [optional] 
    * @param string $Algorithm - [optional] 
    * @param string $Port - [optional] 
    * @param string $HealthCheckPort - [optional] 
    * @param array $HealthCheck - [optional] an array of VMware_VCloud_API_LBPoolHealthCheckType objects
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $Protocol=null, $Algorithm=null, $Port=null, $HealthCheckPort=null, $HealthCheck=null) {
        parent::__construct($VCloudExtension);
        $this->IsEnabled = $IsEnabled;
        $this->Protocol = $Protocol;
        $this->Algorithm = $Algorithm;
        $this->Port = $Port;
        $this->HealthCheckPort = $HealthCheckPort;
        if (!is_null($HealthCheck)) {
            $this->HealthCheck = $HealthCheck;
        }
        $this->tagName = 'ServicePort';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getProtocol() {
        return $this->Protocol;
    }
    public function setProtocol($Protocol) { 
        $this->Protocol = $Protocol;
    }
    public function getAlgorithm() {
        return $this->Algorithm;
    }
    public function setAlgorithm($Algorithm) { 
        $this->Algorithm = $Algorithm;
    }
    public function getPort() {
        return $this->Port;
    }
    public function setPort($Port) { 
        $this->Port = $Port;
    }
    public function getHealthCheckPort() {
        return $this->HealthCheckPort;
    }
    public function setHealthCheckPort($HealthCheckPort) { 
        $this->HealthCheckPort = $HealthCheckPort;
    }
    public function getHealthCheck() {
        return $this->HealthCheck;
    }
    public function setHealthCheck($HealthCheck) { 
        $this->HealthCheck = $HealthCheck;
    }
    public function addHealthCheck($value) { array_push($this->HealthCheck, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->Protocol)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Protocol', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Protocol>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Protocol, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Protocol')) . "</" . $ns . "Protocol>\n");
        }
        if (!is_null($this->Algorithm)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Algorithm', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Algorithm>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Algorithm, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Algorithm')) . "</" . $ns . "Algorithm>\n");
        }
        if (!is_null($this->Port)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Port', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Port>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Port, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Port')) . "</" . $ns . "Port>\n");
        }
        if (!is_null($this->HealthCheckPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HealthCheckPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HealthCheckPort>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HealthCheckPort, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HealthCheckPort')) . "</" . $ns . "HealthCheckPort>\n");
        }
        if (isset($this->HealthCheck)) {
            foreach ($this->HealthCheck as $HealthCheck) {
                $out = $HealthCheck->export('HealthCheck', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsEnabled) ||
            !is_null($this->Protocol) ||
            !is_null($this->Algorithm) ||
            !is_null($this->Port) ||
            !is_null($this->HealthCheckPort) ||
            !empty($this->HealthCheck) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Protocol') {
            $sval = $child->nodeValue;
            $this->Protocol = $sval;
            if (!empty($namespace)) {
                $this->namespace['Protocol'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Algorithm') {
            $sval = $child->nodeValue;
            $this->Algorithm = $sval;
            if (!empty($namespace)) {
                $this->namespace['Algorithm'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Port') {
            $sval = $child->nodeValue;
            $this->Port = $sval;
            if (!empty($namespace)) {
                $this->namespace['Port'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HealthCheckPort') {
            $sval = $child->nodeValue;
            $this->HealthCheckPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['HealthCheckPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HealthCheck') {
            $obj = new VMware_VCloud_API_LBPoolHealthCheckType();
            $obj->build($child);
            $obj->set_tagName('HealthCheck');
            array_push($this->HealthCheck, $obj);
            if (!empty($namespace)) {
                $this->namespace['HealthCheck'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LBPoolServicePortType


/**
 * Represents service profile for a load balancing virtual server.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LBVirtualServerServiceProfileType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsEnabled = null;
    protected $Protocol = null;
    protected $Port = null;
    protected $Persistence = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param string $Protocol - [optional] 
    * @param string $Port - [optional] 
    * @param VMware_VCloud_API_LBPersistenceType $Persistence - [optional]
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $Protocol=null, $Port=null, $Persistence=null) {
        parent::__construct($VCloudExtension);
        $this->IsEnabled = $IsEnabled;
        $this->Protocol = $Protocol;
        $this->Port = $Port;
        $this->Persistence = $Persistence;
        $this->tagName = 'ServiceProfile';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getProtocol() {
        return $this->Protocol;
    }
    public function setProtocol($Protocol) { 
        $this->Protocol = $Protocol;
    }
    public function getPort() {
        return $this->Port;
    }
    public function setPort($Port) { 
        $this->Port = $Port;
    }
    public function getPersistence() {
        return $this->Persistence;
    }
    public function setPersistence($Persistence) { 
        $this->Persistence = $Persistence;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->Protocol)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Protocol', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Protocol>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Protocol, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Protocol')) . "</" . $ns . "Protocol>\n");
        }
        if (!is_null($this->Port)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Port', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Port>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Port, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Port')) . "</" . $ns . "Port>\n");
        }
        if (!is_null($this->Persistence)) {
            $out = $this->Persistence->export('Persistence', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsEnabled) ||
            !is_null($this->Protocol) ||
            !is_null($this->Port) ||
            !is_null($this->Persistence) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Protocol') {
            $sval = $child->nodeValue;
            $this->Protocol = $sval;
            if (!empty($namespace)) {
                $this->namespace['Protocol'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Port') {
            $sval = $child->nodeValue;
            $this->Port = $sval;
            if (!empty($namespace)) {
                $this->namespace['Port'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Persistence') {
            $obj = new VMware_VCloud_API_LBPersistenceType();
            $obj->build($child);
            $obj->set_tagName('Persistence');
            $this->setPersistence($obj);
            if (!empty($namespace)) {
                $this->namespace['Persistence'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LBVirtualServerServiceProfileType


/**
 * Represents persistence type for a load balancer service profile.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LBPersistenceType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Method = null;
    protected $CookieName = null;
    protected $CookieMode = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Method - [optional] 
    * @param string $CookieName - [optional] 
    * @param string $CookieMode - [optional] 
    */
    public function __construct($VCloudExtension=null, $Method=null, $CookieName=null, $CookieMode=null) {
        parent::__construct($VCloudExtension);
        $this->Method = $Method;
        $this->CookieName = $CookieName;
        $this->CookieMode = $CookieMode;
        $this->tagName = 'Persistence';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMethod() {
        return $this->Method;
    }
    public function setMethod($Method) { 
        $this->Method = $Method;
    }
    public function getCookieName() {
        return $this->CookieName;
    }
    public function setCookieName($CookieName) { 
        $this->CookieName = $CookieName;
    }
    public function getCookieMode() {
        return $this->CookieMode;
    }
    public function setCookieMode($CookieMode) { 
        $this->CookieMode = $CookieMode;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Method)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Method', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Method>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Method, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Method')) . "</" . $ns . "Method>\n");
        }
        if (!is_null($this->CookieName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CookieName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CookieName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CookieName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CookieName')) . "</" . $ns . "CookieName>\n");
        }
        if (!is_null($this->CookieMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CookieMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CookieMode>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CookieMode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CookieMode')) . "</" . $ns . "CookieMode>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Method) ||
            !is_null($this->CookieName) ||
            !is_null($this->CookieMode) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Method') {
            $sval = $child->nodeValue;
            $this->Method = $sval;
            if (!empty($namespace)) {
                $this->namespace['Method'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CookieName') {
            $sval = $child->nodeValue;
            $this->CookieName = $sval;
            if (!empty($namespace)) {
                $this->namespace['CookieName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CookieMode') {
            $sval = $child->nodeValue;
            $this->CookieMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['CookieMode'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LBPersistenceType


/**
 * Represents a member in a load balancer pool.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LBPoolMemberType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IpAddress = null;
    protected $Weight = null;
    protected $ServicePort = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $IpAddress - [optional] 
    * @param string $Weight - [optional] 
    * @param array $ServicePort - [optional] an array of VMware_VCloud_API_LBPoolServicePortType objects
    */
    public function __construct($VCloudExtension=null, $IpAddress=null, $Weight=null, $ServicePort=null) {
        parent::__construct($VCloudExtension);
        $this->IpAddress = $IpAddress;
        $this->Weight = $Weight;
        if (!is_null($ServicePort)) {
            $this->ServicePort = $ServicePort;
        }
        $this->tagName = 'Member';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIpAddress() {
        return $this->IpAddress;
    }
    public function setIpAddress($IpAddress) { 
        $this->IpAddress = $IpAddress;
    }
    public function getWeight() {
        return $this->Weight;
    }
    public function setWeight($Weight) { 
        $this->Weight = $Weight;
    }
    public function getServicePort() {
        return $this->ServicePort;
    }
    public function setServicePort($ServicePort) { 
        $this->ServicePort = $ServicePort;
    }
    public function addServicePort($value) { array_push($this->ServicePort, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IpAddress')) . "</" . $ns . "IpAddress>\n");
        }
        if (!is_null($this->Weight)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Weight', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Weight>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Weight, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Weight')) . "</" . $ns . "Weight>\n");
        }
        if (isset($this->ServicePort)) {
            foreach ($this->ServicePort as $ServicePort) {
                $out = $ServicePort->export('ServicePort', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IpAddress) ||
            !is_null($this->Weight) ||
            !empty($this->ServicePort) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAddress') {
            $sval = $child->nodeValue;
            $this->IpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['IpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Weight') {
            $sval = $child->nodeValue;
            $this->Weight = $sval;
            if (!empty($namespace)) {
                $this->namespace['Weight'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServicePort') {
            $obj = new VMware_VCloud_API_LBPoolServicePortType();
            $obj->build($child);
            $obj->set_tagName('ServicePort');
            array_push($this->ServicePort, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServicePort'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LBPoolMemberType


/**
 * Represents a service port health check list.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LBPoolHealthCheckType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Mode = null;
    protected $Uri = null;
    protected $HealthThreshold = null;
    protected $UnhealthThreshold = null;
    protected $Interval = null;
    protected $Timeout = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Mode - [optional] 
    * @param string $Uri - [optional] 
    * @param string $HealthThreshold - [optional] 
    * @param string $UnhealthThreshold - [optional] 
    * @param string $Interval - [optional] 
    * @param string $Timeout - [optional] 
    */
    public function __construct($VCloudExtension=null, $Mode=null, $Uri=null, $HealthThreshold=null, $UnhealthThreshold=null, $Interval=null, $Timeout=null) {
        parent::__construct($VCloudExtension);
        $this->Mode = $Mode;
        $this->Uri = $Uri;
        $this->HealthThreshold = $HealthThreshold;
        $this->UnhealthThreshold = $UnhealthThreshold;
        $this->Interval = $Interval;
        $this->Timeout = $Timeout;
        $this->tagName = 'HealthCheck';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMode() {
        return $this->Mode;
    }
    public function setMode($Mode) { 
        $this->Mode = $Mode;
    }
    public function getUri() {
        return $this->Uri;
    }
    public function setUri($Uri) { 
        $this->Uri = $Uri;
    }
    public function getHealthThreshold() {
        return $this->HealthThreshold;
    }
    public function setHealthThreshold($HealthThreshold) { 
        $this->HealthThreshold = $HealthThreshold;
    }
    public function getUnhealthThreshold() {
        return $this->UnhealthThreshold;
    }
    public function setUnhealthThreshold($UnhealthThreshold) { 
        $this->UnhealthThreshold = $UnhealthThreshold;
    }
    public function getInterval() {
        return $this->Interval;
    }
    public function setInterval($Interval) { 
        $this->Interval = $Interval;
    }
    public function getTimeout() {
        return $this->Timeout;
    }
    public function setTimeout($Timeout) { 
        $this->Timeout = $Timeout;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Mode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Mode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Mode>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Mode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Mode')) . "</" . $ns . "Mode>\n");
        }
        if (!is_null($this->Uri)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Uri', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Uri>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Uri, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Uri')) . "</" . $ns . "Uri>\n");
        }
        if (!is_null($this->HealthThreshold)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HealthThreshold', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HealthThreshold>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HealthThreshold, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HealthThreshold')) . "</" . $ns . "HealthThreshold>\n");
        }
        if (!is_null($this->UnhealthThreshold)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UnhealthThreshold', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UnhealthThreshold>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UnhealthThreshold, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UnhealthThreshold')) . "</" . $ns . "UnhealthThreshold>\n");
        }
        if (!is_null($this->Interval)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Interval', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Interval>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Interval, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Interval')) . "</" . $ns . "Interval>\n");
        }
        if (!is_null($this->Timeout)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Timeout', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Timeout>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Timeout, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Timeout')) . "</" . $ns . "Timeout>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Mode) ||
            !is_null($this->Uri) ||
            !is_null($this->HealthThreshold) ||
            !is_null($this->UnhealthThreshold) ||
            !is_null($this->Interval) ||
            !is_null($this->Timeout) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Mode') {
            $sval = $child->nodeValue;
            $this->Mode = $sval;
            if (!empty($namespace)) {
                $this->namespace['Mode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Uri') {
            $sval = $child->nodeValue;
            $this->Uri = $sval;
            if (!empty($namespace)) {
                $this->namespace['Uri'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HealthThreshold') {
            $sval = $child->nodeValue;
            $this->HealthThreshold = $sval;
            if (!empty($namespace)) {
                $this->namespace['HealthThreshold'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UnhealthThreshold') {
            $sval = $child->nodeValue;
            $this->UnhealthThreshold = $sval;
            if (!empty($namespace)) {
                $this->namespace['UnhealthThreshold'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Interval') {
            $sval = $child->nodeValue;
            $this->Interval = $sval;
            if (!empty($namespace)) {
                $this->namespace['Interval'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Timeout') {
            $sval = $child->nodeValue;
            $this->Timeout = $sval;
            if (!empty($namespace)) {
                $this->namespace['Timeout'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LBPoolHealthCheckType


/**
 * Represents gateway IPsec VPN service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayIpsecVpnServiceType extends VMware_VCloud_API_NetworkServiceType {
    protected $Endpoint = array();
    protected $Tunnel = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsEnabled - [optional] 
    * @param array $Endpoint - [optional] an array of VMware_VCloud_API_GatewayIpsecVpnEndpointType objects
    * @param array $Tunnel - [optional] an array of VMware_VCloud_API_GatewayIpsecVpnTunnelType objects
    */
    public function __construct($VCloudExtension=null, $IsEnabled=null, $Endpoint=null, $Tunnel=null) {
        parent::__construct($VCloudExtension, $IsEnabled);
        if (!is_null($Endpoint)) {
            $this->Endpoint = $Endpoint;
        }
        if (!is_null($Tunnel)) {
            $this->Tunnel = $Tunnel;
        }
        $this->tagName = 'GatewayIpsecVpnService';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEndpoint() {
        return $this->Endpoint;
    }
    public function setEndpoint($Endpoint) { 
        $this->Endpoint = $Endpoint;
    }
    public function addEndpoint($value) { array_push($this->Endpoint, $value); }
    public function getTunnel() {
        return $this->Tunnel;
    }
    public function setTunnel($Tunnel) { 
        $this->Tunnel = $Tunnel;
    }
    public function addTunnel($value) { array_push($this->Tunnel, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Endpoint)) {
            foreach ($this->Endpoint as $Endpoint) {
                $out = $Endpoint->export('Endpoint', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Tunnel)) {
            foreach ($this->Tunnel as $Tunnel) {
                $out = $Tunnel->export('Tunnel', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Endpoint) ||
            !empty($this->Tunnel) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Endpoint') {
            $obj = new VMware_VCloud_API_GatewayIpsecVpnEndpointType();
            $obj->build($child);
            $obj->set_tagName('Endpoint');
            array_push($this->Endpoint, $obj);
            if (!empty($namespace)) {
                $this->namespace['Endpoint'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Tunnel') {
            $obj = new VMware_VCloud_API_GatewayIpsecVpnTunnelType();
            $obj->build($child);
            $obj->set_tagName('Tunnel');
            array_push($this->Tunnel, $obj);
            if (!empty($namespace)) {
                $this->namespace['Tunnel'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayIpsecVpnServiceType


/**
 * Represents an IPSec VPN endpoint.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayIpsecVpnEndpointType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Network = null;
    protected $PublicIp = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $Network - [optional]
    * @param string $PublicIp - [optional] 
    */
    public function __construct($VCloudExtension=null, $Network=null, $PublicIp=null) {
        parent::__construct($VCloudExtension);
        $this->Network = $Network;
        $this->PublicIp = $PublicIp;
        $this->tagName = 'Endpoint';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetwork() {
        return $this->Network;
    }
    public function setNetwork($Network) { 
        $this->Network = $Network;
    }
    public function getPublicIp() {
        return $this->PublicIp;
    }
    public function setPublicIp($PublicIp) { 
        $this->PublicIp = $PublicIp;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Network)) {
            $out = $this->Network->export('Network', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->PublicIp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PublicIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PublicIp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PublicIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PublicIp')) . "</" . $ns . "PublicIp>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Network) ||
            !is_null($this->PublicIp) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Network') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Network');
            $this->setNetwork($obj);
            if (!empty($namespace)) {
                $this->namespace['Network'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PublicIp') {
            $sval = $child->nodeValue;
            $this->PublicIp = $sval;
            if (!empty($namespace)) {
                $this->namespace['PublicIp'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayIpsecVpnEndpointType


/**
 * Represents an IPSec VPN tunnel.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayIpsecVpnTunnelType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $Description = null;
    protected $IpsecVpnPeer = null;
    protected $PeerIpAddress = null;
    protected $PeerId = null;
    protected $LocalIpAddress = null;
    protected $LocalId = null;
    protected $LocalSubnet = array();
    protected $PeerSubnet = array();
    protected $SharedSecret = null;
    protected $SharedSecretEncrypted = null;
    protected $EncryptionProtocol = null;
    protected $Mtu = null;
    protected $IsEnabled = null;
    protected $IsOperational = null;
    protected $ErrorDetails = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [optional] 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_IpsecVpnPeerType $IpsecVpnPeer - [optional]
    * @param string $PeerIpAddress - [optional] 
    * @param string $PeerId - [optional] 
    * @param string $LocalIpAddress - [optional] 
    * @param string $LocalId - [optional] 
    * @param array $LocalSubnet - [optional] an array of VMware_VCloud_API_IpsecVpnSubnetType objects
    * @param array $PeerSubnet - [optional] an array of VMware_VCloud_API_IpsecVpnSubnetType objects
    * @param string $SharedSecret - [optional] 
    * @param boolean $SharedSecretEncrypted - [optional] 
    * @param string $EncryptionProtocol - [optional] 
    * @param int $Mtu - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param boolean $IsOperational - [optional] 
    * @param string $ErrorDetails - [optional] 
    */
    public function __construct($VCloudExtension=null, $Name=null, $Description=null, $IpsecVpnPeer=null, $PeerIpAddress=null, $PeerId=null, $LocalIpAddress=null, $LocalId=null, $LocalSubnet=null, $PeerSubnet=null, $SharedSecret=null, $SharedSecretEncrypted=null, $EncryptionProtocol=null, $Mtu=null, $IsEnabled=null, $IsOperational=null, $ErrorDetails=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->Description = $Description;
        $this->IpsecVpnPeer = $IpsecVpnPeer;
        $this->PeerIpAddress = $PeerIpAddress;
        $this->PeerId = $PeerId;
        $this->LocalIpAddress = $LocalIpAddress;
        $this->LocalId = $LocalId;
        if (!is_null($LocalSubnet)) {
            $this->LocalSubnet = $LocalSubnet;
        }
        if (!is_null($PeerSubnet)) {
            $this->PeerSubnet = $PeerSubnet;
        }
        $this->SharedSecret = $SharedSecret;
        $this->SharedSecretEncrypted = $SharedSecretEncrypted;
        $this->EncryptionProtocol = $EncryptionProtocol;
        $this->Mtu = $Mtu;
        $this->IsEnabled = $IsEnabled;
        $this->IsOperational = $IsOperational;
        $this->ErrorDetails = $ErrorDetails;
        $this->tagName = 'Tunnel';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getIpsecVpnPeer() {
        return $this->IpsecVpnPeer;
    }
    public function setIpsecVpnPeer($IpsecVpnPeer) { 
        $this->IpsecVpnPeer = $IpsecVpnPeer;
    }
    public function getPeerIpAddress() {
        return $this->PeerIpAddress;
    }
    public function setPeerIpAddress($PeerIpAddress) { 
        $this->PeerIpAddress = $PeerIpAddress;
    }
    public function getPeerId() {
        return $this->PeerId;
    }
    public function setPeerId($PeerId) { 
        $this->PeerId = $PeerId;
    }
    public function getLocalIpAddress() {
        return $this->LocalIpAddress;
    }
    public function setLocalIpAddress($LocalIpAddress) { 
        $this->LocalIpAddress = $LocalIpAddress;
    }
    public function getLocalId() {
        return $this->LocalId;
    }
    public function setLocalId($LocalId) { 
        $this->LocalId = $LocalId;
    }
    public function getLocalSubnet() {
        return $this->LocalSubnet;
    }
    public function setLocalSubnet($LocalSubnet) { 
        $this->LocalSubnet = $LocalSubnet;
    }
    public function addLocalSubnet($value) { array_push($this->LocalSubnet, $value); }
    public function getPeerSubnet() {
        return $this->PeerSubnet;
    }
    public function setPeerSubnet($PeerSubnet) { 
        $this->PeerSubnet = $PeerSubnet;
    }
    public function addPeerSubnet($value) { array_push($this->PeerSubnet, $value); }
    public function getSharedSecret() {
        return $this->SharedSecret;
    }
    public function setSharedSecret($SharedSecret) { 
        $this->SharedSecret = $SharedSecret;
    }
    public function getSharedSecretEncrypted() {
        return $this->SharedSecretEncrypted;
    }
    public function setSharedSecretEncrypted($SharedSecretEncrypted) { 
        $this->SharedSecretEncrypted = $SharedSecretEncrypted;
    }
    public function getEncryptionProtocol() {
        return $this->EncryptionProtocol;
    }
    public function setEncryptionProtocol($EncryptionProtocol) { 
        $this->EncryptionProtocol = $EncryptionProtocol;
    }
    public function getMtu() {
        return $this->Mtu;
    }
    public function setMtu($Mtu) { 
        $this->Mtu = $Mtu;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getIsOperational() {
        return $this->IsOperational;
    }
    public function setIsOperational($IsOperational) { 
        $this->IsOperational = $IsOperational;
    }
    public function getErrorDetails() {
        return $this->ErrorDetails;
    }
    public function setErrorDetails($ErrorDetails) { 
        $this->ErrorDetails = $ErrorDetails;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->IpsecVpnPeer)) {
            $out = $this->IpsecVpnPeer->export('IpsecVpnPeer', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->PeerIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PeerIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PeerIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PeerIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PeerIpAddress')) . "</" . $ns . "PeerIpAddress>\n");
        }
        if (!is_null($this->PeerId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PeerId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PeerId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PeerId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PeerId')) . "</" . $ns . "PeerId>\n");
        }
        if (!is_null($this->LocalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LocalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LocalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->LocalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='LocalIpAddress')) . "</" . $ns . "LocalIpAddress>\n");
        }
        if (!is_null($this->LocalId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LocalId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LocalId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->LocalId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='LocalId')) . "</" . $ns . "LocalId>\n");
        }
        if (isset($this->LocalSubnet)) {
            foreach ($this->LocalSubnet as $LocalSubnet) {
                $out = $LocalSubnet->export('LocalSubnet', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->PeerSubnet)) {
            foreach ($this->PeerSubnet as $PeerSubnet) {
                $out = $PeerSubnet->export('PeerSubnet', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->SharedSecret)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SharedSecret', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SharedSecret>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SharedSecret, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SharedSecret')) . "</" . $ns . "SharedSecret>\n");
        }
        if (!is_null($this->SharedSecretEncrypted)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SharedSecretEncrypted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SharedSecretEncrypted>" . VMware_VCloud_API_Helper::format_boolean($this->SharedSecretEncrypted, $input_name='SharedSecretEncrypted') . "</" . $ns . "SharedSecretEncrypted>\n");
        }
        if (!is_null($this->EncryptionProtocol)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EncryptionProtocol', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EncryptionProtocol>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EncryptionProtocol, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EncryptionProtocol')) . "</" . $ns . "EncryptionProtocol>\n");
        }
        if (!is_null($this->Mtu)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Mtu', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Mtu>" . VMware_VCloud_API_Helper::format_integer($this->Mtu, $input_name='Mtu') . "</" . $ns . "Mtu>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->IsOperational)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsOperational', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsOperational>" . VMware_VCloud_API_Helper::format_boolean($this->IsOperational, $input_name='IsOperational') . "</" . $ns . "IsOperational>\n");
        }
        if (!is_null($this->ErrorDetails)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ErrorDetails', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ErrorDetails>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ErrorDetails, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ErrorDetails')) . "</" . $ns . "ErrorDetails>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Description) ||
            !is_null($this->IpsecVpnPeer) ||
            !is_null($this->PeerIpAddress) ||
            !is_null($this->PeerId) ||
            !is_null($this->LocalIpAddress) ||
            !is_null($this->LocalId) ||
            !empty($this->LocalSubnet) ||
            !empty($this->PeerSubnet) ||
            !is_null($this->SharedSecret) ||
            !is_null($this->SharedSecretEncrypted) ||
            !is_null($this->EncryptionProtocol) ||
            !is_null($this->Mtu) ||
            !is_null($this->IsEnabled) ||
            !is_null($this->IsOperational) ||
            !is_null($this->ErrorDetails) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnLocalPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnLocalPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnLocalPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnLocalPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnRemotePeer') {
            $obj = new VMware_VCloud_API_IpsecVpnRemotePeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnRemotePeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnRemotePeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnThirdPartyPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnThirdPartyPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnThirdPartyPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnThirdPartyPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnLocalPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnLocalPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnLocalPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnLocalPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnRemotePeer') {
            $obj = new VMware_VCloud_API_IpsecVpnRemotePeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnRemotePeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnRemotePeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnThirdPartyPeer') {
            $obj = new VMware_VCloud_API_IpsecVpnThirdPartyPeerType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnThirdPartyPeer');
            $this->setIpsecVpnPeer($obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnThirdPartyPeer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PeerIpAddress') {
            $sval = $child->nodeValue;
            $this->PeerIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['PeerIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PeerId') {
            $sval = $child->nodeValue;
            $this->PeerId = $sval;
            if (!empty($namespace)) {
                $this->namespace['PeerId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LocalIpAddress') {
            $sval = $child->nodeValue;
            $this->LocalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['LocalIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LocalId') {
            $sval = $child->nodeValue;
            $this->LocalId = $sval;
            if (!empty($namespace)) {
                $this->namespace['LocalId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LocalSubnet') {
            $obj = new VMware_VCloud_API_IpsecVpnSubnetType();
            $obj->build($child);
            $obj->set_tagName('LocalSubnet');
            array_push($this->LocalSubnet, $obj);
            if (!empty($namespace)) {
                $this->namespace['LocalSubnet'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PeerSubnet') {
            $obj = new VMware_VCloud_API_IpsecVpnSubnetType();
            $obj->build($child);
            $obj->set_tagName('PeerSubnet');
            array_push($this->PeerSubnet, $obj);
            if (!empty($namespace)) {
                $this->namespace['PeerSubnet'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SharedSecret') {
            $sval = $child->nodeValue;
            $this->SharedSecret = $sval;
            if (!empty($namespace)) {
                $this->namespace['SharedSecret'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SharedSecretEncrypted') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->SharedSecretEncrypted = $sval;
            if (!empty($namespace)) {
                $this->namespace['SharedSecretEncrypted'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EncryptionProtocol') {
            $sval = $child->nodeValue;
            $this->EncryptionProtocol = $sval;
            if (!empty($namespace)) {
                $this->namespace['EncryptionProtocol'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Mtu') {
            $sval = $child->nodeValue;
            $this->Mtu = $sval;
            if (!empty($namespace)) {
                $this->namespace['Mtu'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsOperational') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsOperational = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsOperational'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ErrorDetails') {
            $sval = $child->nodeValue;
            $this->ErrorDetails = $sval;
            if (!empty($namespace)) {
                $this->namespace['ErrorDetails'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayIpsecVpnTunnelType


/**
 * Represents subnet details.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpsecVpnSubnetType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $Gateway = null;
    protected $Netmask = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [optional] 
    * @param string $Gateway - [optional] 
    * @param string $Netmask - [optional] 
    */
    public function __construct($VCloudExtension=null, $Name=null, $Gateway=null, $Netmask=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->Gateway = $Gateway;
        $this->Netmask = $Netmask;
        $this->tagName = 'LocalSubnet';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getGateway() {
        return $this->Gateway;
    }
    public function setGateway($Gateway) { 
        $this->Gateway = $Gateway;
    }
    public function getNetmask() {
        return $this->Netmask;
    }
    public function setNetmask($Netmask) { 
        $this->Netmask = $Netmask;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Gateway)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Gateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Gateway>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Gateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Gateway')) . "</" . $ns . "Gateway>\n");
        }
        if (!is_null($this->Netmask)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Netmask>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Netmask')) . "</" . $ns . "Netmask>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Gateway) ||
            !is_null($this->Netmask) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Gateway') {
            $sval = $child->nodeValue;
            $this->Gateway = $sval;
            if (!empty($namespace)) {
                $this->namespace['Gateway'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Netmask') {
            $sval = $child->nodeValue;
            $this->Netmask = $sval;
            if (!empty($namespace)) {
                $this->namespace['Netmask'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpsecVpnSubnetType


/**
 * The configurations applied to a network. This is an  abstract base type. The concrete types include those for vApp and  Organization wide networks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkConfigurationType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $BackwardCompatibilityMode = null;
    protected $IpScope = null;
    protected $IpScopes = null;
    protected $ParentNetwork = null;
    protected $FenceMode = null;
    protected $RetainNetInfoAcrossDeployments = null;
    protected $Features = null;
    protected $SyslogServerSettings = null;
    protected $RouterInfo = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $BackwardCompatibilityMode - [optional] 
    * @param VMware_VCloud_API_IpScopeType $IpScope - [optional]
    * @param VMware_VCloud_API_IpScopesType $IpScopes - [optional]
    * @param VMware_VCloud_API_ReferenceType $ParentNetwork - [optional]
    * @param string $FenceMode - [required] 
    * @param boolean $RetainNetInfoAcrossDeployments - [optional] 
    * @param VMware_VCloud_API_NetworkFeaturesType $Features - [optional]
    * @param VMware_VCloud_API_SyslogServerSettingsType $SyslogServerSettings - [optional]
    * @param VMware_VCloud_API_RouterInfoType $RouterInfo - [optional]
    */
    public function __construct($VCloudExtension=null, $BackwardCompatibilityMode=null, $IpScope=null, $IpScopes=null, $ParentNetwork=null, $FenceMode=null, $RetainNetInfoAcrossDeployments=null, $Features=null, $SyslogServerSettings=null, $RouterInfo=null) {
        parent::__construct($VCloudExtension);
        $this->BackwardCompatibilityMode = $BackwardCompatibilityMode;
        $this->IpScope = $IpScope;
        $this->IpScopes = $IpScopes;
        $this->ParentNetwork = $ParentNetwork;
        $this->FenceMode = $FenceMode;
        $this->RetainNetInfoAcrossDeployments = $RetainNetInfoAcrossDeployments;
        $this->Features = $Features;
        $this->SyslogServerSettings = $SyslogServerSettings;
        $this->RouterInfo = $RouterInfo;
        $this->tagName = 'Configuration';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getBackwardCompatibilityMode() {
        return $this->BackwardCompatibilityMode;
    }
    public function setBackwardCompatibilityMode($BackwardCompatibilityMode) { 
        $this->BackwardCompatibilityMode = $BackwardCompatibilityMode;
    }
    public function getIpScope() {
        return $this->IpScope;
    }
    public function setIpScope($IpScope) { 
        $this->IpScope = $IpScope;
    }
    public function getIpScopes() {
        return $this->IpScopes;
    }
    public function setIpScopes($IpScopes) { 
        $this->IpScopes = $IpScopes;
    }
    public function getParentNetwork() {
        return $this->ParentNetwork;
    }
    public function setParentNetwork($ParentNetwork) { 
        $this->ParentNetwork = $ParentNetwork;
    }
    public function getFenceMode() {
        return $this->FenceMode;
    }
    public function setFenceMode($FenceMode) { 
        $this->FenceMode = $FenceMode;
    }
    public function getRetainNetInfoAcrossDeployments() {
        return $this->RetainNetInfoAcrossDeployments;
    }
    public function setRetainNetInfoAcrossDeployments($RetainNetInfoAcrossDeployments) { 
        $this->RetainNetInfoAcrossDeployments = $RetainNetInfoAcrossDeployments;
    }
    public function getFeatures() {
        return $this->Features;
    }
    public function setFeatures($Features) { 
        $this->Features = $Features;
    }
    public function getSyslogServerSettings() {
        return $this->SyslogServerSettings;
    }
    public function setSyslogServerSettings($SyslogServerSettings) { 
        $this->SyslogServerSettings = $SyslogServerSettings;
    }
    public function getRouterInfo() {
        return $this->RouterInfo;
    }
    public function setRouterInfo($RouterInfo) { 
        $this->RouterInfo = $RouterInfo;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->BackwardCompatibilityMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'BackwardCompatibilityMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "BackwardCompatibilityMode>" . VMware_VCloud_API_Helper::format_boolean($this->BackwardCompatibilityMode, $input_name='BackwardCompatibilityMode') . "</" . $ns . "BackwardCompatibilityMode>\n");
        }
        if (!is_null($this->IpScope)) {
            $out = $this->IpScope->export('IpScope', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IpScopes)) {
            $out = $this->IpScopes->export('IpScopes', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ParentNetwork)) {
            $out = $this->ParentNetwork->export('ParentNetwork', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->FenceMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FenceMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FenceMode>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->FenceMode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='FenceMode')) . "</" . $ns . "FenceMode>\n");
        }
        if (!is_null($this->RetainNetInfoAcrossDeployments)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RetainNetInfoAcrossDeployments', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RetainNetInfoAcrossDeployments>" . VMware_VCloud_API_Helper::format_boolean($this->RetainNetInfoAcrossDeployments, $input_name='RetainNetInfoAcrossDeployments') . "</" . $ns . "RetainNetInfoAcrossDeployments>\n");
        }
        if (!is_null($this->Features)) {
            $out = $this->Features->export('Features', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->SyslogServerSettings)) {
            $out = $this->SyslogServerSettings->export('SyslogServerSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->RouterInfo)) {
            $out = $this->RouterInfo->export('RouterInfo', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->BackwardCompatibilityMode) ||
            !is_null($this->IpScope) ||
            !is_null($this->IpScopes) ||
            !is_null($this->ParentNetwork) ||
            !is_null($this->FenceMode) ||
            !is_null($this->RetainNetInfoAcrossDeployments) ||
            !is_null($this->Features) ||
            !is_null($this->SyslogServerSettings) ||
            !is_null($this->RouterInfo) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BackwardCompatibilityMode') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->BackwardCompatibilityMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['BackwardCompatibilityMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpScope') {
            $obj = new VMware_VCloud_API_IpScopeType();
            $obj->build($child);
            $obj->set_tagName('IpScope');
            $this->setIpScope($obj);
            if (!empty($namespace)) {
                $this->namespace['IpScope'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpScopes') {
            $obj = new VMware_VCloud_API_IpScopesType();
            $obj->build($child);
            $obj->set_tagName('IpScopes');
            $this->setIpScopes($obj);
            if (!empty($namespace)) {
                $this->namespace['IpScopes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ParentNetwork') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ParentNetwork');
            $this->setParentNetwork($obj);
            if (!empty($namespace)) {
                $this->namespace['ParentNetwork'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FenceMode') {
            $sval = $child->nodeValue;
            $this->FenceMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['FenceMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RetainNetInfoAcrossDeployments') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->RetainNetInfoAcrossDeployments = $sval;
            if (!empty($namespace)) {
                $this->namespace['RetainNetInfoAcrossDeployments'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Features') {
            $obj = new VMware_VCloud_API_NetworkFeaturesType();
            $obj->build($child);
            $obj->set_tagName('Features');
            $this->setFeatures($obj);
            if (!empty($namespace)) {
                $this->namespace['Features'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SyslogServerSettings') {
            $obj = new VMware_VCloud_API_SyslogServerSettingsType();
            $obj->build($child);
            $obj->set_tagName('SyslogServerSettings');
            $this->setSyslogServerSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['SyslogServerSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RouterInfo') {
            $obj = new VMware_VCloud_API_RouterInfoType();
            $obj->build($child);
            $obj->set_tagName('RouterInfo');
            $this->setRouterInfo($obj);
            if (!empty($namespace)) {
                $this->namespace['RouterInfo'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkConfigurationType


/**
 * A list of IP addresses.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpAddressesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IpAddress = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $IpAddress - [optional] an array of string
    */
    public function __construct($VCloudExtension=null, $IpAddress=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($IpAddress)) {
            $this->IpAddress = $IpAddress;
        }
        $this->tagName = 'AllowedExternalIpAddresses';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIpAddress() {
        return $this->IpAddress;
    }
    public function setIpAddress($IpAddress) { 
        $this->IpAddress = $IpAddress;
    }
    public function addIpAddress($value) { array_push($this->IpAddress, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->IpAddress)) {
            foreach ($this->IpAddress as $IpAddress) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpAddress', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($IpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IpAddress')) . "</" . $ns . "IpAddress>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->IpAddress) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAddress') {
            $sval = $child->nodeValue;
            array_push($this->IpAddress, $sval);
            if (!empty($namespace)) {
                $this->namespace['IpAddress'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpAddressesType


/**
 * Represents an information for allocated IP address  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AllocatedIpAddressType extends VMware_VCloud_API_ResourceType {
    protected $allocationType = null;
    protected $isDeployed = null;
    protected $IpAddress = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $allocationType - [required] an attribute, 
    * @param boolean $isDeployed - [optional] an attribute, 
    * @param string $IpAddress - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $allocationType=null, $isDeployed=null, $IpAddress=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->allocationType = $allocationType;
        $this->isDeployed = $isDeployed;
        $this->IpAddress = $IpAddress;
        $this->tagName = 'IpAddress';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIpAddress() {
        return $this->IpAddress;
    }
    public function setIpAddress($IpAddress) { 
        $this->IpAddress = $IpAddress;
    }
    public function get_allocationType(){
        return $this->allocationType;
    }
    public function set_allocationType($allocationType) {
        $this->allocationType = $allocationType;
    }
    public function get_isDeployed(){
        return $this->isDeployed;
    }
    public function set_isDeployed($isDeployed) {
        $this->isDeployed = $isDeployed;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'allocationType', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'allocationType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->allocationType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='allocationType')));
        if (!is_null($this->isDeployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeployed, $input_name='isDeployed')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IpAddress')) . "</" . $ns . "IpAddress>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IpAddress) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndallocationType = $attrs->getNamedItem('allocationType');
        if (!is_null($ndallocationType)) {
            $this->allocationType = $ndallocationType->value;
            if (isset($ndallocationType->prefix)) {
                $this->namespace['allocationType'] = $ndallocationType->prefix;
                $nsUri = $ndallocationType->lookupNamespaceURI($ndallocationType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'allocationType');
        } else {
            $this->allocationType = null;
        }
        $ndisDeployed = $attrs->getNamedItem('isDeployed');
        if (!is_null($ndisDeployed)) {
            $this->isDeployed = VMware_VCloud_API_Helper::get_boolean($ndisDeployed->value);
            if (isset($ndisDeployed->prefix)) {
                $this->namespace['isDeployed'] = $ndisDeployed->prefix;
                $nsUri = $ndisDeployed->lookupNamespaceURI($ndisDeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeployed');
        } else {
            $this->isDeployed = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAddress') {
            $sval = $child->nodeValue;
            $this->IpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['IpAddress'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AllocatedIpAddressType


/**
 * A list of information for allocated IP addresses.
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AllocatedIpAddressesType extends VMware_VCloud_API_ResourceType {
    protected $IpAddress = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $IpAddress - [optional] an array of VMware_VCloud_API_AllocatedIpAddressType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $IpAddress=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($IpAddress)) {
            $this->IpAddress = $IpAddress;
        }
        $this->tagName = 'AllocatedIpAddresses';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIpAddress() {
        return $this->IpAddress;
    }
    public function setIpAddress($IpAddress) { 
        $this->IpAddress = $IpAddress;
    }
    public function addIpAddress($value) { array_push($this->IpAddress, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->IpAddress)) {
            foreach ($this->IpAddress as $IpAddress) {
                $out = $IpAddress->export('IpAddress', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->IpAddress) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAddress') {
            $obj = new VMware_VCloud_API_AllocatedIpAddressType();
            $obj->build($child);
            $obj->set_tagName('IpAddress');
            array_push($this->IpAddress, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAddress'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AllocatedIpAddressesType


/**
 * A list of IP addresses that are sub allocated to edge gateways.
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SubAllocationsType extends VMware_VCloud_API_ResourceType {
    protected $SubAllocation = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $SubAllocation - [optional] an array of VMware_VCloud_API_SubAllocationType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $SubAllocation=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($SubAllocation)) {
            $this->SubAllocation = $SubAllocation;
        }
        $this->tagName = 'SubAllocations';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSubAllocation() {
        return $this->SubAllocation;
    }
    public function setSubAllocation($SubAllocation) { 
        $this->SubAllocation = $SubAllocation;
    }
    public function addSubAllocation($value) { array_push($this->SubAllocation, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->SubAllocation)) {
            foreach ($this->SubAllocation as $SubAllocation) {
                $out = $SubAllocation->export('SubAllocation', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->SubAllocation) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SubAllocation') {
            $obj = new VMware_VCloud_API_SubAllocationType();
            $obj->build($child);
            $obj->set_tagName('SubAllocation');
            array_push($this->SubAllocation, $obj);
            if (!empty($namespace)) {
                $this->namespace['SubAllocation'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SubAllocationsType


/**
 * IP range sub allocated to an edge gateway.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SubAllocationType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $EdgeGateway = null;
    protected $IpRanges = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $EdgeGateway - [required]
    * @param VMware_VCloud_API_IpRangesType $IpRanges - [required]
    */
    public function __construct($VCloudExtension=null, $EdgeGateway=null, $IpRanges=null) {
        parent::__construct($VCloudExtension);
        $this->EdgeGateway = $EdgeGateway;
        $this->IpRanges = $IpRanges;
        $this->tagName = 'SubAllocation';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEdgeGateway() {
        return $this->EdgeGateway;
    }
    public function setEdgeGateway($EdgeGateway) { 
        $this->EdgeGateway = $EdgeGateway;
    }
    public function getIpRanges() {
        return $this->IpRanges;
    }
    public function setIpRanges($IpRanges) { 
        $this->IpRanges = $IpRanges;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->EdgeGateway)) {
            $out = $this->EdgeGateway->export('EdgeGateway', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IpRanges)) {
            $out = $this->IpRanges->export('IpRanges', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->EdgeGateway) ||
            !is_null($this->IpRanges) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGateway') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('EdgeGateway');
            $this->setEdgeGateway($obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGateway'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpRanges') {
            $obj = new VMware_VCloud_API_IpRangesType();
            $obj->build($child);
            $obj->set_tagName('IpRanges');
            $this->setIpRanges($obj);
            if (!empty($namespace)) {
                $this->namespace['IpRanges'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SubAllocationType


/**
 * Represents a range of IP addresses, start and end inclusive.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpRangeType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $StartAddress = null;
    protected $EndAddress = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $StartAddress - [required] 
    * @param string $EndAddress - [required] 
    */
    public function __construct($VCloudExtension=null, $StartAddress=null, $EndAddress=null) {
        parent::__construct($VCloudExtension);
        $this->StartAddress = $StartAddress;
        $this->EndAddress = $EndAddress;
        $this->tagName = 'IpRange';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getStartAddress() {
        return $this->StartAddress;
    }
    public function setStartAddress($StartAddress) { 
        $this->StartAddress = $StartAddress;
    }
    public function getEndAddress() {
        return $this->EndAddress;
    }
    public function setEndAddress($EndAddress) { 
        $this->EndAddress = $EndAddress;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->StartAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StartAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StartAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->StartAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='StartAddress')) . "</" . $ns . "StartAddress>\n");
        }
        if (!is_null($this->EndAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EndAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EndAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EndAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EndAddress')) . "</" . $ns . "EndAddress>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->StartAddress) ||
            !is_null($this->EndAddress) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartAddress') {
            $sval = $child->nodeValue;
            $this->StartAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['StartAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EndAddress') {
            $sval = $child->nodeValue;
            $this->EndAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['EndAddress'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpRangeType


/**
 * Represents a list of IP ranges.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpRangesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IpRange = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $IpRange - [optional] an array of VMware_VCloud_API_IpRangeType objects
    */
    public function __construct($VCloudExtension=null, $IpRange=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($IpRange)) {
            $this->IpRange = $IpRange;
        }
        $this->tagName = 'IpRanges';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIpRange() {
        return $this->IpRange;
    }
    public function setIpRange($IpRange) { 
        $this->IpRange = $IpRange;
    }
    public function addIpRange($value) { array_push($this->IpRange, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->IpRange)) {
            foreach ($this->IpRange as $IpRange) {
                $out = $IpRange->export('IpRange', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->IpRange) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpRange') {
            $obj = new VMware_VCloud_API_IpRangeType();
            $obj->build($child);
            $obj->set_tagName('IpRange');
            array_push($this->IpRange, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpRange'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpRangesType


/**
 * Specify network settings like gateway, network mask, DNS servers, IP ranges, etc.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpScopeType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsInherited = null;
    protected $Gateway = null;
    protected $Netmask = null;
    protected $Dns1 = null;
    protected $Dns2 = null;
    protected $DnsSuffix = null;
    protected $IsEnabled = null;
    protected $IpRanges = null;
    protected $AllocatedIpAddresses = null;
    protected $SubAllocations = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsInherited - [required] 
    * @param string $Gateway - [optional] 
    * @param string $Netmask - [optional] 
    * @param string $Dns1 - [optional] 
    * @param string $Dns2 - [optional] 
    * @param string $DnsSuffix - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param VMware_VCloud_API_IpRangesType $IpRanges - [optional]
    * @param VMware_VCloud_API_IpAddressesType $AllocatedIpAddresses - [optional]
    * @param VMware_VCloud_API_SubAllocationsType $SubAllocations - [optional]
    */
    public function __construct($VCloudExtension=null, $IsInherited=null, $Gateway=null, $Netmask=null, $Dns1=null, $Dns2=null, $DnsSuffix=null, $IsEnabled=null, $IpRanges=null, $AllocatedIpAddresses=null, $SubAllocations=null) {
        parent::__construct($VCloudExtension);
        $this->IsInherited = $IsInherited;
        $this->Gateway = $Gateway;
        $this->Netmask = $Netmask;
        $this->Dns1 = $Dns1;
        $this->Dns2 = $Dns2;
        $this->DnsSuffix = $DnsSuffix;
        $this->IsEnabled = $IsEnabled;
        $this->IpRanges = $IpRanges;
        $this->AllocatedIpAddresses = $AllocatedIpAddresses;
        $this->SubAllocations = $SubAllocations;
        $this->tagName = 'IpScope';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsInherited() {
        return $this->IsInherited;
    }
    public function setIsInherited($IsInherited) { 
        $this->IsInherited = $IsInherited;
    }
    public function getGateway() {
        return $this->Gateway;
    }
    public function setGateway($Gateway) { 
        $this->Gateway = $Gateway;
    }
    public function getNetmask() {
        return $this->Netmask;
    }
    public function setNetmask($Netmask) { 
        $this->Netmask = $Netmask;
    }
    public function getDns1() {
        return $this->Dns1;
    }
    public function setDns1($Dns1) { 
        $this->Dns1 = $Dns1;
    }
    public function getDns2() {
        return $this->Dns2;
    }
    public function setDns2($Dns2) { 
        $this->Dns2 = $Dns2;
    }
    public function getDnsSuffix() {
        return $this->DnsSuffix;
    }
    public function setDnsSuffix($DnsSuffix) { 
        $this->DnsSuffix = $DnsSuffix;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getIpRanges() {
        return $this->IpRanges;
    }
    public function setIpRanges($IpRanges) { 
        $this->IpRanges = $IpRanges;
    }
    public function getAllocatedIpAddresses() {
        return $this->AllocatedIpAddresses;
    }
    public function setAllocatedIpAddresses($AllocatedIpAddresses) { 
        $this->AllocatedIpAddresses = $AllocatedIpAddresses;
    }
    public function getSubAllocations() {
        return $this->SubAllocations;
    }
    public function setSubAllocations($SubAllocations) { 
        $this->SubAllocations = $SubAllocations;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsInherited)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsInherited', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsInherited>" . VMware_VCloud_API_Helper::format_boolean($this->IsInherited, $input_name='IsInherited') . "</" . $ns . "IsInherited>\n");
     }
        if (!is_null($this->Gateway)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Gateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Gateway>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Gateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Gateway')) . "</" . $ns . "Gateway>\n");
        }
        if (!is_null($this->Netmask)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Netmask>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Netmask')) . "</" . $ns . "Netmask>\n");
        }
        if (!is_null($this->Dns1)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Dns1', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Dns1>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Dns1, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Dns1')) . "</" . $ns . "Dns1>\n");
        }
        if (!is_null($this->Dns2)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Dns2', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Dns2>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Dns2, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Dns2')) . "</" . $ns . "Dns2>\n");
        }
        if (!is_null($this->DnsSuffix)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DnsSuffix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DnsSuffix>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DnsSuffix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DnsSuffix')) . "</" . $ns . "DnsSuffix>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->IpRanges)) {
            $out = $this->IpRanges->export('IpRanges', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AllocatedIpAddresses)) {
            $out = $this->AllocatedIpAddresses->export('AllocatedIpAddresses', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->SubAllocations)) {
            $out = $this->SubAllocations->export('SubAllocations', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsInherited) ||
            !is_null($this->Gateway) ||
            !is_null($this->Netmask) ||
            !is_null($this->Dns1) ||
            !is_null($this->Dns2) ||
            !is_null($this->DnsSuffix) ||
            !is_null($this->IsEnabled) ||
            !is_null($this->IpRanges) ||
            !is_null($this->AllocatedIpAddresses) ||
            !is_null($this->SubAllocations) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsInherited') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsInherited = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsInherited'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Gateway') {
            $sval = $child->nodeValue;
            $this->Gateway = $sval;
            if (!empty($namespace)) {
                $this->namespace['Gateway'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Netmask') {
            $sval = $child->nodeValue;
            $this->Netmask = $sval;
            if (!empty($namespace)) {
                $this->namespace['Netmask'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Dns1') {
            $sval = $child->nodeValue;
            $this->Dns1 = $sval;
            if (!empty($namespace)) {
                $this->namespace['Dns1'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Dns2') {
            $sval = $child->nodeValue;
            $this->Dns2 = $sval;
            if (!empty($namespace)) {
                $this->namespace['Dns2'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DnsSuffix') {
            $sval = $child->nodeValue;
            $this->DnsSuffix = $sval;
            if (!empty($namespace)) {
                $this->namespace['DnsSuffix'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpRanges') {
            $obj = new VMware_VCloud_API_IpRangesType();
            $obj->build($child);
            $obj->set_tagName('IpRanges');
            $this->setIpRanges($obj);
            if (!empty($namespace)) {
                $this->namespace['IpRanges'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllocatedIpAddresses') {
            $obj = new VMware_VCloud_API_IpAddressesType();
            $obj->build($child);
            $obj->set_tagName('AllocatedIpAddresses');
            $this->setAllocatedIpAddresses($obj);
            if (!empty($namespace)) {
                $this->namespace['AllocatedIpAddresses'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SubAllocations') {
            $obj = new VMware_VCloud_API_SubAllocationsType();
            $obj->build($child);
            $obj->set_tagName('SubAllocations');
            $this->setSubAllocations($obj);
            if (!empty($namespace)) {
                $this->namespace['SubAllocations'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpScopeType


/**
 * Represents a list of IP scopes.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_IpScopesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IpScope = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $IpScope - [optional] an array of VMware_VCloud_API_IpScopeType objects
    */
    public function __construct($VCloudExtension=null, $IpScope=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($IpScope)) {
            $this->IpScope = $IpScope;
        }
        $this->tagName = 'IpScopes';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIpScope() {
        return $this->IpScope;
    }
    public function setIpScope($IpScope) { 
        $this->IpScope = $IpScope;
    }
    public function addIpScope($value) { array_push($this->IpScope, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->IpScope)) {
            foreach ($this->IpScope as $IpScope) {
                $out = $IpScope->export('IpScope', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->IpScope) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpScope') {
            $obj = new VMware_VCloud_API_IpScopeType();
            $obj->build($child);
            $obj->set_tagName('IpScope');
            array_push($this->IpScope, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpScope'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_IpScopesType


/**
 * Syslog server settings.  If logging is configured for firewall rules, the logs will be directed to these syslog servers.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SyslogServerSettingsType {
    protected $SyslogServerIp1 = null;
    protected $SyslogServerIp2 = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $SyslogServerIp1 - [optional] 
    * @param string $SyslogServerIp2 - [optional] 
    */
    public function __construct($SyslogServerIp1=null, $SyslogServerIp2=null) {
        $this->SyslogServerIp1 = $SyslogServerIp1;
        $this->SyslogServerIp2 = $SyslogServerIp2;
        $this->tagName = 'SyslogServerSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSyslogServerIp1() {
        return $this->SyslogServerIp1;
    }
    public function setSyslogServerIp1($SyslogServerIp1) { 
        $this->SyslogServerIp1 = $SyslogServerIp1;
    }
    public function getSyslogServerIp2() {
        return $this->SyslogServerIp2;
    }
    public function setSyslogServerIp2($SyslogServerIp2) { 
        $this->SyslogServerIp2 = $SyslogServerIp2;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->SyslogServerIp1)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SyslogServerIp1', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SyslogServerIp1>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SyslogServerIp1, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SyslogServerIp1')) . "</" . $ns . "SyslogServerIp1>\n");
        }
        if (!is_null($this->SyslogServerIp2)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SyslogServerIp2', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SyslogServerIp2>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SyslogServerIp2, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SyslogServerIp2')) . "</" . $ns . "SyslogServerIp2>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->SyslogServerIp1) ||
            !is_null($this->SyslogServerIp2)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SyslogServerIp1') {
            $sval = $child->nodeValue;
            $this->SyslogServerIp1 = $sval;
            if (!empty($namespace)) {
                $this->namespace['SyslogServerIp1'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SyslogServerIp2') {
            $sval = $child->nodeValue;
            $this->SyslogServerIp2 = $sval;
            if (!empty($namespace)) {
                $this->namespace['SyslogServerIp2'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_SyslogServerSettingsType


/**
 * Gateway Configuration.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayConfigurationType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $BackwardCompatibilityMode = null;
    protected $GatewayBackingConfig = null;
    protected $GatewayInterfaces = null;
    protected $EdgeGatewayServiceConfiguration = null;
    protected $HaEnabled = null;
    protected $UseDefaultRouteForDnsRelay = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $BackwardCompatibilityMode - [optional] 
    * @param string $GatewayBackingConfig - [optional] 
    * @param VMware_VCloud_API_GatewayInterfacesType $GatewayInterfaces - [optional]
    * @param VMware_VCloud_API_GatewayFeaturesType $EdgeGatewayServiceConfiguration - [optional]
    * @param boolean $HaEnabled - [optional] 
    * @param boolean $UseDefaultRouteForDnsRelay - [optional] 
    */
    public function __construct($VCloudExtension=null, $BackwardCompatibilityMode=null, $GatewayBackingConfig=null, $GatewayInterfaces=null, $EdgeGatewayServiceConfiguration=null, $HaEnabled=null, $UseDefaultRouteForDnsRelay=null) {
        parent::__construct($VCloudExtension);
        $this->BackwardCompatibilityMode = $BackwardCompatibilityMode;
        $this->GatewayBackingConfig = $GatewayBackingConfig;
        $this->GatewayInterfaces = $GatewayInterfaces;
        $this->EdgeGatewayServiceConfiguration = $EdgeGatewayServiceConfiguration;
        $this->HaEnabled = $HaEnabled;
        $this->UseDefaultRouteForDnsRelay = $UseDefaultRouteForDnsRelay;
        $this->tagName = 'Configuration';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getBackwardCompatibilityMode() {
        return $this->BackwardCompatibilityMode;
    }
    public function setBackwardCompatibilityMode($BackwardCompatibilityMode) { 
        $this->BackwardCompatibilityMode = $BackwardCompatibilityMode;
    }
    public function getGatewayBackingConfig() {
        return $this->GatewayBackingConfig;
    }
    public function setGatewayBackingConfig($GatewayBackingConfig) { 
        $this->GatewayBackingConfig = $GatewayBackingConfig;
    }
    public function getGatewayInterfaces() {
        return $this->GatewayInterfaces;
    }
    public function setGatewayInterfaces($GatewayInterfaces) { 
        $this->GatewayInterfaces = $GatewayInterfaces;
    }
    public function getEdgeGatewayServiceConfiguration() {
        return $this->EdgeGatewayServiceConfiguration;
    }
    public function setEdgeGatewayServiceConfiguration($EdgeGatewayServiceConfiguration) { 
        $this->EdgeGatewayServiceConfiguration = $EdgeGatewayServiceConfiguration;
    }
    public function getHaEnabled() {
        return $this->HaEnabled;
    }
    public function setHaEnabled($HaEnabled) { 
        $this->HaEnabled = $HaEnabled;
    }
    public function getUseDefaultRouteForDnsRelay() {
        return $this->UseDefaultRouteForDnsRelay;
    }
    public function setUseDefaultRouteForDnsRelay($UseDefaultRouteForDnsRelay) { 
        $this->UseDefaultRouteForDnsRelay = $UseDefaultRouteForDnsRelay;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->BackwardCompatibilityMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'BackwardCompatibilityMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "BackwardCompatibilityMode>" . VMware_VCloud_API_Helper::format_boolean($this->BackwardCompatibilityMode, $input_name='BackwardCompatibilityMode') . "</" . $ns . "BackwardCompatibilityMode>\n");
        }
        if (!is_null($this->GatewayBackingConfig)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GatewayBackingConfig', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GatewayBackingConfig>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GatewayBackingConfig, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GatewayBackingConfig')) . "</" . $ns . "GatewayBackingConfig>\n");
        }
        if (!is_null($this->GatewayInterfaces)) {
            $out = $this->GatewayInterfaces->export('GatewayInterfaces', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->EdgeGatewayServiceConfiguration)) {
            $out = $this->EdgeGatewayServiceConfiguration->export('EdgeGatewayServiceConfiguration', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->HaEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HaEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HaEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->HaEnabled, $input_name='HaEnabled') . "</" . $ns . "HaEnabled>\n");
        }
        if (!is_null($this->UseDefaultRouteForDnsRelay)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UseDefaultRouteForDnsRelay', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UseDefaultRouteForDnsRelay>" . VMware_VCloud_API_Helper::format_boolean($this->UseDefaultRouteForDnsRelay, $input_name='UseDefaultRouteForDnsRelay') . "</" . $ns . "UseDefaultRouteForDnsRelay>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->BackwardCompatibilityMode) ||
            !is_null($this->GatewayBackingConfig) ||
            !is_null($this->GatewayInterfaces) ||
            !is_null($this->EdgeGatewayServiceConfiguration) ||
            !is_null($this->HaEnabled) ||
            !is_null($this->UseDefaultRouteForDnsRelay) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BackwardCompatibilityMode') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->BackwardCompatibilityMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['BackwardCompatibilityMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayBackingConfig') {
            $sval = $child->nodeValue;
            $this->GatewayBackingConfig = $sval;
            if (!empty($namespace)) {
                $this->namespace['GatewayBackingConfig'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayInterfaces') {
            $obj = new VMware_VCloud_API_GatewayInterfacesType();
            $obj->build($child);
            $obj->set_tagName('GatewayInterfaces');
            $this->setGatewayInterfaces($obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayInterfaces'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGatewayServiceConfiguration') {
            $obj = new VMware_VCloud_API_GatewayFeaturesType();
            $obj->build($child);
            $obj->set_tagName('EdgeGatewayServiceConfiguration');
            $this->setEdgeGatewayServiceConfiguration($obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGatewayServiceConfiguration'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HaEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->HaEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['HaEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UseDefaultRouteForDnsRelay') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UseDefaultRouteForDnsRelay = $sval;
            if (!empty($namespace)) {
                $this->namespace['UseDefaultRouteForDnsRelay'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayConfigurationType


/**
 * A list of Gateway Interfaces.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayInterfacesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $GatewayInterface = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $GatewayInterface - [optional] an array of VMware_VCloud_API_GatewayInterfaceType objects
    */
    public function __construct($VCloudExtension=null, $GatewayInterface=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($GatewayInterface)) {
            $this->GatewayInterface = $GatewayInterface;
        }
        $this->tagName = 'GatewayInterfaces';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getGatewayInterface() {
        return $this->GatewayInterface;
    }
    public function setGatewayInterface($GatewayInterface) { 
        $this->GatewayInterface = $GatewayInterface;
    }
    public function addGatewayInterface($value) { array_push($this->GatewayInterface, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->GatewayInterface)) {
            foreach ($this->GatewayInterface as $GatewayInterface) {
                $out = $GatewayInterface->export('GatewayInterface', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->GatewayInterface) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayInterface') {
            $obj = new VMware_VCloud_API_GatewayInterfaceType();
            $obj->build($child);
            $obj->set_tagName('GatewayInterface');
            array_push($this->GatewayInterface, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayInterface'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayInterfacesType


/**
 * Gateway Interface configuration.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayInterfaceType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $DisplayName = null;
    protected $Network = null;
    protected $InterfaceType = null;
    protected $SubnetParticipation = array();
    protected $ApplyRateLimit = null;
    protected $InRateLimit = null;
    protected $OutRateLimit = null;
    protected $UseForDefaultRoute = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [optional] 
    * @param string $DisplayName - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Network - [optional]
    * @param string $InterfaceType - [optional] 
    * @param array $SubnetParticipation - [optional] an array of VMware_VCloud_API_SubnetParticipationType objects
    * @param boolean $ApplyRateLimit - [optional] 
    * @param float $InRateLimit - [optional] 
    * @param float $OutRateLimit - [optional] 
    * @param boolean $UseForDefaultRoute - [optional] 
    */
    public function __construct($VCloudExtension=null, $Name=null, $DisplayName=null, $Network=null, $InterfaceType=null, $SubnetParticipation=null, $ApplyRateLimit=null, $InRateLimit=null, $OutRateLimit=null, $UseForDefaultRoute=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->DisplayName = $DisplayName;
        $this->Network = $Network;
        $this->InterfaceType = $InterfaceType;
        if (!is_null($SubnetParticipation)) {
            $this->SubnetParticipation = $SubnetParticipation;
        }
        $this->ApplyRateLimit = $ApplyRateLimit;
        $this->InRateLimit = $InRateLimit;
        $this->OutRateLimit = $OutRateLimit;
        $this->UseForDefaultRoute = $UseForDefaultRoute;
        $this->tagName = 'GatewayInterface';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getDisplayName() {
        return $this->DisplayName;
    }
    public function setDisplayName($DisplayName) { 
        $this->DisplayName = $DisplayName;
    }
    public function getNetwork() {
        return $this->Network;
    }
    public function setNetwork($Network) { 
        $this->Network = $Network;
    }
    public function getInterfaceType() {
        return $this->InterfaceType;
    }
    public function setInterfaceType($InterfaceType) { 
        $this->InterfaceType = $InterfaceType;
    }
    public function getSubnetParticipation() {
        return $this->SubnetParticipation;
    }
    public function setSubnetParticipation($SubnetParticipation) { 
        $this->SubnetParticipation = $SubnetParticipation;
    }
    public function addSubnetParticipation($value) { array_push($this->SubnetParticipation, $value); }
    public function getApplyRateLimit() {
        return $this->ApplyRateLimit;
    }
    public function setApplyRateLimit($ApplyRateLimit) { 
        $this->ApplyRateLimit = $ApplyRateLimit;
    }
    public function getInRateLimit() {
        return $this->InRateLimit;
    }
    public function setInRateLimit($InRateLimit) { 
        $this->InRateLimit = $InRateLimit;
    }
    public function getOutRateLimit() {
        return $this->OutRateLimit;
    }
    public function setOutRateLimit($OutRateLimit) { 
        $this->OutRateLimit = $OutRateLimit;
    }
    public function getUseForDefaultRoute() {
        return $this->UseForDefaultRoute;
    }
    public function setUseForDefaultRoute($UseForDefaultRoute) { 
        $this->UseForDefaultRoute = $UseForDefaultRoute;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->DisplayName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DisplayName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DisplayName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DisplayName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DisplayName')) . "</" . $ns . "DisplayName>\n");
        }
        if (!is_null($this->Network)) {
            $out = $this->Network->export('Network', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->InterfaceType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InterfaceType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InterfaceType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->InterfaceType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='InterfaceType')) . "</" . $ns . "InterfaceType>\n");
        }
        if (isset($this->SubnetParticipation)) {
            foreach ($this->SubnetParticipation as $SubnetParticipation) {
                $out = $SubnetParticipation->export('SubnetParticipation', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->ApplyRateLimit)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ApplyRateLimit', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ApplyRateLimit>" . VMware_VCloud_API_Helper::format_boolean($this->ApplyRateLimit, $input_name='ApplyRateLimit') . "</" . $ns . "ApplyRateLimit>\n");
        }
        if (!is_null($this->InRateLimit)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InRateLimit', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InRateLimit>" . VMware_VCloud_API_Helper::format_double($this->InRateLimit, $input_name='InRateLimit') . "</" . $ns . "InRateLimit>\n");
        }
        if (!is_null($this->OutRateLimit)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OutRateLimit', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OutRateLimit>" . VMware_VCloud_API_Helper::format_double($this->OutRateLimit, $input_name='OutRateLimit') . "</" . $ns . "OutRateLimit>\n");
        }
        if (!is_null($this->UseForDefaultRoute)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UseForDefaultRoute', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UseForDefaultRoute>" . VMware_VCloud_API_Helper::format_boolean($this->UseForDefaultRoute, $input_name='UseForDefaultRoute') . "</" . $ns . "UseForDefaultRoute>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->DisplayName) ||
            !is_null($this->Network) ||
            !is_null($this->InterfaceType) ||
            !empty($this->SubnetParticipation) ||
            !is_null($this->ApplyRateLimit) ||
            !is_null($this->InRateLimit) ||
            !is_null($this->OutRateLimit) ||
            !is_null($this->UseForDefaultRoute) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DisplayName') {
            $sval = $child->nodeValue;
            $this->DisplayName = $sval;
            if (!empty($namespace)) {
                $this->namespace['DisplayName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Network') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Network');
            $this->setNetwork($obj);
            if (!empty($namespace)) {
                $this->namespace['Network'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InterfaceType') {
            $sval = $child->nodeValue;
            $this->InterfaceType = $sval;
            if (!empty($namespace)) {
                $this->namespace['InterfaceType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SubnetParticipation') {
            $obj = new VMware_VCloud_API_SubnetParticipationType();
            $obj->build($child);
            $obj->set_tagName('SubnetParticipation');
            array_push($this->SubnetParticipation, $obj);
            if (!empty($namespace)) {
                $this->namespace['SubnetParticipation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApplyRateLimit') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->ApplyRateLimit = $sval;
            if (!empty($namespace)) {
                $this->namespace['ApplyRateLimit'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InRateLimit') {
            $sval = $child->nodeValue;
            $this->InRateLimit = $sval;
            if (!empty($namespace)) {
                $this->namespace['InRateLimit'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OutRateLimit') {
            $sval = $child->nodeValue;
            $this->OutRateLimit = $sval;
            if (!empty($namespace)) {
                $this->namespace['OutRateLimit'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UseForDefaultRoute') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UseForDefaultRoute = $sval;
            if (!empty($namespace)) {
                $this->namespace['UseForDefaultRoute'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayInterfaceType


/**
 * Represents edge gateway services.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayFeaturesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $NetworkService = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $NetworkService - [optional] an array of VMware_VCloud_API_NetworkServiceType objects
    */
    public function __construct($VCloudExtension=null, $NetworkService=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($NetworkService)) {
            $this->NetworkService = $NetworkService;
        }
        $this->tagName = 'EdgeGatewayServiceConfiguration';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetworkService() {
        return $this->NetworkService;
    }
    public function setNetworkService($NetworkService) { 
        $this->NetworkService = $NetworkService;
    }
    public function addNetworkService($value) { array_push($this->NetworkService, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        foreach ($this->NetworkService as $NetworkService) {
            $tagName = $NetworkService->get_tagName();
            $out = $NetworkService->export($tagName, $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->NetworkService) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkService') {
            $obj = new VMware_VCloud_API_NetworkServiceType();
            $obj->build($child);
            $obj->set_tagName('NetworkService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DhcpService') {
            $obj = new VMware_VCloud_API_DhcpServiceType();
            $obj->build($child);
            $obj->set_tagName('DhcpService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['DhcpService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FirewallService') {
            $obj = new VMware_VCloud_API_FirewallServiceType();
            $obj->build($child);
            $obj->set_tagName('FirewallService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['FirewallService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NatService') {
            $obj = new VMware_VCloud_API_NatServiceType();
            $obj->build($child);
            $obj->set_tagName('NatService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['NatService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnService') {
            $obj = new VMware_VCloud_API_IpsecVpnServiceType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StaticRoutingService') {
            $obj = new VMware_VCloud_API_StaticRoutingServiceType();
            $obj->build($child);
            $obj->set_tagName('StaticRoutingService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['StaticRoutingService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayIpsecVpnService') {
            $obj = new VMware_VCloud_API_GatewayIpsecVpnServiceType();
            $obj->build($child);
            $obj->set_tagName('GatewayIpsecVpnService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayIpsecVpnService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LoadBalancerService') {
            $obj = new VMware_VCloud_API_LoadBalancerServiceType();
            $obj->build($child);
            $obj->set_tagName('LoadBalancerService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['LoadBalancerService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayDhcpService') {
            $obj = new VMware_VCloud_API_GatewayDhcpServiceType();
            $obj->build($child);
            $obj->set_tagName('GatewayDhcpService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayDhcpService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DhcpService') {
            $obj = new VMware_VCloud_API_DhcpServiceType();
            $obj->build($child);
            $obj->set_tagName('DhcpService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['DhcpService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FirewallService') {
            $obj = new VMware_VCloud_API_FirewallServiceType();
            $obj->build($child);
            $obj->set_tagName('FirewallService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['FirewallService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NatService') {
            $obj = new VMware_VCloud_API_NatServiceType();
            $obj->build($child);
            $obj->set_tagName('NatService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['NatService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpsecVpnService') {
            $obj = new VMware_VCloud_API_IpsecVpnServiceType();
            $obj->build($child);
            $obj->set_tagName('IpsecVpnService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpsecVpnService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StaticRoutingService') {
            $obj = new VMware_VCloud_API_StaticRoutingServiceType();
            $obj->build($child);
            $obj->set_tagName('StaticRoutingService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['StaticRoutingService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayIpsecVpnService') {
            $obj = new VMware_VCloud_API_GatewayIpsecVpnServiceType();
            $obj->build($child);
            $obj->set_tagName('GatewayIpsecVpnService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayIpsecVpnService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LoadBalancerService') {
            $obj = new VMware_VCloud_API_LoadBalancerServiceType();
            $obj->build($child);
            $obj->set_tagName('LoadBalancerService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['LoadBalancerService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GatewayDhcpService') {
            $obj = new VMware_VCloud_API_GatewayDhcpServiceType();
            $obj->build($child);
            $obj->set_tagName('GatewayDhcpService');
            array_push($this->NetworkService, $obj);
            if (!empty($namespace)) {
                $this->namespace['GatewayDhcpService'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayFeaturesType


/**
 * Allows to chose which subnets a gateway can be part of  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SubnetParticipationType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Gateway = null;
    protected $Netmask = null;
    protected $IpAddress = null;
    protected $IpRanges = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Gateway - [required] 
    * @param string $Netmask - [required] 
    * @param string $IpAddress - [optional] 
    * @param VMware_VCloud_API_IpRangesType $IpRanges - [optional]
    */
    public function __construct($VCloudExtension=null, $Gateway=null, $Netmask=null, $IpAddress=null, $IpRanges=null) {
        parent::__construct($VCloudExtension);
        $this->Gateway = $Gateway;
        $this->Netmask = $Netmask;
        $this->IpAddress = $IpAddress;
        $this->IpRanges = $IpRanges;
        $this->tagName = 'SubnetParticipation';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getGateway() {
        return $this->Gateway;
    }
    public function setGateway($Gateway) { 
        $this->Gateway = $Gateway;
    }
    public function getNetmask() {
        return $this->Netmask;
    }
    public function setNetmask($Netmask) { 
        $this->Netmask = $Netmask;
    }
    public function getIpAddress() {
        return $this->IpAddress;
    }
    public function setIpAddress($IpAddress) { 
        $this->IpAddress = $IpAddress;
    }
    public function getIpRanges() {
        return $this->IpRanges;
    }
    public function setIpRanges($IpRanges) { 
        $this->IpRanges = $IpRanges;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Gateway)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Gateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Gateway>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Gateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Gateway')) . "</" . $ns . "Gateway>\n");
        }
        if (!is_null($this->Netmask)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Netmask>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Netmask')) . "</" . $ns . "Netmask>\n");
        }
        if (!is_null($this->IpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IpAddress')) . "</" . $ns . "IpAddress>\n");
        }
        if (!is_null($this->IpRanges)) {
            $out = $this->IpRanges->export('IpRanges', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Gateway) ||
            !is_null($this->Netmask) ||
            !is_null($this->IpAddress) ||
            !is_null($this->IpRanges) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Gateway') {
            $sval = $child->nodeValue;
            $this->Gateway = $sval;
            if (!empty($namespace)) {
                $this->namespace['Gateway'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Netmask') {
            $sval = $child->nodeValue;
            $this->Netmask = $sval;
            if (!empty($namespace)) {
                $this->namespace['Netmask'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAddress') {
            $sval = $child->nodeValue;
            $this->IpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['IpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpRanges') {
            $obj = new VMware_VCloud_API_IpRangesType();
            $obj->build($child);
            $obj->set_tagName('IpRanges');
            $this->setIpRanges($obj);
            if (!empty($namespace)) {
                $this->namespace['IpRanges'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SubnetParticipationType


/**
 * Container for references to storage profiles associated with a vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VdcStorageProfilesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $VdcStorageProfile = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $VdcStorageProfile - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $VdcStorageProfile=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($VdcStorageProfile)) {
            $this->VdcStorageProfile = $VdcStorageProfile;
        }
        $this->tagName = 'VdcStorageProfiles';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function addVdcStorageProfile($value) { array_push($this->VdcStorageProfile, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VdcStorageProfile)) {
            foreach ($this->VdcStorageProfile as $VdcStorageProfile) {
                $out = $VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            array_push($this->VdcStorageProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VdcStorageProfilesType


/**
 * Container for references to ResourceEntity objects in this vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ResourceEntitiesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ResourceEntity = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ResourceEntity - [optional] an array of VMware_VCloud_API_ResourceReferenceType objects
    */
    public function __construct($VCloudExtension=null, $ResourceEntity=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ResourceEntity)) {
            $this->ResourceEntity = $ResourceEntity;
        }
        $this->tagName = 'ResourceEntities';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourceEntity() {
        return $this->ResourceEntity;
    }
    public function setResourceEntity($ResourceEntity) { 
        $this->ResourceEntity = $ResourceEntity;
    }
    public function addResourceEntity($value) { array_push($this->ResourceEntity, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ResourceEntity)) {
            foreach ($this->ResourceEntity as $ResourceEntity) {
                $out = $ResourceEntity->export('ResourceEntity', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ResourceEntity) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceEntity') {
            $obj = new VMware_VCloud_API_ResourceReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourceEntity');
            array_push($this->ResourceEntity, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceEntity'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ResourceEntitiesType


/**
 * Container for references to available organization vDC networks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AvailableNetworksType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Network = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Network - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $Network=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Network)) {
            $this->Network = $Network;
        }
        $this->tagName = 'AvailableNetworks';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetwork() {
        return $this->Network;
    }
    public function setNetwork($Network) { 
        $this->Network = $Network;
    }
    public function addNetwork($value) { array_push($this->Network, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Network)) {
            foreach ($this->Network as $Network) {
                $out = $Network->export('Network', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Network) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Network') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Network');
            array_push($this->Network, $obj);
            if (!empty($namespace)) {
                $this->namespace['Network'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AvailableNetworksType


/**
 * Represents a list of references to vDCs.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VdcsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Vdc = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Vdc - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $Vdc=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Vdc)) {
            $this->Vdc = $Vdc;
        }
        $this->tagName = 'Vdcs';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVdc() {
        return $this->Vdc;
    }
    public function setVdc($Vdc) { 
        $this->Vdc = $Vdc;
    }
    public function addVdc($value) { array_push($this->Vdc, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Vdc)) {
            foreach ($this->Vdc as $Vdc) {
                $out = $Vdc->export('Vdc', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Vdc) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vdc') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Vdc');
            array_push($this->Vdc, $obj);
            if (!empty($namespace)) {
                $this->namespace['Vdc'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VdcsType


/**
 * Represents vDC compute capacity.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ComputeCapacityType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Cpu = null;
    protected $Memory = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_CapacityWithUsageType $Cpu - [required]
    * @param VMware_VCloud_API_CapacityWithUsageType $Memory - [required]
    */
    public function __construct($VCloudExtension=null, $Cpu=null, $Memory=null) {
        parent::__construct($VCloudExtension);
        $this->Cpu = $Cpu;
        $this->Memory = $Memory;
        $this->tagName = 'ComputeCapacity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCpu() {
        return $this->Cpu;
    }
    public function setCpu($Cpu) { 
        $this->Cpu = $Cpu;
    }
    public function getMemory() {
        return $this->Memory;
    }
    public function setMemory($Memory) { 
        $this->Memory = $Memory;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Cpu)) {
            $out = $this->Cpu->export('Cpu', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Memory)) {
            $out = $this->Memory->export('Memory', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Cpu) ||
            !is_null($this->Memory) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Cpu') {
            $obj = new VMware_VCloud_API_CapacityWithUsageType();
            $obj->build($child);
            $obj->set_tagName('Cpu');
            $this->setCpu($obj);
            if (!empty($namespace)) {
                $this->namespace['Cpu'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Memory') {
            $obj = new VMware_VCloud_API_CapacityWithUsageType();
            $obj->build($child);
            $obj->set_tagName('Memory');
            $this->setMemory($obj);
            if (!empty($namespace)) {
                $this->namespace['Memory'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ComputeCapacityType


/**
 * Collection of supported hardware capabilities.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CapabilitiesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $SupportedHardwareVersions = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_SupportedHardwareVersionsType $SupportedHardwareVersions - [optional]
    */
    public function __construct($VCloudExtension=null, $SupportedHardwareVersions=null) {
        parent::__construct($VCloudExtension);
        $this->SupportedHardwareVersions = $SupportedHardwareVersions;
        $this->tagName = 'Capabilities';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSupportedHardwareVersions() {
        return $this->SupportedHardwareVersions;
    }
    public function setSupportedHardwareVersions($SupportedHardwareVersions) { 
        $this->SupportedHardwareVersions = $SupportedHardwareVersions;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->SupportedHardwareVersions)) {
            $out = $this->SupportedHardwareVersions->export('SupportedHardwareVersions', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->SupportedHardwareVersions) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SupportedHardwareVersions') {
            $obj = new VMware_VCloud_API_SupportedHardwareVersionsType();
            $obj->build($child);
            $obj->set_tagName('SupportedHardwareVersions');
            $this->setSupportedHardwareVersions($obj);
            if (!empty($namespace)) {
                $this->namespace['SupportedHardwareVersions'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CapabilitiesType


/**
 * Contains a list of VMware virtual hardware versions supported  in this vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SupportedHardwareVersionsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $SupportedHardwareVersion = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $SupportedHardwareVersion - [optional] an array of string
    */
    public function __construct($VCloudExtension=null, $SupportedHardwareVersion=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($SupportedHardwareVersion)) {
            $this->SupportedHardwareVersion = $SupportedHardwareVersion;
        }
        $this->tagName = 'SupportedHardwareVersions';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSupportedHardwareVersion() {
        return $this->SupportedHardwareVersion;
    }
    public function setSupportedHardwareVersion($SupportedHardwareVersion) { 
        $this->SupportedHardwareVersion = $SupportedHardwareVersion;
    }
    public function addSupportedHardwareVersion($value) { array_push($this->SupportedHardwareVersion, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->SupportedHardwareVersion)) {
            foreach ($this->SupportedHardwareVersion as $SupportedHardwareVersion) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SupportedHardwareVersion', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SupportedHardwareVersion>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($SupportedHardwareVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SupportedHardwareVersion')) . "</" . $ns . "SupportedHardwareVersion>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->SupportedHardwareVersion) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SupportedHardwareVersion') {
            $sval = $child->nodeValue;
            array_push($this->SupportedHardwareVersion, $sval);
            if (!empty($namespace)) {
                $this->namespace['SupportedHardwareVersion'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SupportedHardwareVersionsType


/**
 * Allows you to specify certain capabilities of this virtual  machine.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VmCapabilitiesType extends VMware_VCloud_API_ResourceType {
    protected $MemoryHotAddEnabled = null;
    protected $CpuHotAddEnabled = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $MemoryHotAddEnabled - [optional] 
    * @param boolean $CpuHotAddEnabled - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $MemoryHotAddEnabled=null, $CpuHotAddEnabled=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->MemoryHotAddEnabled = $MemoryHotAddEnabled;
        $this->CpuHotAddEnabled = $CpuHotAddEnabled;
        $this->tagName = 'VmCapabilities';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMemoryHotAddEnabled() {
        return $this->MemoryHotAddEnabled;
    }
    public function setMemoryHotAddEnabled($MemoryHotAddEnabled) { 
        $this->MemoryHotAddEnabled = $MemoryHotAddEnabled;
    }
    public function getCpuHotAddEnabled() {
        return $this->CpuHotAddEnabled;
    }
    public function setCpuHotAddEnabled($CpuHotAddEnabled) { 
        $this->CpuHotAddEnabled = $CpuHotAddEnabled;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->MemoryHotAddEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MemoryHotAddEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MemoryHotAddEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->MemoryHotAddEnabled, $input_name='MemoryHotAddEnabled') . "</" . $ns . "MemoryHotAddEnabled>\n");
        }
        if (!is_null($this->CpuHotAddEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CpuHotAddEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CpuHotAddEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->CpuHotAddEnabled, $input_name='CpuHotAddEnabled') . "</" . $ns . "CpuHotAddEnabled>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->MemoryHotAddEnabled) ||
            !is_null($this->CpuHotAddEnabled) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MemoryHotAddEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->MemoryHotAddEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['MemoryHotAddEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuHotAddEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->CpuHotAddEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['CpuHotAddEnabled'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VmCapabilitiesType


/**
 * Container for virtual machines included in this vApp.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VAppChildrenType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $VApp = array();
    protected $Vm = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $VApp - [optional] an array of VMware_VCloud_API_VAppType objects
    * @param array $Vm - [optional] an array of VMware_VCloud_API_VmType objects
    */
    public function __construct($VCloudExtension=null, $VApp=null, $Vm=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($VApp)) {
            $this->VApp = $VApp;
        }
        if (!is_null($Vm)) {
            $this->Vm = $Vm;
        }
        $this->tagName = 'Children';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVApp() {
        return $this->VApp;
    }
    public function setVApp($VApp) { 
        $this->VApp = $VApp;
    }
    public function addVApp($value) { array_push($this->VApp, $value); }
    public function getVm() {
        return $this->Vm;
    }
    public function setVm($Vm) { 
        $this->Vm = $Vm;
    }
    public function addVm($value) { array_push($this->Vm, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VApp)) {
            foreach ($this->VApp as $VApp) {
                $out = $VApp->export('VApp', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Vm)) {
            foreach ($this->Vm as $Vm) {
                $out = $Vm->export('Vm', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VApp) ||
            !empty($this->Vm) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VApp') {
            $obj = new VMware_VCloud_API_VAppType();
            $obj->build($child);
            $obj->set_tagName('VApp');
            array_push($this->VApp, $obj);
            if (!empty($namespace)) {
                $this->namespace['VApp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vm') {
            $obj = new VMware_VCloud_API_VmType();
            $obj->build($child);
            $obj->set_tagName('Vm');
            array_push($this->Vm, $obj);
            if (!empty($namespace)) {
                $this->namespace['Vm'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VAppChildrenType


/**
 * Represents a list of RASD items specifying a group of related  DMTF Resource Allocation Setting Data properties of this  virtual machine.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RasdItemsListType extends VMware_VCloud_API_ResourceType {
    protected $Item = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Item - [optional] an array of VMware_VCloud_API_OVF_RASD_Type objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Item=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($Item)) {
            $this->Item = $Item;
        }
        $this->tagName = 'RasdItemsList';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getItem() {
        return $this->Item;
    }
    public function setItem($Item) { 
        $this->Item = $Item;
    }
    public function addItem($value) { array_push($this->Item, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Item)) {
            foreach ($this->Item as $Item) {
                $out = $Item->export('Item', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Item) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Item') {
            $obj = new VMware_VCloud_API_OVF_RASD_Type();
            $obj->build($child);
            $obj->set_tagName('Item');
            array_push($this->Item, $obj);
            if (!empty($namespace)) {
                $this->namespace['Item'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RasdItemsListType


/**
 * Container for ovf:Section_Type elements that specify vApp  configuration on instantiate, compose, or recompose.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_InstantiationParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Section = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    */
    public function __construct($VCloudExtension=null, $Section=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Section)) {
            $this->Section = $Section;
        }
        $this->tagName = 'InstantiationParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function addSection($value) { array_push($this->Section, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Section)) {
            foreach ($this->Section as $Section) {
                $tagName = $Section->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Section';
                }
                $out = $Section->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Section) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $obj = new VMware_VCloud_API_OVF_Section_Type();
            $obj->build($child);
            $obj->set_tagName('Section');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_InstantiationParamsType


/**
 * Represents a vApp network configuration.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VAppNetworkConfigurationType extends VMware_VCloud_API_ResourceType {
    protected $networkName = null;
    protected $Description = null;
    protected $Configuration = null;
    protected $IsDeployed = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $networkName - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_NetworkConfigurationType $Configuration - [required]
    * @param boolean $IsDeployed - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $networkName=null, $Description=null, $Configuration=null, $IsDeployed=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->networkName = $networkName;
        $this->Description = $Description;
        $this->Configuration = $Configuration;
        $this->IsDeployed = $IsDeployed;
        $this->tagName = 'NetworkConfig';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getConfiguration() {
        return $this->Configuration;
    }
    public function setConfiguration($Configuration) { 
        $this->Configuration = $Configuration;
    }
    public function getIsDeployed() {
        return $this->IsDeployed;
    }
    public function setIsDeployed($IsDeployed) { 
        $this->IsDeployed = $IsDeployed;
    }
    public function get_networkName(){
        return $this->networkName;
    }
    public function set_networkName($networkName) {
        $this->networkName = $networkName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkName', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->networkName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='networkName')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->Configuration)) {
            $out = $this->Configuration->export('Configuration', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IsDeployed)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsDeployed>" . VMware_VCloud_API_Helper::format_boolean($this->IsDeployed, $input_name='IsDeployed') . "</" . $ns . "IsDeployed>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Description) ||
            !is_null($this->Configuration) ||
            !is_null($this->IsDeployed) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndnetworkName = $attrs->getNamedItem('networkName');
        if (!is_null($ndnetworkName)) {
            $this->networkName = $ndnetworkName->value;
            if (isset($ndnetworkName->prefix)) {
                $this->namespace['networkName'] = $ndnetworkName->prefix;
                $nsUri = $ndnetworkName->lookupNamespaceURI($ndnetworkName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkName');
        } else {
            $this->networkName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Configuration') {
            $obj = new VMware_VCloud_API_NetworkConfigurationType();
            $obj->build($child);
            $obj->set_tagName('Configuration');
            $this->setConfiguration($obj);
            if (!empty($namespace)) {
                $this->namespace['Configuration'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsDeployed') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsDeployed = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsDeployed'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VAppNetworkConfigurationType


/**
 * Container for vApp networks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkConfigSectionType extends VMware_VCloud_API_OVF_Section_Type {
    protected $href = null;
    protected $type = null;
    protected $Link = array();
    protected $NetworkConfig = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $NetworkConfig - [optional] an array of VMware_VCloud_API_VAppNetworkConfigurationType objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $href=null, $type=null, $Link=null, $NetworkConfig=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->href = $href;
        $this->type = $type;
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        if (!is_null($NetworkConfig)) {
            $this->NetworkConfig = $NetworkConfig;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'NetworkConfigSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function getNetworkConfig() {
        return $this->NetworkConfig;
    }
    public function setNetworkConfig($NetworkConfig) { 
        $this->NetworkConfig = $NetworkConfig;
    }
    public function addNetworkConfig($value) { array_push($this->NetworkConfig, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->href)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->NetworkConfig)) {
            foreach ($this->NetworkConfig as $NetworkConfig) {
                $out = $NetworkConfig->export('NetworkConfig', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Link) ||
            !empty($this->NetworkConfig) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfig') {
            $obj = new VMware_VCloud_API_VAppNetworkConfigurationType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfig');
            array_push($this->NetworkConfig, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfig'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkConfigSectionType


/**
 * Represents vApp lease settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LeaseSettingsSectionType extends VMware_VCloud_API_OVF_Section_Type {
    protected $href = null;
    protected $type = null;
    protected $Link = array();
    protected $DeploymentLeaseInSeconds = null;
    protected $StorageLeaseInSeconds = null;
    protected $DeploymentLeaseExpiration = null;
    protected $StorageLeaseExpiration = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param int $DeploymentLeaseInSeconds - [optional] 
    * @param int $StorageLeaseInSeconds - [optional] 
    * @param string $DeploymentLeaseExpiration - [optional] 
    * @param string $StorageLeaseExpiration - [optional] 
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $href=null, $type=null, $Link=null, $DeploymentLeaseInSeconds=null, $StorageLeaseInSeconds=null, $DeploymentLeaseExpiration=null, $StorageLeaseExpiration=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->href = $href;
        $this->type = $type;
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        $this->DeploymentLeaseInSeconds = $DeploymentLeaseInSeconds;
        $this->StorageLeaseInSeconds = $StorageLeaseInSeconds;
        $this->DeploymentLeaseExpiration = $DeploymentLeaseExpiration;
        $this->StorageLeaseExpiration = $StorageLeaseExpiration;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'LeaseSettingsSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function getDeploymentLeaseInSeconds() {
        return $this->DeploymentLeaseInSeconds;
    }
    public function setDeploymentLeaseInSeconds($DeploymentLeaseInSeconds) { 
        $this->DeploymentLeaseInSeconds = $DeploymentLeaseInSeconds;
    }
    public function getStorageLeaseInSeconds() {
        return $this->StorageLeaseInSeconds;
    }
    public function setStorageLeaseInSeconds($StorageLeaseInSeconds) { 
        $this->StorageLeaseInSeconds = $StorageLeaseInSeconds;
    }
    public function getDeploymentLeaseExpiration() {
        return $this->DeploymentLeaseExpiration;
    }
    public function setDeploymentLeaseExpiration($DeploymentLeaseExpiration) { 
        $this->DeploymentLeaseExpiration = $DeploymentLeaseExpiration;
    }
    public function getStorageLeaseExpiration() {
        return $this->StorageLeaseExpiration;
    }
    public function setStorageLeaseExpiration($StorageLeaseExpiration) { 
        $this->StorageLeaseExpiration = $StorageLeaseExpiration;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->href)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->DeploymentLeaseInSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DeploymentLeaseInSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DeploymentLeaseInSeconds>" . VMware_VCloud_API_Helper::format_integer($this->DeploymentLeaseInSeconds, $input_name='DeploymentLeaseInSeconds') . "</" . $ns . "DeploymentLeaseInSeconds>\n");
        }
        if (!is_null($this->StorageLeaseInSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StorageLeaseInSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StorageLeaseInSeconds>" . VMware_VCloud_API_Helper::format_integer($this->StorageLeaseInSeconds, $input_name='StorageLeaseInSeconds') . "</" . $ns . "StorageLeaseInSeconds>\n");
        }
        if (!is_null($this->DeploymentLeaseExpiration)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DeploymentLeaseExpiration', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DeploymentLeaseExpiration>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DeploymentLeaseExpiration, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DeploymentLeaseExpiration')) . "</" . $ns . "DeploymentLeaseExpiration>\n");
        }
        if (!is_null($this->StorageLeaseExpiration)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StorageLeaseExpiration', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StorageLeaseExpiration>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->StorageLeaseExpiration, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='StorageLeaseExpiration')) . "</" . $ns . "StorageLeaseExpiration>\n");
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Link) ||
            !is_null($this->DeploymentLeaseInSeconds) ||
            !is_null($this->StorageLeaseInSeconds) ||
            !is_null($this->DeploymentLeaseExpiration) ||
            !is_null($this->StorageLeaseExpiration) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentLeaseInSeconds') {
            $sval = $child->nodeValue;
            $this->DeploymentLeaseInSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['DeploymentLeaseInSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageLeaseInSeconds') {
            $sval = $child->nodeValue;
            $this->StorageLeaseInSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['StorageLeaseInSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentLeaseExpiration') {
            $sval = $child->nodeValue;
            $this->DeploymentLeaseExpiration = $sval;
            if (!empty($namespace)) {
                $this->namespace['DeploymentLeaseExpiration'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageLeaseExpiration') {
            $sval = $child->nodeValue;
            $this->StorageLeaseExpiration = $sval;
            if (!empty($namespace)) {
                $this->namespace['StorageLeaseExpiration'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LeaseSettingsSectionType


/**
 * Represents a network connection in the virtual machine.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkConnectionType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $needsCustomization = null;
    protected $network = null;
    protected $NetworkConnectionIndex = null;
    protected $IpAddress = null;
    protected $ExternalIpAddress = null;
    protected $IsConnected = null;
    protected $MACAddress = null;
    protected $IpAddressAllocationMode = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $needsCustomization - [optional] an attribute, 
    * @param string $network - [required] an attribute, 
    * @param int $NetworkConnectionIndex - [required] 
    * @param string $IpAddress - [optional] 
    * @param string $ExternalIpAddress - [optional] 
    * @param boolean $IsConnected - [required] 
    * @param string $MACAddress - [optional] 
    * @param string $IpAddressAllocationMode - [required] 
    */
    public function __construct($VCloudExtension=null, $needsCustomization=null, $network=null, $NetworkConnectionIndex=null, $IpAddress=null, $ExternalIpAddress=null, $IsConnected=null, $MACAddress=null, $IpAddressAllocationMode=null) {
        parent::__construct($VCloudExtension);
        $this->needsCustomization = $needsCustomization;
        $this->network = $network;
        $this->NetworkConnectionIndex = $NetworkConnectionIndex;
        $this->IpAddress = $IpAddress;
        $this->ExternalIpAddress = $ExternalIpAddress;
        $this->IsConnected = $IsConnected;
        $this->MACAddress = $MACAddress;
        $this->IpAddressAllocationMode = $IpAddressAllocationMode;
        $this->tagName = 'NetworkConnection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetworkConnectionIndex() {
        return $this->NetworkConnectionIndex;
    }
    public function setNetworkConnectionIndex($NetworkConnectionIndex) { 
        $this->NetworkConnectionIndex = $NetworkConnectionIndex;
    }
    public function getIpAddress() {
        return $this->IpAddress;
    }
    public function setIpAddress($IpAddress) { 
        $this->IpAddress = $IpAddress;
    }
    public function getExternalIpAddress() {
        return $this->ExternalIpAddress;
    }
    public function setExternalIpAddress($ExternalIpAddress) { 
        $this->ExternalIpAddress = $ExternalIpAddress;
    }
    public function getIsConnected() {
        return $this->IsConnected;
    }
    public function setIsConnected($IsConnected) { 
        $this->IsConnected = $IsConnected;
    }
    public function getMACAddress() {
        return $this->MACAddress;
    }
    public function setMACAddress($MACAddress) { 
        $this->MACAddress = $MACAddress;
    }
    public function getIpAddressAllocationMode() {
        return $this->IpAddressAllocationMode;
    }
    public function setIpAddressAllocationMode($IpAddressAllocationMode) { 
        $this->IpAddressAllocationMode = $IpAddressAllocationMode;
    }
    public function get_needsCustomization(){
        return $this->needsCustomization;
    }
    public function set_needsCustomization($needsCustomization) {
        $this->needsCustomization = $needsCustomization;
    }
    public function get_network(){
        return $this->network;
    }
    public function set_network($network) {
        $this->network = $network;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->needsCustomization)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'needsCustomization', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'needsCustomization=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->needsCustomization, $input_name='needsCustomization')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'network', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'network=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->network, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='network')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->NetworkConnectionIndex)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NetworkConnectionIndex', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NetworkConnectionIndex>" . VMware_VCloud_API_Helper::format_integer($this->NetworkConnectionIndex, $input_name='NetworkConnectionIndex') . "</" . $ns . "NetworkConnectionIndex>\n");
        }
        if (!is_null($this->IpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IpAddress')) . "</" . $ns . "IpAddress>\n");
        }
        if (!is_null($this->ExternalIpAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalIpAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalIpAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalIpAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalIpAddress')) . "</" . $ns . "ExternalIpAddress>\n");
        }
        if (!is_null($this->IsConnected)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsConnected', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsConnected>" . VMware_VCloud_API_Helper::format_boolean($this->IsConnected, $input_name='IsConnected') . "</" . $ns . "IsConnected>\n");
     }
        if (!is_null($this->MACAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MACAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MACAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MACAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MACAddress')) . "</" . $ns . "MACAddress>\n");
        }
        if (!is_null($this->IpAddressAllocationMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpAddressAllocationMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpAddressAllocationMode>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IpAddressAllocationMode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IpAddressAllocationMode')) . "</" . $ns . "IpAddressAllocationMode>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->NetworkConnectionIndex) ||
            !is_null($this->IpAddress) ||
            !is_null($this->ExternalIpAddress) ||
            !is_null($this->IsConnected) ||
            !is_null($this->MACAddress) ||
            !is_null($this->IpAddressAllocationMode) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndneedsCustomization = $attrs->getNamedItem('needsCustomization');
        if (!is_null($ndneedsCustomization)) {
            $this->needsCustomization = VMware_VCloud_API_Helper::get_boolean($ndneedsCustomization->value);
            if (isset($ndneedsCustomization->prefix)) {
                $this->namespace['needsCustomization'] = $ndneedsCustomization->prefix;
                $nsUri = $ndneedsCustomization->lookupNamespaceURI($ndneedsCustomization->prefix);
            }
            $node->removeAttributeNS($nsUri, 'needsCustomization');
        } else {
            $this->needsCustomization = null;
        }
        $ndnetwork = $attrs->getNamedItem('network');
        if (!is_null($ndnetwork)) {
            $this->network = $ndnetwork->value;
            if (isset($ndnetwork->prefix)) {
                $this->namespace['network'] = $ndnetwork->prefix;
                $nsUri = $ndnetwork->lookupNamespaceURI($ndnetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'network');
        } else {
            $this->network = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionIndex') {
            $sval = $child->nodeValue;
            $this->NetworkConnectionIndex = $sval;
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionIndex'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAddress') {
            $sval = $child->nodeValue;
            $this->IpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['IpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalIpAddress') {
            $sval = $child->nodeValue;
            $this->ExternalIpAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalIpAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsConnected') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsConnected = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsConnected'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MACAddress') {
            $sval = $child->nodeValue;
            $this->MACAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['MACAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAddressAllocationMode') {
            $sval = $child->nodeValue;
            $this->IpAddressAllocationMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['IpAddressAllocationMode'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkConnectionType


/**
 * Container for the network connections of this virtual machine.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkConnectionSectionType extends VMware_VCloud_API_OVF_Section_Type {
    protected $href = null;
    protected $type = null;
    protected $PrimaryNetworkConnectionIndex = null;
    protected $NetworkConnection = array();
    protected $Link = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param int $PrimaryNetworkConnectionIndex - [optional] 
    * @param array $NetworkConnection - [optional] an array of VMware_VCloud_API_NetworkConnectionType objects
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $href=null, $type=null, $PrimaryNetworkConnectionIndex=null, $NetworkConnection=null, $Link=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->href = $href;
        $this->type = $type;
        $this->PrimaryNetworkConnectionIndex = $PrimaryNetworkConnectionIndex;
        if (!is_null($NetworkConnection)) {
            $this->NetworkConnection = $NetworkConnection;
        }
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'NetworkConnectionSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getPrimaryNetworkConnectionIndex() {
        return $this->PrimaryNetworkConnectionIndex;
    }
    public function setPrimaryNetworkConnectionIndex($PrimaryNetworkConnectionIndex) { 
        $this->PrimaryNetworkConnectionIndex = $PrimaryNetworkConnectionIndex;
    }
    public function getNetworkConnection() {
        return $this->NetworkConnection;
    }
    public function setNetworkConnection($NetworkConnection) { 
        $this->NetworkConnection = $NetworkConnection;
    }
    public function addNetworkConnection($value) { array_push($this->NetworkConnection, $value); }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->href)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->PrimaryNetworkConnectionIndex)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PrimaryNetworkConnectionIndex', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PrimaryNetworkConnectionIndex>" . VMware_VCloud_API_Helper::format_integer($this->PrimaryNetworkConnectionIndex, $input_name='PrimaryNetworkConnectionIndex') . "</" . $ns . "PrimaryNetworkConnectionIndex>\n");
        }
        if (isset($this->NetworkConnection)) {
            foreach ($this->NetworkConnection as $NetworkConnection) {
                $out = $NetworkConnection->export('NetworkConnection', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->PrimaryNetworkConnectionIndex) ||
            !empty($this->NetworkConnection) ||
            !empty($this->Link) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PrimaryNetworkConnectionIndex') {
            $sval = $child->nodeValue;
            $this->PrimaryNetworkConnectionIndex = $sval;
            if (!empty($namespace)) {
                $this->namespace['PrimaryNetworkConnectionIndex'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnection') {
            $obj = new VMware_VCloud_API_NetworkConnectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnection');
            array_push($this->NetworkConnection, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkConnectionSectionType


/**
 * VMware Tools and other runtime information for  this virtual machine.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RuntimeInfoSectionType extends VMware_VCloud_API_OVF_Section_Type {
    protected $VMWareTools = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param VMware_VCloud_API_VMWareTools $VMWareTools - [optional]
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $VMWareTools=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->VMWareTools = $VMWareTools;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'RuntimeInfoSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVMWareTools() {
        return $this->VMWareTools;
    }
    public function setVMWareTools($VMWareTools) { 
        $this->VMWareTools = $VMWareTools;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VMWareTools)) {
            $out = $this->VMWareTools->export('VMWareTools', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VMWareTools) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWareTools') {
            $obj = new VMware_VCloud_API_VMWareTools();
            $obj->build($child);
            $obj->set_tagName('VMWareTools');
            $this->setVMWareTools($obj);
            if (!empty($namespace)) {
                $this->namespace['VMWareTools'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RuntimeInfoSectionType


/**
 * VMware Tools information for this virtual machine.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VMWareTools {
    protected $version = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $version - [required] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($version=null, $valueOf='') {
        $this->version = $version;
        $this->valueOf = $valueOf;
        $this->tagName = 'VMWareTools';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_version(){
        return $this->version;
    }
    public function set_version($version) {
        $this->version = $version;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'version', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'version=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->version, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='version')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndversion = $attrs->getNamedItem('version');
        if (!is_null($ndversion)) {
            $this->version = $ndversion->value;
            if (isset($ndversion->prefix)) {
                $this->namespace['version'] = $ndversion->prefix;
                $nsUri = $ndversion->lookupNamespaceURI($ndversion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'version');
        } else {
            $this->version = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_VMWareTools


/**
 * Represents a guest customization settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GuestCustomizationSectionType extends VMware_VCloud_API_OVF_Section_Type {
    protected $href = null;
    protected $type = null;
    protected $Enabled = null;
    protected $ChangeSid = null;
    protected $VirtualMachineId = null;
    protected $JoinDomainEnabled = null;
    protected $UseOrgSettings = null;
    protected $DomainName = null;
    protected $DomainUserName = null;
    protected $DomainUserPassword = null;
    protected $MachineObjectOU = null;
    protected $AdminPasswordEnabled = null;
    protected $AdminPasswordAuto = null;
    protected $AdminPassword = null;
    protected $AdminAutoLogonEnabled = null;
    protected $AdminAutoLogonCount = null;
    protected $ResetPasswordRequired = null;
    protected $CustomizationScript = null;
    protected $ComputerName = null;
    protected $Link = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param boolean $Enabled - [optional] 
    * @param boolean $ChangeSid - [optional] 
    * @param string $VirtualMachineId - [optional] 
    * @param boolean $JoinDomainEnabled - [optional] 
    * @param boolean $UseOrgSettings - [optional] 
    * @param string $DomainName - [optional] 
    * @param string $DomainUserName - [optional] 
    * @param string $DomainUserPassword - [optional] 
    * @param string $MachineObjectOU - [optional] 
    * @param boolean $AdminPasswordEnabled - [optional] 
    * @param boolean $AdminPasswordAuto - [optional] 
    * @param string $AdminPassword - [optional] 
    * @param boolean $AdminAutoLogonEnabled - [optional] 
    * @param int $AdminAutoLogonCount - [optional] 
    * @param boolean $ResetPasswordRequired - [optional] 
    * @param string $CustomizationScript - [optional] 
    * @param string $ComputerName - [optional] 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $href=null, $type=null, $Enabled=null, $ChangeSid=null, $VirtualMachineId=null, $JoinDomainEnabled=null, $UseOrgSettings=null, $DomainName=null, $DomainUserName=null, $DomainUserPassword=null, $MachineObjectOU=null, $AdminPasswordEnabled=null, $AdminPasswordAuto=null, $AdminPassword=null, $AdminAutoLogonEnabled=null, $AdminAutoLogonCount=null, $ResetPasswordRequired=null, $CustomizationScript=null, $ComputerName=null, $Link=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->href = $href;
        $this->type = $type;
        $this->Enabled = $Enabled;
        $this->ChangeSid = $ChangeSid;
        $this->VirtualMachineId = $VirtualMachineId;
        $this->JoinDomainEnabled = $JoinDomainEnabled;
        $this->UseOrgSettings = $UseOrgSettings;
        $this->DomainName = $DomainName;
        $this->DomainUserName = $DomainUserName;
        $this->DomainUserPassword = $DomainUserPassword;
        $this->MachineObjectOU = $MachineObjectOU;
        $this->AdminPasswordEnabled = $AdminPasswordEnabled;
        $this->AdminPasswordAuto = $AdminPasswordAuto;
        $this->AdminPassword = $AdminPassword;
        $this->AdminAutoLogonEnabled = $AdminAutoLogonEnabled;
        $this->AdminAutoLogonCount = $AdminAutoLogonCount;
        $this->ResetPasswordRequired = $ResetPasswordRequired;
        $this->CustomizationScript = $CustomizationScript;
        $this->ComputerName = $ComputerName;
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'GuestCustomizationSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function getChangeSid() {
        return $this->ChangeSid;
    }
    public function setChangeSid($ChangeSid) { 
        $this->ChangeSid = $ChangeSid;
    }
    public function getVirtualMachineId() {
        return $this->VirtualMachineId;
    }
    public function setVirtualMachineId($VirtualMachineId) { 
        $this->VirtualMachineId = $VirtualMachineId;
    }
    public function getJoinDomainEnabled() {
        return $this->JoinDomainEnabled;
    }
    public function setJoinDomainEnabled($JoinDomainEnabled) { 
        $this->JoinDomainEnabled = $JoinDomainEnabled;
    }
    public function getUseOrgSettings() {
        return $this->UseOrgSettings;
    }
    public function setUseOrgSettings($UseOrgSettings) { 
        $this->UseOrgSettings = $UseOrgSettings;
    }
    public function getDomainName() {
        return $this->DomainName;
    }
    public function setDomainName($DomainName) { 
        $this->DomainName = $DomainName;
    }
    public function getDomainUserName() {
        return $this->DomainUserName;
    }
    public function setDomainUserName($DomainUserName) { 
        $this->DomainUserName = $DomainUserName;
    }
    public function getDomainUserPassword() {
        return $this->DomainUserPassword;
    }
    public function setDomainUserPassword($DomainUserPassword) { 
        $this->DomainUserPassword = $DomainUserPassword;
    }
    public function getMachineObjectOU() {
        return $this->MachineObjectOU;
    }
    public function setMachineObjectOU($MachineObjectOU) { 
        $this->MachineObjectOU = $MachineObjectOU;
    }
    public function getAdminPasswordEnabled() {
        return $this->AdminPasswordEnabled;
    }
    public function setAdminPasswordEnabled($AdminPasswordEnabled) { 
        $this->AdminPasswordEnabled = $AdminPasswordEnabled;
    }
    public function getAdminPasswordAuto() {
        return $this->AdminPasswordAuto;
    }
    public function setAdminPasswordAuto($AdminPasswordAuto) { 
        $this->AdminPasswordAuto = $AdminPasswordAuto;
    }
    public function getAdminPassword() {
        return $this->AdminPassword;
    }
    public function setAdminPassword($AdminPassword) { 
        $this->AdminPassword = $AdminPassword;
    }
    public function getAdminAutoLogonEnabled() {
        return $this->AdminAutoLogonEnabled;
    }
    public function setAdminAutoLogonEnabled($AdminAutoLogonEnabled) { 
        $this->AdminAutoLogonEnabled = $AdminAutoLogonEnabled;
    }
    public function getAdminAutoLogonCount() {
        return $this->AdminAutoLogonCount;
    }
    public function setAdminAutoLogonCount($AdminAutoLogonCount) { 
        $this->AdminAutoLogonCount = $AdminAutoLogonCount;
    }
    public function getResetPasswordRequired() {
        return $this->ResetPasswordRequired;
    }
    public function setResetPasswordRequired($ResetPasswordRequired) { 
        $this->ResetPasswordRequired = $ResetPasswordRequired;
    }
    public function getCustomizationScript() {
        return $this->CustomizationScript;
    }
    public function setCustomizationScript($CustomizationScript) { 
        $this->CustomizationScript = $CustomizationScript;
    }
    public function getComputerName() {
        return $this->ComputerName;
    }
    public function setComputerName($ComputerName) { 
        $this->ComputerName = $ComputerName;
    }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->href)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
        }
        if (!is_null($this->ChangeSid)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ChangeSid', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ChangeSid>" . VMware_VCloud_API_Helper::format_boolean($this->ChangeSid, $input_name='ChangeSid') . "</" . $ns . "ChangeSid>\n");
        }
        if (!is_null($this->VirtualMachineId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VirtualMachineId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VirtualMachineId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VirtualMachineId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VirtualMachineId')) . "</" . $ns . "VirtualMachineId>\n");
        }
        if (!is_null($this->JoinDomainEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'JoinDomainEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "JoinDomainEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->JoinDomainEnabled, $input_name='JoinDomainEnabled') . "</" . $ns . "JoinDomainEnabled>\n");
        }
        if (!is_null($this->UseOrgSettings)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UseOrgSettings', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UseOrgSettings>" . VMware_VCloud_API_Helper::format_boolean($this->UseOrgSettings, $input_name='UseOrgSettings') . "</" . $ns . "UseOrgSettings>\n");
        }
        if (!is_null($this->DomainName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DomainName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DomainName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DomainName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DomainName')) . "</" . $ns . "DomainName>\n");
        }
        if (!is_null($this->DomainUserName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DomainUserName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DomainUserName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DomainUserName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DomainUserName')) . "</" . $ns . "DomainUserName>\n");
        }
        if (!is_null($this->DomainUserPassword)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DomainUserPassword', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DomainUserPassword>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DomainUserPassword, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DomainUserPassword')) . "</" . $ns . "DomainUserPassword>\n");
        }
        if (!is_null($this->MachineObjectOU)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MachineObjectOU', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MachineObjectOU>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MachineObjectOU, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MachineObjectOU')) . "</" . $ns . "MachineObjectOU>\n");
        }
        if (!is_null($this->AdminPasswordEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AdminPasswordEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AdminPasswordEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->AdminPasswordEnabled, $input_name='AdminPasswordEnabled') . "</" . $ns . "AdminPasswordEnabled>\n");
        }
        if (!is_null($this->AdminPasswordAuto)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AdminPasswordAuto', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AdminPasswordAuto>" . VMware_VCloud_API_Helper::format_boolean($this->AdminPasswordAuto, $input_name='AdminPasswordAuto') . "</" . $ns . "AdminPasswordAuto>\n");
        }
        if (!is_null($this->AdminPassword)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AdminPassword', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AdminPassword>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AdminPassword, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AdminPassword')) . "</" . $ns . "AdminPassword>\n");
        }
        if (!is_null($this->AdminAutoLogonEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AdminAutoLogonEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AdminAutoLogonEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->AdminAutoLogonEnabled, $input_name='AdminAutoLogonEnabled') . "</" . $ns . "AdminAutoLogonEnabled>\n");
        }
        if (!is_null($this->AdminAutoLogonCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AdminAutoLogonCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AdminAutoLogonCount>" . VMware_VCloud_API_Helper::format_integer($this->AdminAutoLogonCount, $input_name='AdminAutoLogonCount') . "</" . $ns . "AdminAutoLogonCount>\n");
        }
        if (!is_null($this->ResetPasswordRequired)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ResetPasswordRequired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ResetPasswordRequired>" . VMware_VCloud_API_Helper::format_boolean($this->ResetPasswordRequired, $input_name='ResetPasswordRequired') . "</" . $ns . "ResetPasswordRequired>\n");
        }
        if (!is_null($this->CustomizationScript)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CustomizationScript', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CustomizationScript>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CustomizationScript, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CustomizationScript')) . "</" . $ns . "CustomizationScript>\n");
        }
        if (!is_null($this->ComputerName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComputerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComputerName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComputerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComputerName')) . "</" . $ns . "ComputerName>\n");
        }
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Enabled) ||
            !is_null($this->ChangeSid) ||
            !is_null($this->VirtualMachineId) ||
            !is_null($this->JoinDomainEnabled) ||
            !is_null($this->UseOrgSettings) ||
            !is_null($this->DomainName) ||
            !is_null($this->DomainUserName) ||
            !is_null($this->DomainUserPassword) ||
            !is_null($this->MachineObjectOU) ||
            !is_null($this->AdminPasswordEnabled) ||
            !is_null($this->AdminPasswordAuto) ||
            !is_null($this->AdminPassword) ||
            !is_null($this->AdminAutoLogonEnabled) ||
            !is_null($this->AdminAutoLogonCount) ||
            !is_null($this->ResetPasswordRequired) ||
            !is_null($this->CustomizationScript) ||
            !is_null($this->ComputerName) ||
            !empty($this->Link) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ChangeSid') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->ChangeSid = $sval;
            if (!empty($namespace)) {
                $this->namespace['ChangeSid'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualMachineId') {
            $sval = $child->nodeValue;
            $this->VirtualMachineId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VirtualMachineId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'JoinDomainEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->JoinDomainEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['JoinDomainEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UseOrgSettings') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UseOrgSettings = $sval;
            if (!empty($namespace)) {
                $this->namespace['UseOrgSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DomainName') {
            $sval = $child->nodeValue;
            $this->DomainName = $sval;
            if (!empty($namespace)) {
                $this->namespace['DomainName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DomainUserName') {
            $sval = $child->nodeValue;
            $this->DomainUserName = $sval;
            if (!empty($namespace)) {
                $this->namespace['DomainUserName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DomainUserPassword') {
            $sval = $child->nodeValue;
            $this->DomainUserPassword = $sval;
            if (!empty($namespace)) {
                $this->namespace['DomainUserPassword'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MachineObjectOU') {
            $sval = $child->nodeValue;
            $this->MachineObjectOU = $sval;
            if (!empty($namespace)) {
                $this->namespace['MachineObjectOU'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminPasswordEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AdminPasswordEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['AdminPasswordEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminPasswordAuto') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AdminPasswordAuto = $sval;
            if (!empty($namespace)) {
                $this->namespace['AdminPasswordAuto'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminPassword') {
            $sval = $child->nodeValue;
            $this->AdminPassword = $sval;
            if (!empty($namespace)) {
                $this->namespace['AdminPassword'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminAutoLogonEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AdminAutoLogonEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['AdminAutoLogonEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminAutoLogonCount') {
            $sval = $child->nodeValue;
            $this->AdminAutoLogonCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['AdminAutoLogonCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResetPasswordRequired') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->ResetPasswordRequired = $sval;
            if (!empty($namespace)) {
                $this->namespace['ResetPasswordRequired'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationScript') {
            $sval = $child->nodeValue;
            $this->CustomizationScript = $sval;
            if (!empty($namespace)) {
                $this->namespace['CustomizationScript'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComputerName') {
            $sval = $child->nodeValue;
            $this->ComputerName = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComputerName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GuestCustomizationSectionType


/**
 * Represents a virtual machine snapshot.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SnapshotType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $poweredOn = null;
    protected $size = null;
    protected $created = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $poweredOn - [required] an attribute, 
    * @param long $size - [required] an attribute, 
    * @param dateTime $created - [required] an attribute, 
    */
    public function __construct($VCloudExtension=null, $poweredOn=null, $size=null, $created=null) {
        parent::__construct($VCloudExtension);
        $this->poweredOn = $poweredOn;
        $this->size = $size;
        $this->created = $created;
        $this->tagName = 'Snapshot';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_poweredOn(){
        return $this->poweredOn;
    }
    public function set_poweredOn($poweredOn) {
        $this->poweredOn = $poweredOn;
    }
    public function get_size(){
        return $this->size;
    }
    public function set_size($size) {
        $this->size = $size;
    }
    public function get_created(){
        return $this->created;
    }
    public function set_created($created) {
        $this->created = $created;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'poweredOn', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'poweredOn=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->poweredOn, $input_name='poweredOn')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'size', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'size=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->size, $input_name='size')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'created', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'created=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->created, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='created')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndpoweredOn = $attrs->getNamedItem('poweredOn');
        if (!is_null($ndpoweredOn)) {
            $this->poweredOn = VMware_VCloud_API_Helper::get_boolean($ndpoweredOn->value);
            if (isset($ndpoweredOn->prefix)) {
                $this->namespace['poweredOn'] = $ndpoweredOn->prefix;
                $nsUri = $ndpoweredOn->lookupNamespaceURI($ndpoweredOn->prefix);
            }
            $node->removeAttributeNS($nsUri, 'poweredOn');
        } else {
            $this->poweredOn = null;
        }
        $ndsize = $attrs->getNamedItem('size');
        if (!is_null($ndsize)) {
            $this->size = sprintf('%d', $ndsize->value);
            if (isset($ndsize->prefix)) {
                $this->namespace['size'] = $ndsize->prefix;
                $nsUri = $ndsize->lookupNamespaceURI($ndsize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'size');
        } else {
            $this->size = null;
        }
        $ndcreated = $attrs->getNamedItem('created');
        if (!is_null($ndcreated)) {
            $this->created = $ndcreated->value;
            if (isset($ndcreated->prefix)) {
                $this->namespace['created'] = $ndcreated->prefix;
                $nsUri = $ndcreated->lookupNamespaceURI($ndcreated->prefix);
            }
            $node->removeAttributeNS($nsUri, 'created');
        } else {
            $this->created = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SnapshotType


/**
 * Represents information about vApp and virtual machine  snapshots.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SnapshotSectionType extends VMware_VCloud_API_OVF_Section_Type {
    protected $href = null;
    protected $type = null;
    protected $Link = array();
    protected $Snapshot = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_SnapshotType $Snapshot - [optional]
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $href=null, $type=null, $Link=null, $Snapshot=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->href = $href;
        $this->type = $type;
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        $this->Snapshot = $Snapshot;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'SnapshotSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function getSnapshot() {
        return $this->Snapshot;
    }
    public function setSnapshot($Snapshot) { 
        $this->Snapshot = $Snapshot;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->href)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->Snapshot)) {
            $out = $this->Snapshot->export('Snapshot', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Link) ||
            !is_null($this->Snapshot) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Snapshot') {
            $obj = new VMware_VCloud_API_SnapshotType();
            $obj->build($child);
            $obj->set_tagName('Snapshot');
            $this->setSnapshot($obj);
            if (!empty($namespace)) {
                $this->namespace['Snapshot'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SnapshotSectionType


/**
 * Maps a network name specified in a Vm to the network name of a  vApp network defined in the VApp that contains the Vm  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkAssignmentType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $containerNetwork = null;
    protected $innerNetwork = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $containerNetwork - [required] an attribute, 
    * @param string $innerNetwork - [required] an attribute, 
    */
    public function __construct($VCloudExtension=null, $containerNetwork=null, $innerNetwork=null) {
        parent::__construct($VCloudExtension);
        $this->containerNetwork = $containerNetwork;
        $this->innerNetwork = $innerNetwork;
        $this->tagName = 'NetworkAssignment';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_containerNetwork(){
        return $this->containerNetwork;
    }
    public function set_containerNetwork($containerNetwork) {
        $this->containerNetwork = $containerNetwork;
    }
    public function get_innerNetwork(){
        return $this->innerNetwork;
    }
    public function set_innerNetwork($innerNetwork) {
        $this->innerNetwork = $innerNetwork;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'containerNetwork', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'containerNetwork=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->containerNetwork, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='containerNetwork')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'innerNetwork', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'innerNetwork=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->innerNetwork, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='innerNetwork')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndcontainerNetwork = $attrs->getNamedItem('containerNetwork');
        if (!is_null($ndcontainerNetwork)) {
            $this->containerNetwork = $ndcontainerNetwork->value;
            if (isset($ndcontainerNetwork->prefix)) {
                $this->namespace['containerNetwork'] = $ndcontainerNetwork->prefix;
                $nsUri = $ndcontainerNetwork->lookupNamespaceURI($ndcontainerNetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'containerNetwork');
        } else {
            $this->containerNetwork = null;
        }
        $ndinnerNetwork = $attrs->getNamedItem('innerNetwork');
        if (!is_null($ndinnerNetwork)) {
            $this->innerNetwork = $ndinnerNetwork->value;
            if (isset($ndinnerNetwork->prefix)) {
                $this->namespace['innerNetwork'] = $ndinnerNetwork->prefix;
                $nsUri = $ndinnerNetwork->lookupNamespaceURI($ndinnerNetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'innerNetwork');
        } else {
            $this->innerNetwork = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkAssignmentType


/**
 * Represents vApp creation parameters.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VAppCreationParamsType extends VMware_VCloud_API_ParamsType {
    protected $powerOn = null;
    protected $deploy = null;
    protected $VAppParent = null;
    protected $InstantiationParams = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param boolean $deploy - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $powerOn=null, $deploy=null, $VAppParent=null, $InstantiationParams=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->powerOn = $powerOn;
        $this->deploy = $deploy;
        $this->VAppParent = $VAppParent;
        $this->InstantiationParams = $InstantiationParams;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVAppParent() {
        return $this->VAppParent;
    }
    public function setVAppParent($VAppParent) { 
        $this->VAppParent = $VAppParent;
    }
    public function getInstantiationParams() {
        return $this->InstantiationParams;
    }
    public function setInstantiationParams($InstantiationParams) { 
        $this->InstantiationParams = $InstantiationParams;
    }
    public function get_powerOn(){
        return $this->powerOn;
    }
    public function set_powerOn($powerOn) {
        $this->powerOn = $powerOn;
    }
    public function get_deploy(){
        return $this->deploy;
    }
    public function set_deploy($deploy) {
        $this->deploy = $deploy;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->powerOn)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'powerOn', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'powerOn=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->powerOn, $input_name='powerOn')));
        }
        if (!is_null($this->deploy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deploy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deploy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->deploy, $input_name='deploy')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VAppParent)) {
            $out = $this->VAppParent->export('VAppParent', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->InstantiationParams)) {
            $out = $this->InstantiationParams->export('InstantiationParams', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VAppParent) ||
            !is_null($this->InstantiationParams) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndpowerOn = $attrs->getNamedItem('powerOn');
        if (!is_null($ndpowerOn)) {
            $this->powerOn = VMware_VCloud_API_Helper::get_boolean($ndpowerOn->value);
            if (isset($ndpowerOn->prefix)) {
                $this->namespace['powerOn'] = $ndpowerOn->prefix;
                $nsUri = $ndpowerOn->lookupNamespaceURI($ndpowerOn->prefix);
            }
            $node->removeAttributeNS($nsUri, 'powerOn');
        } else {
            $this->powerOn = null;
        }
        $nddeploy = $attrs->getNamedItem('deploy');
        if (!is_null($nddeploy)) {
            $this->deploy = VMware_VCloud_API_Helper::get_boolean($nddeploy->value);
            if (isset($nddeploy->prefix)) {
                $this->namespace['deploy'] = $nddeploy->prefix;
                $nsUri = $nddeploy->lookupNamespaceURI($nddeploy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deploy');
        } else {
            $this->deploy = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppParent') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppParent');
            $this->setVAppParent($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppParent'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstantiationParams') {
            $obj = new VMware_VCloud_API_InstantiationParamsType();
            $obj->build($child);
            $obj->set_tagName('InstantiationParams');
            $this->setInstantiationParams($obj);
            if (!empty($namespace)) {
                $this->namespace['InstantiationParams'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VAppCreationParamsType


/**
 * Represents a vApp, vApp template or Vm to include in a  composed vApp.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SourcedCompositionItemParamType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $sourceDelete = null;
    protected $Source = null;
    protected $VAppScopedLocalId = null;
    protected $InstantiationParams = null;
    protected $NetworkAssignment = array();
    protected $StorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $sourceDelete - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    * @param string $VAppScopedLocalId - [optional] 
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    * @param array $NetworkAssignment - [optional] an array of VMware_VCloud_API_NetworkAssignmentType objects
    * @param VMware_VCloud_API_ReferenceType $StorageProfile - [optional]
    */
    public function __construct($VCloudExtension=null, $sourceDelete=null, $Source=null, $VAppScopedLocalId=null, $InstantiationParams=null, $NetworkAssignment=null, $StorageProfile=null) {
        parent::__construct($VCloudExtension);
        $this->sourceDelete = $sourceDelete;
        $this->Source = $Source;
        $this->VAppScopedLocalId = $VAppScopedLocalId;
        $this->InstantiationParams = $InstantiationParams;
        if (!is_null($NetworkAssignment)) {
            $this->NetworkAssignment = $NetworkAssignment;
        }
        $this->StorageProfile = $StorageProfile;
        $this->tagName = 'SourcedItem';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSource() {
        return $this->Source;
    }
    public function setSource($Source) { 
        $this->Source = $Source;
    }
    public function getVAppScopedLocalId() {
        return $this->VAppScopedLocalId;
    }
    public function setVAppScopedLocalId($VAppScopedLocalId) { 
        $this->VAppScopedLocalId = $VAppScopedLocalId;
    }
    public function getInstantiationParams() {
        return $this->InstantiationParams;
    }
    public function setInstantiationParams($InstantiationParams) { 
        $this->InstantiationParams = $InstantiationParams;
    }
    public function getNetworkAssignment() {
        return $this->NetworkAssignment;
    }
    public function setNetworkAssignment($NetworkAssignment) { 
        $this->NetworkAssignment = $NetworkAssignment;
    }
    public function addNetworkAssignment($value) { array_push($this->NetworkAssignment, $value); }
    public function getStorageProfile() {
        return $this->StorageProfile;
    }
    public function setStorageProfile($StorageProfile) { 
        $this->StorageProfile = $StorageProfile;
    }
    public function get_sourceDelete(){
        return $this->sourceDelete;
    }
    public function set_sourceDelete($sourceDelete) {
        $this->sourceDelete = $sourceDelete;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->sourceDelete)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sourceDelete', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sourceDelete=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->sourceDelete, $input_name='sourceDelete')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Source)) {
            $out = $this->Source->export('Source', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VAppScopedLocalId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedLocalId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedLocalId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedLocalId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedLocalId')) . "</" . $ns . "VAppScopedLocalId>\n");
        }
        if (!is_null($this->InstantiationParams)) {
            $out = $this->InstantiationParams->export('InstantiationParams', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->NetworkAssignment)) {
            foreach ($this->NetworkAssignment as $NetworkAssignment) {
                $out = $NetworkAssignment->export('NetworkAssignment', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->StorageProfile)) {
            $out = $this->StorageProfile->export('StorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Source) ||
            !is_null($this->VAppScopedLocalId) ||
            !is_null($this->InstantiationParams) ||
            !empty($this->NetworkAssignment) ||
            !is_null($this->StorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndsourceDelete = $attrs->getNamedItem('sourceDelete');
        if (!is_null($ndsourceDelete)) {
            $this->sourceDelete = VMware_VCloud_API_Helper::get_boolean($ndsourceDelete->value);
            if (isset($ndsourceDelete->prefix)) {
                $this->namespace['sourceDelete'] = $ndsourceDelete->prefix;
                $nsUri = $ndsourceDelete->lookupNamespaceURI($ndsourceDelete->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sourceDelete');
        } else {
            $this->sourceDelete = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Source') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Source');
            $this->setSource($obj);
            if (!empty($namespace)) {
                $this->namespace['Source'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedLocalId') {
            $sval = $child->nodeValue;
            $this->VAppScopedLocalId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedLocalId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstantiationParams') {
            $obj = new VMware_VCloud_API_InstantiationParamsType();
            $obj->build($child);
            $obj->set_tagName('InstantiationParams');
            $this->setInstantiationParams($obj);
            if (!empty($namespace)) {
                $this->namespace['InstantiationParams'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkAssignment') {
            $obj = new VMware_VCloud_API_NetworkAssignmentType();
            $obj->build($child);
            $obj->set_tagName('NetworkAssignment');
            array_push($this->NetworkAssignment, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkAssignment'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('StorageProfile');
            $this->setStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['StorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SourcedCompositionItemParamType


/**
 * Represents vApp composition parameters.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ComposeVAppParamsType extends VMware_VCloud_API_VAppCreationParamsType {
    protected $linkedClone = null;
    protected $SourcedItem = array();
    protected $AllEULAsAccepted = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param boolean $deploy - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    * @param boolean $linkedClone - [optional] an attribute, 
    * @param array $SourcedItem - [optional] an array of VMware_VCloud_API_SourcedCompositionItemParamType objects
    * @param boolean $AllEULAsAccepted - [optional] 
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $powerOn=null, $deploy=null, $VAppParent=null, $InstantiationParams=null, $linkedClone=null, $SourcedItem=null, $AllEULAsAccepted=null) {
        parent::__construct($VCloudExtension, $name, $Description, $powerOn, $deploy, $VAppParent, $InstantiationParams);
        $this->linkedClone = $linkedClone;
        if (!is_null($SourcedItem)) {
            $this->SourcedItem = $SourcedItem;
        }
        $this->AllEULAsAccepted = $AllEULAsAccepted;
        $this->tagName = 'ComposeVAppParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSourcedItem() {
        return $this->SourcedItem;
    }
    public function setSourcedItem($SourcedItem) { 
        $this->SourcedItem = $SourcedItem;
    }
    public function addSourcedItem($value) { array_push($this->SourcedItem, $value); }
    public function getAllEULAsAccepted() {
        return $this->AllEULAsAccepted;
    }
    public function setAllEULAsAccepted($AllEULAsAccepted) { 
        $this->AllEULAsAccepted = $AllEULAsAccepted;
    }
    public function get_linkedClone(){
        return $this->linkedClone;
    }
    public function set_linkedClone($linkedClone) {
        $this->linkedClone = $linkedClone;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->linkedClone)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'linkedClone', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'linkedClone=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->linkedClone, $input_name='linkedClone')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->SourcedItem)) {
            foreach ($this->SourcedItem as $SourcedItem) {
                $out = $SourcedItem->export('SourcedItem', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->AllEULAsAccepted)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AllEULAsAccepted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AllEULAsAccepted>" . VMware_VCloud_API_Helper::format_boolean($this->AllEULAsAccepted, $input_name='AllEULAsAccepted') . "</" . $ns . "AllEULAsAccepted>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->SourcedItem) ||
            !is_null($this->AllEULAsAccepted) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndlinkedClone = $attrs->getNamedItem('linkedClone');
        if (!is_null($ndlinkedClone)) {
            $this->linkedClone = VMware_VCloud_API_Helper::get_boolean($ndlinkedClone->value);
            if (isset($ndlinkedClone->prefix)) {
                $this->namespace['linkedClone'] = $ndlinkedClone->prefix;
                $nsUri = $ndlinkedClone->lookupNamespaceURI($ndlinkedClone->prefix);
            }
            $node->removeAttributeNS($nsUri, 'linkedClone');
        } else {
            $this->linkedClone = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SourcedItem') {
            $obj = new VMware_VCloud_API_SourcedCompositionItemParamType();
            $obj->build($child);
            $obj->set_tagName('SourcedItem');
            array_push($this->SourcedItem, $obj);
            if (!empty($namespace)) {
                $this->namespace['SourcedItem'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllEULAsAccepted') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AllEULAsAccepted = $sval;
            if (!empty($namespace)) {
                $this->namespace['AllEULAsAccepted'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ComposeVAppParamsType


/**
 * Parameters for a recompose vApp request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RecomposeVAppParamsType extends VMware_VCloud_API_ComposeVAppParamsType {
    protected $CreateItem = array();
    protected $DeleteItem = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param boolean $deploy - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    * @param boolean $linkedClone - [optional] an attribute, 
    * @param array $SourcedItem - [optional] an array of VMware_VCloud_API_SourcedCompositionItemParamType objects
    * @param boolean $AllEULAsAccepted - [optional] 
    * @param array $CreateItem - [optional] an array of VMware_VCloud_API_VmType objects
    * @param array $DeleteItem - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $powerOn=null, $deploy=null, $VAppParent=null, $InstantiationParams=null, $linkedClone=null, $SourcedItem=null, $AllEULAsAccepted=null, $CreateItem=null, $DeleteItem=null) {
        parent::__construct($VCloudExtension, $name, $Description, $powerOn, $deploy, $VAppParent, $InstantiationParams, $linkedClone, $SourcedItem, $AllEULAsAccepted);
        if (!is_null($CreateItem)) {
            $this->CreateItem = $CreateItem;
        }
        if (!is_null($DeleteItem)) {
            $this->DeleteItem = $DeleteItem;
        }
        $this->tagName = 'RecomposeVAppParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCreateItem() {
        return $this->CreateItem;
    }
    public function setCreateItem($CreateItem) { 
        $this->CreateItem = $CreateItem;
    }
    public function addCreateItem($value) { array_push($this->CreateItem, $value); }
    public function getDeleteItem() {
        return $this->DeleteItem;
    }
    public function setDeleteItem($DeleteItem) { 
        $this->DeleteItem = $DeleteItem;
    }
    public function addDeleteItem($value) { array_push($this->DeleteItem, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->CreateItem)) {
            foreach ($this->CreateItem as $CreateItem) {
                $out = $CreateItem->export('CreateItem', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->DeleteItem)) {
            foreach ($this->DeleteItem as $DeleteItem) {
                $out = $DeleteItem->export('DeleteItem', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->CreateItem) ||
            !empty($this->DeleteItem) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CreateItem') {
            $obj = new VMware_VCloud_API_VmType();
            $obj->build($child);
            $obj->set_tagName('CreateItem');
            array_push($this->CreateItem, $obj);
            if (!empty($namespace)) {
                $this->namespace['CreateItem'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeleteItem') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('DeleteItem');
            array_push($this->DeleteItem, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeleteItem'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RecomposeVAppParamsType


/**
 * Represents vApp registration parameters.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RegisterVAppParamsType extends VMware_VCloud_API_ParamsType {
    protected $Ovf = null;
    protected $VsToVmxMap = null;
    protected $OvfToVdcNetworkMap = null;
    protected $ExternalNatIpMap = null;
    protected $NicIpMap = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param string $Ovf - [required] 
    * @param VMware_VCloud_API_VsToVmxMapType $VsToVmxMap - [optional]
    * @param VMware_VCloud_API_OvfToVdcNetworkMapType $OvfToVdcNetworkMap - [optional]
    * @param VMware_VCloud_API_ExternalNatIpMapType $ExternalNatIpMap - [optional]
    * @param VMware_VCloud_API_NicIpMapType $NicIpMap - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $Ovf=null, $VsToVmxMap=null, $OvfToVdcNetworkMap=null, $ExternalNatIpMap=null, $NicIpMap=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->Ovf = $Ovf;
        $this->VsToVmxMap = $VsToVmxMap;
        $this->OvfToVdcNetworkMap = $OvfToVdcNetworkMap;
        $this->ExternalNatIpMap = $ExternalNatIpMap;
        $this->NicIpMap = $NicIpMap;
        $this->tagName = 'RegisterVAppParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOvf() {
        return $this->Ovf;
    }
    public function setOvf($Ovf) { 
        $this->Ovf = $Ovf;
    }
    public function getVsToVmxMap() {
        return $this->VsToVmxMap;
    }
    public function setVsToVmxMap($VsToVmxMap) { 
        $this->VsToVmxMap = $VsToVmxMap;
    }
    public function getOvfToVdcNetworkMap() {
        return $this->OvfToVdcNetworkMap;
    }
    public function setOvfToVdcNetworkMap($OvfToVdcNetworkMap) { 
        $this->OvfToVdcNetworkMap = $OvfToVdcNetworkMap;
    }
    public function getExternalNatIpMap() {
        return $this->ExternalNatIpMap;
    }
    public function setExternalNatIpMap($ExternalNatIpMap) { 
        $this->ExternalNatIpMap = $ExternalNatIpMap;
    }
    public function getNicIpMap() {
        return $this->NicIpMap;
    }
    public function setNicIpMap($NicIpMap) { 
        $this->NicIpMap = $NicIpMap;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Ovf)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Ovf', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Ovf>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Ovf, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Ovf')) . "</" . $ns . "Ovf>\n");
        }
        if (!is_null($this->VsToVmxMap)) {
            $out = $this->VsToVmxMap->export('VsToVmxMap', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OvfToVdcNetworkMap)) {
            $out = $this->OvfToVdcNetworkMap->export('OvfToVdcNetworkMap', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ExternalNatIpMap)) {
            $out = $this->ExternalNatIpMap->export('ExternalNatIpMap', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->NicIpMap)) {
            $out = $this->NicIpMap->export('NicIpMap', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Ovf) ||
            !is_null($this->VsToVmxMap) ||
            !is_null($this->OvfToVdcNetworkMap) ||
            !is_null($this->ExternalNatIpMap) ||
            !is_null($this->NicIpMap) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Ovf') {
            $sval = $child->nodeValue;
            $this->Ovf = $sval;
            if (!empty($namespace)) {
                $this->namespace['Ovf'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VsToVmxMap') {
            $obj = new VMware_VCloud_API_VsToVmxMapType();
            $obj->build($child);
            $obj->set_tagName('VsToVmxMap');
            $this->setVsToVmxMap($obj);
            if (!empty($namespace)) {
                $this->namespace['VsToVmxMap'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OvfToVdcNetworkMap') {
            $obj = new VMware_VCloud_API_OvfToVdcNetworkMapType();
            $obj->build($child);
            $obj->set_tagName('OvfToVdcNetworkMap');
            $this->setOvfToVdcNetworkMap($obj);
            if (!empty($namespace)) {
                $this->namespace['OvfToVdcNetworkMap'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalNatIpMap') {
            $obj = new VMware_VCloud_API_ExternalNatIpMapType();
            $obj->build($child);
            $obj->set_tagName('ExternalNatIpMap');
            $this->setExternalNatIpMap($obj);
            if (!empty($namespace)) {
                $this->namespace['ExternalNatIpMap'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NicIpMap') {
            $obj = new VMware_VCloud_API_NicIpMapType();
            $obj->build($child);
            $obj->set_tagName('NicIpMap');
            $this->setNicIpMap($obj);
            if (!empty($namespace)) {
                $this->namespace['NicIpMap'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RegisterVAppParamsType


/**
 * Map from OVF Virtual Systems via the BIOS UUID to the datastore location of  the replicated VM's files on the destination site.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VsToVmxMapType {
    protected $Entry = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $Entry - [optional] an array of VMware_VCloud_API_Entry objects
    */
    public function __construct($Entry=null) {
        if (!is_null($Entry)) {
            $this->Entry = $Entry;
        }
        $this->tagName = 'VsToVmxMap';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntry() {
        return $this->Entry;
    }
    public function setEntry($Entry) { 
        $this->Entry = $Entry;
    }
    public function addEntry($value) { array_push($this->Entry, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Entry)) {
            foreach ($this->Entry as $Entry) {
                $out = $Entry->export('Entry', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Entry)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Entry') {
            $obj = new VMware_VCloud_API_Entry();
            $obj->build($child);
            $obj->set_tagName('Entry');
            array_push($this->Entry, $obj);
            if (!empty($namespace)) {
                $this->namespace['Entry'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_VsToVmxMapType


/**
 * VM BIOS UUID as described in the OVF Virtual System  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Entry {
    protected $storageProfile = null;
    protected $datastorePath = null;
    protected $biosUuid = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $storageProfile - [optional] an attribute, 
    * @param string $datastorePath - [optional] an attribute, 
    * @param string $biosUuid - [optional] an attribute, 
    * @param string $valueOf - [optional]
    */
    public function __construct($storageProfile=null, $datastorePath=null, $biosUuid=null, $valueOf='') {
        $this->storageProfile = $storageProfile;
        $this->datastorePath = $datastorePath;
        $this->biosUuid = $biosUuid;
        $this->valueOf = $valueOf;
        $this->tagName = 'Entry';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_storageProfile(){
        return $this->storageProfile;
    }
    public function set_storageProfile($storageProfile) {
        $this->storageProfile = $storageProfile;
    }
    public function get_datastorePath(){
        return $this->datastorePath;
    }
    public function set_datastorePath($datastorePath) {
        $this->datastorePath = $datastorePath;
    }
    public function get_biosUuid(){
        return $this->biosUuid;
    }
    public function set_biosUuid($biosUuid) {
        $this->biosUuid = $biosUuid;
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->storageProfile)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfile', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfile=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfile, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfile')));
        }
        if (!is_null($this->datastorePath)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastorePath', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastorePath=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastorePath, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastorePath')));
        }
        if (!is_null($this->biosUuid)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'biosUuid', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'biosUuid=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->biosUuid, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='biosUuid')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstorageProfile = $attrs->getNamedItem('storageProfile');
        if (!is_null($ndstorageProfile)) {
            $this->storageProfile = $ndstorageProfile->value;
            if (isset($ndstorageProfile->prefix)) {
                $this->namespace['storageProfile'] = $ndstorageProfile->prefix;
                $nsUri = $ndstorageProfile->lookupNamespaceURI($ndstorageProfile->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfile');
        } else {
            $this->storageProfile = null;
        }
        $nddatastorePath = $attrs->getNamedItem('datastorePath');
        if (!is_null($nddatastorePath)) {
            $this->datastorePath = $nddatastorePath->value;
            if (isset($nddatastorePath->prefix)) {
                $this->namespace['datastorePath'] = $nddatastorePath->prefix;
                $nsUri = $nddatastorePath->lookupNamespaceURI($nddatastorePath->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastorePath');
        } else {
            $this->datastorePath = null;
        }
        $ndbiosUuid = $attrs->getNamedItem('biosUuid');
        if (!is_null($ndbiosUuid)) {
            $this->biosUuid = $ndbiosUuid->value;
            if (isset($ndbiosUuid->prefix)) {
                $this->namespace['biosUuid'] = $ndbiosUuid->prefix;
                $nsUri = $ndbiosUuid->lookupNamespaceURI($ndbiosUuid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'biosUuid');
        } else {
            $this->biosUuid = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_Entry


/**
 * Map from OVF to Org networks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OvfToVdcNetworkMapType {
    protected $Entry = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $Entry - [optional] an array of VMware_VCloud_API_Entry objects
    */
    public function __construct($Entry=null) {
        if (!is_null($Entry)) {
            $this->Entry = $Entry;
        }
        $this->tagName = 'OvfToVdcNetworkMap';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntry() {
        return $this->Entry;
    }
    public function setEntry($Entry) { 
        $this->Entry = $Entry;
    }
    public function addEntry($value) { array_push($this->Entry, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Entry)) {
            foreach ($this->Entry as $Entry) {
                $out = $Entry->export('Entry', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Entry)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Entry') {
            $obj = new VMware_VCloud_API_Entry();
            $obj->build($child);
            $obj->set_tagName('Entry');
            array_push($this->Entry, $obj);
            if (!empty($namespace)) {
                $this->namespace['Entry'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_OvfToVdcNetworkMapType


/**
 * Maps source site external NAT IP addresses to destination site  external NAT IP addresses.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ExternalNatIpMapType {
    protected $Entry = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $Entry - [optional] an array of VMware_VCloud_API_Entry objects
    */
    public function __construct($Entry=null) {
        if (!is_null($Entry)) {
            $this->Entry = $Entry;
        }
        $this->tagName = 'ExternalNatIpMap';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntry() {
        return $this->Entry;
    }
    public function setEntry($Entry) { 
        $this->Entry = $Entry;
    }
    public function addEntry($value) { array_push($this->Entry, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Entry)) {
            foreach ($this->Entry as $Entry) {
                $out = $Entry->export('Entry', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Entry)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Entry') {
            $obj = new VMware_VCloud_API_Entry();
            $obj->build($child);
            $obj->set_tagName('Entry');
            array_push($this->Entry, $obj);
            if (!empty($namespace)) {
                $this->namespace['Entry'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_ExternalNatIpMapType


/**
 * VM's with NICs that are connected directly to a VDC network and where the NICs  have manually assigned IP addresses needs to be mapped to a valid IP address  within the IP range of the destination site's VDC network.  This type provides that mapping.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NicIpMapType {
    protected $Entry = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $Entry - [optional] an array of VMware_VCloud_API_Entry objects
    */
    public function __construct($Entry=null) {
        if (!is_null($Entry)) {
            $this->Entry = $Entry;
        }
        $this->tagName = 'NicIpMap';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntry() {
        return $this->Entry;
    }
    public function setEntry($Entry) { 
        $this->Entry = $Entry;
    }
    public function addEntry($value) { array_push($this->Entry, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Entry)) {
            foreach ($this->Entry as $Entry) {
                $out = $Entry->export('Entry', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Entry)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Entry') {
            $obj = new VMware_VCloud_API_Entry();
            $obj->build($child);
            $obj->set_tagName('Entry');
            array_push($this->Entry, $obj);
            if (!empty($namespace)) {
                $this->namespace['Entry'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_NicIpMapType


/**
 * Represents locality parameters. Locality parameters provide a  hint that may help the placement engine optimize placement of  a Vm and an independent a Disk so that the Vm can make  efficient use of the disk.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LocalityParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ResourceEntity = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ResourceEntity - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $ResourceEntity=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ResourceEntity)) {
            $this->ResourceEntity = $ResourceEntity;
        }
        $this->tagName = 'LocalityParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourceEntity() {
        return $this->ResourceEntity;
    }
    public function setResourceEntity($ResourceEntity) { 
        $this->ResourceEntity = $ResourceEntity;
    }
    public function addResourceEntity($value) { array_push($this->ResourceEntity, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ResourceEntity)) {
            foreach ($this->ResourceEntity as $ResourceEntity) {
                $out = $ResourceEntity->export('ResourceEntity', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ResourceEntity) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceEntity') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourceEntity');
            array_push($this->ResourceEntity, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceEntity'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LocalityParamsType


/**
 * Represents instantiation parameters.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SourcedVmInstantiationParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Source = null;
    protected $StorageProfile = null;
    protected $LocalityParams = null;
    protected $HardwareCustomization = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    * @param VMware_VCloud_API_ReferenceType $StorageProfile - [optional]
    * @param VMware_VCloud_API_LocalityParamsType $LocalityParams - [optional]
    * @param VMware_VCloud_API_InstantiateVmHardwareCustomizationParamsType $HardwareCustomization - [optional]
    */
    public function __construct($VCloudExtension=null, $Source=null, $StorageProfile=null, $LocalityParams=null, $HardwareCustomization=null) {
        parent::__construct($VCloudExtension);
        $this->Source = $Source;
        $this->StorageProfile = $StorageProfile;
        $this->LocalityParams = $LocalityParams;
        $this->HardwareCustomization = $HardwareCustomization;
        $this->tagName = 'SourcedVmInstantiationParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSource() {
        return $this->Source;
    }
    public function setSource($Source) { 
        $this->Source = $Source;
    }
    public function getStorageProfile() {
        return $this->StorageProfile;
    }
    public function setStorageProfile($StorageProfile) { 
        $this->StorageProfile = $StorageProfile;
    }
    public function getLocalityParams() {
        return $this->LocalityParams;
    }
    public function setLocalityParams($LocalityParams) { 
        $this->LocalityParams = $LocalityParams;
    }
    public function getHardwareCustomization() {
        return $this->HardwareCustomization;
    }
    public function setHardwareCustomization($HardwareCustomization) { 
        $this->HardwareCustomization = $HardwareCustomization;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Source)) {
            $out = $this->Source->export('Source', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->StorageProfile)) {
            $out = $this->StorageProfile->export('StorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->LocalityParams)) {
            $out = $this->LocalityParams->export('LocalityParams', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->HardwareCustomization)) {
            $out = $this->HardwareCustomization->export('HardwareCustomization', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Source) ||
            !is_null($this->StorageProfile) ||
            !is_null($this->LocalityParams) ||
            !is_null($this->HardwareCustomization) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Source') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Source');
            $this->setSource($obj);
            if (!empty($namespace)) {
                $this->namespace['Source'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('StorageProfile');
            $this->setStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['StorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LocalityParams') {
            $obj = new VMware_VCloud_API_LocalityParamsType();
            $obj->build($child);
            $obj->set_tagName('LocalityParams');
            $this->setLocalityParams($obj);
            if (!empty($namespace)) {
                $this->namespace['LocalityParams'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HardwareCustomization') {
            $obj = new VMware_VCloud_API_InstantiateVmHardwareCustomizationParamsType();
            $obj->build($child);
            $obj->set_tagName('HardwareCustomization');
            $this->setHardwareCustomization($obj);
            if (!empty($namespace)) {
                $this->namespace['HardwareCustomization'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SourcedVmInstantiationParamsType


/**
 * Represents vApp instantiation parameters.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_InstantiateVAppParamsType extends VMware_VCloud_API_VAppCreationParamsType {
    protected $linkedClone = null;
    protected $Source = null;
    protected $IsSourceDelete = null;
    protected $SourcedVmInstantiationParams = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param boolean $deploy - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    * @param boolean $linkedClone - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    * @param boolean $IsSourceDelete - [optional] 
    * @param array $SourcedVmInstantiationParams - [optional] an array of VMware_VCloud_API_SourcedVmInstantiationParamsType objects
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $powerOn=null, $deploy=null, $VAppParent=null, $InstantiationParams=null, $linkedClone=null, $Source=null, $IsSourceDelete=null, $SourcedVmInstantiationParams=null) {
        parent::__construct($VCloudExtension, $name, $Description, $powerOn, $deploy, $VAppParent, $InstantiationParams);
        $this->linkedClone = $linkedClone;
        $this->Source = $Source;
        $this->IsSourceDelete = $IsSourceDelete;
        if (!is_null($SourcedVmInstantiationParams)) {
            $this->SourcedVmInstantiationParams = $SourcedVmInstantiationParams;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSource() {
        return $this->Source;
    }
    public function setSource($Source) { 
        $this->Source = $Source;
    }
    public function getIsSourceDelete() {
        return $this->IsSourceDelete;
    }
    public function setIsSourceDelete($IsSourceDelete) { 
        $this->IsSourceDelete = $IsSourceDelete;
    }
    public function getSourcedVmInstantiationParams() {
        return $this->SourcedVmInstantiationParams;
    }
    public function setSourcedVmInstantiationParams($SourcedVmInstantiationParams) { 
        $this->SourcedVmInstantiationParams = $SourcedVmInstantiationParams;
    }
    public function addSourcedVmInstantiationParams($value) { array_push($this->SourcedVmInstantiationParams, $value); }
    public function get_linkedClone(){
        return $this->linkedClone;
    }
    public function set_linkedClone($linkedClone) {
        $this->linkedClone = $linkedClone;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->linkedClone)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'linkedClone', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'linkedClone=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->linkedClone, $input_name='linkedClone')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Source)) {
            $out = $this->Source->export('Source', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IsSourceDelete)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsSourceDelete', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsSourceDelete>" . VMware_VCloud_API_Helper::format_boolean($this->IsSourceDelete, $input_name='IsSourceDelete') . "</" . $ns . "IsSourceDelete>\n");
        }
        if (isset($this->SourcedVmInstantiationParams)) {
            foreach ($this->SourcedVmInstantiationParams as $SourcedVmInstantiationParams) {
                $out = $SourcedVmInstantiationParams->export('SourcedVmInstantiationParams', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Source) ||
            !is_null($this->IsSourceDelete) ||
            !empty($this->SourcedVmInstantiationParams) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndlinkedClone = $attrs->getNamedItem('linkedClone');
        if (!is_null($ndlinkedClone)) {
            $this->linkedClone = VMware_VCloud_API_Helper::get_boolean($ndlinkedClone->value);
            if (isset($ndlinkedClone->prefix)) {
                $this->namespace['linkedClone'] = $ndlinkedClone->prefix;
                $nsUri = $ndlinkedClone->lookupNamespaceURI($ndlinkedClone->prefix);
            }
            $node->removeAttributeNS($nsUri, 'linkedClone');
        } else {
            $this->linkedClone = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Source') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Source');
            $this->setSource($obj);
            if (!empty($namespace)) {
                $this->namespace['Source'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsSourceDelete') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsSourceDelete = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsSourceDelete'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SourcedVmInstantiationParams') {
            $obj = new VMware_VCloud_API_SourcedVmInstantiationParamsType();
            $obj->build($child);
            $obj->set_tagName('SourcedVmInstantiationParams');
            array_push($this->SourcedVmInstantiationParams, $obj);
            if (!empty($namespace)) {
                $this->namespace['SourcedVmInstantiationParams'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_InstantiateVAppParamsType


/**
 * Represents vApp template instantiation parameters.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_InstantiateVAppTemplateParamsType extends VMware_VCloud_API_InstantiateVAppParamsType {
    protected $AllEULAsAccepted = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param boolean $deploy - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    * @param boolean $linkedClone - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    * @param boolean $IsSourceDelete - [optional] 
    * @param array $SourcedVmInstantiationParams - [optional] an array of VMware_VCloud_API_SourcedVmInstantiationParamsType objects
    * @param boolean $AllEULAsAccepted - [optional] 
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $powerOn=null, $deploy=null, $VAppParent=null, $InstantiationParams=null, $linkedClone=null, $Source=null, $IsSourceDelete=null, $SourcedVmInstantiationParams=null, $AllEULAsAccepted=null) {
        parent::__construct($VCloudExtension, $name, $Description, $powerOn, $deploy, $VAppParent, $InstantiationParams, $linkedClone, $Source, $IsSourceDelete, $SourcedVmInstantiationParams);
        $this->AllEULAsAccepted = $AllEULAsAccepted;
        $this->tagName = 'InstantiateVAppTemplateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAllEULAsAccepted() {
        return $this->AllEULAsAccepted;
    }
    public function setAllEULAsAccepted($AllEULAsAccepted) { 
        $this->AllEULAsAccepted = $AllEULAsAccepted;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AllEULAsAccepted)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AllEULAsAccepted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AllEULAsAccepted>" . VMware_VCloud_API_Helper::format_boolean($this->AllEULAsAccepted, $input_name='AllEULAsAccepted') . "</" . $ns . "AllEULAsAccepted>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AllEULAsAccepted) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllEULAsAccepted') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AllEULAsAccepted = $sval;
            if (!empty($namespace)) {
                $this->namespace['AllEULAsAccepted'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_InstantiateVAppTemplateParamsType


/**
 * Represents vApp instantiation from OVF parameters  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_InstantiateOvfParamsType extends VMware_VCloud_API_VAppCreationParamsType {
    protected $transferFormat = null;
    protected $AllEULAsAccepted = null;
    protected $NetworkMapping = array();
    protected $InstantiateOvfProperty = array();
    protected $InstantiateVmParams = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param boolean $deploy - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    * @param string $transferFormat - [optional] an attribute, 
    * @param boolean $AllEULAsAccepted - [optional] 
    * @param array $NetworkMapping - [optional] an array of VMware_VCloud_API_NetworkMappingType objects
    * @param array $InstantiateOvfProperty - [optional] an array of VMware_VCloud_API_InstantiateOvfPropertyType objects
    * @param array $InstantiateVmParams - [optional] an array of VMware_VCloud_API_InstantiateVmParamsType objects
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $powerOn=null, $deploy=null, $VAppParent=null, $InstantiationParams=null, $transferFormat=null, $AllEULAsAccepted=null, $NetworkMapping=null, $InstantiateOvfProperty=null, $InstantiateVmParams=null) {
        parent::__construct($VCloudExtension, $name, $Description, $powerOn, $deploy, $VAppParent, $InstantiationParams);
        $this->transferFormat = $transferFormat;
        $this->AllEULAsAccepted = $AllEULAsAccepted;
        if (!is_null($NetworkMapping)) {
            $this->NetworkMapping = $NetworkMapping;
        }
        if (!is_null($InstantiateOvfProperty)) {
            $this->InstantiateOvfProperty = $InstantiateOvfProperty;
        }
        if (!is_null($InstantiateVmParams)) {
            $this->InstantiateVmParams = $InstantiateVmParams;
        }
        $this->tagName = 'InstantiateOvfParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAllEULAsAccepted() {
        return $this->AllEULAsAccepted;
    }
    public function setAllEULAsAccepted($AllEULAsAccepted) { 
        $this->AllEULAsAccepted = $AllEULAsAccepted;
    }
    public function getNetworkMapping() {
        return $this->NetworkMapping;
    }
    public function setNetworkMapping($NetworkMapping) { 
        $this->NetworkMapping = $NetworkMapping;
    }
    public function addNetworkMapping($value) { array_push($this->NetworkMapping, $value); }
    public function getInstantiateOvfProperty() {
        return $this->InstantiateOvfProperty;
    }
    public function setInstantiateOvfProperty($InstantiateOvfProperty) { 
        $this->InstantiateOvfProperty = $InstantiateOvfProperty;
    }
    public function addInstantiateOvfProperty($value) { array_push($this->InstantiateOvfProperty, $value); }
    public function getInstantiateVmParams() {
        return $this->InstantiateVmParams;
    }
    public function setInstantiateVmParams($InstantiateVmParams) { 
        $this->InstantiateVmParams = $InstantiateVmParams;
    }
    public function addInstantiateVmParams($value) { array_push($this->InstantiateVmParams, $value); }
    public function get_transferFormat(){
        return $this->transferFormat;
    }
    public function set_transferFormat($transferFormat) {
        $this->transferFormat = $transferFormat;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->transferFormat)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'transferFormat', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'transferFormat=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->transferFormat, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='transferFormat')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AllEULAsAccepted)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AllEULAsAccepted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AllEULAsAccepted>" . VMware_VCloud_API_Helper::format_boolean($this->AllEULAsAccepted, $input_name='AllEULAsAccepted') . "</" . $ns . "AllEULAsAccepted>\n");
        }
        if (isset($this->NetworkMapping)) {
            foreach ($this->NetworkMapping as $NetworkMapping) {
                $out = $NetworkMapping->export('NetworkMapping', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->InstantiateOvfProperty)) {
            foreach ($this->InstantiateOvfProperty as $InstantiateOvfProperty) {
                $out = $InstantiateOvfProperty->export('InstantiateOvfProperty', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->InstantiateVmParams)) {
            foreach ($this->InstantiateVmParams as $InstantiateVmParams) {
                $out = $InstantiateVmParams->export('InstantiateVmParams', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AllEULAsAccepted) ||
            !empty($this->NetworkMapping) ||
            !empty($this->InstantiateOvfProperty) ||
            !empty($this->InstantiateVmParams) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndtransferFormat = $attrs->getNamedItem('transferFormat');
        if (!is_null($ndtransferFormat)) {
            $this->transferFormat = $ndtransferFormat->value;
            if (isset($ndtransferFormat->prefix)) {
                $this->namespace['transferFormat'] = $ndtransferFormat->prefix;
                $nsUri = $ndtransferFormat->lookupNamespaceURI($ndtransferFormat->prefix);
            }
            $node->removeAttributeNS($nsUri, 'transferFormat');
        } else {
            $this->transferFormat = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllEULAsAccepted') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AllEULAsAccepted = $sval;
            if (!empty($namespace)) {
                $this->namespace['AllEULAsAccepted'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkMapping') {
            $obj = new VMware_VCloud_API_NetworkMappingType();
            $obj->build($child);
            $obj->set_tagName('NetworkMapping');
            array_push($this->NetworkMapping, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkMapping'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstantiateOvfProperty') {
            $obj = new VMware_VCloud_API_InstantiateOvfPropertyType();
            $obj->build($child);
            $obj->set_tagName('InstantiateOvfProperty');
            array_push($this->InstantiateOvfProperty, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstantiateOvfProperty'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstantiateVmParams') {
            $obj = new VMware_VCloud_API_InstantiateVmParamsType();
            $obj->build($child);
            $obj->set_tagName('InstantiateVmParams');
            array_push($this->InstantiateVmParams, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstantiateVmParams'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_InstantiateOvfParamsType


/**
 * Represents a mapping from an OVF source network to a vCloud target network.  Used to update network properties in the OVF.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkMappingType {
    protected $Source = null;
    protected $Target = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $Source - [required] 
    * @param string $Target - [required] 
    */
    public function __construct($Source=null, $Target=null) {
        $this->Source = $Source;
        $this->Target = $Target;
        $this->tagName = 'NetworkMapping';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSource() {
        return $this->Source;
    }
    public function setSource($Source) { 
        $this->Source = $Source;
    }
    public function getTarget() {
        return $this->Target;
    }
    public function setTarget($Target) { 
        $this->Target = $Target;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Source)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Source', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Source>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Source, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Source')) . "</" . $ns . "Source>\n");
        }
        if (!is_null($this->Target)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Target', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Target>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Target, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Target')) . "</" . $ns . "Target>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Source) ||
            !is_null($this->Target)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Source') {
            $sval = $child->nodeValue;
            $this->Source = $sval;
            if (!empty($namespace)) {
                $this->namespace['Source'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Target') {
            $sval = $child->nodeValue;
            $this->Target = $sval;
            if (!empty($namespace)) {
                $this->namespace['Target'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_NetworkMappingType


/**
 * Represents an OVF property value assignment.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_InstantiateOvfPropertyType {
    protected $ClassId = null;
    protected $InstanceId = null;
    protected $Key = null;
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $ClassId - [optional] 
    * @param string $InstanceId - [optional] 
    * @param string $Key - [required] 
    * @param string $Value - [required] 
    */
    public function __construct($ClassId=null, $InstanceId=null, $Key=null, $Value=null) {
        $this->ClassId = $ClassId;
        $this->InstanceId = $InstanceId;
        $this->Key = $Key;
        $this->Value = $Value;
        $this->tagName = 'InstantiateOvfProperty';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getClassId() {
        return $this->ClassId;
    }
    public function setClassId($ClassId) { 
        $this->ClassId = $ClassId;
    }
    public function getInstanceId() {
        return $this->InstanceId;
    }
    public function setInstanceId($InstanceId) { 
        $this->InstanceId = $InstanceId;
    }
    public function getKey() {
        return $this->Key;
    }
    public function setKey($Key) { 
        $this->Key = $Key;
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->ClassId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ClassId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ClassId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ClassId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ClassId')) . "</" . $ns . "ClassId>\n");
        }
        if (!is_null($this->InstanceId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InstanceId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InstanceId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->InstanceId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='InstanceId')) . "</" . $ns . "InstanceId>\n");
        }
        if (!is_null($this->Key)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Key', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Key>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Key, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Key')) . "</" . $ns . "Key>\n");
        }
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ClassId) ||
            !is_null($this->InstanceId) ||
            !is_null($this->Key) ||
            !is_null($this->Value)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ClassId') {
            $sval = $child->nodeValue;
            $this->ClassId = $sval;
            if (!empty($namespace)) {
                $this->namespace['ClassId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstanceId') {
            $sval = $child->nodeValue;
            $this->InstanceId = $sval;
            if (!empty($namespace)) {
                $this->namespace['InstanceId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Key') {
            $sval = $child->nodeValue;
            $this->Key = $sval;
            if (!empty($namespace)) {
                $this->namespace['Key'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_InstantiateOvfPropertyType


/**
 * Instantiation parameters for a VM in a vApp.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_InstantiateVmParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $id = null;
    protected $NetworkConnectionSection = null;
    protected $ComputerName = null;
    protected $VdcStorageProfile = null;
    protected $HardwareCustomization = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $id - [optional] an attribute, 
    * @param VMware_VCloud_API_NetworkConnectionSectionType $NetworkConnectionSection - [optional]
    * @param string $ComputerName - [optional] 
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    * @param VMware_VCloud_API_InstantiateVmHardwareCustomizationParamsType $HardwareCustomization - [optional]
    */
    public function __construct($VCloudExtension=null, $id=null, $NetworkConnectionSection=null, $ComputerName=null, $VdcStorageProfile=null, $HardwareCustomization=null) {
        parent::__construct($VCloudExtension);
        $this->id = $id;
        $this->NetworkConnectionSection = $NetworkConnectionSection;
        $this->ComputerName = $ComputerName;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->HardwareCustomization = $HardwareCustomization;
        $this->tagName = 'InstantiateVmParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetworkConnectionSection() {
        return $this->NetworkConnectionSection;
    }
    public function setNetworkConnectionSection($NetworkConnectionSection) { 
        $this->NetworkConnectionSection = $NetworkConnectionSection;
    }
    public function getComputerName() {
        return $this->ComputerName;
    }
    public function setComputerName($ComputerName) { 
        $this->ComputerName = $ComputerName;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function getHardwareCustomization() {
        return $this->HardwareCustomization;
    }
    public function setHardwareCustomization($HardwareCustomization) { 
        $this->HardwareCustomization = $HardwareCustomization;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->id)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->NetworkConnectionSection)) {
            $out = $this->NetworkConnectionSection->export('NetworkConnectionSection', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ComputerName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComputerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComputerName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComputerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComputerName')) . "</" . $ns . "ComputerName>\n");
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->HardwareCustomization)) {
            $out = $this->HardwareCustomization->export('HardwareCustomization', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->NetworkConnectionSection) ||
            !is_null($this->ComputerName) ||
            !is_null($this->VdcStorageProfile) ||
            !is_null($this->HardwareCustomization) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            $this->setNetworkConnectionSection($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComputerName') {
            $sval = $child->nodeValue;
            $this->ComputerName = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComputerName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HardwareCustomization') {
            $obj = new VMware_VCloud_API_InstantiateVmHardwareCustomizationParamsType();
            $obj->build($child);
            $obj->set_tagName('HardwareCustomization');
            $this->setHardwareCustomization($obj);
            if (!empty($namespace)) {
                $this->namespace['HardwareCustomization'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_InstantiateVmParamsType


/**
 * Hardware parameter customization applied to a virtual machine in a vApp when instantiated.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_InstantiateVmHardwareCustomizationParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $NumberOfCpus = null;
    protected $CoresPerSocket = null;
    protected $MemorySize = null;
    protected $Disk = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param int $NumberOfCpus - [optional] 
    * @param int $CoresPerSocket - [optional] 
    * @param int $MemorySize - [optional] 
    * @param array $Disk - [optional] an array of VMware_VCloud_API_DiskType objects
    */
    public function __construct($VCloudExtension=null, $NumberOfCpus=null, $CoresPerSocket=null, $MemorySize=null, $Disk=null) {
        parent::__construct($VCloudExtension);
        $this->NumberOfCpus = $NumberOfCpus;
        $this->CoresPerSocket = $CoresPerSocket;
        $this->MemorySize = $MemorySize;
        if (!is_null($Disk)) {
            $this->Disk = $Disk;
        }
        $this->tagName = 'HardwareCustomization';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNumberOfCpus() {
        return $this->NumberOfCpus;
    }
    public function setNumberOfCpus($NumberOfCpus) { 
        $this->NumberOfCpus = $NumberOfCpus;
    }
    public function getCoresPerSocket() {
        return $this->CoresPerSocket;
    }
    public function setCoresPerSocket($CoresPerSocket) { 
        $this->CoresPerSocket = $CoresPerSocket;
    }
    public function getMemorySize() {
        return $this->MemorySize;
    }
    public function setMemorySize($MemorySize) { 
        $this->MemorySize = $MemorySize;
    }
    public function getDisk() {
        return $this->Disk;
    }
    public function setDisk($Disk) { 
        $this->Disk = $Disk;
    }
    public function addDisk($value) { array_push($this->Disk, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->NumberOfCpus)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NumberOfCpus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NumberOfCpus>" . VMware_VCloud_API_Helper::format_integer($this->NumberOfCpus, $input_name='NumberOfCpus') . "</" . $ns . "NumberOfCpus>\n");
        }
        if (!is_null($this->CoresPerSocket)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CoresPerSocket', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CoresPerSocket>" . VMware_VCloud_API_Helper::format_integer($this->CoresPerSocket, $input_name='CoresPerSocket') . "</" . $ns . "CoresPerSocket>\n");
        }
        if (!is_null($this->MemorySize)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MemorySize', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MemorySize>" . VMware_VCloud_API_Helper::format_integer($this->MemorySize, $input_name='MemorySize') . "</" . $ns . "MemorySize>\n");
        }
        if (isset($this->Disk)) {
            foreach ($this->Disk as $Disk) {
                $out = $Disk->export('Disk', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->NumberOfCpus) ||
            !is_null($this->CoresPerSocket) ||
            !is_null($this->MemorySize) ||
            !empty($this->Disk) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NumberOfCpus') {
            $sval = $child->nodeValue;
            $this->NumberOfCpus = $sval;
            if (!empty($namespace)) {
                $this->namespace['NumberOfCpus'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CoresPerSocket') {
            $sval = $child->nodeValue;
            $this->CoresPerSocket = $sval;
            if (!empty($namespace)) {
                $this->namespace['CoresPerSocket'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MemorySize') {
            $sval = $child->nodeValue;
            $this->MemorySize = $sval;
            if (!empty($namespace)) {
                $this->namespace['MemorySize'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Disk') {
            $obj = new VMware_VCloud_API_DiskType();
            $obj->build($child);
            $obj->set_tagName('Disk');
            array_push($this->Disk, $obj);
            if (!empty($namespace)) {
                $this->namespace['Disk'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_InstantiateVmHardwareCustomizationParamsType


/**
 * Parameters of a single disk in the virtual machine.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Disk extends VMware_VCloud_API_VCloudExtensibleType {
    protected $instanceId = null;
    protected $Size = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $instanceId - [optional] an attribute, 
    * @param int $Size - [optional] 
    */
    public function __construct($VCloudExtension=null, $instanceId=null, $Size=null) {
        parent::__construct($VCloudExtension);
        $this->instanceId = $instanceId;
        $this->Size = $Size;
        $this->tagName = 'Disk';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSize() {
        return $this->Size;
    }
    public function setSize($Size) { 
        $this->Size = $Size;
    }
    public function get_instanceId(){
        return $this->instanceId;
    }
    public function set_instanceId($instanceId) {
        $this->instanceId = $instanceId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->instanceId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'instanceId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'instanceId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->instanceId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='instanceId')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Size)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Size', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Size>" . VMware_VCloud_API_Helper::format_integer($this->Size, $input_name='Size') . "</" . $ns . "Size>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Size) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndinstanceId = $attrs->getNamedItem('instanceId');
        if (!is_null($ndinstanceId)) {
            $this->instanceId = $ndinstanceId->value;
            if (isset($ndinstanceId->prefix)) {
                $this->namespace['instanceId'] = $ndinstanceId->prefix;
                $nsUri = $ndinstanceId->lookupNamespaceURI($ndinstanceId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'instanceId');
        } else {
            $this->instanceId = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Size') {
            $sval = $child->nodeValue;
            $this->Size = $sval;
            if (!empty($namespace)) {
                $this->namespace['Size'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Disk


/**
 * Parameters for a clonevApp request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CloneVAppParamsType extends VMware_VCloud_API_InstantiateVAppParamsType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param boolean $deploy - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    * @param boolean $linkedClone - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    * @param boolean $IsSourceDelete - [optional] 
    * @param array $SourcedVmInstantiationParams - [optional] an array of VMware_VCloud_API_SourcedVmInstantiationParamsType objects
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $powerOn=null, $deploy=null, $VAppParent=null, $InstantiationParams=null, $linkedClone=null, $Source=null, $IsSourceDelete=null, $SourcedVmInstantiationParams=null) {
        parent::__construct($VCloudExtension, $name, $Description, $powerOn, $deploy, $VAppParent, $InstantiationParams, $linkedClone, $Source, $IsSourceDelete, $SourcedVmInstantiationParams);
        $this->tagName = 'CloneVAppParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CloneVAppParamsType


/**
 * Parameters to a deploy vApp request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_DeployVAppParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $forceCustomization = null;
    protected $powerOn = null;
    protected $deploymentLeaseSeconds = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $forceCustomization - [optional] an attribute, 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param int $deploymentLeaseSeconds - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $forceCustomization=null, $powerOn=null, $deploymentLeaseSeconds=null) {
        parent::__construct($VCloudExtension);
        $this->forceCustomization = $forceCustomization;
        $this->powerOn = $powerOn;
        $this->deploymentLeaseSeconds = $deploymentLeaseSeconds;
        $this->tagName = 'DeployVAppParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_forceCustomization(){
        return $this->forceCustomization;
    }
    public function set_forceCustomization($forceCustomization) {
        $this->forceCustomization = $forceCustomization;
    }
    public function get_powerOn(){
        return $this->powerOn;
    }
    public function set_powerOn($powerOn) {
        $this->powerOn = $powerOn;
    }
    public function get_deploymentLeaseSeconds(){
        return $this->deploymentLeaseSeconds;
    }
    public function set_deploymentLeaseSeconds($deploymentLeaseSeconds) {
        $this->deploymentLeaseSeconds = $deploymentLeaseSeconds;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->forceCustomization)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'forceCustomization', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'forceCustomization=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->forceCustomization, $input_name='forceCustomization')));
        }
        if (!is_null($this->powerOn)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'powerOn', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'powerOn=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->powerOn, $input_name='powerOn')));
        }
        if (!is_null($this->deploymentLeaseSeconds)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deploymentLeaseSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deploymentLeaseSeconds=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->deploymentLeaseSeconds, $input_name='deploymentLeaseSeconds')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndforceCustomization = $attrs->getNamedItem('forceCustomization');
        if (!is_null($ndforceCustomization)) {
            $this->forceCustomization = VMware_VCloud_API_Helper::get_boolean($ndforceCustomization->value);
            if (isset($ndforceCustomization->prefix)) {
                $this->namespace['forceCustomization'] = $ndforceCustomization->prefix;
                $nsUri = $ndforceCustomization->lookupNamespaceURI($ndforceCustomization->prefix);
            }
            $node->removeAttributeNS($nsUri, 'forceCustomization');
        } else {
            $this->forceCustomization = null;
        }
        $ndpowerOn = $attrs->getNamedItem('powerOn');
        if (!is_null($ndpowerOn)) {
            $this->powerOn = VMware_VCloud_API_Helper::get_boolean($ndpowerOn->value);
            if (isset($ndpowerOn->prefix)) {
                $this->namespace['powerOn'] = $ndpowerOn->prefix;
                $nsUri = $ndpowerOn->lookupNamespaceURI($ndpowerOn->prefix);
            }
            $node->removeAttributeNS($nsUri, 'powerOn');
        } else {
            $this->powerOn = null;
        }
        $nddeploymentLeaseSeconds = $attrs->getNamedItem('deploymentLeaseSeconds');
        if (!is_null($nddeploymentLeaseSeconds)) {
            $this->deploymentLeaseSeconds = sprintf('%d', $nddeploymentLeaseSeconds->value);
            if (isset($nddeploymentLeaseSeconds->prefix)) {
                $this->namespace['deploymentLeaseSeconds'] = $nddeploymentLeaseSeconds->prefix;
                $nsUri = $nddeploymentLeaseSeconds->lookupNamespaceURI($nddeploymentLeaseSeconds->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deploymentLeaseSeconds');
        } else {
            $this->deploymentLeaseSeconds = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_DeployVAppParamsType


/**
 * Parameters to an undeploy vApp request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_UndeployVAppParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $UndeployPowerAction = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $UndeployPowerAction - [optional] 
    */
    public function __construct($VCloudExtension=null, $UndeployPowerAction=null) {
        parent::__construct($VCloudExtension);
        $this->UndeployPowerAction = $UndeployPowerAction;
        $this->tagName = 'UndeployVAppParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUndeployPowerAction() {
        return $this->UndeployPowerAction;
    }
    public function setUndeployPowerAction($UndeployPowerAction) { 
        $this->UndeployPowerAction = $UndeployPowerAction;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->UndeployPowerAction)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UndeployPowerAction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UndeployPowerAction>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UndeployPowerAction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UndeployPowerAction')) . "</" . $ns . "UndeployPowerAction>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->UndeployPowerAction) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UndeployPowerAction') {
            $sval = $child->nodeValue;
            $this->UndeployPowerAction = $sval;
            if (!empty($namespace)) {
                $this->namespace['UndeployPowerAction'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_UndeployVAppParamsType


/**
 * Parameters for an insertMedia or ejectMedia request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MediaInsertOrEjectParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Media = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $Media - [required]
    */
    public function __construct($VCloudExtension=null, $Media=null) {
        parent::__construct($VCloudExtension);
        $this->Media = $Media;
        $this->tagName = 'MediaInsertOrEjectParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMedia() {
        return $this->Media;
    }
    public function setMedia($Media) { 
        $this->Media = $Media;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Media)) {
            $out = $this->Media->export('Media', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Media) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Media') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Media');
            $this->setMedia($obj);
            if (!empty($namespace)) {
                $this->namespace['Media'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MediaInsertOrEjectParamsType


/**
 * Parameters for a captureVapp request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CaptureVAppParamsType extends VMware_VCloud_API_ParamsType {
    protected $Source = null;
    protected $Section = array();
    protected $VdcStorageProfile = null;
    protected $TargetCatalogItem = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    * @param VMware_VCloud_API_ReferenceType $TargetCatalogItem - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $Source=null, $Section=null, $VdcStorageProfile=null, $TargetCatalogItem=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->Source = $Source;
        if (!is_null($Section)) {
            $this->Section = $Section;
        }
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->TargetCatalogItem = $TargetCatalogItem;
        $this->tagName = 'CaptureVAppParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSource() {
        return $this->Source;
    }
    public function setSource($Source) { 
        $this->Source = $Source;
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function addSection($value) { array_push($this->Section, $value); }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function getTargetCatalogItem() {
        return $this->TargetCatalogItem;
    }
    public function setTargetCatalogItem($TargetCatalogItem) { 
        $this->TargetCatalogItem = $TargetCatalogItem;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Source)) {
            $out = $this->Source->export('Source', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Section)) {
            foreach ($this->Section as $Section) {
                $tagName = $Section->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Section';
                }
                $out = $Section->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->TargetCatalogItem)) {
            $out = $this->TargetCatalogItem->export('TargetCatalogItem', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Source) ||
            !empty($this->Section) ||
            !is_null($this->VdcStorageProfile) ||
            !is_null($this->TargetCatalogItem) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Source') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Source');
            $this->setSource($obj);
            if (!empty($namespace)) {
                $this->namespace['Source'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $obj = new VMware_VCloud_API_OVF_Section_Type();
            $obj->build($child);
            $obj->set_tagName('Section');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TargetCatalogItem') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('TargetCatalogItem');
            $this->setTargetCatalogItem($obj);
            if (!empty($namespace)) {
                $this->namespace['TargetCatalogItem'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CaptureVAppParamsType


/**
 * Represents a question posted by a virtual machine that is  WAITING_FOR_INPUT (status="5").  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VmPendingQuestionType extends VMware_VCloud_API_ResourceType {
    protected $Question = null;
    protected $QuestionId = null;
    protected $Choices = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $Question - [required] 
    * @param string $QuestionId - [required] 
    * @param array $Choices - [required] an array of VMware_VCloud_API_VmQuestionAnswerChoiceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Question=null, $QuestionId=null, $Choices=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->Question = $Question;
        $this->QuestionId = $QuestionId;
        if (!is_null($Choices)) {
            $this->Choices = $Choices;
        }
        $this->tagName = 'VmPendingQuestion';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getQuestion() {
        return $this->Question;
    }
    public function setQuestion($Question) { 
        $this->Question = $Question;
    }
    public function getQuestionId() {
        return $this->QuestionId;
    }
    public function setQuestionId($QuestionId) { 
        $this->QuestionId = $QuestionId;
    }
    public function getChoices() {
        return $this->Choices;
    }
    public function setChoices($Choices) { 
        $this->Choices = $Choices;
    }
    public function addChoices($value) { array_push($this->Choices, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Question)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Question', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Question>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Question, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Question')) . "</" . $ns . "Question>\n");
        }
        if (!is_null($this->QuestionId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'QuestionId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "QuestionId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->QuestionId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='QuestionId')) . "</" . $ns . "QuestionId>\n");
        }
        if (isset($this->Choices)) {
            foreach ($this->Choices as $Choices) {
                $out = $Choices->export('Choices', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Question) ||
            !is_null($this->QuestionId) ||
            !empty($this->Choices) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Question') {
            $sval = $child->nodeValue;
            $this->Question = $sval;
            if (!empty($namespace)) {
                $this->namespace['Question'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'QuestionId') {
            $sval = $child->nodeValue;
            $this->QuestionId = $sval;
            if (!empty($namespace)) {
                $this->namespace['QuestionId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Choices') {
            $obj = new VMware_VCloud_API_VmQuestionAnswerChoiceType();
            $obj->build($child);
            $obj->set_tagName('Choices');
            array_push($this->Choices, $obj);
            if (!empty($namespace)) {
                $this->namespace['Choices'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VmPendingQuestionType


/**
 * Represents the answer to a question posted by a virtual machine that is  WAITING_FOR_INPUT (status="5").  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VmQuestionAnswerType {
    protected $ChoiceId = null;
    protected $QuestionId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param int $ChoiceId - [required] 
    * @param string $QuestionId - [required] 
    */
    public function __construct($ChoiceId=null, $QuestionId=null) {
        $this->ChoiceId = $ChoiceId;
        $this->QuestionId = $QuestionId;
        $this->tagName = 'VmQuestionAnswer';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getChoiceId() {
        return $this->ChoiceId;
    }
    public function setChoiceId($ChoiceId) { 
        $this->ChoiceId = $ChoiceId;
    }
    public function getQuestionId() {
        return $this->QuestionId;
    }
    public function setQuestionId($QuestionId) { 
        $this->QuestionId = $QuestionId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->ChoiceId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ChoiceId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ChoiceId>" . VMware_VCloud_API_Helper::format_integer($this->ChoiceId, $input_name='ChoiceId') . "</" . $ns . "ChoiceId>\n");
        }
        if (!is_null($this->QuestionId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'QuestionId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "QuestionId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->QuestionId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='QuestionId')) . "</" . $ns . "QuestionId>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ChoiceId) ||
            !is_null($this->QuestionId)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ChoiceId') {
            $sval = $child->nodeValue;
            $this->ChoiceId = $sval;
            if (!empty($namespace)) {
                $this->namespace['ChoiceId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'QuestionId') {
            $sval = $child->nodeValue;
            $this->QuestionId = $sval;
            if (!empty($namespace)) {
                $this->namespace['QuestionId'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_VmQuestionAnswerType


/**
 * Represents the answer to a question posted by a virtual machine that is  WAITING_FOR_INPUT (status="5").  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VmQuestionAnswerChoiceType {
    protected $Id = null;
    protected $Text = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param int $Id - [required] 
    * @param string $Text - [optional] 
    */
    public function __construct($Id=null, $Text=null) {
        $this->Id = $Id;
        $this->Text = $Text;
        $this->tagName = 'Choices';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getId() {
        return $this->Id;
    }
    public function setId($Id) { 
        $this->Id = $Id;
    }
    public function getText() {
        return $this->Text;
    }
    public function setText($Text) { 
        $this->Text = $Text;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Id)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Id>" . VMware_VCloud_API_Helper::format_integer($this->Id, $input_name='Id') . "</" . $ns . "Id>\n");
        }
        if (!is_null($this->Text)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Text', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Text>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Text, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Text')) . "</" . $ns . "Text>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Id) ||
            !is_null($this->Text)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Id') {
            $sval = $child->nodeValue;
            $this->Id = $sval;
            if (!empty($namespace)) {
                $this->namespace['Id'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Text') {
            $sval = $child->nodeValue;
            $this->Text = $sval;
            if (!empty($namespace)) {
                $this->namespace['Text'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_VmQuestionAnswerChoiceType


/**
 * Parameters to be used for virtual machine relocation.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RelocateParamsType {
    protected $Datastore = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param VMware_VCloud_API_ReferenceType $Datastore - [required]
    */
    public function __construct($Datastore=null) {
        $this->Datastore = $Datastore;
        $this->tagName = 'RelocateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDatastore() {
        return $this->Datastore;
    }
    public function setDatastore($Datastore) { 
        $this->Datastore = $Datastore;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Datastore)) {
            $out = $this->Datastore->export('Datastore', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Datastore)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Datastore') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Datastore');
            $this->setDatastore($obj);
            if (!empty($namespace)) {
                $this->namespace['Datastore'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_RelocateParamsType


/**
 * Parameters for a createSnapshot request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CreateSnapshotParamsType extends VMware_VCloud_API_ParamsType {
    protected $quiesce = null;
    protected $memory = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $quiesce - [optional] an attribute, 
    * @param boolean $memory - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $quiesce=null, $memory=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->quiesce = $quiesce;
        $this->memory = $memory;
        $this->tagName = 'CreateSnapshotParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_quiesce(){
        return $this->quiesce;
    }
    public function set_quiesce($quiesce) {
        $this->quiesce = $quiesce;
    }
    public function get_memory(){
        return $this->memory;
    }
    public function set_memory($memory) {
        $this->memory = $memory;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->quiesce)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'quiesce', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'quiesce=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->quiesce, $input_name='quiesce')));
        }
        if (!is_null($this->memory)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memory', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memory=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->memory, $input_name='memory')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndquiesce = $attrs->getNamedItem('quiesce');
        if (!is_null($ndquiesce)) {
            $this->quiesce = VMware_VCloud_API_Helper::get_boolean($ndquiesce->value);
            if (isset($ndquiesce->prefix)) {
                $this->namespace['quiesce'] = $ndquiesce->prefix;
                $nsUri = $ndquiesce->lookupNamespaceURI($ndquiesce->prefix);
            }
            $node->removeAttributeNS($nsUri, 'quiesce');
        } else {
            $this->quiesce = null;
        }
        $ndmemory = $attrs->getNamedItem('memory');
        if (!is_null($ndmemory)) {
            $this->memory = VMware_VCloud_API_Helper::get_boolean($ndmemory->value);
            if (isset($ndmemory->prefix)) {
                $this->namespace['memory'] = $ndmemory->prefix;
                $nsUri = $ndmemory->lookupNamespaceURI($ndmemory->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memory');
        } else {
            $this->memory = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CreateSnapshotParamsType


/**
 * Represents the results of a compliance check.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ComplianceResultType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ComplianceStatus = null;
    protected $ComplianceStatusMessage = null;
    protected $ComplianceCheckTime = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $ComplianceStatus - [required] 
    * @param string $ComplianceStatusMessage - [optional] 
    * @param string $ComplianceCheckTime - [optional] 
    */
    public function __construct($VCloudExtension=null, $ComplianceStatus=null, $ComplianceStatusMessage=null, $ComplianceCheckTime=null) {
        parent::__construct($VCloudExtension);
        $this->ComplianceStatus = $ComplianceStatus;
        $this->ComplianceStatusMessage = $ComplianceStatusMessage;
        $this->ComplianceCheckTime = $ComplianceCheckTime;
        $this->tagName = 'ComplianceResult';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getComplianceStatus() {
        return $this->ComplianceStatus;
    }
    public function setComplianceStatus($ComplianceStatus) { 
        $this->ComplianceStatus = $ComplianceStatus;
    }
    public function getComplianceStatusMessage() {
        return $this->ComplianceStatusMessage;
    }
    public function setComplianceStatusMessage($ComplianceStatusMessage) { 
        $this->ComplianceStatusMessage = $ComplianceStatusMessage;
    }
    public function getComplianceCheckTime() {
        return $this->ComplianceCheckTime;
    }
    public function setComplianceCheckTime($ComplianceCheckTime) { 
        $this->ComplianceCheckTime = $ComplianceCheckTime;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ComplianceStatus)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComplianceStatus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComplianceStatus>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComplianceStatus, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComplianceStatus')) . "</" . $ns . "ComplianceStatus>\n");
        }
        if (!is_null($this->ComplianceStatusMessage)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComplianceStatusMessage', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComplianceStatusMessage>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComplianceStatusMessage, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComplianceStatusMessage')) . "</" . $ns . "ComplianceStatusMessage>\n");
        }
        if (!is_null($this->ComplianceCheckTime)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComplianceCheckTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComplianceCheckTime>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComplianceCheckTime, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComplianceCheckTime')) . "</" . $ns . "ComplianceCheckTime>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ComplianceStatus) ||
            !is_null($this->ComplianceStatusMessage) ||
            !is_null($this->ComplianceCheckTime) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComplianceStatus') {
            $sval = $child->nodeValue;
            $this->ComplianceStatus = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComplianceStatus'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComplianceStatusMessage') {
            $sval = $child->nodeValue;
            $this->ComplianceStatusMessage = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComplianceStatusMessage'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComplianceCheckTime') {
            $sval = $child->nodeValue;
            $this->ComplianceCheckTime = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComplianceCheckTime'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ComplianceResultType


/**
 * Name of the storage profile that will be specified for this  virtual machine. The named storage profile must exist  in the organization vDC that contains the virtual machine. If  not specified, the default storage profile for the vDC is used.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_DefaultStorageProfileSection_Type extends VMware_VCloud_API_OVF_Section_Type {
    protected $StorageProfile = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param string $StorageProfile - [optional] 
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $StorageProfile=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->StorageProfile = $StorageProfile;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'DefaultStorageProfileSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getStorageProfile() {
        return $this->StorageProfile;
    }
    public function setStorageProfile($StorageProfile) { 
        $this->StorageProfile = $StorageProfile;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->StorageProfile)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StorageProfile', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StorageProfile>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->StorageProfile, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='StorageProfile')) . "</" . $ns . "StorageProfile>\n");
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->StorageProfile) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageProfile') {
            $sval = $child->nodeValue;
            $this->StorageProfile = $sval;
            if (!empty($namespace)) {
                $this->namespace['StorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_DefaultStorageProfileSection_Type


/**
 * Parameters for creating or updating an independent disk.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_DiskCreateParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Disk = null;
    protected $Locality = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_DiskType $Disk - [required]
    * @param VMware_VCloud_API_ReferenceType $Locality - [optional]
    */
    public function __construct($VCloudExtension=null, $Disk=null, $Locality=null) {
        parent::__construct($VCloudExtension);
        $this->Disk = $Disk;
        $this->Locality = $Locality;
        $this->tagName = 'DiskCreateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDisk() {
        return $this->Disk;
    }
    public function setDisk($Disk) { 
        $this->Disk = $Disk;
    }
    public function getLocality() {
        return $this->Locality;
    }
    public function setLocality($Locality) { 
        $this->Locality = $Locality;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Disk)) {
            $out = $this->Disk->export('Disk', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Locality)) {
            $out = $this->Locality->export('Locality', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Disk) ||
            !is_null($this->Locality) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Disk') {
            $obj = new VMware_VCloud_API_DiskType();
            $obj->build($child);
            $obj->set_tagName('Disk');
            $this->setDisk($obj);
            if (!empty($namespace)) {
                $this->namespace['Disk'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Locality') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Locality');
            $this->setLocality($obj);
            if (!empty($namespace)) {
                $this->namespace['Locality'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_DiskCreateParamsType


/**
 * Parameters for attaching or detaching an independent disk.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_DiskAttachOrDetachParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Disk = null;
    protected $BusNumber = null;
    protected $UnitNumber = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $Disk - [required]
    * @param int $BusNumber - [optional] 
    * @param int $UnitNumber - [optional] 
    */
    public function __construct($VCloudExtension=null, $Disk=null, $BusNumber=null, $UnitNumber=null) {
        parent::__construct($VCloudExtension);
        $this->Disk = $Disk;
        $this->BusNumber = $BusNumber;
        $this->UnitNumber = $UnitNumber;
        $this->tagName = 'DiskAttachOrDetachParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDisk() {
        return $this->Disk;
    }
    public function setDisk($Disk) { 
        $this->Disk = $Disk;
    }
    public function getBusNumber() {
        return $this->BusNumber;
    }
    public function setBusNumber($BusNumber) { 
        $this->BusNumber = $BusNumber;
    }
    public function getUnitNumber() {
        return $this->UnitNumber;
    }
    public function setUnitNumber($UnitNumber) { 
        $this->UnitNumber = $UnitNumber;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Disk)) {
            $out = $this->Disk->export('Disk', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->BusNumber)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'BusNumber', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "BusNumber>" . VMware_VCloud_API_Helper::format_integer($this->BusNumber, $input_name='BusNumber') . "</" . $ns . "BusNumber>\n");
        }
        if (!is_null($this->UnitNumber)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UnitNumber', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UnitNumber>" . VMware_VCloud_API_Helper::format_integer($this->UnitNumber, $input_name='UnitNumber') . "</" . $ns . "UnitNumber>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Disk) ||
            !is_null($this->BusNumber) ||
            !is_null($this->UnitNumber) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Disk') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Disk');
            $this->setDisk($obj);
            if (!empty($namespace)) {
                $this->namespace['Disk'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BusNumber') {
            $sval = $child->nodeValue;
            $this->BusNumber = $sval;
            if (!empty($namespace)) {
                $this->namespace['BusNumber'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UnitNumber') {
            $sval = $child->nodeValue;
            $this->UnitNumber = $sval;
            if (!empty($namespace)) {
                $this->namespace['UnitNumber'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_DiskAttachOrDetachParamsType


/**
 * Parameters required by a cloneMedia request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CloneMediaParamsType extends VMware_VCloud_API_ParamsType {
    protected $Source = null;
    protected $IsSourceDelete = null;
    protected $VdcStorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    * @param boolean $IsSourceDelete - [optional] 
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $Source=null, $IsSourceDelete=null, $VdcStorageProfile=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->Source = $Source;
        $this->IsSourceDelete = $IsSourceDelete;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->tagName = 'CloneMediaParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSource() {
        return $this->Source;
    }
    public function setSource($Source) { 
        $this->Source = $Source;
    }
    public function getIsSourceDelete() {
        return $this->IsSourceDelete;
    }
    public function setIsSourceDelete($IsSourceDelete) { 
        $this->IsSourceDelete = $IsSourceDelete;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Source)) {
            $out = $this->Source->export('Source', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IsSourceDelete)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsSourceDelete', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsSourceDelete>" . VMware_VCloud_API_Helper::format_boolean($this->IsSourceDelete, $input_name='IsSourceDelete') . "</" . $ns . "IsSourceDelete>\n");
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Source) ||
            !is_null($this->IsSourceDelete) ||
            !is_null($this->VdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Source') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Source');
            $this->setSource($obj);
            if (!empty($namespace)) {
                $this->namespace['Source'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsSourceDelete') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsSourceDelete = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsSourceDelete'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CloneMediaParamsType


/**
 * A ticket and connection information for accessing the console of a VM.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MksTicketType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Host = null;
    protected $Vmx = null;
    protected $Ticket = null;
    protected $Port = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Host - [required] 
    * @param string $Vmx - [required] 
    * @param string $Ticket - [required] 
    * @param int $Port - [required] 
    */
    public function __construct($VCloudExtension=null, $Host=null, $Vmx=null, $Ticket=null, $Port=null) {
        parent::__construct($VCloudExtension);
        $this->Host = $Host;
        $this->Vmx = $Vmx;
        $this->Ticket = $Ticket;
        $this->Port = $Port;
        $this->tagName = 'MksTicket';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getHost() {
        return $this->Host;
    }
    public function setHost($Host) { 
        $this->Host = $Host;
    }
    public function getVmx() {
        return $this->Vmx;
    }
    public function setVmx($Vmx) { 
        $this->Vmx = $Vmx;
    }
    public function getTicket() {
        return $this->Ticket;
    }
    public function setTicket($Ticket) { 
        $this->Ticket = $Ticket;
    }
    public function getPort() {
        return $this->Port;
    }
    public function setPort($Port) { 
        $this->Port = $Port;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Host)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Host', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Host>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Host, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Host')) . "</" . $ns . "Host>\n");
        }
        if (!is_null($this->Vmx)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Vmx', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Vmx>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Vmx, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Vmx')) . "</" . $ns . "Vmx>\n");
        }
        if (!is_null($this->Ticket)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Ticket', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Ticket>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Ticket, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Ticket')) . "</" . $ns . "Ticket>\n");
        }
        if (!is_null($this->Port)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Port', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Port>" . VMware_VCloud_API_Helper::format_integer($this->Port, $input_name='Port') . "</" . $ns . "Port>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Host) ||
            !is_null($this->Vmx) ||
            !is_null($this->Ticket) ||
            !is_null($this->Port) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Host') {
            $sval = $child->nodeValue;
            $this->Host = $sval;
            if (!empty($namespace)) {
                $this->namespace['Host'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vmx') {
            $sval = $child->nodeValue;
            $this->Vmx = $sval;
            if (!empty($namespace)) {
                $this->namespace['Vmx'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Ticket') {
            $sval = $child->nodeValue;
            $this->Ticket = $sval;
            if (!empty($namespace)) {
                $this->namespace['Ticket'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Port') {
            $sval = $child->nodeValue;
            $this->Port = $sval;
            if (!empty($namespace)) {
                $this->namespace['Port'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MksTicketType


/**
 * Represents a list of organizations.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgListType extends VMware_VCloud_API_ResourceType {
    protected $Org = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Org - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Org=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($Org)) {
            $this->Org = $Org;
        }
        $this->tagName = 'OrgList';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOrg() {
        return $this->Org;
    }
    public function setOrg($Org) { 
        $this->Org = $Org;
    }
    public function addOrg($value) { array_push($this->Org, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Org)) {
            foreach ($this->Org as $Org) {
                $out = $Org->export('Org', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Org) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Org') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Org');
            array_push($this->Org, $obj);
            if (!empty($namespace)) {
                $this->namespace['Org'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgListType


/**
 * Container for all ProductSection elements in a VAppTemplate,  VApp, or Vm object.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ProductSectionListType extends VMware_VCloud_API_ResourceType {
    protected $ProductSection = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $ProductSection - [optional] an array of VMware_VCloud_API_OVF_ProductSection_Type objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ProductSection=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($ProductSection)) {
            $this->ProductSection = $ProductSection;
        }
        $this->tagName = 'ProductSectionList';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProductSection() {
        return $this->ProductSection;
    }
    public function setProductSection($ProductSection) { 
        $this->ProductSection = $ProductSection;
    }
    public function addProductSection($value) { array_push($this->ProductSection, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ProductSection)) {
            foreach ($this->ProductSection as $ProductSection) {
                $out = $ProductSection->export('ProductSection', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ProductSection) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->ProductSection, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ProductSectionListType


/**
 * The ticket for accessing the console of a VM.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ScreenTicketType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'ScreenTicket';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_ScreenTicketType


/**
 * Container for virtual machines included in this vApp template.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VAppTemplateChildrenType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Vm = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Vm - [optional] an array of VMware_VCloud_API_VAppTemplateType objects
    */
    public function __construct($VCloudExtension=null, $Vm=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Vm)) {
            $this->Vm = $Vm;
        }
        $this->tagName = 'Children';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVm() {
        return $this->Vm;
    }
    public function setVm($Vm) { 
        $this->Vm = $Vm;
    }
    public function addVm($value) { array_push($this->Vm, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Vm)) {
            foreach ($this->Vm as $Vm) {
                $out = $Vm->export('Vm', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Vm) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vm') {
            $obj = new VMware_VCloud_API_VAppTemplateType();
            $obj->build($child);
            $obj->set_tagName('Vm');
            array_push($this->Vm, $obj);
            if (!empty($namespace)) {
                $this->namespace['Vm'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VAppTemplateChildrenType


/**
 * Parameters for an uploadVappTemplate request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_UploadVAppTemplateParamsType extends VMware_VCloud_API_ParamsType {
    protected $manifestRequired = null;
    protected $transferFormat = null;
    protected $sourceHref = null;
    protected $VdcStorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $manifestRequired - [optional] an attribute, 
    * @param string $transferFormat - [optional] an attribute, 
    * @param anyURI $sourceHref - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $manifestRequired=null, $transferFormat=null, $sourceHref=null, $VdcStorageProfile=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->manifestRequired = $manifestRequired;
        $this->transferFormat = $transferFormat;
        $this->sourceHref = $sourceHref;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->tagName = 'UploadVAppTemplateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function get_manifestRequired(){
        return $this->manifestRequired;
    }
    public function set_manifestRequired($manifestRequired) {
        $this->manifestRequired = $manifestRequired;
    }
    public function get_transferFormat(){
        return $this->transferFormat;
    }
    public function set_transferFormat($transferFormat) {
        $this->transferFormat = $transferFormat;
    }
    public function get_sourceHref(){
        return $this->sourceHref;
    }
    public function set_sourceHref($sourceHref) {
        $this->sourceHref = $sourceHref;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->manifestRequired)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'manifestRequired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'manifestRequired=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->manifestRequired, $input_name='manifestRequired')));
        }
        if (!is_null($this->transferFormat)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'transferFormat', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'transferFormat=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->transferFormat, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='transferFormat')));
        }
        if (!is_null($this->sourceHref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sourceHref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sourceHref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->sourceHref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='sourceHref')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndmanifestRequired = $attrs->getNamedItem('manifestRequired');
        if (!is_null($ndmanifestRequired)) {
            $this->manifestRequired = VMware_VCloud_API_Helper::get_boolean($ndmanifestRequired->value);
            if (isset($ndmanifestRequired->prefix)) {
                $this->namespace['manifestRequired'] = $ndmanifestRequired->prefix;
                $nsUri = $ndmanifestRequired->lookupNamespaceURI($ndmanifestRequired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'manifestRequired');
        } else {
            $this->manifestRequired = null;
        }
        $ndtransferFormat = $attrs->getNamedItem('transferFormat');
        if (!is_null($ndtransferFormat)) {
            $this->transferFormat = $ndtransferFormat->value;
            if (isset($ndtransferFormat->prefix)) {
                $this->namespace['transferFormat'] = $ndtransferFormat->prefix;
                $nsUri = $ndtransferFormat->lookupNamespaceURI($ndtransferFormat->prefix);
            }
            $node->removeAttributeNS($nsUri, 'transferFormat');
        } else {
            $this->transferFormat = null;
        }
        $ndsourceHref = $attrs->getNamedItem('sourceHref');
        if (!is_null($ndsourceHref)) {
            $this->sourceHref = $ndsourceHref->value;
            if (isset($ndsourceHref->prefix)) {
                $this->namespace['sourceHref'] = $ndsourceHref->prefix;
                $nsUri = $ndsourceHref->lookupNamespaceURI($ndsourceHref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sourceHref');
        } else {
            $this->sourceHref = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_UploadVAppTemplateParamsType


/**
 * Parameters for a cloneVappTemplate request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CloneVAppTemplateParamsType extends VMware_VCloud_API_ParamsType {
    protected $Source = null;
    protected $IsSourceDelete = null;
    protected $VdcStorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Source - [required]
    * @param boolean $IsSourceDelete - [optional] 
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $Source=null, $IsSourceDelete=null, $VdcStorageProfile=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->Source = $Source;
        $this->IsSourceDelete = $IsSourceDelete;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->tagName = 'CloneVAppTemplateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSource() {
        return $this->Source;
    }
    public function setSource($Source) { 
        $this->Source = $Source;
    }
    public function getIsSourceDelete() {
        return $this->IsSourceDelete;
    }
    public function setIsSourceDelete($IsSourceDelete) { 
        $this->IsSourceDelete = $IsSourceDelete;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Source)) {
            $out = $this->Source->export('Source', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IsSourceDelete)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsSourceDelete', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsSourceDelete>" . VMware_VCloud_API_Helper::format_boolean($this->IsSourceDelete, $input_name='IsSourceDelete') . "</" . $ns . "IsSourceDelete>\n");
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Source) ||
            !is_null($this->IsSourceDelete) ||
            !is_null($this->VdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Source') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Source');
            $this->setSource($obj);
            if (!empty($namespace)) {
                $this->namespace['Source'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsSourceDelete') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsSourceDelete = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsSourceDelete'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CloneVAppTemplateParamsType


/**
 * Represents a vApp template customization settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CustomizationSectionType extends VMware_VCloud_API_OVF_Section_Type {
    protected $href = null;
    protected $type = null;
    protected $goldMaster = null;
    protected $CustomizeOnInstantiate = null;
    protected $Link = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param string $required - [optional] an attribute, 
    * @param VMware_VCloud_API_OVF_Msg_Type $Info - [required]
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param boolean $goldMaster - [optional] an attribute, default 'false'
    * @param boolean $CustomizeOnInstantiate - [required] 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($required=null, $Info=null, $href=null, $type=null, $goldMaster=False, $CustomizeOnInstantiate=null, $Link=null, $Any=null) {
        parent::__construct($required, $Info);
        $this->href = $href;
        $this->type = $type;
        $this->goldMaster = $goldMaster;
        $this->CustomizeOnInstantiate = $CustomizeOnInstantiate;
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->tagName = 'CustomizationSection';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCustomizeOnInstantiate() {
        return $this->CustomizeOnInstantiate;
    }
    public function setCustomizeOnInstantiate($CustomizeOnInstantiate) { 
        $this->CustomizeOnInstantiate = $CustomizeOnInstantiate;
    }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_goldMaster(){
        return $this->goldMaster;
    }
    public function set_goldMaster($goldMaster) {
        $this->goldMaster = $goldMaster;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->href)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        if (!is_null($this->goldMaster)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'goldMaster', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'goldMaster=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->goldMaster, $input_name='goldMaster')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->CustomizeOnInstantiate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CustomizeOnInstantiate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CustomizeOnInstantiate>" . VMware_VCloud_API_Helper::format_boolean($this->CustomizeOnInstantiate, $input_name='CustomizeOnInstantiate') . "</" . $ns . "CustomizeOnInstantiate>\n");
     }
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $elementName = $Any->getName();
                    if (!in_array($elementName, array('Info'))) {
                        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                        $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                    }
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->CustomizeOnInstantiate) ||
            !empty($this->Link) ||
            !empty($this->Any) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        $ndgoldMaster = $attrs->getNamedItem('goldMaster');
        if (!is_null($ndgoldMaster)) {
            $this->goldMaster = VMware_VCloud_API_Helper::get_boolean($ndgoldMaster->value);
            if (isset($ndgoldMaster->prefix)) {
                $this->namespace['goldMaster'] = $ndgoldMaster->prefix;
                $nsUri = $ndgoldMaster->lookupNamespaceURI($ndgoldMaster->prefix);
            }
            $node->removeAttributeNS($nsUri, 'goldMaster');
        } else {
            $this->goldMaster = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizeOnInstantiate') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->CustomizeOnInstantiate = $sval;
            if (!empty($namespace)) {
                $this->namespace['CustomizeOnInstantiate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && !in_array($nodeName, array('Info'))) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CustomizationSectionType


/**
 * Represents a list of virtual machines.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VmsType extends VMware_VCloud_API_ResourceType {
    protected $VmReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $VmReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $VmReference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($VmReference)) {
            $this->VmReference = $VmReference;
        }
        $this->tagName = 'Vms';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVmReference() {
        return $this->VmReference;
    }
    public function setVmReference($VmReference) { 
        $this->VmReference = $VmReference;
    }
    public function addVmReference($value) { array_push($this->VmReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VmReference)) {
            foreach ($this->VmReference as $VmReference) {
                $out = $VmReference->export('VmReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VmReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VmReference');
            array_push($this->VmReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VmReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VmsType


/**
 * Operating systems available for use on virtual machines owned  by this organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SupportedOperatingSystemsInfoType extends VMware_VCloud_API_ResourceType {
    protected $OperatingSystemFamilyInfo = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $OperatingSystemFamilyInfo - [optional] an array of VMware_VCloud_API_OperatingSystemFamilyInfoType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $OperatingSystemFamilyInfo=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($OperatingSystemFamilyInfo)) {
            $this->OperatingSystemFamilyInfo = $OperatingSystemFamilyInfo;
        }
        $this->tagName = 'SupportedOperatingSystemsInfo';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOperatingSystemFamilyInfo() {
        return $this->OperatingSystemFamilyInfo;
    }
    public function setOperatingSystemFamilyInfo($OperatingSystemFamilyInfo) { 
        $this->OperatingSystemFamilyInfo = $OperatingSystemFamilyInfo;
    }
    public function addOperatingSystemFamilyInfo($value) { array_push($this->OperatingSystemFamilyInfo, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->OperatingSystemFamilyInfo)) {
            foreach ($this->OperatingSystemFamilyInfo as $OperatingSystemFamilyInfo) {
                $out = $OperatingSystemFamilyInfo->export('OperatingSystemFamilyInfo', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->OperatingSystemFamilyInfo) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemFamilyInfo') {
            $obj = new VMware_VCloud_API_OperatingSystemFamilyInfoType();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemFamilyInfo');
            array_push($this->OperatingSystemFamilyInfo, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemFamilyInfo'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SupportedOperatingSystemsInfoType


/**
 * Represents an operating system family.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OperatingSystemFamilyInfoType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $OperatingSystemFamilyId = null;
    protected $OperatingSystem = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [optional] 
    * @param int $OperatingSystemFamilyId - [optional] 
    * @param array $OperatingSystem - [optional] an array of VMware_VCloud_API_OperatingSystemInfoType objects
    */
    public function __construct($VCloudExtension=null, $Name=null, $OperatingSystemFamilyId=null, $OperatingSystem=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->OperatingSystemFamilyId = $OperatingSystemFamilyId;
        if (!is_null($OperatingSystem)) {
            $this->OperatingSystem = $OperatingSystem;
        }
        $this->tagName = 'OperatingSystemFamilyInfo';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getOperatingSystemFamilyId() {
        return $this->OperatingSystemFamilyId;
    }
    public function setOperatingSystemFamilyId($OperatingSystemFamilyId) { 
        $this->OperatingSystemFamilyId = $OperatingSystemFamilyId;
    }
    public function getOperatingSystem() {
        return $this->OperatingSystem;
    }
    public function setOperatingSystem($OperatingSystem) { 
        $this->OperatingSystem = $OperatingSystem;
    }
    public function addOperatingSystem($value) { array_push($this->OperatingSystem, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->OperatingSystemFamilyId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OperatingSystemFamilyId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OperatingSystemFamilyId>" . VMware_VCloud_API_Helper::format_integer($this->OperatingSystemFamilyId, $input_name='OperatingSystemFamilyId') . "</" . $ns . "OperatingSystemFamilyId>\n");
        }
        if (isset($this->OperatingSystem)) {
            foreach ($this->OperatingSystem as $OperatingSystem) {
                $out = $OperatingSystem->export('OperatingSystem', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->OperatingSystemFamilyId) ||
            !empty($this->OperatingSystem) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemFamilyId') {
            $sval = $child->nodeValue;
            $this->OperatingSystemFamilyId = $sval;
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemFamilyId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystem') {
            $obj = new VMware_VCloud_API_OperatingSystemInfoType();
            $obj->build($child);
            $obj->set_tagName('OperatingSystem');
            array_push($this->OperatingSystem, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystem'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OperatingSystemFamilyInfoType


/**
 * Information about an individual operating system.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OperatingSystemInfoType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $OperatingSystemId = null;
    protected $DefaultHardDiskAdapterType = null;
    protected $MinimumHardDiskSizeGigabytes = null;
    protected $MinimumMemoryMegabytes = null;
    protected $Name = null;
    protected $InternalName = null;
    protected $Supported = null;
    protected $x64 = null;
    protected $MaximumCpuCount = null;
    protected $MinimumHardwareVersion = null;
    protected $PersonalizationEnabled = null;
    protected $PersonalizationAuto = null;
    protected $SysprepPackagingSupported = null;
    protected $SupportsMemHotAdd = null;
    protected $cimOsId = null;
    protected $CimVersion = null;
    protected $SupportedForCreate = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param int $OperatingSystemId - [optional] 
    * @param int $DefaultHardDiskAdapterType - [optional] 
    * @param int $MinimumHardDiskSizeGigabytes - [optional] 
    * @param int $MinimumMemoryMegabytes - [optional] 
    * @param string $Name - [optional] 
    * @param string $InternalName - [optional] 
    * @param boolean $Supported - [optional] 
    * @param boolean $x64 - [optional] 
    * @param int $MaximumCpuCount - [optional] 
    * @param int $MinimumHardwareVersion - [optional] 
    * @param boolean $PersonalizationEnabled - [optional] 
    * @param boolean $PersonalizationAuto - [optional] 
    * @param boolean $SysprepPackagingSupported - [optional] 
    * @param boolean $SupportsMemHotAdd - [optional] 
    * @param int $cimOsId - [optional] 
    * @param int $CimVersion - [optional] 
    * @param boolean $SupportedForCreate - [optional] 
    */
    public function __construct($VCloudExtension=null, $OperatingSystemId=null, $DefaultHardDiskAdapterType=null, $MinimumHardDiskSizeGigabytes=null, $MinimumMemoryMegabytes=null, $Name=null, $InternalName=null, $Supported=null, $x64=null, $MaximumCpuCount=null, $MinimumHardwareVersion=null, $PersonalizationEnabled=null, $PersonalizationAuto=null, $SysprepPackagingSupported=null, $SupportsMemHotAdd=null, $cimOsId=null, $CimVersion=null, $SupportedForCreate=null) {
        parent::__construct($VCloudExtension);
        $this->OperatingSystemId = $OperatingSystemId;
        $this->DefaultHardDiskAdapterType = $DefaultHardDiskAdapterType;
        $this->MinimumHardDiskSizeGigabytes = $MinimumHardDiskSizeGigabytes;
        $this->MinimumMemoryMegabytes = $MinimumMemoryMegabytes;
        $this->Name = $Name;
        $this->InternalName = $InternalName;
        $this->Supported = $Supported;
        $this->x64 = $x64;
        $this->MaximumCpuCount = $MaximumCpuCount;
        $this->MinimumHardwareVersion = $MinimumHardwareVersion;
        $this->PersonalizationEnabled = $PersonalizationEnabled;
        $this->PersonalizationAuto = $PersonalizationAuto;
        $this->SysprepPackagingSupported = $SysprepPackagingSupported;
        $this->SupportsMemHotAdd = $SupportsMemHotAdd;
        $this->cimOsId = $cimOsId;
        $this->CimVersion = $CimVersion;
        $this->SupportedForCreate = $SupportedForCreate;
        $this->tagName = 'OperatingSystem';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOperatingSystemId() {
        return $this->OperatingSystemId;
    }
    public function setOperatingSystemId($OperatingSystemId) { 
        $this->OperatingSystemId = $OperatingSystemId;
    }
    public function getDefaultHardDiskAdapterType() {
        return $this->DefaultHardDiskAdapterType;
    }
    public function setDefaultHardDiskAdapterType($DefaultHardDiskAdapterType) { 
        $this->DefaultHardDiskAdapterType = $DefaultHardDiskAdapterType;
    }
    public function getMinimumHardDiskSizeGigabytes() {
        return $this->MinimumHardDiskSizeGigabytes;
    }
    public function setMinimumHardDiskSizeGigabytes($MinimumHardDiskSizeGigabytes) { 
        $this->MinimumHardDiskSizeGigabytes = $MinimumHardDiskSizeGigabytes;
    }
    public function getMinimumMemoryMegabytes() {
        return $this->MinimumMemoryMegabytes;
    }
    public function setMinimumMemoryMegabytes($MinimumMemoryMegabytes) { 
        $this->MinimumMemoryMegabytes = $MinimumMemoryMegabytes;
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getInternalName() {
        return $this->InternalName;
    }
    public function setInternalName($InternalName) { 
        $this->InternalName = $InternalName;
    }
    public function getSupported() {
        return $this->Supported;
    }
    public function setSupported($Supported) { 
        $this->Supported = $Supported;
    }
    public function get_x64() {
        return $this->x64;
    }
    public function set_x64($x64) { 
        $this->x64 = $x64;
    }
    public function getMaximumCpuCount() {
        return $this->MaximumCpuCount;
    }
    public function setMaximumCpuCount($MaximumCpuCount) { 
        $this->MaximumCpuCount = $MaximumCpuCount;
    }
    public function getMinimumHardwareVersion() {
        return $this->MinimumHardwareVersion;
    }
    public function setMinimumHardwareVersion($MinimumHardwareVersion) { 
        $this->MinimumHardwareVersion = $MinimumHardwareVersion;
    }
    public function getPersonalizationEnabled() {
        return $this->PersonalizationEnabled;
    }
    public function setPersonalizationEnabled($PersonalizationEnabled) { 
        $this->PersonalizationEnabled = $PersonalizationEnabled;
    }
    public function getPersonalizationAuto() {
        return $this->PersonalizationAuto;
    }
    public function setPersonalizationAuto($PersonalizationAuto) { 
        $this->PersonalizationAuto = $PersonalizationAuto;
    }
    public function getSysprepPackagingSupported() {
        return $this->SysprepPackagingSupported;
    }
    public function setSysprepPackagingSupported($SysprepPackagingSupported) { 
        $this->SysprepPackagingSupported = $SysprepPackagingSupported;
    }
    public function getSupportsMemHotAdd() {
        return $this->SupportsMemHotAdd;
    }
    public function setSupportsMemHotAdd($SupportsMemHotAdd) { 
        $this->SupportsMemHotAdd = $SupportsMemHotAdd;
    }
    public function get_cimOsId() {
        return $this->cimOsId;
    }
    public function set_cimOsId($cimOsId) { 
        $this->cimOsId = $cimOsId;
    }
    public function getCimVersion() {
        return $this->CimVersion;
    }
    public function setCimVersion($CimVersion) { 
        $this->CimVersion = $CimVersion;
    }
    public function getSupportedForCreate() {
        return $this->SupportedForCreate;
    }
    public function setSupportedForCreate($SupportedForCreate) { 
        $this->SupportedForCreate = $SupportedForCreate;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->OperatingSystemId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OperatingSystemId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OperatingSystemId>" . VMware_VCloud_API_Helper::format_integer($this->OperatingSystemId, $input_name='OperatingSystemId') . "</" . $ns . "OperatingSystemId>\n");
        }
        if (!is_null($this->DefaultHardDiskAdapterType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DefaultHardDiskAdapterType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DefaultHardDiskAdapterType>" . VMware_VCloud_API_Helper::format_integer($this->DefaultHardDiskAdapterType, $input_name='DefaultHardDiskAdapterType') . "</" . $ns . "DefaultHardDiskAdapterType>\n");
        }
        if (!is_null($this->MinimumHardDiskSizeGigabytes)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MinimumHardDiskSizeGigabytes', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MinimumHardDiskSizeGigabytes>" . VMware_VCloud_API_Helper::format_integer($this->MinimumHardDiskSizeGigabytes, $input_name='MinimumHardDiskSizeGigabytes') . "</" . $ns . "MinimumHardDiskSizeGigabytes>\n");
        }
        if (!is_null($this->MinimumMemoryMegabytes)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MinimumMemoryMegabytes', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MinimumMemoryMegabytes>" . VMware_VCloud_API_Helper::format_integer($this->MinimumMemoryMegabytes, $input_name='MinimumMemoryMegabytes') . "</" . $ns . "MinimumMemoryMegabytes>\n");
        }
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->InternalName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InternalName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InternalName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->InternalName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='InternalName')) . "</" . $ns . "InternalName>\n");
        }
        if (!is_null($this->Supported)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Supported', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Supported>" . VMware_VCloud_API_Helper::format_boolean($this->Supported, $input_name='Supported') . "</" . $ns . "Supported>\n");
        }
        if (!is_null($this->x64)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'x64', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "x64>" . VMware_VCloud_API_Helper::format_boolean($this->x64, $input_name='x64') . "</" . $ns . "x64>\n");
        }
        if (!is_null($this->MaximumCpuCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MaximumCpuCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MaximumCpuCount>" . VMware_VCloud_API_Helper::format_integer($this->MaximumCpuCount, $input_name='MaximumCpuCount') . "</" . $ns . "MaximumCpuCount>\n");
        }
        if (!is_null($this->MinimumHardwareVersion)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MinimumHardwareVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MinimumHardwareVersion>" . VMware_VCloud_API_Helper::format_integer($this->MinimumHardwareVersion, $input_name='MinimumHardwareVersion') . "</" . $ns . "MinimumHardwareVersion>\n");
        }
        if (!is_null($this->PersonalizationEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PersonalizationEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PersonalizationEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->PersonalizationEnabled, $input_name='PersonalizationEnabled') . "</" . $ns . "PersonalizationEnabled>\n");
        }
        if (!is_null($this->PersonalizationAuto)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PersonalizationAuto', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PersonalizationAuto>" . VMware_VCloud_API_Helper::format_boolean($this->PersonalizationAuto, $input_name='PersonalizationAuto') . "</" . $ns . "PersonalizationAuto>\n");
        }
        if (!is_null($this->SysprepPackagingSupported)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SysprepPackagingSupported', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SysprepPackagingSupported>" . VMware_VCloud_API_Helper::format_boolean($this->SysprepPackagingSupported, $input_name='SysprepPackagingSupported') . "</" . $ns . "SysprepPackagingSupported>\n");
        }
        if (!is_null($this->SupportsMemHotAdd)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SupportsMemHotAdd', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SupportsMemHotAdd>" . VMware_VCloud_API_Helper::format_boolean($this->SupportsMemHotAdd, $input_name='SupportsMemHotAdd') . "</" . $ns . "SupportsMemHotAdd>\n");
        }
        if (!is_null($this->cimOsId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'cimOsId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "cimOsId>" . VMware_VCloud_API_Helper::format_integer($this->cimOsId, $input_name='cimOsId') . "</" . $ns . "cimOsId>\n");
        }
        if (!is_null($this->CimVersion)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CimVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CimVersion>" . VMware_VCloud_API_Helper::format_integer($this->CimVersion, $input_name='CimVersion') . "</" . $ns . "CimVersion>\n");
        }
        if (!is_null($this->SupportedForCreate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SupportedForCreate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SupportedForCreate>" . VMware_VCloud_API_Helper::format_boolean($this->SupportedForCreate, $input_name='SupportedForCreate') . "</" . $ns . "SupportedForCreate>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->OperatingSystemId) ||
            !is_null($this->DefaultHardDiskAdapterType) ||
            !is_null($this->MinimumHardDiskSizeGigabytes) ||
            !is_null($this->MinimumMemoryMegabytes) ||
            !is_null($this->Name) ||
            !is_null($this->InternalName) ||
            !is_null($this->Supported) ||
            !is_null($this->x64) ||
            !is_null($this->MaximumCpuCount) ||
            !is_null($this->MinimumHardwareVersion) ||
            !is_null($this->PersonalizationEnabled) ||
            !is_null($this->PersonalizationAuto) ||
            !is_null($this->SysprepPackagingSupported) ||
            !is_null($this->SupportsMemHotAdd) ||
            !is_null($this->cimOsId) ||
            !is_null($this->CimVersion) ||
            !is_null($this->SupportedForCreate) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemId') {
            $sval = $child->nodeValue;
            $this->OperatingSystemId = $sval;
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultHardDiskAdapterType') {
            $sval = $child->nodeValue;
            $this->DefaultHardDiskAdapterType = $sval;
            if (!empty($namespace)) {
                $this->namespace['DefaultHardDiskAdapterType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MinimumHardDiskSizeGigabytes') {
            $sval = $child->nodeValue;
            $this->MinimumHardDiskSizeGigabytes = $sval;
            if (!empty($namespace)) {
                $this->namespace['MinimumHardDiskSizeGigabytes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MinimumMemoryMegabytes') {
            $sval = $child->nodeValue;
            $this->MinimumMemoryMegabytes = $sval;
            if (!empty($namespace)) {
                $this->namespace['MinimumMemoryMegabytes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InternalName') {
            $sval = $child->nodeValue;
            $this->InternalName = $sval;
            if (!empty($namespace)) {
                $this->namespace['InternalName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Supported') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Supported = $sval;
            if (!empty($namespace)) {
                $this->namespace['Supported'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'x64') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->x64 = $sval;
            if (!empty($namespace)) {
                $this->namespace['x64'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MaximumCpuCount') {
            $sval = $child->nodeValue;
            $this->MaximumCpuCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['MaximumCpuCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MinimumHardwareVersion') {
            $sval = $child->nodeValue;
            $this->MinimumHardwareVersion = $sval;
            if (!empty($namespace)) {
                $this->namespace['MinimumHardwareVersion'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PersonalizationEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PersonalizationEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['PersonalizationEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PersonalizationAuto') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PersonalizationAuto = $sval;
            if (!empty($namespace)) {
                $this->namespace['PersonalizationAuto'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SysprepPackagingSupported') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->SysprepPackagingSupported = $sval;
            if (!empty($namespace)) {
                $this->namespace['SysprepPackagingSupported'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SupportsMemHotAdd') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->SupportsMemHotAdd = $sval;
            if (!empty($namespace)) {
                $this->namespace['SupportsMemHotAdd'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'cimOsId') {
            $sval = $child->nodeValue;
            $this->cimOsId = $sval;
            if (!empty($namespace)) {
                $this->namespace['cimOsId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CimVersion') {
            $sval = $child->nodeValue;
            $this->CimVersion = $sval;
            if (!empty($namespace)) {
                $this->namespace['CimVersion'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SupportedForCreate') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->SupportedForCreate = $sval;
            if (!empty($namespace)) {
                $this->namespace['SupportedForCreate'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OperatingSystemInfoType


/**
 * Container type for query results in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultType extends VMware_VCloud_API_ResourceType {
    protected $name = null;
    protected $pageSize = null;
    protected $page = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $name - [optional] an attribute, 
    * @param integer $pageSize - [optional] an attribute, 
    * @param integer $page - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $name=null, $pageSize=null, $page=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->name = $name;
        $this->pageSize = $pageSize;
        $this->page = $page;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_pageSize(){
        return $this->pageSize;
    }
    public function set_pageSize($pageSize) {
        $this->pageSize = $pageSize;
    }
    public function get_page(){
        return $this->page;
    }
    public function set_page($page) {
        $this->page = $page;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->pageSize)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'pageSize', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'pageSize=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->pageSize, $input_name='pageSize')));
        }
        if (!is_null($this->page)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'page', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'page=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->page, $input_name='page')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndpageSize = $attrs->getNamedItem('pageSize');
        if (!is_null($ndpageSize)) {
            $this->pageSize = sprintf('%d', $ndpageSize->value);
            if (isset($ndpageSize->prefix)) {
                $this->namespace['pageSize'] = $ndpageSize->prefix;
                $nsUri = $ndpageSize->lookupNamespaceURI($ndpageSize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'pageSize');
        } else {
            $this->pageSize = null;
        }
        $ndpage = $attrs->getNamedItem('page');
        if (!is_null($ndpage)) {
            $this->page = sprintf('%d', $ndpage->value);
            if (isset($ndpage->prefix)) {
                $this->namespace['page'] = $ndpage->prefix;
                $nsUri = $ndpage->lookupNamespaceURI($ndpage->prefix);
            }
            $node->removeAttributeNS($nsUri, 'page');
        } else {
            $this->page = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultType


/**
 * Container for query results in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultRecordsType extends VMware_VCloud_API_ContainerType {
    protected $Record = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param long $total - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $pageSize - [optional] an attribute, 
    * @param int $page - [optional] an attribute, 
    * @param array $Record - [optional] an array of VMware_VCloud_API_QueryResultRecordType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $total=null, $name=null, $pageSize=null, $page=null, $Record=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $total, $name, $pageSize, $page);
        if (!is_null($Record)) {
            $this->Record = $Record;
        }
        $this->tagName = 'QueryResultRecords';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getRecord() {
        return $this->Record;
    }
    public function setRecord($Record) { 
        $this->Record = $Record;
    }
    public function addRecord($value) { array_push($this->Record, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Record)) {
            foreach ($this->Record as $Record) {
                $tagName = $Record->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Record';
                }
                $out = $Record->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Record) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Record') {
            $obj = new VMware_VCloud_API_QueryResultRecordType();
            $obj->build($child);
            $obj->set_tagName('Record');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['Record'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgVdcRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MediaRecord') {
            $obj = new VMware_VCloud_API_QueryResultMediaRecordType();
            $obj->build($child);
            $obj->set_tagName('MediaRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['MediaRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppTemplateRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppTemplateRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppTemplateRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppTemplateRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMRecord') {
            $obj = new VMware_VCloud_API_QueryResultVMRecordType();
            $obj->build($child);
            $obj->set_tagName('VMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminOrgNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminOrgNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminOrgNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminOrgNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogRecord') {
            $obj = new VMware_VCloud_API_QueryResultCatalogRecordType();
            $obj->build($child);
            $obj->set_tagName('CatalogRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVdcRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVdcRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVdcRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVdcRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWProviderVdcRecord') {
            $obj = new VMware_VCloud_API_QueryResultVMWProviderVdcRecordType();
            $obj->build($child);
            $obj->set_tagName('VMWProviderVdcRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMWProviderVdcRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('NetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupRecord') {
            $obj = new VMware_VCloud_API_QueryResultGroupRecordType();
            $obj->build($child);
            $obj->set_tagName('GroupRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['GroupRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserRecord') {
            $obj = new VMware_VCloud_API_QueryResultUserRecordType();
            $obj->build($child);
            $obj->set_tagName('UserRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['UserRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedUserRecord') {
            $obj = new VMware_VCloud_API_QueryResultStrandedUserRecordType();
            $obj->build($child);
            $obj->set_tagName('StrandedUserRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedUserRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoleRecord') {
            $obj = new VMware_VCloud_API_QueryResultRoleRecordType();
            $obj->build($child);
            $obj->set_tagName('RoleRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['RoleRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllocatedExternalAddressRecord') {
            $obj = new VMware_VCloud_API_QueryResultAllocatedExternalAddressRecordType();
            $obj->build($child);
            $obj->set_tagName('AllocatedExternalAddressRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AllocatedExternalAddressRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EventRecord') {
            $obj = new VMware_VCloud_API_QueryResultEventRecordType();
            $obj->build($child);
            $obj->set_tagName('EventRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['EventRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolRecord') {
            $obj = new VMware_VCloud_API_QueryResultResourcePoolRecordType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreRecord') {
            $obj = new VMware_VCloud_API_QueryResultDatastoreRecordType();
            $obj->build($child);
            $obj->set_tagName('DatastoreRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolRecord') {
            $obj = new VMware_VCloud_API_QueryResultNetworkPoolRecordType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PortgroupRecord') {
            $obj = new VMware_VCloud_API_QueryResultPortgroupRecordType();
            $obj->build($child);
            $obj->set_tagName('PortgroupRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['PortgroupRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DvSwitchRecord') {
            $obj = new VMware_VCloud_API_QueryResultDvSwitchRecordType();
            $obj->build($child);
            $obj->set_tagName('DvSwitchRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['DvSwitchRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CellRecord') {
            $obj = new VMware_VCloud_API_QueryResultCellRecordType();
            $obj->build($child);
            $obj->set_tagName('CellRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['CellRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualCenterRecord') {
            $obj = new VMware_VCloud_API_QueryResultVirtualCenterRecordType();
            $obj->build($child);
            $obj->set_tagName('VirtualCenterRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualCenterRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostRecord') {
            $obj = new VMware_VCloud_API_QueryResultHostRecordType();
            $obj->build($child);
            $obj->set_tagName('HostRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['HostRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVAppRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVAppRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVAppRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVAppRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightRecord') {
            $obj = new VMware_VCloud_API_QueryResultRightRecordType();
            $obj->build($child);
            $obj->set_tagName('RightRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['RightRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVMRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVMRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminAllocatedExternalAddressRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminAllocatedExternalAddressRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminAllocatedExternalAddressRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminAllocatedExternalAddressRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgNetworkRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppOrgNetworkRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgNetworkRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgNetworkRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcResourcePoolRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgVdcResourcePoolRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcResourcePoolRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcResourcePoolRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcResourcePoolRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultProviderVdcResourcePoolRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcResourcePoolRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcResourcePoolRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreProviderVdcRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultDatastoreProviderVdcRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('DatastoreProviderVdcRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreProviderVdcRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminUserRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminUserRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminUserRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminUserRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminGroupRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminGroupRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminGroupRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminGroupRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVAppNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVAppNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVAppNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVAppNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminCatalogRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminCatalogRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminCatalogRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminCatalogRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminCatalogItemRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminCatalogItemRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminCatalogItemRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminCatalogItemRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogItemRecord') {
            $obj = new VMware_VCloud_API_QueryResultCatalogItemRecordType();
            $obj->build($child);
            $obj->set_tagName('CatalogItemRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogItemRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminMediaRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminMediaRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminMediaRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminMediaRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVAppTemplateRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVAppTemplateRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVAppTemplateRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVAppTemplateRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminShadowVMRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminShadowVMRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminShadowVMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminShadowVMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TaskRecord') {
            $obj = new VMware_VCloud_API_QueryResultTaskRecordType();
            $obj->build($child);
            $obj->set_tagName('TaskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['TaskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminTaskRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminTaskRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminTaskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminTaskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BlockingTaskRecord') {
            $obj = new VMware_VCloud_API_QueryResultBlockingTaskRecordType();
            $obj->build($child);
            $obj->set_tagName('BlockingTaskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['BlockingTaskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskRecord') {
            $obj = new VMware_VCloud_API_QueryResultDiskRecordType();
            $obj->build($child);
            $obj->set_tagName('DiskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmDiskRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultVmDiskRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('VmDiskRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VmDiskRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminDiskRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminDiskRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminDiskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminDiskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVmDiskRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVmDiskRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVmDiskRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVmDiskRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConditionRecord') {
            $obj = new VMware_VCloud_API_QueryResultConditionRecordType();
            $obj->build($child);
            $obj->set_tagName('ConditionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ConditionRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminEventRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminEventRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminEventRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminEventRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedItemRecord') {
            $obj = new VMware_VCloud_API_QueryResultStrandedItemRecordType();
            $obj->build($child);
            $obj->set_tagName('StrandedItemRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedItemRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminServiceRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceLinkRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceLinkRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceLinkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceLinkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcStorageProfileRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgVdcStorageProfileRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcStorageProfileRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcStorageProfileRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminOrgVdcStorageProfileRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminOrgVdcStorageProfileRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminOrgVdcStorageProfileRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminOrgVdcStorageProfileRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfileRecord') {
            $obj = new VMware_VCloud_API_QueryResultProviderVdcStorageProfileRecordType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfileRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfileRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiFilterRecord') {
            $obj = new VMware_VCloud_API_QueryResultApiFilterRecordType();
            $obj->build($child);
            $obj->set_tagName('ApiFilterRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiFilterRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminApiDefinitionRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminApiDefinitionRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminApiDefinitionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminApiDefinitionRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiDefinitionRecord') {
            $obj = new VMware_VCloud_API_QueryResultApiDefinitionRecordType();
            $obj->build($child);
            $obj->set_tagName('ApiDefinitionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiDefinitionRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminFileDescriptorRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminFileDescriptorRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminFileDescriptorRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminFileDescriptorRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FileDescriptorRecord') {
            $obj = new VMware_VCloud_API_QueryResultFileDescriptorRecordType();
            $obj->build($child);
            $obj->set_tagName('FileDescriptorRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['FileDescriptorRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassActionRecord') {
            $obj = new VMware_VCloud_API_QueryResultResourceClassActionRecordType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassActionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassActionRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AclRuleRecord') {
            $obj = new VMware_VCloud_API_QueryResultAclRuleRecordType();
            $obj->build($child);
            $obj->set_tagName('AclRuleRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AclRuleRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassRecord') {
            $obj = new VMware_VCloud_API_QueryResultResourceClassRecordType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResourceRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceResourceRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceResourceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResourceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGatewayRecord') {
            $obj = new VMware_VCloud_API_QueryResultEdgeGatewayRecordType();
            $obj->build($child);
            $obj->set_tagName('EdgeGatewayRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGatewayRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgVdcNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgVdcNetworkRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppOrgVdcNetworkRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgVdcNetworkRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgVdcNetworkRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalLocalizationRecord') {
            $obj = new VMware_VCloud_API_QueryResultExternalLocalizationRecordType();
            $obj->build($child);
            $obj->set_tagName('ExternalLocalizationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ExternalLocalizationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolVMRecord') {
            $obj = new VMware_VCloud_API_QueryResultResourcePoolVMRecordType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolVMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolVMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgVdcRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MediaRecord') {
            $obj = new VMware_VCloud_API_QueryResultMediaRecordType();
            $obj->build($child);
            $obj->set_tagName('MediaRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['MediaRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppTemplateRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppTemplateRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppTemplateRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppTemplateRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMRecord') {
            $obj = new VMware_VCloud_API_QueryResultVMRecordType();
            $obj->build($child);
            $obj->set_tagName('VMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminOrgNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminOrgNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminOrgNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminOrgNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogRecord') {
            $obj = new VMware_VCloud_API_QueryResultCatalogRecordType();
            $obj->build($child);
            $obj->set_tagName('CatalogRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVdcRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVdcRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVdcRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVdcRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWProviderVdcRecord') {
            $obj = new VMware_VCloud_API_QueryResultVMWProviderVdcRecordType();
            $obj->build($child);
            $obj->set_tagName('VMWProviderVdcRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMWProviderVdcRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('NetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupRecord') {
            $obj = new VMware_VCloud_API_QueryResultGroupRecordType();
            $obj->build($child);
            $obj->set_tagName('GroupRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['GroupRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserRecord') {
            $obj = new VMware_VCloud_API_QueryResultUserRecordType();
            $obj->build($child);
            $obj->set_tagName('UserRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['UserRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedUserRecord') {
            $obj = new VMware_VCloud_API_QueryResultStrandedUserRecordType();
            $obj->build($child);
            $obj->set_tagName('StrandedUserRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedUserRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoleRecord') {
            $obj = new VMware_VCloud_API_QueryResultRoleRecordType();
            $obj->build($child);
            $obj->set_tagName('RoleRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['RoleRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllocatedExternalAddressRecord') {
            $obj = new VMware_VCloud_API_QueryResultAllocatedExternalAddressRecordType();
            $obj->build($child);
            $obj->set_tagName('AllocatedExternalAddressRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AllocatedExternalAddressRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EventRecord') {
            $obj = new VMware_VCloud_API_QueryResultEventRecordType();
            $obj->build($child);
            $obj->set_tagName('EventRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['EventRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolRecord') {
            $obj = new VMware_VCloud_API_QueryResultResourcePoolRecordType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreRecord') {
            $obj = new VMware_VCloud_API_QueryResultDatastoreRecordType();
            $obj->build($child);
            $obj->set_tagName('DatastoreRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolRecord') {
            $obj = new VMware_VCloud_API_QueryResultNetworkPoolRecordType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PortgroupRecord') {
            $obj = new VMware_VCloud_API_QueryResultPortgroupRecordType();
            $obj->build($child);
            $obj->set_tagName('PortgroupRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['PortgroupRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DvSwitchRecord') {
            $obj = new VMware_VCloud_API_QueryResultDvSwitchRecordType();
            $obj->build($child);
            $obj->set_tagName('DvSwitchRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['DvSwitchRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CellRecord') {
            $obj = new VMware_VCloud_API_QueryResultCellRecordType();
            $obj->build($child);
            $obj->set_tagName('CellRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['CellRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualCenterRecord') {
            $obj = new VMware_VCloud_API_QueryResultVirtualCenterRecordType();
            $obj->build($child);
            $obj->set_tagName('VirtualCenterRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualCenterRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostRecord') {
            $obj = new VMware_VCloud_API_QueryResultHostRecordType();
            $obj->build($child);
            $obj->set_tagName('HostRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['HostRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVAppRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVAppRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVAppRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVAppRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightRecord') {
            $obj = new VMware_VCloud_API_QueryResultRightRecordType();
            $obj->build($child);
            $obj->set_tagName('RightRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['RightRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVMRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVMRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminAllocatedExternalAddressRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminAllocatedExternalAddressRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminAllocatedExternalAddressRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminAllocatedExternalAddressRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgNetworkRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppOrgNetworkRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgNetworkRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgNetworkRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcResourcePoolRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgVdcResourcePoolRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcResourcePoolRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcResourcePoolRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcResourcePoolRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultProviderVdcResourcePoolRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcResourcePoolRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcResourcePoolRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreProviderVdcRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultDatastoreProviderVdcRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('DatastoreProviderVdcRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreProviderVdcRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminUserRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminUserRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminUserRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminUserRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminGroupRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminGroupRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminGroupRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminGroupRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVAppNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVAppNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVAppNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVAppNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminCatalogRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminCatalogRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminCatalogRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminCatalogRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminCatalogItemRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminCatalogItemRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminCatalogItemRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminCatalogItemRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogItemRecord') {
            $obj = new VMware_VCloud_API_QueryResultCatalogItemRecordType();
            $obj->build($child);
            $obj->set_tagName('CatalogItemRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogItemRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminMediaRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminMediaRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminMediaRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminMediaRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVAppTemplateRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVAppTemplateRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVAppTemplateRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVAppTemplateRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminShadowVMRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminShadowVMRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminShadowVMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminShadowVMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TaskRecord') {
            $obj = new VMware_VCloud_API_QueryResultTaskRecordType();
            $obj->build($child);
            $obj->set_tagName('TaskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['TaskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminTaskRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminTaskRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminTaskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminTaskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BlockingTaskRecord') {
            $obj = new VMware_VCloud_API_QueryResultBlockingTaskRecordType();
            $obj->build($child);
            $obj->set_tagName('BlockingTaskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['BlockingTaskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskRecord') {
            $obj = new VMware_VCloud_API_QueryResultDiskRecordType();
            $obj->build($child);
            $obj->set_tagName('DiskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmDiskRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultVmDiskRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('VmDiskRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VmDiskRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminDiskRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminDiskRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminDiskRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminDiskRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVmDiskRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminVmDiskRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminVmDiskRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVmDiskRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConditionRecord') {
            $obj = new VMware_VCloud_API_QueryResultConditionRecordType();
            $obj->build($child);
            $obj->set_tagName('ConditionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ConditionRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminEventRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminEventRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminEventRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminEventRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedItemRecord') {
            $obj = new VMware_VCloud_API_QueryResultStrandedItemRecordType();
            $obj->build($child);
            $obj->set_tagName('StrandedItemRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedItemRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminServiceRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceLinkRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceLinkRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceLinkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceLinkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcStorageProfileRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgVdcStorageProfileRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcStorageProfileRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcStorageProfileRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminOrgVdcStorageProfileRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminOrgVdcStorageProfileRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminOrgVdcStorageProfileRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminOrgVdcStorageProfileRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfileRecord') {
            $obj = new VMware_VCloud_API_QueryResultProviderVdcStorageProfileRecordType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfileRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfileRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiFilterRecord') {
            $obj = new VMware_VCloud_API_QueryResultApiFilterRecordType();
            $obj->build($child);
            $obj->set_tagName('ApiFilterRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiFilterRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminApiDefinitionRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminApiDefinitionRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminApiDefinitionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminApiDefinitionRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiDefinitionRecord') {
            $obj = new VMware_VCloud_API_QueryResultApiDefinitionRecordType();
            $obj->build($child);
            $obj->set_tagName('ApiDefinitionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiDefinitionRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminFileDescriptorRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminFileDescriptorRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminFileDescriptorRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminFileDescriptorRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FileDescriptorRecord') {
            $obj = new VMware_VCloud_API_QueryResultFileDescriptorRecordType();
            $obj->build($child);
            $obj->set_tagName('FileDescriptorRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['FileDescriptorRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassActionRecord') {
            $obj = new VMware_VCloud_API_QueryResultResourceClassActionRecordType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassActionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassActionRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AclRuleRecord') {
            $obj = new VMware_VCloud_API_QueryResultAclRuleRecordType();
            $obj->build($child);
            $obj->set_tagName('AclRuleRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AclRuleRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassRecord') {
            $obj = new VMware_VCloud_API_QueryResultResourceClassRecordType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResourceRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceResourceRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceResourceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResourceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGatewayRecord') {
            $obj = new VMware_VCloud_API_QueryResultEdgeGatewayRecordType();
            $obj->build($child);
            $obj->set_tagName('EdgeGatewayRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGatewayRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcNetworkRecord') {
            $obj = new VMware_VCloud_API_QueryResultOrgVdcNetworkRecordType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcNetworkRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcNetworkRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgVdcNetworkRelationRecord') {
            $obj = new VMware_VCloud_API_QueryResultVAppOrgVdcNetworkRelationRecordType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgVdcNetworkRelationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgVdcNetworkRelationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalLocalizationRecord') {
            $obj = new VMware_VCloud_API_QueryResultExternalLocalizationRecordType();
            $obj->build($child);
            $obj->set_tagName('ExternalLocalizationRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ExternalLocalizationRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolVMRecord') {
            $obj = new VMware_VCloud_API_QueryResultResourcePoolVMRecordType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolVMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolVMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LicensingReportRecord') {
            $obj = new VMware_VCloud_API_QueryResultLicensingReportRecordType();
            $obj->build($child);
            $obj->set_tagName('LicensingReportRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['LicensingReportRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LicensingReportSampleRecord') {
            $obj = new VMware_VCloud_API_QueryResultLicensingReportSampleRecordType();
            $obj->build($child);
            $obj->set_tagName('LicensingReportSampleRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['LicensingReportSampleRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LicensingManagedServerRecord') {
            $obj = new VMware_VCloud_API_QueryResultLicensingManagedServerRecordType();
            $obj->build($child);
            $obj->set_tagName('LicensingManagedServerRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['LicensingManagedServerRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LicensingVirtualMachineRecord') {
            $obj = new VMware_VCloud_API_QueryResultLicensingVirtualMachineRecordType();
            $obj->build($child);
            $obj->set_tagName('LicensingVirtualMachineRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['LicensingVirtualMachineRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminEventCBMRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminEventCBMRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminEventCBMRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminEventCBMRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingInstanceRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceOfferingInstanceRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingInstanceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingInstanceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceOfferingRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmServiceOfferingInstanceRecord') {
            $obj = new VMware_VCloud_API_QueryResultVmServiceOfferingInstanceRecordType();
            $obj->build($child);
            $obj->set_tagName('VmServiceOfferingInstanceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VmServiceOfferingInstanceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcServiceOfferingRecord') {
            $obj = new VMware_VCloud_API_QueryResultVdcServiceOfferingRecordType();
            $obj->build($child);
            $obj->set_tagName('VdcServiceOfferingRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['VdcServiceOfferingRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceOfferingInstanceRecord') {
            $obj = new VMware_VCloud_API_QueryResultAdminServiceOfferingInstanceRecordType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceOfferingInstanceRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceOfferingInstanceRecord'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceExtensionRecord') {
            $obj = new VMware_VCloud_API_QueryResultServiceExtensionRecordType();
            $obj->build($child);
            $obj->set_tagName('ServiceExtensionRecord');
            array_push($this->Record, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceExtensionRecord'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultRecordsType


/**
 * Base type for a single record from query result in records format.  Subtypes define more specific elements.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultRecordType {
    protected $href = null;
    protected $type = null;
    protected $id = null;
    protected $Link = array();
    protected $Metadata = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null) {
        $this->href = $href;
        $this->type = $type;
        $this->id = $id;
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        $this->Metadata = $Metadata;
        $this->anyAttributes = array();
        $this->tagName = 'Record';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function getMetadata() {
        return $this->Metadata;
    }
    public function setMetadata($Metadata) { 
        $this->Metadata = $Metadata;
    }
    public function get_href(){
        return $this->href;
    }
    public function set_href($href) {
        $this->href = $href;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->href)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'href', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'href=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->href, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='href')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        if (!is_null($this->id)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        }
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->Metadata)) {
            $out = $this->Metadata->export('Metadata', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Link) ||
            !is_null($this->Metadata)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhref = $attrs->getNamedItem('href');
        if (!is_null($ndhref)) {
            $this->href = $ndhref->value;
            if (isset($ndhref->prefix)) {
                $this->namespace['href'] = $ndhref->prefix;
                $nsUri = $ndhref->lookupNamespaceURI($ndhref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'href');
        } else {
            $this->href = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            if ( $localName != "href"  && $localName != "type"  && $localName != "id" ) {
                $this->anyAttributes[$localName] = $attr->value;
                $node->removeAttribute($localName);
                $this->namespace[$localName] = $attr->prefix;
            }
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Metadata') {
            $obj = new VMware_VCloud_API_MetadataType();
            $obj->build($child);
            $obj->set_tagName('Metadata');
            $this->setMetadata($obj);
            if (!empty($namespace)) {
                $this->namespace['Metadata'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_QueryResultRecordType


/**
 * Type for a single organization query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultOrgRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $numberOfVdcs = null;
    protected $displayName = null;
    protected $name = null;
    protected $numberOfDisks = null;
    protected $isReadOnly = null;
    protected $isEnabled = null;
    protected $deployedVMQuota = null;
    protected $storedVMQuota = null;
    protected $canPublishCatalogs = null;
    protected $numberOfVApps = null;
    protected $numberOfCatalogs = null;
    protected $numberOfGroups = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param int $numberOfVdcs - [optional] an attribute, 
    * @param string $displayName - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $numberOfDisks - [optional] an attribute, 
    * @param boolean $isReadOnly - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param int $deployedVMQuota - [optional] an attribute, 
    * @param int $storedVMQuota - [optional] an attribute, 
    * @param boolean $canPublishCatalogs - [optional] an attribute, 
    * @param int $numberOfVApps - [optional] an attribute, 
    * @param int $numberOfCatalogs - [optional] an attribute, 
    * @param int $numberOfGroups - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $numberOfVdcs=null, $displayName=null, $name=null, $numberOfDisks=null, $isReadOnly=null, $isEnabled=null, $deployedVMQuota=null, $storedVMQuota=null, $canPublishCatalogs=null, $numberOfVApps=null, $numberOfCatalogs=null, $numberOfGroups=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->numberOfVdcs = $numberOfVdcs;
        $this->displayName = $displayName;
        $this->name = $name;
        $this->numberOfDisks = $numberOfDisks;
        $this->isReadOnly = $isReadOnly;
        $this->isEnabled = $isEnabled;
        $this->deployedVMQuota = $deployedVMQuota;
        $this->storedVMQuota = $storedVMQuota;
        $this->canPublishCatalogs = $canPublishCatalogs;
        $this->numberOfVApps = $numberOfVApps;
        $this->numberOfCatalogs = $numberOfCatalogs;
        $this->numberOfGroups = $numberOfGroups;
        $this->tagName = 'OrgRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_numberOfVdcs(){
        return $this->numberOfVdcs;
    }
    public function set_numberOfVdcs($numberOfVdcs) {
        $this->numberOfVdcs = $numberOfVdcs;
    }
    public function get_displayName(){
        return $this->displayName;
    }
    public function set_displayName($displayName) {
        $this->displayName = $displayName;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_numberOfDisks(){
        return $this->numberOfDisks;
    }
    public function set_numberOfDisks($numberOfDisks) {
        $this->numberOfDisks = $numberOfDisks;
    }
    public function get_isReadOnly(){
        return $this->isReadOnly;
    }
    public function set_isReadOnly($isReadOnly) {
        $this->isReadOnly = $isReadOnly;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_deployedVMQuota(){
        return $this->deployedVMQuota;
    }
    public function set_deployedVMQuota($deployedVMQuota) {
        $this->deployedVMQuota = $deployedVMQuota;
    }
    public function get_storedVMQuota(){
        return $this->storedVMQuota;
    }
    public function set_storedVMQuota($storedVMQuota) {
        $this->storedVMQuota = $storedVMQuota;
    }
    public function get_canPublishCatalogs(){
        return $this->canPublishCatalogs;
    }
    public function set_canPublishCatalogs($canPublishCatalogs) {
        $this->canPublishCatalogs = $canPublishCatalogs;
    }
    public function get_numberOfVApps(){
        return $this->numberOfVApps;
    }
    public function set_numberOfVApps($numberOfVApps) {
        $this->numberOfVApps = $numberOfVApps;
    }
    public function get_numberOfCatalogs(){
        return $this->numberOfCatalogs;
    }
    public function set_numberOfCatalogs($numberOfCatalogs) {
        $this->numberOfCatalogs = $numberOfCatalogs;
    }
    public function get_numberOfGroups(){
        return $this->numberOfGroups;
    }
    public function set_numberOfGroups($numberOfGroups) {
        $this->numberOfGroups = $numberOfGroups;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->numberOfVdcs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVdcs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVdcs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVdcs, $input_name='numberOfVdcs')));
        }
        if (!is_null($this->displayName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'displayName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'displayName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->displayName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='displayName')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->numberOfDisks)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfDisks', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfDisks=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfDisks, $input_name='numberOfDisks')));
        }
        if (!is_null($this->isReadOnly)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isReadOnly', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isReadOnly=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isReadOnly, $input_name='isReadOnly')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->deployedVMQuota)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deployedVMQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deployedVMQuota=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->deployedVMQuota, $input_name='deployedVMQuota')));
        }
        if (!is_null($this->storedVMQuota)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storedVMQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storedVMQuota=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storedVMQuota, $input_name='storedVMQuota')));
        }
        if (!is_null($this->canPublishCatalogs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'canPublishCatalogs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'canPublishCatalogs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->canPublishCatalogs, $input_name='canPublishCatalogs')));
        }
        if (!is_null($this->numberOfVApps)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVApps', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVApps=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVApps, $input_name='numberOfVApps')));
        }
        if (!is_null($this->numberOfCatalogs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfCatalogs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfCatalogs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfCatalogs, $input_name='numberOfCatalogs')));
        }
        if (!is_null($this->numberOfGroups)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfGroups', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfGroups=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfGroups, $input_name='numberOfGroups')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndnumberOfVdcs = $attrs->getNamedItem('numberOfVdcs');
        if (!is_null($ndnumberOfVdcs)) {
            $this->numberOfVdcs = sprintf('%d', $ndnumberOfVdcs->value);
            if (isset($ndnumberOfVdcs->prefix)) {
                $this->namespace['numberOfVdcs'] = $ndnumberOfVdcs->prefix;
                $nsUri = $ndnumberOfVdcs->lookupNamespaceURI($ndnumberOfVdcs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVdcs');
        } else {
            $this->numberOfVdcs = null;
        }
        $nddisplayName = $attrs->getNamedItem('displayName');
        if (!is_null($nddisplayName)) {
            $this->displayName = $nddisplayName->value;
            if (isset($nddisplayName->prefix)) {
                $this->namespace['displayName'] = $nddisplayName->prefix;
                $nsUri = $nddisplayName->lookupNamespaceURI($nddisplayName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'displayName');
        } else {
            $this->displayName = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndnumberOfDisks = $attrs->getNamedItem('numberOfDisks');
        if (!is_null($ndnumberOfDisks)) {
            $this->numberOfDisks = sprintf('%d', $ndnumberOfDisks->value);
            if (isset($ndnumberOfDisks->prefix)) {
                $this->namespace['numberOfDisks'] = $ndnumberOfDisks->prefix;
                $nsUri = $ndnumberOfDisks->lookupNamespaceURI($ndnumberOfDisks->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfDisks');
        } else {
            $this->numberOfDisks = null;
        }
        $ndisReadOnly = $attrs->getNamedItem('isReadOnly');
        if (!is_null($ndisReadOnly)) {
            $this->isReadOnly = VMware_VCloud_API_Helper::get_boolean($ndisReadOnly->value);
            if (isset($ndisReadOnly->prefix)) {
                $this->namespace['isReadOnly'] = $ndisReadOnly->prefix;
                $nsUri = $ndisReadOnly->lookupNamespaceURI($ndisReadOnly->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isReadOnly');
        } else {
            $this->isReadOnly = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $nddeployedVMQuota = $attrs->getNamedItem('deployedVMQuota');
        if (!is_null($nddeployedVMQuota)) {
            $this->deployedVMQuota = sprintf('%d', $nddeployedVMQuota->value);
            if (isset($nddeployedVMQuota->prefix)) {
                $this->namespace['deployedVMQuota'] = $nddeployedVMQuota->prefix;
                $nsUri = $nddeployedVMQuota->lookupNamespaceURI($nddeployedVMQuota->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deployedVMQuota');
        } else {
            $this->deployedVMQuota = null;
        }
        $ndstoredVMQuota = $attrs->getNamedItem('storedVMQuota');
        if (!is_null($ndstoredVMQuota)) {
            $this->storedVMQuota = sprintf('%d', $ndstoredVMQuota->value);
            if (isset($ndstoredVMQuota->prefix)) {
                $this->namespace['storedVMQuota'] = $ndstoredVMQuota->prefix;
                $nsUri = $ndstoredVMQuota->lookupNamespaceURI($ndstoredVMQuota->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storedVMQuota');
        } else {
            $this->storedVMQuota = null;
        }
        $ndcanPublishCatalogs = $attrs->getNamedItem('canPublishCatalogs');
        if (!is_null($ndcanPublishCatalogs)) {
            $this->canPublishCatalogs = VMware_VCloud_API_Helper::get_boolean($ndcanPublishCatalogs->value);
            if (isset($ndcanPublishCatalogs->prefix)) {
                $this->namespace['canPublishCatalogs'] = $ndcanPublishCatalogs->prefix;
                $nsUri = $ndcanPublishCatalogs->lookupNamespaceURI($ndcanPublishCatalogs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'canPublishCatalogs');
        } else {
            $this->canPublishCatalogs = null;
        }
        $ndnumberOfVApps = $attrs->getNamedItem('numberOfVApps');
        if (!is_null($ndnumberOfVApps)) {
            $this->numberOfVApps = sprintf('%d', $ndnumberOfVApps->value);
            if (isset($ndnumberOfVApps->prefix)) {
                $this->namespace['numberOfVApps'] = $ndnumberOfVApps->prefix;
                $nsUri = $ndnumberOfVApps->lookupNamespaceURI($ndnumberOfVApps->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVApps');
        } else {
            $this->numberOfVApps = null;
        }
        $ndnumberOfCatalogs = $attrs->getNamedItem('numberOfCatalogs');
        if (!is_null($ndnumberOfCatalogs)) {
            $this->numberOfCatalogs = sprintf('%d', $ndnumberOfCatalogs->value);
            if (isset($ndnumberOfCatalogs->prefix)) {
                $this->namespace['numberOfCatalogs'] = $ndnumberOfCatalogs->prefix;
                $nsUri = $ndnumberOfCatalogs->lookupNamespaceURI($ndnumberOfCatalogs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfCatalogs');
        } else {
            $this->numberOfCatalogs = null;
        }
        $ndnumberOfGroups = $attrs->getNamedItem('numberOfGroups');
        if (!is_null($ndnumberOfGroups)) {
            $this->numberOfGroups = sprintf('%d', $ndnumberOfGroups->value);
            if (isset($ndnumberOfGroups->prefix)) {
                $this->namespace['numberOfGroups'] = $ndnumberOfGroups->prefix;
                $nsUri = $ndnumberOfGroups->lookupNamespaceURI($ndnumberOfGroups->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfGroups');
        } else {
            $this->numberOfGroups = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultOrgRecordType


/**
 * Type for a single orgVdc query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultOrgVdcRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $numberOfStorageProfiles = null;
    protected $memoryUsedMB = null;
    protected $orgName = null;
    protected $isSystemVdc = null;
    protected $storageAllocationMB = null;
    protected $numberOfVAppTemplates = null;
    protected $isEnabled = null;
    protected $cpuLimitMhz = null;
    protected $memoryAllocationMB = null;
    protected $isBusy = null;
    protected $providerVdcName = null;
    protected $cpuUsedMhz = null;
    protected $status = null;
    protected $memoryLimitMB = null;
    protected $providerVdc = null;
    protected $numberOfDatastores = null;
    protected $numberOfVApps = null;
    protected $storageUsedMB = null;
    protected $name = null;
    protected $numberOfDisks = null;
    protected $storageLimitMB = null;
    protected $numberOfMedia = null;
    protected $cpuAllocationMhz = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param int $numberOfStorageProfiles - [optional] an attribute, 
    * @param long $memoryUsedMB - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param boolean $isSystemVdc - [optional] an attribute, 
    * @param long $storageAllocationMB - [optional] an attribute, 
    * @param int $numberOfVAppTemplates - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param long $cpuLimitMhz - [optional] an attribute, 
    * @param long $memoryAllocationMB - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $providerVdcName - [optional] an attribute, 
    * @param long $cpuUsedMhz - [optional] an attribute, 
    * @param string $status - [optional] an attribute, 
    * @param long $memoryLimitMB - [optional] an attribute, 
    * @param string $providerVdc - [optional] an attribute, 
    * @param int $numberOfDatastores - [optional] an attribute, 
    * @param int $numberOfVApps - [optional] an attribute, 
    * @param long $storageUsedMB - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $numberOfDisks - [optional] an attribute, 
    * @param long $storageLimitMB - [optional] an attribute, 
    * @param int $numberOfMedia - [optional] an attribute, 
    * @param long $cpuAllocationMhz - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $numberOfStorageProfiles=null, $memoryUsedMB=null, $orgName=null, $isSystemVdc=null, $storageAllocationMB=null, $numberOfVAppTemplates=null, $isEnabled=null, $cpuLimitMhz=null, $memoryAllocationMB=null, $isBusy=null, $providerVdcName=null, $cpuUsedMhz=null, $status=null, $memoryLimitMB=null, $providerVdc=null, $numberOfDatastores=null, $numberOfVApps=null, $storageUsedMB=null, $name=null, $numberOfDisks=null, $storageLimitMB=null, $numberOfMedia=null, $cpuAllocationMhz=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->numberOfStorageProfiles = $numberOfStorageProfiles;
        $this->memoryUsedMB = $memoryUsedMB;
        $this->orgName = $orgName;
        $this->isSystemVdc = $isSystemVdc;
        $this->storageAllocationMB = $storageAllocationMB;
        $this->numberOfVAppTemplates = $numberOfVAppTemplates;
        $this->isEnabled = $isEnabled;
        $this->cpuLimitMhz = $cpuLimitMhz;
        $this->memoryAllocationMB = $memoryAllocationMB;
        $this->isBusy = $isBusy;
        $this->providerVdcName = $providerVdcName;
        $this->cpuUsedMhz = $cpuUsedMhz;
        $this->status = $status;
        $this->memoryLimitMB = $memoryLimitMB;
        $this->providerVdc = $providerVdc;
        $this->numberOfDatastores = $numberOfDatastores;
        $this->numberOfVApps = $numberOfVApps;
        $this->storageUsedMB = $storageUsedMB;
        $this->name = $name;
        $this->numberOfDisks = $numberOfDisks;
        $this->storageLimitMB = $storageLimitMB;
        $this->numberOfMedia = $numberOfMedia;
        $this->cpuAllocationMhz = $cpuAllocationMhz;
        $this->tagName = 'OrgVdcRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_numberOfStorageProfiles(){
        return $this->numberOfStorageProfiles;
    }
    public function set_numberOfStorageProfiles($numberOfStorageProfiles) {
        $this->numberOfStorageProfiles = $numberOfStorageProfiles;
    }
    public function get_memoryUsedMB(){
        return $this->memoryUsedMB;
    }
    public function set_memoryUsedMB($memoryUsedMB) {
        $this->memoryUsedMB = $memoryUsedMB;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_isSystemVdc(){
        return $this->isSystemVdc;
    }
    public function set_isSystemVdc($isSystemVdc) {
        $this->isSystemVdc = $isSystemVdc;
    }
    public function get_storageAllocationMB(){
        return $this->storageAllocationMB;
    }
    public function set_storageAllocationMB($storageAllocationMB) {
        $this->storageAllocationMB = $storageAllocationMB;
    }
    public function get_numberOfVAppTemplates(){
        return $this->numberOfVAppTemplates;
    }
    public function set_numberOfVAppTemplates($numberOfVAppTemplates) {
        $this->numberOfVAppTemplates = $numberOfVAppTemplates;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_cpuLimitMhz(){
        return $this->cpuLimitMhz;
    }
    public function set_cpuLimitMhz($cpuLimitMhz) {
        $this->cpuLimitMhz = $cpuLimitMhz;
    }
    public function get_memoryAllocationMB(){
        return $this->memoryAllocationMB;
    }
    public function set_memoryAllocationMB($memoryAllocationMB) {
        $this->memoryAllocationMB = $memoryAllocationMB;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_providerVdcName(){
        return $this->providerVdcName;
    }
    public function set_providerVdcName($providerVdcName) {
        $this->providerVdcName = $providerVdcName;
    }
    public function get_cpuUsedMhz(){
        return $this->cpuUsedMhz;
    }
    public function set_cpuUsedMhz($cpuUsedMhz) {
        $this->cpuUsedMhz = $cpuUsedMhz;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_memoryLimitMB(){
        return $this->memoryLimitMB;
    }
    public function set_memoryLimitMB($memoryLimitMB) {
        $this->memoryLimitMB = $memoryLimitMB;
    }
    public function get_providerVdc(){
        return $this->providerVdc;
    }
    public function set_providerVdc($providerVdc) {
        $this->providerVdc = $providerVdc;
    }
    public function get_numberOfDatastores(){
        return $this->numberOfDatastores;
    }
    public function set_numberOfDatastores($numberOfDatastores) {
        $this->numberOfDatastores = $numberOfDatastores;
    }
    public function get_numberOfVApps(){
        return $this->numberOfVApps;
    }
    public function set_numberOfVApps($numberOfVApps) {
        $this->numberOfVApps = $numberOfVApps;
    }
    public function get_storageUsedMB(){
        return $this->storageUsedMB;
    }
    public function set_storageUsedMB($storageUsedMB) {
        $this->storageUsedMB = $storageUsedMB;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_numberOfDisks(){
        return $this->numberOfDisks;
    }
    public function set_numberOfDisks($numberOfDisks) {
        $this->numberOfDisks = $numberOfDisks;
    }
    public function get_storageLimitMB(){
        return $this->storageLimitMB;
    }
    public function set_storageLimitMB($storageLimitMB) {
        $this->storageLimitMB = $storageLimitMB;
    }
    public function get_numberOfMedia(){
        return $this->numberOfMedia;
    }
    public function set_numberOfMedia($numberOfMedia) {
        $this->numberOfMedia = $numberOfMedia;
    }
    public function get_cpuAllocationMhz(){
        return $this->cpuAllocationMhz;
    }
    public function set_cpuAllocationMhz($cpuAllocationMhz) {
        $this->cpuAllocationMhz = $cpuAllocationMhz;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->numberOfStorageProfiles)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfStorageProfiles', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfStorageProfiles=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfStorageProfiles, $input_name='numberOfStorageProfiles')));
        }
        if (!is_null($this->memoryUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryUsedMB, $input_name='memoryUsedMB')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->isSystemVdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isSystemVdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isSystemVdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isSystemVdc, $input_name='isSystemVdc')));
        }
        if (!is_null($this->storageAllocationMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageAllocationMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageAllocationMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageAllocationMB, $input_name='storageAllocationMB')));
        }
        if (!is_null($this->numberOfVAppTemplates)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVAppTemplates', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVAppTemplates=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVAppTemplates, $input_name='numberOfVAppTemplates')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->cpuLimitMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuLimitMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuLimitMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuLimitMhz, $input_name='cpuLimitMhz')));
        }
        if (!is_null($this->memoryAllocationMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryAllocationMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryAllocationMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryAllocationMB, $input_name='memoryAllocationMB')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->providerVdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'providerVdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'providerVdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->providerVdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='providerVdcName')));
        }
        if (!is_null($this->cpuUsedMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuUsedMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuUsedMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuUsedMhz, $input_name='cpuUsedMhz')));
        }
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->memoryLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryLimitMB, $input_name='memoryLimitMB')));
        }
        if (!is_null($this->providerVdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'providerVdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'providerVdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->providerVdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='providerVdc')));
        }
        if (!is_null($this->numberOfDatastores)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfDatastores', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfDatastores=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfDatastores, $input_name='numberOfDatastores')));
        }
        if (!is_null($this->numberOfVApps)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVApps', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVApps=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVApps, $input_name='numberOfVApps')));
        }
        if (!is_null($this->storageUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageUsedMB, $input_name='storageUsedMB')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->numberOfDisks)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfDisks', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfDisks=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfDisks, $input_name='numberOfDisks')));
        }
        if (!is_null($this->storageLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageLimitMB, $input_name='storageLimitMB')));
        }
        if (!is_null($this->numberOfMedia)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfMedia', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfMedia=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfMedia, $input_name='numberOfMedia')));
        }
        if (!is_null($this->cpuAllocationMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuAllocationMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuAllocationMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuAllocationMhz, $input_name='cpuAllocationMhz')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndnumberOfStorageProfiles = $attrs->getNamedItem('numberOfStorageProfiles');
        if (!is_null($ndnumberOfStorageProfiles)) {
            $this->numberOfStorageProfiles = sprintf('%d', $ndnumberOfStorageProfiles->value);
            if (isset($ndnumberOfStorageProfiles->prefix)) {
                $this->namespace['numberOfStorageProfiles'] = $ndnumberOfStorageProfiles->prefix;
                $nsUri = $ndnumberOfStorageProfiles->lookupNamespaceURI($ndnumberOfStorageProfiles->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfStorageProfiles');
        } else {
            $this->numberOfStorageProfiles = null;
        }
        $ndmemoryUsedMB = $attrs->getNamedItem('memoryUsedMB');
        if (!is_null($ndmemoryUsedMB)) {
            $this->memoryUsedMB = sprintf('%d', $ndmemoryUsedMB->value);
            if (isset($ndmemoryUsedMB->prefix)) {
                $this->namespace['memoryUsedMB'] = $ndmemoryUsedMB->prefix;
                $nsUri = $ndmemoryUsedMB->lookupNamespaceURI($ndmemoryUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryUsedMB');
        } else {
            $this->memoryUsedMB = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndisSystemVdc = $attrs->getNamedItem('isSystemVdc');
        if (!is_null($ndisSystemVdc)) {
            $this->isSystemVdc = VMware_VCloud_API_Helper::get_boolean($ndisSystemVdc->value);
            if (isset($ndisSystemVdc->prefix)) {
                $this->namespace['isSystemVdc'] = $ndisSystemVdc->prefix;
                $nsUri = $ndisSystemVdc->lookupNamespaceURI($ndisSystemVdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isSystemVdc');
        } else {
            $this->isSystemVdc = null;
        }
        $ndstorageAllocationMB = $attrs->getNamedItem('storageAllocationMB');
        if (!is_null($ndstorageAllocationMB)) {
            $this->storageAllocationMB = sprintf('%d', $ndstorageAllocationMB->value);
            if (isset($ndstorageAllocationMB->prefix)) {
                $this->namespace['storageAllocationMB'] = $ndstorageAllocationMB->prefix;
                $nsUri = $ndstorageAllocationMB->lookupNamespaceURI($ndstorageAllocationMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageAllocationMB');
        } else {
            $this->storageAllocationMB = null;
        }
        $ndnumberOfVAppTemplates = $attrs->getNamedItem('numberOfVAppTemplates');
        if (!is_null($ndnumberOfVAppTemplates)) {
            $this->numberOfVAppTemplates = sprintf('%d', $ndnumberOfVAppTemplates->value);
            if (isset($ndnumberOfVAppTemplates->prefix)) {
                $this->namespace['numberOfVAppTemplates'] = $ndnumberOfVAppTemplates->prefix;
                $nsUri = $ndnumberOfVAppTemplates->lookupNamespaceURI($ndnumberOfVAppTemplates->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVAppTemplates');
        } else {
            $this->numberOfVAppTemplates = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndcpuLimitMhz = $attrs->getNamedItem('cpuLimitMhz');
        if (!is_null($ndcpuLimitMhz)) {
            $this->cpuLimitMhz = sprintf('%d', $ndcpuLimitMhz->value);
            if (isset($ndcpuLimitMhz->prefix)) {
                $this->namespace['cpuLimitMhz'] = $ndcpuLimitMhz->prefix;
                $nsUri = $ndcpuLimitMhz->lookupNamespaceURI($ndcpuLimitMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuLimitMhz');
        } else {
            $this->cpuLimitMhz = null;
        }
        $ndmemoryAllocationMB = $attrs->getNamedItem('memoryAllocationMB');
        if (!is_null($ndmemoryAllocationMB)) {
            $this->memoryAllocationMB = sprintf('%d', $ndmemoryAllocationMB->value);
            if (isset($ndmemoryAllocationMB->prefix)) {
                $this->namespace['memoryAllocationMB'] = $ndmemoryAllocationMB->prefix;
                $nsUri = $ndmemoryAllocationMB->lookupNamespaceURI($ndmemoryAllocationMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryAllocationMB');
        } else {
            $this->memoryAllocationMB = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndproviderVdcName = $attrs->getNamedItem('providerVdcName');
        if (!is_null($ndproviderVdcName)) {
            $this->providerVdcName = $ndproviderVdcName->value;
            if (isset($ndproviderVdcName->prefix)) {
                $this->namespace['providerVdcName'] = $ndproviderVdcName->prefix;
                $nsUri = $ndproviderVdcName->lookupNamespaceURI($ndproviderVdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'providerVdcName');
        } else {
            $this->providerVdcName = null;
        }
        $ndcpuUsedMhz = $attrs->getNamedItem('cpuUsedMhz');
        if (!is_null($ndcpuUsedMhz)) {
            $this->cpuUsedMhz = sprintf('%d', $ndcpuUsedMhz->value);
            if (isset($ndcpuUsedMhz->prefix)) {
                $this->namespace['cpuUsedMhz'] = $ndcpuUsedMhz->prefix;
                $nsUri = $ndcpuUsedMhz->lookupNamespaceURI($ndcpuUsedMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuUsedMhz');
        } else {
            $this->cpuUsedMhz = null;
        }
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndmemoryLimitMB = $attrs->getNamedItem('memoryLimitMB');
        if (!is_null($ndmemoryLimitMB)) {
            $this->memoryLimitMB = sprintf('%d', $ndmemoryLimitMB->value);
            if (isset($ndmemoryLimitMB->prefix)) {
                $this->namespace['memoryLimitMB'] = $ndmemoryLimitMB->prefix;
                $nsUri = $ndmemoryLimitMB->lookupNamespaceURI($ndmemoryLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryLimitMB');
        } else {
            $this->memoryLimitMB = null;
        }
        $ndproviderVdc = $attrs->getNamedItem('providerVdc');
        if (!is_null($ndproviderVdc)) {
            $this->providerVdc = $ndproviderVdc->value;
            if (isset($ndproviderVdc->prefix)) {
                $this->namespace['providerVdc'] = $ndproviderVdc->prefix;
                $nsUri = $ndproviderVdc->lookupNamespaceURI($ndproviderVdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'providerVdc');
        } else {
            $this->providerVdc = null;
        }
        $ndnumberOfDatastores = $attrs->getNamedItem('numberOfDatastores');
        if (!is_null($ndnumberOfDatastores)) {
            $this->numberOfDatastores = sprintf('%d', $ndnumberOfDatastores->value);
            if (isset($ndnumberOfDatastores->prefix)) {
                $this->namespace['numberOfDatastores'] = $ndnumberOfDatastores->prefix;
                $nsUri = $ndnumberOfDatastores->lookupNamespaceURI($ndnumberOfDatastores->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfDatastores');
        } else {
            $this->numberOfDatastores = null;
        }
        $ndnumberOfVApps = $attrs->getNamedItem('numberOfVApps');
        if (!is_null($ndnumberOfVApps)) {
            $this->numberOfVApps = sprintf('%d', $ndnumberOfVApps->value);
            if (isset($ndnumberOfVApps->prefix)) {
                $this->namespace['numberOfVApps'] = $ndnumberOfVApps->prefix;
                $nsUri = $ndnumberOfVApps->lookupNamespaceURI($ndnumberOfVApps->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVApps');
        } else {
            $this->numberOfVApps = null;
        }
        $ndstorageUsedMB = $attrs->getNamedItem('storageUsedMB');
        if (!is_null($ndstorageUsedMB)) {
            $this->storageUsedMB = sprintf('%d', $ndstorageUsedMB->value);
            if (isset($ndstorageUsedMB->prefix)) {
                $this->namespace['storageUsedMB'] = $ndstorageUsedMB->prefix;
                $nsUri = $ndstorageUsedMB->lookupNamespaceURI($ndstorageUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageUsedMB');
        } else {
            $this->storageUsedMB = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndnumberOfDisks = $attrs->getNamedItem('numberOfDisks');
        if (!is_null($ndnumberOfDisks)) {
            $this->numberOfDisks = sprintf('%d', $ndnumberOfDisks->value);
            if (isset($ndnumberOfDisks->prefix)) {
                $this->namespace['numberOfDisks'] = $ndnumberOfDisks->prefix;
                $nsUri = $ndnumberOfDisks->lookupNamespaceURI($ndnumberOfDisks->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfDisks');
        } else {
            $this->numberOfDisks = null;
        }
        $ndstorageLimitMB = $attrs->getNamedItem('storageLimitMB');
        if (!is_null($ndstorageLimitMB)) {
            $this->storageLimitMB = sprintf('%d', $ndstorageLimitMB->value);
            if (isset($ndstorageLimitMB->prefix)) {
                $this->namespace['storageLimitMB'] = $ndstorageLimitMB->prefix;
                $nsUri = $ndstorageLimitMB->lookupNamespaceURI($ndstorageLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageLimitMB');
        } else {
            $this->storageLimitMB = null;
        }
        $ndnumberOfMedia = $attrs->getNamedItem('numberOfMedia');
        if (!is_null($ndnumberOfMedia)) {
            $this->numberOfMedia = sprintf('%d', $ndnumberOfMedia->value);
            if (isset($ndnumberOfMedia->prefix)) {
                $this->namespace['numberOfMedia'] = $ndnumberOfMedia->prefix;
                $nsUri = $ndnumberOfMedia->lookupNamespaceURI($ndnumberOfMedia->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfMedia');
        } else {
            $this->numberOfMedia = null;
        }
        $ndcpuAllocationMhz = $attrs->getNamedItem('cpuAllocationMhz');
        if (!is_null($ndcpuAllocationMhz)) {
            $this->cpuAllocationMhz = sprintf('%d', $ndcpuAllocationMhz->value);
            if (isset($ndcpuAllocationMhz->prefix)) {
                $this->namespace['cpuAllocationMhz'] = $ndcpuAllocationMhz->prefix;
                $nsUri = $ndcpuAllocationMhz->lookupNamespaceURI($ndcpuAllocationMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuAllocationMhz');
        } else {
            $this->cpuAllocationMhz = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultOrgVdcRecordType


/**
 * Type for a single media query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultMediaRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $storageProfileName = null;
    protected $name = null;
    protected $storageB = null;
    protected $isPublished = null;
    protected $vdcName = null;
    protected $catalog = null;
    protected $vdc = null;
    protected $catalogItem = null;
    protected $ownerName = null;
    protected $isBusy = null;
    protected $owner = null;
    protected $org = null;
    protected $creationDate = null;
    protected $catalogName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $storageProfileName - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param long $storageB - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $catalog - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $catalogItem - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param string $catalogName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $storageProfileName=null, $name=null, $storageB=null, $isPublished=null, $vdcName=null, $catalog=null, $vdc=null, $catalogItem=null, $ownerName=null, $isBusy=null, $owner=null, $org=null, $creationDate=null, $catalogName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->storageProfileName = $storageProfileName;
        $this->name = $name;
        $this->storageB = $storageB;
        $this->isPublished = $isPublished;
        $this->vdcName = $vdcName;
        $this->catalog = $catalog;
        $this->vdc = $vdc;
        $this->catalogItem = $catalogItem;
        $this->ownerName = $ownerName;
        $this->isBusy = $isBusy;
        $this->owner = $owner;
        $this->org = $org;
        $this->creationDate = $creationDate;
        $this->catalogName = $catalogName;
        $this->tagName = 'MediaRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_storageProfileName(){
        return $this->storageProfileName;
    }
    public function set_storageProfileName($storageProfileName) {
        $this->storageProfileName = $storageProfileName;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_storageB(){
        return $this->storageB;
    }
    public function set_storageB($storageB) {
        $this->storageB = $storageB;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_catalog(){
        return $this->catalog;
    }
    public function set_catalog($catalog) {
        $this->catalog = $catalog;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_catalogItem(){
        return $this->catalogItem;
    }
    public function set_catalogItem($catalogItem) {
        $this->catalogItem = $catalogItem;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_catalogName(){
        return $this->catalogName;
    }
    public function set_catalogName($catalogName) {
        $this->catalogName = $catalogName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->storageProfileName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileName')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->storageB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageB, $input_name='storageB')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->catalog)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalog', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalog=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalog, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalog')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->catalogItem)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogItem', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogItem=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogItem, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogItem')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->catalogName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndstorageProfileName = $attrs->getNamedItem('storageProfileName');
        if (!is_null($ndstorageProfileName)) {
            $this->storageProfileName = $ndstorageProfileName->value;
            if (isset($ndstorageProfileName->prefix)) {
                $this->namespace['storageProfileName'] = $ndstorageProfileName->prefix;
                $nsUri = $ndstorageProfileName->lookupNamespaceURI($ndstorageProfileName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileName');
        } else {
            $this->storageProfileName = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndstorageB = $attrs->getNamedItem('storageB');
        if (!is_null($ndstorageB)) {
            $this->storageB = sprintf('%d', $ndstorageB->value);
            if (isset($ndstorageB->prefix)) {
                $this->namespace['storageB'] = $ndstorageB->prefix;
                $nsUri = $ndstorageB->lookupNamespaceURI($ndstorageB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageB');
        } else {
            $this->storageB = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndcatalog = $attrs->getNamedItem('catalog');
        if (!is_null($ndcatalog)) {
            $this->catalog = $ndcatalog->value;
            if (isset($ndcatalog->prefix)) {
                $this->namespace['catalog'] = $ndcatalog->prefix;
                $nsUri = $ndcatalog->lookupNamespaceURI($ndcatalog->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalog');
        } else {
            $this->catalog = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndcatalogItem = $attrs->getNamedItem('catalogItem');
        if (!is_null($ndcatalogItem)) {
            $this->catalogItem = $ndcatalogItem->value;
            if (isset($ndcatalogItem->prefix)) {
                $this->namespace['catalogItem'] = $ndcatalogItem->prefix;
                $nsUri = $ndcatalogItem->lookupNamespaceURI($ndcatalogItem->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogItem');
        } else {
            $this->catalogItem = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndcatalogName = $attrs->getNamedItem('catalogName');
        if (!is_null($ndcatalogName)) {
            $this->catalogName = $ndcatalogName->value;
            if (isset($ndcatalogName->prefix)) {
                $this->namespace['catalogName'] = $ndcatalogName->prefix;
                $nsUri = $ndcatalogName->lookupNamespaceURI($ndcatalogName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogName');
        } else {
            $this->catalogName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultMediaRecordType


/**
 * Type for a single vAppTemplate query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVAppTemplateRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isGoldMaster = null;
    protected $status = null;
    protected $isDeployed = null;
    protected $name = null;
    protected $storageProfileName = null;
    protected $isEnabled = null;
    protected $isPublished = null;
    protected $vdcName = null;
    protected $vdc = null;
    protected $ownerName = null;
    protected $isBusy = null;
    protected $org = null;
    protected $isExpired = null;
    protected $creationDate = null;
    protected $catalogName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isGoldMaster - [optional] an attribute, 
    * @param string $status - [optional] an attribute, 
    * @param boolean $isDeployed - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $storageProfileName - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param boolean $isExpired - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param string $catalogName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isGoldMaster=null, $status=null, $isDeployed=null, $name=null, $storageProfileName=null, $isEnabled=null, $isPublished=null, $vdcName=null, $vdc=null, $ownerName=null, $isBusy=null, $org=null, $isExpired=null, $creationDate=null, $catalogName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isGoldMaster = $isGoldMaster;
        $this->status = $status;
        $this->isDeployed = $isDeployed;
        $this->name = $name;
        $this->storageProfileName = $storageProfileName;
        $this->isEnabled = $isEnabled;
        $this->isPublished = $isPublished;
        $this->vdcName = $vdcName;
        $this->vdc = $vdc;
        $this->ownerName = $ownerName;
        $this->isBusy = $isBusy;
        $this->org = $org;
        $this->isExpired = $isExpired;
        $this->creationDate = $creationDate;
        $this->catalogName = $catalogName;
        $this->tagName = 'VAppTemplateRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isGoldMaster(){
        return $this->isGoldMaster;
    }
    public function set_isGoldMaster($isGoldMaster) {
        $this->isGoldMaster = $isGoldMaster;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_isDeployed(){
        return $this->isDeployed;
    }
    public function set_isDeployed($isDeployed) {
        $this->isDeployed = $isDeployed;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_storageProfileName(){
        return $this->storageProfileName;
    }
    public function set_storageProfileName($storageProfileName) {
        $this->storageProfileName = $storageProfileName;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_isExpired(){
        return $this->isExpired;
    }
    public function set_isExpired($isExpired) {
        $this->isExpired = $isExpired;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_catalogName(){
        return $this->catalogName;
    }
    public function set_catalogName($catalogName) {
        $this->catalogName = $catalogName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isGoldMaster)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isGoldMaster', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isGoldMaster=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isGoldMaster, $input_name='isGoldMaster')));
        }
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->isDeployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeployed, $input_name='isDeployed')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->storageProfileName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileName')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->isExpired)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isExpired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isExpired=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isExpired, $input_name='isExpired')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->catalogName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisGoldMaster = $attrs->getNamedItem('isGoldMaster');
        if (!is_null($ndisGoldMaster)) {
            $this->isGoldMaster = VMware_VCloud_API_Helper::get_boolean($ndisGoldMaster->value);
            if (isset($ndisGoldMaster->prefix)) {
                $this->namespace['isGoldMaster'] = $ndisGoldMaster->prefix;
                $nsUri = $ndisGoldMaster->lookupNamespaceURI($ndisGoldMaster->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isGoldMaster');
        } else {
            $this->isGoldMaster = null;
        }
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndisDeployed = $attrs->getNamedItem('isDeployed');
        if (!is_null($ndisDeployed)) {
            $this->isDeployed = VMware_VCloud_API_Helper::get_boolean($ndisDeployed->value);
            if (isset($ndisDeployed->prefix)) {
                $this->namespace['isDeployed'] = $ndisDeployed->prefix;
                $nsUri = $ndisDeployed->lookupNamespaceURI($ndisDeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeployed');
        } else {
            $this->isDeployed = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndstorageProfileName = $attrs->getNamedItem('storageProfileName');
        if (!is_null($ndstorageProfileName)) {
            $this->storageProfileName = $ndstorageProfileName->value;
            if (isset($ndstorageProfileName->prefix)) {
                $this->namespace['storageProfileName'] = $ndstorageProfileName->prefix;
                $nsUri = $ndstorageProfileName->lookupNamespaceURI($ndstorageProfileName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileName');
        } else {
            $this->storageProfileName = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndisExpired = $attrs->getNamedItem('isExpired');
        if (!is_null($ndisExpired)) {
            $this->isExpired = VMware_VCloud_API_Helper::get_boolean($ndisExpired->value);
            if (isset($ndisExpired->prefix)) {
                $this->namespace['isExpired'] = $ndisExpired->prefix;
                $nsUri = $ndisExpired->lookupNamespaceURI($ndisExpired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isExpired');
        } else {
            $this->isExpired = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndcatalogName = $attrs->getNamedItem('catalogName');
        if (!is_null($ndcatalogName)) {
            $this->catalogName = $ndcatalogName->value;
            if (isset($ndcatalogName->prefix)) {
                $this->namespace['catalogName'] = $ndcatalogName->prefix;
                $nsUri = $ndcatalogName->lookupNamespaceURI($ndcatalogName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogName');
        } else {
            $this->catalogName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVAppTemplateRecordType


/**
 * Type for a single vApp query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVAppRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $isDeployed = null;
    protected $name = null;
    protected $isEnabled = null;
    protected $isPublic = null;
    protected $vdcName = null;
    protected $vdc = null;
    protected $ownerName = null;
    protected $isBusy = null;
    protected $isInMaintenanceMode = null;
    protected $creationDate = null;
    protected $isExpired = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param boolean $isDeployed - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param boolean $isPublic - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param boolean $isInMaintenanceMode - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param boolean $isExpired - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $isDeployed=null, $name=null, $isEnabled=null, $isPublic=null, $vdcName=null, $vdc=null, $ownerName=null, $isBusy=null, $isInMaintenanceMode=null, $creationDate=null, $isExpired=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->isDeployed = $isDeployed;
        $this->name = $name;
        $this->isEnabled = $isEnabled;
        $this->isPublic = $isPublic;
        $this->vdcName = $vdcName;
        $this->vdc = $vdc;
        $this->ownerName = $ownerName;
        $this->isBusy = $isBusy;
        $this->isInMaintenanceMode = $isInMaintenanceMode;
        $this->creationDate = $creationDate;
        $this->isExpired = $isExpired;
        $this->tagName = 'VAppRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_isDeployed(){
        return $this->isDeployed;
    }
    public function set_isDeployed($isDeployed) {
        $this->isDeployed = $isDeployed;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_isPublic(){
        return $this->isPublic;
    }
    public function set_isPublic($isPublic) {
        $this->isPublic = $isPublic;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_isInMaintenanceMode(){
        return $this->isInMaintenanceMode;
    }
    public function set_isInMaintenanceMode($isInMaintenanceMode) {
        $this->isInMaintenanceMode = $isInMaintenanceMode;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_isExpired(){
        return $this->isExpired;
    }
    public function set_isExpired($isExpired) {
        $this->isExpired = $isExpired;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->isDeployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeployed, $input_name='isDeployed')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->isPublic)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublic', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublic=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublic, $input_name='isPublic')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->isInMaintenanceMode)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isInMaintenanceMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isInMaintenanceMode=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isInMaintenanceMode, $input_name='isInMaintenanceMode')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->isExpired)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isExpired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isExpired=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isExpired, $input_name='isExpired')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndisDeployed = $attrs->getNamedItem('isDeployed');
        if (!is_null($ndisDeployed)) {
            $this->isDeployed = VMware_VCloud_API_Helper::get_boolean($ndisDeployed->value);
            if (isset($ndisDeployed->prefix)) {
                $this->namespace['isDeployed'] = $ndisDeployed->prefix;
                $nsUri = $ndisDeployed->lookupNamespaceURI($ndisDeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeployed');
        } else {
            $this->isDeployed = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndisPublic = $attrs->getNamedItem('isPublic');
        if (!is_null($ndisPublic)) {
            $this->isPublic = VMware_VCloud_API_Helper::get_boolean($ndisPublic->value);
            if (isset($ndisPublic->prefix)) {
                $this->namespace['isPublic'] = $ndisPublic->prefix;
                $nsUri = $ndisPublic->lookupNamespaceURI($ndisPublic->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublic');
        } else {
            $this->isPublic = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndisInMaintenanceMode = $attrs->getNamedItem('isInMaintenanceMode');
        if (!is_null($ndisInMaintenanceMode)) {
            $this->isInMaintenanceMode = VMware_VCloud_API_Helper::get_boolean($ndisInMaintenanceMode->value);
            if (isset($ndisInMaintenanceMode->prefix)) {
                $this->namespace['isInMaintenanceMode'] = $ndisInMaintenanceMode->prefix;
                $nsUri = $ndisInMaintenanceMode->lookupNamespaceURI($ndisInMaintenanceMode->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isInMaintenanceMode');
        } else {
            $this->isInMaintenanceMode = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndisExpired = $attrs->getNamedItem('isExpired');
        if (!is_null($ndisExpired)) {
            $this->isExpired = VMware_VCloud_API_Helper::get_boolean($ndisExpired->value);
            if (isset($ndisExpired->prefix)) {
                $this->namespace['isExpired'] = $ndisExpired->prefix;
                $nsUri = $ndisExpired->lookupNamespaceURI($ndisExpired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isExpired');
        } else {
            $this->isExpired = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVAppRecordType


/**
 * Type for a single vm query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVMRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $containerName = null;
    protected $isDeployed = null;
    protected $container = null;
    protected $name = null;
    protected $storageProfileName = null;
    protected $isPublished = null;
    protected $memoryMB = null;
    protected $numberOfCpus = null;
    protected $vdc = null;
    protected $hardwareVersion = null;
    protected $isBusy = null;
    protected $guestOs = null;
    protected $isInMaintenanceMode = null;
    protected $isVAppTemplate = null;
    protected $isDeleted = null;
    protected $catalogName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $containerName - [optional] an attribute, 
    * @param boolean $isDeployed - [optional] an attribute, 
    * @param string $container - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $storageProfileName - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param int $memoryMB - [optional] an attribute, 
    * @param int $numberOfCpus - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param int $hardwareVersion - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $guestOs - [optional] an attribute, 
    * @param boolean $isInMaintenanceMode - [optional] an attribute, 
    * @param boolean $isVAppTemplate - [optional] an attribute, 
    * @param boolean $isDeleted - [optional] an attribute, 
    * @param string $catalogName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $containerName=null, $isDeployed=null, $container=null, $name=null, $storageProfileName=null, $isPublished=null, $memoryMB=null, $numberOfCpus=null, $vdc=null, $hardwareVersion=null, $isBusy=null, $guestOs=null, $isInMaintenanceMode=null, $isVAppTemplate=null, $isDeleted=null, $catalogName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->containerName = $containerName;
        $this->isDeployed = $isDeployed;
        $this->container = $container;
        $this->name = $name;
        $this->storageProfileName = $storageProfileName;
        $this->isPublished = $isPublished;
        $this->memoryMB = $memoryMB;
        $this->numberOfCpus = $numberOfCpus;
        $this->vdc = $vdc;
        $this->hardwareVersion = $hardwareVersion;
        $this->isBusy = $isBusy;
        $this->guestOs = $guestOs;
        $this->isInMaintenanceMode = $isInMaintenanceMode;
        $this->isVAppTemplate = $isVAppTemplate;
        $this->isDeleted = $isDeleted;
        $this->catalogName = $catalogName;
        $this->tagName = 'VMRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_containerName(){
        return $this->containerName;
    }
    public function set_containerName($containerName) {
        $this->containerName = $containerName;
    }
    public function get_isDeployed(){
        return $this->isDeployed;
    }
    public function set_isDeployed($isDeployed) {
        $this->isDeployed = $isDeployed;
    }
    public function get_container(){
        return $this->container;
    }
    public function set_container($container) {
        $this->container = $container;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_storageProfileName(){
        return $this->storageProfileName;
    }
    public function set_storageProfileName($storageProfileName) {
        $this->storageProfileName = $storageProfileName;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_memoryMB(){
        return $this->memoryMB;
    }
    public function set_memoryMB($memoryMB) {
        $this->memoryMB = $memoryMB;
    }
    public function get_numberOfCpus(){
        return $this->numberOfCpus;
    }
    public function set_numberOfCpus($numberOfCpus) {
        $this->numberOfCpus = $numberOfCpus;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_hardwareVersion(){
        return $this->hardwareVersion;
    }
    public function set_hardwareVersion($hardwareVersion) {
        $this->hardwareVersion = $hardwareVersion;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_guestOs(){
        return $this->guestOs;
    }
    public function set_guestOs($guestOs) {
        $this->guestOs = $guestOs;
    }
    public function get_isInMaintenanceMode(){
        return $this->isInMaintenanceMode;
    }
    public function set_isInMaintenanceMode($isInMaintenanceMode) {
        $this->isInMaintenanceMode = $isInMaintenanceMode;
    }
    public function get_isVAppTemplate(){
        return $this->isVAppTemplate;
    }
    public function set_isVAppTemplate($isVAppTemplate) {
        $this->isVAppTemplate = $isVAppTemplate;
    }
    public function get_isDeleted(){
        return $this->isDeleted;
    }
    public function set_isDeleted($isDeleted) {
        $this->isDeleted = $isDeleted;
    }
    public function get_catalogName(){
        return $this->catalogName;
    }
    public function set_catalogName($catalogName) {
        $this->catalogName = $catalogName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->containerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'containerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'containerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->containerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='containerName')));
        }
        if (!is_null($this->isDeployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeployed, $input_name='isDeployed')));
        }
        if (!is_null($this->container)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'container', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'container=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->container, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='container')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->storageProfileName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileName')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->memoryMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryMB, $input_name='memoryMB')));
        }
        if (!is_null($this->numberOfCpus)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfCpus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfCpus=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfCpus, $input_name='numberOfCpus')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->hardwareVersion)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'hardwareVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'hardwareVersion=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->hardwareVersion, $input_name='hardwareVersion')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->guestOs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'guestOs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'guestOs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->guestOs, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='guestOs')));
        }
        if (!is_null($this->isInMaintenanceMode)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isInMaintenanceMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isInMaintenanceMode=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isInMaintenanceMode, $input_name='isInMaintenanceMode')));
        }
        if (!is_null($this->isVAppTemplate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVAppTemplate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVAppTemplate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVAppTemplate, $input_name='isVAppTemplate')));
        }
        if (!is_null($this->isDeleted)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeleted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeleted=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeleted, $input_name='isDeleted')));
        }
        if (!is_null($this->catalogName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndcontainerName = $attrs->getNamedItem('containerName');
        if (!is_null($ndcontainerName)) {
            $this->containerName = $ndcontainerName->value;
            if (isset($ndcontainerName->prefix)) {
                $this->namespace['containerName'] = $ndcontainerName->prefix;
                $nsUri = $ndcontainerName->lookupNamespaceURI($ndcontainerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'containerName');
        } else {
            $this->containerName = null;
        }
        $ndisDeployed = $attrs->getNamedItem('isDeployed');
        if (!is_null($ndisDeployed)) {
            $this->isDeployed = VMware_VCloud_API_Helper::get_boolean($ndisDeployed->value);
            if (isset($ndisDeployed->prefix)) {
                $this->namespace['isDeployed'] = $ndisDeployed->prefix;
                $nsUri = $ndisDeployed->lookupNamespaceURI($ndisDeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeployed');
        } else {
            $this->isDeployed = null;
        }
        $ndcontainer = $attrs->getNamedItem('container');
        if (!is_null($ndcontainer)) {
            $this->container = $ndcontainer->value;
            if (isset($ndcontainer->prefix)) {
                $this->namespace['container'] = $ndcontainer->prefix;
                $nsUri = $ndcontainer->lookupNamespaceURI($ndcontainer->prefix);
            }
            $node->removeAttributeNS($nsUri, 'container');
        } else {
            $this->container = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndstorageProfileName = $attrs->getNamedItem('storageProfileName');
        if (!is_null($ndstorageProfileName)) {
            $this->storageProfileName = $ndstorageProfileName->value;
            if (isset($ndstorageProfileName->prefix)) {
                $this->namespace['storageProfileName'] = $ndstorageProfileName->prefix;
                $nsUri = $ndstorageProfileName->lookupNamespaceURI($ndstorageProfileName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileName');
        } else {
            $this->storageProfileName = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndmemoryMB = $attrs->getNamedItem('memoryMB');
        if (!is_null($ndmemoryMB)) {
            $this->memoryMB = sprintf('%d', $ndmemoryMB->value);
            if (isset($ndmemoryMB->prefix)) {
                $this->namespace['memoryMB'] = $ndmemoryMB->prefix;
                $nsUri = $ndmemoryMB->lookupNamespaceURI($ndmemoryMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryMB');
        } else {
            $this->memoryMB = null;
        }
        $ndnumberOfCpus = $attrs->getNamedItem('numberOfCpus');
        if (!is_null($ndnumberOfCpus)) {
            $this->numberOfCpus = sprintf('%d', $ndnumberOfCpus->value);
            if (isset($ndnumberOfCpus->prefix)) {
                $this->namespace['numberOfCpus'] = $ndnumberOfCpus->prefix;
                $nsUri = $ndnumberOfCpus->lookupNamespaceURI($ndnumberOfCpus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfCpus');
        } else {
            $this->numberOfCpus = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndhardwareVersion = $attrs->getNamedItem('hardwareVersion');
        if (!is_null($ndhardwareVersion)) {
            $this->hardwareVersion = sprintf('%d', $ndhardwareVersion->value);
            if (isset($ndhardwareVersion->prefix)) {
                $this->namespace['hardwareVersion'] = $ndhardwareVersion->prefix;
                $nsUri = $ndhardwareVersion->lookupNamespaceURI($ndhardwareVersion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'hardwareVersion');
        } else {
            $this->hardwareVersion = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndguestOs = $attrs->getNamedItem('guestOs');
        if (!is_null($ndguestOs)) {
            $this->guestOs = $ndguestOs->value;
            if (isset($ndguestOs->prefix)) {
                $this->namespace['guestOs'] = $ndguestOs->prefix;
                $nsUri = $ndguestOs->lookupNamespaceURI($ndguestOs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'guestOs');
        } else {
            $this->guestOs = null;
        }
        $ndisInMaintenanceMode = $attrs->getNamedItem('isInMaintenanceMode');
        if (!is_null($ndisInMaintenanceMode)) {
            $this->isInMaintenanceMode = VMware_VCloud_API_Helper::get_boolean($ndisInMaintenanceMode->value);
            if (isset($ndisInMaintenanceMode->prefix)) {
                $this->namespace['isInMaintenanceMode'] = $ndisInMaintenanceMode->prefix;
                $nsUri = $ndisInMaintenanceMode->lookupNamespaceURI($ndisInMaintenanceMode->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isInMaintenanceMode');
        } else {
            $this->isInMaintenanceMode = null;
        }
        $ndisVAppTemplate = $attrs->getNamedItem('isVAppTemplate');
        if (!is_null($ndisVAppTemplate)) {
            $this->isVAppTemplate = VMware_VCloud_API_Helper::get_boolean($ndisVAppTemplate->value);
            if (isset($ndisVAppTemplate->prefix)) {
                $this->namespace['isVAppTemplate'] = $ndisVAppTemplate->prefix;
                $nsUri = $ndisVAppTemplate->lookupNamespaceURI($ndisVAppTemplate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVAppTemplate');
        } else {
            $this->isVAppTemplate = null;
        }
        $ndisDeleted = $attrs->getNamedItem('isDeleted');
        if (!is_null($ndisDeleted)) {
            $this->isDeleted = VMware_VCloud_API_Helper::get_boolean($ndisDeleted->value);
            if (isset($ndisDeleted->prefix)) {
                $this->namespace['isDeleted'] = $ndisDeleted->prefix;
                $nsUri = $ndisDeleted->lookupNamespaceURI($ndisDeleted->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeleted');
        } else {
            $this->isDeleted = null;
        }
        $ndcatalogName = $attrs->getNamedItem('catalogName');
        if (!is_null($ndcatalogName)) {
            $this->catalogName = $ndcatalogName->value;
            if (isset($ndcatalogName->prefix)) {
                $this->namespace['catalogName'] = $ndcatalogName->prefix;
                $nsUri = $ndcatalogName->lookupNamespaceURI($ndcatalogName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogName');
        } else {
            $this->catalogName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVMRecordType


/**
 * Type for a single orgNetwork query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultOrgNetworkRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $isBusy = null;
    protected $dns2 = null;
    protected $dns1 = null;
    protected $netmask = null;
    protected $isIpScopeInherited = null;
    protected $networkPoolName = null;
    protected $dnsSuffix = null;
    protected $org = null;
    protected $networkPool = null;
    protected $gateway = null;
    protected $ipScopeId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $dns2 - [optional] an attribute, 
    * @param string $dns1 - [optional] an attribute, 
    * @param string $netmask - [optional] an attribute, 
    * @param boolean $isIpScopeInherited - [optional] an attribute, 
    * @param string $networkPoolName - [optional] an attribute, 
    * @param string $dnsSuffix - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $networkPool - [optional] an attribute, 
    * @param string $gateway - [optional] an attribute, 
    * @param string $ipScopeId - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $isBusy=null, $dns2=null, $dns1=null, $netmask=null, $isIpScopeInherited=null, $networkPoolName=null, $dnsSuffix=null, $org=null, $networkPool=null, $gateway=null, $ipScopeId=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->isBusy = $isBusy;
        $this->dns2 = $dns2;
        $this->dns1 = $dns1;
        $this->netmask = $netmask;
        $this->isIpScopeInherited = $isIpScopeInherited;
        $this->networkPoolName = $networkPoolName;
        $this->dnsSuffix = $dnsSuffix;
        $this->org = $org;
        $this->networkPool = $networkPool;
        $this->gateway = $gateway;
        $this->ipScopeId = $ipScopeId;
        $this->tagName = 'OrgNetworkRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_dns2(){
        return $this->dns2;
    }
    public function set_dns2($dns2) {
        $this->dns2 = $dns2;
    }
    public function get_dns1(){
        return $this->dns1;
    }
    public function set_dns1($dns1) {
        $this->dns1 = $dns1;
    }
    public function get_netmask(){
        return $this->netmask;
    }
    public function set_netmask($netmask) {
        $this->netmask = $netmask;
    }
    public function get_isIpScopeInherited(){
        return $this->isIpScopeInherited;
    }
    public function set_isIpScopeInherited($isIpScopeInherited) {
        $this->isIpScopeInherited = $isIpScopeInherited;
    }
    public function get_networkPoolName(){
        return $this->networkPoolName;
    }
    public function set_networkPoolName($networkPoolName) {
        $this->networkPoolName = $networkPoolName;
    }
    public function get_dnsSuffix(){
        return $this->dnsSuffix;
    }
    public function set_dnsSuffix($dnsSuffix) {
        $this->dnsSuffix = $dnsSuffix;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_networkPool(){
        return $this->networkPool;
    }
    public function set_networkPool($networkPool) {
        $this->networkPool = $networkPool;
    }
    public function get_gateway(){
        return $this->gateway;
    }
    public function set_gateway($gateway) {
        $this->gateway = $gateway;
    }
    public function get_ipScopeId(){
        return $this->ipScopeId;
    }
    public function set_ipScopeId($ipScopeId) {
        $this->ipScopeId = $ipScopeId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->dns2)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns2', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns2=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns2, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns2')));
        }
        if (!is_null($this->dns1)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns1', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns1=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns1, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns1')));
        }
        if (!is_null($this->netmask)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'netmask=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='netmask')));
        }
        if (!is_null($this->isIpScopeInherited)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isIpScopeInherited', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isIpScopeInherited=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isIpScopeInherited, $input_name='isIpScopeInherited')));
        }
        if (!is_null($this->networkPoolName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkPoolName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkPoolName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->networkPoolName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='networkPoolName')));
        }
        if (!is_null($this->dnsSuffix)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dnsSuffix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dnsSuffix=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dnsSuffix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dnsSuffix')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->networkPool)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkPool', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkPool=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->networkPool, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='networkPool')));
        }
        if (!is_null($this->gateway)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'gateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'gateway=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->gateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='gateway')));
        }
        if (!is_null($this->ipScopeId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ipScopeId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ipScopeId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ipScopeId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ipScopeId')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $nddns2 = $attrs->getNamedItem('dns2');
        if (!is_null($nddns2)) {
            $this->dns2 = $nddns2->value;
            if (isset($nddns2->prefix)) {
                $this->namespace['dns2'] = $nddns2->prefix;
                $nsUri = $nddns2->lookupNamespaceURI($nddns2->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns2');
        } else {
            $this->dns2 = null;
        }
        $nddns1 = $attrs->getNamedItem('dns1');
        if (!is_null($nddns1)) {
            $this->dns1 = $nddns1->value;
            if (isset($nddns1->prefix)) {
                $this->namespace['dns1'] = $nddns1->prefix;
                $nsUri = $nddns1->lookupNamespaceURI($nddns1->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns1');
        } else {
            $this->dns1 = null;
        }
        $ndnetmask = $attrs->getNamedItem('netmask');
        if (!is_null($ndnetmask)) {
            $this->netmask = $ndnetmask->value;
            if (isset($ndnetmask->prefix)) {
                $this->namespace['netmask'] = $ndnetmask->prefix;
                $nsUri = $ndnetmask->lookupNamespaceURI($ndnetmask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'netmask');
        } else {
            $this->netmask = null;
        }
        $ndisIpScopeInherited = $attrs->getNamedItem('isIpScopeInherited');
        if (!is_null($ndisIpScopeInherited)) {
            $this->isIpScopeInherited = VMware_VCloud_API_Helper::get_boolean($ndisIpScopeInherited->value);
            if (isset($ndisIpScopeInherited->prefix)) {
                $this->namespace['isIpScopeInherited'] = $ndisIpScopeInherited->prefix;
                $nsUri = $ndisIpScopeInherited->lookupNamespaceURI($ndisIpScopeInherited->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isIpScopeInherited');
        } else {
            $this->isIpScopeInherited = null;
        }
        $ndnetworkPoolName = $attrs->getNamedItem('networkPoolName');
        if (!is_null($ndnetworkPoolName)) {
            $this->networkPoolName = $ndnetworkPoolName->value;
            if (isset($ndnetworkPoolName->prefix)) {
                $this->namespace['networkPoolName'] = $ndnetworkPoolName->prefix;
                $nsUri = $ndnetworkPoolName->lookupNamespaceURI($ndnetworkPoolName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkPoolName');
        } else {
            $this->networkPoolName = null;
        }
        $nddnsSuffix = $attrs->getNamedItem('dnsSuffix');
        if (!is_null($nddnsSuffix)) {
            $this->dnsSuffix = $nddnsSuffix->value;
            if (isset($nddnsSuffix->prefix)) {
                $this->namespace['dnsSuffix'] = $nddnsSuffix->prefix;
                $nsUri = $nddnsSuffix->lookupNamespaceURI($nddnsSuffix->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dnsSuffix');
        } else {
            $this->dnsSuffix = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndnetworkPool = $attrs->getNamedItem('networkPool');
        if (!is_null($ndnetworkPool)) {
            $this->networkPool = $ndnetworkPool->value;
            if (isset($ndnetworkPool->prefix)) {
                $this->namespace['networkPool'] = $ndnetworkPool->prefix;
                $nsUri = $ndnetworkPool->lookupNamespaceURI($ndnetworkPool->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkPool');
        } else {
            $this->networkPool = null;
        }
        $ndgateway = $attrs->getNamedItem('gateway');
        if (!is_null($ndgateway)) {
            $this->gateway = $ndgateway->value;
            if (isset($ndgateway->prefix)) {
                $this->namespace['gateway'] = $ndgateway->prefix;
                $nsUri = $ndgateway->lookupNamespaceURI($ndgateway->prefix);
            }
            $node->removeAttributeNS($nsUri, 'gateway');
        } else {
            $this->gateway = null;
        }
        $ndipScopeId = $attrs->getNamedItem('ipScopeId');
        if (!is_null($ndipScopeId)) {
            $this->ipScopeId = $ndipScopeId->value;
            if (isset($ndipScopeId->prefix)) {
                $this->namespace['ipScopeId'] = $ndipScopeId->prefix;
                $nsUri = $ndipScopeId->lookupNamespaceURI($ndipScopeId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ipScopeId');
        } else {
            $this->ipScopeId = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultOrgNetworkRecordType


/**
 * Type for a single adminOrgNetwork query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminOrgNetworkRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $orgName = null;
    protected $dns2 = null;
    protected $dns1 = null;
    protected $netmask = null;
    protected $isIpScopeInherited = null;
    protected $networkPoolName = null;
    protected $isBusy = null;
    protected $org = null;
    protected $networkPool = null;
    protected $gateway = null;
    protected $ipScopeId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param string $dns2 - [optional] an attribute, 
    * @param string $dns1 - [optional] an attribute, 
    * @param string $netmask - [optional] an attribute, 
    * @param boolean $isIpScopeInherited - [optional] an attribute, 
    * @param string $networkPoolName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $networkPool - [optional] an attribute, 
    * @param string $gateway - [optional] an attribute, 
    * @param string $ipScopeId - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $orgName=null, $dns2=null, $dns1=null, $netmask=null, $isIpScopeInherited=null, $networkPoolName=null, $isBusy=null, $org=null, $networkPool=null, $gateway=null, $ipScopeId=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->orgName = $orgName;
        $this->dns2 = $dns2;
        $this->dns1 = $dns1;
        $this->netmask = $netmask;
        $this->isIpScopeInherited = $isIpScopeInherited;
        $this->networkPoolName = $networkPoolName;
        $this->isBusy = $isBusy;
        $this->org = $org;
        $this->networkPool = $networkPool;
        $this->gateway = $gateway;
        $this->ipScopeId = $ipScopeId;
        $this->tagName = 'AdminOrgNetworkRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_dns2(){
        return $this->dns2;
    }
    public function set_dns2($dns2) {
        $this->dns2 = $dns2;
    }
    public function get_dns1(){
        return $this->dns1;
    }
    public function set_dns1($dns1) {
        $this->dns1 = $dns1;
    }
    public function get_netmask(){
        return $this->netmask;
    }
    public function set_netmask($netmask) {
        $this->netmask = $netmask;
    }
    public function get_isIpScopeInherited(){
        return $this->isIpScopeInherited;
    }
    public function set_isIpScopeInherited($isIpScopeInherited) {
        $this->isIpScopeInherited = $isIpScopeInherited;
    }
    public function get_networkPoolName(){
        return $this->networkPoolName;
    }
    public function set_networkPoolName($networkPoolName) {
        $this->networkPoolName = $networkPoolName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_networkPool(){
        return $this->networkPool;
    }
    public function set_networkPool($networkPool) {
        $this->networkPool = $networkPool;
    }
    public function get_gateway(){
        return $this->gateway;
    }
    public function set_gateway($gateway) {
        $this->gateway = $gateway;
    }
    public function get_ipScopeId(){
        return $this->ipScopeId;
    }
    public function set_ipScopeId($ipScopeId) {
        $this->ipScopeId = $ipScopeId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->dns2)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns2', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns2=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns2, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns2')));
        }
        if (!is_null($this->dns1)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns1', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns1=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns1, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns1')));
        }
        if (!is_null($this->netmask)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'netmask=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='netmask')));
        }
        if (!is_null($this->isIpScopeInherited)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isIpScopeInherited', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isIpScopeInherited=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isIpScopeInherited, $input_name='isIpScopeInherited')));
        }
        if (!is_null($this->networkPoolName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkPoolName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkPoolName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->networkPoolName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='networkPoolName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->networkPool)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkPool', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkPool=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->networkPool, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='networkPool')));
        }
        if (!is_null($this->gateway)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'gateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'gateway=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->gateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='gateway')));
        }
        if (!is_null($this->ipScopeId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ipScopeId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ipScopeId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ipScopeId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ipScopeId')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $nddns2 = $attrs->getNamedItem('dns2');
        if (!is_null($nddns2)) {
            $this->dns2 = $nddns2->value;
            if (isset($nddns2->prefix)) {
                $this->namespace['dns2'] = $nddns2->prefix;
                $nsUri = $nddns2->lookupNamespaceURI($nddns2->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns2');
        } else {
            $this->dns2 = null;
        }
        $nddns1 = $attrs->getNamedItem('dns1');
        if (!is_null($nddns1)) {
            $this->dns1 = $nddns1->value;
            if (isset($nddns1->prefix)) {
                $this->namespace['dns1'] = $nddns1->prefix;
                $nsUri = $nddns1->lookupNamespaceURI($nddns1->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns1');
        } else {
            $this->dns1 = null;
        }
        $ndnetmask = $attrs->getNamedItem('netmask');
        if (!is_null($ndnetmask)) {
            $this->netmask = $ndnetmask->value;
            if (isset($ndnetmask->prefix)) {
                $this->namespace['netmask'] = $ndnetmask->prefix;
                $nsUri = $ndnetmask->lookupNamespaceURI($ndnetmask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'netmask');
        } else {
            $this->netmask = null;
        }
        $ndisIpScopeInherited = $attrs->getNamedItem('isIpScopeInherited');
        if (!is_null($ndisIpScopeInherited)) {
            $this->isIpScopeInherited = VMware_VCloud_API_Helper::get_boolean($ndisIpScopeInherited->value);
            if (isset($ndisIpScopeInherited->prefix)) {
                $this->namespace['isIpScopeInherited'] = $ndisIpScopeInherited->prefix;
                $nsUri = $ndisIpScopeInherited->lookupNamespaceURI($ndisIpScopeInherited->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isIpScopeInherited');
        } else {
            $this->isIpScopeInherited = null;
        }
        $ndnetworkPoolName = $attrs->getNamedItem('networkPoolName');
        if (!is_null($ndnetworkPoolName)) {
            $this->networkPoolName = $ndnetworkPoolName->value;
            if (isset($ndnetworkPoolName->prefix)) {
                $this->namespace['networkPoolName'] = $ndnetworkPoolName->prefix;
                $nsUri = $ndnetworkPoolName->lookupNamespaceURI($ndnetworkPoolName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkPoolName');
        } else {
            $this->networkPoolName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndnetworkPool = $attrs->getNamedItem('networkPool');
        if (!is_null($ndnetworkPool)) {
            $this->networkPool = $ndnetworkPool->value;
            if (isset($ndnetworkPool->prefix)) {
                $this->namespace['networkPool'] = $ndnetworkPool->prefix;
                $nsUri = $ndnetworkPool->lookupNamespaceURI($ndnetworkPool->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkPool');
        } else {
            $this->networkPool = null;
        }
        $ndgateway = $attrs->getNamedItem('gateway');
        if (!is_null($ndgateway)) {
            $this->gateway = $ndgateway->value;
            if (isset($ndgateway->prefix)) {
                $this->namespace['gateway'] = $ndgateway->prefix;
                $nsUri = $ndgateway->lookupNamespaceURI($ndgateway->prefix);
            }
            $node->removeAttributeNS($nsUri, 'gateway');
        } else {
            $this->gateway = null;
        }
        $ndipScopeId = $attrs->getNamedItem('ipScopeId');
        if (!is_null($ndipScopeId)) {
            $this->ipScopeId = $ndipScopeId->value;
            if (isset($ndipScopeId->prefix)) {
                $this->namespace['ipScopeId'] = $ndipScopeId->prefix;
                $nsUri = $ndipScopeId->lookupNamespaceURI($ndipScopeId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ipScopeId');
        } else {
            $this->ipScopeId = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminOrgNetworkRecordType


/**
 * Type for a single vAppNetwork query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVAppNetworkRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $vAppName = null;
    protected $dns2 = null;
    protected $dns1 = null;
    protected $isIpScopeInherited = null;
    protected $netmask = null;
    protected $dnsSuffix = null;
    protected $isBusy = null;
    protected $vApp = null;
    protected $gateway = null;
    protected $ipScopeId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $vAppName - [optional] an attribute, 
    * @param string $dns2 - [optional] an attribute, 
    * @param string $dns1 - [optional] an attribute, 
    * @param boolean $isIpScopeInherited - [optional] an attribute, 
    * @param string $netmask - [optional] an attribute, 
    * @param string $dnsSuffix - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $vApp - [optional] an attribute, 
    * @param string $gateway - [optional] an attribute, 
    * @param string $ipScopeId - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $vAppName=null, $dns2=null, $dns1=null, $isIpScopeInherited=null, $netmask=null, $dnsSuffix=null, $isBusy=null, $vApp=null, $gateway=null, $ipScopeId=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->vAppName = $vAppName;
        $this->dns2 = $dns2;
        $this->dns1 = $dns1;
        $this->isIpScopeInherited = $isIpScopeInherited;
        $this->netmask = $netmask;
        $this->dnsSuffix = $dnsSuffix;
        $this->isBusy = $isBusy;
        $this->vApp = $vApp;
        $this->gateway = $gateway;
        $this->ipScopeId = $ipScopeId;
        $this->tagName = 'VAppNetworkRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_vAppName(){
        return $this->vAppName;
    }
    public function set_vAppName($vAppName) {
        $this->vAppName = $vAppName;
    }
    public function get_dns2(){
        return $this->dns2;
    }
    public function set_dns2($dns2) {
        $this->dns2 = $dns2;
    }
    public function get_dns1(){
        return $this->dns1;
    }
    public function set_dns1($dns1) {
        $this->dns1 = $dns1;
    }
    public function get_isIpScopeInherited(){
        return $this->isIpScopeInherited;
    }
    public function set_isIpScopeInherited($isIpScopeInherited) {
        $this->isIpScopeInherited = $isIpScopeInherited;
    }
    public function get_netmask(){
        return $this->netmask;
    }
    public function set_netmask($netmask) {
        $this->netmask = $netmask;
    }
    public function get_dnsSuffix(){
        return $this->dnsSuffix;
    }
    public function set_dnsSuffix($dnsSuffix) {
        $this->dnsSuffix = $dnsSuffix;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_vApp(){
        return $this->vApp;
    }
    public function set_vApp($vApp) {
        $this->vApp = $vApp;
    }
    public function get_gateway(){
        return $this->gateway;
    }
    public function set_gateway($gateway) {
        $this->gateway = $gateway;
    }
    public function get_ipScopeId(){
        return $this->ipScopeId;
    }
    public function set_ipScopeId($ipScopeId) {
        $this->ipScopeId = $ipScopeId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->vAppName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vAppName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vAppName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vAppName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vAppName')));
        }
        if (!is_null($this->dns2)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns2', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns2=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns2, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns2')));
        }
        if (!is_null($this->dns1)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns1', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns1=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns1, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns1')));
        }
        if (!is_null($this->isIpScopeInherited)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isIpScopeInherited', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isIpScopeInherited=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isIpScopeInherited, $input_name='isIpScopeInherited')));
        }
        if (!is_null($this->netmask)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'netmask=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='netmask')));
        }
        if (!is_null($this->dnsSuffix)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dnsSuffix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dnsSuffix=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dnsSuffix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dnsSuffix')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->vApp)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vApp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vApp=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vApp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vApp')));
        }
        if (!is_null($this->gateway)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'gateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'gateway=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->gateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='gateway')));
        }
        if (!is_null($this->ipScopeId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ipScopeId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ipScopeId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ipScopeId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ipScopeId')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndvAppName = $attrs->getNamedItem('vAppName');
        if (!is_null($ndvAppName)) {
            $this->vAppName = $ndvAppName->value;
            if (isset($ndvAppName->prefix)) {
                $this->namespace['vAppName'] = $ndvAppName->prefix;
                $nsUri = $ndvAppName->lookupNamespaceURI($ndvAppName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vAppName');
        } else {
            $this->vAppName = null;
        }
        $nddns2 = $attrs->getNamedItem('dns2');
        if (!is_null($nddns2)) {
            $this->dns2 = $nddns2->value;
            if (isset($nddns2->prefix)) {
                $this->namespace['dns2'] = $nddns2->prefix;
                $nsUri = $nddns2->lookupNamespaceURI($nddns2->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns2');
        } else {
            $this->dns2 = null;
        }
        $nddns1 = $attrs->getNamedItem('dns1');
        if (!is_null($nddns1)) {
            $this->dns1 = $nddns1->value;
            if (isset($nddns1->prefix)) {
                $this->namespace['dns1'] = $nddns1->prefix;
                $nsUri = $nddns1->lookupNamespaceURI($nddns1->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns1');
        } else {
            $this->dns1 = null;
        }
        $ndisIpScopeInherited = $attrs->getNamedItem('isIpScopeInherited');
        if (!is_null($ndisIpScopeInherited)) {
            $this->isIpScopeInherited = VMware_VCloud_API_Helper::get_boolean($ndisIpScopeInherited->value);
            if (isset($ndisIpScopeInherited->prefix)) {
                $this->namespace['isIpScopeInherited'] = $ndisIpScopeInherited->prefix;
                $nsUri = $ndisIpScopeInherited->lookupNamespaceURI($ndisIpScopeInherited->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isIpScopeInherited');
        } else {
            $this->isIpScopeInherited = null;
        }
        $ndnetmask = $attrs->getNamedItem('netmask');
        if (!is_null($ndnetmask)) {
            $this->netmask = $ndnetmask->value;
            if (isset($ndnetmask->prefix)) {
                $this->namespace['netmask'] = $ndnetmask->prefix;
                $nsUri = $ndnetmask->lookupNamespaceURI($ndnetmask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'netmask');
        } else {
            $this->netmask = null;
        }
        $nddnsSuffix = $attrs->getNamedItem('dnsSuffix');
        if (!is_null($nddnsSuffix)) {
            $this->dnsSuffix = $nddnsSuffix->value;
            if (isset($nddnsSuffix->prefix)) {
                $this->namespace['dnsSuffix'] = $nddnsSuffix->prefix;
                $nsUri = $nddnsSuffix->lookupNamespaceURI($nddnsSuffix->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dnsSuffix');
        } else {
            $this->dnsSuffix = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndvApp = $attrs->getNamedItem('vApp');
        if (!is_null($ndvApp)) {
            $this->vApp = $ndvApp->value;
            if (isset($ndvApp->prefix)) {
                $this->namespace['vApp'] = $ndvApp->prefix;
                $nsUri = $ndvApp->lookupNamespaceURI($ndvApp->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vApp');
        } else {
            $this->vApp = null;
        }
        $ndgateway = $attrs->getNamedItem('gateway');
        if (!is_null($ndgateway)) {
            $this->gateway = $ndgateway->value;
            if (isset($ndgateway->prefix)) {
                $this->namespace['gateway'] = $ndgateway->prefix;
                $nsUri = $ndgateway->lookupNamespaceURI($ndgateway->prefix);
            }
            $node->removeAttributeNS($nsUri, 'gateway');
        } else {
            $this->gateway = null;
        }
        $ndipScopeId = $attrs->getNamedItem('ipScopeId');
        if (!is_null($ndipScopeId)) {
            $this->ipScopeId = $ndipScopeId->value;
            if (isset($ndipScopeId->prefix)) {
                $this->namespace['ipScopeId'] = $ndipScopeId->prefix;
                $nsUri = $ndipScopeId->lookupNamespaceURI($ndipScopeId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ipScopeId');
        } else {
            $this->ipScopeId = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVAppNetworkRecordType


/**
 * Type for a single catalog query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultCatalogRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $numberOfVAppTemplates = null;
    protected $orgName = null;
    protected $isPublished = null;
    protected $ownerName = null;
    protected $numberOfMedia = null;
    protected $owner = null;
    protected $creationDate = null;
    protected $isShared = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param int $numberOfVAppTemplates - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param int $numberOfMedia - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param boolean $isShared - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $numberOfVAppTemplates=null, $orgName=null, $isPublished=null, $ownerName=null, $numberOfMedia=null, $owner=null, $creationDate=null, $isShared=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->numberOfVAppTemplates = $numberOfVAppTemplates;
        $this->orgName = $orgName;
        $this->isPublished = $isPublished;
        $this->ownerName = $ownerName;
        $this->numberOfMedia = $numberOfMedia;
        $this->owner = $owner;
        $this->creationDate = $creationDate;
        $this->isShared = $isShared;
        $this->tagName = 'CatalogRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_numberOfVAppTemplates(){
        return $this->numberOfVAppTemplates;
    }
    public function set_numberOfVAppTemplates($numberOfVAppTemplates) {
        $this->numberOfVAppTemplates = $numberOfVAppTemplates;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_numberOfMedia(){
        return $this->numberOfMedia;
    }
    public function set_numberOfMedia($numberOfMedia) {
        $this->numberOfMedia = $numberOfMedia;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_isShared(){
        return $this->isShared;
    }
    public function set_isShared($isShared) {
        $this->isShared = $isShared;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->numberOfVAppTemplates)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVAppTemplates', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVAppTemplates=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVAppTemplates, $input_name='numberOfVAppTemplates')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->numberOfMedia)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfMedia', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfMedia=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfMedia, $input_name='numberOfMedia')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->isShared)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isShared', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isShared=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isShared, $input_name='isShared')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndnumberOfVAppTemplates = $attrs->getNamedItem('numberOfVAppTemplates');
        if (!is_null($ndnumberOfVAppTemplates)) {
            $this->numberOfVAppTemplates = sprintf('%d', $ndnumberOfVAppTemplates->value);
            if (isset($ndnumberOfVAppTemplates->prefix)) {
                $this->namespace['numberOfVAppTemplates'] = $ndnumberOfVAppTemplates->prefix;
                $nsUri = $ndnumberOfVAppTemplates->lookupNamespaceURI($ndnumberOfVAppTemplates->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVAppTemplates');
        } else {
            $this->numberOfVAppTemplates = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndnumberOfMedia = $attrs->getNamedItem('numberOfMedia');
        if (!is_null($ndnumberOfMedia)) {
            $this->numberOfMedia = sprintf('%d', $ndnumberOfMedia->value);
            if (isset($ndnumberOfMedia->prefix)) {
                $this->namespace['numberOfMedia'] = $ndnumberOfMedia->prefix;
                $nsUri = $ndnumberOfMedia->lookupNamespaceURI($ndnumberOfMedia->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfMedia');
        } else {
            $this->numberOfMedia = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndisShared = $attrs->getNamedItem('isShared');
        if (!is_null($ndisShared)) {
            $this->isShared = VMware_VCloud_API_Helper::get_boolean($ndisShared->value);
            if (isset($ndisShared->prefix)) {
                $this->namespace['isShared'] = $ndisShared->prefix;
                $nsUri = $ndisShared->lookupNamespaceURI($ndisShared->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isShared');
        } else {
            $this->isShared = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultCatalogRecordType


/**
 * Type for a single adminOrgVdc query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminVdcRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $numberOfStorageProfiles = null;
    protected $memoryUsedMB = null;
    protected $orgName = null;
    protected $isSystemVdc = null;
    protected $storageAllocationMB = null;
    protected $numberOfVAppTemplates = null;
    protected $isEnabled = null;
    protected $cpuLimitMhz = null;
    protected $memoryAllocationMB = null;
    protected $isBusy = null;
    protected $providerVdcName = null;
    protected $cpuUsedMhz = null;
    protected $networkPool = null;
    protected $status = null;
    protected $memoryLimitMB = null;
    protected $providerVdc = null;
    protected $numberOfVApps = null;
    protected $org = null;
    protected $storageUsedMB = null;
    protected $name = null;
    protected $numberOfDisks = null;
    protected $storageLimitMB = null;
    protected $numberOfMedia = null;
    protected $cpuAllocationMhz = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param int $numberOfStorageProfiles - [optional] an attribute, 
    * @param long $memoryUsedMB - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param boolean $isSystemVdc - [optional] an attribute, 
    * @param long $storageAllocationMB - [optional] an attribute, 
    * @param int $numberOfVAppTemplates - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param long $cpuLimitMhz - [optional] an attribute, 
    * @param long $memoryAllocationMB - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $providerVdcName - [optional] an attribute, 
    * @param long $cpuUsedMhz - [optional] an attribute, 
    * @param string $networkPool - [optional] an attribute, 
    * @param string $status - [optional] an attribute, 
    * @param long $memoryLimitMB - [optional] an attribute, 
    * @param string $providerVdc - [optional] an attribute, 
    * @param int $numberOfVApps - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param long $storageUsedMB - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $numberOfDisks - [optional] an attribute, 
    * @param long $storageLimitMB - [optional] an attribute, 
    * @param int $numberOfMedia - [optional] an attribute, 
    * @param long $cpuAllocationMhz - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $numberOfStorageProfiles=null, $memoryUsedMB=null, $orgName=null, $isSystemVdc=null, $storageAllocationMB=null, $numberOfVAppTemplates=null, $isEnabled=null, $cpuLimitMhz=null, $memoryAllocationMB=null, $isBusy=null, $providerVdcName=null, $cpuUsedMhz=null, $networkPool=null, $status=null, $memoryLimitMB=null, $providerVdc=null, $numberOfVApps=null, $org=null, $storageUsedMB=null, $name=null, $numberOfDisks=null, $storageLimitMB=null, $numberOfMedia=null, $cpuAllocationMhz=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->numberOfStorageProfiles = $numberOfStorageProfiles;
        $this->memoryUsedMB = $memoryUsedMB;
        $this->orgName = $orgName;
        $this->isSystemVdc = $isSystemVdc;
        $this->storageAllocationMB = $storageAllocationMB;
        $this->numberOfVAppTemplates = $numberOfVAppTemplates;
        $this->isEnabled = $isEnabled;
        $this->cpuLimitMhz = $cpuLimitMhz;
        $this->memoryAllocationMB = $memoryAllocationMB;
        $this->isBusy = $isBusy;
        $this->providerVdcName = $providerVdcName;
        $this->cpuUsedMhz = $cpuUsedMhz;
        $this->networkPool = $networkPool;
        $this->status = $status;
        $this->memoryLimitMB = $memoryLimitMB;
        $this->providerVdc = $providerVdc;
        $this->numberOfVApps = $numberOfVApps;
        $this->org = $org;
        $this->storageUsedMB = $storageUsedMB;
        $this->name = $name;
        $this->numberOfDisks = $numberOfDisks;
        $this->storageLimitMB = $storageLimitMB;
        $this->numberOfMedia = $numberOfMedia;
        $this->cpuAllocationMhz = $cpuAllocationMhz;
        $this->tagName = 'AdminVdcRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_numberOfStorageProfiles(){
        return $this->numberOfStorageProfiles;
    }
    public function set_numberOfStorageProfiles($numberOfStorageProfiles) {
        $this->numberOfStorageProfiles = $numberOfStorageProfiles;
    }
    public function get_memoryUsedMB(){
        return $this->memoryUsedMB;
    }
    public function set_memoryUsedMB($memoryUsedMB) {
        $this->memoryUsedMB = $memoryUsedMB;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_isSystemVdc(){
        return $this->isSystemVdc;
    }
    public function set_isSystemVdc($isSystemVdc) {
        $this->isSystemVdc = $isSystemVdc;
    }
    public function get_storageAllocationMB(){
        return $this->storageAllocationMB;
    }
    public function set_storageAllocationMB($storageAllocationMB) {
        $this->storageAllocationMB = $storageAllocationMB;
    }
    public function get_numberOfVAppTemplates(){
        return $this->numberOfVAppTemplates;
    }
    public function set_numberOfVAppTemplates($numberOfVAppTemplates) {
        $this->numberOfVAppTemplates = $numberOfVAppTemplates;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_cpuLimitMhz(){
        return $this->cpuLimitMhz;
    }
    public function set_cpuLimitMhz($cpuLimitMhz) {
        $this->cpuLimitMhz = $cpuLimitMhz;
    }
    public function get_memoryAllocationMB(){
        return $this->memoryAllocationMB;
    }
    public function set_memoryAllocationMB($memoryAllocationMB) {
        $this->memoryAllocationMB = $memoryAllocationMB;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_providerVdcName(){
        return $this->providerVdcName;
    }
    public function set_providerVdcName($providerVdcName) {
        $this->providerVdcName = $providerVdcName;
    }
    public function get_cpuUsedMhz(){
        return $this->cpuUsedMhz;
    }
    public function set_cpuUsedMhz($cpuUsedMhz) {
        $this->cpuUsedMhz = $cpuUsedMhz;
    }
    public function get_networkPool(){
        return $this->networkPool;
    }
    public function set_networkPool($networkPool) {
        $this->networkPool = $networkPool;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_memoryLimitMB(){
        return $this->memoryLimitMB;
    }
    public function set_memoryLimitMB($memoryLimitMB) {
        $this->memoryLimitMB = $memoryLimitMB;
    }
    public function get_providerVdc(){
        return $this->providerVdc;
    }
    public function set_providerVdc($providerVdc) {
        $this->providerVdc = $providerVdc;
    }
    public function get_numberOfVApps(){
        return $this->numberOfVApps;
    }
    public function set_numberOfVApps($numberOfVApps) {
        $this->numberOfVApps = $numberOfVApps;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_storageUsedMB(){
        return $this->storageUsedMB;
    }
    public function set_storageUsedMB($storageUsedMB) {
        $this->storageUsedMB = $storageUsedMB;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_numberOfDisks(){
        return $this->numberOfDisks;
    }
    public function set_numberOfDisks($numberOfDisks) {
        $this->numberOfDisks = $numberOfDisks;
    }
    public function get_storageLimitMB(){
        return $this->storageLimitMB;
    }
    public function set_storageLimitMB($storageLimitMB) {
        $this->storageLimitMB = $storageLimitMB;
    }
    public function get_numberOfMedia(){
        return $this->numberOfMedia;
    }
    public function set_numberOfMedia($numberOfMedia) {
        $this->numberOfMedia = $numberOfMedia;
    }
    public function get_cpuAllocationMhz(){
        return $this->cpuAllocationMhz;
    }
    public function set_cpuAllocationMhz($cpuAllocationMhz) {
        $this->cpuAllocationMhz = $cpuAllocationMhz;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->numberOfStorageProfiles)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfStorageProfiles', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfStorageProfiles=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfStorageProfiles, $input_name='numberOfStorageProfiles')));
        }
        if (!is_null($this->memoryUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryUsedMB, $input_name='memoryUsedMB')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->isSystemVdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isSystemVdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isSystemVdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isSystemVdc, $input_name='isSystemVdc')));
        }
        if (!is_null($this->storageAllocationMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageAllocationMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageAllocationMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageAllocationMB, $input_name='storageAllocationMB')));
        }
        if (!is_null($this->numberOfVAppTemplates)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVAppTemplates', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVAppTemplates=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVAppTemplates, $input_name='numberOfVAppTemplates')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->cpuLimitMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuLimitMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuLimitMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuLimitMhz, $input_name='cpuLimitMhz')));
        }
        if (!is_null($this->memoryAllocationMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryAllocationMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryAllocationMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryAllocationMB, $input_name='memoryAllocationMB')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->providerVdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'providerVdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'providerVdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->providerVdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='providerVdcName')));
        }
        if (!is_null($this->cpuUsedMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuUsedMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuUsedMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuUsedMhz, $input_name='cpuUsedMhz')));
        }
        if (!is_null($this->networkPool)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkPool', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkPool=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->networkPool, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='networkPool')));
        }
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->memoryLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryLimitMB, $input_name='memoryLimitMB')));
        }
        if (!is_null($this->providerVdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'providerVdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'providerVdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->providerVdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='providerVdc')));
        }
        if (!is_null($this->numberOfVApps)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVApps', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVApps=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVApps, $input_name='numberOfVApps')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->storageUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageUsedMB, $input_name='storageUsedMB')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->numberOfDisks)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfDisks', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfDisks=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfDisks, $input_name='numberOfDisks')));
        }
        if (!is_null($this->storageLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageLimitMB, $input_name='storageLimitMB')));
        }
        if (!is_null($this->numberOfMedia)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfMedia', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfMedia=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfMedia, $input_name='numberOfMedia')));
        }
        if (!is_null($this->cpuAllocationMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuAllocationMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuAllocationMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuAllocationMhz, $input_name='cpuAllocationMhz')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndnumberOfStorageProfiles = $attrs->getNamedItem('numberOfStorageProfiles');
        if (!is_null($ndnumberOfStorageProfiles)) {
            $this->numberOfStorageProfiles = sprintf('%d', $ndnumberOfStorageProfiles->value);
            if (isset($ndnumberOfStorageProfiles->prefix)) {
                $this->namespace['numberOfStorageProfiles'] = $ndnumberOfStorageProfiles->prefix;
                $nsUri = $ndnumberOfStorageProfiles->lookupNamespaceURI($ndnumberOfStorageProfiles->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfStorageProfiles');
        } else {
            $this->numberOfStorageProfiles = null;
        }
        $ndmemoryUsedMB = $attrs->getNamedItem('memoryUsedMB');
        if (!is_null($ndmemoryUsedMB)) {
            $this->memoryUsedMB = sprintf('%d', $ndmemoryUsedMB->value);
            if (isset($ndmemoryUsedMB->prefix)) {
                $this->namespace['memoryUsedMB'] = $ndmemoryUsedMB->prefix;
                $nsUri = $ndmemoryUsedMB->lookupNamespaceURI($ndmemoryUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryUsedMB');
        } else {
            $this->memoryUsedMB = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndisSystemVdc = $attrs->getNamedItem('isSystemVdc');
        if (!is_null($ndisSystemVdc)) {
            $this->isSystemVdc = VMware_VCloud_API_Helper::get_boolean($ndisSystemVdc->value);
            if (isset($ndisSystemVdc->prefix)) {
                $this->namespace['isSystemVdc'] = $ndisSystemVdc->prefix;
                $nsUri = $ndisSystemVdc->lookupNamespaceURI($ndisSystemVdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isSystemVdc');
        } else {
            $this->isSystemVdc = null;
        }
        $ndstorageAllocationMB = $attrs->getNamedItem('storageAllocationMB');
        if (!is_null($ndstorageAllocationMB)) {
            $this->storageAllocationMB = sprintf('%d', $ndstorageAllocationMB->value);
            if (isset($ndstorageAllocationMB->prefix)) {
                $this->namespace['storageAllocationMB'] = $ndstorageAllocationMB->prefix;
                $nsUri = $ndstorageAllocationMB->lookupNamespaceURI($ndstorageAllocationMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageAllocationMB');
        } else {
            $this->storageAllocationMB = null;
        }
        $ndnumberOfVAppTemplates = $attrs->getNamedItem('numberOfVAppTemplates');
        if (!is_null($ndnumberOfVAppTemplates)) {
            $this->numberOfVAppTemplates = sprintf('%d', $ndnumberOfVAppTemplates->value);
            if (isset($ndnumberOfVAppTemplates->prefix)) {
                $this->namespace['numberOfVAppTemplates'] = $ndnumberOfVAppTemplates->prefix;
                $nsUri = $ndnumberOfVAppTemplates->lookupNamespaceURI($ndnumberOfVAppTemplates->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVAppTemplates');
        } else {
            $this->numberOfVAppTemplates = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndcpuLimitMhz = $attrs->getNamedItem('cpuLimitMhz');
        if (!is_null($ndcpuLimitMhz)) {
            $this->cpuLimitMhz = sprintf('%d', $ndcpuLimitMhz->value);
            if (isset($ndcpuLimitMhz->prefix)) {
                $this->namespace['cpuLimitMhz'] = $ndcpuLimitMhz->prefix;
                $nsUri = $ndcpuLimitMhz->lookupNamespaceURI($ndcpuLimitMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuLimitMhz');
        } else {
            $this->cpuLimitMhz = null;
        }
        $ndmemoryAllocationMB = $attrs->getNamedItem('memoryAllocationMB');
        if (!is_null($ndmemoryAllocationMB)) {
            $this->memoryAllocationMB = sprintf('%d', $ndmemoryAllocationMB->value);
            if (isset($ndmemoryAllocationMB->prefix)) {
                $this->namespace['memoryAllocationMB'] = $ndmemoryAllocationMB->prefix;
                $nsUri = $ndmemoryAllocationMB->lookupNamespaceURI($ndmemoryAllocationMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryAllocationMB');
        } else {
            $this->memoryAllocationMB = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndproviderVdcName = $attrs->getNamedItem('providerVdcName');
        if (!is_null($ndproviderVdcName)) {
            $this->providerVdcName = $ndproviderVdcName->value;
            if (isset($ndproviderVdcName->prefix)) {
                $this->namespace['providerVdcName'] = $ndproviderVdcName->prefix;
                $nsUri = $ndproviderVdcName->lookupNamespaceURI($ndproviderVdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'providerVdcName');
        } else {
            $this->providerVdcName = null;
        }
        $ndcpuUsedMhz = $attrs->getNamedItem('cpuUsedMhz');
        if (!is_null($ndcpuUsedMhz)) {
            $this->cpuUsedMhz = sprintf('%d', $ndcpuUsedMhz->value);
            if (isset($ndcpuUsedMhz->prefix)) {
                $this->namespace['cpuUsedMhz'] = $ndcpuUsedMhz->prefix;
                $nsUri = $ndcpuUsedMhz->lookupNamespaceURI($ndcpuUsedMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuUsedMhz');
        } else {
            $this->cpuUsedMhz = null;
        }
        $ndnetworkPool = $attrs->getNamedItem('networkPool');
        if (!is_null($ndnetworkPool)) {
            $this->networkPool = $ndnetworkPool->value;
            if (isset($ndnetworkPool->prefix)) {
                $this->namespace['networkPool'] = $ndnetworkPool->prefix;
                $nsUri = $ndnetworkPool->lookupNamespaceURI($ndnetworkPool->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkPool');
        } else {
            $this->networkPool = null;
        }
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndmemoryLimitMB = $attrs->getNamedItem('memoryLimitMB');
        if (!is_null($ndmemoryLimitMB)) {
            $this->memoryLimitMB = sprintf('%d', $ndmemoryLimitMB->value);
            if (isset($ndmemoryLimitMB->prefix)) {
                $this->namespace['memoryLimitMB'] = $ndmemoryLimitMB->prefix;
                $nsUri = $ndmemoryLimitMB->lookupNamespaceURI($ndmemoryLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryLimitMB');
        } else {
            $this->memoryLimitMB = null;
        }
        $ndproviderVdc = $attrs->getNamedItem('providerVdc');
        if (!is_null($ndproviderVdc)) {
            $this->providerVdc = $ndproviderVdc->value;
            if (isset($ndproviderVdc->prefix)) {
                $this->namespace['providerVdc'] = $ndproviderVdc->prefix;
                $nsUri = $ndproviderVdc->lookupNamespaceURI($ndproviderVdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'providerVdc');
        } else {
            $this->providerVdc = null;
        }
        $ndnumberOfVApps = $attrs->getNamedItem('numberOfVApps');
        if (!is_null($ndnumberOfVApps)) {
            $this->numberOfVApps = sprintf('%d', $ndnumberOfVApps->value);
            if (isset($ndnumberOfVApps->prefix)) {
                $this->namespace['numberOfVApps'] = $ndnumberOfVApps->prefix;
                $nsUri = $ndnumberOfVApps->lookupNamespaceURI($ndnumberOfVApps->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVApps');
        } else {
            $this->numberOfVApps = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndstorageUsedMB = $attrs->getNamedItem('storageUsedMB');
        if (!is_null($ndstorageUsedMB)) {
            $this->storageUsedMB = sprintf('%d', $ndstorageUsedMB->value);
            if (isset($ndstorageUsedMB->prefix)) {
                $this->namespace['storageUsedMB'] = $ndstorageUsedMB->prefix;
                $nsUri = $ndstorageUsedMB->lookupNamespaceURI($ndstorageUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageUsedMB');
        } else {
            $this->storageUsedMB = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndnumberOfDisks = $attrs->getNamedItem('numberOfDisks');
        if (!is_null($ndnumberOfDisks)) {
            $this->numberOfDisks = sprintf('%d', $ndnumberOfDisks->value);
            if (isset($ndnumberOfDisks->prefix)) {
                $this->namespace['numberOfDisks'] = $ndnumberOfDisks->prefix;
                $nsUri = $ndnumberOfDisks->lookupNamespaceURI($ndnumberOfDisks->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfDisks');
        } else {
            $this->numberOfDisks = null;
        }
        $ndstorageLimitMB = $attrs->getNamedItem('storageLimitMB');
        if (!is_null($ndstorageLimitMB)) {
            $this->storageLimitMB = sprintf('%d', $ndstorageLimitMB->value);
            if (isset($ndstorageLimitMB->prefix)) {
                $this->namespace['storageLimitMB'] = $ndstorageLimitMB->prefix;
                $nsUri = $ndstorageLimitMB->lookupNamespaceURI($ndstorageLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageLimitMB');
        } else {
            $this->storageLimitMB = null;
        }
        $ndnumberOfMedia = $attrs->getNamedItem('numberOfMedia');
        if (!is_null($ndnumberOfMedia)) {
            $this->numberOfMedia = sprintf('%d', $ndnumberOfMedia->value);
            if (isset($ndnumberOfMedia->prefix)) {
                $this->namespace['numberOfMedia'] = $ndnumberOfMedia->prefix;
                $nsUri = $ndnumberOfMedia->lookupNamespaceURI($ndnumberOfMedia->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfMedia');
        } else {
            $this->numberOfMedia = null;
        }
        $ndcpuAllocationMhz = $attrs->getNamedItem('cpuAllocationMhz');
        if (!is_null($ndcpuAllocationMhz)) {
            $this->cpuAllocationMhz = sprintf('%d', $ndcpuAllocationMhz->value);
            if (isset($ndcpuAllocationMhz->prefix)) {
                $this->namespace['cpuAllocationMhz'] = $ndcpuAllocationMhz->prefix;
                $nsUri = $ndcpuAllocationMhz->lookupNamespaceURI($ndcpuAllocationMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuAllocationMhz');
        } else {
            $this->cpuAllocationMhz = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminVdcRecordType


/**
 * Type for a single providerVdc query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVMWProviderVdcRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $numberOfVdcs = null;
    protected $status = null;
    protected $numberOfStorageProfiles = null;
    protected $vcpuRatingMhz = null;
    protected $storageUsedMB = null;
    protected $name = null;
    protected $memoryLimitMB = null;
    protected $isEnabled = null;
    protected $storageLimitMB = null;
    protected $numberOfDatastores = null;
    protected $cpuLimitMhz = null;
    protected $memoryUsedMB = null;
    protected $cpuUsedMhz = null;
    protected $cpuAllocationMhz = null;
    protected $memoryAllocationMB = null;
    protected $isBusy = null;
    protected $storageAllocationMB = null;
    protected $isDeleted = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param int $numberOfVdcs - [optional] an attribute, 
    * @param string $status - [optional] an attribute, 
    * @param int $numberOfStorageProfiles - [optional] an attribute, 
    * @param int $vcpuRatingMhz - [optional] an attribute, 
    * @param long $storageUsedMB - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param long $memoryLimitMB - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param long $storageLimitMB - [optional] an attribute, 
    * @param int $numberOfDatastores - [optional] an attribute, 
    * @param long $cpuLimitMhz - [optional] an attribute, 
    * @param long $memoryUsedMB - [optional] an attribute, 
    * @param long $cpuUsedMhz - [optional] an attribute, 
    * @param long $cpuAllocationMhz - [optional] an attribute, 
    * @param long $memoryAllocationMB - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param long $storageAllocationMB - [optional] an attribute, 
    * @param boolean $isDeleted - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $numberOfVdcs=null, $status=null, $numberOfStorageProfiles=null, $vcpuRatingMhz=null, $storageUsedMB=null, $name=null, $memoryLimitMB=null, $isEnabled=null, $storageLimitMB=null, $numberOfDatastores=null, $cpuLimitMhz=null, $memoryUsedMB=null, $cpuUsedMhz=null, $cpuAllocationMhz=null, $memoryAllocationMB=null, $isBusy=null, $storageAllocationMB=null, $isDeleted=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->numberOfVdcs = $numberOfVdcs;
        $this->status = $status;
        $this->numberOfStorageProfiles = $numberOfStorageProfiles;
        $this->vcpuRatingMhz = $vcpuRatingMhz;
        $this->storageUsedMB = $storageUsedMB;
        $this->name = $name;
        $this->memoryLimitMB = $memoryLimitMB;
        $this->isEnabled = $isEnabled;
        $this->storageLimitMB = $storageLimitMB;
        $this->numberOfDatastores = $numberOfDatastores;
        $this->cpuLimitMhz = $cpuLimitMhz;
        $this->memoryUsedMB = $memoryUsedMB;
        $this->cpuUsedMhz = $cpuUsedMhz;
        $this->cpuAllocationMhz = $cpuAllocationMhz;
        $this->memoryAllocationMB = $memoryAllocationMB;
        $this->isBusy = $isBusy;
        $this->storageAllocationMB = $storageAllocationMB;
        $this->isDeleted = $isDeleted;
        $this->tagName = 'VMWProviderVdcRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_numberOfVdcs(){
        return $this->numberOfVdcs;
    }
    public function set_numberOfVdcs($numberOfVdcs) {
        $this->numberOfVdcs = $numberOfVdcs;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_numberOfStorageProfiles(){
        return $this->numberOfStorageProfiles;
    }
    public function set_numberOfStorageProfiles($numberOfStorageProfiles) {
        $this->numberOfStorageProfiles = $numberOfStorageProfiles;
    }
    public function get_vcpuRatingMhz(){
        return $this->vcpuRatingMhz;
    }
    public function set_vcpuRatingMhz($vcpuRatingMhz) {
        $this->vcpuRatingMhz = $vcpuRatingMhz;
    }
    public function get_storageUsedMB(){
        return $this->storageUsedMB;
    }
    public function set_storageUsedMB($storageUsedMB) {
        $this->storageUsedMB = $storageUsedMB;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_memoryLimitMB(){
        return $this->memoryLimitMB;
    }
    public function set_memoryLimitMB($memoryLimitMB) {
        $this->memoryLimitMB = $memoryLimitMB;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_storageLimitMB(){
        return $this->storageLimitMB;
    }
    public function set_storageLimitMB($storageLimitMB) {
        $this->storageLimitMB = $storageLimitMB;
    }
    public function get_numberOfDatastores(){
        return $this->numberOfDatastores;
    }
    public function set_numberOfDatastores($numberOfDatastores) {
        $this->numberOfDatastores = $numberOfDatastores;
    }
    public function get_cpuLimitMhz(){
        return $this->cpuLimitMhz;
    }
    public function set_cpuLimitMhz($cpuLimitMhz) {
        $this->cpuLimitMhz = $cpuLimitMhz;
    }
    public function get_memoryUsedMB(){
        return $this->memoryUsedMB;
    }
    public function set_memoryUsedMB($memoryUsedMB) {
        $this->memoryUsedMB = $memoryUsedMB;
    }
    public function get_cpuUsedMhz(){
        return $this->cpuUsedMhz;
    }
    public function set_cpuUsedMhz($cpuUsedMhz) {
        $this->cpuUsedMhz = $cpuUsedMhz;
    }
    public function get_cpuAllocationMhz(){
        return $this->cpuAllocationMhz;
    }
    public function set_cpuAllocationMhz($cpuAllocationMhz) {
        $this->cpuAllocationMhz = $cpuAllocationMhz;
    }
    public function get_memoryAllocationMB(){
        return $this->memoryAllocationMB;
    }
    public function set_memoryAllocationMB($memoryAllocationMB) {
        $this->memoryAllocationMB = $memoryAllocationMB;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_storageAllocationMB(){
        return $this->storageAllocationMB;
    }
    public function set_storageAllocationMB($storageAllocationMB) {
        $this->storageAllocationMB = $storageAllocationMB;
    }
    public function get_isDeleted(){
        return $this->isDeleted;
    }
    public function set_isDeleted($isDeleted) {
        $this->isDeleted = $isDeleted;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->numberOfVdcs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVdcs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVdcs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVdcs, $input_name='numberOfVdcs')));
        }
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->numberOfStorageProfiles)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfStorageProfiles', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfStorageProfiles=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfStorageProfiles, $input_name='numberOfStorageProfiles')));
        }
        if (!is_null($this->vcpuRatingMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcpuRatingMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcpuRatingMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->vcpuRatingMhz, $input_name='vcpuRatingMhz')));
        }
        if (!is_null($this->storageUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageUsedMB, $input_name='storageUsedMB')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->memoryLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryLimitMB, $input_name='memoryLimitMB')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->storageLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageLimitMB, $input_name='storageLimitMB')));
        }
        if (!is_null($this->numberOfDatastores)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfDatastores', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfDatastores=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfDatastores, $input_name='numberOfDatastores')));
        }
        if (!is_null($this->cpuLimitMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuLimitMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuLimitMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuLimitMhz, $input_name='cpuLimitMhz')));
        }
        if (!is_null($this->memoryUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryUsedMB, $input_name='memoryUsedMB')));
        }
        if (!is_null($this->cpuUsedMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuUsedMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuUsedMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuUsedMhz, $input_name='cpuUsedMhz')));
        }
        if (!is_null($this->cpuAllocationMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuAllocationMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuAllocationMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuAllocationMhz, $input_name='cpuAllocationMhz')));
        }
        if (!is_null($this->memoryAllocationMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryAllocationMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryAllocationMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryAllocationMB, $input_name='memoryAllocationMB')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->storageAllocationMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageAllocationMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageAllocationMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageAllocationMB, $input_name='storageAllocationMB')));
        }
        if (!is_null($this->isDeleted)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeleted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeleted=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeleted, $input_name='isDeleted')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndnumberOfVdcs = $attrs->getNamedItem('numberOfVdcs');
        if (!is_null($ndnumberOfVdcs)) {
            $this->numberOfVdcs = sprintf('%d', $ndnumberOfVdcs->value);
            if (isset($ndnumberOfVdcs->prefix)) {
                $this->namespace['numberOfVdcs'] = $ndnumberOfVdcs->prefix;
                $nsUri = $ndnumberOfVdcs->lookupNamespaceURI($ndnumberOfVdcs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVdcs');
        } else {
            $this->numberOfVdcs = null;
        }
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndnumberOfStorageProfiles = $attrs->getNamedItem('numberOfStorageProfiles');
        if (!is_null($ndnumberOfStorageProfiles)) {
            $this->numberOfStorageProfiles = sprintf('%d', $ndnumberOfStorageProfiles->value);
            if (isset($ndnumberOfStorageProfiles->prefix)) {
                $this->namespace['numberOfStorageProfiles'] = $ndnumberOfStorageProfiles->prefix;
                $nsUri = $ndnumberOfStorageProfiles->lookupNamespaceURI($ndnumberOfStorageProfiles->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfStorageProfiles');
        } else {
            $this->numberOfStorageProfiles = null;
        }
        $ndvcpuRatingMhz = $attrs->getNamedItem('vcpuRatingMhz');
        if (!is_null($ndvcpuRatingMhz)) {
            $this->vcpuRatingMhz = sprintf('%d', $ndvcpuRatingMhz->value);
            if (isset($ndvcpuRatingMhz->prefix)) {
                $this->namespace['vcpuRatingMhz'] = $ndvcpuRatingMhz->prefix;
                $nsUri = $ndvcpuRatingMhz->lookupNamespaceURI($ndvcpuRatingMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcpuRatingMhz');
        } else {
            $this->vcpuRatingMhz = null;
        }
        $ndstorageUsedMB = $attrs->getNamedItem('storageUsedMB');
        if (!is_null($ndstorageUsedMB)) {
            $this->storageUsedMB = sprintf('%d', $ndstorageUsedMB->value);
            if (isset($ndstorageUsedMB->prefix)) {
                $this->namespace['storageUsedMB'] = $ndstorageUsedMB->prefix;
                $nsUri = $ndstorageUsedMB->lookupNamespaceURI($ndstorageUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageUsedMB');
        } else {
            $this->storageUsedMB = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndmemoryLimitMB = $attrs->getNamedItem('memoryLimitMB');
        if (!is_null($ndmemoryLimitMB)) {
            $this->memoryLimitMB = sprintf('%d', $ndmemoryLimitMB->value);
            if (isset($ndmemoryLimitMB->prefix)) {
                $this->namespace['memoryLimitMB'] = $ndmemoryLimitMB->prefix;
                $nsUri = $ndmemoryLimitMB->lookupNamespaceURI($ndmemoryLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryLimitMB');
        } else {
            $this->memoryLimitMB = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndstorageLimitMB = $attrs->getNamedItem('storageLimitMB');
        if (!is_null($ndstorageLimitMB)) {
            $this->storageLimitMB = sprintf('%d', $ndstorageLimitMB->value);
            if (isset($ndstorageLimitMB->prefix)) {
                $this->namespace['storageLimitMB'] = $ndstorageLimitMB->prefix;
                $nsUri = $ndstorageLimitMB->lookupNamespaceURI($ndstorageLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageLimitMB');
        } else {
            $this->storageLimitMB = null;
        }
        $ndnumberOfDatastores = $attrs->getNamedItem('numberOfDatastores');
        if (!is_null($ndnumberOfDatastores)) {
            $this->numberOfDatastores = sprintf('%d', $ndnumberOfDatastores->value);
            if (isset($ndnumberOfDatastores->prefix)) {
                $this->namespace['numberOfDatastores'] = $ndnumberOfDatastores->prefix;
                $nsUri = $ndnumberOfDatastores->lookupNamespaceURI($ndnumberOfDatastores->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfDatastores');
        } else {
            $this->numberOfDatastores = null;
        }
        $ndcpuLimitMhz = $attrs->getNamedItem('cpuLimitMhz');
        if (!is_null($ndcpuLimitMhz)) {
            $this->cpuLimitMhz = sprintf('%d', $ndcpuLimitMhz->value);
            if (isset($ndcpuLimitMhz->prefix)) {
                $this->namespace['cpuLimitMhz'] = $ndcpuLimitMhz->prefix;
                $nsUri = $ndcpuLimitMhz->lookupNamespaceURI($ndcpuLimitMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuLimitMhz');
        } else {
            $this->cpuLimitMhz = null;
        }
        $ndmemoryUsedMB = $attrs->getNamedItem('memoryUsedMB');
        if (!is_null($ndmemoryUsedMB)) {
            $this->memoryUsedMB = sprintf('%d', $ndmemoryUsedMB->value);
            if (isset($ndmemoryUsedMB->prefix)) {
                $this->namespace['memoryUsedMB'] = $ndmemoryUsedMB->prefix;
                $nsUri = $ndmemoryUsedMB->lookupNamespaceURI($ndmemoryUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryUsedMB');
        } else {
            $this->memoryUsedMB = null;
        }
        $ndcpuUsedMhz = $attrs->getNamedItem('cpuUsedMhz');
        if (!is_null($ndcpuUsedMhz)) {
            $this->cpuUsedMhz = sprintf('%d', $ndcpuUsedMhz->value);
            if (isset($ndcpuUsedMhz->prefix)) {
                $this->namespace['cpuUsedMhz'] = $ndcpuUsedMhz->prefix;
                $nsUri = $ndcpuUsedMhz->lookupNamespaceURI($ndcpuUsedMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuUsedMhz');
        } else {
            $this->cpuUsedMhz = null;
        }
        $ndcpuAllocationMhz = $attrs->getNamedItem('cpuAllocationMhz');
        if (!is_null($ndcpuAllocationMhz)) {
            $this->cpuAllocationMhz = sprintf('%d', $ndcpuAllocationMhz->value);
            if (isset($ndcpuAllocationMhz->prefix)) {
                $this->namespace['cpuAllocationMhz'] = $ndcpuAllocationMhz->prefix;
                $nsUri = $ndcpuAllocationMhz->lookupNamespaceURI($ndcpuAllocationMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuAllocationMhz');
        } else {
            $this->cpuAllocationMhz = null;
        }
        $ndmemoryAllocationMB = $attrs->getNamedItem('memoryAllocationMB');
        if (!is_null($ndmemoryAllocationMB)) {
            $this->memoryAllocationMB = sprintf('%d', $ndmemoryAllocationMB->value);
            if (isset($ndmemoryAllocationMB->prefix)) {
                $this->namespace['memoryAllocationMB'] = $ndmemoryAllocationMB->prefix;
                $nsUri = $ndmemoryAllocationMB->lookupNamespaceURI($ndmemoryAllocationMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryAllocationMB');
        } else {
            $this->memoryAllocationMB = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndstorageAllocationMB = $attrs->getNamedItem('storageAllocationMB');
        if (!is_null($ndstorageAllocationMB)) {
            $this->storageAllocationMB = sprintf('%d', $ndstorageAllocationMB->value);
            if (isset($ndstorageAllocationMB->prefix)) {
                $this->namespace['storageAllocationMB'] = $ndstorageAllocationMB->prefix;
                $nsUri = $ndstorageAllocationMB->lookupNamespaceURI($ndstorageAllocationMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageAllocationMB');
        } else {
            $this->storageAllocationMB = null;
        }
        $ndisDeleted = $attrs->getNamedItem('isDeleted');
        if (!is_null($ndisDeleted)) {
            $this->isDeleted = VMware_VCloud_API_Helper::get_boolean($ndisDeleted->value);
            if (isset($ndisDeleted->prefix)) {
                $this->namespace['isDeleted'] = $ndisDeleted->prefix;
                $nsUri = $ndisDeleted->lookupNamespaceURI($ndisDeleted->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeleted');
        } else {
            $this->isDeleted = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVMWProviderVdcRecordType


/**
 * Type for a single externalNetwork query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultNetworkRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $dns2 = null;
    protected $dns1 = null;
    protected $netmask = null;
    protected $dnsSuffix = null;
    protected $isBusy = null;
    protected $gateway = null;
    protected $ipScopeId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $dns2 - [optional] an attribute, 
    * @param string $dns1 - [optional] an attribute, 
    * @param string $netmask - [optional] an attribute, 
    * @param string $dnsSuffix - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $gateway - [optional] an attribute, 
    * @param string $ipScopeId - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $dns2=null, $dns1=null, $netmask=null, $dnsSuffix=null, $isBusy=null, $gateway=null, $ipScopeId=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->dns2 = $dns2;
        $this->dns1 = $dns1;
        $this->netmask = $netmask;
        $this->dnsSuffix = $dnsSuffix;
        $this->isBusy = $isBusy;
        $this->gateway = $gateway;
        $this->ipScopeId = $ipScopeId;
        $this->tagName = 'NetworkRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_dns2(){
        return $this->dns2;
    }
    public function set_dns2($dns2) {
        $this->dns2 = $dns2;
    }
    public function get_dns1(){
        return $this->dns1;
    }
    public function set_dns1($dns1) {
        $this->dns1 = $dns1;
    }
    public function get_netmask(){
        return $this->netmask;
    }
    public function set_netmask($netmask) {
        $this->netmask = $netmask;
    }
    public function get_dnsSuffix(){
        return $this->dnsSuffix;
    }
    public function set_dnsSuffix($dnsSuffix) {
        $this->dnsSuffix = $dnsSuffix;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_gateway(){
        return $this->gateway;
    }
    public function set_gateway($gateway) {
        $this->gateway = $gateway;
    }
    public function get_ipScopeId(){
        return $this->ipScopeId;
    }
    public function set_ipScopeId($ipScopeId) {
        $this->ipScopeId = $ipScopeId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->dns2)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns2', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns2=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns2, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns2')));
        }
        if (!is_null($this->dns1)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns1', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns1=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns1, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns1')));
        }
        if (!is_null($this->netmask)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'netmask=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='netmask')));
        }
        if (!is_null($this->dnsSuffix)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dnsSuffix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dnsSuffix=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dnsSuffix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dnsSuffix')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->gateway)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'gateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'gateway=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->gateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='gateway')));
        }
        if (!is_null($this->ipScopeId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ipScopeId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ipScopeId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ipScopeId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ipScopeId')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $nddns2 = $attrs->getNamedItem('dns2');
        if (!is_null($nddns2)) {
            $this->dns2 = $nddns2->value;
            if (isset($nddns2->prefix)) {
                $this->namespace['dns2'] = $nddns2->prefix;
                $nsUri = $nddns2->lookupNamespaceURI($nddns2->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns2');
        } else {
            $this->dns2 = null;
        }
        $nddns1 = $attrs->getNamedItem('dns1');
        if (!is_null($nddns1)) {
            $this->dns1 = $nddns1->value;
            if (isset($nddns1->prefix)) {
                $this->namespace['dns1'] = $nddns1->prefix;
                $nsUri = $nddns1->lookupNamespaceURI($nddns1->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns1');
        } else {
            $this->dns1 = null;
        }
        $ndnetmask = $attrs->getNamedItem('netmask');
        if (!is_null($ndnetmask)) {
            $this->netmask = $ndnetmask->value;
            if (isset($ndnetmask->prefix)) {
                $this->namespace['netmask'] = $ndnetmask->prefix;
                $nsUri = $ndnetmask->lookupNamespaceURI($ndnetmask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'netmask');
        } else {
            $this->netmask = null;
        }
        $nddnsSuffix = $attrs->getNamedItem('dnsSuffix');
        if (!is_null($nddnsSuffix)) {
            $this->dnsSuffix = $nddnsSuffix->value;
            if (isset($nddnsSuffix->prefix)) {
                $this->namespace['dnsSuffix'] = $nddnsSuffix->prefix;
                $nsUri = $nddnsSuffix->lookupNamespaceURI($nddnsSuffix->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dnsSuffix');
        } else {
            $this->dnsSuffix = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndgateway = $attrs->getNamedItem('gateway');
        if (!is_null($ndgateway)) {
            $this->gateway = $ndgateway->value;
            if (isset($ndgateway->prefix)) {
                $this->namespace['gateway'] = $ndgateway->prefix;
                $nsUri = $ndgateway->lookupNamespaceURI($ndgateway->prefix);
            }
            $node->removeAttributeNS($nsUri, 'gateway');
        } else {
            $this->gateway = null;
        }
        $ndipScopeId = $attrs->getNamedItem('ipScopeId');
        if (!is_null($ndipScopeId)) {
            $this->ipScopeId = $ndipScopeId->value;
            if (isset($ndipScopeId->prefix)) {
                $this->namespace['ipScopeId'] = $ndipScopeId->prefix;
                $nsUri = $ndipScopeId->lookupNamespaceURI($ndipScopeId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ipScopeId');
        } else {
            $this->ipScopeId = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultNetworkRecordType


/**
 * Type for a single group query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultGroupRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isReadOnly = null;
    protected $roleName = null;
    protected $name = null;
    protected $identityProviderType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isReadOnly - [optional] an attribute, 
    * @param string $roleName - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $identityProviderType - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isReadOnly=null, $roleName=null, $name=null, $identityProviderType=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isReadOnly = $isReadOnly;
        $this->roleName = $roleName;
        $this->name = $name;
        $this->identityProviderType = $identityProviderType;
        $this->tagName = 'GroupRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isReadOnly(){
        return $this->isReadOnly;
    }
    public function set_isReadOnly($isReadOnly) {
        $this->isReadOnly = $isReadOnly;
    }
    public function get_roleName(){
        return $this->roleName;
    }
    public function set_roleName($roleName) {
        $this->roleName = $roleName;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_identityProviderType(){
        return $this->identityProviderType;
    }
    public function set_identityProviderType($identityProviderType) {
        $this->identityProviderType = $identityProviderType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isReadOnly)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isReadOnly', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isReadOnly=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isReadOnly, $input_name='isReadOnly')));
        }
        if (!is_null($this->roleName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'roleName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'roleName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->roleName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='roleName')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->identityProviderType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'identityProviderType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'identityProviderType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->identityProviderType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='identityProviderType')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisReadOnly = $attrs->getNamedItem('isReadOnly');
        if (!is_null($ndisReadOnly)) {
            $this->isReadOnly = VMware_VCloud_API_Helper::get_boolean($ndisReadOnly->value);
            if (isset($ndisReadOnly->prefix)) {
                $this->namespace['isReadOnly'] = $ndisReadOnly->prefix;
                $nsUri = $ndisReadOnly->lookupNamespaceURI($ndisReadOnly->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isReadOnly');
        } else {
            $this->isReadOnly = null;
        }
        $ndroleName = $attrs->getNamedItem('roleName');
        if (!is_null($ndroleName)) {
            $this->roleName = $ndroleName->value;
            if (isset($ndroleName->prefix)) {
                $this->namespace['roleName'] = $ndroleName->prefix;
                $nsUri = $ndroleName->lookupNamespaceURI($ndroleName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'roleName');
        } else {
            $this->roleName = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndidentityProviderType = $attrs->getNamedItem('identityProviderType');
        if (!is_null($ndidentityProviderType)) {
            $this->identityProviderType = $ndidentityProviderType->value;
            if (isset($ndidentityProviderType->prefix)) {
                $this->namespace['identityProviderType'] = $ndidentityProviderType->prefix;
                $nsUri = $ndidentityProviderType->lookupNamespaceURI($ndidentityProviderType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'identityProviderType');
        } else {
            $this->identityProviderType = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultGroupRecordType


/**
 * Type for a single user query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultUserRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isLdapUser = null;
    protected $name = null;
    protected $isEnabled = null;
    protected $deployedVMQuota = null;
    protected $storedVMQuota = null;
    protected $numberOfStoredVMs = null;
    protected $numberOfDeployedVMs = null;
    protected $identityProviderType = null;
    protected $fullName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isLdapUser - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param int $deployedVMQuota - [optional] an attribute, 
    * @param int $storedVMQuota - [optional] an attribute, 
    * @param int $numberOfStoredVMs - [optional] an attribute, 
    * @param int $numberOfDeployedVMs - [optional] an attribute, 
    * @param string $identityProviderType - [optional] an attribute, 
    * @param string $fullName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isLdapUser=null, $name=null, $isEnabled=null, $deployedVMQuota=null, $storedVMQuota=null, $numberOfStoredVMs=null, $numberOfDeployedVMs=null, $identityProviderType=null, $fullName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isLdapUser = $isLdapUser;
        $this->name = $name;
        $this->isEnabled = $isEnabled;
        $this->deployedVMQuota = $deployedVMQuota;
        $this->storedVMQuota = $storedVMQuota;
        $this->numberOfStoredVMs = $numberOfStoredVMs;
        $this->numberOfDeployedVMs = $numberOfDeployedVMs;
        $this->identityProviderType = $identityProviderType;
        $this->fullName = $fullName;
        $this->tagName = 'UserRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isLdapUser(){
        return $this->isLdapUser;
    }
    public function set_isLdapUser($isLdapUser) {
        $this->isLdapUser = $isLdapUser;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_deployedVMQuota(){
        return $this->deployedVMQuota;
    }
    public function set_deployedVMQuota($deployedVMQuota) {
        $this->deployedVMQuota = $deployedVMQuota;
    }
    public function get_storedVMQuota(){
        return $this->storedVMQuota;
    }
    public function set_storedVMQuota($storedVMQuota) {
        $this->storedVMQuota = $storedVMQuota;
    }
    public function get_numberOfStoredVMs(){
        return $this->numberOfStoredVMs;
    }
    public function set_numberOfStoredVMs($numberOfStoredVMs) {
        $this->numberOfStoredVMs = $numberOfStoredVMs;
    }
    public function get_numberOfDeployedVMs(){
        return $this->numberOfDeployedVMs;
    }
    public function set_numberOfDeployedVMs($numberOfDeployedVMs) {
        $this->numberOfDeployedVMs = $numberOfDeployedVMs;
    }
    public function get_identityProviderType(){
        return $this->identityProviderType;
    }
    public function set_identityProviderType($identityProviderType) {
        $this->identityProviderType = $identityProviderType;
    }
    public function get_fullName(){
        return $this->fullName;
    }
    public function set_fullName($fullName) {
        $this->fullName = $fullName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isLdapUser)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isLdapUser', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isLdapUser=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isLdapUser, $input_name='isLdapUser')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->deployedVMQuota)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deployedVMQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deployedVMQuota=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->deployedVMQuota, $input_name='deployedVMQuota')));
        }
        if (!is_null($this->storedVMQuota)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storedVMQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storedVMQuota=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storedVMQuota, $input_name='storedVMQuota')));
        }
        if (!is_null($this->numberOfStoredVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfStoredVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfStoredVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfStoredVMs, $input_name='numberOfStoredVMs')));
        }
        if (!is_null($this->numberOfDeployedVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfDeployedVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfDeployedVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfDeployedVMs, $input_name='numberOfDeployedVMs')));
        }
        if (!is_null($this->identityProviderType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'identityProviderType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'identityProviderType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->identityProviderType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='identityProviderType')));
        }
        if (!is_null($this->fullName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fullName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fullName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fullName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fullName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisLdapUser = $attrs->getNamedItem('isLdapUser');
        if (!is_null($ndisLdapUser)) {
            $this->isLdapUser = VMware_VCloud_API_Helper::get_boolean($ndisLdapUser->value);
            if (isset($ndisLdapUser->prefix)) {
                $this->namespace['isLdapUser'] = $ndisLdapUser->prefix;
                $nsUri = $ndisLdapUser->lookupNamespaceURI($ndisLdapUser->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isLdapUser');
        } else {
            $this->isLdapUser = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $nddeployedVMQuota = $attrs->getNamedItem('deployedVMQuota');
        if (!is_null($nddeployedVMQuota)) {
            $this->deployedVMQuota = sprintf('%d', $nddeployedVMQuota->value);
            if (isset($nddeployedVMQuota->prefix)) {
                $this->namespace['deployedVMQuota'] = $nddeployedVMQuota->prefix;
                $nsUri = $nddeployedVMQuota->lookupNamespaceURI($nddeployedVMQuota->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deployedVMQuota');
        } else {
            $this->deployedVMQuota = null;
        }
        $ndstoredVMQuota = $attrs->getNamedItem('storedVMQuota');
        if (!is_null($ndstoredVMQuota)) {
            $this->storedVMQuota = sprintf('%d', $ndstoredVMQuota->value);
            if (isset($ndstoredVMQuota->prefix)) {
                $this->namespace['storedVMQuota'] = $ndstoredVMQuota->prefix;
                $nsUri = $ndstoredVMQuota->lookupNamespaceURI($ndstoredVMQuota->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storedVMQuota');
        } else {
            $this->storedVMQuota = null;
        }
        $ndnumberOfStoredVMs = $attrs->getNamedItem('numberOfStoredVMs');
        if (!is_null($ndnumberOfStoredVMs)) {
            $this->numberOfStoredVMs = sprintf('%d', $ndnumberOfStoredVMs->value);
            if (isset($ndnumberOfStoredVMs->prefix)) {
                $this->namespace['numberOfStoredVMs'] = $ndnumberOfStoredVMs->prefix;
                $nsUri = $ndnumberOfStoredVMs->lookupNamespaceURI($ndnumberOfStoredVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfStoredVMs');
        } else {
            $this->numberOfStoredVMs = null;
        }
        $ndnumberOfDeployedVMs = $attrs->getNamedItem('numberOfDeployedVMs');
        if (!is_null($ndnumberOfDeployedVMs)) {
            $this->numberOfDeployedVMs = sprintf('%d', $ndnumberOfDeployedVMs->value);
            if (isset($ndnumberOfDeployedVMs->prefix)) {
                $this->namespace['numberOfDeployedVMs'] = $ndnumberOfDeployedVMs->prefix;
                $nsUri = $ndnumberOfDeployedVMs->lookupNamespaceURI($ndnumberOfDeployedVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfDeployedVMs');
        } else {
            $this->numberOfDeployedVMs = null;
        }
        $ndidentityProviderType = $attrs->getNamedItem('identityProviderType');
        if (!is_null($ndidentityProviderType)) {
            $this->identityProviderType = $ndidentityProviderType->value;
            if (isset($ndidentityProviderType->prefix)) {
                $this->namespace['identityProviderType'] = $ndidentityProviderType->prefix;
                $nsUri = $ndidentityProviderType->lookupNamespaceURI($ndidentityProviderType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'identityProviderType');
        } else {
            $this->identityProviderType = null;
        }
        $ndfullName = $attrs->getNamedItem('fullName');
        if (!is_null($ndfullName)) {
            $this->fullName = $ndfullName->value;
            if (isset($ndfullName->prefix)) {
                $this->namespace['fullName'] = $ndfullName->prefix;
                $nsUri = $ndfullName->lookupNamespaceURI($ndfullName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fullName');
        } else {
            $this->fullName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultUserRecordType


/**
 * Type for a single strandedUser query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultStrandedUserRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $numberOfStoredVMs = null;
    protected $numberOfDeployedVMs = null;
    protected $isInSync = null;
    protected $org = null;
    protected $fullName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param int $numberOfStoredVMs - [optional] an attribute, 
    * @param int $numberOfDeployedVMs - [optional] an attribute, 
    * @param boolean $isInSync - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $fullName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $numberOfStoredVMs=null, $numberOfDeployedVMs=null, $isInSync=null, $org=null, $fullName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->numberOfStoredVMs = $numberOfStoredVMs;
        $this->numberOfDeployedVMs = $numberOfDeployedVMs;
        $this->isInSync = $isInSync;
        $this->org = $org;
        $this->fullName = $fullName;
        $this->tagName = 'StrandedUserRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_numberOfStoredVMs(){
        return $this->numberOfStoredVMs;
    }
    public function set_numberOfStoredVMs($numberOfStoredVMs) {
        $this->numberOfStoredVMs = $numberOfStoredVMs;
    }
    public function get_numberOfDeployedVMs(){
        return $this->numberOfDeployedVMs;
    }
    public function set_numberOfDeployedVMs($numberOfDeployedVMs) {
        $this->numberOfDeployedVMs = $numberOfDeployedVMs;
    }
    public function get_isInSync(){
        return $this->isInSync;
    }
    public function set_isInSync($isInSync) {
        $this->isInSync = $isInSync;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_fullName(){
        return $this->fullName;
    }
    public function set_fullName($fullName) {
        $this->fullName = $fullName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->numberOfStoredVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfStoredVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfStoredVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfStoredVMs, $input_name='numberOfStoredVMs')));
        }
        if (!is_null($this->numberOfDeployedVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfDeployedVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfDeployedVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfDeployedVMs, $input_name='numberOfDeployedVMs')));
        }
        if (!is_null($this->isInSync)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isInSync', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isInSync=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isInSync, $input_name='isInSync')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->fullName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fullName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fullName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fullName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fullName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndnumberOfStoredVMs = $attrs->getNamedItem('numberOfStoredVMs');
        if (!is_null($ndnumberOfStoredVMs)) {
            $this->numberOfStoredVMs = sprintf('%d', $ndnumberOfStoredVMs->value);
            if (isset($ndnumberOfStoredVMs->prefix)) {
                $this->namespace['numberOfStoredVMs'] = $ndnumberOfStoredVMs->prefix;
                $nsUri = $ndnumberOfStoredVMs->lookupNamespaceURI($ndnumberOfStoredVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfStoredVMs');
        } else {
            $this->numberOfStoredVMs = null;
        }
        $ndnumberOfDeployedVMs = $attrs->getNamedItem('numberOfDeployedVMs');
        if (!is_null($ndnumberOfDeployedVMs)) {
            $this->numberOfDeployedVMs = sprintf('%d', $ndnumberOfDeployedVMs->value);
            if (isset($ndnumberOfDeployedVMs->prefix)) {
                $this->namespace['numberOfDeployedVMs'] = $ndnumberOfDeployedVMs->prefix;
                $nsUri = $ndnumberOfDeployedVMs->lookupNamespaceURI($ndnumberOfDeployedVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfDeployedVMs');
        } else {
            $this->numberOfDeployedVMs = null;
        }
        $ndisInSync = $attrs->getNamedItem('isInSync');
        if (!is_null($ndisInSync)) {
            $this->isInSync = VMware_VCloud_API_Helper::get_boolean($ndisInSync->value);
            if (isset($ndisInSync->prefix)) {
                $this->namespace['isInSync'] = $ndisInSync->prefix;
                $nsUri = $ndisInSync->lookupNamespaceURI($ndisInSync->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isInSync');
        } else {
            $this->isInSync = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndfullName = $attrs->getNamedItem('fullName');
        if (!is_null($ndfullName)) {
            $this->fullName = $ndfullName->value;
            if (isset($ndfullName->prefix)) {
                $this->namespace['fullName'] = $ndfullName->prefix;
                $nsUri = $ndfullName->lookupNamespaceURI($ndfullName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fullName');
        } else {
            $this->fullName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultStrandedUserRecordType


/**
 * Type for a single role query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultRoleRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isReadOnly = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isReadOnly - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isReadOnly=null, $name=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isReadOnly = $isReadOnly;
        $this->name = $name;
        $this->tagName = 'RoleRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isReadOnly(){
        return $this->isReadOnly;
    }
    public function set_isReadOnly($isReadOnly) {
        $this->isReadOnly = $isReadOnly;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isReadOnly)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isReadOnly', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isReadOnly=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isReadOnly, $input_name='isReadOnly')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisReadOnly = $attrs->getNamedItem('isReadOnly');
        if (!is_null($ndisReadOnly)) {
            $this->isReadOnly = VMware_VCloud_API_Helper::get_boolean($ndisReadOnly->value);
            if (isset($ndisReadOnly->prefix)) {
                $this->namespace['isReadOnly'] = $ndisReadOnly->prefix;
                $nsUri = $ndisReadOnly->lookupNamespaceURI($ndisReadOnly->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isReadOnly');
        } else {
            $this->isReadOnly = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultRoleRecordType


/**
 * Type for a single allocatedExternalAddress query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAllocatedExternalAddressRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $ipAddress = null;
    protected $network = null;
    protected $linkedNetwork = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $ipAddress - [optional] an attribute, 
    * @param string $network - [optional] an attribute, 
    * @param string $linkedNetwork - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $ipAddress=null, $network=null, $linkedNetwork=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->ipAddress = $ipAddress;
        $this->network = $network;
        $this->linkedNetwork = $linkedNetwork;
        $this->tagName = 'AllocatedExternalAddressRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_ipAddress(){
        return $this->ipAddress;
    }
    public function set_ipAddress($ipAddress) {
        $this->ipAddress = $ipAddress;
    }
    public function get_network(){
        return $this->network;
    }
    public function set_network($network) {
        $this->network = $network;
    }
    public function get_linkedNetwork(){
        return $this->linkedNetwork;
    }
    public function set_linkedNetwork($linkedNetwork) {
        $this->linkedNetwork = $linkedNetwork;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ipAddress)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ipAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ipAddress=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ipAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ipAddress')));
        }
        if (!is_null($this->network)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'network', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'network=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->network, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='network')));
        }
        if (!is_null($this->linkedNetwork)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'linkedNetwork', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'linkedNetwork=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->linkedNetwork, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='linkedNetwork')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndipAddress = $attrs->getNamedItem('ipAddress');
        if (!is_null($ndipAddress)) {
            $this->ipAddress = $ndipAddress->value;
            if (isset($ndipAddress->prefix)) {
                $this->namespace['ipAddress'] = $ndipAddress->prefix;
                $nsUri = $ndipAddress->lookupNamespaceURI($ndipAddress->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ipAddress');
        } else {
            $this->ipAddress = null;
        }
        $ndnetwork = $attrs->getNamedItem('network');
        if (!is_null($ndnetwork)) {
            $this->network = $ndnetwork->value;
            if (isset($ndnetwork->prefix)) {
                $this->namespace['network'] = $ndnetwork->prefix;
                $nsUri = $ndnetwork->lookupNamespaceURI($ndnetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'network');
        } else {
            $this->network = null;
        }
        $ndlinkedNetwork = $attrs->getNamedItem('linkedNetwork');
        if (!is_null($ndlinkedNetwork)) {
            $this->linkedNetwork = $ndlinkedNetwork->value;
            if (isset($ndlinkedNetwork->prefix)) {
                $this->namespace['linkedNetwork'] = $ndlinkedNetwork->prefix;
                $nsUri = $ndlinkedNetwork->lookupNamespaceURI($ndlinkedNetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'linkedNetwork');
        } else {
            $this->linkedNetwork = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAllocatedExternalAddressRecordType


/**
 * Type for a single event query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultEventRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $userName = null;
    protected $orgName = null;
    protected $eventType = null;
    protected $entityName = null;
    protected $entityType = null;
    protected $entity = null;
    protected $eventStatus = null;
    protected $timeStamp = null;
    protected $serviceNamespace = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $userName - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param string $eventType - [optional] an attribute, 
    * @param string $entityName - [optional] an attribute, 
    * @param string $entityType - [optional] an attribute, 
    * @param string $entity - [optional] an attribute, 
    * @param int $eventStatus - [optional] an attribute, 
    * @param dateTime $timeStamp - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $userName=null, $orgName=null, $eventType=null, $entityName=null, $entityType=null, $entity=null, $eventStatus=null, $timeStamp=null, $serviceNamespace=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->userName = $userName;
        $this->orgName = $orgName;
        $this->eventType = $eventType;
        $this->entityName = $entityName;
        $this->entityType = $entityType;
        $this->entity = $entity;
        $this->eventStatus = $eventStatus;
        $this->timeStamp = $timeStamp;
        $this->serviceNamespace = $serviceNamespace;
        $this->tagName = 'EventRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_userName(){
        return $this->userName;
    }
    public function set_userName($userName) {
        $this->userName = $userName;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_eventType(){
        return $this->eventType;
    }
    public function set_eventType($eventType) {
        $this->eventType = $eventType;
    }
    public function get_entityName(){
        return $this->entityName;
    }
    public function set_entityName($entityName) {
        $this->entityName = $entityName;
    }
    public function get_entityType(){
        return $this->entityType;
    }
    public function set_entityType($entityType) {
        $this->entityType = $entityType;
    }
    public function get_entity(){
        return $this->entity;
    }
    public function set_entity($entity) {
        $this->entity = $entity;
    }
    public function get_eventStatus(){
        return $this->eventStatus;
    }
    public function set_eventStatus($eventStatus) {
        $this->eventStatus = $eventStatus;
    }
    public function get_timeStamp(){
        return $this->timeStamp;
    }
    public function set_timeStamp($timeStamp) {
        $this->timeStamp = $timeStamp;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->userName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'userName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'userName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->userName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='userName')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->eventType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->eventType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='eventType')));
        }
        if (!is_null($this->entityName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityName')));
        }
        if (!is_null($this->entityType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityType')));
        }
        if (!is_null($this->entity)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entity', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entity=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entity, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entity')));
        }
        if (!is_null($this->eventStatus)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventStatus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventStatus=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->eventStatus, $input_name='eventStatus')));
        }
        if (!is_null($this->timeStamp)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'timeStamp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'timeStamp=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->timeStamp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='timeStamp')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nduserName = $attrs->getNamedItem('userName');
        if (!is_null($nduserName)) {
            $this->userName = $nduserName->value;
            if (isset($nduserName->prefix)) {
                $this->namespace['userName'] = $nduserName->prefix;
                $nsUri = $nduserName->lookupNamespaceURI($nduserName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'userName');
        } else {
            $this->userName = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndeventType = $attrs->getNamedItem('eventType');
        if (!is_null($ndeventType)) {
            $this->eventType = $ndeventType->value;
            if (isset($ndeventType->prefix)) {
                $this->namespace['eventType'] = $ndeventType->prefix;
                $nsUri = $ndeventType->lookupNamespaceURI($ndeventType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventType');
        } else {
            $this->eventType = null;
        }
        $ndentityName = $attrs->getNamedItem('entityName');
        if (!is_null($ndentityName)) {
            $this->entityName = $ndentityName->value;
            if (isset($ndentityName->prefix)) {
                $this->namespace['entityName'] = $ndentityName->prefix;
                $nsUri = $ndentityName->lookupNamespaceURI($ndentityName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityName');
        } else {
            $this->entityName = null;
        }
        $ndentityType = $attrs->getNamedItem('entityType');
        if (!is_null($ndentityType)) {
            $this->entityType = $ndentityType->value;
            if (isset($ndentityType->prefix)) {
                $this->namespace['entityType'] = $ndentityType->prefix;
                $nsUri = $ndentityType->lookupNamespaceURI($ndentityType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityType');
        } else {
            $this->entityType = null;
        }
        $ndentity = $attrs->getNamedItem('entity');
        if (!is_null($ndentity)) {
            $this->entity = $ndentity->value;
            if (isset($ndentity->prefix)) {
                $this->namespace['entity'] = $ndentity->prefix;
                $nsUri = $ndentity->lookupNamespaceURI($ndentity->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entity');
        } else {
            $this->entity = null;
        }
        $ndeventStatus = $attrs->getNamedItem('eventStatus');
        if (!is_null($ndeventStatus)) {
            $this->eventStatus = sprintf('%d', $ndeventStatus->value);
            if (isset($ndeventStatus->prefix)) {
                $this->namespace['eventStatus'] = $ndeventStatus->prefix;
                $nsUri = $ndeventStatus->lookupNamespaceURI($ndeventStatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventStatus');
        } else {
            $this->eventStatus = null;
        }
        $ndtimeStamp = $attrs->getNamedItem('timeStamp');
        if (!is_null($ndtimeStamp)) {
            $this->timeStamp = $ndtimeStamp->value;
            if (isset($ndtimeStamp->prefix)) {
                $this->namespace['timeStamp'] = $ndtimeStamp->prefix;
                $nsUri = $ndtimeStamp->lookupNamespaceURI($ndtimeStamp->prefix);
            }
            $node->removeAttributeNS($nsUri, 'timeStamp');
        } else {
            $this->timeStamp = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultEventRecordType


/**
 * Type for a single resourcePool query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultResourcePoolRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $moref = null;
    protected $vc = null;
    protected $vcName = null;
    protected $name = null;
    protected $isDeleted = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $moref - [optional] an attribute, 
    * @param string $vc - [optional] an attribute, 
    * @param string $vcName - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isDeleted - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $moref=null, $vc=null, $vcName=null, $name=null, $isDeleted=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->moref = $moref;
        $this->vc = $vc;
        $this->vcName = $vcName;
        $this->name = $name;
        $this->isDeleted = $isDeleted;
        $this->tagName = 'ResourcePoolRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_moref(){
        return $this->moref;
    }
    public function set_moref($moref) {
        $this->moref = $moref;
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_vcName(){
        return $this->vcName;
    }
    public function set_vcName($vcName) {
        $this->vcName = $vcName;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isDeleted(){
        return $this->isDeleted;
    }
    public function set_isDeleted($isDeleted) {
        $this->isDeleted = $isDeleted;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->moref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'moref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'moref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->moref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='moref')));
        }
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->vcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcName')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isDeleted)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeleted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeleted=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeleted, $input_name='isDeleted')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndmoref = $attrs->getNamedItem('moref');
        if (!is_null($ndmoref)) {
            $this->moref = $ndmoref->value;
            if (isset($ndmoref->prefix)) {
                $this->namespace['moref'] = $ndmoref->prefix;
                $nsUri = $ndmoref->lookupNamespaceURI($ndmoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'moref');
        } else {
            $this->moref = null;
        }
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndvcName = $attrs->getNamedItem('vcName');
        if (!is_null($ndvcName)) {
            $this->vcName = $ndvcName->value;
            if (isset($ndvcName->prefix)) {
                $this->namespace['vcName'] = $ndvcName->prefix;
                $nsUri = $ndvcName->lookupNamespaceURI($ndvcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcName');
        } else {
            $this->vcName = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisDeleted = $attrs->getNamedItem('isDeleted');
        if (!is_null($ndisDeleted)) {
            $this->isDeleted = VMware_VCloud_API_Helper::get_boolean($ndisDeleted->value);
            if (isset($ndisDeleted->prefix)) {
                $this->namespace['isDeleted'] = $ndisDeleted->prefix;
                $nsUri = $ndisDeleted->lookupNamespaceURI($ndisDeleted->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeleted');
        } else {
            $this->isDeleted = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultResourcePoolRecordType


/**
 * Type for a single datastore query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultDatastoreRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vc = null;
    protected $storageUsedMB = null;
    protected $name = null;
    protected $isEnabled = null;
    protected $requestedStorageMB = null;
    protected $storageMB = null;
    protected $moref = null;
    protected $vcName = null;
    protected $datastoreType = null;
    protected $numberOfProviderVdcs = null;
    protected $provisionedStorageMB = null;
    protected $isDeleted = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vc - [optional] an attribute, 
    * @param long $storageUsedMB - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param long $requestedStorageMB - [optional] an attribute, 
    * @param long $storageMB - [optional] an attribute, 
    * @param string $moref - [optional] an attribute, 
    * @param string $vcName - [optional] an attribute, 
    * @param string $datastoreType - [optional] an attribute, 
    * @param int $numberOfProviderVdcs - [optional] an attribute, 
    * @param long $provisionedStorageMB - [optional] an attribute, 
    * @param boolean $isDeleted - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vc=null, $storageUsedMB=null, $name=null, $isEnabled=null, $requestedStorageMB=null, $storageMB=null, $moref=null, $vcName=null, $datastoreType=null, $numberOfProviderVdcs=null, $provisionedStorageMB=null, $isDeleted=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vc = $vc;
        $this->storageUsedMB = $storageUsedMB;
        $this->name = $name;
        $this->isEnabled = $isEnabled;
        $this->requestedStorageMB = $requestedStorageMB;
        $this->storageMB = $storageMB;
        $this->moref = $moref;
        $this->vcName = $vcName;
        $this->datastoreType = $datastoreType;
        $this->numberOfProviderVdcs = $numberOfProviderVdcs;
        $this->provisionedStorageMB = $provisionedStorageMB;
        $this->isDeleted = $isDeleted;
        $this->tagName = 'DatastoreRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_storageUsedMB(){
        return $this->storageUsedMB;
    }
    public function set_storageUsedMB($storageUsedMB) {
        $this->storageUsedMB = $storageUsedMB;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_requestedStorageMB(){
        return $this->requestedStorageMB;
    }
    public function set_requestedStorageMB($requestedStorageMB) {
        $this->requestedStorageMB = $requestedStorageMB;
    }
    public function get_storageMB(){
        return $this->storageMB;
    }
    public function set_storageMB($storageMB) {
        $this->storageMB = $storageMB;
    }
    public function get_moref(){
        return $this->moref;
    }
    public function set_moref($moref) {
        $this->moref = $moref;
    }
    public function get_vcName(){
        return $this->vcName;
    }
    public function set_vcName($vcName) {
        $this->vcName = $vcName;
    }
    public function get_datastoreType(){
        return $this->datastoreType;
    }
    public function set_datastoreType($datastoreType) {
        $this->datastoreType = $datastoreType;
    }
    public function get_numberOfProviderVdcs(){
        return $this->numberOfProviderVdcs;
    }
    public function set_numberOfProviderVdcs($numberOfProviderVdcs) {
        $this->numberOfProviderVdcs = $numberOfProviderVdcs;
    }
    public function get_provisionedStorageMB(){
        return $this->provisionedStorageMB;
    }
    public function set_provisionedStorageMB($provisionedStorageMB) {
        $this->provisionedStorageMB = $provisionedStorageMB;
    }
    public function get_isDeleted(){
        return $this->isDeleted;
    }
    public function set_isDeleted($isDeleted) {
        $this->isDeleted = $isDeleted;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->storageUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageUsedMB, $input_name='storageUsedMB')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->requestedStorageMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'requestedStorageMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'requestedStorageMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->requestedStorageMB, $input_name='requestedStorageMB')));
        }
        if (!is_null($this->storageMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageMB, $input_name='storageMB')));
        }
        if (!is_null($this->moref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'moref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'moref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->moref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='moref')));
        }
        if (!is_null($this->vcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcName')));
        }
        if (!is_null($this->datastoreType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastoreType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastoreType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastoreType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastoreType')));
        }
        if (!is_null($this->numberOfProviderVdcs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfProviderVdcs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfProviderVdcs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfProviderVdcs, $input_name='numberOfProviderVdcs')));
        }
        if (!is_null($this->provisionedStorageMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'provisionedStorageMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'provisionedStorageMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->provisionedStorageMB, $input_name='provisionedStorageMB')));
        }
        if (!is_null($this->isDeleted)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeleted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeleted=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeleted, $input_name='isDeleted')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndstorageUsedMB = $attrs->getNamedItem('storageUsedMB');
        if (!is_null($ndstorageUsedMB)) {
            $this->storageUsedMB = sprintf('%d', $ndstorageUsedMB->value);
            if (isset($ndstorageUsedMB->prefix)) {
                $this->namespace['storageUsedMB'] = $ndstorageUsedMB->prefix;
                $nsUri = $ndstorageUsedMB->lookupNamespaceURI($ndstorageUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageUsedMB');
        } else {
            $this->storageUsedMB = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndrequestedStorageMB = $attrs->getNamedItem('requestedStorageMB');
        if (!is_null($ndrequestedStorageMB)) {
            $this->requestedStorageMB = sprintf('%d', $ndrequestedStorageMB->value);
            if (isset($ndrequestedStorageMB->prefix)) {
                $this->namespace['requestedStorageMB'] = $ndrequestedStorageMB->prefix;
                $nsUri = $ndrequestedStorageMB->lookupNamespaceURI($ndrequestedStorageMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'requestedStorageMB');
        } else {
            $this->requestedStorageMB = null;
        }
        $ndstorageMB = $attrs->getNamedItem('storageMB');
        if (!is_null($ndstorageMB)) {
            $this->storageMB = sprintf('%d', $ndstorageMB->value);
            if (isset($ndstorageMB->prefix)) {
                $this->namespace['storageMB'] = $ndstorageMB->prefix;
                $nsUri = $ndstorageMB->lookupNamespaceURI($ndstorageMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageMB');
        } else {
            $this->storageMB = null;
        }
        $ndmoref = $attrs->getNamedItem('moref');
        if (!is_null($ndmoref)) {
            $this->moref = $ndmoref->value;
            if (isset($ndmoref->prefix)) {
                $this->namespace['moref'] = $ndmoref->prefix;
                $nsUri = $ndmoref->lookupNamespaceURI($ndmoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'moref');
        } else {
            $this->moref = null;
        }
        $ndvcName = $attrs->getNamedItem('vcName');
        if (!is_null($ndvcName)) {
            $this->vcName = $ndvcName->value;
            if (isset($ndvcName->prefix)) {
                $this->namespace['vcName'] = $ndvcName->prefix;
                $nsUri = $ndvcName->lookupNamespaceURI($ndvcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcName');
        } else {
            $this->vcName = null;
        }
        $nddatastoreType = $attrs->getNamedItem('datastoreType');
        if (!is_null($nddatastoreType)) {
            $this->datastoreType = $nddatastoreType->value;
            if (isset($nddatastoreType->prefix)) {
                $this->namespace['datastoreType'] = $nddatastoreType->prefix;
                $nsUri = $nddatastoreType->lookupNamespaceURI($nddatastoreType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastoreType');
        } else {
            $this->datastoreType = null;
        }
        $ndnumberOfProviderVdcs = $attrs->getNamedItem('numberOfProviderVdcs');
        if (!is_null($ndnumberOfProviderVdcs)) {
            $this->numberOfProviderVdcs = sprintf('%d', $ndnumberOfProviderVdcs->value);
            if (isset($ndnumberOfProviderVdcs->prefix)) {
                $this->namespace['numberOfProviderVdcs'] = $ndnumberOfProviderVdcs->prefix;
                $nsUri = $ndnumberOfProviderVdcs->lookupNamespaceURI($ndnumberOfProviderVdcs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfProviderVdcs');
        } else {
            $this->numberOfProviderVdcs = null;
        }
        $ndprovisionedStorageMB = $attrs->getNamedItem('provisionedStorageMB');
        if (!is_null($ndprovisionedStorageMB)) {
            $this->provisionedStorageMB = sprintf('%d', $ndprovisionedStorageMB->value);
            if (isset($ndprovisionedStorageMB->prefix)) {
                $this->namespace['provisionedStorageMB'] = $ndprovisionedStorageMB->prefix;
                $nsUri = $ndprovisionedStorageMB->lookupNamespaceURI($ndprovisionedStorageMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'provisionedStorageMB');
        } else {
            $this->provisionedStorageMB = null;
        }
        $ndisDeleted = $attrs->getNamedItem('isDeleted');
        if (!is_null($ndisDeleted)) {
            $this->isDeleted = VMware_VCloud_API_Helper::get_boolean($ndisDeleted->value);
            if (isset($ndisDeleted->prefix)) {
                $this->namespace['isDeleted'] = $ndisDeleted->prefix;
                $nsUri = $ndisDeleted->lookupNamespaceURI($ndisDeleted->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeleted');
        } else {
            $this->isDeleted = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultDatastoreRecordType


/**
 * Type for a single networkPool query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultNetworkPoolRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isBusy = null;
    protected $networkPoolType = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isBusy - [optional] an attribute, 
    * @param int $networkPoolType - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isBusy=null, $networkPoolType=null, $name=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isBusy = $isBusy;
        $this->networkPoolType = $networkPoolType;
        $this->name = $name;
        $this->tagName = 'NetworkPoolRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_networkPoolType(){
        return $this->networkPoolType;
    }
    public function set_networkPoolType($networkPoolType) {
        $this->networkPoolType = $networkPoolType;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->networkPoolType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkPoolType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkPoolType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->networkPoolType, $input_name='networkPoolType')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndnetworkPoolType = $attrs->getNamedItem('networkPoolType');
        if (!is_null($ndnetworkPoolType)) {
            $this->networkPoolType = sprintf('%d', $ndnetworkPoolType->value);
            if (isset($ndnetworkPoolType->prefix)) {
                $this->namespace['networkPoolType'] = $ndnetworkPoolType->prefix;
                $nsUri = $ndnetworkPoolType->lookupNamespaceURI($ndnetworkPoolType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkPoolType');
        } else {
            $this->networkPoolType = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultNetworkPoolRecordType


/**
 * Type for a single portgroup query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultPortgroupRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $portgroupType = null;
    protected $name = null;
    protected $moref = null;
    protected $vc = null;
    protected $isVCEnabled = null;
    protected $networkName = null;
    protected $scopeType = null;
    protected $vcName = null;
    protected $network = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $portgroupType - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $moref - [optional] an attribute, 
    * @param string $vc - [optional] an attribute, 
    * @param boolean $isVCEnabled - [optional] an attribute, 
    * @param string $networkName - [optional] an attribute, 
    * @param int $scopeType - [optional] an attribute, 
    * @param string $vcName - [optional] an attribute, 
    * @param string $network - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $portgroupType=null, $name=null, $moref=null, $vc=null, $isVCEnabled=null, $networkName=null, $scopeType=null, $vcName=null, $network=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->portgroupType = $portgroupType;
        $this->name = $name;
        $this->moref = $moref;
        $this->vc = $vc;
        $this->isVCEnabled = $isVCEnabled;
        $this->networkName = $networkName;
        $this->scopeType = $scopeType;
        $this->vcName = $vcName;
        $this->network = $network;
        $this->tagName = 'PortgroupRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_portgroupType(){
        return $this->portgroupType;
    }
    public function set_portgroupType($portgroupType) {
        $this->portgroupType = $portgroupType;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_moref(){
        return $this->moref;
    }
    public function set_moref($moref) {
        $this->moref = $moref;
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_isVCEnabled(){
        return $this->isVCEnabled;
    }
    public function set_isVCEnabled($isVCEnabled) {
        $this->isVCEnabled = $isVCEnabled;
    }
    public function get_networkName(){
        return $this->networkName;
    }
    public function set_networkName($networkName) {
        $this->networkName = $networkName;
    }
    public function get_scopeType(){
        return $this->scopeType;
    }
    public function set_scopeType($scopeType) {
        $this->scopeType = $scopeType;
    }
    public function get_vcName(){
        return $this->vcName;
    }
    public function set_vcName($vcName) {
        $this->vcName = $vcName;
    }
    public function get_network(){
        return $this->network;
    }
    public function set_network($network) {
        $this->network = $network;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->portgroupType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'portgroupType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'portgroupType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->portgroupType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='portgroupType')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->moref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'moref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'moref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->moref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='moref')));
        }
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->isVCEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVCEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVCEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVCEnabled, $input_name='isVCEnabled')));
        }
        if (!is_null($this->networkName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->networkName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='networkName')));
        }
        if (!is_null($this->scopeType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'scopeType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'scopeType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->scopeType, $input_name='scopeType')));
        }
        if (!is_null($this->vcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcName')));
        }
        if (!is_null($this->network)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'network', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'network=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->network, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='network')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndportgroupType = $attrs->getNamedItem('portgroupType');
        if (!is_null($ndportgroupType)) {
            $this->portgroupType = $ndportgroupType->value;
            if (isset($ndportgroupType->prefix)) {
                $this->namespace['portgroupType'] = $ndportgroupType->prefix;
                $nsUri = $ndportgroupType->lookupNamespaceURI($ndportgroupType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'portgroupType');
        } else {
            $this->portgroupType = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndmoref = $attrs->getNamedItem('moref');
        if (!is_null($ndmoref)) {
            $this->moref = $ndmoref->value;
            if (isset($ndmoref->prefix)) {
                $this->namespace['moref'] = $ndmoref->prefix;
                $nsUri = $ndmoref->lookupNamespaceURI($ndmoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'moref');
        } else {
            $this->moref = null;
        }
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndisVCEnabled = $attrs->getNamedItem('isVCEnabled');
        if (!is_null($ndisVCEnabled)) {
            $this->isVCEnabled = VMware_VCloud_API_Helper::get_boolean($ndisVCEnabled->value);
            if (isset($ndisVCEnabled->prefix)) {
                $this->namespace['isVCEnabled'] = $ndisVCEnabled->prefix;
                $nsUri = $ndisVCEnabled->lookupNamespaceURI($ndisVCEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVCEnabled');
        } else {
            $this->isVCEnabled = null;
        }
        $ndnetworkName = $attrs->getNamedItem('networkName');
        if (!is_null($ndnetworkName)) {
            $this->networkName = $ndnetworkName->value;
            if (isset($ndnetworkName->prefix)) {
                $this->namespace['networkName'] = $ndnetworkName->prefix;
                $nsUri = $ndnetworkName->lookupNamespaceURI($ndnetworkName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkName');
        } else {
            $this->networkName = null;
        }
        $ndscopeType = $attrs->getNamedItem('scopeType');
        if (!is_null($ndscopeType)) {
            $this->scopeType = sprintf('%d', $ndscopeType->value);
            if (isset($ndscopeType->prefix)) {
                $this->namespace['scopeType'] = $ndscopeType->prefix;
                $nsUri = $ndscopeType->lookupNamespaceURI($ndscopeType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'scopeType');
        } else {
            $this->scopeType = null;
        }
        $ndvcName = $attrs->getNamedItem('vcName');
        if (!is_null($ndvcName)) {
            $this->vcName = $ndvcName->value;
            if (isset($ndvcName->prefix)) {
                $this->namespace['vcName'] = $ndvcName->prefix;
                $nsUri = $ndvcName->lookupNamespaceURI($ndvcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcName');
        } else {
            $this->vcName = null;
        }
        $ndnetwork = $attrs->getNamedItem('network');
        if (!is_null($ndnetwork)) {
            $this->network = $ndnetwork->value;
            if (isset($ndnetwork->prefix)) {
                $this->namespace['network'] = $ndnetwork->prefix;
                $nsUri = $ndnetwork->lookupNamespaceURI($ndnetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'network');
        } else {
            $this->network = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultPortgroupRecordType


/**
 * Type for a single dvSwitch query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultDvSwitchRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isVCEnabled = null;
    protected $moref = null;
    protected $vc = null;
    protected $name = null;
    protected $vcName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isVCEnabled - [optional] an attribute, 
    * @param string $moref - [optional] an attribute, 
    * @param string $vc - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $vcName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isVCEnabled=null, $moref=null, $vc=null, $name=null, $vcName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isVCEnabled = $isVCEnabled;
        $this->moref = $moref;
        $this->vc = $vc;
        $this->name = $name;
        $this->vcName = $vcName;
        $this->tagName = 'DvSwitchRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isVCEnabled(){
        return $this->isVCEnabled;
    }
    public function set_isVCEnabled($isVCEnabled) {
        $this->isVCEnabled = $isVCEnabled;
    }
    public function get_moref(){
        return $this->moref;
    }
    public function set_moref($moref) {
        $this->moref = $moref;
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_vcName(){
        return $this->vcName;
    }
    public function set_vcName($vcName) {
        $this->vcName = $vcName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isVCEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVCEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVCEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVCEnabled, $input_name='isVCEnabled')));
        }
        if (!is_null($this->moref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'moref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'moref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->moref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='moref')));
        }
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->vcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisVCEnabled = $attrs->getNamedItem('isVCEnabled');
        if (!is_null($ndisVCEnabled)) {
            $this->isVCEnabled = VMware_VCloud_API_Helper::get_boolean($ndisVCEnabled->value);
            if (isset($ndisVCEnabled->prefix)) {
                $this->namespace['isVCEnabled'] = $ndisVCEnabled->prefix;
                $nsUri = $ndisVCEnabled->lookupNamespaceURI($ndisVCEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVCEnabled');
        } else {
            $this->isVCEnabled = null;
        }
        $ndmoref = $attrs->getNamedItem('moref');
        if (!is_null($ndmoref)) {
            $this->moref = $ndmoref->value;
            if (isset($ndmoref->prefix)) {
                $this->namespace['moref'] = $ndmoref->prefix;
                $nsUri = $ndmoref->lookupNamespaceURI($ndmoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'moref');
        } else {
            $this->moref = null;
        }
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndvcName = $attrs->getNamedItem('vcName');
        if (!is_null($ndvcName)) {
            $this->vcName = $ndvcName->value;
            if (isset($ndvcName->prefix)) {
                $this->namespace['vcName'] = $ndvcName->prefix;
                $nsUri = $ndvcName->lookupNamespaceURI($ndvcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcName');
        } else {
            $this->vcName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultDvSwitchRecordType


/**
 * Type for a single cell query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultCellRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $version = null;
    protected $isVMwareVc = null;
    protected $primaryIp = null;
    protected $isActive = null;
    protected $buildDate = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $version - [optional] an attribute, 
    * @param int $isVMwareVc - [optional] an attribute, 
    * @param string $primaryIp - [optional] an attribute, 
    * @param int $isActive - [optional] an attribute, 
    * @param dateTime $buildDate - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $version=null, $isVMwareVc=null, $primaryIp=null, $isActive=null, $buildDate=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->version = $version;
        $this->isVMwareVc = $isVMwareVc;
        $this->primaryIp = $primaryIp;
        $this->isActive = $isActive;
        $this->buildDate = $buildDate;
        $this->tagName = 'CellRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_version(){
        return $this->version;
    }
    public function set_version($version) {
        $this->version = $version;
    }
    public function get_isVMwareVc(){
        return $this->isVMwareVc;
    }
    public function set_isVMwareVc($isVMwareVc) {
        $this->isVMwareVc = $isVMwareVc;
    }
    public function get_primaryIp(){
        return $this->primaryIp;
    }
    public function set_primaryIp($primaryIp) {
        $this->primaryIp = $primaryIp;
    }
    public function get_isActive(){
        return $this->isActive;
    }
    public function set_isActive($isActive) {
        $this->isActive = $isActive;
    }
    public function get_buildDate(){
        return $this->buildDate;
    }
    public function set_buildDate($buildDate) {
        $this->buildDate = $buildDate;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->version)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'version', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'version=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->version, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='version')));
        }
        if (!is_null($this->isVMwareVc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVMwareVc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVMwareVc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->isVMwareVc, $input_name='isVMwareVc')));
        }
        if (!is_null($this->primaryIp)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'primaryIp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'primaryIp=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->primaryIp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='primaryIp')));
        }
        if (!is_null($this->isActive)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isActive', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isActive=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->isActive, $input_name='isActive')));
        }
        if (!is_null($this->buildDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'buildDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'buildDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->buildDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='buildDate')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndversion = $attrs->getNamedItem('version');
        if (!is_null($ndversion)) {
            $this->version = $ndversion->value;
            if (isset($ndversion->prefix)) {
                $this->namespace['version'] = $ndversion->prefix;
                $nsUri = $ndversion->lookupNamespaceURI($ndversion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'version');
        } else {
            $this->version = null;
        }
        $ndisVMwareVc = $attrs->getNamedItem('isVMwareVc');
        if (!is_null($ndisVMwareVc)) {
            $this->isVMwareVc = sprintf('%d', $ndisVMwareVc->value);
            if (isset($ndisVMwareVc->prefix)) {
                $this->namespace['isVMwareVc'] = $ndisVMwareVc->prefix;
                $nsUri = $ndisVMwareVc->lookupNamespaceURI($ndisVMwareVc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVMwareVc');
        } else {
            $this->isVMwareVc = null;
        }
        $ndprimaryIp = $attrs->getNamedItem('primaryIp');
        if (!is_null($ndprimaryIp)) {
            $this->primaryIp = $ndprimaryIp->value;
            if (isset($ndprimaryIp->prefix)) {
                $this->namespace['primaryIp'] = $ndprimaryIp->prefix;
                $nsUri = $ndprimaryIp->lookupNamespaceURI($ndprimaryIp->prefix);
            }
            $node->removeAttributeNS($nsUri, 'primaryIp');
        } else {
            $this->primaryIp = null;
        }
        $ndisActive = $attrs->getNamedItem('isActive');
        if (!is_null($ndisActive)) {
            $this->isActive = sprintf('%d', $ndisActive->value);
            if (isset($ndisActive->prefix)) {
                $this->namespace['isActive'] = $ndisActive->prefix;
                $nsUri = $ndisActive->lookupNamespaceURI($ndisActive->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isActive');
        } else {
            $this->isActive = null;
        }
        $ndbuildDate = $attrs->getNamedItem('buildDate');
        if (!is_null($ndbuildDate)) {
            $this->buildDate = $ndbuildDate->value;
            if (isset($ndbuildDate->prefix)) {
                $this->namespace['buildDate'] = $ndbuildDate->prefix;
                $nsUri = $ndbuildDate->lookupNamespaceURI($ndbuildDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'buildDate');
        } else {
            $this->buildDate = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultCellRecordType


/**
 * Type for a single virtualCenter query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVirtualCenterRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $userName = null;
    protected $status = null;
    protected $name = null;
    protected $isSupported = null;
    protected $url = null;
    protected $isEnabled = null;
    protected $vsmIP = null;
    protected $vcVersion = null;
    protected $isBusy = null;
    protected $uuid = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $userName - [optional] an attribute, 
    * @param string $status - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isSupported - [optional] an attribute, 
    * @param string $url - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param string $vsmIP - [optional] an attribute, 
    * @param string $vcVersion - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $uuid - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $userName=null, $status=null, $name=null, $isSupported=null, $url=null, $isEnabled=null, $vsmIP=null, $vcVersion=null, $isBusy=null, $uuid=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->userName = $userName;
        $this->status = $status;
        $this->name = $name;
        $this->isSupported = $isSupported;
        $this->url = $url;
        $this->isEnabled = $isEnabled;
        $this->vsmIP = $vsmIP;
        $this->vcVersion = $vcVersion;
        $this->isBusy = $isBusy;
        $this->uuid = $uuid;
        $this->tagName = 'VirtualCenterRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_userName(){
        return $this->userName;
    }
    public function set_userName($userName) {
        $this->userName = $userName;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isSupported(){
        return $this->isSupported;
    }
    public function set_isSupported($isSupported) {
        $this->isSupported = $isSupported;
    }
    public function get_url(){
        return $this->url;
    }
    public function set_url($url) {
        $this->url = $url;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_vsmIP(){
        return $this->vsmIP;
    }
    public function set_vsmIP($vsmIP) {
        $this->vsmIP = $vsmIP;
    }
    public function get_vcVersion(){
        return $this->vcVersion;
    }
    public function set_vcVersion($vcVersion) {
        $this->vcVersion = $vcVersion;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_uuid(){
        return $this->uuid;
    }
    public function set_uuid($uuid) {
        $this->uuid = $uuid;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->userName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'userName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'userName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->userName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='userName')));
        }
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isSupported)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isSupported', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isSupported=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isSupported, $input_name='isSupported')));
        }
        if (!is_null($this->url)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'url', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'url=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->url, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='url')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->vsmIP)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vsmIP', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vsmIP=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vsmIP, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vsmIP')));
        }
        if (!is_null($this->vcVersion)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcVersion=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcVersion')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->uuid)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'uuid', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'uuid=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->uuid, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='uuid')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nduserName = $attrs->getNamedItem('userName');
        if (!is_null($nduserName)) {
            $this->userName = $nduserName->value;
            if (isset($nduserName->prefix)) {
                $this->namespace['userName'] = $nduserName->prefix;
                $nsUri = $nduserName->lookupNamespaceURI($nduserName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'userName');
        } else {
            $this->userName = null;
        }
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisSupported = $attrs->getNamedItem('isSupported');
        if (!is_null($ndisSupported)) {
            $this->isSupported = VMware_VCloud_API_Helper::get_boolean($ndisSupported->value);
            if (isset($ndisSupported->prefix)) {
                $this->namespace['isSupported'] = $ndisSupported->prefix;
                $nsUri = $ndisSupported->lookupNamespaceURI($ndisSupported->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isSupported');
        } else {
            $this->isSupported = null;
        }
        $ndurl = $attrs->getNamedItem('url');
        if (!is_null($ndurl)) {
            $this->url = $ndurl->value;
            if (isset($ndurl->prefix)) {
                $this->namespace['url'] = $ndurl->prefix;
                $nsUri = $ndurl->lookupNamespaceURI($ndurl->prefix);
            }
            $node->removeAttributeNS($nsUri, 'url');
        } else {
            $this->url = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndvsmIP = $attrs->getNamedItem('vsmIP');
        if (!is_null($ndvsmIP)) {
            $this->vsmIP = $ndvsmIP->value;
            if (isset($ndvsmIP->prefix)) {
                $this->namespace['vsmIP'] = $ndvsmIP->prefix;
                $nsUri = $ndvsmIP->lookupNamespaceURI($ndvsmIP->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vsmIP');
        } else {
            $this->vsmIP = null;
        }
        $ndvcVersion = $attrs->getNamedItem('vcVersion');
        if (!is_null($ndvcVersion)) {
            $this->vcVersion = $ndvcVersion->value;
            if (isset($ndvcVersion->prefix)) {
                $this->namespace['vcVersion'] = $ndvcVersion->prefix;
                $nsUri = $ndvcVersion->lookupNamespaceURI($ndvcVersion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcVersion');
        } else {
            $this->vcVersion = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $nduuid = $attrs->getNamedItem('uuid');
        if (!is_null($nduuid)) {
            $this->uuid = $nduuid->value;
            if (isset($nduuid->prefix)) {
                $this->namespace['uuid'] = $nduuid->prefix;
                $nsUri = $nduuid->lookupNamespaceURI($nduuid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'uuid');
        } else {
            $this->uuid = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVirtualCenterRecordType


/**
 * Type for a single host query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultHostRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isSupported = null;
    protected $isHung = null;
    protected $vc = null;
    protected $isInMaintenanceMode = null;
    protected $name = null;
    protected $isCrossHostEnabled = null;
    protected $numberOfVMs = null;
    protected $isEnabled = null;
    protected $state = null;
    protected $isPendingUpgrade = null;
    protected $vcName = null;
    protected $isBusy = null;
    protected $osVersion = null;
    protected $isDeleted = null;
    protected $isPrepared = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isSupported - [optional] an attribute, 
    * @param boolean $isHung - [optional] an attribute, 
    * @param string $vc - [optional] an attribute, 
    * @param boolean $isInMaintenanceMode - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isCrossHostEnabled - [optional] an attribute, 
    * @param int $numberOfVMs - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param int $state - [optional] an attribute, 
    * @param boolean $isPendingUpgrade - [optional] an attribute, 
    * @param string $vcName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $osVersion - [optional] an attribute, 
    * @param boolean $isDeleted - [optional] an attribute, 
    * @param boolean $isPrepared - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isSupported=null, $isHung=null, $vc=null, $isInMaintenanceMode=null, $name=null, $isCrossHostEnabled=null, $numberOfVMs=null, $isEnabled=null, $state=null, $isPendingUpgrade=null, $vcName=null, $isBusy=null, $osVersion=null, $isDeleted=null, $isPrepared=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isSupported = $isSupported;
        $this->isHung = $isHung;
        $this->vc = $vc;
        $this->isInMaintenanceMode = $isInMaintenanceMode;
        $this->name = $name;
        $this->isCrossHostEnabled = $isCrossHostEnabled;
        $this->numberOfVMs = $numberOfVMs;
        $this->isEnabled = $isEnabled;
        $this->state = $state;
        $this->isPendingUpgrade = $isPendingUpgrade;
        $this->vcName = $vcName;
        $this->isBusy = $isBusy;
        $this->osVersion = $osVersion;
        $this->isDeleted = $isDeleted;
        $this->isPrepared = $isPrepared;
        $this->tagName = 'HostRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isSupported(){
        return $this->isSupported;
    }
    public function set_isSupported($isSupported) {
        $this->isSupported = $isSupported;
    }
    public function get_isHung(){
        return $this->isHung;
    }
    public function set_isHung($isHung) {
        $this->isHung = $isHung;
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_isInMaintenanceMode(){
        return $this->isInMaintenanceMode;
    }
    public function set_isInMaintenanceMode($isInMaintenanceMode) {
        $this->isInMaintenanceMode = $isInMaintenanceMode;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isCrossHostEnabled(){
        return $this->isCrossHostEnabled;
    }
    public function set_isCrossHostEnabled($isCrossHostEnabled) {
        $this->isCrossHostEnabled = $isCrossHostEnabled;
    }
    public function get_numberOfVMs(){
        return $this->numberOfVMs;
    }
    public function set_numberOfVMs($numberOfVMs) {
        $this->numberOfVMs = $numberOfVMs;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_state(){
        return $this->state;
    }
    public function set_state($state) {
        $this->state = $state;
    }
    public function get_isPendingUpgrade(){
        return $this->isPendingUpgrade;
    }
    public function set_isPendingUpgrade($isPendingUpgrade) {
        $this->isPendingUpgrade = $isPendingUpgrade;
    }
    public function get_vcName(){
        return $this->vcName;
    }
    public function set_vcName($vcName) {
        $this->vcName = $vcName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_osVersion(){
        return $this->osVersion;
    }
    public function set_osVersion($osVersion) {
        $this->osVersion = $osVersion;
    }
    public function get_isDeleted(){
        return $this->isDeleted;
    }
    public function set_isDeleted($isDeleted) {
        $this->isDeleted = $isDeleted;
    }
    public function get_isPrepared(){
        return $this->isPrepared;
    }
    public function set_isPrepared($isPrepared) {
        $this->isPrepared = $isPrepared;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isSupported)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isSupported', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isSupported=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isSupported, $input_name='isSupported')));
        }
        if (!is_null($this->isHung)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isHung', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isHung=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isHung, $input_name='isHung')));
        }
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->isInMaintenanceMode)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isInMaintenanceMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isInMaintenanceMode=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isInMaintenanceMode, $input_name='isInMaintenanceMode')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isCrossHostEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isCrossHostEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isCrossHostEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isCrossHostEnabled, $input_name='isCrossHostEnabled')));
        }
        if (!is_null($this->numberOfVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVMs, $input_name='numberOfVMs')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->state)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'state', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'state=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->state, $input_name='state')));
        }
        if (!is_null($this->isPendingUpgrade)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPendingUpgrade', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPendingUpgrade=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPendingUpgrade, $input_name='isPendingUpgrade')));
        }
        if (!is_null($this->vcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->osVersion)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'osVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'osVersion=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->osVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='osVersion')));
        }
        if (!is_null($this->isDeleted)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeleted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeleted=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeleted, $input_name='isDeleted')));
        }
        if (!is_null($this->isPrepared)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPrepared', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPrepared=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPrepared, $input_name='isPrepared')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisSupported = $attrs->getNamedItem('isSupported');
        if (!is_null($ndisSupported)) {
            $this->isSupported = VMware_VCloud_API_Helper::get_boolean($ndisSupported->value);
            if (isset($ndisSupported->prefix)) {
                $this->namespace['isSupported'] = $ndisSupported->prefix;
                $nsUri = $ndisSupported->lookupNamespaceURI($ndisSupported->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isSupported');
        } else {
            $this->isSupported = null;
        }
        $ndisHung = $attrs->getNamedItem('isHung');
        if (!is_null($ndisHung)) {
            $this->isHung = VMware_VCloud_API_Helper::get_boolean($ndisHung->value);
            if (isset($ndisHung->prefix)) {
                $this->namespace['isHung'] = $ndisHung->prefix;
                $nsUri = $ndisHung->lookupNamespaceURI($ndisHung->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isHung');
        } else {
            $this->isHung = null;
        }
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndisInMaintenanceMode = $attrs->getNamedItem('isInMaintenanceMode');
        if (!is_null($ndisInMaintenanceMode)) {
            $this->isInMaintenanceMode = VMware_VCloud_API_Helper::get_boolean($ndisInMaintenanceMode->value);
            if (isset($ndisInMaintenanceMode->prefix)) {
                $this->namespace['isInMaintenanceMode'] = $ndisInMaintenanceMode->prefix;
                $nsUri = $ndisInMaintenanceMode->lookupNamespaceURI($ndisInMaintenanceMode->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isInMaintenanceMode');
        } else {
            $this->isInMaintenanceMode = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisCrossHostEnabled = $attrs->getNamedItem('isCrossHostEnabled');
        if (!is_null($ndisCrossHostEnabled)) {
            $this->isCrossHostEnabled = VMware_VCloud_API_Helper::get_boolean($ndisCrossHostEnabled->value);
            if (isset($ndisCrossHostEnabled->prefix)) {
                $this->namespace['isCrossHostEnabled'] = $ndisCrossHostEnabled->prefix;
                $nsUri = $ndisCrossHostEnabled->lookupNamespaceURI($ndisCrossHostEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isCrossHostEnabled');
        } else {
            $this->isCrossHostEnabled = null;
        }
        $ndnumberOfVMs = $attrs->getNamedItem('numberOfVMs');
        if (!is_null($ndnumberOfVMs)) {
            $this->numberOfVMs = sprintf('%d', $ndnumberOfVMs->value);
            if (isset($ndnumberOfVMs->prefix)) {
                $this->namespace['numberOfVMs'] = $ndnumberOfVMs->prefix;
                $nsUri = $ndnumberOfVMs->lookupNamespaceURI($ndnumberOfVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVMs');
        } else {
            $this->numberOfVMs = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndstate = $attrs->getNamedItem('state');
        if (!is_null($ndstate)) {
            $this->state = sprintf('%d', $ndstate->value);
            if (isset($ndstate->prefix)) {
                $this->namespace['state'] = $ndstate->prefix;
                $nsUri = $ndstate->lookupNamespaceURI($ndstate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'state');
        } else {
            $this->state = null;
        }
        $ndisPendingUpgrade = $attrs->getNamedItem('isPendingUpgrade');
        if (!is_null($ndisPendingUpgrade)) {
            $this->isPendingUpgrade = VMware_VCloud_API_Helper::get_boolean($ndisPendingUpgrade->value);
            if (isset($ndisPendingUpgrade->prefix)) {
                $this->namespace['isPendingUpgrade'] = $ndisPendingUpgrade->prefix;
                $nsUri = $ndisPendingUpgrade->lookupNamespaceURI($ndisPendingUpgrade->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPendingUpgrade');
        } else {
            $this->isPendingUpgrade = null;
        }
        $ndvcName = $attrs->getNamedItem('vcName');
        if (!is_null($ndvcName)) {
            $this->vcName = $ndvcName->value;
            if (isset($ndvcName->prefix)) {
                $this->namespace['vcName'] = $ndvcName->prefix;
                $nsUri = $ndvcName->lookupNamespaceURI($ndvcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcName');
        } else {
            $this->vcName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndosVersion = $attrs->getNamedItem('osVersion');
        if (!is_null($ndosVersion)) {
            $this->osVersion = $ndosVersion->value;
            if (isset($ndosVersion->prefix)) {
                $this->namespace['osVersion'] = $ndosVersion->prefix;
                $nsUri = $ndosVersion->lookupNamespaceURI($ndosVersion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'osVersion');
        } else {
            $this->osVersion = null;
        }
        $ndisDeleted = $attrs->getNamedItem('isDeleted');
        if (!is_null($ndisDeleted)) {
            $this->isDeleted = VMware_VCloud_API_Helper::get_boolean($ndisDeleted->value);
            if (isset($ndisDeleted->prefix)) {
                $this->namespace['isDeleted'] = $ndisDeleted->prefix;
                $nsUri = $ndisDeleted->lookupNamespaceURI($ndisDeleted->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeleted');
        } else {
            $this->isDeleted = null;
        }
        $ndisPrepared = $attrs->getNamedItem('isPrepared');
        if (!is_null($ndisPrepared)) {
            $this->isPrepared = VMware_VCloud_API_Helper::get_boolean($ndisPrepared->value);
            if (isset($ndisPrepared->prefix)) {
                $this->namespace['isPrepared'] = $ndisPrepared->prefix;
                $nsUri = $ndisPrepared->lookupNamespaceURI($ndisPrepared->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPrepared');
        } else {
            $this->isPrepared = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultHostRecordType


/**
 * Type for a single adminVApp query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminVAppRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $isDeployed = null;
    protected $name = null;
    protected $numberOfVMs = null;
    protected $isEnabled = null;
    protected $cpuAllocationMhz = null;
    protected $vdcName = null;
    protected $vdc = null;
    protected $ownerName = null;
    protected $isBusy = null;
    protected $memoryAllocationMB = null;
    protected $org = null;
    protected $isInMaintenanceMode = null;
    protected $creationDate = null;
    protected $isVdcEnabled = null;
    protected $isExpired = null;
    protected $storageKB = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param boolean $isDeployed - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param int $numberOfVMs - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param int $cpuAllocationMhz - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param int $memoryAllocationMB - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param boolean $isInMaintenanceMode - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param boolean $isVdcEnabled - [optional] an attribute, 
    * @param boolean $isExpired - [optional] an attribute, 
    * @param long $storageKB - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $isDeployed=null, $name=null, $numberOfVMs=null, $isEnabled=null, $cpuAllocationMhz=null, $vdcName=null, $vdc=null, $ownerName=null, $isBusy=null, $memoryAllocationMB=null, $org=null, $isInMaintenanceMode=null, $creationDate=null, $isVdcEnabled=null, $isExpired=null, $storageKB=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->isDeployed = $isDeployed;
        $this->name = $name;
        $this->numberOfVMs = $numberOfVMs;
        $this->isEnabled = $isEnabled;
        $this->cpuAllocationMhz = $cpuAllocationMhz;
        $this->vdcName = $vdcName;
        $this->vdc = $vdc;
        $this->ownerName = $ownerName;
        $this->isBusy = $isBusy;
        $this->memoryAllocationMB = $memoryAllocationMB;
        $this->org = $org;
        $this->isInMaintenanceMode = $isInMaintenanceMode;
        $this->creationDate = $creationDate;
        $this->isVdcEnabled = $isVdcEnabled;
        $this->isExpired = $isExpired;
        $this->storageKB = $storageKB;
        $this->tagName = 'AdminVAppRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_isDeployed(){
        return $this->isDeployed;
    }
    public function set_isDeployed($isDeployed) {
        $this->isDeployed = $isDeployed;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_numberOfVMs(){
        return $this->numberOfVMs;
    }
    public function set_numberOfVMs($numberOfVMs) {
        $this->numberOfVMs = $numberOfVMs;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_cpuAllocationMhz(){
        return $this->cpuAllocationMhz;
    }
    public function set_cpuAllocationMhz($cpuAllocationMhz) {
        $this->cpuAllocationMhz = $cpuAllocationMhz;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_memoryAllocationMB(){
        return $this->memoryAllocationMB;
    }
    public function set_memoryAllocationMB($memoryAllocationMB) {
        $this->memoryAllocationMB = $memoryAllocationMB;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_isInMaintenanceMode(){
        return $this->isInMaintenanceMode;
    }
    public function set_isInMaintenanceMode($isInMaintenanceMode) {
        $this->isInMaintenanceMode = $isInMaintenanceMode;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_isVdcEnabled(){
        return $this->isVdcEnabled;
    }
    public function set_isVdcEnabled($isVdcEnabled) {
        $this->isVdcEnabled = $isVdcEnabled;
    }
    public function get_isExpired(){
        return $this->isExpired;
    }
    public function set_isExpired($isExpired) {
        $this->isExpired = $isExpired;
    }
    public function get_storageKB(){
        return $this->storageKB;
    }
    public function set_storageKB($storageKB) {
        $this->storageKB = $storageKB;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->isDeployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeployed, $input_name='isDeployed')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->numberOfVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVMs, $input_name='numberOfVMs')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->cpuAllocationMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuAllocationMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuAllocationMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuAllocationMhz, $input_name='cpuAllocationMhz')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->memoryAllocationMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryAllocationMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryAllocationMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryAllocationMB, $input_name='memoryAllocationMB')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->isInMaintenanceMode)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isInMaintenanceMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isInMaintenanceMode=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isInMaintenanceMode, $input_name='isInMaintenanceMode')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->isVdcEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVdcEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVdcEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVdcEnabled, $input_name='isVdcEnabled')));
        }
        if (!is_null($this->isExpired)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isExpired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isExpired=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isExpired, $input_name='isExpired')));
        }
        if (!is_null($this->storageKB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageKB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageKB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageKB, $input_name='storageKB')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndisDeployed = $attrs->getNamedItem('isDeployed');
        if (!is_null($ndisDeployed)) {
            $this->isDeployed = VMware_VCloud_API_Helper::get_boolean($ndisDeployed->value);
            if (isset($ndisDeployed->prefix)) {
                $this->namespace['isDeployed'] = $ndisDeployed->prefix;
                $nsUri = $ndisDeployed->lookupNamespaceURI($ndisDeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeployed');
        } else {
            $this->isDeployed = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndnumberOfVMs = $attrs->getNamedItem('numberOfVMs');
        if (!is_null($ndnumberOfVMs)) {
            $this->numberOfVMs = sprintf('%d', $ndnumberOfVMs->value);
            if (isset($ndnumberOfVMs->prefix)) {
                $this->namespace['numberOfVMs'] = $ndnumberOfVMs->prefix;
                $nsUri = $ndnumberOfVMs->lookupNamespaceURI($ndnumberOfVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVMs');
        } else {
            $this->numberOfVMs = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndcpuAllocationMhz = $attrs->getNamedItem('cpuAllocationMhz');
        if (!is_null($ndcpuAllocationMhz)) {
            $this->cpuAllocationMhz = sprintf('%d', $ndcpuAllocationMhz->value);
            if (isset($ndcpuAllocationMhz->prefix)) {
                $this->namespace['cpuAllocationMhz'] = $ndcpuAllocationMhz->prefix;
                $nsUri = $ndcpuAllocationMhz->lookupNamespaceURI($ndcpuAllocationMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuAllocationMhz');
        } else {
            $this->cpuAllocationMhz = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndmemoryAllocationMB = $attrs->getNamedItem('memoryAllocationMB');
        if (!is_null($ndmemoryAllocationMB)) {
            $this->memoryAllocationMB = sprintf('%d', $ndmemoryAllocationMB->value);
            if (isset($ndmemoryAllocationMB->prefix)) {
                $this->namespace['memoryAllocationMB'] = $ndmemoryAllocationMB->prefix;
                $nsUri = $ndmemoryAllocationMB->lookupNamespaceURI($ndmemoryAllocationMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryAllocationMB');
        } else {
            $this->memoryAllocationMB = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndisInMaintenanceMode = $attrs->getNamedItem('isInMaintenanceMode');
        if (!is_null($ndisInMaintenanceMode)) {
            $this->isInMaintenanceMode = VMware_VCloud_API_Helper::get_boolean($ndisInMaintenanceMode->value);
            if (isset($ndisInMaintenanceMode->prefix)) {
                $this->namespace['isInMaintenanceMode'] = $ndisInMaintenanceMode->prefix;
                $nsUri = $ndisInMaintenanceMode->lookupNamespaceURI($ndisInMaintenanceMode->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isInMaintenanceMode');
        } else {
            $this->isInMaintenanceMode = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndisVdcEnabled = $attrs->getNamedItem('isVdcEnabled');
        if (!is_null($ndisVdcEnabled)) {
            $this->isVdcEnabled = VMware_VCloud_API_Helper::get_boolean($ndisVdcEnabled->value);
            if (isset($ndisVdcEnabled->prefix)) {
                $this->namespace['isVdcEnabled'] = $ndisVdcEnabled->prefix;
                $nsUri = $ndisVdcEnabled->lookupNamespaceURI($ndisVdcEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVdcEnabled');
        } else {
            $this->isVdcEnabled = null;
        }
        $ndisExpired = $attrs->getNamedItem('isExpired');
        if (!is_null($ndisExpired)) {
            $this->isExpired = VMware_VCloud_API_Helper::get_boolean($ndisExpired->value);
            if (isset($ndisExpired->prefix)) {
                $this->namespace['isExpired'] = $ndisExpired->prefix;
                $nsUri = $ndisExpired->lookupNamespaceURI($ndisExpired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isExpired');
        } else {
            $this->isExpired = null;
        }
        $ndstorageKB = $attrs->getNamedItem('storageKB');
        if (!is_null($ndstorageKB)) {
            $this->storageKB = sprintf('%d', $ndstorageKB->value);
            if (isset($ndstorageKB->prefix)) {
                $this->namespace['storageKB'] = $ndstorageKB->prefix;
                $nsUri = $ndstorageKB->lookupNamespaceURI($ndstorageKB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageKB');
        } else {
            $this->storageKB = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminVAppRecordType


/**
 * Type for a single right query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultRightRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $category = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $category - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $category=null, $name=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->category = $category;
        $this->name = $name;
        $this->tagName = 'RightRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_category(){
        return $this->category;
    }
    public function set_category($category) {
        $this->category = $category;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->category)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'category', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'category=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->category, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='category')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndcategory = $attrs->getNamedItem('category');
        if (!is_null($ndcategory)) {
            $this->category = $ndcategory->value;
            if (isset($ndcategory->prefix)) {
                $this->namespace['category'] = $ndcategory->prefix;
                $nsUri = $ndcategory->lookupNamespaceURI($ndcategory->prefix);
            }
            $node->removeAttributeNS($nsUri, 'category');
        } else {
            $this->category = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultRightRecordType


/**
 * Type for a single adminVM query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminVMRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vc = null;
    protected $vmToolsVersion = null;
    protected $datastoreName = null;
    protected $memoryMB = null;
    protected $moref = null;
    protected $hardwareVersion = null;
    protected $org = null;
    protected $isVAppTemplate = null;
    protected $isDeleted = null;
    protected $catalogName = null;
    protected $isDeployed = null;
    protected $guestOs = null;
    protected $isVdcEnabled = null;
    protected $status = null;
    protected $storageProfileName = null;
    protected $hostName = null;
    protected $container = null;
    protected $networkName = null;
    protected $containerName = null;
    protected $name = null;
    protected $isPublished = null;
    protected $numberOfCpus = null;
    protected $vdc = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vc - [optional] an attribute, 
    * @param int $vmToolsVersion - [optional] an attribute, 
    * @param string $datastoreName - [optional] an attribute, 
    * @param int $memoryMB - [optional] an attribute, 
    * @param string $moref - [optional] an attribute, 
    * @param int $hardwareVersion - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param boolean $isVAppTemplate - [optional] an attribute, 
    * @param boolean $isDeleted - [optional] an attribute, 
    * @param string $catalogName - [optional] an attribute, 
    * @param boolean $isDeployed - [optional] an attribute, 
    * @param string $guestOs - [optional] an attribute, 
    * @param boolean $isVdcEnabled - [optional] an attribute, 
    * @param string $status - [optional] an attribute, 
    * @param string $storageProfileName - [optional] an attribute, 
    * @param string $hostName - [optional] an attribute, 
    * @param string $container - [optional] an attribute, 
    * @param string $networkName - [optional] an attribute, 
    * @param string $containerName - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param int $numberOfCpus - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vc=null, $vmToolsVersion=null, $datastoreName=null, $memoryMB=null, $moref=null, $hardwareVersion=null, $org=null, $isVAppTemplate=null, $isDeleted=null, $catalogName=null, $isDeployed=null, $guestOs=null, $isVdcEnabled=null, $status=null, $storageProfileName=null, $hostName=null, $container=null, $networkName=null, $containerName=null, $name=null, $isPublished=null, $numberOfCpus=null, $vdc=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vc = $vc;
        $this->vmToolsVersion = $vmToolsVersion;
        $this->datastoreName = $datastoreName;
        $this->memoryMB = $memoryMB;
        $this->moref = $moref;
        $this->hardwareVersion = $hardwareVersion;
        $this->org = $org;
        $this->isVAppTemplate = $isVAppTemplate;
        $this->isDeleted = $isDeleted;
        $this->catalogName = $catalogName;
        $this->isDeployed = $isDeployed;
        $this->guestOs = $guestOs;
        $this->isVdcEnabled = $isVdcEnabled;
        $this->status = $status;
        $this->storageProfileName = $storageProfileName;
        $this->hostName = $hostName;
        $this->container = $container;
        $this->networkName = $networkName;
        $this->containerName = $containerName;
        $this->name = $name;
        $this->isPublished = $isPublished;
        $this->numberOfCpus = $numberOfCpus;
        $this->vdc = $vdc;
        $this->tagName = 'AdminVMRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_vmToolsVersion(){
        return $this->vmToolsVersion;
    }
    public function set_vmToolsVersion($vmToolsVersion) {
        $this->vmToolsVersion = $vmToolsVersion;
    }
    public function get_datastoreName(){
        return $this->datastoreName;
    }
    public function set_datastoreName($datastoreName) {
        $this->datastoreName = $datastoreName;
    }
    public function get_memoryMB(){
        return $this->memoryMB;
    }
    public function set_memoryMB($memoryMB) {
        $this->memoryMB = $memoryMB;
    }
    public function get_moref(){
        return $this->moref;
    }
    public function set_moref($moref) {
        $this->moref = $moref;
    }
    public function get_hardwareVersion(){
        return $this->hardwareVersion;
    }
    public function set_hardwareVersion($hardwareVersion) {
        $this->hardwareVersion = $hardwareVersion;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_isVAppTemplate(){
        return $this->isVAppTemplate;
    }
    public function set_isVAppTemplate($isVAppTemplate) {
        $this->isVAppTemplate = $isVAppTemplate;
    }
    public function get_isDeleted(){
        return $this->isDeleted;
    }
    public function set_isDeleted($isDeleted) {
        $this->isDeleted = $isDeleted;
    }
    public function get_catalogName(){
        return $this->catalogName;
    }
    public function set_catalogName($catalogName) {
        $this->catalogName = $catalogName;
    }
    public function get_isDeployed(){
        return $this->isDeployed;
    }
    public function set_isDeployed($isDeployed) {
        $this->isDeployed = $isDeployed;
    }
    public function get_guestOs(){
        return $this->guestOs;
    }
    public function set_guestOs($guestOs) {
        $this->guestOs = $guestOs;
    }
    public function get_isVdcEnabled(){
        return $this->isVdcEnabled;
    }
    public function set_isVdcEnabled($isVdcEnabled) {
        $this->isVdcEnabled = $isVdcEnabled;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_storageProfileName(){
        return $this->storageProfileName;
    }
    public function set_storageProfileName($storageProfileName) {
        $this->storageProfileName = $storageProfileName;
    }
    public function get_hostName(){
        return $this->hostName;
    }
    public function set_hostName($hostName) {
        $this->hostName = $hostName;
    }
    public function get_container(){
        return $this->container;
    }
    public function set_container($container) {
        $this->container = $container;
    }
    public function get_networkName(){
        return $this->networkName;
    }
    public function set_networkName($networkName) {
        $this->networkName = $networkName;
    }
    public function get_containerName(){
        return $this->containerName;
    }
    public function set_containerName($containerName) {
        $this->containerName = $containerName;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_numberOfCpus(){
        return $this->numberOfCpus;
    }
    public function set_numberOfCpus($numberOfCpus) {
        $this->numberOfCpus = $numberOfCpus;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->vmToolsVersion)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vmToolsVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vmToolsVersion=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->vmToolsVersion, $input_name='vmToolsVersion')));
        }
        if (!is_null($this->datastoreName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastoreName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastoreName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastoreName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastoreName')));
        }
        if (!is_null($this->memoryMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryMB, $input_name='memoryMB')));
        }
        if (!is_null($this->moref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'moref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'moref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->moref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='moref')));
        }
        if (!is_null($this->hardwareVersion)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'hardwareVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'hardwareVersion=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->hardwareVersion, $input_name='hardwareVersion')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->isVAppTemplate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVAppTemplate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVAppTemplate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVAppTemplate, $input_name='isVAppTemplate')));
        }
        if (!is_null($this->isDeleted)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeleted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeleted=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeleted, $input_name='isDeleted')));
        }
        if (!is_null($this->catalogName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogName')));
        }
        if (!is_null($this->isDeployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeployed, $input_name='isDeployed')));
        }
        if (!is_null($this->guestOs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'guestOs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'guestOs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->guestOs, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='guestOs')));
        }
        if (!is_null($this->isVdcEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVdcEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVdcEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVdcEnabled, $input_name='isVdcEnabled')));
        }
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->storageProfileName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileName')));
        }
        if (!is_null($this->hostName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'hostName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'hostName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->hostName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='hostName')));
        }
        if (!is_null($this->container)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'container', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'container=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->container, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='container')));
        }
        if (!is_null($this->networkName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'networkName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'networkName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->networkName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='networkName')));
        }
        if (!is_null($this->containerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'containerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'containerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->containerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='containerName')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->numberOfCpus)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfCpus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfCpus=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfCpus, $input_name='numberOfCpus')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndvmToolsVersion = $attrs->getNamedItem('vmToolsVersion');
        if (!is_null($ndvmToolsVersion)) {
            $this->vmToolsVersion = sprintf('%d', $ndvmToolsVersion->value);
            if (isset($ndvmToolsVersion->prefix)) {
                $this->namespace['vmToolsVersion'] = $ndvmToolsVersion->prefix;
                $nsUri = $ndvmToolsVersion->lookupNamespaceURI($ndvmToolsVersion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vmToolsVersion');
        } else {
            $this->vmToolsVersion = null;
        }
        $nddatastoreName = $attrs->getNamedItem('datastoreName');
        if (!is_null($nddatastoreName)) {
            $this->datastoreName = $nddatastoreName->value;
            if (isset($nddatastoreName->prefix)) {
                $this->namespace['datastoreName'] = $nddatastoreName->prefix;
                $nsUri = $nddatastoreName->lookupNamespaceURI($nddatastoreName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastoreName');
        } else {
            $this->datastoreName = null;
        }
        $ndmemoryMB = $attrs->getNamedItem('memoryMB');
        if (!is_null($ndmemoryMB)) {
            $this->memoryMB = sprintf('%d', $ndmemoryMB->value);
            if (isset($ndmemoryMB->prefix)) {
                $this->namespace['memoryMB'] = $ndmemoryMB->prefix;
                $nsUri = $ndmemoryMB->lookupNamespaceURI($ndmemoryMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryMB');
        } else {
            $this->memoryMB = null;
        }
        $ndmoref = $attrs->getNamedItem('moref');
        if (!is_null($ndmoref)) {
            $this->moref = $ndmoref->value;
            if (isset($ndmoref->prefix)) {
                $this->namespace['moref'] = $ndmoref->prefix;
                $nsUri = $ndmoref->lookupNamespaceURI($ndmoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'moref');
        } else {
            $this->moref = null;
        }
        $ndhardwareVersion = $attrs->getNamedItem('hardwareVersion');
        if (!is_null($ndhardwareVersion)) {
            $this->hardwareVersion = sprintf('%d', $ndhardwareVersion->value);
            if (isset($ndhardwareVersion->prefix)) {
                $this->namespace['hardwareVersion'] = $ndhardwareVersion->prefix;
                $nsUri = $ndhardwareVersion->lookupNamespaceURI($ndhardwareVersion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'hardwareVersion');
        } else {
            $this->hardwareVersion = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndisVAppTemplate = $attrs->getNamedItem('isVAppTemplate');
        if (!is_null($ndisVAppTemplate)) {
            $this->isVAppTemplate = VMware_VCloud_API_Helper::get_boolean($ndisVAppTemplate->value);
            if (isset($ndisVAppTemplate->prefix)) {
                $this->namespace['isVAppTemplate'] = $ndisVAppTemplate->prefix;
                $nsUri = $ndisVAppTemplate->lookupNamespaceURI($ndisVAppTemplate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVAppTemplate');
        } else {
            $this->isVAppTemplate = null;
        }
        $ndisDeleted = $attrs->getNamedItem('isDeleted');
        if (!is_null($ndisDeleted)) {
            $this->isDeleted = VMware_VCloud_API_Helper::get_boolean($ndisDeleted->value);
            if (isset($ndisDeleted->prefix)) {
                $this->namespace['isDeleted'] = $ndisDeleted->prefix;
                $nsUri = $ndisDeleted->lookupNamespaceURI($ndisDeleted->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeleted');
        } else {
            $this->isDeleted = null;
        }
        $ndcatalogName = $attrs->getNamedItem('catalogName');
        if (!is_null($ndcatalogName)) {
            $this->catalogName = $ndcatalogName->value;
            if (isset($ndcatalogName->prefix)) {
                $this->namespace['catalogName'] = $ndcatalogName->prefix;
                $nsUri = $ndcatalogName->lookupNamespaceURI($ndcatalogName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogName');
        } else {
            $this->catalogName = null;
        }
        $ndisDeployed = $attrs->getNamedItem('isDeployed');
        if (!is_null($ndisDeployed)) {
            $this->isDeployed = VMware_VCloud_API_Helper::get_boolean($ndisDeployed->value);
            if (isset($ndisDeployed->prefix)) {
                $this->namespace['isDeployed'] = $ndisDeployed->prefix;
                $nsUri = $ndisDeployed->lookupNamespaceURI($ndisDeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeployed');
        } else {
            $this->isDeployed = null;
        }
        $ndguestOs = $attrs->getNamedItem('guestOs');
        if (!is_null($ndguestOs)) {
            $this->guestOs = $ndguestOs->value;
            if (isset($ndguestOs->prefix)) {
                $this->namespace['guestOs'] = $ndguestOs->prefix;
                $nsUri = $ndguestOs->lookupNamespaceURI($ndguestOs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'guestOs');
        } else {
            $this->guestOs = null;
        }
        $ndisVdcEnabled = $attrs->getNamedItem('isVdcEnabled');
        if (!is_null($ndisVdcEnabled)) {
            $this->isVdcEnabled = VMware_VCloud_API_Helper::get_boolean($ndisVdcEnabled->value);
            if (isset($ndisVdcEnabled->prefix)) {
                $this->namespace['isVdcEnabled'] = $ndisVdcEnabled->prefix;
                $nsUri = $ndisVdcEnabled->lookupNamespaceURI($ndisVdcEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVdcEnabled');
        } else {
            $this->isVdcEnabled = null;
        }
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndstorageProfileName = $attrs->getNamedItem('storageProfileName');
        if (!is_null($ndstorageProfileName)) {
            $this->storageProfileName = $ndstorageProfileName->value;
            if (isset($ndstorageProfileName->prefix)) {
                $this->namespace['storageProfileName'] = $ndstorageProfileName->prefix;
                $nsUri = $ndstorageProfileName->lookupNamespaceURI($ndstorageProfileName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileName');
        } else {
            $this->storageProfileName = null;
        }
        $ndhostName = $attrs->getNamedItem('hostName');
        if (!is_null($ndhostName)) {
            $this->hostName = $ndhostName->value;
            if (isset($ndhostName->prefix)) {
                $this->namespace['hostName'] = $ndhostName->prefix;
                $nsUri = $ndhostName->lookupNamespaceURI($ndhostName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'hostName');
        } else {
            $this->hostName = null;
        }
        $ndcontainer = $attrs->getNamedItem('container');
        if (!is_null($ndcontainer)) {
            $this->container = $ndcontainer->value;
            if (isset($ndcontainer->prefix)) {
                $this->namespace['container'] = $ndcontainer->prefix;
                $nsUri = $ndcontainer->lookupNamespaceURI($ndcontainer->prefix);
            }
            $node->removeAttributeNS($nsUri, 'container');
        } else {
            $this->container = null;
        }
        $ndnetworkName = $attrs->getNamedItem('networkName');
        if (!is_null($ndnetworkName)) {
            $this->networkName = $ndnetworkName->value;
            if (isset($ndnetworkName->prefix)) {
                $this->namespace['networkName'] = $ndnetworkName->prefix;
                $nsUri = $ndnetworkName->lookupNamespaceURI($ndnetworkName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'networkName');
        } else {
            $this->networkName = null;
        }
        $ndcontainerName = $attrs->getNamedItem('containerName');
        if (!is_null($ndcontainerName)) {
            $this->containerName = $ndcontainerName->value;
            if (isset($ndcontainerName->prefix)) {
                $this->namespace['containerName'] = $ndcontainerName->prefix;
                $nsUri = $ndcontainerName->lookupNamespaceURI($ndcontainerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'containerName');
        } else {
            $this->containerName = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndnumberOfCpus = $attrs->getNamedItem('numberOfCpus');
        if (!is_null($ndnumberOfCpus)) {
            $this->numberOfCpus = sprintf('%d', $ndnumberOfCpus->value);
            if (isset($ndnumberOfCpus->prefix)) {
                $this->namespace['numberOfCpus'] = $ndnumberOfCpus->prefix;
                $nsUri = $ndnumberOfCpus->lookupNamespaceURI($ndnumberOfCpus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfCpus');
        } else {
            $this->numberOfCpus = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminVMRecordType


/**
 * Type for a single adminAllocatedExternalAddress query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminAllocatedExternalAddressRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $org = null;
    protected $ipAddress = null;
    protected $network = null;
    protected $linkedNetwork = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $org - [optional] an attribute, 
    * @param string $ipAddress - [optional] an attribute, 
    * @param string $network - [optional] an attribute, 
    * @param string $linkedNetwork - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $org=null, $ipAddress=null, $network=null, $linkedNetwork=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->org = $org;
        $this->ipAddress = $ipAddress;
        $this->network = $network;
        $this->linkedNetwork = $linkedNetwork;
        $this->tagName = 'AdminAllocatedExternalAddressRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_ipAddress(){
        return $this->ipAddress;
    }
    public function set_ipAddress($ipAddress) {
        $this->ipAddress = $ipAddress;
    }
    public function get_network(){
        return $this->network;
    }
    public function set_network($network) {
        $this->network = $network;
    }
    public function get_linkedNetwork(){
        return $this->linkedNetwork;
    }
    public function set_linkedNetwork($linkedNetwork) {
        $this->linkedNetwork = $linkedNetwork;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->ipAddress)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ipAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ipAddress=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ipAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ipAddress')));
        }
        if (!is_null($this->network)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'network', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'network=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->network, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='network')));
        }
        if (!is_null($this->linkedNetwork)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'linkedNetwork', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'linkedNetwork=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->linkedNetwork, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='linkedNetwork')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndipAddress = $attrs->getNamedItem('ipAddress');
        if (!is_null($ndipAddress)) {
            $this->ipAddress = $ndipAddress->value;
            if (isset($ndipAddress->prefix)) {
                $this->namespace['ipAddress'] = $ndipAddress->prefix;
                $nsUri = $ndipAddress->lookupNamespaceURI($ndipAddress->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ipAddress');
        } else {
            $this->ipAddress = null;
        }
        $ndnetwork = $attrs->getNamedItem('network');
        if (!is_null($ndnetwork)) {
            $this->network = $ndnetwork->value;
            if (isset($ndnetwork->prefix)) {
                $this->namespace['network'] = $ndnetwork->prefix;
                $nsUri = $ndnetwork->lookupNamespaceURI($ndnetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'network');
        } else {
            $this->network = null;
        }
        $ndlinkedNetwork = $attrs->getNamedItem('linkedNetwork');
        if (!is_null($ndlinkedNetwork)) {
            $this->linkedNetwork = $ndlinkedNetwork->value;
            if (isset($ndlinkedNetwork->prefix)) {
                $this->namespace['linkedNetwork'] = $ndlinkedNetwork->prefix;
                $nsUri = $ndlinkedNetwork->lookupNamespaceURI($ndlinkedNetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'linkedNetwork');
        } else {
            $this->linkedNetwork = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminAllocatedExternalAddressRecordType


/**
 * Type for a single vAppOrgNetworkRelation query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVAppOrgNetworkRelationRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $orgNetworkName = null;
    protected $name = null;
    protected $orgNetwork = null;
    protected $ownerName = null;
    protected $configurationType = null;
    protected $org = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $orgNetworkName - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $orgNetwork - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $configurationType - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $orgNetworkName=null, $name=null, $orgNetwork=null, $ownerName=null, $configurationType=null, $org=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->orgNetworkName = $orgNetworkName;
        $this->name = $name;
        $this->orgNetwork = $orgNetwork;
        $this->ownerName = $ownerName;
        $this->configurationType = $configurationType;
        $this->org = $org;
        $this->tagName = 'VAppOrgNetworkRelationRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_orgNetworkName(){
        return $this->orgNetworkName;
    }
    public function set_orgNetworkName($orgNetworkName) {
        $this->orgNetworkName = $orgNetworkName;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_orgNetwork(){
        return $this->orgNetwork;
    }
    public function set_orgNetwork($orgNetwork) {
        $this->orgNetwork = $orgNetwork;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_configurationType(){
        return $this->configurationType;
    }
    public function set_configurationType($configurationType) {
        $this->configurationType = $configurationType;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->orgNetworkName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgNetworkName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgNetworkName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgNetworkName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgNetworkName')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->orgNetwork)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgNetwork', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgNetwork=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgNetwork, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgNetwork')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->configurationType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'configurationType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'configurationType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->configurationType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='configurationType')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndorgNetworkName = $attrs->getNamedItem('orgNetworkName');
        if (!is_null($ndorgNetworkName)) {
            $this->orgNetworkName = $ndorgNetworkName->value;
            if (isset($ndorgNetworkName->prefix)) {
                $this->namespace['orgNetworkName'] = $ndorgNetworkName->prefix;
                $nsUri = $ndorgNetworkName->lookupNamespaceURI($ndorgNetworkName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgNetworkName');
        } else {
            $this->orgNetworkName = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndorgNetwork = $attrs->getNamedItem('orgNetwork');
        if (!is_null($ndorgNetwork)) {
            $this->orgNetwork = $ndorgNetwork->value;
            if (isset($ndorgNetwork->prefix)) {
                $this->namespace['orgNetwork'] = $ndorgNetwork->prefix;
                $nsUri = $ndorgNetwork->lookupNamespaceURI($ndorgNetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgNetwork');
        } else {
            $this->orgNetwork = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndconfigurationType = $attrs->getNamedItem('configurationType');
        if (!is_null($ndconfigurationType)) {
            $this->configurationType = $ndconfigurationType->value;
            if (isset($ndconfigurationType->prefix)) {
                $this->namespace['configurationType'] = $ndconfigurationType->prefix;
                $nsUri = $ndconfigurationType->lookupNamespaceURI($ndconfigurationType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'configurationType');
        } else {
            $this->configurationType = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVAppOrgNetworkRelationRecordType


/**
 * Type for a single orgVdcResourcePoolRelation query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultOrgVdcResourcePoolRelationRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vdc = null;
    protected $vc = null;
    protected $resourcePoolMoref = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vdc - [optional] an attribute, 
    * @param string $vc - [optional] an attribute, 
    * @param string $resourcePoolMoref - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vdc=null, $vc=null, $resourcePoolMoref=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vdc = $vdc;
        $this->vc = $vc;
        $this->resourcePoolMoref = $resourcePoolMoref;
        $this->tagName = 'OrgVdcResourcePoolRelationRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_resourcePoolMoref(){
        return $this->resourcePoolMoref;
    }
    public function set_resourcePoolMoref($resourcePoolMoref) {
        $this->resourcePoolMoref = $resourcePoolMoref;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->resourcePoolMoref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'resourcePoolMoref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'resourcePoolMoref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->resourcePoolMoref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='resourcePoolMoref')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndresourcePoolMoref = $attrs->getNamedItem('resourcePoolMoref');
        if (!is_null($ndresourcePoolMoref)) {
            $this->resourcePoolMoref = $ndresourcePoolMoref->value;
            if (isset($ndresourcePoolMoref->prefix)) {
                $this->namespace['resourcePoolMoref'] = $ndresourcePoolMoref->prefix;
                $nsUri = $ndresourcePoolMoref->lookupNamespaceURI($ndresourcePoolMoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'resourcePoolMoref');
        } else {
            $this->resourcePoolMoref = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultOrgVdcResourcePoolRelationRecordType


/**
 * Type for a single providerVdcResourcePoolRelation query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultProviderVdcResourcePoolRelationRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vc = null;
    protected $resourcePoolMoref = null;
    protected $name = null;
    protected $cpuReservationLimitMhz = null;
    protected $providerVdc = null;
    protected $numberOfVMs = null;
    protected $isEnabled = null;
    protected $cpuReservationAllocationMhz = null;
    protected $memoryReservationLimitMB = null;
    protected $memoryReservationAllocationMB = null;
    protected $isPrimary = null;
    protected $vcName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vc - [optional] an attribute, 
    * @param string $resourcePoolMoref - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param long $cpuReservationLimitMhz - [optional] an attribute, 
    * @param string $providerVdc - [optional] an attribute, 
    * @param int $numberOfVMs - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param long $cpuReservationAllocationMhz - [optional] an attribute, 
    * @param long $memoryReservationLimitMB - [optional] an attribute, 
    * @param long $memoryReservationAllocationMB - [optional] an attribute, 
    * @param boolean $isPrimary - [optional] an attribute, 
    * @param string $vcName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vc=null, $resourcePoolMoref=null, $name=null, $cpuReservationLimitMhz=null, $providerVdc=null, $numberOfVMs=null, $isEnabled=null, $cpuReservationAllocationMhz=null, $memoryReservationLimitMB=null, $memoryReservationAllocationMB=null, $isPrimary=null, $vcName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vc = $vc;
        $this->resourcePoolMoref = $resourcePoolMoref;
        $this->name = $name;
        $this->cpuReservationLimitMhz = $cpuReservationLimitMhz;
        $this->providerVdc = $providerVdc;
        $this->numberOfVMs = $numberOfVMs;
        $this->isEnabled = $isEnabled;
        $this->cpuReservationAllocationMhz = $cpuReservationAllocationMhz;
        $this->memoryReservationLimitMB = $memoryReservationLimitMB;
        $this->memoryReservationAllocationMB = $memoryReservationAllocationMB;
        $this->isPrimary = $isPrimary;
        $this->vcName = $vcName;
        $this->tagName = 'ProviderVdcResourcePoolRelationRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_resourcePoolMoref(){
        return $this->resourcePoolMoref;
    }
    public function set_resourcePoolMoref($resourcePoolMoref) {
        $this->resourcePoolMoref = $resourcePoolMoref;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_cpuReservationLimitMhz(){
        return $this->cpuReservationLimitMhz;
    }
    public function set_cpuReservationLimitMhz($cpuReservationLimitMhz) {
        $this->cpuReservationLimitMhz = $cpuReservationLimitMhz;
    }
    public function get_providerVdc(){
        return $this->providerVdc;
    }
    public function set_providerVdc($providerVdc) {
        $this->providerVdc = $providerVdc;
    }
    public function get_numberOfVMs(){
        return $this->numberOfVMs;
    }
    public function set_numberOfVMs($numberOfVMs) {
        $this->numberOfVMs = $numberOfVMs;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_cpuReservationAllocationMhz(){
        return $this->cpuReservationAllocationMhz;
    }
    public function set_cpuReservationAllocationMhz($cpuReservationAllocationMhz) {
        $this->cpuReservationAllocationMhz = $cpuReservationAllocationMhz;
    }
    public function get_memoryReservationLimitMB(){
        return $this->memoryReservationLimitMB;
    }
    public function set_memoryReservationLimitMB($memoryReservationLimitMB) {
        $this->memoryReservationLimitMB = $memoryReservationLimitMB;
    }
    public function get_memoryReservationAllocationMB(){
        return $this->memoryReservationAllocationMB;
    }
    public function set_memoryReservationAllocationMB($memoryReservationAllocationMB) {
        $this->memoryReservationAllocationMB = $memoryReservationAllocationMB;
    }
    public function get_isPrimary(){
        return $this->isPrimary;
    }
    public function set_isPrimary($isPrimary) {
        $this->isPrimary = $isPrimary;
    }
    public function get_vcName(){
        return $this->vcName;
    }
    public function set_vcName($vcName) {
        $this->vcName = $vcName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->resourcePoolMoref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'resourcePoolMoref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'resourcePoolMoref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->resourcePoolMoref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='resourcePoolMoref')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->cpuReservationLimitMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuReservationLimitMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuReservationLimitMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuReservationLimitMhz, $input_name='cpuReservationLimitMhz')));
        }
        if (!is_null($this->providerVdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'providerVdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'providerVdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->providerVdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='providerVdc')));
        }
        if (!is_null($this->numberOfVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfVMs, $input_name='numberOfVMs')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->cpuReservationAllocationMhz)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpuReservationAllocationMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpuReservationAllocationMhz=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpuReservationAllocationMhz, $input_name='cpuReservationAllocationMhz')));
        }
        if (!is_null($this->memoryReservationLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryReservationLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryReservationLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryReservationLimitMB, $input_name='memoryReservationLimitMB')));
        }
        if (!is_null($this->memoryReservationAllocationMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryReservationAllocationMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryReservationAllocationMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryReservationAllocationMB, $input_name='memoryReservationAllocationMB')));
        }
        if (!is_null($this->isPrimary)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPrimary', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPrimary=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPrimary, $input_name='isPrimary')));
        }
        if (!is_null($this->vcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndresourcePoolMoref = $attrs->getNamedItem('resourcePoolMoref');
        if (!is_null($ndresourcePoolMoref)) {
            $this->resourcePoolMoref = $ndresourcePoolMoref->value;
            if (isset($ndresourcePoolMoref->prefix)) {
                $this->namespace['resourcePoolMoref'] = $ndresourcePoolMoref->prefix;
                $nsUri = $ndresourcePoolMoref->lookupNamespaceURI($ndresourcePoolMoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'resourcePoolMoref');
        } else {
            $this->resourcePoolMoref = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndcpuReservationLimitMhz = $attrs->getNamedItem('cpuReservationLimitMhz');
        if (!is_null($ndcpuReservationLimitMhz)) {
            $this->cpuReservationLimitMhz = sprintf('%d', $ndcpuReservationLimitMhz->value);
            if (isset($ndcpuReservationLimitMhz->prefix)) {
                $this->namespace['cpuReservationLimitMhz'] = $ndcpuReservationLimitMhz->prefix;
                $nsUri = $ndcpuReservationLimitMhz->lookupNamespaceURI($ndcpuReservationLimitMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuReservationLimitMhz');
        } else {
            $this->cpuReservationLimitMhz = null;
        }
        $ndproviderVdc = $attrs->getNamedItem('providerVdc');
        if (!is_null($ndproviderVdc)) {
            $this->providerVdc = $ndproviderVdc->value;
            if (isset($ndproviderVdc->prefix)) {
                $this->namespace['providerVdc'] = $ndproviderVdc->prefix;
                $nsUri = $ndproviderVdc->lookupNamespaceURI($ndproviderVdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'providerVdc');
        } else {
            $this->providerVdc = null;
        }
        $ndnumberOfVMs = $attrs->getNamedItem('numberOfVMs');
        if (!is_null($ndnumberOfVMs)) {
            $this->numberOfVMs = sprintf('%d', $ndnumberOfVMs->value);
            if (isset($ndnumberOfVMs->prefix)) {
                $this->namespace['numberOfVMs'] = $ndnumberOfVMs->prefix;
                $nsUri = $ndnumberOfVMs->lookupNamespaceURI($ndnumberOfVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfVMs');
        } else {
            $this->numberOfVMs = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndcpuReservationAllocationMhz = $attrs->getNamedItem('cpuReservationAllocationMhz');
        if (!is_null($ndcpuReservationAllocationMhz)) {
            $this->cpuReservationAllocationMhz = sprintf('%d', $ndcpuReservationAllocationMhz->value);
            if (isset($ndcpuReservationAllocationMhz->prefix)) {
                $this->namespace['cpuReservationAllocationMhz'] = $ndcpuReservationAllocationMhz->prefix;
                $nsUri = $ndcpuReservationAllocationMhz->lookupNamespaceURI($ndcpuReservationAllocationMhz->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpuReservationAllocationMhz');
        } else {
            $this->cpuReservationAllocationMhz = null;
        }
        $ndmemoryReservationLimitMB = $attrs->getNamedItem('memoryReservationLimitMB');
        if (!is_null($ndmemoryReservationLimitMB)) {
            $this->memoryReservationLimitMB = sprintf('%d', $ndmemoryReservationLimitMB->value);
            if (isset($ndmemoryReservationLimitMB->prefix)) {
                $this->namespace['memoryReservationLimitMB'] = $ndmemoryReservationLimitMB->prefix;
                $nsUri = $ndmemoryReservationLimitMB->lookupNamespaceURI($ndmemoryReservationLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryReservationLimitMB');
        } else {
            $this->memoryReservationLimitMB = null;
        }
        $ndmemoryReservationAllocationMB = $attrs->getNamedItem('memoryReservationAllocationMB');
        if (!is_null($ndmemoryReservationAllocationMB)) {
            $this->memoryReservationAllocationMB = sprintf('%d', $ndmemoryReservationAllocationMB->value);
            if (isset($ndmemoryReservationAllocationMB->prefix)) {
                $this->namespace['memoryReservationAllocationMB'] = $ndmemoryReservationAllocationMB->prefix;
                $nsUri = $ndmemoryReservationAllocationMB->lookupNamespaceURI($ndmemoryReservationAllocationMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryReservationAllocationMB');
        } else {
            $this->memoryReservationAllocationMB = null;
        }
        $ndisPrimary = $attrs->getNamedItem('isPrimary');
        if (!is_null($ndisPrimary)) {
            $this->isPrimary = VMware_VCloud_API_Helper::get_boolean($ndisPrimary->value);
            if (isset($ndisPrimary->prefix)) {
                $this->namespace['isPrimary'] = $ndisPrimary->prefix;
                $nsUri = $ndisPrimary->lookupNamespaceURI($ndisPrimary->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPrimary');
        } else {
            $this->isPrimary = null;
        }
        $ndvcName = $attrs->getNamedItem('vcName');
        if (!is_null($ndvcName)) {
            $this->vcName = $ndvcName->value;
            if (isset($ndvcName->prefix)) {
                $this->namespace['vcName'] = $ndvcName->prefix;
                $nsUri = $ndvcName->lookupNamespaceURI($ndvcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcName');
        } else {
            $this->vcName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultProviderVdcResourcePoolRelationRecordType


/**
 * Type for a single datastoreProviderVdcRelation query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultDatastoreProviderVdcRelationRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vc = null;
    protected $storageUsedMB = null;
    protected $name = null;
    protected $providerVdc = null;
    protected $isEnabled = null;
    protected $requestedStorageMB = null;
    protected $storageMB = null;
    protected $moref = null;
    protected $vcName = null;
    protected $datastoreType = null;
    protected $provisionedStorageMB = null;
    protected $datastore = null;
    protected $isDeleted = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vc - [optional] an attribute, 
    * @param float $storageUsedMB - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $providerVdc - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param float $requestedStorageMB - [optional] an attribute, 
    * @param float $storageMB - [optional] an attribute, 
    * @param string $moref - [optional] an attribute, 
    * @param string $vcName - [optional] an attribute, 
    * @param string $datastoreType - [optional] an attribute, 
    * @param float $provisionedStorageMB - [optional] an attribute, 
    * @param string $datastore - [optional] an attribute, 
    * @param boolean $isDeleted - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vc=null, $storageUsedMB=null, $name=null, $providerVdc=null, $isEnabled=null, $requestedStorageMB=null, $storageMB=null, $moref=null, $vcName=null, $datastoreType=null, $provisionedStorageMB=null, $datastore=null, $isDeleted=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vc = $vc;
        $this->storageUsedMB = $storageUsedMB;
        $this->name = $name;
        $this->providerVdc = $providerVdc;
        $this->isEnabled = $isEnabled;
        $this->requestedStorageMB = $requestedStorageMB;
        $this->storageMB = $storageMB;
        $this->moref = $moref;
        $this->vcName = $vcName;
        $this->datastoreType = $datastoreType;
        $this->provisionedStorageMB = $provisionedStorageMB;
        $this->datastore = $datastore;
        $this->isDeleted = $isDeleted;
        $this->tagName = 'DatastoreProviderVdcRelationRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_storageUsedMB(){
        return $this->storageUsedMB;
    }
    public function set_storageUsedMB($storageUsedMB) {
        $this->storageUsedMB = $storageUsedMB;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_providerVdc(){
        return $this->providerVdc;
    }
    public function set_providerVdc($providerVdc) {
        $this->providerVdc = $providerVdc;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_requestedStorageMB(){
        return $this->requestedStorageMB;
    }
    public function set_requestedStorageMB($requestedStorageMB) {
        $this->requestedStorageMB = $requestedStorageMB;
    }
    public function get_storageMB(){
        return $this->storageMB;
    }
    public function set_storageMB($storageMB) {
        $this->storageMB = $storageMB;
    }
    public function get_moref(){
        return $this->moref;
    }
    public function set_moref($moref) {
        $this->moref = $moref;
    }
    public function get_vcName(){
        return $this->vcName;
    }
    public function set_vcName($vcName) {
        $this->vcName = $vcName;
    }
    public function get_datastoreType(){
        return $this->datastoreType;
    }
    public function set_datastoreType($datastoreType) {
        $this->datastoreType = $datastoreType;
    }
    public function get_provisionedStorageMB(){
        return $this->provisionedStorageMB;
    }
    public function set_provisionedStorageMB($provisionedStorageMB) {
        $this->provisionedStorageMB = $provisionedStorageMB;
    }
    public function get_datastore(){
        return $this->datastore;
    }
    public function set_datastore($datastore) {
        $this->datastore = $datastore;
    }
    public function get_isDeleted(){
        return $this->isDeleted;
    }
    public function set_isDeleted($isDeleted) {
        $this->isDeleted = $isDeleted;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->storageUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_float($this->storageUsedMB, $input_name='storageUsedMB')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->providerVdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'providerVdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'providerVdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->providerVdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='providerVdc')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->requestedStorageMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'requestedStorageMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'requestedStorageMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_float($this->requestedStorageMB, $input_name='requestedStorageMB')));
        }
        if (!is_null($this->storageMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_float($this->storageMB, $input_name='storageMB')));
        }
        if (!is_null($this->moref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'moref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'moref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->moref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='moref')));
        }
        if (!is_null($this->vcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcName')));
        }
        if (!is_null($this->datastoreType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastoreType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastoreType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastoreType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastoreType')));
        }
        if (!is_null($this->provisionedStorageMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'provisionedStorageMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'provisionedStorageMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_float($this->provisionedStorageMB, $input_name='provisionedStorageMB')));
        }
        if (!is_null($this->datastore)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastore', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastore=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastore, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastore')));
        }
        if (!is_null($this->isDeleted)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeleted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeleted=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeleted, $input_name='isDeleted')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndstorageUsedMB = $attrs->getNamedItem('storageUsedMB');
        if (!is_null($ndstorageUsedMB)) {
            $this->storageUsedMB = sprintf('%f', $ndstorageUsedMB->value);
            if (isset($ndstorageUsedMB->prefix)) {
                $this->namespace['storageUsedMB'] = $ndstorageUsedMB->prefix;
                $nsUri = $ndstorageUsedMB->lookupNamespaceURI($ndstorageUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageUsedMB');
        } else {
            $this->storageUsedMB = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndproviderVdc = $attrs->getNamedItem('providerVdc');
        if (!is_null($ndproviderVdc)) {
            $this->providerVdc = $ndproviderVdc->value;
            if (isset($ndproviderVdc->prefix)) {
                $this->namespace['providerVdc'] = $ndproviderVdc->prefix;
                $nsUri = $ndproviderVdc->lookupNamespaceURI($ndproviderVdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'providerVdc');
        } else {
            $this->providerVdc = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndrequestedStorageMB = $attrs->getNamedItem('requestedStorageMB');
        if (!is_null($ndrequestedStorageMB)) {
            $this->requestedStorageMB = sprintf('%f', $ndrequestedStorageMB->value);
            if (isset($ndrequestedStorageMB->prefix)) {
                $this->namespace['requestedStorageMB'] = $ndrequestedStorageMB->prefix;
                $nsUri = $ndrequestedStorageMB->lookupNamespaceURI($ndrequestedStorageMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'requestedStorageMB');
        } else {
            $this->requestedStorageMB = null;
        }
        $ndstorageMB = $attrs->getNamedItem('storageMB');
        if (!is_null($ndstorageMB)) {
            $this->storageMB = sprintf('%f', $ndstorageMB->value);
            if (isset($ndstorageMB->prefix)) {
                $this->namespace['storageMB'] = $ndstorageMB->prefix;
                $nsUri = $ndstorageMB->lookupNamespaceURI($ndstorageMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageMB');
        } else {
            $this->storageMB = null;
        }
        $ndmoref = $attrs->getNamedItem('moref');
        if (!is_null($ndmoref)) {
            $this->moref = $ndmoref->value;
            if (isset($ndmoref->prefix)) {
                $this->namespace['moref'] = $ndmoref->prefix;
                $nsUri = $ndmoref->lookupNamespaceURI($ndmoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'moref');
        } else {
            $this->moref = null;
        }
        $ndvcName = $attrs->getNamedItem('vcName');
        if (!is_null($ndvcName)) {
            $this->vcName = $ndvcName->value;
            if (isset($ndvcName->prefix)) {
                $this->namespace['vcName'] = $ndvcName->prefix;
                $nsUri = $ndvcName->lookupNamespaceURI($ndvcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcName');
        } else {
            $this->vcName = null;
        }
        $nddatastoreType = $attrs->getNamedItem('datastoreType');
        if (!is_null($nddatastoreType)) {
            $this->datastoreType = $nddatastoreType->value;
            if (isset($nddatastoreType->prefix)) {
                $this->namespace['datastoreType'] = $nddatastoreType->prefix;
                $nsUri = $nddatastoreType->lookupNamespaceURI($nddatastoreType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastoreType');
        } else {
            $this->datastoreType = null;
        }
        $ndprovisionedStorageMB = $attrs->getNamedItem('provisionedStorageMB');
        if (!is_null($ndprovisionedStorageMB)) {
            $this->provisionedStorageMB = sprintf('%f', $ndprovisionedStorageMB->value);
            if (isset($ndprovisionedStorageMB->prefix)) {
                $this->namespace['provisionedStorageMB'] = $ndprovisionedStorageMB->prefix;
                $nsUri = $ndprovisionedStorageMB->lookupNamespaceURI($ndprovisionedStorageMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'provisionedStorageMB');
        } else {
            $this->provisionedStorageMB = null;
        }
        $nddatastore = $attrs->getNamedItem('datastore');
        if (!is_null($nddatastore)) {
            $this->datastore = $nddatastore->value;
            if (isset($nddatastore->prefix)) {
                $this->namespace['datastore'] = $nddatastore->prefix;
                $nsUri = $nddatastore->lookupNamespaceURI($nddatastore->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastore');
        } else {
            $this->datastore = null;
        }
        $ndisDeleted = $attrs->getNamedItem('isDeleted');
        if (!is_null($ndisDeleted)) {
            $this->isDeleted = VMware_VCloud_API_Helper::get_boolean($ndisDeleted->value);
            if (isset($ndisDeleted->prefix)) {
                $this->namespace['isDeleted'] = $ndisDeleted->prefix;
                $nsUri = $ndisDeleted->lookupNamespaceURI($ndisDeleted->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeleted');
        } else {
            $this->isDeleted = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultDatastoreProviderVdcRelationRecordType


/**
 * Type for a single adminUser query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminUserRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isLdapUser = null;
    protected $deployedVMQuotaRank = null;
    protected $name = null;
    protected $isEnabled = null;
    protected $deployedVMQuota = null;
    protected $identityProviderType = null;
    protected $storedVMQuota = null;
    protected $numberOfStoredVMs = null;
    protected $storedVMQuotaRank = null;
    protected $numberOfDeployedVMs = null;
    protected $org = null;
    protected $fullName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isLdapUser - [optional] an attribute, 
    * @param int $deployedVMQuotaRank - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param int $deployedVMQuota - [optional] an attribute, 
    * @param string $identityProviderType - [optional] an attribute, 
    * @param int $storedVMQuota - [optional] an attribute, 
    * @param int $numberOfStoredVMs - [optional] an attribute, 
    * @param int $storedVMQuotaRank - [optional] an attribute, 
    * @param int $numberOfDeployedVMs - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $fullName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isLdapUser=null, $deployedVMQuotaRank=null, $name=null, $isEnabled=null, $deployedVMQuota=null, $identityProviderType=null, $storedVMQuota=null, $numberOfStoredVMs=null, $storedVMQuotaRank=null, $numberOfDeployedVMs=null, $org=null, $fullName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isLdapUser = $isLdapUser;
        $this->deployedVMQuotaRank = $deployedVMQuotaRank;
        $this->name = $name;
        $this->isEnabled = $isEnabled;
        $this->deployedVMQuota = $deployedVMQuota;
        $this->identityProviderType = $identityProviderType;
        $this->storedVMQuota = $storedVMQuota;
        $this->numberOfStoredVMs = $numberOfStoredVMs;
        $this->storedVMQuotaRank = $storedVMQuotaRank;
        $this->numberOfDeployedVMs = $numberOfDeployedVMs;
        $this->org = $org;
        $this->fullName = $fullName;
        $this->tagName = 'AdminUserRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isLdapUser(){
        return $this->isLdapUser;
    }
    public function set_isLdapUser($isLdapUser) {
        $this->isLdapUser = $isLdapUser;
    }
    public function get_deployedVMQuotaRank(){
        return $this->deployedVMQuotaRank;
    }
    public function set_deployedVMQuotaRank($deployedVMQuotaRank) {
        $this->deployedVMQuotaRank = $deployedVMQuotaRank;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_deployedVMQuota(){
        return $this->deployedVMQuota;
    }
    public function set_deployedVMQuota($deployedVMQuota) {
        $this->deployedVMQuota = $deployedVMQuota;
    }
    public function get_identityProviderType(){
        return $this->identityProviderType;
    }
    public function set_identityProviderType($identityProviderType) {
        $this->identityProviderType = $identityProviderType;
    }
    public function get_storedVMQuota(){
        return $this->storedVMQuota;
    }
    public function set_storedVMQuota($storedVMQuota) {
        $this->storedVMQuota = $storedVMQuota;
    }
    public function get_numberOfStoredVMs(){
        return $this->numberOfStoredVMs;
    }
    public function set_numberOfStoredVMs($numberOfStoredVMs) {
        $this->numberOfStoredVMs = $numberOfStoredVMs;
    }
    public function get_storedVMQuotaRank(){
        return $this->storedVMQuotaRank;
    }
    public function set_storedVMQuotaRank($storedVMQuotaRank) {
        $this->storedVMQuotaRank = $storedVMQuotaRank;
    }
    public function get_numberOfDeployedVMs(){
        return $this->numberOfDeployedVMs;
    }
    public function set_numberOfDeployedVMs($numberOfDeployedVMs) {
        $this->numberOfDeployedVMs = $numberOfDeployedVMs;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_fullName(){
        return $this->fullName;
    }
    public function set_fullName($fullName) {
        $this->fullName = $fullName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isLdapUser)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isLdapUser', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isLdapUser=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isLdapUser, $input_name='isLdapUser')));
        }
        if (!is_null($this->deployedVMQuotaRank)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deployedVMQuotaRank', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deployedVMQuotaRank=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->deployedVMQuotaRank, $input_name='deployedVMQuotaRank')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->deployedVMQuota)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deployedVMQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deployedVMQuota=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->deployedVMQuota, $input_name='deployedVMQuota')));
        }
        if (!is_null($this->identityProviderType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'identityProviderType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'identityProviderType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->identityProviderType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='identityProviderType')));
        }
        if (!is_null($this->storedVMQuota)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storedVMQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storedVMQuota=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storedVMQuota, $input_name='storedVMQuota')));
        }
        if (!is_null($this->numberOfStoredVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfStoredVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfStoredVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfStoredVMs, $input_name='numberOfStoredVMs')));
        }
        if (!is_null($this->storedVMQuotaRank)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storedVMQuotaRank', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storedVMQuotaRank=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storedVMQuotaRank, $input_name='storedVMQuotaRank')));
        }
        if (!is_null($this->numberOfDeployedVMs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfDeployedVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfDeployedVMs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfDeployedVMs, $input_name='numberOfDeployedVMs')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->fullName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fullName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fullName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fullName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fullName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisLdapUser = $attrs->getNamedItem('isLdapUser');
        if (!is_null($ndisLdapUser)) {
            $this->isLdapUser = VMware_VCloud_API_Helper::get_boolean($ndisLdapUser->value);
            if (isset($ndisLdapUser->prefix)) {
                $this->namespace['isLdapUser'] = $ndisLdapUser->prefix;
                $nsUri = $ndisLdapUser->lookupNamespaceURI($ndisLdapUser->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isLdapUser');
        } else {
            $this->isLdapUser = null;
        }
        $nddeployedVMQuotaRank = $attrs->getNamedItem('deployedVMQuotaRank');
        if (!is_null($nddeployedVMQuotaRank)) {
            $this->deployedVMQuotaRank = sprintf('%d', $nddeployedVMQuotaRank->value);
            if (isset($nddeployedVMQuotaRank->prefix)) {
                $this->namespace['deployedVMQuotaRank'] = $nddeployedVMQuotaRank->prefix;
                $nsUri = $nddeployedVMQuotaRank->lookupNamespaceURI($nddeployedVMQuotaRank->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deployedVMQuotaRank');
        } else {
            $this->deployedVMQuotaRank = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $nddeployedVMQuota = $attrs->getNamedItem('deployedVMQuota');
        if (!is_null($nddeployedVMQuota)) {
            $this->deployedVMQuota = sprintf('%d', $nddeployedVMQuota->value);
            if (isset($nddeployedVMQuota->prefix)) {
                $this->namespace['deployedVMQuota'] = $nddeployedVMQuota->prefix;
                $nsUri = $nddeployedVMQuota->lookupNamespaceURI($nddeployedVMQuota->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deployedVMQuota');
        } else {
            $this->deployedVMQuota = null;
        }
        $ndidentityProviderType = $attrs->getNamedItem('identityProviderType');
        if (!is_null($ndidentityProviderType)) {
            $this->identityProviderType = $ndidentityProviderType->value;
            if (isset($ndidentityProviderType->prefix)) {
                $this->namespace['identityProviderType'] = $ndidentityProviderType->prefix;
                $nsUri = $ndidentityProviderType->lookupNamespaceURI($ndidentityProviderType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'identityProviderType');
        } else {
            $this->identityProviderType = null;
        }
        $ndstoredVMQuota = $attrs->getNamedItem('storedVMQuota');
        if (!is_null($ndstoredVMQuota)) {
            $this->storedVMQuota = sprintf('%d', $ndstoredVMQuota->value);
            if (isset($ndstoredVMQuota->prefix)) {
                $this->namespace['storedVMQuota'] = $ndstoredVMQuota->prefix;
                $nsUri = $ndstoredVMQuota->lookupNamespaceURI($ndstoredVMQuota->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storedVMQuota');
        } else {
            $this->storedVMQuota = null;
        }
        $ndnumberOfStoredVMs = $attrs->getNamedItem('numberOfStoredVMs');
        if (!is_null($ndnumberOfStoredVMs)) {
            $this->numberOfStoredVMs = sprintf('%d', $ndnumberOfStoredVMs->value);
            if (isset($ndnumberOfStoredVMs->prefix)) {
                $this->namespace['numberOfStoredVMs'] = $ndnumberOfStoredVMs->prefix;
                $nsUri = $ndnumberOfStoredVMs->lookupNamespaceURI($ndnumberOfStoredVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfStoredVMs');
        } else {
            $this->numberOfStoredVMs = null;
        }
        $ndstoredVMQuotaRank = $attrs->getNamedItem('storedVMQuotaRank');
        if (!is_null($ndstoredVMQuotaRank)) {
            $this->storedVMQuotaRank = sprintf('%d', $ndstoredVMQuotaRank->value);
            if (isset($ndstoredVMQuotaRank->prefix)) {
                $this->namespace['storedVMQuotaRank'] = $ndstoredVMQuotaRank->prefix;
                $nsUri = $ndstoredVMQuotaRank->lookupNamespaceURI($ndstoredVMQuotaRank->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storedVMQuotaRank');
        } else {
            $this->storedVMQuotaRank = null;
        }
        $ndnumberOfDeployedVMs = $attrs->getNamedItem('numberOfDeployedVMs');
        if (!is_null($ndnumberOfDeployedVMs)) {
            $this->numberOfDeployedVMs = sprintf('%d', $ndnumberOfDeployedVMs->value);
            if (isset($ndnumberOfDeployedVMs->prefix)) {
                $this->namespace['numberOfDeployedVMs'] = $ndnumberOfDeployedVMs->prefix;
                $nsUri = $ndnumberOfDeployedVMs->lookupNamespaceURI($ndnumberOfDeployedVMs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfDeployedVMs');
        } else {
            $this->numberOfDeployedVMs = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndfullName = $attrs->getNamedItem('fullName');
        if (!is_null($ndfullName)) {
            $this->fullName = $ndfullName->value;
            if (isset($ndfullName->prefix)) {
                $this->namespace['fullName'] = $ndfullName->prefix;
                $nsUri = $ndfullName->lookupNamespaceURI($ndfullName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fullName');
        } else {
            $this->fullName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminUserRecordType


/**
 * Type for a single adminGroup query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminGroupRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isReadOnly = null;
    protected $org = null;
    protected $identityProviderType = null;
    protected $name = null;
    protected $roleName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isReadOnly - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $identityProviderType - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $roleName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isReadOnly=null, $org=null, $identityProviderType=null, $name=null, $roleName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isReadOnly = $isReadOnly;
        $this->org = $org;
        $this->identityProviderType = $identityProviderType;
        $this->name = $name;
        $this->roleName = $roleName;
        $this->tagName = 'AdminGroupRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isReadOnly(){
        return $this->isReadOnly;
    }
    public function set_isReadOnly($isReadOnly) {
        $this->isReadOnly = $isReadOnly;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_identityProviderType(){
        return $this->identityProviderType;
    }
    public function set_identityProviderType($identityProviderType) {
        $this->identityProviderType = $identityProviderType;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_roleName(){
        return $this->roleName;
    }
    public function set_roleName($roleName) {
        $this->roleName = $roleName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isReadOnly)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isReadOnly', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isReadOnly=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isReadOnly, $input_name='isReadOnly')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->identityProviderType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'identityProviderType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'identityProviderType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->identityProviderType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='identityProviderType')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->roleName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'roleName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'roleName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->roleName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='roleName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisReadOnly = $attrs->getNamedItem('isReadOnly');
        if (!is_null($ndisReadOnly)) {
            $this->isReadOnly = VMware_VCloud_API_Helper::get_boolean($ndisReadOnly->value);
            if (isset($ndisReadOnly->prefix)) {
                $this->namespace['isReadOnly'] = $ndisReadOnly->prefix;
                $nsUri = $ndisReadOnly->lookupNamespaceURI($ndisReadOnly->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isReadOnly');
        } else {
            $this->isReadOnly = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndidentityProviderType = $attrs->getNamedItem('identityProviderType');
        if (!is_null($ndidentityProviderType)) {
            $this->identityProviderType = $ndidentityProviderType->value;
            if (isset($ndidentityProviderType->prefix)) {
                $this->namespace['identityProviderType'] = $ndidentityProviderType->prefix;
                $nsUri = $ndidentityProviderType->lookupNamespaceURI($ndidentityProviderType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'identityProviderType');
        } else {
            $this->identityProviderType = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndroleName = $attrs->getNamedItem('roleName');
        if (!is_null($ndroleName)) {
            $this->roleName = $ndroleName->value;
            if (isset($ndroleName->prefix)) {
                $this->namespace['roleName'] = $ndroleName->prefix;
                $nsUri = $ndroleName->lookupNamespaceURI($ndroleName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'roleName');
        } else {
            $this->roleName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminGroupRecordType


/**
 * Type for a single adminVAppNetwork query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminVAppNetworkRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $vappName = null;
    protected $isBusy = null;
    protected $dns2 = null;
    protected $dns1 = null;
    protected $isIpScopeInherited = null;
    protected $netmask = null;
    protected $dnsSuffix = null;
    protected $org = null;
    protected $gateway = null;
    protected $vApp = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $vappName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $dns2 - [optional] an attribute, 
    * @param string $dns1 - [optional] an attribute, 
    * @param boolean $isIpScopeInherited - [optional] an attribute, 
    * @param string $netmask - [optional] an attribute, 
    * @param string $dnsSuffix - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $gateway - [optional] an attribute, 
    * @param string $vApp - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $vappName=null, $isBusy=null, $dns2=null, $dns1=null, $isIpScopeInherited=null, $netmask=null, $dnsSuffix=null, $org=null, $gateway=null, $vApp=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->vappName = $vappName;
        $this->isBusy = $isBusy;
        $this->dns2 = $dns2;
        $this->dns1 = $dns1;
        $this->isIpScopeInherited = $isIpScopeInherited;
        $this->netmask = $netmask;
        $this->dnsSuffix = $dnsSuffix;
        $this->org = $org;
        $this->gateway = $gateway;
        $this->vApp = $vApp;
        $this->tagName = 'AdminVAppNetworkRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_vappName(){
        return $this->vappName;
    }
    public function set_vappName($vappName) {
        $this->vappName = $vappName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_dns2(){
        return $this->dns2;
    }
    public function set_dns2($dns2) {
        $this->dns2 = $dns2;
    }
    public function get_dns1(){
        return $this->dns1;
    }
    public function set_dns1($dns1) {
        $this->dns1 = $dns1;
    }
    public function get_isIpScopeInherited(){
        return $this->isIpScopeInherited;
    }
    public function set_isIpScopeInherited($isIpScopeInherited) {
        $this->isIpScopeInherited = $isIpScopeInherited;
    }
    public function get_netmask(){
        return $this->netmask;
    }
    public function set_netmask($netmask) {
        $this->netmask = $netmask;
    }
    public function get_dnsSuffix(){
        return $this->dnsSuffix;
    }
    public function set_dnsSuffix($dnsSuffix) {
        $this->dnsSuffix = $dnsSuffix;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_gateway(){
        return $this->gateway;
    }
    public function set_gateway($gateway) {
        $this->gateway = $gateway;
    }
    public function get_vApp(){
        return $this->vApp;
    }
    public function set_vApp($vApp) {
        $this->vApp = $vApp;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->vappName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vappName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vappName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vappName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vappName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->dns2)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns2', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns2=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns2, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns2')));
        }
        if (!is_null($this->dns1)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns1', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns1=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns1, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns1')));
        }
        if (!is_null($this->isIpScopeInherited)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isIpScopeInherited', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isIpScopeInherited=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isIpScopeInherited, $input_name='isIpScopeInherited')));
        }
        if (!is_null($this->netmask)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'netmask=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='netmask')));
        }
        if (!is_null($this->dnsSuffix)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dnsSuffix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dnsSuffix=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dnsSuffix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dnsSuffix')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->gateway)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'gateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'gateway=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->gateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='gateway')));
        }
        if (!is_null($this->vApp)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vApp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vApp=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vApp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vApp')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndvappName = $attrs->getNamedItem('vappName');
        if (!is_null($ndvappName)) {
            $this->vappName = $ndvappName->value;
            if (isset($ndvappName->prefix)) {
                $this->namespace['vappName'] = $ndvappName->prefix;
                $nsUri = $ndvappName->lookupNamespaceURI($ndvappName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vappName');
        } else {
            $this->vappName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $nddns2 = $attrs->getNamedItem('dns2');
        if (!is_null($nddns2)) {
            $this->dns2 = $nddns2->value;
            if (isset($nddns2->prefix)) {
                $this->namespace['dns2'] = $nddns2->prefix;
                $nsUri = $nddns2->lookupNamespaceURI($nddns2->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns2');
        } else {
            $this->dns2 = null;
        }
        $nddns1 = $attrs->getNamedItem('dns1');
        if (!is_null($nddns1)) {
            $this->dns1 = $nddns1->value;
            if (isset($nddns1->prefix)) {
                $this->namespace['dns1'] = $nddns1->prefix;
                $nsUri = $nddns1->lookupNamespaceURI($nddns1->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns1');
        } else {
            $this->dns1 = null;
        }
        $ndisIpScopeInherited = $attrs->getNamedItem('isIpScopeInherited');
        if (!is_null($ndisIpScopeInherited)) {
            $this->isIpScopeInherited = VMware_VCloud_API_Helper::get_boolean($ndisIpScopeInherited->value);
            if (isset($ndisIpScopeInherited->prefix)) {
                $this->namespace['isIpScopeInherited'] = $ndisIpScopeInherited->prefix;
                $nsUri = $ndisIpScopeInherited->lookupNamespaceURI($ndisIpScopeInherited->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isIpScopeInherited');
        } else {
            $this->isIpScopeInherited = null;
        }
        $ndnetmask = $attrs->getNamedItem('netmask');
        if (!is_null($ndnetmask)) {
            $this->netmask = $ndnetmask->value;
            if (isset($ndnetmask->prefix)) {
                $this->namespace['netmask'] = $ndnetmask->prefix;
                $nsUri = $ndnetmask->lookupNamespaceURI($ndnetmask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'netmask');
        } else {
            $this->netmask = null;
        }
        $nddnsSuffix = $attrs->getNamedItem('dnsSuffix');
        if (!is_null($nddnsSuffix)) {
            $this->dnsSuffix = $nddnsSuffix->value;
            if (isset($nddnsSuffix->prefix)) {
                $this->namespace['dnsSuffix'] = $nddnsSuffix->prefix;
                $nsUri = $nddnsSuffix->lookupNamespaceURI($nddnsSuffix->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dnsSuffix');
        } else {
            $this->dnsSuffix = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndgateway = $attrs->getNamedItem('gateway');
        if (!is_null($ndgateway)) {
            $this->gateway = $ndgateway->value;
            if (isset($ndgateway->prefix)) {
                $this->namespace['gateway'] = $ndgateway->prefix;
                $nsUri = $ndgateway->lookupNamespaceURI($ndgateway->prefix);
            }
            $node->removeAttributeNS($nsUri, 'gateway');
        } else {
            $this->gateway = null;
        }
        $ndvApp = $attrs->getNamedItem('vApp');
        if (!is_null($ndvApp)) {
            $this->vApp = $ndvApp->value;
            if (isset($ndvApp->prefix)) {
                $this->namespace['vApp'] = $ndvApp->prefix;
                $nsUri = $ndvApp->lookupNamespaceURI($ndvApp->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vApp');
        } else {
            $this->vApp = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminVAppNetworkRecordType


/**
 * Type for a single adminCatalog query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminCatalogRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $orgName = null;
    protected $isPublished = null;
    protected $ownerName = null;
    protected $numberOfMedia = null;
    protected $owner = null;
    protected $org = null;
    protected $creationDate = null;
    protected $numberOfTemplates = null;
    protected $isShared = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param int $numberOfMedia - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param int $numberOfTemplates - [optional] an attribute, 
    * @param boolean $isShared - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $orgName=null, $isPublished=null, $ownerName=null, $numberOfMedia=null, $owner=null, $org=null, $creationDate=null, $numberOfTemplates=null, $isShared=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->orgName = $orgName;
        $this->isPublished = $isPublished;
        $this->ownerName = $ownerName;
        $this->numberOfMedia = $numberOfMedia;
        $this->owner = $owner;
        $this->org = $org;
        $this->creationDate = $creationDate;
        $this->numberOfTemplates = $numberOfTemplates;
        $this->isShared = $isShared;
        $this->tagName = 'AdminCatalogRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_numberOfMedia(){
        return $this->numberOfMedia;
    }
    public function set_numberOfMedia($numberOfMedia) {
        $this->numberOfMedia = $numberOfMedia;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_numberOfTemplates(){
        return $this->numberOfTemplates;
    }
    public function set_numberOfTemplates($numberOfTemplates) {
        $this->numberOfTemplates = $numberOfTemplates;
    }
    public function get_isShared(){
        return $this->isShared;
    }
    public function set_isShared($isShared) {
        $this->isShared = $isShared;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->numberOfMedia)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfMedia', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfMedia=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfMedia, $input_name='numberOfMedia')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->numberOfTemplates)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfTemplates', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfTemplates=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfTemplates, $input_name='numberOfTemplates')));
        }
        if (!is_null($this->isShared)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isShared', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isShared=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isShared, $input_name='isShared')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndnumberOfMedia = $attrs->getNamedItem('numberOfMedia');
        if (!is_null($ndnumberOfMedia)) {
            $this->numberOfMedia = sprintf('%d', $ndnumberOfMedia->value);
            if (isset($ndnumberOfMedia->prefix)) {
                $this->namespace['numberOfMedia'] = $ndnumberOfMedia->prefix;
                $nsUri = $ndnumberOfMedia->lookupNamespaceURI($ndnumberOfMedia->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfMedia');
        } else {
            $this->numberOfMedia = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndnumberOfTemplates = $attrs->getNamedItem('numberOfTemplates');
        if (!is_null($ndnumberOfTemplates)) {
            $this->numberOfTemplates = sprintf('%d', $ndnumberOfTemplates->value);
            if (isset($ndnumberOfTemplates->prefix)) {
                $this->namespace['numberOfTemplates'] = $ndnumberOfTemplates->prefix;
                $nsUri = $ndnumberOfTemplates->lookupNamespaceURI($ndnumberOfTemplates->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfTemplates');
        } else {
            $this->numberOfTemplates = null;
        }
        $ndisShared = $attrs->getNamedItem('isShared');
        if (!is_null($ndisShared)) {
            $this->isShared = VMware_VCloud_API_Helper::get_boolean($ndisShared->value);
            if (isset($ndisShared->prefix)) {
                $this->namespace['isShared'] = $ndisShared->prefix;
                $nsUri = $ndisShared->lookupNamespaceURI($ndisShared->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isShared');
        } else {
            $this->isShared = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminCatalogRecordType


/**
 * Type for a single adminCatalogItem query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminCatalogItemRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $vdcName = null;
    protected $creationDate = null;
    protected $name = null;
    protected $entityName = null;
    protected $entityType = null;
    protected $isPublished = null;
    protected $entity = null;
    protected $catalog = null;
    protected $ownerName = null;
    protected $owner = null;
    protected $org = null;
    protected $isExpired = null;
    protected $vdc = null;
    protected $isVdcEnabled = null;
    protected $catalogName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $entityName - [optional] an attribute, 
    * @param string $entityType - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param string $entity - [optional] an attribute, 
    * @param string $catalog - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param boolean $isExpired - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param boolean $isVdcEnabled - [optional] an attribute, 
    * @param string $catalogName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $vdcName=null, $creationDate=null, $name=null, $entityName=null, $entityType=null, $isPublished=null, $entity=null, $catalog=null, $ownerName=null, $owner=null, $org=null, $isExpired=null, $vdc=null, $isVdcEnabled=null, $catalogName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->vdcName = $vdcName;
        $this->creationDate = $creationDate;
        $this->name = $name;
        $this->entityName = $entityName;
        $this->entityType = $entityType;
        $this->isPublished = $isPublished;
        $this->entity = $entity;
        $this->catalog = $catalog;
        $this->ownerName = $ownerName;
        $this->owner = $owner;
        $this->org = $org;
        $this->isExpired = $isExpired;
        $this->vdc = $vdc;
        $this->isVdcEnabled = $isVdcEnabled;
        $this->catalogName = $catalogName;
        $this->tagName = 'AdminCatalogItemRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_entityName(){
        return $this->entityName;
    }
    public function set_entityName($entityName) {
        $this->entityName = $entityName;
    }
    public function get_entityType(){
        return $this->entityType;
    }
    public function set_entityType($entityType) {
        $this->entityType = $entityType;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_entity(){
        return $this->entity;
    }
    public function set_entity($entity) {
        $this->entity = $entity;
    }
    public function get_catalog(){
        return $this->catalog;
    }
    public function set_catalog($catalog) {
        $this->catalog = $catalog;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_isExpired(){
        return $this->isExpired;
    }
    public function set_isExpired($isExpired) {
        $this->isExpired = $isExpired;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_isVdcEnabled(){
        return $this->isVdcEnabled;
    }
    public function set_isVdcEnabled($isVdcEnabled) {
        $this->isVdcEnabled = $isVdcEnabled;
    }
    public function get_catalogName(){
        return $this->catalogName;
    }
    public function set_catalogName($catalogName) {
        $this->catalogName = $catalogName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->entityName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityName')));
        }
        if (!is_null($this->entityType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityType')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->entity)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entity', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entity=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entity, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entity')));
        }
        if (!is_null($this->catalog)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalog', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalog=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalog, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalog')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->isExpired)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isExpired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isExpired=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isExpired, $input_name='isExpired')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->isVdcEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVdcEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVdcEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVdcEnabled, $input_name='isVdcEnabled')));
        }
        if (!is_null($this->catalogName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndentityName = $attrs->getNamedItem('entityName');
        if (!is_null($ndentityName)) {
            $this->entityName = $ndentityName->value;
            if (isset($ndentityName->prefix)) {
                $this->namespace['entityName'] = $ndentityName->prefix;
                $nsUri = $ndentityName->lookupNamespaceURI($ndentityName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityName');
        } else {
            $this->entityName = null;
        }
        $ndentityType = $attrs->getNamedItem('entityType');
        if (!is_null($ndentityType)) {
            $this->entityType = $ndentityType->value;
            if (isset($ndentityType->prefix)) {
                $this->namespace['entityType'] = $ndentityType->prefix;
                $nsUri = $ndentityType->lookupNamespaceURI($ndentityType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityType');
        } else {
            $this->entityType = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndentity = $attrs->getNamedItem('entity');
        if (!is_null($ndentity)) {
            $this->entity = $ndentity->value;
            if (isset($ndentity->prefix)) {
                $this->namespace['entity'] = $ndentity->prefix;
                $nsUri = $ndentity->lookupNamespaceURI($ndentity->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entity');
        } else {
            $this->entity = null;
        }
        $ndcatalog = $attrs->getNamedItem('catalog');
        if (!is_null($ndcatalog)) {
            $this->catalog = $ndcatalog->value;
            if (isset($ndcatalog->prefix)) {
                $this->namespace['catalog'] = $ndcatalog->prefix;
                $nsUri = $ndcatalog->lookupNamespaceURI($ndcatalog->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalog');
        } else {
            $this->catalog = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndisExpired = $attrs->getNamedItem('isExpired');
        if (!is_null($ndisExpired)) {
            $this->isExpired = VMware_VCloud_API_Helper::get_boolean($ndisExpired->value);
            if (isset($ndisExpired->prefix)) {
                $this->namespace['isExpired'] = $ndisExpired->prefix;
                $nsUri = $ndisExpired->lookupNamespaceURI($ndisExpired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isExpired');
        } else {
            $this->isExpired = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndisVdcEnabled = $attrs->getNamedItem('isVdcEnabled');
        if (!is_null($ndisVdcEnabled)) {
            $this->isVdcEnabled = VMware_VCloud_API_Helper::get_boolean($ndisVdcEnabled->value);
            if (isset($ndisVdcEnabled->prefix)) {
                $this->namespace['isVdcEnabled'] = $ndisVdcEnabled->prefix;
                $nsUri = $ndisVdcEnabled->lookupNamespaceURI($ndisVdcEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVdcEnabled');
        } else {
            $this->isVdcEnabled = null;
        }
        $ndcatalogName = $attrs->getNamedItem('catalogName');
        if (!is_null($ndcatalogName)) {
            $this->catalogName = $ndcatalogName->value;
            if (isset($ndcatalogName->prefix)) {
                $this->namespace['catalogName'] = $ndcatalogName->prefix;
                $nsUri = $ndcatalogName->lookupNamespaceURI($ndcatalogName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogName');
        } else {
            $this->catalogName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminCatalogItemRecordType


/**
 * Type for a single catalogItem query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultCatalogItemRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $vdcName = null;
    protected $creationDate = null;
    protected $name = null;
    protected $entityName = null;
    protected $entityType = null;
    protected $isPublished = null;
    protected $entity = null;
    protected $catalog = null;
    protected $ownerName = null;
    protected $owner = null;
    protected $isExpired = null;
    protected $vdc = null;
    protected $isVdcEnabled = null;
    protected $catalogName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $entityName - [optional] an attribute, 
    * @param string $entityType - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param string $entity - [optional] an attribute, 
    * @param string $catalog - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param boolean $isExpired - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param boolean $isVdcEnabled - [optional] an attribute, 
    * @param string $catalogName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $vdcName=null, $creationDate=null, $name=null, $entityName=null, $entityType=null, $isPublished=null, $entity=null, $catalog=null, $ownerName=null, $owner=null, $isExpired=null, $vdc=null, $isVdcEnabled=null, $catalogName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->vdcName = $vdcName;
        $this->creationDate = $creationDate;
        $this->name = $name;
        $this->entityName = $entityName;
        $this->entityType = $entityType;
        $this->isPublished = $isPublished;
        $this->entity = $entity;
        $this->catalog = $catalog;
        $this->ownerName = $ownerName;
        $this->owner = $owner;
        $this->isExpired = $isExpired;
        $this->vdc = $vdc;
        $this->isVdcEnabled = $isVdcEnabled;
        $this->catalogName = $catalogName;
        $this->tagName = 'CatalogItemRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_entityName(){
        return $this->entityName;
    }
    public function set_entityName($entityName) {
        $this->entityName = $entityName;
    }
    public function get_entityType(){
        return $this->entityType;
    }
    public function set_entityType($entityType) {
        $this->entityType = $entityType;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_entity(){
        return $this->entity;
    }
    public function set_entity($entity) {
        $this->entity = $entity;
    }
    public function get_catalog(){
        return $this->catalog;
    }
    public function set_catalog($catalog) {
        $this->catalog = $catalog;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_isExpired(){
        return $this->isExpired;
    }
    public function set_isExpired($isExpired) {
        $this->isExpired = $isExpired;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_isVdcEnabled(){
        return $this->isVdcEnabled;
    }
    public function set_isVdcEnabled($isVdcEnabled) {
        $this->isVdcEnabled = $isVdcEnabled;
    }
    public function get_catalogName(){
        return $this->catalogName;
    }
    public function set_catalogName($catalogName) {
        $this->catalogName = $catalogName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->entityName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityName')));
        }
        if (!is_null($this->entityType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityType')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->entity)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entity', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entity=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entity, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entity')));
        }
        if (!is_null($this->catalog)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalog', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalog=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalog, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalog')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->isExpired)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isExpired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isExpired=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isExpired, $input_name='isExpired')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->isVdcEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVdcEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVdcEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVdcEnabled, $input_name='isVdcEnabled')));
        }
        if (!is_null($this->catalogName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndentityName = $attrs->getNamedItem('entityName');
        if (!is_null($ndentityName)) {
            $this->entityName = $ndentityName->value;
            if (isset($ndentityName->prefix)) {
                $this->namespace['entityName'] = $ndentityName->prefix;
                $nsUri = $ndentityName->lookupNamespaceURI($ndentityName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityName');
        } else {
            $this->entityName = null;
        }
        $ndentityType = $attrs->getNamedItem('entityType');
        if (!is_null($ndentityType)) {
            $this->entityType = $ndentityType->value;
            if (isset($ndentityType->prefix)) {
                $this->namespace['entityType'] = $ndentityType->prefix;
                $nsUri = $ndentityType->lookupNamespaceURI($ndentityType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityType');
        } else {
            $this->entityType = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndentity = $attrs->getNamedItem('entity');
        if (!is_null($ndentity)) {
            $this->entity = $ndentity->value;
            if (isset($ndentity->prefix)) {
                $this->namespace['entity'] = $ndentity->prefix;
                $nsUri = $ndentity->lookupNamespaceURI($ndentity->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entity');
        } else {
            $this->entity = null;
        }
        $ndcatalog = $attrs->getNamedItem('catalog');
        if (!is_null($ndcatalog)) {
            $this->catalog = $ndcatalog->value;
            if (isset($ndcatalog->prefix)) {
                $this->namespace['catalog'] = $ndcatalog->prefix;
                $nsUri = $ndcatalog->lookupNamespaceURI($ndcatalog->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalog');
        } else {
            $this->catalog = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndisExpired = $attrs->getNamedItem('isExpired');
        if (!is_null($ndisExpired)) {
            $this->isExpired = VMware_VCloud_API_Helper::get_boolean($ndisExpired->value);
            if (isset($ndisExpired->prefix)) {
                $this->namespace['isExpired'] = $ndisExpired->prefix;
                $nsUri = $ndisExpired->lookupNamespaceURI($ndisExpired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isExpired');
        } else {
            $this->isExpired = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndisVdcEnabled = $attrs->getNamedItem('isVdcEnabled');
        if (!is_null($ndisVdcEnabled)) {
            $this->isVdcEnabled = VMware_VCloud_API_Helper::get_boolean($ndisVdcEnabled->value);
            if (isset($ndisVdcEnabled->prefix)) {
                $this->namespace['isVdcEnabled'] = $ndisVdcEnabled->prefix;
                $nsUri = $ndisVdcEnabled->lookupNamespaceURI($ndisVdcEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVdcEnabled');
        } else {
            $this->isVdcEnabled = null;
        }
        $ndcatalogName = $attrs->getNamedItem('catalogName');
        if (!is_null($ndcatalogName)) {
            $this->catalogName = $ndcatalogName->value;
            if (isset($ndcatalogName->prefix)) {
                $this->namespace['catalogName'] = $ndcatalogName->prefix;
                $nsUri = $ndcatalogName->lookupNamespaceURI($ndcatalogName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogName');
        } else {
            $this->catalogName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultCatalogItemRecordType


/**
 * Type for a single adminMedia query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminMediaRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $storageProfileName = null;
    protected $name = null;
    protected $storageB = null;
    protected $isPublished = null;
    protected $vdcName = null;
    protected $catalog = null;
    protected $vdc = null;
    protected $catalogItem = null;
    protected $ownerName = null;
    protected $isBusy = null;
    protected $owner = null;
    protected $org = null;
    protected $creationDate = null;
    protected $isVdcEnabled = null;
    protected $catalogName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $storageProfileName - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param long $storageB - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $catalog - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $catalogItem - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param boolean $isVdcEnabled - [optional] an attribute, 
    * @param string $catalogName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $storageProfileName=null, $name=null, $storageB=null, $isPublished=null, $vdcName=null, $catalog=null, $vdc=null, $catalogItem=null, $ownerName=null, $isBusy=null, $owner=null, $org=null, $creationDate=null, $isVdcEnabled=null, $catalogName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->storageProfileName = $storageProfileName;
        $this->name = $name;
        $this->storageB = $storageB;
        $this->isPublished = $isPublished;
        $this->vdcName = $vdcName;
        $this->catalog = $catalog;
        $this->vdc = $vdc;
        $this->catalogItem = $catalogItem;
        $this->ownerName = $ownerName;
        $this->isBusy = $isBusy;
        $this->owner = $owner;
        $this->org = $org;
        $this->creationDate = $creationDate;
        $this->isVdcEnabled = $isVdcEnabled;
        $this->catalogName = $catalogName;
        $this->tagName = 'AdminMediaRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_storageProfileName(){
        return $this->storageProfileName;
    }
    public function set_storageProfileName($storageProfileName) {
        $this->storageProfileName = $storageProfileName;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_storageB(){
        return $this->storageB;
    }
    public function set_storageB($storageB) {
        $this->storageB = $storageB;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_catalog(){
        return $this->catalog;
    }
    public function set_catalog($catalog) {
        $this->catalog = $catalog;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_catalogItem(){
        return $this->catalogItem;
    }
    public function set_catalogItem($catalogItem) {
        $this->catalogItem = $catalogItem;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_isVdcEnabled(){
        return $this->isVdcEnabled;
    }
    public function set_isVdcEnabled($isVdcEnabled) {
        $this->isVdcEnabled = $isVdcEnabled;
    }
    public function get_catalogName(){
        return $this->catalogName;
    }
    public function set_catalogName($catalogName) {
        $this->catalogName = $catalogName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->storageProfileName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileName')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->storageB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageB, $input_name='storageB')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->catalog)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalog', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalog=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalog, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalog')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->catalogItem)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogItem', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogItem=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogItem, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogItem')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->isVdcEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVdcEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVdcEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVdcEnabled, $input_name='isVdcEnabled')));
        }
        if (!is_null($this->catalogName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndstorageProfileName = $attrs->getNamedItem('storageProfileName');
        if (!is_null($ndstorageProfileName)) {
            $this->storageProfileName = $ndstorageProfileName->value;
            if (isset($ndstorageProfileName->prefix)) {
                $this->namespace['storageProfileName'] = $ndstorageProfileName->prefix;
                $nsUri = $ndstorageProfileName->lookupNamespaceURI($ndstorageProfileName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileName');
        } else {
            $this->storageProfileName = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndstorageB = $attrs->getNamedItem('storageB');
        if (!is_null($ndstorageB)) {
            $this->storageB = sprintf('%d', $ndstorageB->value);
            if (isset($ndstorageB->prefix)) {
                $this->namespace['storageB'] = $ndstorageB->prefix;
                $nsUri = $ndstorageB->lookupNamespaceURI($ndstorageB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageB');
        } else {
            $this->storageB = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndcatalog = $attrs->getNamedItem('catalog');
        if (!is_null($ndcatalog)) {
            $this->catalog = $ndcatalog->value;
            if (isset($ndcatalog->prefix)) {
                $this->namespace['catalog'] = $ndcatalog->prefix;
                $nsUri = $ndcatalog->lookupNamespaceURI($ndcatalog->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalog');
        } else {
            $this->catalog = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndcatalogItem = $attrs->getNamedItem('catalogItem');
        if (!is_null($ndcatalogItem)) {
            $this->catalogItem = $ndcatalogItem->value;
            if (isset($ndcatalogItem->prefix)) {
                $this->namespace['catalogItem'] = $ndcatalogItem->prefix;
                $nsUri = $ndcatalogItem->lookupNamespaceURI($ndcatalogItem->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogItem');
        } else {
            $this->catalogItem = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndisVdcEnabled = $attrs->getNamedItem('isVdcEnabled');
        if (!is_null($ndisVdcEnabled)) {
            $this->isVdcEnabled = VMware_VCloud_API_Helper::get_boolean($ndisVdcEnabled->value);
            if (isset($ndisVdcEnabled->prefix)) {
                $this->namespace['isVdcEnabled'] = $ndisVdcEnabled->prefix;
                $nsUri = $ndisVdcEnabled->lookupNamespaceURI($ndisVdcEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVdcEnabled');
        } else {
            $this->isVdcEnabled = null;
        }
        $ndcatalogName = $attrs->getNamedItem('catalogName');
        if (!is_null($ndcatalogName)) {
            $this->catalogName = $ndcatalogName->value;
            if (isset($ndcatalogName->prefix)) {
                $this->namespace['catalogName'] = $ndcatalogName->prefix;
                $nsUri = $ndcatalogName->lookupNamespaceURI($ndcatalogName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogName');
        } else {
            $this->catalogName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminMediaRecordType


/**
 * Type for a single adminVAppTemplate query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminVAppTemplateRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isGoldMaster = null;
    protected $status = null;
    protected $isDeployed = null;
    protected $name = null;
    protected $storageProfileName = null;
    protected $isEnabled = null;
    protected $isPublished = null;
    protected $vdcName = null;
    protected $catalog = null;
    protected $vdc = null;
    protected $catalogItem = null;
    protected $ownerName = null;
    protected $isBusy = null;
    protected $owner = null;
    protected $org = null;
    protected $isExpired = null;
    protected $creationDate = null;
    protected $isVdcEnabled = null;
    protected $catalogName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isGoldMaster - [optional] an attribute, 
    * @param string $status - [optional] an attribute, 
    * @param boolean $isDeployed - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $storageProfileName - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $catalog - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $catalogItem - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param boolean $isExpired - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    * @param boolean $isVdcEnabled - [optional] an attribute, 
    * @param string $catalogName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isGoldMaster=null, $status=null, $isDeployed=null, $name=null, $storageProfileName=null, $isEnabled=null, $isPublished=null, $vdcName=null, $catalog=null, $vdc=null, $catalogItem=null, $ownerName=null, $isBusy=null, $owner=null, $org=null, $isExpired=null, $creationDate=null, $isVdcEnabled=null, $catalogName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isGoldMaster = $isGoldMaster;
        $this->status = $status;
        $this->isDeployed = $isDeployed;
        $this->name = $name;
        $this->storageProfileName = $storageProfileName;
        $this->isEnabled = $isEnabled;
        $this->isPublished = $isPublished;
        $this->vdcName = $vdcName;
        $this->catalog = $catalog;
        $this->vdc = $vdc;
        $this->catalogItem = $catalogItem;
        $this->ownerName = $ownerName;
        $this->isBusy = $isBusy;
        $this->owner = $owner;
        $this->org = $org;
        $this->isExpired = $isExpired;
        $this->creationDate = $creationDate;
        $this->isVdcEnabled = $isVdcEnabled;
        $this->catalogName = $catalogName;
        $this->tagName = 'AdminVAppTemplateRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isGoldMaster(){
        return $this->isGoldMaster;
    }
    public function set_isGoldMaster($isGoldMaster) {
        $this->isGoldMaster = $isGoldMaster;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_isDeployed(){
        return $this->isDeployed;
    }
    public function set_isDeployed($isDeployed) {
        $this->isDeployed = $isDeployed;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_storageProfileName(){
        return $this->storageProfileName;
    }
    public function set_storageProfileName($storageProfileName) {
        $this->storageProfileName = $storageProfileName;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_catalog(){
        return $this->catalog;
    }
    public function set_catalog($catalog) {
        $this->catalog = $catalog;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_catalogItem(){
        return $this->catalogItem;
    }
    public function set_catalogItem($catalogItem) {
        $this->catalogItem = $catalogItem;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_isExpired(){
        return $this->isExpired;
    }
    public function set_isExpired($isExpired) {
        $this->isExpired = $isExpired;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_isVdcEnabled(){
        return $this->isVdcEnabled;
    }
    public function set_isVdcEnabled($isVdcEnabled) {
        $this->isVdcEnabled = $isVdcEnabled;
    }
    public function get_catalogName(){
        return $this->catalogName;
    }
    public function set_catalogName($catalogName) {
        $this->catalogName = $catalogName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isGoldMaster)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isGoldMaster', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isGoldMaster=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isGoldMaster, $input_name='isGoldMaster')));
        }
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->isDeployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeployed, $input_name='isDeployed')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->storageProfileName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileName')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->catalog)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalog', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalog=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalog, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalog')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->catalogItem)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogItem', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogItem=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogItem, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogItem')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->isExpired)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isExpired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isExpired=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isExpired, $input_name='isExpired')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        if (!is_null($this->isVdcEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVdcEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVdcEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVdcEnabled, $input_name='isVdcEnabled')));
        }
        if (!is_null($this->catalogName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'catalogName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'catalogName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisGoldMaster = $attrs->getNamedItem('isGoldMaster');
        if (!is_null($ndisGoldMaster)) {
            $this->isGoldMaster = VMware_VCloud_API_Helper::get_boolean($ndisGoldMaster->value);
            if (isset($ndisGoldMaster->prefix)) {
                $this->namespace['isGoldMaster'] = $ndisGoldMaster->prefix;
                $nsUri = $ndisGoldMaster->lookupNamespaceURI($ndisGoldMaster->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isGoldMaster');
        } else {
            $this->isGoldMaster = null;
        }
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndisDeployed = $attrs->getNamedItem('isDeployed');
        if (!is_null($ndisDeployed)) {
            $this->isDeployed = VMware_VCloud_API_Helper::get_boolean($ndisDeployed->value);
            if (isset($ndisDeployed->prefix)) {
                $this->namespace['isDeployed'] = $ndisDeployed->prefix;
                $nsUri = $ndisDeployed->lookupNamespaceURI($ndisDeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeployed');
        } else {
            $this->isDeployed = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndstorageProfileName = $attrs->getNamedItem('storageProfileName');
        if (!is_null($ndstorageProfileName)) {
            $this->storageProfileName = $ndstorageProfileName->value;
            if (isset($ndstorageProfileName->prefix)) {
                $this->namespace['storageProfileName'] = $ndstorageProfileName->prefix;
                $nsUri = $ndstorageProfileName->lookupNamespaceURI($ndstorageProfileName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileName');
        } else {
            $this->storageProfileName = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndcatalog = $attrs->getNamedItem('catalog');
        if (!is_null($ndcatalog)) {
            $this->catalog = $ndcatalog->value;
            if (isset($ndcatalog->prefix)) {
                $this->namespace['catalog'] = $ndcatalog->prefix;
                $nsUri = $ndcatalog->lookupNamespaceURI($ndcatalog->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalog');
        } else {
            $this->catalog = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndcatalogItem = $attrs->getNamedItem('catalogItem');
        if (!is_null($ndcatalogItem)) {
            $this->catalogItem = $ndcatalogItem->value;
            if (isset($ndcatalogItem->prefix)) {
                $this->namespace['catalogItem'] = $ndcatalogItem->prefix;
                $nsUri = $ndcatalogItem->lookupNamespaceURI($ndcatalogItem->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogItem');
        } else {
            $this->catalogItem = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndisExpired = $attrs->getNamedItem('isExpired');
        if (!is_null($ndisExpired)) {
            $this->isExpired = VMware_VCloud_API_Helper::get_boolean($ndisExpired->value);
            if (isset($ndisExpired->prefix)) {
                $this->namespace['isExpired'] = $ndisExpired->prefix;
                $nsUri = $ndisExpired->lookupNamespaceURI($ndisExpired->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isExpired');
        } else {
            $this->isExpired = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        $ndisVdcEnabled = $attrs->getNamedItem('isVdcEnabled');
        if (!is_null($ndisVdcEnabled)) {
            $this->isVdcEnabled = VMware_VCloud_API_Helper::get_boolean($ndisVdcEnabled->value);
            if (isset($ndisVdcEnabled->prefix)) {
                $this->namespace['isVdcEnabled'] = $ndisVdcEnabled->prefix;
                $nsUri = $ndisVdcEnabled->lookupNamespaceURI($ndisVdcEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVdcEnabled');
        } else {
            $this->isVdcEnabled = null;
        }
        $ndcatalogName = $attrs->getNamedItem('catalogName');
        if (!is_null($ndcatalogName)) {
            $this->catalogName = $ndcatalogName->value;
            if (isset($ndcatalogName->prefix)) {
                $this->namespace['catalogName'] = $ndcatalogName->prefix;
                $nsUri = $ndcatalogName->lookupNamespaceURI($ndcatalogName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'catalogName');
        } else {
            $this->catalogName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminVAppTemplateRecordType


/**
 * Type for a single adminShadowVM query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminShadowVMRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $primaryVMOwner = null;
    protected $name = null;
    protected $isDeleted = null;
    protected $datastoreName = null;
    protected $org = null;
    protected $isPublished = null;
    protected $isBusy = null;
    protected $shadowVApp = null;
    protected $primaryVMCatalog = null;
    protected $primaryVAppName = null;
    protected $primaryVAppTemplate = null;
    protected $primaryVmName = null;
    protected $primaryVM = null;
    protected $vcName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $primaryVMOwner - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isDeleted - [optional] an attribute, 
    * @param string $datastoreName - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param boolean $isPublished - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $shadowVApp - [optional] an attribute, 
    * @param string $primaryVMCatalog - [optional] an attribute, 
    * @param string $primaryVAppName - [optional] an attribute, 
    * @param string $primaryVAppTemplate - [optional] an attribute, 
    * @param string $primaryVmName - [optional] an attribute, 
    * @param string $primaryVM - [optional] an attribute, 
    * @param string $vcName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $primaryVMOwner=null, $name=null, $isDeleted=null, $datastoreName=null, $org=null, $isPublished=null, $isBusy=null, $shadowVApp=null, $primaryVMCatalog=null, $primaryVAppName=null, $primaryVAppTemplate=null, $primaryVmName=null, $primaryVM=null, $vcName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->primaryVMOwner = $primaryVMOwner;
        $this->name = $name;
        $this->isDeleted = $isDeleted;
        $this->datastoreName = $datastoreName;
        $this->org = $org;
        $this->isPublished = $isPublished;
        $this->isBusy = $isBusy;
        $this->shadowVApp = $shadowVApp;
        $this->primaryVMCatalog = $primaryVMCatalog;
        $this->primaryVAppName = $primaryVAppName;
        $this->primaryVAppTemplate = $primaryVAppTemplate;
        $this->primaryVmName = $primaryVmName;
        $this->primaryVM = $primaryVM;
        $this->vcName = $vcName;
        $this->tagName = 'AdminShadowVMRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_primaryVMOwner(){
        return $this->primaryVMOwner;
    }
    public function set_primaryVMOwner($primaryVMOwner) {
        $this->primaryVMOwner = $primaryVMOwner;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isDeleted(){
        return $this->isDeleted;
    }
    public function set_isDeleted($isDeleted) {
        $this->isDeleted = $isDeleted;
    }
    public function get_datastoreName(){
        return $this->datastoreName;
    }
    public function set_datastoreName($datastoreName) {
        $this->datastoreName = $datastoreName;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_isPublished(){
        return $this->isPublished;
    }
    public function set_isPublished($isPublished) {
        $this->isPublished = $isPublished;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_shadowVApp(){
        return $this->shadowVApp;
    }
    public function set_shadowVApp($shadowVApp) {
        $this->shadowVApp = $shadowVApp;
    }
    public function get_primaryVMCatalog(){
        return $this->primaryVMCatalog;
    }
    public function set_primaryVMCatalog($primaryVMCatalog) {
        $this->primaryVMCatalog = $primaryVMCatalog;
    }
    public function get_primaryVAppName(){
        return $this->primaryVAppName;
    }
    public function set_primaryVAppName($primaryVAppName) {
        $this->primaryVAppName = $primaryVAppName;
    }
    public function get_primaryVAppTemplate(){
        return $this->primaryVAppTemplate;
    }
    public function set_primaryVAppTemplate($primaryVAppTemplate) {
        $this->primaryVAppTemplate = $primaryVAppTemplate;
    }
    public function get_primaryVmName(){
        return $this->primaryVmName;
    }
    public function set_primaryVmName($primaryVmName) {
        $this->primaryVmName = $primaryVmName;
    }
    public function get_primaryVM(){
        return $this->primaryVM;
    }
    public function set_primaryVM($primaryVM) {
        $this->primaryVM = $primaryVM;
    }
    public function get_vcName(){
        return $this->vcName;
    }
    public function set_vcName($vcName) {
        $this->vcName = $vcName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->primaryVMOwner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'primaryVMOwner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'primaryVMOwner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->primaryVMOwner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='primaryVMOwner')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isDeleted)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeleted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeleted=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeleted, $input_name='isDeleted')));
        }
        if (!is_null($this->datastoreName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastoreName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastoreName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastoreName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastoreName')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->isPublished)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isPublished=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isPublished, $input_name='isPublished')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->shadowVApp)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'shadowVApp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'shadowVApp=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->shadowVApp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='shadowVApp')));
        }
        if (!is_null($this->primaryVMCatalog)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'primaryVMCatalog', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'primaryVMCatalog=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->primaryVMCatalog, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='primaryVMCatalog')));
        }
        if (!is_null($this->primaryVAppName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'primaryVAppName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'primaryVAppName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->primaryVAppName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='primaryVAppName')));
        }
        if (!is_null($this->primaryVAppTemplate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'primaryVAppTemplate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'primaryVAppTemplate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->primaryVAppTemplate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='primaryVAppTemplate')));
        }
        if (!is_null($this->primaryVmName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'primaryVmName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'primaryVmName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->primaryVmName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='primaryVmName')));
        }
        if (!is_null($this->primaryVM)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'primaryVM', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'primaryVM=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->primaryVM, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='primaryVM')));
        }
        if (!is_null($this->vcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vcName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndprimaryVMOwner = $attrs->getNamedItem('primaryVMOwner');
        if (!is_null($ndprimaryVMOwner)) {
            $this->primaryVMOwner = $ndprimaryVMOwner->value;
            if (isset($ndprimaryVMOwner->prefix)) {
                $this->namespace['primaryVMOwner'] = $ndprimaryVMOwner->prefix;
                $nsUri = $ndprimaryVMOwner->lookupNamespaceURI($ndprimaryVMOwner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'primaryVMOwner');
        } else {
            $this->primaryVMOwner = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisDeleted = $attrs->getNamedItem('isDeleted');
        if (!is_null($ndisDeleted)) {
            $this->isDeleted = VMware_VCloud_API_Helper::get_boolean($ndisDeleted->value);
            if (isset($ndisDeleted->prefix)) {
                $this->namespace['isDeleted'] = $ndisDeleted->prefix;
                $nsUri = $ndisDeleted->lookupNamespaceURI($ndisDeleted->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeleted');
        } else {
            $this->isDeleted = null;
        }
        $nddatastoreName = $attrs->getNamedItem('datastoreName');
        if (!is_null($nddatastoreName)) {
            $this->datastoreName = $nddatastoreName->value;
            if (isset($nddatastoreName->prefix)) {
                $this->namespace['datastoreName'] = $nddatastoreName->prefix;
                $nsUri = $nddatastoreName->lookupNamespaceURI($nddatastoreName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastoreName');
        } else {
            $this->datastoreName = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndisPublished = $attrs->getNamedItem('isPublished');
        if (!is_null($ndisPublished)) {
            $this->isPublished = VMware_VCloud_API_Helper::get_boolean($ndisPublished->value);
            if (isset($ndisPublished->prefix)) {
                $this->namespace['isPublished'] = $ndisPublished->prefix;
                $nsUri = $ndisPublished->lookupNamespaceURI($ndisPublished->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isPublished');
        } else {
            $this->isPublished = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndshadowVApp = $attrs->getNamedItem('shadowVApp');
        if (!is_null($ndshadowVApp)) {
            $this->shadowVApp = $ndshadowVApp->value;
            if (isset($ndshadowVApp->prefix)) {
                $this->namespace['shadowVApp'] = $ndshadowVApp->prefix;
                $nsUri = $ndshadowVApp->lookupNamespaceURI($ndshadowVApp->prefix);
            }
            $node->removeAttributeNS($nsUri, 'shadowVApp');
        } else {
            $this->shadowVApp = null;
        }
        $ndprimaryVMCatalog = $attrs->getNamedItem('primaryVMCatalog');
        if (!is_null($ndprimaryVMCatalog)) {
            $this->primaryVMCatalog = $ndprimaryVMCatalog->value;
            if (isset($ndprimaryVMCatalog->prefix)) {
                $this->namespace['primaryVMCatalog'] = $ndprimaryVMCatalog->prefix;
                $nsUri = $ndprimaryVMCatalog->lookupNamespaceURI($ndprimaryVMCatalog->prefix);
            }
            $node->removeAttributeNS($nsUri, 'primaryVMCatalog');
        } else {
            $this->primaryVMCatalog = null;
        }
        $ndprimaryVAppName = $attrs->getNamedItem('primaryVAppName');
        if (!is_null($ndprimaryVAppName)) {
            $this->primaryVAppName = $ndprimaryVAppName->value;
            if (isset($ndprimaryVAppName->prefix)) {
                $this->namespace['primaryVAppName'] = $ndprimaryVAppName->prefix;
                $nsUri = $ndprimaryVAppName->lookupNamespaceURI($ndprimaryVAppName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'primaryVAppName');
        } else {
            $this->primaryVAppName = null;
        }
        $ndprimaryVAppTemplate = $attrs->getNamedItem('primaryVAppTemplate');
        if (!is_null($ndprimaryVAppTemplate)) {
            $this->primaryVAppTemplate = $ndprimaryVAppTemplate->value;
            if (isset($ndprimaryVAppTemplate->prefix)) {
                $this->namespace['primaryVAppTemplate'] = $ndprimaryVAppTemplate->prefix;
                $nsUri = $ndprimaryVAppTemplate->lookupNamespaceURI($ndprimaryVAppTemplate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'primaryVAppTemplate');
        } else {
            $this->primaryVAppTemplate = null;
        }
        $ndprimaryVmName = $attrs->getNamedItem('primaryVmName');
        if (!is_null($ndprimaryVmName)) {
            $this->primaryVmName = $ndprimaryVmName->value;
            if (isset($ndprimaryVmName->prefix)) {
                $this->namespace['primaryVmName'] = $ndprimaryVmName->prefix;
                $nsUri = $ndprimaryVmName->lookupNamespaceURI($ndprimaryVmName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'primaryVmName');
        } else {
            $this->primaryVmName = null;
        }
        $ndprimaryVM = $attrs->getNamedItem('primaryVM');
        if (!is_null($ndprimaryVM)) {
            $this->primaryVM = $ndprimaryVM->value;
            if (isset($ndprimaryVM->prefix)) {
                $this->namespace['primaryVM'] = $ndprimaryVM->prefix;
                $nsUri = $ndprimaryVM->lookupNamespaceURI($ndprimaryVM->prefix);
            }
            $node->removeAttributeNS($nsUri, 'primaryVM');
        } else {
            $this->primaryVM = null;
        }
        $ndvcName = $attrs->getNamedItem('vcName');
        if (!is_null($ndvcName)) {
            $this->vcName = $ndvcName->value;
            if (isset($ndvcName->prefix)) {
                $this->namespace['vcName'] = $ndvcName->prefix;
                $nsUri = $ndvcName->lookupNamespaceURI($ndvcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vcName');
        } else {
            $this->vcName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminShadowVMRecordType


/**
 * Type for a single task query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultTaskRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $startDate = null;
    protected $endDate = null;
    protected $name = null;
    protected $objectName = null;
    protected $orgName = null;
    protected $object = null;
    protected $ownerName = null;
    protected $org = null;
    protected $serviceNamespace = null;
    protected $objectType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param dateTime $startDate - [optional] an attribute, 
    * @param dateTime $endDate - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $objectName - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param string $object - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $objectType - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $startDate=null, $endDate=null, $name=null, $objectName=null, $orgName=null, $object=null, $ownerName=null, $org=null, $serviceNamespace=null, $objectType=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->startDate = $startDate;
        $this->endDate = $endDate;
        $this->name = $name;
        $this->objectName = $objectName;
        $this->orgName = $orgName;
        $this->object = $object;
        $this->ownerName = $ownerName;
        $this->org = $org;
        $this->serviceNamespace = $serviceNamespace;
        $this->objectType = $objectType;
        $this->tagName = 'TaskRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_startDate(){
        return $this->startDate;
    }
    public function set_startDate($startDate) {
        $this->startDate = $startDate;
    }
    public function get_endDate(){
        return $this->endDate;
    }
    public function set_endDate($endDate) {
        $this->endDate = $endDate;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_objectName(){
        return $this->objectName;
    }
    public function set_objectName($objectName) {
        $this->objectName = $objectName;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_object(){
        return $this->object;
    }
    public function set_object($object) {
        $this->object = $object;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_objectType(){
        return $this->objectType;
    }
    public function set_objectType($objectType) {
        $this->objectType = $objectType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->startDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'startDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'startDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->startDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='startDate')));
        }
        if (!is_null($this->endDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'endDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'endDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->endDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='endDate')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->objectName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'objectName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'objectName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->objectName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='objectName')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->object)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'object', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'object=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->object, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='object')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->objectType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'objectType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'objectType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->objectType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='objectType')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndstartDate = $attrs->getNamedItem('startDate');
        if (!is_null($ndstartDate)) {
            $this->startDate = $ndstartDate->value;
            if (isset($ndstartDate->prefix)) {
                $this->namespace['startDate'] = $ndstartDate->prefix;
                $nsUri = $ndstartDate->lookupNamespaceURI($ndstartDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'startDate');
        } else {
            $this->startDate = null;
        }
        $ndendDate = $attrs->getNamedItem('endDate');
        if (!is_null($ndendDate)) {
            $this->endDate = $ndendDate->value;
            if (isset($ndendDate->prefix)) {
                $this->namespace['endDate'] = $ndendDate->prefix;
                $nsUri = $ndendDate->lookupNamespaceURI($ndendDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'endDate');
        } else {
            $this->endDate = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndobjectName = $attrs->getNamedItem('objectName');
        if (!is_null($ndobjectName)) {
            $this->objectName = $ndobjectName->value;
            if (isset($ndobjectName->prefix)) {
                $this->namespace['objectName'] = $ndobjectName->prefix;
                $nsUri = $ndobjectName->lookupNamespaceURI($ndobjectName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'objectName');
        } else {
            $this->objectName = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndobject = $attrs->getNamedItem('object');
        if (!is_null($ndobject)) {
            $this->object = $ndobject->value;
            if (isset($ndobject->prefix)) {
                $this->namespace['object'] = $ndobject->prefix;
                $nsUri = $ndobject->lookupNamespaceURI($ndobject->prefix);
            }
            $node->removeAttributeNS($nsUri, 'object');
        } else {
            $this->object = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndobjectType = $attrs->getNamedItem('objectType');
        if (!is_null($ndobjectType)) {
            $this->objectType = $ndobjectType->value;
            if (isset($ndobjectType->prefix)) {
                $this->namespace['objectType'] = $ndobjectType->prefix;
                $nsUri = $ndobjectType->lookupNamespaceURI($ndobjectType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'objectType');
        } else {
            $this->objectType = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultTaskRecordType


/**
 * Type for a single adminTask query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminTaskRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $startDate = null;
    protected $endDate = null;
    protected $name = null;
    protected $objectName = null;
    protected $orgName = null;
    protected $cellName = null;
    protected $object = null;
    protected $hasOwner = null;
    protected $ownerName = null;
    protected $owner = null;
    protected $org = null;
    protected $serviceNamespace = null;
    protected $objectType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param dateTime $startDate - [optional] an attribute, 
    * @param dateTime $endDate - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $objectName - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param string $cellName - [optional] an attribute, 
    * @param string $object - [optional] an attribute, 
    * @param boolean $hasOwner - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $objectType - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $startDate=null, $endDate=null, $name=null, $objectName=null, $orgName=null, $cellName=null, $object=null, $hasOwner=null, $ownerName=null, $owner=null, $org=null, $serviceNamespace=null, $objectType=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->startDate = $startDate;
        $this->endDate = $endDate;
        $this->name = $name;
        $this->objectName = $objectName;
        $this->orgName = $orgName;
        $this->cellName = $cellName;
        $this->object = $object;
        $this->hasOwner = $hasOwner;
        $this->ownerName = $ownerName;
        $this->owner = $owner;
        $this->org = $org;
        $this->serviceNamespace = $serviceNamespace;
        $this->objectType = $objectType;
        $this->tagName = 'AdminTaskRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_startDate(){
        return $this->startDate;
    }
    public function set_startDate($startDate) {
        $this->startDate = $startDate;
    }
    public function get_endDate(){
        return $this->endDate;
    }
    public function set_endDate($endDate) {
        $this->endDate = $endDate;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_objectName(){
        return $this->objectName;
    }
    public function set_objectName($objectName) {
        $this->objectName = $objectName;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_cellName(){
        return $this->cellName;
    }
    public function set_cellName($cellName) {
        $this->cellName = $cellName;
    }
    public function get_object(){
        return $this->object;
    }
    public function set_object($object) {
        $this->object = $object;
    }
    public function get_hasOwner(){
        return $this->hasOwner;
    }
    public function set_hasOwner($hasOwner) {
        $this->hasOwner = $hasOwner;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_objectType(){
        return $this->objectType;
    }
    public function set_objectType($objectType) {
        $this->objectType = $objectType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->startDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'startDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'startDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->startDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='startDate')));
        }
        if (!is_null($this->endDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'endDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'endDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->endDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='endDate')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->objectName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'objectName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'objectName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->objectName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='objectName')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->cellName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cellName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cellName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->cellName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='cellName')));
        }
        if (!is_null($this->object)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'object', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'object=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->object, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='object')));
        }
        if (!is_null($this->hasOwner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'hasOwner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'hasOwner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->hasOwner, $input_name='hasOwner')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->objectType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'objectType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'objectType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->objectType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='objectType')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndstartDate = $attrs->getNamedItem('startDate');
        if (!is_null($ndstartDate)) {
            $this->startDate = $ndstartDate->value;
            if (isset($ndstartDate->prefix)) {
                $this->namespace['startDate'] = $ndstartDate->prefix;
                $nsUri = $ndstartDate->lookupNamespaceURI($ndstartDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'startDate');
        } else {
            $this->startDate = null;
        }
        $ndendDate = $attrs->getNamedItem('endDate');
        if (!is_null($ndendDate)) {
            $this->endDate = $ndendDate->value;
            if (isset($ndendDate->prefix)) {
                $this->namespace['endDate'] = $ndendDate->prefix;
                $nsUri = $ndendDate->lookupNamespaceURI($ndendDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'endDate');
        } else {
            $this->endDate = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndobjectName = $attrs->getNamedItem('objectName');
        if (!is_null($ndobjectName)) {
            $this->objectName = $ndobjectName->value;
            if (isset($ndobjectName->prefix)) {
                $this->namespace['objectName'] = $ndobjectName->prefix;
                $nsUri = $ndobjectName->lookupNamespaceURI($ndobjectName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'objectName');
        } else {
            $this->objectName = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndcellName = $attrs->getNamedItem('cellName');
        if (!is_null($ndcellName)) {
            $this->cellName = $ndcellName->value;
            if (isset($ndcellName->prefix)) {
                $this->namespace['cellName'] = $ndcellName->prefix;
                $nsUri = $ndcellName->lookupNamespaceURI($ndcellName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cellName');
        } else {
            $this->cellName = null;
        }
        $ndobject = $attrs->getNamedItem('object');
        if (!is_null($ndobject)) {
            $this->object = $ndobject->value;
            if (isset($ndobject->prefix)) {
                $this->namespace['object'] = $ndobject->prefix;
                $nsUri = $ndobject->lookupNamespaceURI($ndobject->prefix);
            }
            $node->removeAttributeNS($nsUri, 'object');
        } else {
            $this->object = null;
        }
        $ndhasOwner = $attrs->getNamedItem('hasOwner');
        if (!is_null($ndhasOwner)) {
            $this->hasOwner = VMware_VCloud_API_Helper::get_boolean($ndhasOwner->value);
            if (isset($ndhasOwner->prefix)) {
                $this->namespace['hasOwner'] = $ndhasOwner->prefix;
                $nsUri = $ndhasOwner->lookupNamespaceURI($ndhasOwner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'hasOwner');
        } else {
            $this->hasOwner = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndobjectType = $attrs->getNamedItem('objectType');
        if (!is_null($ndobjectType)) {
            $this->objectType = $ndobjectType->value;
            if (isset($ndobjectType->prefix)) {
                $this->namespace['objectType'] = $ndobjectType->prefix;
                $nsUri = $ndobjectType->lookupNamespaceURI($ndobjectType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'objectType');
        } else {
            $this->objectType = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminTaskRecordType


/**
 * Type for a single blockingTask query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultBlockingTaskRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $originatingOrg = null;
    protected $task = null;
    protected $timeoutAction = null;
    protected $originatingOrgName = null;
    protected $operationName = null;
    protected $hasOwner = null;
    protected $jobStatus = null;
    protected $ownerName = null;
    protected $owner = null;
    protected $expirationTime = null;
    protected $creationDate = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $originatingOrg - [optional] an attribute, 
    * @param string $task - [optional] an attribute, 
    * @param string $timeoutAction - [optional] an attribute, 
    * @param string $originatingOrgName - [optional] an attribute, 
    * @param string $operationName - [optional] an attribute, 
    * @param boolean $hasOwner - [optional] an attribute, 
    * @param string $jobStatus - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $owner - [optional] an attribute, 
    * @param dateTime $expirationTime - [optional] an attribute, 
    * @param dateTime $creationDate - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $originatingOrg=null, $task=null, $timeoutAction=null, $originatingOrgName=null, $operationName=null, $hasOwner=null, $jobStatus=null, $ownerName=null, $owner=null, $expirationTime=null, $creationDate=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->originatingOrg = $originatingOrg;
        $this->task = $task;
        $this->timeoutAction = $timeoutAction;
        $this->originatingOrgName = $originatingOrgName;
        $this->operationName = $operationName;
        $this->hasOwner = $hasOwner;
        $this->jobStatus = $jobStatus;
        $this->ownerName = $ownerName;
        $this->owner = $owner;
        $this->expirationTime = $expirationTime;
        $this->creationDate = $creationDate;
        $this->tagName = 'BlockingTaskRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_originatingOrg(){
        return $this->originatingOrg;
    }
    public function set_originatingOrg($originatingOrg) {
        $this->originatingOrg = $originatingOrg;
    }
    public function get_task(){
        return $this->task;
    }
    public function set_task($task) {
        $this->task = $task;
    }
    public function get_timeoutAction(){
        return $this->timeoutAction;
    }
    public function set_timeoutAction($timeoutAction) {
        $this->timeoutAction = $timeoutAction;
    }
    public function get_originatingOrgName(){
        return $this->originatingOrgName;
    }
    public function set_originatingOrgName($originatingOrgName) {
        $this->originatingOrgName = $originatingOrgName;
    }
    public function get_operationName(){
        return $this->operationName;
    }
    public function set_operationName($operationName) {
        $this->operationName = $operationName;
    }
    public function get_hasOwner(){
        return $this->hasOwner;
    }
    public function set_hasOwner($hasOwner) {
        $this->hasOwner = $hasOwner;
    }
    public function get_jobStatus(){
        return $this->jobStatus;
    }
    public function set_jobStatus($jobStatus) {
        $this->jobStatus = $jobStatus;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_owner(){
        return $this->owner;
    }
    public function set_owner($owner) {
        $this->owner = $owner;
    }
    public function get_expirationTime(){
        return $this->expirationTime;
    }
    public function set_expirationTime($expirationTime) {
        $this->expirationTime = $expirationTime;
    }
    public function get_creationDate(){
        return $this->creationDate;
    }
    public function set_creationDate($creationDate) {
        $this->creationDate = $creationDate;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->originatingOrg)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'originatingOrg', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'originatingOrg=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->originatingOrg, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='originatingOrg')));
        }
        if (!is_null($this->task)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'task', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'task=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->task, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='task')));
        }
        if (!is_null($this->timeoutAction)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'timeoutAction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'timeoutAction=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->timeoutAction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='timeoutAction')));
        }
        if (!is_null($this->originatingOrgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'originatingOrgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'originatingOrgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->originatingOrgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='originatingOrgName')));
        }
        if (!is_null($this->operationName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'operationName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'operationName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->operationName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='operationName')));
        }
        if (!is_null($this->hasOwner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'hasOwner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'hasOwner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->hasOwner, $input_name='hasOwner')));
        }
        if (!is_null($this->jobStatus)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'jobStatus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'jobStatus=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->jobStatus, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='jobStatus')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->owner)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'owner', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'owner=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->owner, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='owner')));
        }
        if (!is_null($this->expirationTime)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'expirationTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'expirationTime=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->expirationTime, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='expirationTime')));
        }
        if (!is_null($this->creationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'creationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'creationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->creationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='creationDate')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndoriginatingOrg = $attrs->getNamedItem('originatingOrg');
        if (!is_null($ndoriginatingOrg)) {
            $this->originatingOrg = $ndoriginatingOrg->value;
            if (isset($ndoriginatingOrg->prefix)) {
                $this->namespace['originatingOrg'] = $ndoriginatingOrg->prefix;
                $nsUri = $ndoriginatingOrg->lookupNamespaceURI($ndoriginatingOrg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'originatingOrg');
        } else {
            $this->originatingOrg = null;
        }
        $ndtask = $attrs->getNamedItem('task');
        if (!is_null($ndtask)) {
            $this->task = $ndtask->value;
            if (isset($ndtask->prefix)) {
                $this->namespace['task'] = $ndtask->prefix;
                $nsUri = $ndtask->lookupNamespaceURI($ndtask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'task');
        } else {
            $this->task = null;
        }
        $ndtimeoutAction = $attrs->getNamedItem('timeoutAction');
        if (!is_null($ndtimeoutAction)) {
            $this->timeoutAction = $ndtimeoutAction->value;
            if (isset($ndtimeoutAction->prefix)) {
                $this->namespace['timeoutAction'] = $ndtimeoutAction->prefix;
                $nsUri = $ndtimeoutAction->lookupNamespaceURI($ndtimeoutAction->prefix);
            }
            $node->removeAttributeNS($nsUri, 'timeoutAction');
        } else {
            $this->timeoutAction = null;
        }
        $ndoriginatingOrgName = $attrs->getNamedItem('originatingOrgName');
        if (!is_null($ndoriginatingOrgName)) {
            $this->originatingOrgName = $ndoriginatingOrgName->value;
            if (isset($ndoriginatingOrgName->prefix)) {
                $this->namespace['originatingOrgName'] = $ndoriginatingOrgName->prefix;
                $nsUri = $ndoriginatingOrgName->lookupNamespaceURI($ndoriginatingOrgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'originatingOrgName');
        } else {
            $this->originatingOrgName = null;
        }
        $ndoperationName = $attrs->getNamedItem('operationName');
        if (!is_null($ndoperationName)) {
            $this->operationName = $ndoperationName->value;
            if (isset($ndoperationName->prefix)) {
                $this->namespace['operationName'] = $ndoperationName->prefix;
                $nsUri = $ndoperationName->lookupNamespaceURI($ndoperationName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'operationName');
        } else {
            $this->operationName = null;
        }
        $ndhasOwner = $attrs->getNamedItem('hasOwner');
        if (!is_null($ndhasOwner)) {
            $this->hasOwner = VMware_VCloud_API_Helper::get_boolean($ndhasOwner->value);
            if (isset($ndhasOwner->prefix)) {
                $this->namespace['hasOwner'] = $ndhasOwner->prefix;
                $nsUri = $ndhasOwner->lookupNamespaceURI($ndhasOwner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'hasOwner');
        } else {
            $this->hasOwner = null;
        }
        $ndjobStatus = $attrs->getNamedItem('jobStatus');
        if (!is_null($ndjobStatus)) {
            $this->jobStatus = $ndjobStatus->value;
            if (isset($ndjobStatus->prefix)) {
                $this->namespace['jobStatus'] = $ndjobStatus->prefix;
                $nsUri = $ndjobStatus->lookupNamespaceURI($ndjobStatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'jobStatus');
        } else {
            $this->jobStatus = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndowner = $attrs->getNamedItem('owner');
        if (!is_null($ndowner)) {
            $this->owner = $ndowner->value;
            if (isset($ndowner->prefix)) {
                $this->namespace['owner'] = $ndowner->prefix;
                $nsUri = $ndowner->lookupNamespaceURI($ndowner->prefix);
            }
            $node->removeAttributeNS($nsUri, 'owner');
        } else {
            $this->owner = null;
        }
        $ndexpirationTime = $attrs->getNamedItem('expirationTime');
        if (!is_null($ndexpirationTime)) {
            $this->expirationTime = $ndexpirationTime->value;
            if (isset($ndexpirationTime->prefix)) {
                $this->namespace['expirationTime'] = $ndexpirationTime->prefix;
                $nsUri = $ndexpirationTime->lookupNamespaceURI($ndexpirationTime->prefix);
            }
            $node->removeAttributeNS($nsUri, 'expirationTime');
        } else {
            $this->expirationTime = null;
        }
        $ndcreationDate = $attrs->getNamedItem('creationDate');
        if (!is_null($ndcreationDate)) {
            $this->creationDate = $ndcreationDate->value;
            if (isset($ndcreationDate->prefix)) {
                $this->namespace['creationDate'] = $ndcreationDate->prefix;
                $nsUri = $ndcreationDate->lookupNamespaceURI($ndcreationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'creationDate');
        } else {
            $this->creationDate = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultBlockingTaskRecordType


/**
 * Type for a single disk query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultDiskRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $storageProfileName = null;
    protected $task = null;
    protected $name = null;
    protected $storageProfile = null;
    protected $datastoreName = null;
    protected $busType = null;
    protected $vdcName = null;
    protected $vdc = null;
    protected $busSubType = null;
    protected $ownerName = null;
    protected $sizeB = null;
    protected $isAttached = null;
    protected $datastore = null;
    protected $busTypeDesc = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $storageProfileName - [optional] an attribute, 
    * @param string $task - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $storageProfile - [optional] an attribute, 
    * @param string $datastoreName - [optional] an attribute, 
    * @param string $busType - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $busSubType - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param long $sizeB - [optional] an attribute, 
    * @param boolean $isAttached - [optional] an attribute, 
    * @param string $datastore - [optional] an attribute, 
    * @param string $busTypeDesc - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $storageProfileName=null, $task=null, $name=null, $storageProfile=null, $datastoreName=null, $busType=null, $vdcName=null, $vdc=null, $busSubType=null, $ownerName=null, $sizeB=null, $isAttached=null, $datastore=null, $busTypeDesc=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->storageProfileName = $storageProfileName;
        $this->task = $task;
        $this->name = $name;
        $this->storageProfile = $storageProfile;
        $this->datastoreName = $datastoreName;
        $this->busType = $busType;
        $this->vdcName = $vdcName;
        $this->vdc = $vdc;
        $this->busSubType = $busSubType;
        $this->ownerName = $ownerName;
        $this->sizeB = $sizeB;
        $this->isAttached = $isAttached;
        $this->datastore = $datastore;
        $this->busTypeDesc = $busTypeDesc;
        $this->tagName = 'DiskRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_storageProfileName(){
        return $this->storageProfileName;
    }
    public function set_storageProfileName($storageProfileName) {
        $this->storageProfileName = $storageProfileName;
    }
    public function get_task(){
        return $this->task;
    }
    public function set_task($task) {
        $this->task = $task;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_storageProfile(){
        return $this->storageProfile;
    }
    public function set_storageProfile($storageProfile) {
        $this->storageProfile = $storageProfile;
    }
    public function get_datastoreName(){
        return $this->datastoreName;
    }
    public function set_datastoreName($datastoreName) {
        $this->datastoreName = $datastoreName;
    }
    public function get_busType(){
        return $this->busType;
    }
    public function set_busType($busType) {
        $this->busType = $busType;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_busSubType(){
        return $this->busSubType;
    }
    public function set_busSubType($busSubType) {
        $this->busSubType = $busSubType;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_sizeB(){
        return $this->sizeB;
    }
    public function set_sizeB($sizeB) {
        $this->sizeB = $sizeB;
    }
    public function get_isAttached(){
        return $this->isAttached;
    }
    public function set_isAttached($isAttached) {
        $this->isAttached = $isAttached;
    }
    public function get_datastore(){
        return $this->datastore;
    }
    public function set_datastore($datastore) {
        $this->datastore = $datastore;
    }
    public function get_busTypeDesc(){
        return $this->busTypeDesc;
    }
    public function set_busTypeDesc($busTypeDesc) {
        $this->busTypeDesc = $busTypeDesc;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->storageProfileName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileName')));
        }
        if (!is_null($this->task)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'task', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'task=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->task, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='task')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->storageProfile)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfile', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfile=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfile, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfile')));
        }
        if (!is_null($this->datastoreName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastoreName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastoreName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastoreName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastoreName')));
        }
        if (!is_null($this->busType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'busType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'busType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->busType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='busType')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->busSubType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'busSubType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'busSubType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->busSubType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='busSubType')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->sizeB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sizeB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sizeB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->sizeB, $input_name='sizeB')));
        }
        if (!is_null($this->isAttached)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isAttached', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isAttached=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isAttached, $input_name='isAttached')));
        }
        if (!is_null($this->datastore)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastore', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastore=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastore, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastore')));
        }
        if (!is_null($this->busTypeDesc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'busTypeDesc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'busTypeDesc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->busTypeDesc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='busTypeDesc')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndstorageProfileName = $attrs->getNamedItem('storageProfileName');
        if (!is_null($ndstorageProfileName)) {
            $this->storageProfileName = $ndstorageProfileName->value;
            if (isset($ndstorageProfileName->prefix)) {
                $this->namespace['storageProfileName'] = $ndstorageProfileName->prefix;
                $nsUri = $ndstorageProfileName->lookupNamespaceURI($ndstorageProfileName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileName');
        } else {
            $this->storageProfileName = null;
        }
        $ndtask = $attrs->getNamedItem('task');
        if (!is_null($ndtask)) {
            $this->task = $ndtask->value;
            if (isset($ndtask->prefix)) {
                $this->namespace['task'] = $ndtask->prefix;
                $nsUri = $ndtask->lookupNamespaceURI($ndtask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'task');
        } else {
            $this->task = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndstorageProfile = $attrs->getNamedItem('storageProfile');
        if (!is_null($ndstorageProfile)) {
            $this->storageProfile = $ndstorageProfile->value;
            if (isset($ndstorageProfile->prefix)) {
                $this->namespace['storageProfile'] = $ndstorageProfile->prefix;
                $nsUri = $ndstorageProfile->lookupNamespaceURI($ndstorageProfile->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfile');
        } else {
            $this->storageProfile = null;
        }
        $nddatastoreName = $attrs->getNamedItem('datastoreName');
        if (!is_null($nddatastoreName)) {
            $this->datastoreName = $nddatastoreName->value;
            if (isset($nddatastoreName->prefix)) {
                $this->namespace['datastoreName'] = $nddatastoreName->prefix;
                $nsUri = $nddatastoreName->lookupNamespaceURI($nddatastoreName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastoreName');
        } else {
            $this->datastoreName = null;
        }
        $ndbusType = $attrs->getNamedItem('busType');
        if (!is_null($ndbusType)) {
            $this->busType = $ndbusType->value;
            if (isset($ndbusType->prefix)) {
                $this->namespace['busType'] = $ndbusType->prefix;
                $nsUri = $ndbusType->lookupNamespaceURI($ndbusType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'busType');
        } else {
            $this->busType = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndbusSubType = $attrs->getNamedItem('busSubType');
        if (!is_null($ndbusSubType)) {
            $this->busSubType = $ndbusSubType->value;
            if (isset($ndbusSubType->prefix)) {
                $this->namespace['busSubType'] = $ndbusSubType->prefix;
                $nsUri = $ndbusSubType->lookupNamespaceURI($ndbusSubType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'busSubType');
        } else {
            $this->busSubType = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndsizeB = $attrs->getNamedItem('sizeB');
        if (!is_null($ndsizeB)) {
            $this->sizeB = sprintf('%d', $ndsizeB->value);
            if (isset($ndsizeB->prefix)) {
                $this->namespace['sizeB'] = $ndsizeB->prefix;
                $nsUri = $ndsizeB->lookupNamespaceURI($ndsizeB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sizeB');
        } else {
            $this->sizeB = null;
        }
        $ndisAttached = $attrs->getNamedItem('isAttached');
        if (!is_null($ndisAttached)) {
            $this->isAttached = VMware_VCloud_API_Helper::get_boolean($ndisAttached->value);
            if (isset($ndisAttached->prefix)) {
                $this->namespace['isAttached'] = $ndisAttached->prefix;
                $nsUri = $ndisAttached->lookupNamespaceURI($ndisAttached->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isAttached');
        } else {
            $this->isAttached = null;
        }
        $nddatastore = $attrs->getNamedItem('datastore');
        if (!is_null($nddatastore)) {
            $this->datastore = $nddatastore->value;
            if (isset($nddatastore->prefix)) {
                $this->namespace['datastore'] = $nddatastore->prefix;
                $nsUri = $nddatastore->lookupNamespaceURI($nddatastore->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastore');
        } else {
            $this->datastore = null;
        }
        $ndbusTypeDesc = $attrs->getNamedItem('busTypeDesc');
        if (!is_null($ndbusTypeDesc)) {
            $this->busTypeDesc = $ndbusTypeDesc->value;
            if (isset($ndbusTypeDesc->prefix)) {
                $this->namespace['busTypeDesc'] = $ndbusTypeDesc->prefix;
                $nsUri = $ndbusTypeDesc->lookupNamespaceURI($ndbusTypeDesc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'busTypeDesc');
        } else {
            $this->busTypeDesc = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultDiskRecordType


/**
 * Type for a single vmDiskRelation query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVmDiskRelationRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vdc = null;
    protected $disk = null;
    protected $vm = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vdc - [optional] an attribute, 
    * @param string $disk - [optional] an attribute, 
    * @param string $vm - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vdc=null, $disk=null, $vm=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vdc = $vdc;
        $this->disk = $disk;
        $this->vm = $vm;
        $this->tagName = 'VmDiskRelationRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_disk(){
        return $this->disk;
    }
    public function set_disk($disk) {
        $this->disk = $disk;
    }
    public function get_vm(){
        return $this->vm;
    }
    public function set_vm($vm) {
        $this->vm = $vm;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->disk)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'disk', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'disk=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->disk, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='disk')));
        }
        if (!is_null($this->vm)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vm', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vm=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vm, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vm')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $nddisk = $attrs->getNamedItem('disk');
        if (!is_null($nddisk)) {
            $this->disk = $nddisk->value;
            if (isset($nddisk->prefix)) {
                $this->namespace['disk'] = $nddisk->prefix;
                $nsUri = $nddisk->lookupNamespaceURI($nddisk->prefix);
            }
            $node->removeAttributeNS($nsUri, 'disk');
        } else {
            $this->disk = null;
        }
        $ndvm = $attrs->getNamedItem('vm');
        if (!is_null($ndvm)) {
            $this->vm = $ndvm->value;
            if (isset($ndvm->prefix)) {
                $this->namespace['vm'] = $ndvm->prefix;
                $nsUri = $ndvm->lookupNamespaceURI($ndvm->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vm');
        } else {
            $this->vm = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVmDiskRelationRecordType


/**
 * Type for a single adminDisk query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminDiskRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $storageProfileName = null;
    protected $vc = null;
    protected $name = null;
    protected $storageProfile = null;
    protected $datastoreName = null;
    protected $busType = null;
    protected $vdcName = null;
    protected $vdc = null;
    protected $task = null;
    protected $ownerName = null;
    protected $sizeB = null;
    protected $isAttached = null;
    protected $org = null;
    protected $datastore = null;
    protected $busSubType = null;
    protected $busTypeDesc = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $storageProfileName - [optional] an attribute, 
    * @param string $vc - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $storageProfile - [optional] an attribute, 
    * @param string $datastoreName - [optional] an attribute, 
    * @param string $busType - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $task - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param long $sizeB - [optional] an attribute, 
    * @param boolean $isAttached - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $datastore - [optional] an attribute, 
    * @param string $busSubType - [optional] an attribute, 
    * @param string $busTypeDesc - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $storageProfileName=null, $vc=null, $name=null, $storageProfile=null, $datastoreName=null, $busType=null, $vdcName=null, $vdc=null, $task=null, $ownerName=null, $sizeB=null, $isAttached=null, $org=null, $datastore=null, $busSubType=null, $busTypeDesc=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->storageProfileName = $storageProfileName;
        $this->vc = $vc;
        $this->name = $name;
        $this->storageProfile = $storageProfile;
        $this->datastoreName = $datastoreName;
        $this->busType = $busType;
        $this->vdcName = $vdcName;
        $this->vdc = $vdc;
        $this->task = $task;
        $this->ownerName = $ownerName;
        $this->sizeB = $sizeB;
        $this->isAttached = $isAttached;
        $this->org = $org;
        $this->datastore = $datastore;
        $this->busSubType = $busSubType;
        $this->busTypeDesc = $busTypeDesc;
        $this->tagName = 'AdminDiskRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_storageProfileName(){
        return $this->storageProfileName;
    }
    public function set_storageProfileName($storageProfileName) {
        $this->storageProfileName = $storageProfileName;
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_storageProfile(){
        return $this->storageProfile;
    }
    public function set_storageProfile($storageProfile) {
        $this->storageProfile = $storageProfile;
    }
    public function get_datastoreName(){
        return $this->datastoreName;
    }
    public function set_datastoreName($datastoreName) {
        $this->datastoreName = $datastoreName;
    }
    public function get_busType(){
        return $this->busType;
    }
    public function set_busType($busType) {
        $this->busType = $busType;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_task(){
        return $this->task;
    }
    public function set_task($task) {
        $this->task = $task;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_sizeB(){
        return $this->sizeB;
    }
    public function set_sizeB($sizeB) {
        $this->sizeB = $sizeB;
    }
    public function get_isAttached(){
        return $this->isAttached;
    }
    public function set_isAttached($isAttached) {
        $this->isAttached = $isAttached;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_datastore(){
        return $this->datastore;
    }
    public function set_datastore($datastore) {
        $this->datastore = $datastore;
    }
    public function get_busSubType(){
        return $this->busSubType;
    }
    public function set_busSubType($busSubType) {
        $this->busSubType = $busSubType;
    }
    public function get_busTypeDesc(){
        return $this->busTypeDesc;
    }
    public function set_busTypeDesc($busTypeDesc) {
        $this->busTypeDesc = $busTypeDesc;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->storageProfileName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileName')));
        }
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->storageProfile)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfile', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfile=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfile, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfile')));
        }
        if (!is_null($this->datastoreName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastoreName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastoreName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastoreName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastoreName')));
        }
        if (!is_null($this->busType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'busType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'busType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->busType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='busType')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->task)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'task', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'task=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->task, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='task')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->sizeB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sizeB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sizeB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->sizeB, $input_name='sizeB')));
        }
        if (!is_null($this->isAttached)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isAttached', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isAttached=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isAttached, $input_name='isAttached')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->datastore)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'datastore', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'datastore=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->datastore, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='datastore')));
        }
        if (!is_null($this->busSubType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'busSubType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'busSubType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->busSubType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='busSubType')));
        }
        if (!is_null($this->busTypeDesc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'busTypeDesc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'busTypeDesc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->busTypeDesc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='busTypeDesc')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndstorageProfileName = $attrs->getNamedItem('storageProfileName');
        if (!is_null($ndstorageProfileName)) {
            $this->storageProfileName = $ndstorageProfileName->value;
            if (isset($ndstorageProfileName->prefix)) {
                $this->namespace['storageProfileName'] = $ndstorageProfileName->prefix;
                $nsUri = $ndstorageProfileName->lookupNamespaceURI($ndstorageProfileName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileName');
        } else {
            $this->storageProfileName = null;
        }
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndstorageProfile = $attrs->getNamedItem('storageProfile');
        if (!is_null($ndstorageProfile)) {
            $this->storageProfile = $ndstorageProfile->value;
            if (isset($ndstorageProfile->prefix)) {
                $this->namespace['storageProfile'] = $ndstorageProfile->prefix;
                $nsUri = $ndstorageProfile->lookupNamespaceURI($ndstorageProfile->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfile');
        } else {
            $this->storageProfile = null;
        }
        $nddatastoreName = $attrs->getNamedItem('datastoreName');
        if (!is_null($nddatastoreName)) {
            $this->datastoreName = $nddatastoreName->value;
            if (isset($nddatastoreName->prefix)) {
                $this->namespace['datastoreName'] = $nddatastoreName->prefix;
                $nsUri = $nddatastoreName->lookupNamespaceURI($nddatastoreName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastoreName');
        } else {
            $this->datastoreName = null;
        }
        $ndbusType = $attrs->getNamedItem('busType');
        if (!is_null($ndbusType)) {
            $this->busType = $ndbusType->value;
            if (isset($ndbusType->prefix)) {
                $this->namespace['busType'] = $ndbusType->prefix;
                $nsUri = $ndbusType->lookupNamespaceURI($ndbusType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'busType');
        } else {
            $this->busType = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndtask = $attrs->getNamedItem('task');
        if (!is_null($ndtask)) {
            $this->task = $ndtask->value;
            if (isset($ndtask->prefix)) {
                $this->namespace['task'] = $ndtask->prefix;
                $nsUri = $ndtask->lookupNamespaceURI($ndtask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'task');
        } else {
            $this->task = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndsizeB = $attrs->getNamedItem('sizeB');
        if (!is_null($ndsizeB)) {
            $this->sizeB = sprintf('%d', $ndsizeB->value);
            if (isset($ndsizeB->prefix)) {
                $this->namespace['sizeB'] = $ndsizeB->prefix;
                $nsUri = $ndsizeB->lookupNamespaceURI($ndsizeB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sizeB');
        } else {
            $this->sizeB = null;
        }
        $ndisAttached = $attrs->getNamedItem('isAttached');
        if (!is_null($ndisAttached)) {
            $this->isAttached = VMware_VCloud_API_Helper::get_boolean($ndisAttached->value);
            if (isset($ndisAttached->prefix)) {
                $this->namespace['isAttached'] = $ndisAttached->prefix;
                $nsUri = $ndisAttached->lookupNamespaceURI($ndisAttached->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isAttached');
        } else {
            $this->isAttached = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $nddatastore = $attrs->getNamedItem('datastore');
        if (!is_null($nddatastore)) {
            $this->datastore = $nddatastore->value;
            if (isset($nddatastore->prefix)) {
                $this->namespace['datastore'] = $nddatastore->prefix;
                $nsUri = $nddatastore->lookupNamespaceURI($nddatastore->prefix);
            }
            $node->removeAttributeNS($nsUri, 'datastore');
        } else {
            $this->datastore = null;
        }
        $ndbusSubType = $attrs->getNamedItem('busSubType');
        if (!is_null($ndbusSubType)) {
            $this->busSubType = $ndbusSubType->value;
            if (isset($ndbusSubType->prefix)) {
                $this->namespace['busSubType'] = $ndbusSubType->prefix;
                $nsUri = $ndbusSubType->lookupNamespaceURI($ndbusSubType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'busSubType');
        } else {
            $this->busSubType = null;
        }
        $ndbusTypeDesc = $attrs->getNamedItem('busTypeDesc');
        if (!is_null($ndbusTypeDesc)) {
            $this->busTypeDesc = $ndbusTypeDesc->value;
            if (isset($ndbusTypeDesc->prefix)) {
                $this->namespace['busTypeDesc'] = $ndbusTypeDesc->prefix;
                $nsUri = $ndbusTypeDesc->lookupNamespaceURI($ndbusTypeDesc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'busTypeDesc');
        } else {
            $this->busTypeDesc = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminDiskRecordType


/**
 * Type for a single adminVMDiskRelation query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminVmDiskRelationRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vdc = null;
    protected $disk = null;
    protected $vm = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vdc - [optional] an attribute, 
    * @param string $disk - [optional] an attribute, 
    * @param string $vm - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vdc=null, $disk=null, $vm=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vdc = $vdc;
        $this->disk = $disk;
        $this->vm = $vm;
        $this->tagName = 'AdminVmDiskRelationRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_disk(){
        return $this->disk;
    }
    public function set_disk($disk) {
        $this->disk = $disk;
    }
    public function get_vm(){
        return $this->vm;
    }
    public function set_vm($vm) {
        $this->vm = $vm;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->disk)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'disk', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'disk=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->disk, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='disk')));
        }
        if (!is_null($this->vm)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vm', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vm=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vm, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vm')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $nddisk = $attrs->getNamedItem('disk');
        if (!is_null($nddisk)) {
            $this->disk = $nddisk->value;
            if (isset($nddisk->prefix)) {
                $this->namespace['disk'] = $nddisk->prefix;
                $nsUri = $nddisk->lookupNamespaceURI($nddisk->prefix);
            }
            $node->removeAttributeNS($nsUri, 'disk');
        } else {
            $this->disk = null;
        }
        $ndvm = $attrs->getNamedItem('vm');
        if (!is_null($ndvm)) {
            $this->vm = $ndvm->value;
            if (isset($ndvm->prefix)) {
                $this->namespace['vm'] = $ndvm->prefix;
                $nsUri = $ndvm->lookupNamespaceURI($ndvm->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vm');
        } else {
            $this->vm = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminVmDiskRelationRecordType


/**
 * Type for a single condition query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultConditionRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $severity = null;
    protected $object = null;
    protected $occurenceDate = null;
    protected $summary = null;
    protected $details = null;
    protected $objectType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $severity - [optional] an attribute, 
    * @param string $object - [optional] an attribute, 
    * @param dateTime $occurenceDate - [optional] an attribute, 
    * @param string $summary - [optional] an attribute, 
    * @param string $details - [optional] an attribute, 
    * @param string $objectType - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $severity=null, $object=null, $occurenceDate=null, $summary=null, $details=null, $objectType=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->severity = $severity;
        $this->object = $object;
        $this->occurenceDate = $occurenceDate;
        $this->summary = $summary;
        $this->details = $details;
        $this->objectType = $objectType;
        $this->tagName = 'ConditionRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_severity(){
        return $this->severity;
    }
    public function set_severity($severity) {
        $this->severity = $severity;
    }
    public function get_object(){
        return $this->object;
    }
    public function set_object($object) {
        $this->object = $object;
    }
    public function get_occurenceDate(){
        return $this->occurenceDate;
    }
    public function set_occurenceDate($occurenceDate) {
        $this->occurenceDate = $occurenceDate;
    }
    public function get_summary(){
        return $this->summary;
    }
    public function set_summary($summary) {
        $this->summary = $summary;
    }
    public function get_details(){
        return $this->details;
    }
    public function set_details($details) {
        $this->details = $details;
    }
    public function get_objectType(){
        return $this->objectType;
    }
    public function set_objectType($objectType) {
        $this->objectType = $objectType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->severity)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'severity', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'severity=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->severity, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='severity')));
        }
        if (!is_null($this->object)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'object', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'object=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->object, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='object')));
        }
        if (!is_null($this->occurenceDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'occurenceDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'occurenceDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->occurenceDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='occurenceDate')));
        }
        if (!is_null($this->summary)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'summary', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'summary=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->summary, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='summary')));
        }
        if (!is_null($this->details)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'details', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'details=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->details, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='details')));
        }
        if (!is_null($this->objectType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'objectType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'objectType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->objectType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='objectType')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndseverity = $attrs->getNamedItem('severity');
        if (!is_null($ndseverity)) {
            $this->severity = $ndseverity->value;
            if (isset($ndseverity->prefix)) {
                $this->namespace['severity'] = $ndseverity->prefix;
                $nsUri = $ndseverity->lookupNamespaceURI($ndseverity->prefix);
            }
            $node->removeAttributeNS($nsUri, 'severity');
        } else {
            $this->severity = null;
        }
        $ndobject = $attrs->getNamedItem('object');
        if (!is_null($ndobject)) {
            $this->object = $ndobject->value;
            if (isset($ndobject->prefix)) {
                $this->namespace['object'] = $ndobject->prefix;
                $nsUri = $ndobject->lookupNamespaceURI($ndobject->prefix);
            }
            $node->removeAttributeNS($nsUri, 'object');
        } else {
            $this->object = null;
        }
        $ndoccurenceDate = $attrs->getNamedItem('occurenceDate');
        if (!is_null($ndoccurenceDate)) {
            $this->occurenceDate = $ndoccurenceDate->value;
            if (isset($ndoccurenceDate->prefix)) {
                $this->namespace['occurenceDate'] = $ndoccurenceDate->prefix;
                $nsUri = $ndoccurenceDate->lookupNamespaceURI($ndoccurenceDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'occurenceDate');
        } else {
            $this->occurenceDate = null;
        }
        $ndsummary = $attrs->getNamedItem('summary');
        if (!is_null($ndsummary)) {
            $this->summary = $ndsummary->value;
            if (isset($ndsummary->prefix)) {
                $this->namespace['summary'] = $ndsummary->prefix;
                $nsUri = $ndsummary->lookupNamespaceURI($ndsummary->prefix);
            }
            $node->removeAttributeNS($nsUri, 'summary');
        } else {
            $this->summary = null;
        }
        $nddetails = $attrs->getNamedItem('details');
        if (!is_null($nddetails)) {
            $this->details = $nddetails->value;
            if (isset($nddetails->prefix)) {
                $this->namespace['details'] = $nddetails->prefix;
                $nsUri = $nddetails->lookupNamespaceURI($nddetails->prefix);
            }
            $node->removeAttributeNS($nsUri, 'details');
        } else {
            $this->details = null;
        }
        $ndobjectType = $attrs->getNamedItem('objectType');
        if (!is_null($ndobjectType)) {
            $this->objectType = $ndobjectType->value;
            if (isset($ndobjectType->prefix)) {
                $this->namespace['objectType'] = $ndobjectType->prefix;
                $nsUri = $ndobjectType->lookupNamespaceURI($ndobjectType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'objectType');
        } else {
            $this->objectType = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultConditionRecordType


/**
 * Type for a single adminEvent query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminEventRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $eventId = null;
    protected $userName = null;
    protected $orgName = null;
    protected $eventType = null;
    protected $entityName = null;
    protected $entityType = null;
    protected $entity = null;
    protected $eventStatus = null;
    protected $timeStamp = null;
    protected $org = null;
    protected $serviceNamespace = null;
    protected $productVersion = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $eventId - [optional] an attribute, 
    * @param string $userName - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param string $eventType - [optional] an attribute, 
    * @param string $entityName - [optional] an attribute, 
    * @param string $entityType - [optional] an attribute, 
    * @param string $entity - [optional] an attribute, 
    * @param int $eventStatus - [optional] an attribute, 
    * @param dateTime $timeStamp - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $productVersion - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $eventId=null, $userName=null, $orgName=null, $eventType=null, $entityName=null, $entityType=null, $entity=null, $eventStatus=null, $timeStamp=null, $org=null, $serviceNamespace=null, $productVersion=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->eventId = $eventId;
        $this->userName = $userName;
        $this->orgName = $orgName;
        $this->eventType = $eventType;
        $this->entityName = $entityName;
        $this->entityType = $entityType;
        $this->entity = $entity;
        $this->eventStatus = $eventStatus;
        $this->timeStamp = $timeStamp;
        $this->org = $org;
        $this->serviceNamespace = $serviceNamespace;
        $this->productVersion = $productVersion;
        $this->tagName = 'AdminEventRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_eventId(){
        return $this->eventId;
    }
    public function set_eventId($eventId) {
        $this->eventId = $eventId;
    }
    public function get_userName(){
        return $this->userName;
    }
    public function set_userName($userName) {
        $this->userName = $userName;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_eventType(){
        return $this->eventType;
    }
    public function set_eventType($eventType) {
        $this->eventType = $eventType;
    }
    public function get_entityName(){
        return $this->entityName;
    }
    public function set_entityName($entityName) {
        $this->entityName = $entityName;
    }
    public function get_entityType(){
        return $this->entityType;
    }
    public function set_entityType($entityType) {
        $this->entityType = $entityType;
    }
    public function get_entity(){
        return $this->entity;
    }
    public function set_entity($entity) {
        $this->entity = $entity;
    }
    public function get_eventStatus(){
        return $this->eventStatus;
    }
    public function set_eventStatus($eventStatus) {
        $this->eventStatus = $eventStatus;
    }
    public function get_timeStamp(){
        return $this->timeStamp;
    }
    public function set_timeStamp($timeStamp) {
        $this->timeStamp = $timeStamp;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_productVersion(){
        return $this->productVersion;
    }
    public function set_productVersion($productVersion) {
        $this->productVersion = $productVersion;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->eventId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->eventId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='eventId')));
        }
        if (!is_null($this->userName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'userName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'userName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->userName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='userName')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->eventType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->eventType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='eventType')));
        }
        if (!is_null($this->entityName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityName')));
        }
        if (!is_null($this->entityType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityType')));
        }
        if (!is_null($this->entity)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entity', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entity=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entity, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entity')));
        }
        if (!is_null($this->eventStatus)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventStatus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventStatus=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->eventStatus, $input_name='eventStatus')));
        }
        if (!is_null($this->timeStamp)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'timeStamp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'timeStamp=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->timeStamp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='timeStamp')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->productVersion)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'productVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'productVersion=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->productVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='productVersion')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndeventId = $attrs->getNamedItem('eventId');
        if (!is_null($ndeventId)) {
            $this->eventId = $ndeventId->value;
            if (isset($ndeventId->prefix)) {
                $this->namespace['eventId'] = $ndeventId->prefix;
                $nsUri = $ndeventId->lookupNamespaceURI($ndeventId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventId');
        } else {
            $this->eventId = null;
        }
        $nduserName = $attrs->getNamedItem('userName');
        if (!is_null($nduserName)) {
            $this->userName = $nduserName->value;
            if (isset($nduserName->prefix)) {
                $this->namespace['userName'] = $nduserName->prefix;
                $nsUri = $nduserName->lookupNamespaceURI($nduserName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'userName');
        } else {
            $this->userName = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndeventType = $attrs->getNamedItem('eventType');
        if (!is_null($ndeventType)) {
            $this->eventType = $ndeventType->value;
            if (isset($ndeventType->prefix)) {
                $this->namespace['eventType'] = $ndeventType->prefix;
                $nsUri = $ndeventType->lookupNamespaceURI($ndeventType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventType');
        } else {
            $this->eventType = null;
        }
        $ndentityName = $attrs->getNamedItem('entityName');
        if (!is_null($ndentityName)) {
            $this->entityName = $ndentityName->value;
            if (isset($ndentityName->prefix)) {
                $this->namespace['entityName'] = $ndentityName->prefix;
                $nsUri = $ndentityName->lookupNamespaceURI($ndentityName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityName');
        } else {
            $this->entityName = null;
        }
        $ndentityType = $attrs->getNamedItem('entityType');
        if (!is_null($ndentityType)) {
            $this->entityType = $ndentityType->value;
            if (isset($ndentityType->prefix)) {
                $this->namespace['entityType'] = $ndentityType->prefix;
                $nsUri = $ndentityType->lookupNamespaceURI($ndentityType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityType');
        } else {
            $this->entityType = null;
        }
        $ndentity = $attrs->getNamedItem('entity');
        if (!is_null($ndentity)) {
            $this->entity = $ndentity->value;
            if (isset($ndentity->prefix)) {
                $this->namespace['entity'] = $ndentity->prefix;
                $nsUri = $ndentity->lookupNamespaceURI($ndentity->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entity');
        } else {
            $this->entity = null;
        }
        $ndeventStatus = $attrs->getNamedItem('eventStatus');
        if (!is_null($ndeventStatus)) {
            $this->eventStatus = sprintf('%d', $ndeventStatus->value);
            if (isset($ndeventStatus->prefix)) {
                $this->namespace['eventStatus'] = $ndeventStatus->prefix;
                $nsUri = $ndeventStatus->lookupNamespaceURI($ndeventStatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventStatus');
        } else {
            $this->eventStatus = null;
        }
        $ndtimeStamp = $attrs->getNamedItem('timeStamp');
        if (!is_null($ndtimeStamp)) {
            $this->timeStamp = $ndtimeStamp->value;
            if (isset($ndtimeStamp->prefix)) {
                $this->namespace['timeStamp'] = $ndtimeStamp->prefix;
                $nsUri = $ndtimeStamp->lookupNamespaceURI($ndtimeStamp->prefix);
            }
            $node->removeAttributeNS($nsUri, 'timeStamp');
        } else {
            $this->timeStamp = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndproductVersion = $attrs->getNamedItem('productVersion');
        if (!is_null($ndproductVersion)) {
            $this->productVersion = $ndproductVersion->value;
            if (isset($ndproductVersion->prefix)) {
                $this->namespace['productVersion'] = $ndproductVersion->prefix;
                $nsUri = $ndproductVersion->lookupNamespaceURI($ndproductVersion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'productVersion');
        } else {
            $this->productVersion = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminEventRecordType


/**
 * Type for a single strandedItem query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultStrandedItemRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $deletionDate = null;
    protected $vimObjectType = null;
    protected $name = null;
    protected $parent = null;
    protected $parentName = null;
    protected $numberOfPurgeAttempts = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param dateTime $deletionDate - [optional] an attribute, 
    * @param string $vimObjectType - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $parent - [optional] an attribute, 
    * @param string $parentName - [optional] an attribute, 
    * @param int $numberOfPurgeAttempts - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $deletionDate=null, $vimObjectType=null, $name=null, $parent=null, $parentName=null, $numberOfPurgeAttempts=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->deletionDate = $deletionDate;
        $this->vimObjectType = $vimObjectType;
        $this->name = $name;
        $this->parent = $parent;
        $this->parentName = $parentName;
        $this->numberOfPurgeAttempts = $numberOfPurgeAttempts;
        $this->tagName = 'StrandedItemRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_deletionDate(){
        return $this->deletionDate;
    }
    public function set_deletionDate($deletionDate) {
        $this->deletionDate = $deletionDate;
    }
    public function get_vimObjectType(){
        return $this->vimObjectType;
    }
    public function set_vimObjectType($vimObjectType) {
        $this->vimObjectType = $vimObjectType;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_parent(){
        return $this->parent;
    }
    public function set_parent($parent) {
        $this->parent = $parent;
    }
    public function get_parentName(){
        return $this->parentName;
    }
    public function set_parentName($parentName) {
        $this->parentName = $parentName;
    }
    public function get_numberOfPurgeAttempts(){
        return $this->numberOfPurgeAttempts;
    }
    public function set_numberOfPurgeAttempts($numberOfPurgeAttempts) {
        $this->numberOfPurgeAttempts = $numberOfPurgeAttempts;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->deletionDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deletionDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deletionDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->deletionDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='deletionDate')));
        }
        if (!is_null($this->vimObjectType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vimObjectType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vimObjectType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vimObjectType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vimObjectType')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->parent)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'parent', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'parent=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->parent, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='parent')));
        }
        if (!is_null($this->parentName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'parentName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'parentName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->parentName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='parentName')));
        }
        if (!is_null($this->numberOfPurgeAttempts)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfPurgeAttempts', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfPurgeAttempts=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfPurgeAttempts, $input_name='numberOfPurgeAttempts')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nddeletionDate = $attrs->getNamedItem('deletionDate');
        if (!is_null($nddeletionDate)) {
            $this->deletionDate = $nddeletionDate->value;
            if (isset($nddeletionDate->prefix)) {
                $this->namespace['deletionDate'] = $nddeletionDate->prefix;
                $nsUri = $nddeletionDate->lookupNamespaceURI($nddeletionDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deletionDate');
        } else {
            $this->deletionDate = null;
        }
        $ndvimObjectType = $attrs->getNamedItem('vimObjectType');
        if (!is_null($ndvimObjectType)) {
            $this->vimObjectType = $ndvimObjectType->value;
            if (isset($ndvimObjectType->prefix)) {
                $this->namespace['vimObjectType'] = $ndvimObjectType->prefix;
                $nsUri = $ndvimObjectType->lookupNamespaceURI($ndvimObjectType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vimObjectType');
        } else {
            $this->vimObjectType = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndparent = $attrs->getNamedItem('parent');
        if (!is_null($ndparent)) {
            $this->parent = $ndparent->value;
            if (isset($ndparent->prefix)) {
                $this->namespace['parent'] = $ndparent->prefix;
                $nsUri = $ndparent->lookupNamespaceURI($ndparent->prefix);
            }
            $node->removeAttributeNS($nsUri, 'parent');
        } else {
            $this->parent = null;
        }
        $ndparentName = $attrs->getNamedItem('parentName');
        if (!is_null($ndparentName)) {
            $this->parentName = $ndparentName->value;
            if (isset($ndparentName->prefix)) {
                $this->namespace['parentName'] = $ndparentName->prefix;
                $nsUri = $ndparentName->lookupNamespaceURI($ndparentName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'parentName');
        } else {
            $this->parentName = null;
        }
        $ndnumberOfPurgeAttempts = $attrs->getNamedItem('numberOfPurgeAttempts');
        if (!is_null($ndnumberOfPurgeAttempts)) {
            $this->numberOfPurgeAttempts = sprintf('%d', $ndnumberOfPurgeAttempts->value);
            if (isset($ndnumberOfPurgeAttempts->prefix)) {
                $this->namespace['numberOfPurgeAttempts'] = $ndnumberOfPurgeAttempts->prefix;
                $nsUri = $ndnumberOfPurgeAttempts->lookupNamespaceURI($ndnumberOfPurgeAttempts->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfPurgeAttempts');
        } else {
            $this->numberOfPurgeAttempts = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultStrandedItemRecordType


/**
 * Type for a single adminService query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminServiceRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vendor = null;
    protected $routingKey = null;
    protected $exchange = null;
    protected $enabled = null;
    protected $priority = null;
    protected $isAuthorizationEnabled = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vendor - [optional] an attribute, 
    * @param string $routingKey - [optional] an attribute, 
    * @param string $exchange - [optional] an attribute, 
    * @param string $namespace - [optional] an attribute, 
    * @param boolean $enabled - [optional] an attribute, 
    * @param int $priority - [optional] an attribute, 
    * @param boolean $isAuthorizationEnabled - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vendor=null, $routingKey=null, $exchange=null, $namespace=null, $enabled=null, $priority=null, $isAuthorizationEnabled=null, $name=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vendor = $vendor;
        $this->routingKey = $routingKey;
        $this->exchange = $exchange;
        $this->namespace = $namespace;
        $this->enabled = $enabled;
        $this->priority = $priority;
        $this->isAuthorizationEnabled = $isAuthorizationEnabled;
        $this->name = $name;
        $this->tagName = 'AdminServiceRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vendor(){
        return $this->vendor;
    }
    public function set_vendor($vendor) {
        $this->vendor = $vendor;
    }
    public function get_routingKey(){
        return $this->routingKey;
    }
    public function set_routingKey($routingKey) {
        $this->routingKey = $routingKey;
    }
    public function get_exchange(){
        return $this->exchange;
    }
    public function set_exchange($exchange) {
        $this->exchange = $exchange;
    }
    public function get_namespace(){
        return $this->namespace;
    }
    public function set_namespace($namespace) {
        $this->namespace = $namespace;
    }
    public function get_enabled(){
        return $this->enabled;
    }
    public function set_enabled($enabled) {
        $this->enabled = $enabled;
    }
    public function get_priority(){
        return $this->priority;
    }
    public function set_priority($priority) {
        $this->priority = $priority;
    }
    public function get_isAuthorizationEnabled(){
        return $this->isAuthorizationEnabled;
    }
    public function set_isAuthorizationEnabled($isAuthorizationEnabled) {
        $this->isAuthorizationEnabled = $isAuthorizationEnabled;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vendor')));
        }
        if (!is_null($this->routingKey)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'routingKey', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'routingKey=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->routingKey, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='routingKey')));
        }
        if (!is_null($this->exchange)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'exchange', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'exchange=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->exchange, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='exchange')));
        }
        if (!is_null($this->namespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'namespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='namespace')));
        }
        if (!is_null($this->enabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'enabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->enabled, $input_name='enabled')));
        }
        if (!is_null($this->priority)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'priority', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'priority=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->priority, $input_name='priority')));
        }
        if (!is_null($this->isAuthorizationEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isAuthorizationEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isAuthorizationEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isAuthorizationEnabled, $input_name='isAuthorizationEnabled')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvendor = $attrs->getNamedItem('vendor');
        if (!is_null($ndvendor)) {
            $this->vendor = $ndvendor->value;
            if (isset($ndvendor->prefix)) {
                $this->namespace['vendor'] = $ndvendor->prefix;
                $nsUri = $ndvendor->lookupNamespaceURI($ndvendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vendor');
        } else {
            $this->vendor = null;
        }
        $ndroutingKey = $attrs->getNamedItem('routingKey');
        if (!is_null($ndroutingKey)) {
            $this->routingKey = $ndroutingKey->value;
            if (isset($ndroutingKey->prefix)) {
                $this->namespace['routingKey'] = $ndroutingKey->prefix;
                $nsUri = $ndroutingKey->lookupNamespaceURI($ndroutingKey->prefix);
            }
            $node->removeAttributeNS($nsUri, 'routingKey');
        } else {
            $this->routingKey = null;
        }
        $ndexchange = $attrs->getNamedItem('exchange');
        if (!is_null($ndexchange)) {
            $this->exchange = $ndexchange->value;
            if (isset($ndexchange->prefix)) {
                $this->namespace['exchange'] = $ndexchange->prefix;
                $nsUri = $ndexchange->lookupNamespaceURI($ndexchange->prefix);
            }
            $node->removeAttributeNS($nsUri, 'exchange');
        } else {
            $this->exchange = null;
        }
        $ndnamespace = $attrs->getNamedItem('namespace');
        if (!is_null($ndnamespace)) {
            $this->namespace = $ndnamespace->value;
            if (isset($ndnamespace->prefix)) {
                $this->namespace['namespace'] = $ndnamespace->prefix;
                $nsUri = $ndnamespace->lookupNamespaceURI($ndnamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'namespace');
        } else {
            $this->namespace = null;
        }
        $ndenabled = $attrs->getNamedItem('enabled');
        if (!is_null($ndenabled)) {
            $this->enabled = VMware_VCloud_API_Helper::get_boolean($ndenabled->value);
            if (isset($ndenabled->prefix)) {
                $this->namespace['enabled'] = $ndenabled->prefix;
                $nsUri = $ndenabled->lookupNamespaceURI($ndenabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'enabled');
        } else {
            $this->enabled = null;
        }
        $ndpriority = $attrs->getNamedItem('priority');
        if (!is_null($ndpriority)) {
            $this->priority = sprintf('%d', $ndpriority->value);
            if (isset($ndpriority->prefix)) {
                $this->namespace['priority'] = $ndpriority->prefix;
                $nsUri = $ndpriority->lookupNamespaceURI($ndpriority->prefix);
            }
            $node->removeAttributeNS($nsUri, 'priority');
        } else {
            $this->priority = null;
        }
        $ndisAuthorizationEnabled = $attrs->getNamedItem('isAuthorizationEnabled');
        if (!is_null($ndisAuthorizationEnabled)) {
            $this->isAuthorizationEnabled = VMware_VCloud_API_Helper::get_boolean($ndisAuthorizationEnabled->value);
            if (isset($ndisAuthorizationEnabled->prefix)) {
                $this->namespace['isAuthorizationEnabled'] = $ndisAuthorizationEnabled->prefix;
                $nsUri = $ndisAuthorizationEnabled->lookupNamespaceURI($ndisAuthorizationEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isAuthorizationEnabled');
        } else {
            $this->isAuthorizationEnabled = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminServiceRecordType


/**
 * Type for a single service query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultServiceRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vendor = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $namespace - [optional] an attribute, 
    * @param string $vendor - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $namespace=null, $vendor=null, $name=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->namespace = $namespace;
        $this->vendor = $vendor;
        $this->name = $name;
        $this->tagName = 'ServiceRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_namespace(){
        return $this->namespace;
    }
    public function set_namespace($namespace) {
        $this->namespace = $namespace;
    }
    public function get_vendor(){
        return $this->vendor;
    }
    public function set_vendor($vendor) {
        $this->vendor = $vendor;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->namespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'namespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='namespace')));
        }
        if (!is_null($this->vendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vendor')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndnamespace = $attrs->getNamedItem('namespace');
        if (!is_null($ndnamespace)) {
            $this->namespace = $ndnamespace->value;
            if (isset($ndnamespace->prefix)) {
                $this->namespace['namespace'] = $ndnamespace->prefix;
                $nsUri = $ndnamespace->lookupNamespaceURI($ndnamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'namespace');
        } else {
            $this->namespace = null;
        }
        $ndvendor = $attrs->getNamedItem('vendor');
        if (!is_null($ndvendor)) {
            $this->vendor = $ndvendor->value;
            if (isset($ndvendor->prefix)) {
                $this->namespace['vendor'] = $ndvendor->prefix;
                $nsUri = $ndvendor->lookupNamespaceURI($ndvendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vendor');
        } else {
            $this->vendor = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultServiceRecordType


/**
 * Type for a single serviceLink query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultServiceLinkRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $mimeType = null;
    protected $service = null;
    protected $resourceType = null;
    protected $resourceId = null;
    protected $linkHref = null;
    protected $rel = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $mimeType - [optional] an attribute, 
    * @param string $service - [optional] an attribute, 
    * @param string $resourceType - [optional] an attribute, 
    * @param string $resourceId - [optional] an attribute, 
    * @param string $linkHref - [optional] an attribute, 
    * @param string $rel - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $mimeType=null, $service=null, $resourceType=null, $resourceId=null, $linkHref=null, $rel=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->mimeType = $mimeType;
        $this->service = $service;
        $this->resourceType = $resourceType;
        $this->resourceId = $resourceId;
        $this->linkHref = $linkHref;
        $this->rel = $rel;
        $this->tagName = 'ServiceLinkRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_mimeType(){
        return $this->mimeType;
    }
    public function set_mimeType($mimeType) {
        $this->mimeType = $mimeType;
    }
    public function get_service(){
        return $this->service;
    }
    public function set_service($service) {
        $this->service = $service;
    }
    public function get_resourceType(){
        return $this->resourceType;
    }
    public function set_resourceType($resourceType) {
        $this->resourceType = $resourceType;
    }
    public function get_resourceId(){
        return $this->resourceId;
    }
    public function set_resourceId($resourceId) {
        $this->resourceId = $resourceId;
    }
    public function get_linkHref(){
        return $this->linkHref;
    }
    public function set_linkHref($linkHref) {
        $this->linkHref = $linkHref;
    }
    public function get_rel(){
        return $this->rel;
    }
    public function set_rel($rel) {
        $this->rel = $rel;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->mimeType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'mimeType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'mimeType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->mimeType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='mimeType')));
        }
        if (!is_null($this->service)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'service', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'service=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->service, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='service')));
        }
        if (!is_null($this->resourceType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'resourceType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'resourceType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->resourceType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='resourceType')));
        }
        if (!is_null($this->resourceId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'resourceId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'resourceId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->resourceId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='resourceId')));
        }
        if (!is_null($this->linkHref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'linkHref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'linkHref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->linkHref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='linkHref')));
        }
        if (!is_null($this->rel)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'rel', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'rel=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->rel, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='rel')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndmimeType = $attrs->getNamedItem('mimeType');
        if (!is_null($ndmimeType)) {
            $this->mimeType = $ndmimeType->value;
            if (isset($ndmimeType->prefix)) {
                $this->namespace['mimeType'] = $ndmimeType->prefix;
                $nsUri = $ndmimeType->lookupNamespaceURI($ndmimeType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'mimeType');
        } else {
            $this->mimeType = null;
        }
        $ndservice = $attrs->getNamedItem('service');
        if (!is_null($ndservice)) {
            $this->service = $ndservice->value;
            if (isset($ndservice->prefix)) {
                $this->namespace['service'] = $ndservice->prefix;
                $nsUri = $ndservice->lookupNamespaceURI($ndservice->prefix);
            }
            $node->removeAttributeNS($nsUri, 'service');
        } else {
            $this->service = null;
        }
        $ndresourceType = $attrs->getNamedItem('resourceType');
        if (!is_null($ndresourceType)) {
            $this->resourceType = $ndresourceType->value;
            if (isset($ndresourceType->prefix)) {
                $this->namespace['resourceType'] = $ndresourceType->prefix;
                $nsUri = $ndresourceType->lookupNamespaceURI($ndresourceType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'resourceType');
        } else {
            $this->resourceType = null;
        }
        $ndresourceId = $attrs->getNamedItem('resourceId');
        if (!is_null($ndresourceId)) {
            $this->resourceId = $ndresourceId->value;
            if (isset($ndresourceId->prefix)) {
                $this->namespace['resourceId'] = $ndresourceId->prefix;
                $nsUri = $ndresourceId->lookupNamespaceURI($ndresourceId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'resourceId');
        } else {
            $this->resourceId = null;
        }
        $ndlinkHref = $attrs->getNamedItem('linkHref');
        if (!is_null($ndlinkHref)) {
            $this->linkHref = $ndlinkHref->value;
            if (isset($ndlinkHref->prefix)) {
                $this->namespace['linkHref'] = $ndlinkHref->prefix;
                $nsUri = $ndlinkHref->lookupNamespaceURI($ndlinkHref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'linkHref');
        } else {
            $this->linkHref = null;
        }
        $ndrel = $attrs->getNamedItem('rel');
        if (!is_null($ndrel)) {
            $this->rel = $ndrel->value;
            if (isset($ndrel->prefix)) {
                $this->namespace['rel'] = $ndrel->prefix;
                $nsUri = $ndrel->lookupNamespaceURI($ndrel->prefix);
            }
            $node->removeAttributeNS($nsUri, 'rel');
        } else {
            $this->rel = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultServiceLinkRecordType


/**
 * Type for a single orgVdcStorageProfile query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultOrgVdcStorageProfileRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $isVdcBusy = null;
    protected $storageUsedMB = null;
    protected $name = null;
    protected $isEnabled = null;
    protected $storageLimitMB = null;
    protected $isDefaultStorageProfile = null;
    protected $vdcName = null;
    protected $numberOfConditions = null;
    protected $vdc = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $isVdcBusy - [optional] an attribute, 
    * @param int $storageUsedMB - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param int $storageLimitMB - [optional] an attribute, 
    * @param boolean $isDefaultStorageProfile - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param int $numberOfConditions - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $isVdcBusy=null, $storageUsedMB=null, $name=null, $isEnabled=null, $storageLimitMB=null, $isDefaultStorageProfile=null, $vdcName=null, $numberOfConditions=null, $vdc=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->isVdcBusy = $isVdcBusy;
        $this->storageUsedMB = $storageUsedMB;
        $this->name = $name;
        $this->isEnabled = $isEnabled;
        $this->storageLimitMB = $storageLimitMB;
        $this->isDefaultStorageProfile = $isDefaultStorageProfile;
        $this->vdcName = $vdcName;
        $this->numberOfConditions = $numberOfConditions;
        $this->vdc = $vdc;
        $this->tagName = 'OrgVdcStorageProfileRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isVdcBusy(){
        return $this->isVdcBusy;
    }
    public function set_isVdcBusy($isVdcBusy) {
        $this->isVdcBusy = $isVdcBusy;
    }
    public function get_storageUsedMB(){
        return $this->storageUsedMB;
    }
    public function set_storageUsedMB($storageUsedMB) {
        $this->storageUsedMB = $storageUsedMB;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_storageLimitMB(){
        return $this->storageLimitMB;
    }
    public function set_storageLimitMB($storageLimitMB) {
        $this->storageLimitMB = $storageLimitMB;
    }
    public function get_isDefaultStorageProfile(){
        return $this->isDefaultStorageProfile;
    }
    public function set_isDefaultStorageProfile($isDefaultStorageProfile) {
        $this->isDefaultStorageProfile = $isDefaultStorageProfile;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_numberOfConditions(){
        return $this->numberOfConditions;
    }
    public function set_numberOfConditions($numberOfConditions) {
        $this->numberOfConditions = $numberOfConditions;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isVdcBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isVdcBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isVdcBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isVdcBusy, $input_name='isVdcBusy')));
        }
        if (!is_null($this->storageUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageUsedMB, $input_name='storageUsedMB')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->storageLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageLimitMB, $input_name='storageLimitMB')));
        }
        if (!is_null($this->isDefaultStorageProfile)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDefaultStorageProfile', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDefaultStorageProfile=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDefaultStorageProfile, $input_name='isDefaultStorageProfile')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->numberOfConditions)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfConditions', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfConditions=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfConditions, $input_name='numberOfConditions')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndisVdcBusy = $attrs->getNamedItem('isVdcBusy');
        if (!is_null($ndisVdcBusy)) {
            $this->isVdcBusy = VMware_VCloud_API_Helper::get_boolean($ndisVdcBusy->value);
            if (isset($ndisVdcBusy->prefix)) {
                $this->namespace['isVdcBusy'] = $ndisVdcBusy->prefix;
                $nsUri = $ndisVdcBusy->lookupNamespaceURI($ndisVdcBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isVdcBusy');
        } else {
            $this->isVdcBusy = null;
        }
        $ndstorageUsedMB = $attrs->getNamedItem('storageUsedMB');
        if (!is_null($ndstorageUsedMB)) {
            $this->storageUsedMB = sprintf('%d', $ndstorageUsedMB->value);
            if (isset($ndstorageUsedMB->prefix)) {
                $this->namespace['storageUsedMB'] = $ndstorageUsedMB->prefix;
                $nsUri = $ndstorageUsedMB->lookupNamespaceURI($ndstorageUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageUsedMB');
        } else {
            $this->storageUsedMB = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndstorageLimitMB = $attrs->getNamedItem('storageLimitMB');
        if (!is_null($ndstorageLimitMB)) {
            $this->storageLimitMB = sprintf('%d', $ndstorageLimitMB->value);
            if (isset($ndstorageLimitMB->prefix)) {
                $this->namespace['storageLimitMB'] = $ndstorageLimitMB->prefix;
                $nsUri = $ndstorageLimitMB->lookupNamespaceURI($ndstorageLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageLimitMB');
        } else {
            $this->storageLimitMB = null;
        }
        $ndisDefaultStorageProfile = $attrs->getNamedItem('isDefaultStorageProfile');
        if (!is_null($ndisDefaultStorageProfile)) {
            $this->isDefaultStorageProfile = VMware_VCloud_API_Helper::get_boolean($ndisDefaultStorageProfile->value);
            if (isset($ndisDefaultStorageProfile->prefix)) {
                $this->namespace['isDefaultStorageProfile'] = $ndisDefaultStorageProfile->prefix;
                $nsUri = $ndisDefaultStorageProfile->lookupNamespaceURI($ndisDefaultStorageProfile->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDefaultStorageProfile');
        } else {
            $this->isDefaultStorageProfile = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndnumberOfConditions = $attrs->getNamedItem('numberOfConditions');
        if (!is_null($ndnumberOfConditions)) {
            $this->numberOfConditions = sprintf('%d', $ndnumberOfConditions->value);
            if (isset($ndnumberOfConditions->prefix)) {
                $this->namespace['numberOfConditions'] = $ndnumberOfConditions->prefix;
                $nsUri = $ndnumberOfConditions->lookupNamespaceURI($ndnumberOfConditions->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfConditions');
        } else {
            $this->numberOfConditions = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultOrgVdcStorageProfileRecordType


/**
 * Type for a single adminOrgVdcStorageProfile query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminOrgVdcStorageProfileRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vc = null;
    protected $storageUsedMB = null;
    protected $name = null;
    protected $isEnabled = null;
    protected $storageLimitMB = null;
    protected $isDefaultStorageProfile = null;
    protected $vdcName = null;
    protected $numberOfConditions = null;
    protected $vdc = null;
    protected $storageProfileMoref = null;
    protected $org = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vc - [optional] an attribute, 
    * @param int $storageUsedMB - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param int $storageLimitMB - [optional] an attribute, 
    * @param boolean $isDefaultStorageProfile - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param int $numberOfConditions - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $storageProfileMoref - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vc=null, $storageUsedMB=null, $name=null, $isEnabled=null, $storageLimitMB=null, $isDefaultStorageProfile=null, $vdcName=null, $numberOfConditions=null, $vdc=null, $storageProfileMoref=null, $org=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vc = $vc;
        $this->storageUsedMB = $storageUsedMB;
        $this->name = $name;
        $this->isEnabled = $isEnabled;
        $this->storageLimitMB = $storageLimitMB;
        $this->isDefaultStorageProfile = $isDefaultStorageProfile;
        $this->vdcName = $vdcName;
        $this->numberOfConditions = $numberOfConditions;
        $this->vdc = $vdc;
        $this->storageProfileMoref = $storageProfileMoref;
        $this->org = $org;
        $this->tagName = 'AdminOrgVdcStorageProfileRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_storageUsedMB(){
        return $this->storageUsedMB;
    }
    public function set_storageUsedMB($storageUsedMB) {
        $this->storageUsedMB = $storageUsedMB;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_storageLimitMB(){
        return $this->storageLimitMB;
    }
    public function set_storageLimitMB($storageLimitMB) {
        $this->storageLimitMB = $storageLimitMB;
    }
    public function get_isDefaultStorageProfile(){
        return $this->isDefaultStorageProfile;
    }
    public function set_isDefaultStorageProfile($isDefaultStorageProfile) {
        $this->isDefaultStorageProfile = $isDefaultStorageProfile;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_numberOfConditions(){
        return $this->numberOfConditions;
    }
    public function set_numberOfConditions($numberOfConditions) {
        $this->numberOfConditions = $numberOfConditions;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_storageProfileMoref(){
        return $this->storageProfileMoref;
    }
    public function set_storageProfileMoref($storageProfileMoref) {
        $this->storageProfileMoref = $storageProfileMoref;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->storageUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageUsedMB, $input_name='storageUsedMB')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->storageLimitMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageLimitMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageLimitMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageLimitMB, $input_name='storageLimitMB')));
        }
        if (!is_null($this->isDefaultStorageProfile)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDefaultStorageProfile', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDefaultStorageProfile=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDefaultStorageProfile, $input_name='isDefaultStorageProfile')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->numberOfConditions)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfConditions', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfConditions=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfConditions, $input_name='numberOfConditions')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->storageProfileMoref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileMoref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileMoref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileMoref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileMoref')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndstorageUsedMB = $attrs->getNamedItem('storageUsedMB');
        if (!is_null($ndstorageUsedMB)) {
            $this->storageUsedMB = sprintf('%d', $ndstorageUsedMB->value);
            if (isset($ndstorageUsedMB->prefix)) {
                $this->namespace['storageUsedMB'] = $ndstorageUsedMB->prefix;
                $nsUri = $ndstorageUsedMB->lookupNamespaceURI($ndstorageUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageUsedMB');
        } else {
            $this->storageUsedMB = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndstorageLimitMB = $attrs->getNamedItem('storageLimitMB');
        if (!is_null($ndstorageLimitMB)) {
            $this->storageLimitMB = sprintf('%d', $ndstorageLimitMB->value);
            if (isset($ndstorageLimitMB->prefix)) {
                $this->namespace['storageLimitMB'] = $ndstorageLimitMB->prefix;
                $nsUri = $ndstorageLimitMB->lookupNamespaceURI($ndstorageLimitMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageLimitMB');
        } else {
            $this->storageLimitMB = null;
        }
        $ndisDefaultStorageProfile = $attrs->getNamedItem('isDefaultStorageProfile');
        if (!is_null($ndisDefaultStorageProfile)) {
            $this->isDefaultStorageProfile = VMware_VCloud_API_Helper::get_boolean($ndisDefaultStorageProfile->value);
            if (isset($ndisDefaultStorageProfile->prefix)) {
                $this->namespace['isDefaultStorageProfile'] = $ndisDefaultStorageProfile->prefix;
                $nsUri = $ndisDefaultStorageProfile->lookupNamespaceURI($ndisDefaultStorageProfile->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDefaultStorageProfile');
        } else {
            $this->isDefaultStorageProfile = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndnumberOfConditions = $attrs->getNamedItem('numberOfConditions');
        if (!is_null($ndnumberOfConditions)) {
            $this->numberOfConditions = sprintf('%d', $ndnumberOfConditions->value);
            if (isset($ndnumberOfConditions->prefix)) {
                $this->namespace['numberOfConditions'] = $ndnumberOfConditions->prefix;
                $nsUri = $ndnumberOfConditions->lookupNamespaceURI($ndnumberOfConditions->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfConditions');
        } else {
            $this->numberOfConditions = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndstorageProfileMoref = $attrs->getNamedItem('storageProfileMoref');
        if (!is_null($ndstorageProfileMoref)) {
            $this->storageProfileMoref = $ndstorageProfileMoref->value;
            if (isset($ndstorageProfileMoref->prefix)) {
                $this->namespace['storageProfileMoref'] = $ndstorageProfileMoref->prefix;
                $nsUri = $ndstorageProfileMoref->lookupNamespaceURI($ndstorageProfileMoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileMoref');
        } else {
            $this->storageProfileMoref = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminOrgVdcStorageProfileRecordType


/**
 * Type for a single providerVdcStorageProfile query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultProviderVdcStorageProfileRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $vc = null;
    protected $storageUsedMB = null;
    protected $name = null;
    protected $providerVdc = null;
    protected $storageTotalMB = null;
    protected $isEnabled = null;
    protected $storageProvisionedMB = null;
    protected $numberOfConditions = null;
    protected $storageRequestedMB = null;
    protected $storageProfileMoref = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $vc - [optional] an attribute, 
    * @param long $storageUsedMB - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $providerVdc - [optional] an attribute, 
    * @param long $storageTotalMB - [optional] an attribute, 
    * @param boolean $isEnabled - [optional] an attribute, 
    * @param long $storageProvisionedMB - [optional] an attribute, 
    * @param int $numberOfConditions - [optional] an attribute, 
    * @param long $storageRequestedMB - [optional] an attribute, 
    * @param string $storageProfileMoref - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $vc=null, $storageUsedMB=null, $name=null, $providerVdc=null, $storageTotalMB=null, $isEnabled=null, $storageProvisionedMB=null, $numberOfConditions=null, $storageRequestedMB=null, $storageProfileMoref=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->vc = $vc;
        $this->storageUsedMB = $storageUsedMB;
        $this->name = $name;
        $this->providerVdc = $providerVdc;
        $this->storageTotalMB = $storageTotalMB;
        $this->isEnabled = $isEnabled;
        $this->storageProvisionedMB = $storageProvisionedMB;
        $this->numberOfConditions = $numberOfConditions;
        $this->storageRequestedMB = $storageRequestedMB;
        $this->storageProfileMoref = $storageProfileMoref;
        $this->tagName = 'ProviderVdcStorageProfileRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vc(){
        return $this->vc;
    }
    public function set_vc($vc) {
        $this->vc = $vc;
    }
    public function get_storageUsedMB(){
        return $this->storageUsedMB;
    }
    public function set_storageUsedMB($storageUsedMB) {
        $this->storageUsedMB = $storageUsedMB;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_providerVdc(){
        return $this->providerVdc;
    }
    public function set_providerVdc($providerVdc) {
        $this->providerVdc = $providerVdc;
    }
    public function get_storageTotalMB(){
        return $this->storageTotalMB;
    }
    public function set_storageTotalMB($storageTotalMB) {
        $this->storageTotalMB = $storageTotalMB;
    }
    public function get_isEnabled(){
        return $this->isEnabled;
    }
    public function set_isEnabled($isEnabled) {
        $this->isEnabled = $isEnabled;
    }
    public function get_storageProvisionedMB(){
        return $this->storageProvisionedMB;
    }
    public function set_storageProvisionedMB($storageProvisionedMB) {
        $this->storageProvisionedMB = $storageProvisionedMB;
    }
    public function get_numberOfConditions(){
        return $this->numberOfConditions;
    }
    public function set_numberOfConditions($numberOfConditions) {
        $this->numberOfConditions = $numberOfConditions;
    }
    public function get_storageRequestedMB(){
        return $this->storageRequestedMB;
    }
    public function set_storageRequestedMB($storageRequestedMB) {
        $this->storageRequestedMB = $storageRequestedMB;
    }
    public function get_storageProfileMoref(){
        return $this->storageProfileMoref;
    }
    public function set_storageProfileMoref($storageProfileMoref) {
        $this->storageProfileMoref = $storageProfileMoref;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vc')));
        }
        if (!is_null($this->storageUsedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageUsedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageUsedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageUsedMB, $input_name='storageUsedMB')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->providerVdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'providerVdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'providerVdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->providerVdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='providerVdc')));
        }
        if (!is_null($this->storageTotalMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageTotalMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageTotalMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageTotalMB, $input_name='storageTotalMB')));
        }
        if (!is_null($this->isEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isEnabled, $input_name='isEnabled')));
        }
        if (!is_null($this->storageProvisionedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProvisionedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProvisionedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageProvisionedMB, $input_name='storageProvisionedMB')));
        }
        if (!is_null($this->numberOfConditions)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfConditions', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfConditions=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfConditions, $input_name='numberOfConditions')));
        }
        if (!is_null($this->storageRequestedMB)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageRequestedMB', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageRequestedMB=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->storageRequestedMB, $input_name='storageRequestedMB')));
        }
        if (!is_null($this->storageProfileMoref)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'storageProfileMoref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'storageProfileMoref=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->storageProfileMoref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='storageProfileMoref')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvc = $attrs->getNamedItem('vc');
        if (!is_null($ndvc)) {
            $this->vc = $ndvc->value;
            if (isset($ndvc->prefix)) {
                $this->namespace['vc'] = $ndvc->prefix;
                $nsUri = $ndvc->lookupNamespaceURI($ndvc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vc');
        } else {
            $this->vc = null;
        }
        $ndstorageUsedMB = $attrs->getNamedItem('storageUsedMB');
        if (!is_null($ndstorageUsedMB)) {
            $this->storageUsedMB = sprintf('%d', $ndstorageUsedMB->value);
            if (isset($ndstorageUsedMB->prefix)) {
                $this->namespace['storageUsedMB'] = $ndstorageUsedMB->prefix;
                $nsUri = $ndstorageUsedMB->lookupNamespaceURI($ndstorageUsedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageUsedMB');
        } else {
            $this->storageUsedMB = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndproviderVdc = $attrs->getNamedItem('providerVdc');
        if (!is_null($ndproviderVdc)) {
            $this->providerVdc = $ndproviderVdc->value;
            if (isset($ndproviderVdc->prefix)) {
                $this->namespace['providerVdc'] = $ndproviderVdc->prefix;
                $nsUri = $ndproviderVdc->lookupNamespaceURI($ndproviderVdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'providerVdc');
        } else {
            $this->providerVdc = null;
        }
        $ndstorageTotalMB = $attrs->getNamedItem('storageTotalMB');
        if (!is_null($ndstorageTotalMB)) {
            $this->storageTotalMB = sprintf('%d', $ndstorageTotalMB->value);
            if (isset($ndstorageTotalMB->prefix)) {
                $this->namespace['storageTotalMB'] = $ndstorageTotalMB->prefix;
                $nsUri = $ndstorageTotalMB->lookupNamespaceURI($ndstorageTotalMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageTotalMB');
        } else {
            $this->storageTotalMB = null;
        }
        $ndisEnabled = $attrs->getNamedItem('isEnabled');
        if (!is_null($ndisEnabled)) {
            $this->isEnabled = VMware_VCloud_API_Helper::get_boolean($ndisEnabled->value);
            if (isset($ndisEnabled->prefix)) {
                $this->namespace['isEnabled'] = $ndisEnabled->prefix;
                $nsUri = $ndisEnabled->lookupNamespaceURI($ndisEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isEnabled');
        } else {
            $this->isEnabled = null;
        }
        $ndstorageProvisionedMB = $attrs->getNamedItem('storageProvisionedMB');
        if (!is_null($ndstorageProvisionedMB)) {
            $this->storageProvisionedMB = sprintf('%d', $ndstorageProvisionedMB->value);
            if (isset($ndstorageProvisionedMB->prefix)) {
                $this->namespace['storageProvisionedMB'] = $ndstorageProvisionedMB->prefix;
                $nsUri = $ndstorageProvisionedMB->lookupNamespaceURI($ndstorageProvisionedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProvisionedMB');
        } else {
            $this->storageProvisionedMB = null;
        }
        $ndnumberOfConditions = $attrs->getNamedItem('numberOfConditions');
        if (!is_null($ndnumberOfConditions)) {
            $this->numberOfConditions = sprintf('%d', $ndnumberOfConditions->value);
            if (isset($ndnumberOfConditions->prefix)) {
                $this->namespace['numberOfConditions'] = $ndnumberOfConditions->prefix;
                $nsUri = $ndnumberOfConditions->lookupNamespaceURI($ndnumberOfConditions->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfConditions');
        } else {
            $this->numberOfConditions = null;
        }
        $ndstorageRequestedMB = $attrs->getNamedItem('storageRequestedMB');
        if (!is_null($ndstorageRequestedMB)) {
            $this->storageRequestedMB = sprintf('%d', $ndstorageRequestedMB->value);
            if (isset($ndstorageRequestedMB->prefix)) {
                $this->namespace['storageRequestedMB'] = $ndstorageRequestedMB->prefix;
                $nsUri = $ndstorageRequestedMB->lookupNamespaceURI($ndstorageRequestedMB->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageRequestedMB');
        } else {
            $this->storageRequestedMB = null;
        }
        $ndstorageProfileMoref = $attrs->getNamedItem('storageProfileMoref');
        if (!is_null($ndstorageProfileMoref)) {
            $this->storageProfileMoref = $ndstorageProfileMoref->value;
            if (isset($ndstorageProfileMoref->prefix)) {
                $this->namespace['storageProfileMoref'] = $ndstorageProfileMoref->prefix;
                $nsUri = $ndstorageProfileMoref->lookupNamespaceURI($ndstorageProfileMoref->prefix);
            }
            $node->removeAttributeNS($nsUri, 'storageProfileMoref');
        } else {
            $this->storageProfileMoref = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultProviderVdcStorageProfileRecordType


/**
 * Type for a single apiFilter query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultApiFilterRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $urlPattern = null;
    protected $service = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $urlPattern - [optional] an attribute, 
    * @param string $service - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $urlPattern=null, $service=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->urlPattern = $urlPattern;
        $this->service = $service;
        $this->tagName = 'ApiFilterRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_urlPattern(){
        return $this->urlPattern;
    }
    public function set_urlPattern($urlPattern) {
        $this->urlPattern = $urlPattern;
    }
    public function get_service(){
        return $this->service;
    }
    public function set_service($service) {
        $this->service = $service;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->urlPattern)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'urlPattern', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'urlPattern=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->urlPattern, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='urlPattern')));
        }
        if (!is_null($this->service)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'service', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'service=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->service, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='service')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndurlPattern = $attrs->getNamedItem('urlPattern');
        if (!is_null($ndurlPattern)) {
            $this->urlPattern = $ndurlPattern->value;
            if (isset($ndurlPattern->prefix)) {
                $this->namespace['urlPattern'] = $ndurlPattern->prefix;
                $nsUri = $ndurlPattern->lookupNamespaceURI($ndurlPattern->prefix);
            }
            $node->removeAttributeNS($nsUri, 'urlPattern');
        } else {
            $this->urlPattern = null;
        }
        $ndservice = $attrs->getNamedItem('service');
        if (!is_null($ndservice)) {
            $this->service = $ndservice->value;
            if (isset($ndservice->prefix)) {
                $this->namespace['service'] = $ndservice->prefix;
                $nsUri = $ndservice->lookupNamespaceURI($ndservice->prefix);
            }
            $node->removeAttributeNS($nsUri, 'service');
        } else {
            $this->service = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultApiFilterRecordType


/**
 * Type for a single adminApiDefinition query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminApiDefinitionRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $service = null;
    protected $serviceName = null;
    protected $entryPoint = null;
    protected $serviceVendor = null;
    protected $serviceNamespace = null;
    protected $apiVendor = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $service - [optional] an attribute, 
    * @param string $namespace - [optional] an attribute, 
    * @param string $serviceName - [optional] an attribute, 
    * @param string $entryPoint - [optional] an attribute, 
    * @param string $serviceVendor - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $apiVendor - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $service=null, $namespace=null, $serviceName=null, $entryPoint=null, $serviceVendor=null, $serviceNamespace=null, $apiVendor=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->service = $service;
        $this->namespace = $namespace;
        $this->serviceName = $serviceName;
        $this->entryPoint = $entryPoint;
        $this->serviceVendor = $serviceVendor;
        $this->serviceNamespace = $serviceNamespace;
        $this->apiVendor = $apiVendor;
        $this->tagName = 'AdminApiDefinitionRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_service(){
        return $this->service;
    }
    public function set_service($service) {
        $this->service = $service;
    }
    public function get_namespace(){
        return $this->namespace;
    }
    public function set_namespace($namespace) {
        $this->namespace = $namespace;
    }
    public function get_serviceName(){
        return $this->serviceName;
    }
    public function set_serviceName($serviceName) {
        $this->serviceName = $serviceName;
    }
    public function get_entryPoint(){
        return $this->entryPoint;
    }
    public function set_entryPoint($entryPoint) {
        $this->entryPoint = $entryPoint;
    }
    public function get_serviceVendor(){
        return $this->serviceVendor;
    }
    public function set_serviceVendor($serviceVendor) {
        $this->serviceVendor = $serviceVendor;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_apiVendor(){
        return $this->apiVendor;
    }
    public function set_apiVendor($apiVendor) {
        $this->apiVendor = $apiVendor;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->service)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'service', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'service=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->service, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='service')));
        }
        if (!is_null($this->namespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'namespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='namespace')));
        }
        if (!is_null($this->serviceName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceName')));
        }
        if (!is_null($this->entryPoint)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entryPoint', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entryPoint=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entryPoint, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entryPoint')));
        }
        if (!is_null($this->serviceVendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceVendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceVendor')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->apiVendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiVendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiVendor')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndservice = $attrs->getNamedItem('service');
        if (!is_null($ndservice)) {
            $this->service = $ndservice->value;
            if (isset($ndservice->prefix)) {
                $this->namespace['service'] = $ndservice->prefix;
                $nsUri = $ndservice->lookupNamespaceURI($ndservice->prefix);
            }
            $node->removeAttributeNS($nsUri, 'service');
        } else {
            $this->service = null;
        }
        $ndnamespace = $attrs->getNamedItem('namespace');
        if (!is_null($ndnamespace)) {
            $this->namespace = $ndnamespace->value;
            if (isset($ndnamespace->prefix)) {
                $this->namespace['namespace'] = $ndnamespace->prefix;
                $nsUri = $ndnamespace->lookupNamespaceURI($ndnamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'namespace');
        } else {
            $this->namespace = null;
        }
        $ndserviceName = $attrs->getNamedItem('serviceName');
        if (!is_null($ndserviceName)) {
            $this->serviceName = $ndserviceName->value;
            if (isset($ndserviceName->prefix)) {
                $this->namespace['serviceName'] = $ndserviceName->prefix;
                $nsUri = $ndserviceName->lookupNamespaceURI($ndserviceName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceName');
        } else {
            $this->serviceName = null;
        }
        $ndentryPoint = $attrs->getNamedItem('entryPoint');
        if (!is_null($ndentryPoint)) {
            $this->entryPoint = $ndentryPoint->value;
            if (isset($ndentryPoint->prefix)) {
                $this->namespace['entryPoint'] = $ndentryPoint->prefix;
                $nsUri = $ndentryPoint->lookupNamespaceURI($ndentryPoint->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entryPoint');
        } else {
            $this->entryPoint = null;
        }
        $ndserviceVendor = $attrs->getNamedItem('serviceVendor');
        if (!is_null($ndserviceVendor)) {
            $this->serviceVendor = $ndserviceVendor->value;
            if (isset($ndserviceVendor->prefix)) {
                $this->namespace['serviceVendor'] = $ndserviceVendor->prefix;
                $nsUri = $ndserviceVendor->lookupNamespaceURI($ndserviceVendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceVendor');
        } else {
            $this->serviceVendor = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndapiVendor = $attrs->getNamedItem('apiVendor');
        if (!is_null($ndapiVendor)) {
            $this->apiVendor = $ndapiVendor->value;
            if (isset($ndapiVendor->prefix)) {
                $this->namespace['apiVendor'] = $ndapiVendor->prefix;
                $nsUri = $ndapiVendor->lookupNamespaceURI($ndapiVendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiVendor');
        } else {
            $this->apiVendor = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminApiDefinitionRecordType


/**
 * Type for a single apiDefinition query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultApiDefinitionRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $service = null;
    protected $serviceName = null;
    protected $entryPoint = null;
    protected $serviceVendor = null;
    protected $serviceNamespace = null;
    protected $apiVendor = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $service - [optional] an attribute, 
    * @param string $namespace - [optional] an attribute, 
    * @param string $serviceName - [optional] an attribute, 
    * @param string $entryPoint - [optional] an attribute, 
    * @param string $serviceVendor - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $apiVendor - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $service=null, $namespace=null, $serviceName=null, $entryPoint=null, $serviceVendor=null, $serviceNamespace=null, $apiVendor=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->service = $service;
        $this->namespace = $namespace;
        $this->serviceName = $serviceName;
        $this->entryPoint = $entryPoint;
        $this->serviceVendor = $serviceVendor;
        $this->serviceNamespace = $serviceNamespace;
        $this->apiVendor = $apiVendor;
        $this->tagName = 'ApiDefinitionRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_service(){
        return $this->service;
    }
    public function set_service($service) {
        $this->service = $service;
    }
    public function get_namespace(){
        return $this->namespace;
    }
    public function set_namespace($namespace) {
        $this->namespace = $namespace;
    }
    public function get_serviceName(){
        return $this->serviceName;
    }
    public function set_serviceName($serviceName) {
        $this->serviceName = $serviceName;
    }
    public function get_entryPoint(){
        return $this->entryPoint;
    }
    public function set_entryPoint($entryPoint) {
        $this->entryPoint = $entryPoint;
    }
    public function get_serviceVendor(){
        return $this->serviceVendor;
    }
    public function set_serviceVendor($serviceVendor) {
        $this->serviceVendor = $serviceVendor;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_apiVendor(){
        return $this->apiVendor;
    }
    public function set_apiVendor($apiVendor) {
        $this->apiVendor = $apiVendor;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->service)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'service', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'service=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->service, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='service')));
        }
        if (!is_null($this->namespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'namespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='namespace')));
        }
        if (!is_null($this->serviceName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceName')));
        }
        if (!is_null($this->entryPoint)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entryPoint', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entryPoint=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entryPoint, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entryPoint')));
        }
        if (!is_null($this->serviceVendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceVendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceVendor')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->apiVendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiVendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiVendor')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndservice = $attrs->getNamedItem('service');
        if (!is_null($ndservice)) {
            $this->service = $ndservice->value;
            if (isset($ndservice->prefix)) {
                $this->namespace['service'] = $ndservice->prefix;
                $nsUri = $ndservice->lookupNamespaceURI($ndservice->prefix);
            }
            $node->removeAttributeNS($nsUri, 'service');
        } else {
            $this->service = null;
        }
        $ndnamespace = $attrs->getNamedItem('namespace');
        if (!is_null($ndnamespace)) {
            $this->namespace = $ndnamespace->value;
            if (isset($ndnamespace->prefix)) {
                $this->namespace['namespace'] = $ndnamespace->prefix;
                $nsUri = $ndnamespace->lookupNamespaceURI($ndnamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'namespace');
        } else {
            $this->namespace = null;
        }
        $ndserviceName = $attrs->getNamedItem('serviceName');
        if (!is_null($ndserviceName)) {
            $this->serviceName = $ndserviceName->value;
            if (isset($ndserviceName->prefix)) {
                $this->namespace['serviceName'] = $ndserviceName->prefix;
                $nsUri = $ndserviceName->lookupNamespaceURI($ndserviceName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceName');
        } else {
            $this->serviceName = null;
        }
        $ndentryPoint = $attrs->getNamedItem('entryPoint');
        if (!is_null($ndentryPoint)) {
            $this->entryPoint = $ndentryPoint->value;
            if (isset($ndentryPoint->prefix)) {
                $this->namespace['entryPoint'] = $ndentryPoint->prefix;
                $nsUri = $ndentryPoint->lookupNamespaceURI($ndentryPoint->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entryPoint');
        } else {
            $this->entryPoint = null;
        }
        $ndserviceVendor = $attrs->getNamedItem('serviceVendor');
        if (!is_null($ndserviceVendor)) {
            $this->serviceVendor = $ndserviceVendor->value;
            if (isset($ndserviceVendor->prefix)) {
                $this->namespace['serviceVendor'] = $ndserviceVendor->prefix;
                $nsUri = $ndserviceVendor->lookupNamespaceURI($ndserviceVendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceVendor');
        } else {
            $this->serviceVendor = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndapiVendor = $attrs->getNamedItem('apiVendor');
        if (!is_null($ndapiVendor)) {
            $this->apiVendor = $ndapiVendor->value;
            if (isset($ndapiVendor->prefix)) {
                $this->namespace['apiVendor'] = $ndapiVendor->prefix;
                $nsUri = $ndapiVendor->lookupNamespaceURI($ndapiVendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiVendor');
        } else {
            $this->apiVendor = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultApiDefinitionRecordType


/**
 * Type for a single adminFileDescriptor query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminFileDescriptorRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $service = null;
    protected $apiDefinition = null;
    protected $fileMimeType = null;
    protected $serviceName = null;
    protected $serviceVendor = null;
    protected $apiName = null;
    protected $apiNamespace = null;
    protected $fileUrl = null;
    protected $apiVendor = null;
    protected $serviceNamespace = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $service - [optional] an attribute, 
    * @param string $apiDefinition - [optional] an attribute, 
    * @param string $fileMimeType - [optional] an attribute, 
    * @param string $serviceName - [optional] an attribute, 
    * @param string $serviceVendor - [optional] an attribute, 
    * @param string $apiName - [optional] an attribute, 
    * @param string $apiNamespace - [optional] an attribute, 
    * @param string $fileUrl - [optional] an attribute, 
    * @param string $apiVendor - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $service=null, $apiDefinition=null, $fileMimeType=null, $serviceName=null, $serviceVendor=null, $apiName=null, $apiNamespace=null, $fileUrl=null, $apiVendor=null, $serviceNamespace=null, $name=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->service = $service;
        $this->apiDefinition = $apiDefinition;
        $this->fileMimeType = $fileMimeType;
        $this->serviceName = $serviceName;
        $this->serviceVendor = $serviceVendor;
        $this->apiName = $apiName;
        $this->apiNamespace = $apiNamespace;
        $this->fileUrl = $fileUrl;
        $this->apiVendor = $apiVendor;
        $this->serviceNamespace = $serviceNamespace;
        $this->name = $name;
        $this->tagName = 'AdminFileDescriptorRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_service(){
        return $this->service;
    }
    public function set_service($service) {
        $this->service = $service;
    }
    public function get_apiDefinition(){
        return $this->apiDefinition;
    }
    public function set_apiDefinition($apiDefinition) {
        $this->apiDefinition = $apiDefinition;
    }
    public function get_fileMimeType(){
        return $this->fileMimeType;
    }
    public function set_fileMimeType($fileMimeType) {
        $this->fileMimeType = $fileMimeType;
    }
    public function get_serviceName(){
        return $this->serviceName;
    }
    public function set_serviceName($serviceName) {
        $this->serviceName = $serviceName;
    }
    public function get_serviceVendor(){
        return $this->serviceVendor;
    }
    public function set_serviceVendor($serviceVendor) {
        $this->serviceVendor = $serviceVendor;
    }
    public function get_apiName(){
        return $this->apiName;
    }
    public function set_apiName($apiName) {
        $this->apiName = $apiName;
    }
    public function get_apiNamespace(){
        return $this->apiNamespace;
    }
    public function set_apiNamespace($apiNamespace) {
        $this->apiNamespace = $apiNamespace;
    }
    public function get_fileUrl(){
        return $this->fileUrl;
    }
    public function set_fileUrl($fileUrl) {
        $this->fileUrl = $fileUrl;
    }
    public function get_apiVendor(){
        return $this->apiVendor;
    }
    public function set_apiVendor($apiVendor) {
        $this->apiVendor = $apiVendor;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->service)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'service', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'service=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->service, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='service')));
        }
        if (!is_null($this->apiDefinition)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiDefinition', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiDefinition=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiDefinition, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiDefinition')));
        }
        if (!is_null($this->fileMimeType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileMimeType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileMimeType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fileMimeType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fileMimeType')));
        }
        if (!is_null($this->serviceName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceName')));
        }
        if (!is_null($this->serviceVendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceVendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceVendor')));
        }
        if (!is_null($this->apiName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiName')));
        }
        if (!is_null($this->apiNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiNamespace')));
        }
        if (!is_null($this->fileUrl)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileUrl=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fileUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fileUrl')));
        }
        if (!is_null($this->apiVendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiVendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiVendor')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndservice = $attrs->getNamedItem('service');
        if (!is_null($ndservice)) {
            $this->service = $ndservice->value;
            if (isset($ndservice->prefix)) {
                $this->namespace['service'] = $ndservice->prefix;
                $nsUri = $ndservice->lookupNamespaceURI($ndservice->prefix);
            }
            $node->removeAttributeNS($nsUri, 'service');
        } else {
            $this->service = null;
        }
        $ndapiDefinition = $attrs->getNamedItem('apiDefinition');
        if (!is_null($ndapiDefinition)) {
            $this->apiDefinition = $ndapiDefinition->value;
            if (isset($ndapiDefinition->prefix)) {
                $this->namespace['apiDefinition'] = $ndapiDefinition->prefix;
                $nsUri = $ndapiDefinition->lookupNamespaceURI($ndapiDefinition->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiDefinition');
        } else {
            $this->apiDefinition = null;
        }
        $ndfileMimeType = $attrs->getNamedItem('fileMimeType');
        if (!is_null($ndfileMimeType)) {
            $this->fileMimeType = $ndfileMimeType->value;
            if (isset($ndfileMimeType->prefix)) {
                $this->namespace['fileMimeType'] = $ndfileMimeType->prefix;
                $nsUri = $ndfileMimeType->lookupNamespaceURI($ndfileMimeType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileMimeType');
        } else {
            $this->fileMimeType = null;
        }
        $ndserviceName = $attrs->getNamedItem('serviceName');
        if (!is_null($ndserviceName)) {
            $this->serviceName = $ndserviceName->value;
            if (isset($ndserviceName->prefix)) {
                $this->namespace['serviceName'] = $ndserviceName->prefix;
                $nsUri = $ndserviceName->lookupNamespaceURI($ndserviceName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceName');
        } else {
            $this->serviceName = null;
        }
        $ndserviceVendor = $attrs->getNamedItem('serviceVendor');
        if (!is_null($ndserviceVendor)) {
            $this->serviceVendor = $ndserviceVendor->value;
            if (isset($ndserviceVendor->prefix)) {
                $this->namespace['serviceVendor'] = $ndserviceVendor->prefix;
                $nsUri = $ndserviceVendor->lookupNamespaceURI($ndserviceVendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceVendor');
        } else {
            $this->serviceVendor = null;
        }
        $ndapiName = $attrs->getNamedItem('apiName');
        if (!is_null($ndapiName)) {
            $this->apiName = $ndapiName->value;
            if (isset($ndapiName->prefix)) {
                $this->namespace['apiName'] = $ndapiName->prefix;
                $nsUri = $ndapiName->lookupNamespaceURI($ndapiName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiName');
        } else {
            $this->apiName = null;
        }
        $ndapiNamespace = $attrs->getNamedItem('apiNamespace');
        if (!is_null($ndapiNamespace)) {
            $this->apiNamespace = $ndapiNamespace->value;
            if (isset($ndapiNamespace->prefix)) {
                $this->namespace['apiNamespace'] = $ndapiNamespace->prefix;
                $nsUri = $ndapiNamespace->lookupNamespaceURI($ndapiNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiNamespace');
        } else {
            $this->apiNamespace = null;
        }
        $ndfileUrl = $attrs->getNamedItem('fileUrl');
        if (!is_null($ndfileUrl)) {
            $this->fileUrl = $ndfileUrl->value;
            if (isset($ndfileUrl->prefix)) {
                $this->namespace['fileUrl'] = $ndfileUrl->prefix;
                $nsUri = $ndfileUrl->lookupNamespaceURI($ndfileUrl->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileUrl');
        } else {
            $this->fileUrl = null;
        }
        $ndapiVendor = $attrs->getNamedItem('apiVendor');
        if (!is_null($ndapiVendor)) {
            $this->apiVendor = $ndapiVendor->value;
            if (isset($ndapiVendor->prefix)) {
                $this->namespace['apiVendor'] = $ndapiVendor->prefix;
                $nsUri = $ndapiVendor->lookupNamespaceURI($ndapiVendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiVendor');
        } else {
            $this->apiVendor = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminFileDescriptorRecordType


/**
 * Type for a single fileDescriptor query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultFileDescriptorRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $service = null;
    protected $apiDefinition = null;
    protected $fileMimeType = null;
    protected $serviceName = null;
    protected $serviceVendor = null;
    protected $apiName = null;
    protected $apiNamespace = null;
    protected $fileUrl = null;
    protected $apiVendor = null;
    protected $serviceNamespace = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $service - [optional] an attribute, 
    * @param string $apiDefinition - [optional] an attribute, 
    * @param string $fileMimeType - [optional] an attribute, 
    * @param string $serviceName - [optional] an attribute, 
    * @param string $serviceVendor - [optional] an attribute, 
    * @param string $apiName - [optional] an attribute, 
    * @param string $apiNamespace - [optional] an attribute, 
    * @param string $fileUrl - [optional] an attribute, 
    * @param string $apiVendor - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $service=null, $apiDefinition=null, $fileMimeType=null, $serviceName=null, $serviceVendor=null, $apiName=null, $apiNamespace=null, $fileUrl=null, $apiVendor=null, $serviceNamespace=null, $name=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->service = $service;
        $this->apiDefinition = $apiDefinition;
        $this->fileMimeType = $fileMimeType;
        $this->serviceName = $serviceName;
        $this->serviceVendor = $serviceVendor;
        $this->apiName = $apiName;
        $this->apiNamespace = $apiNamespace;
        $this->fileUrl = $fileUrl;
        $this->apiVendor = $apiVendor;
        $this->serviceNamespace = $serviceNamespace;
        $this->name = $name;
        $this->tagName = 'FileDescriptorRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_service(){
        return $this->service;
    }
    public function set_service($service) {
        $this->service = $service;
    }
    public function get_apiDefinition(){
        return $this->apiDefinition;
    }
    public function set_apiDefinition($apiDefinition) {
        $this->apiDefinition = $apiDefinition;
    }
    public function get_fileMimeType(){
        return $this->fileMimeType;
    }
    public function set_fileMimeType($fileMimeType) {
        $this->fileMimeType = $fileMimeType;
    }
    public function get_serviceName(){
        return $this->serviceName;
    }
    public function set_serviceName($serviceName) {
        $this->serviceName = $serviceName;
    }
    public function get_serviceVendor(){
        return $this->serviceVendor;
    }
    public function set_serviceVendor($serviceVendor) {
        $this->serviceVendor = $serviceVendor;
    }
    public function get_apiName(){
        return $this->apiName;
    }
    public function set_apiName($apiName) {
        $this->apiName = $apiName;
    }
    public function get_apiNamespace(){
        return $this->apiNamespace;
    }
    public function set_apiNamespace($apiNamespace) {
        $this->apiNamespace = $apiNamespace;
    }
    public function get_fileUrl(){
        return $this->fileUrl;
    }
    public function set_fileUrl($fileUrl) {
        $this->fileUrl = $fileUrl;
    }
    public function get_apiVendor(){
        return $this->apiVendor;
    }
    public function set_apiVendor($apiVendor) {
        $this->apiVendor = $apiVendor;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->service)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'service', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'service=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->service, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='service')));
        }
        if (!is_null($this->apiDefinition)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiDefinition', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiDefinition=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiDefinition, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiDefinition')));
        }
        if (!is_null($this->fileMimeType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileMimeType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileMimeType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fileMimeType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fileMimeType')));
        }
        if (!is_null($this->serviceName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceName')));
        }
        if (!is_null($this->serviceVendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceVendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceVendor')));
        }
        if (!is_null($this->apiName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiName')));
        }
        if (!is_null($this->apiNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiNamespace')));
        }
        if (!is_null($this->fileUrl)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileUrl=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->fileUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='fileUrl')));
        }
        if (!is_null($this->apiVendor)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'apiVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'apiVendor=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->apiVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='apiVendor')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndservice = $attrs->getNamedItem('service');
        if (!is_null($ndservice)) {
            $this->service = $ndservice->value;
            if (isset($ndservice->prefix)) {
                $this->namespace['service'] = $ndservice->prefix;
                $nsUri = $ndservice->lookupNamespaceURI($ndservice->prefix);
            }
            $node->removeAttributeNS($nsUri, 'service');
        } else {
            $this->service = null;
        }
        $ndapiDefinition = $attrs->getNamedItem('apiDefinition');
        if (!is_null($ndapiDefinition)) {
            $this->apiDefinition = $ndapiDefinition->value;
            if (isset($ndapiDefinition->prefix)) {
                $this->namespace['apiDefinition'] = $ndapiDefinition->prefix;
                $nsUri = $ndapiDefinition->lookupNamespaceURI($ndapiDefinition->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiDefinition');
        } else {
            $this->apiDefinition = null;
        }
        $ndfileMimeType = $attrs->getNamedItem('fileMimeType');
        if (!is_null($ndfileMimeType)) {
            $this->fileMimeType = $ndfileMimeType->value;
            if (isset($ndfileMimeType->prefix)) {
                $this->namespace['fileMimeType'] = $ndfileMimeType->prefix;
                $nsUri = $ndfileMimeType->lookupNamespaceURI($ndfileMimeType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileMimeType');
        } else {
            $this->fileMimeType = null;
        }
        $ndserviceName = $attrs->getNamedItem('serviceName');
        if (!is_null($ndserviceName)) {
            $this->serviceName = $ndserviceName->value;
            if (isset($ndserviceName->prefix)) {
                $this->namespace['serviceName'] = $ndserviceName->prefix;
                $nsUri = $ndserviceName->lookupNamespaceURI($ndserviceName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceName');
        } else {
            $this->serviceName = null;
        }
        $ndserviceVendor = $attrs->getNamedItem('serviceVendor');
        if (!is_null($ndserviceVendor)) {
            $this->serviceVendor = $ndserviceVendor->value;
            if (isset($ndserviceVendor->prefix)) {
                $this->namespace['serviceVendor'] = $ndserviceVendor->prefix;
                $nsUri = $ndserviceVendor->lookupNamespaceURI($ndserviceVendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceVendor');
        } else {
            $this->serviceVendor = null;
        }
        $ndapiName = $attrs->getNamedItem('apiName');
        if (!is_null($ndapiName)) {
            $this->apiName = $ndapiName->value;
            if (isset($ndapiName->prefix)) {
                $this->namespace['apiName'] = $ndapiName->prefix;
                $nsUri = $ndapiName->lookupNamespaceURI($ndapiName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiName');
        } else {
            $this->apiName = null;
        }
        $ndapiNamespace = $attrs->getNamedItem('apiNamespace');
        if (!is_null($ndapiNamespace)) {
            $this->apiNamespace = $ndapiNamespace->value;
            if (isset($ndapiNamespace->prefix)) {
                $this->namespace['apiNamespace'] = $ndapiNamespace->prefix;
                $nsUri = $ndapiNamespace->lookupNamespaceURI($ndapiNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiNamespace');
        } else {
            $this->apiNamespace = null;
        }
        $ndfileUrl = $attrs->getNamedItem('fileUrl');
        if (!is_null($ndfileUrl)) {
            $this->fileUrl = $ndfileUrl->value;
            if (isset($ndfileUrl->prefix)) {
                $this->namespace['fileUrl'] = $ndfileUrl->prefix;
                $nsUri = $ndfileUrl->lookupNamespaceURI($ndfileUrl->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileUrl');
        } else {
            $this->fileUrl = null;
        }
        $ndapiVendor = $attrs->getNamedItem('apiVendor');
        if (!is_null($ndapiVendor)) {
            $this->apiVendor = $ndapiVendor->value;
            if (isset($ndapiVendor->prefix)) {
                $this->namespace['apiVendor'] = $ndapiVendor->prefix;
                $nsUri = $ndapiVendor->lookupNamespaceURI($ndapiVendor->prefix);
            }
            $node->removeAttributeNS($nsUri, 'apiVendor');
        } else {
            $this->apiVendor = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultFileDescriptorRecordType


/**
 * Type for a single resourceClassAction query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultResourceClassActionRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $httpMethod = null;
    protected $resourceClass = null;
    protected $name = null;
    protected $urlPattern = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $httpMethod - [optional] an attribute, 
    * @param string $resourceClass - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $urlPattern - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $httpMethod=null, $resourceClass=null, $name=null, $urlPattern=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->httpMethod = $httpMethod;
        $this->resourceClass = $resourceClass;
        $this->name = $name;
        $this->urlPattern = $urlPattern;
        $this->tagName = 'ResourceClassActionRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_httpMethod(){
        return $this->httpMethod;
    }
    public function set_httpMethod($httpMethod) {
        $this->httpMethod = $httpMethod;
    }
    public function get_resourceClass(){
        return $this->resourceClass;
    }
    public function set_resourceClass($resourceClass) {
        $this->resourceClass = $resourceClass;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_urlPattern(){
        return $this->urlPattern;
    }
    public function set_urlPattern($urlPattern) {
        $this->urlPattern = $urlPattern;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->httpMethod)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'httpMethod', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'httpMethod=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->httpMethod, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='httpMethod')));
        }
        if (!is_null($this->resourceClass)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'resourceClass', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'resourceClass=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->resourceClass, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='resourceClass')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->urlPattern)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'urlPattern', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'urlPattern=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->urlPattern, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='urlPattern')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndhttpMethod = $attrs->getNamedItem('httpMethod');
        if (!is_null($ndhttpMethod)) {
            $this->httpMethod = $ndhttpMethod->value;
            if (isset($ndhttpMethod->prefix)) {
                $this->namespace['httpMethod'] = $ndhttpMethod->prefix;
                $nsUri = $ndhttpMethod->lookupNamespaceURI($ndhttpMethod->prefix);
            }
            $node->removeAttributeNS($nsUri, 'httpMethod');
        } else {
            $this->httpMethod = null;
        }
        $ndresourceClass = $attrs->getNamedItem('resourceClass');
        if (!is_null($ndresourceClass)) {
            $this->resourceClass = $ndresourceClass->value;
            if (isset($ndresourceClass->prefix)) {
                $this->namespace['resourceClass'] = $ndresourceClass->prefix;
                $nsUri = $ndresourceClass->lookupNamespaceURI($ndresourceClass->prefix);
            }
            $node->removeAttributeNS($nsUri, 'resourceClass');
        } else {
            $this->resourceClass = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndurlPattern = $attrs->getNamedItem('urlPattern');
        if (!is_null($ndurlPattern)) {
            $this->urlPattern = $ndurlPattern->value;
            if (isset($ndurlPattern->prefix)) {
                $this->namespace['urlPattern'] = $ndurlPattern->prefix;
                $nsUri = $ndurlPattern->lookupNamespaceURI($ndurlPattern->prefix);
            }
            $node->removeAttributeNS($nsUri, 'urlPattern');
        } else {
            $this->urlPattern = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultResourceClassActionRecordType


/**
 * Type for a single aclRule query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAclRuleRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $orgAccess = null;
    protected $name = null;
    protected $resourceClassAction = null;
    protected $serviceResourceAccess = null;
    protected $principalType = null;
    protected $principalAccess = null;
    protected $org = null;
    protected $serviceResource = null;
    protected $principal = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $orgAccess - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $resourceClassAction - [optional] an attribute, 
    * @param string $serviceResourceAccess - [optional] an attribute, 
    * @param string $principalType - [optional] an attribute, 
    * @param string $principalAccess - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $serviceResource - [optional] an attribute, 
    * @param string $principal - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $orgAccess=null, $name=null, $resourceClassAction=null, $serviceResourceAccess=null, $principalType=null, $principalAccess=null, $org=null, $serviceResource=null, $principal=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->orgAccess = $orgAccess;
        $this->name = $name;
        $this->resourceClassAction = $resourceClassAction;
        $this->serviceResourceAccess = $serviceResourceAccess;
        $this->principalType = $principalType;
        $this->principalAccess = $principalAccess;
        $this->org = $org;
        $this->serviceResource = $serviceResource;
        $this->principal = $principal;
        $this->tagName = 'AclRuleRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_orgAccess(){
        return $this->orgAccess;
    }
    public function set_orgAccess($orgAccess) {
        $this->orgAccess = $orgAccess;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_resourceClassAction(){
        return $this->resourceClassAction;
    }
    public function set_resourceClassAction($resourceClassAction) {
        $this->resourceClassAction = $resourceClassAction;
    }
    public function get_serviceResourceAccess(){
        return $this->serviceResourceAccess;
    }
    public function set_serviceResourceAccess($serviceResourceAccess) {
        $this->serviceResourceAccess = $serviceResourceAccess;
    }
    public function get_principalType(){
        return $this->principalType;
    }
    public function set_principalType($principalType) {
        $this->principalType = $principalType;
    }
    public function get_principalAccess(){
        return $this->principalAccess;
    }
    public function set_principalAccess($principalAccess) {
        $this->principalAccess = $principalAccess;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_serviceResource(){
        return $this->serviceResource;
    }
    public function set_serviceResource($serviceResource) {
        $this->serviceResource = $serviceResource;
    }
    public function get_principal(){
        return $this->principal;
    }
    public function set_principal($principal) {
        $this->principal = $principal;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->orgAccess)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgAccess', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgAccess=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgAccess, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgAccess')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->resourceClassAction)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'resourceClassAction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'resourceClassAction=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->resourceClassAction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='resourceClassAction')));
        }
        if (!is_null($this->serviceResourceAccess)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceResourceAccess', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceResourceAccess=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceResourceAccess, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceResourceAccess')));
        }
        if (!is_null($this->principalType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'principalType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'principalType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->principalType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='principalType')));
        }
        if (!is_null($this->principalAccess)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'principalAccess', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'principalAccess=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->principalAccess, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='principalAccess')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->serviceResource)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceResource', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceResource=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceResource, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceResource')));
        }
        if (!is_null($this->principal)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'principal', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'principal=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->principal, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='principal')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndorgAccess = $attrs->getNamedItem('orgAccess');
        if (!is_null($ndorgAccess)) {
            $this->orgAccess = $ndorgAccess->value;
            if (isset($ndorgAccess->prefix)) {
                $this->namespace['orgAccess'] = $ndorgAccess->prefix;
                $nsUri = $ndorgAccess->lookupNamespaceURI($ndorgAccess->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgAccess');
        } else {
            $this->orgAccess = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndresourceClassAction = $attrs->getNamedItem('resourceClassAction');
        if (!is_null($ndresourceClassAction)) {
            $this->resourceClassAction = $ndresourceClassAction->value;
            if (isset($ndresourceClassAction->prefix)) {
                $this->namespace['resourceClassAction'] = $ndresourceClassAction->prefix;
                $nsUri = $ndresourceClassAction->lookupNamespaceURI($ndresourceClassAction->prefix);
            }
            $node->removeAttributeNS($nsUri, 'resourceClassAction');
        } else {
            $this->resourceClassAction = null;
        }
        $ndserviceResourceAccess = $attrs->getNamedItem('serviceResourceAccess');
        if (!is_null($ndserviceResourceAccess)) {
            $this->serviceResourceAccess = $ndserviceResourceAccess->value;
            if (isset($ndserviceResourceAccess->prefix)) {
                $this->namespace['serviceResourceAccess'] = $ndserviceResourceAccess->prefix;
                $nsUri = $ndserviceResourceAccess->lookupNamespaceURI($ndserviceResourceAccess->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceResourceAccess');
        } else {
            $this->serviceResourceAccess = null;
        }
        $ndprincipalType = $attrs->getNamedItem('principalType');
        if (!is_null($ndprincipalType)) {
            $this->principalType = $ndprincipalType->value;
            if (isset($ndprincipalType->prefix)) {
                $this->namespace['principalType'] = $ndprincipalType->prefix;
                $nsUri = $ndprincipalType->lookupNamespaceURI($ndprincipalType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'principalType');
        } else {
            $this->principalType = null;
        }
        $ndprincipalAccess = $attrs->getNamedItem('principalAccess');
        if (!is_null($ndprincipalAccess)) {
            $this->principalAccess = $ndprincipalAccess->value;
            if (isset($ndprincipalAccess->prefix)) {
                $this->namespace['principalAccess'] = $ndprincipalAccess->prefix;
                $nsUri = $ndprincipalAccess->lookupNamespaceURI($ndprincipalAccess->prefix);
            }
            $node->removeAttributeNS($nsUri, 'principalAccess');
        } else {
            $this->principalAccess = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndserviceResource = $attrs->getNamedItem('serviceResource');
        if (!is_null($ndserviceResource)) {
            $this->serviceResource = $ndserviceResource->value;
            if (isset($ndserviceResource->prefix)) {
                $this->namespace['serviceResource'] = $ndserviceResource->prefix;
                $nsUri = $ndserviceResource->lookupNamespaceURI($ndserviceResource->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceResource');
        } else {
            $this->serviceResource = null;
        }
        $ndprincipal = $attrs->getNamedItem('principal');
        if (!is_null($ndprincipal)) {
            $this->principal = $ndprincipal->value;
            if (isset($ndprincipal->prefix)) {
                $this->namespace['principal'] = $ndprincipal->prefix;
                $nsUri = $ndprincipal->lookupNamespaceURI($ndprincipal->prefix);
            }
            $node->removeAttributeNS($nsUri, 'principal');
        } else {
            $this->principal = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAclRuleRecordType


/**
 * Type for a single resourceClass query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultResourceClassRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $mimeType = null;
    protected $name = null;
    protected $service = null;
    protected $urnPattern = null;
    protected $nid = null;
    protected $urlTemplate = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $mimeType - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $service - [optional] an attribute, 
    * @param string $urnPattern - [optional] an attribute, 
    * @param string $nid - [optional] an attribute, 
    * @param string $urlTemplate - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $mimeType=null, $name=null, $service=null, $urnPattern=null, $nid=null, $urlTemplate=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->mimeType = $mimeType;
        $this->name = $name;
        $this->service = $service;
        $this->urnPattern = $urnPattern;
        $this->nid = $nid;
        $this->urlTemplate = $urlTemplate;
        $this->tagName = 'ResourceClassRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_mimeType(){
        return $this->mimeType;
    }
    public function set_mimeType($mimeType) {
        $this->mimeType = $mimeType;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_service(){
        return $this->service;
    }
    public function set_service($service) {
        $this->service = $service;
    }
    public function get_urnPattern(){
        return $this->urnPattern;
    }
    public function set_urnPattern($urnPattern) {
        $this->urnPattern = $urnPattern;
    }
    public function get_nid(){
        return $this->nid;
    }
    public function set_nid($nid) {
        $this->nid = $nid;
    }
    public function get_urlTemplate(){
        return $this->urlTemplate;
    }
    public function set_urlTemplate($urlTemplate) {
        $this->urlTemplate = $urlTemplate;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->mimeType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'mimeType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'mimeType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->mimeType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='mimeType')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->service)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'service', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'service=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->service, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='service')));
        }
        if (!is_null($this->urnPattern)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'urnPattern', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'urnPattern=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->urnPattern, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='urnPattern')));
        }
        if (!is_null($this->nid)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'nid', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'nid=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->nid, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='nid')));
        }
        if (!is_null($this->urlTemplate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'urlTemplate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'urlTemplate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->urlTemplate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='urlTemplate')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndmimeType = $attrs->getNamedItem('mimeType');
        if (!is_null($ndmimeType)) {
            $this->mimeType = $ndmimeType->value;
            if (isset($ndmimeType->prefix)) {
                $this->namespace['mimeType'] = $ndmimeType->prefix;
                $nsUri = $ndmimeType->lookupNamespaceURI($ndmimeType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'mimeType');
        } else {
            $this->mimeType = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndservice = $attrs->getNamedItem('service');
        if (!is_null($ndservice)) {
            $this->service = $ndservice->value;
            if (isset($ndservice->prefix)) {
                $this->namespace['service'] = $ndservice->prefix;
                $nsUri = $ndservice->lookupNamespaceURI($ndservice->prefix);
            }
            $node->removeAttributeNS($nsUri, 'service');
        } else {
            $this->service = null;
        }
        $ndurnPattern = $attrs->getNamedItem('urnPattern');
        if (!is_null($ndurnPattern)) {
            $this->urnPattern = $ndurnPattern->value;
            if (isset($ndurnPattern->prefix)) {
                $this->namespace['urnPattern'] = $ndurnPattern->prefix;
                $nsUri = $ndurnPattern->lookupNamespaceURI($ndurnPattern->prefix);
            }
            $node->removeAttributeNS($nsUri, 'urnPattern');
        } else {
            $this->urnPattern = null;
        }
        $ndnid = $attrs->getNamedItem('nid');
        if (!is_null($ndnid)) {
            $this->nid = $ndnid->value;
            if (isset($ndnid->prefix)) {
                $this->namespace['nid'] = $ndnid->prefix;
                $nsUri = $ndnid->lookupNamespaceURI($ndnid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'nid');
        } else {
            $this->nid = null;
        }
        $ndurlTemplate = $attrs->getNamedItem('urlTemplate');
        if (!is_null($ndurlTemplate)) {
            $this->urlTemplate = $ndurlTemplate->value;
            if (isset($ndurlTemplate->prefix)) {
                $this->namespace['urlTemplate'] = $ndurlTemplate->prefix;
                $nsUri = $ndurlTemplate->lookupNamespaceURI($ndurlTemplate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'urlTemplate');
        } else {
            $this->urlTemplate = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultResourceClassRecordType


/**
 * Type for a single serviceResource query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultServiceResourceRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $org = null;
    protected $externalObjectId = null;
    protected $name = null;
    protected $resourceClass = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $org - [optional] an attribute, 
    * @param string $externalObjectId - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $resourceClass - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $org=null, $externalObjectId=null, $name=null, $resourceClass=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->org = $org;
        $this->externalObjectId = $externalObjectId;
        $this->name = $name;
        $this->resourceClass = $resourceClass;
        $this->tagName = 'ServiceResourceRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_externalObjectId(){
        return $this->externalObjectId;
    }
    public function set_externalObjectId($externalObjectId) {
        $this->externalObjectId = $externalObjectId;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_resourceClass(){
        return $this->resourceClass;
    }
    public function set_resourceClass($resourceClass) {
        $this->resourceClass = $resourceClass;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->externalObjectId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'externalObjectId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'externalObjectId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->externalObjectId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='externalObjectId')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->resourceClass)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'resourceClass', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'resourceClass=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->resourceClass, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='resourceClass')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndexternalObjectId = $attrs->getNamedItem('externalObjectId');
        if (!is_null($ndexternalObjectId)) {
            $this->externalObjectId = $ndexternalObjectId->value;
            if (isset($ndexternalObjectId->prefix)) {
                $this->namespace['externalObjectId'] = $ndexternalObjectId->prefix;
                $nsUri = $ndexternalObjectId->lookupNamespaceURI($ndexternalObjectId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'externalObjectId');
        } else {
            $this->externalObjectId = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndresourceClass = $attrs->getNamedItem('resourceClass');
        if (!is_null($ndresourceClass)) {
            $this->resourceClass = $ndresourceClass->value;
            if (isset($ndresourceClass->prefix)) {
                $this->namespace['resourceClass'] = $ndresourceClass->prefix;
                $nsUri = $ndresourceClass->lookupNamespaceURI($ndresourceClass->prefix);
            }
            $node->removeAttributeNS($nsUri, 'resourceClass');
        } else {
            $this->resourceClass = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultServiceResourceRecordType


/**
 * Type for a single edgeGateway query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultEdgeGatewayRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $name = null;
    protected $haStatus = null;
    protected $gatewayStatus = null;
    protected $vdc = null;
    protected $numberOfExtNetworks = null;
    protected $numberOfOrgNetworks = null;
    protected $isBusy = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $name - [optional] an attribute, 
    * @param string $haStatus - [optional] an attribute, 
    * @param string $gatewayStatus - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param int $numberOfExtNetworks - [optional] an attribute, 
    * @param int $numberOfOrgNetworks - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $name=null, $haStatus=null, $gatewayStatus=null, $vdc=null, $numberOfExtNetworks=null, $numberOfOrgNetworks=null, $isBusy=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->name = $name;
        $this->haStatus = $haStatus;
        $this->gatewayStatus = $gatewayStatus;
        $this->vdc = $vdc;
        $this->numberOfExtNetworks = $numberOfExtNetworks;
        $this->numberOfOrgNetworks = $numberOfOrgNetworks;
        $this->isBusy = $isBusy;
        $this->tagName = 'EdgeGatewayRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_haStatus(){
        return $this->haStatus;
    }
    public function set_haStatus($haStatus) {
        $this->haStatus = $haStatus;
    }
    public function get_gatewayStatus(){
        return $this->gatewayStatus;
    }
    public function set_gatewayStatus($gatewayStatus) {
        $this->gatewayStatus = $gatewayStatus;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_numberOfExtNetworks(){
        return $this->numberOfExtNetworks;
    }
    public function set_numberOfExtNetworks($numberOfExtNetworks) {
        $this->numberOfExtNetworks = $numberOfExtNetworks;
    }
    public function get_numberOfOrgNetworks(){
        return $this->numberOfOrgNetworks;
    }
    public function set_numberOfOrgNetworks($numberOfOrgNetworks) {
        $this->numberOfOrgNetworks = $numberOfOrgNetworks;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->haStatus)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'haStatus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'haStatus=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->haStatus, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='haStatus')));
        }
        if (!is_null($this->gatewayStatus)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'gatewayStatus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'gatewayStatus=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->gatewayStatus, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='gatewayStatus')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->numberOfExtNetworks)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfExtNetworks', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfExtNetworks=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfExtNetworks, $input_name='numberOfExtNetworks')));
        }
        if (!is_null($this->numberOfOrgNetworks)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfOrgNetworks', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfOrgNetworks=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfOrgNetworks, $input_name='numberOfOrgNetworks')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndhaStatus = $attrs->getNamedItem('haStatus');
        if (!is_null($ndhaStatus)) {
            $this->haStatus = $ndhaStatus->value;
            if (isset($ndhaStatus->prefix)) {
                $this->namespace['haStatus'] = $ndhaStatus->prefix;
                $nsUri = $ndhaStatus->lookupNamespaceURI($ndhaStatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'haStatus');
        } else {
            $this->haStatus = null;
        }
        $ndgatewayStatus = $attrs->getNamedItem('gatewayStatus');
        if (!is_null($ndgatewayStatus)) {
            $this->gatewayStatus = $ndgatewayStatus->value;
            if (isset($ndgatewayStatus->prefix)) {
                $this->namespace['gatewayStatus'] = $ndgatewayStatus->prefix;
                $nsUri = $ndgatewayStatus->lookupNamespaceURI($ndgatewayStatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'gatewayStatus');
        } else {
            $this->gatewayStatus = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $ndnumberOfExtNetworks = $attrs->getNamedItem('numberOfExtNetworks');
        if (!is_null($ndnumberOfExtNetworks)) {
            $this->numberOfExtNetworks = sprintf('%d', $ndnumberOfExtNetworks->value);
            if (isset($ndnumberOfExtNetworks->prefix)) {
                $this->namespace['numberOfExtNetworks'] = $ndnumberOfExtNetworks->prefix;
                $nsUri = $ndnumberOfExtNetworks->lookupNamespaceURI($ndnumberOfExtNetworks->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfExtNetworks');
        } else {
            $this->numberOfExtNetworks = null;
        }
        $ndnumberOfOrgNetworks = $attrs->getNamedItem('numberOfOrgNetworks');
        if (!is_null($ndnumberOfOrgNetworks)) {
            $this->numberOfOrgNetworks = sprintf('%d', $ndnumberOfOrgNetworks->value);
            if (isset($ndnumberOfOrgNetworks->prefix)) {
                $this->namespace['numberOfOrgNetworks'] = $ndnumberOfOrgNetworks->prefix;
                $nsUri = $ndnumberOfOrgNetworks->lookupNamespaceURI($ndnumberOfOrgNetworks->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfOrgNetworks');
        } else {
            $this->numberOfOrgNetworks = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultEdgeGatewayRecordType


/**
 * Type for a single orgVdcNetwork query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultOrgVdcNetworkRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $linkType = null;
    protected $isIpScopeInherited = null;
    protected $name = null;
    protected $dns2 = null;
    protected $dns1 = null;
    protected $connectedTo = null;
    protected $vdcName = null;
    protected $netmask = null;
    protected $vdc = null;
    protected $dnsSuffix = null;
    protected $isBusy = null;
    protected $isShared = null;
    protected $defaultGateway = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param int $linkType - [optional] an attribute, 
    * @param boolean $isIpScopeInherited - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $dns2 - [optional] an attribute, 
    * @param string $dns1 - [optional] an attribute, 
    * @param string $connectedTo - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    * @param string $netmask - [optional] an attribute, 
    * @param string $vdc - [optional] an attribute, 
    * @param string $dnsSuffix - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param boolean $isShared - [optional] an attribute, 
    * @param string $defaultGateway - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $linkType=null, $isIpScopeInherited=null, $name=null, $dns2=null, $dns1=null, $connectedTo=null, $vdcName=null, $netmask=null, $vdc=null, $dnsSuffix=null, $isBusy=null, $isShared=null, $defaultGateway=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->linkType = $linkType;
        $this->isIpScopeInherited = $isIpScopeInherited;
        $this->name = $name;
        $this->dns2 = $dns2;
        $this->dns1 = $dns1;
        $this->connectedTo = $connectedTo;
        $this->vdcName = $vdcName;
        $this->netmask = $netmask;
        $this->vdc = $vdc;
        $this->dnsSuffix = $dnsSuffix;
        $this->isBusy = $isBusy;
        $this->isShared = $isShared;
        $this->defaultGateway = $defaultGateway;
        $this->tagName = 'OrgVdcNetworkRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_linkType(){
        return $this->linkType;
    }
    public function set_linkType($linkType) {
        $this->linkType = $linkType;
    }
    public function get_isIpScopeInherited(){
        return $this->isIpScopeInherited;
    }
    public function set_isIpScopeInherited($isIpScopeInherited) {
        $this->isIpScopeInherited = $isIpScopeInherited;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_dns2(){
        return $this->dns2;
    }
    public function set_dns2($dns2) {
        $this->dns2 = $dns2;
    }
    public function get_dns1(){
        return $this->dns1;
    }
    public function set_dns1($dns1) {
        $this->dns1 = $dns1;
    }
    public function get_connectedTo(){
        return $this->connectedTo;
    }
    public function set_connectedTo($connectedTo) {
        $this->connectedTo = $connectedTo;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_netmask(){
        return $this->netmask;
    }
    public function set_netmask($netmask) {
        $this->netmask = $netmask;
    }
    public function get_vdc(){
        return $this->vdc;
    }
    public function set_vdc($vdc) {
        $this->vdc = $vdc;
    }
    public function get_dnsSuffix(){
        return $this->dnsSuffix;
    }
    public function set_dnsSuffix($dnsSuffix) {
        $this->dnsSuffix = $dnsSuffix;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_isShared(){
        return $this->isShared;
    }
    public function set_isShared($isShared) {
        $this->isShared = $isShared;
    }
    public function get_defaultGateway(){
        return $this->defaultGateway;
    }
    public function set_defaultGateway($defaultGateway) {
        $this->defaultGateway = $defaultGateway;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->linkType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'linkType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'linkType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->linkType, $input_name='linkType')));
        }
        if (!is_null($this->isIpScopeInherited)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isIpScopeInherited', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isIpScopeInherited=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isIpScopeInherited, $input_name='isIpScopeInherited')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->dns2)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns2', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns2=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns2, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns2')));
        }
        if (!is_null($this->dns1)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dns1', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dns1=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dns1, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dns1')));
        }
        if (!is_null($this->connectedTo)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'connectedTo', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'connectedTo=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->connectedTo, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='connectedTo')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        if (!is_null($this->netmask)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'netmask', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'netmask=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->netmask, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='netmask')));
        }
        if (!is_null($this->vdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdc')));
        }
        if (!is_null($this->dnsSuffix)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'dnsSuffix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'dnsSuffix=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->dnsSuffix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='dnsSuffix')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->isShared)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isShared', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isShared=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isShared, $input_name='isShared')));
        }
        if (!is_null($this->defaultGateway)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'defaultGateway', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'defaultGateway=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->defaultGateway, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='defaultGateway')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndlinkType = $attrs->getNamedItem('linkType');
        if (!is_null($ndlinkType)) {
            $this->linkType = sprintf('%d', $ndlinkType->value);
            if (isset($ndlinkType->prefix)) {
                $this->namespace['linkType'] = $ndlinkType->prefix;
                $nsUri = $ndlinkType->lookupNamespaceURI($ndlinkType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'linkType');
        } else {
            $this->linkType = null;
        }
        $ndisIpScopeInherited = $attrs->getNamedItem('isIpScopeInherited');
        if (!is_null($ndisIpScopeInherited)) {
            $this->isIpScopeInherited = VMware_VCloud_API_Helper::get_boolean($ndisIpScopeInherited->value);
            if (isset($ndisIpScopeInherited->prefix)) {
                $this->namespace['isIpScopeInherited'] = $ndisIpScopeInherited->prefix;
                $nsUri = $ndisIpScopeInherited->lookupNamespaceURI($ndisIpScopeInherited->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isIpScopeInherited');
        } else {
            $this->isIpScopeInherited = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $nddns2 = $attrs->getNamedItem('dns2');
        if (!is_null($nddns2)) {
            $this->dns2 = $nddns2->value;
            if (isset($nddns2->prefix)) {
                $this->namespace['dns2'] = $nddns2->prefix;
                $nsUri = $nddns2->lookupNamespaceURI($nddns2->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns2');
        } else {
            $this->dns2 = null;
        }
        $nddns1 = $attrs->getNamedItem('dns1');
        if (!is_null($nddns1)) {
            $this->dns1 = $nddns1->value;
            if (isset($nddns1->prefix)) {
                $this->namespace['dns1'] = $nddns1->prefix;
                $nsUri = $nddns1->lookupNamespaceURI($nddns1->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dns1');
        } else {
            $this->dns1 = null;
        }
        $ndconnectedTo = $attrs->getNamedItem('connectedTo');
        if (!is_null($ndconnectedTo)) {
            $this->connectedTo = $ndconnectedTo->value;
            if (isset($ndconnectedTo->prefix)) {
                $this->namespace['connectedTo'] = $ndconnectedTo->prefix;
                $nsUri = $ndconnectedTo->lookupNamespaceURI($ndconnectedTo->prefix);
            }
            $node->removeAttributeNS($nsUri, 'connectedTo');
        } else {
            $this->connectedTo = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        $ndnetmask = $attrs->getNamedItem('netmask');
        if (!is_null($ndnetmask)) {
            $this->netmask = $ndnetmask->value;
            if (isset($ndnetmask->prefix)) {
                $this->namespace['netmask'] = $ndnetmask->prefix;
                $nsUri = $ndnetmask->lookupNamespaceURI($ndnetmask->prefix);
            }
            $node->removeAttributeNS($nsUri, 'netmask');
        } else {
            $this->netmask = null;
        }
        $ndvdc = $attrs->getNamedItem('vdc');
        if (!is_null($ndvdc)) {
            $this->vdc = $ndvdc->value;
            if (isset($ndvdc->prefix)) {
                $this->namespace['vdc'] = $ndvdc->prefix;
                $nsUri = $ndvdc->lookupNamespaceURI($ndvdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdc');
        } else {
            $this->vdc = null;
        }
        $nddnsSuffix = $attrs->getNamedItem('dnsSuffix');
        if (!is_null($nddnsSuffix)) {
            $this->dnsSuffix = $nddnsSuffix->value;
            if (isset($nddnsSuffix->prefix)) {
                $this->namespace['dnsSuffix'] = $nddnsSuffix->prefix;
                $nsUri = $nddnsSuffix->lookupNamespaceURI($nddnsSuffix->prefix);
            }
            $node->removeAttributeNS($nsUri, 'dnsSuffix');
        } else {
            $this->dnsSuffix = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndisShared = $attrs->getNamedItem('isShared');
        if (!is_null($ndisShared)) {
            $this->isShared = VMware_VCloud_API_Helper::get_boolean($ndisShared->value);
            if (isset($ndisShared->prefix)) {
                $this->namespace['isShared'] = $ndisShared->prefix;
                $nsUri = $ndisShared->lookupNamespaceURI($ndisShared->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isShared');
        } else {
            $this->isShared = null;
        }
        $nddefaultGateway = $attrs->getNamedItem('defaultGateway');
        if (!is_null($nddefaultGateway)) {
            $this->defaultGateway = $nddefaultGateway->value;
            if (isset($nddefaultGateway->prefix)) {
                $this->namespace['defaultGateway'] = $nddefaultGateway->prefix;
                $nsUri = $nddefaultGateway->lookupNamespaceURI($nddefaultGateway->prefix);
            }
            $node->removeAttributeNS($nsUri, 'defaultGateway');
        } else {
            $this->defaultGateway = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultOrgVdcNetworkRecordType


/**
 * Type for a single vAppOrgVdcNetworkRelation query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVAppOrgVdcNetworkRelationRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $name = null;
    protected $entityType = null;
    protected $orgVdcNetworkName = null;
    protected $ownerName = null;
    protected $org = null;
    protected $orgVdcNetwork = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $entityType - [optional] an attribute, 
    * @param string $orgVdcNetworkName - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $orgVdcNetwork - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $name=null, $entityType=null, $orgVdcNetworkName=null, $ownerName=null, $org=null, $orgVdcNetwork=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->name = $name;
        $this->entityType = $entityType;
        $this->orgVdcNetworkName = $orgVdcNetworkName;
        $this->ownerName = $ownerName;
        $this->org = $org;
        $this->orgVdcNetwork = $orgVdcNetwork;
        $this->tagName = 'VAppOrgVdcNetworkRelationRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_entityType(){
        return $this->entityType;
    }
    public function set_entityType($entityType) {
        $this->entityType = $entityType;
    }
    public function get_orgVdcNetworkName(){
        return $this->orgVdcNetworkName;
    }
    public function set_orgVdcNetworkName($orgVdcNetworkName) {
        $this->orgVdcNetworkName = $orgVdcNetworkName;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_orgVdcNetwork(){
        return $this->orgVdcNetwork;
    }
    public function set_orgVdcNetwork($orgVdcNetwork) {
        $this->orgVdcNetwork = $orgVdcNetwork;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->entityType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityType')));
        }
        if (!is_null($this->orgVdcNetworkName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgVdcNetworkName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgVdcNetworkName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgVdcNetworkName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgVdcNetworkName')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->orgVdcNetwork)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgVdcNetwork', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgVdcNetwork=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgVdcNetwork, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgVdcNetwork')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndentityType = $attrs->getNamedItem('entityType');
        if (!is_null($ndentityType)) {
            $this->entityType = $ndentityType->value;
            if (isset($ndentityType->prefix)) {
                $this->namespace['entityType'] = $ndentityType->prefix;
                $nsUri = $ndentityType->lookupNamespaceURI($ndentityType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityType');
        } else {
            $this->entityType = null;
        }
        $ndorgVdcNetworkName = $attrs->getNamedItem('orgVdcNetworkName');
        if (!is_null($ndorgVdcNetworkName)) {
            $this->orgVdcNetworkName = $ndorgVdcNetworkName->value;
            if (isset($ndorgVdcNetworkName->prefix)) {
                $this->namespace['orgVdcNetworkName'] = $ndorgVdcNetworkName->prefix;
                $nsUri = $ndorgVdcNetworkName->lookupNamespaceURI($ndorgVdcNetworkName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgVdcNetworkName');
        } else {
            $this->orgVdcNetworkName = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndorgVdcNetwork = $attrs->getNamedItem('orgVdcNetwork');
        if (!is_null($ndorgVdcNetwork)) {
            $this->orgVdcNetwork = $ndorgVdcNetwork->value;
            if (isset($ndorgVdcNetwork->prefix)) {
                $this->namespace['orgVdcNetwork'] = $ndorgVdcNetwork->prefix;
                $nsUri = $ndorgVdcNetwork->lookupNamespaceURI($ndorgVdcNetwork->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgVdcNetwork');
        } else {
            $this->orgVdcNetwork = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVAppOrgVdcNetworkRelationRecordType


/**
 * Type for a single externalLocalization query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultExternalLocalizationRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $locale = null;
    protected $serviceNamespace = null;
    protected $value = null;
    protected $key = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $locale - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $value - [optional] an attribute, 
    * @param string $key - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $locale=null, $serviceNamespace=null, $value=null, $key=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->locale = $locale;
        $this->serviceNamespace = $serviceNamespace;
        $this->value = $value;
        $this->key = $key;
        $this->tagName = 'ExternalLocalizationRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_locale(){
        return $this->locale;
    }
    public function set_locale($locale) {
        $this->locale = $locale;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_value(){
        return $this->value;
    }
    public function set_value($value) {
        $this->value = $value;
    }
    public function get_key(){
        return $this->key;
    }
    public function set_key($key) {
        $this->key = $key;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->locale)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'locale', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'locale=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->locale, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='locale')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->value)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'value=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='value')));
        }
        if (!is_null($this->key)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'key', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'key=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->key, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='key')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndlocale = $attrs->getNamedItem('locale');
        if (!is_null($ndlocale)) {
            $this->locale = $ndlocale->value;
            if (isset($ndlocale->prefix)) {
                $this->namespace['locale'] = $ndlocale->prefix;
                $nsUri = $ndlocale->lookupNamespaceURI($ndlocale->prefix);
            }
            $node->removeAttributeNS($nsUri, 'locale');
        } else {
            $this->locale = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndvalue = $attrs->getNamedItem('value');
        if (!is_null($ndvalue)) {
            $this->value = $ndvalue->value;
            if (isset($ndvalue->prefix)) {
                $this->namespace['value'] = $ndvalue->prefix;
                $nsUri = $ndvalue->lookupNamespaceURI($ndvalue->prefix);
            }
            $node->removeAttributeNS($nsUri, 'value');
        } else {
            $this->value = null;
        }
        $ndkey = $attrs->getNamedItem('key');
        if (!is_null($ndkey)) {
            $this->key = $ndkey->value;
            if (isset($ndkey->prefix)) {
                $this->namespace['key'] = $ndkey->prefix;
                $nsUri = $ndkey->lookupNamespaceURI($ndkey->prefix);
            }
            $node->removeAttributeNS($nsUri, 'key');
        } else {
            $this->key = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultExternalLocalizationRecordType


/**
 * Type for a single resourcePoolVmList query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultResourcePoolVMRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $status = null;
    protected $containerName = null;
    protected $hardwareVersion = null;
    protected $isDeployed = null;
    protected $name = null;
    protected $guestOs = null;
    protected $isBusy = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $status - [optional] an attribute, 
    * @param string $containerName - [optional] an attribute, 
    * @param int $hardwareVersion - [optional] an attribute, 
    * @param boolean $isDeployed - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $guestOs - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $status=null, $containerName=null, $hardwareVersion=null, $isDeployed=null, $name=null, $guestOs=null, $isBusy=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->status = $status;
        $this->containerName = $containerName;
        $this->hardwareVersion = $hardwareVersion;
        $this->isDeployed = $isDeployed;
        $this->name = $name;
        $this->guestOs = $guestOs;
        $this->isBusy = $isBusy;
        $this->tagName = 'ResourcePoolVMRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_containerName(){
        return $this->containerName;
    }
    public function set_containerName($containerName) {
        $this->containerName = $containerName;
    }
    public function get_hardwareVersion(){
        return $this->hardwareVersion;
    }
    public function set_hardwareVersion($hardwareVersion) {
        $this->hardwareVersion = $hardwareVersion;
    }
    public function get_isDeployed(){
        return $this->isDeployed;
    }
    public function set_isDeployed($isDeployed) {
        $this->isDeployed = $isDeployed;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_guestOs(){
        return $this->guestOs;
    }
    public function set_guestOs($guestOs) {
        $this->guestOs = $guestOs;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        }
        if (!is_null($this->containerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'containerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'containerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->containerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='containerName')));
        }
        if (!is_null($this->hardwareVersion)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'hardwareVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'hardwareVersion=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->hardwareVersion, $input_name='hardwareVersion')));
        }
        if (!is_null($this->isDeployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isDeployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isDeployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isDeployed, $input_name='isDeployed')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->guestOs)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'guestOs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'guestOs=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->guestOs, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='guestOs')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndcontainerName = $attrs->getNamedItem('containerName');
        if (!is_null($ndcontainerName)) {
            $this->containerName = $ndcontainerName->value;
            if (isset($ndcontainerName->prefix)) {
                $this->namespace['containerName'] = $ndcontainerName->prefix;
                $nsUri = $ndcontainerName->lookupNamespaceURI($ndcontainerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'containerName');
        } else {
            $this->containerName = null;
        }
        $ndhardwareVersion = $attrs->getNamedItem('hardwareVersion');
        if (!is_null($ndhardwareVersion)) {
            $this->hardwareVersion = sprintf('%d', $ndhardwareVersion->value);
            if (isset($ndhardwareVersion->prefix)) {
                $this->namespace['hardwareVersion'] = $ndhardwareVersion->prefix;
                $nsUri = $ndhardwareVersion->lookupNamespaceURI($ndhardwareVersion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'hardwareVersion');
        } else {
            $this->hardwareVersion = null;
        }
        $ndisDeployed = $attrs->getNamedItem('isDeployed');
        if (!is_null($ndisDeployed)) {
            $this->isDeployed = VMware_VCloud_API_Helper::get_boolean($ndisDeployed->value);
            if (isset($ndisDeployed->prefix)) {
                $this->namespace['isDeployed'] = $ndisDeployed->prefix;
                $nsUri = $ndisDeployed->lookupNamespaceURI($ndisDeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isDeployed');
        } else {
            $this->isDeployed = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndguestOs = $attrs->getNamedItem('guestOs');
        if (!is_null($ndguestOs)) {
            $this->guestOs = $ndguestOs->value;
            if (isset($ndguestOs->prefix)) {
                $this->namespace['guestOs'] = $ndguestOs->prefix;
                $nsUri = $ndguestOs->lookupNamespaceURI($ndguestOs->prefix);
            }
            $node->removeAttributeNS($nsUri, 'guestOs');
        } else {
            $this->guestOs = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultResourcePoolVMRecordType


/**
 * Represents a vCloud Session.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SessionType extends VMware_VCloud_API_ResourceType {
    protected $org = null;
    protected $userId = null;
    protected $user = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $org - [optional] an attribute, 
    * @param string $userId - [optional] an attribute, 
    * @param string $user - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $org=null, $userId=null, $user=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->org = $org;
        $this->userId = $userId;
        $this->user = $user;
        $this->tagName = 'Session';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_userId(){
        return $this->userId;
    }
    public function set_userId($userId) {
        $this->userId = $userId;
    }
    public function get_user(){
        return $this->user;
    }
    public function set_user($user) {
        $this->user = $user;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->userId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'userId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'userId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->userId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='userId')));
        }
        if (!is_null($this->user)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'user', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'user=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->user, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='user')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $nduserId = $attrs->getNamedItem('userId');
        if (!is_null($nduserId)) {
            $this->userId = $nduserId->value;
            if (isset($nduserId->prefix)) {
                $this->namespace['userId'] = $nduserId->prefix;
                $nsUri = $nduserId->lookupNamespaceURI($nduserId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'userId');
        } else {
            $this->userId = null;
        }
        $nduser = $attrs->getNamedItem('user');
        if (!is_null($nduser)) {
            $this->user = $nduser->value;
            if (isset($nduser->prefix)) {
                $this->namespace['user'] = $nduser->prefix;
                $nsUri = $nduser->lookupNamespaceURI($nduser->prefix);
            }
            $node->removeAttributeNS($nsUri, 'user');
        } else {
            $this->user = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SessionType


/**
 * Lists links to API extensibility operations and entities.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ApiExtensibilityType extends VMware_VCloud_API_ResourceType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->tagName = 'ApiExtensibility';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ApiExtensibilityType


/**
 * Represents a list of API versions supported by an ApiVendor.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VersionsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Version = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Version - [optional] an array of string
    */
    public function __construct($VCloudExtension=null, $Version=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Version)) {
            $this->Version = $Version;
        }
        $this->tagName = 'SupportedApiVersions';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVersion() {
        return $this->Version;
    }
    public function setVersion($Version) { 
        $this->Version = $Version;
    }
    public function addVersion($value) { array_push($this->Version, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Version)) {
            foreach ($this->Version as $Version) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Version', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Version>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($Version, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Version')) . "</" . $ns . "Version>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Version) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Version') {
            $sval = $child->nodeValue;
            array_push($this->Version, $sval);
            if (!empty($namespace)) {
                $this->namespace['Version'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VersionsType


/**
 * Represents a file required by an extension API definition.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_FileDescriptorType extends VMware_VCloud_API_IdentifiableResourceType {
    protected $Description = null;
    protected $File = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_ReferenceType $File - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $Description=null, $File=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id);
        $this->Description = $Description;
        $this->File = $File;
        $this->tagName = 'FileDescriptor';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getFile() {
        return $this->File;
    }
    public function setFile($File) { 
        $this->File = $File;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->File)) {
            $out = $this->File->export('File', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Description) ||
            !is_null($this->File) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'File') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('File');
            $this->setFile($obj);
            if (!empty($namespace)) {
                $this->namespace['File'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_FileDescriptorType


/**
 * Parameters for creating an organization vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CreateVdcParamsType extends VMware_VCloud_API_ParamsType {
    protected $AllocationModel = null;
    protected $ComputeCapacity = null;
    protected $NicQuota = null;
    protected $NetworkQuota = null;
    protected $VmQuota = null;
    protected $IsEnabled = null;
    protected $VdcStorageProfile = array();
    protected $ResourceGuaranteedMemory = null;
    protected $ResourceGuaranteedCpu = null;
    protected $VCpuInMhz = null;
    protected $IsThinProvision = null;
    protected $NetworkPoolReference = null;
    protected $ProviderVdcReference = null;
    protected $UsesFastProvisioning = null;
    protected $OverCommitAllowed = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param string $AllocationModel - [required] 
    * @param VMware_VCloud_API_ComputeCapacityType $ComputeCapacity - [required]
    * @param int $NicQuota - [required] 
    * @param int $NetworkQuota - [required] 
    * @param int $VmQuota - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param array $VdcStorageProfile - [required] an array of VMware_VCloud_API_VdcStorageProfileParamsType objects
    * @param float $ResourceGuaranteedMemory - [optional] 
    * @param float $ResourceGuaranteedCpu - [optional] 
    * @param int $VCpuInMhz - [optional] 
    * @param boolean $IsThinProvision - [optional] 
    * @param VMware_VCloud_API_ReferenceType $NetworkPoolReference - [optional]
    * @param VMware_VCloud_API_ReferenceType $ProviderVdcReference - [optional]
    * @param boolean $UsesFastProvisioning - [optional] 
    * @param boolean $OverCommitAllowed - [optional] default 'true'
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $AllocationModel=null, $ComputeCapacity=null, $NicQuota=null, $NetworkQuota=null, $VmQuota=null, $IsEnabled=null, $VdcStorageProfile=null, $ResourceGuaranteedMemory=null, $ResourceGuaranteedCpu=null, $VCpuInMhz=null, $IsThinProvision=null, $NetworkPoolReference=null, $ProviderVdcReference=null, $UsesFastProvisioning=null, $OverCommitAllowed=True) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->AllocationModel = $AllocationModel;
        $this->ComputeCapacity = $ComputeCapacity;
        $this->NicQuota = $NicQuota;
        $this->NetworkQuota = $NetworkQuota;
        $this->VmQuota = $VmQuota;
        $this->IsEnabled = $IsEnabled;
        if (!is_null($VdcStorageProfile)) {
            $this->VdcStorageProfile = $VdcStorageProfile;
        }
        $this->ResourceGuaranteedMemory = $ResourceGuaranteedMemory;
        $this->ResourceGuaranteedCpu = $ResourceGuaranteedCpu;
        $this->VCpuInMhz = $VCpuInMhz;
        $this->IsThinProvision = $IsThinProvision;
        $this->NetworkPoolReference = $NetworkPoolReference;
        $this->ProviderVdcReference = $ProviderVdcReference;
        $this->UsesFastProvisioning = $UsesFastProvisioning;
        $this->OverCommitAllowed = $OverCommitAllowed;
        $this->tagName = 'CreateVdcParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAllocationModel() {
        return $this->AllocationModel;
    }
    public function setAllocationModel($AllocationModel) { 
        $this->AllocationModel = $AllocationModel;
    }
    public function getComputeCapacity() {
        return $this->ComputeCapacity;
    }
    public function setComputeCapacity($ComputeCapacity) { 
        $this->ComputeCapacity = $ComputeCapacity;
    }
    public function getNicQuota() {
        return $this->NicQuota;
    }
    public function setNicQuota($NicQuota) { 
        $this->NicQuota = $NicQuota;
    }
    public function getNetworkQuota() {
        return $this->NetworkQuota;
    }
    public function setNetworkQuota($NetworkQuota) { 
        $this->NetworkQuota = $NetworkQuota;
    }
    public function getVmQuota() {
        return $this->VmQuota;
    }
    public function setVmQuota($VmQuota) { 
        $this->VmQuota = $VmQuota;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function addVdcStorageProfile($value) { array_push($this->VdcStorageProfile, $value); }
    public function getResourceGuaranteedMemory() {
        return $this->ResourceGuaranteedMemory;
    }
    public function setResourceGuaranteedMemory($ResourceGuaranteedMemory) { 
        $this->ResourceGuaranteedMemory = $ResourceGuaranteedMemory;
    }
    public function getResourceGuaranteedCpu() {
        return $this->ResourceGuaranteedCpu;
    }
    public function setResourceGuaranteedCpu($ResourceGuaranteedCpu) { 
        $this->ResourceGuaranteedCpu = $ResourceGuaranteedCpu;
    }
    public function getVCpuInMhz() {
        return $this->VCpuInMhz;
    }
    public function setVCpuInMhz($VCpuInMhz) { 
        $this->VCpuInMhz = $VCpuInMhz;
    }
    public function getIsThinProvision() {
        return $this->IsThinProvision;
    }
    public function setIsThinProvision($IsThinProvision) { 
        $this->IsThinProvision = $IsThinProvision;
    }
    public function getNetworkPoolReference() {
        return $this->NetworkPoolReference;
    }
    public function setNetworkPoolReference($NetworkPoolReference) { 
        $this->NetworkPoolReference = $NetworkPoolReference;
    }
    public function getProviderVdcReference() {
        return $this->ProviderVdcReference;
    }
    public function setProviderVdcReference($ProviderVdcReference) { 
        $this->ProviderVdcReference = $ProviderVdcReference;
    }
    public function getUsesFastProvisioning() {
        return $this->UsesFastProvisioning;
    }
    public function setUsesFastProvisioning($UsesFastProvisioning) { 
        $this->UsesFastProvisioning = $UsesFastProvisioning;
    }
    public function getOverCommitAllowed() {
        return $this->OverCommitAllowed;
    }
    public function setOverCommitAllowed($OverCommitAllowed) { 
        $this->OverCommitAllowed = $OverCommitAllowed;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AllocationModel)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AllocationModel', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AllocationModel>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AllocationModel, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AllocationModel')) . "</" . $ns . "AllocationModel>\n");
        }
        if (!is_null($this->ComputeCapacity)) {
            $out = $this->ComputeCapacity->export('ComputeCapacity', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->NicQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NicQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NicQuota>" . VMware_VCloud_API_Helper::format_integer($this->NicQuota, $input_name='NicQuota') . "</" . $ns . "NicQuota>\n");
        }
        if (!is_null($this->NetworkQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NetworkQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NetworkQuota>" . VMware_VCloud_API_Helper::format_integer($this->NetworkQuota, $input_name='NetworkQuota') . "</" . $ns . "NetworkQuota>\n");
        }
        if (!is_null($this->VmQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmQuota>" . VMware_VCloud_API_Helper::format_integer($this->VmQuota, $input_name='VmQuota') . "</" . $ns . "VmQuota>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (isset($this->VdcStorageProfile)) {
            foreach ($this->VdcStorageProfile as $VdcStorageProfile) {
                $out = $VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->ResourceGuaranteedMemory)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ResourceGuaranteedMemory', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ResourceGuaranteedMemory>" . VMware_VCloud_API_Helper::format_double($this->ResourceGuaranteedMemory, $input_name='ResourceGuaranteedMemory') . "</" . $ns . "ResourceGuaranteedMemory>\n");
        }
        if (!is_null($this->ResourceGuaranteedCpu)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ResourceGuaranteedCpu', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ResourceGuaranteedCpu>" . VMware_VCloud_API_Helper::format_double($this->ResourceGuaranteedCpu, $input_name='ResourceGuaranteedCpu') . "</" . $ns . "ResourceGuaranteedCpu>\n");
        }
        if (!is_null($this->VCpuInMhz)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VCpuInMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VCpuInMhz>" . VMware_VCloud_API_Helper::format_integer($this->VCpuInMhz, $input_name='VCpuInMhz') . "</" . $ns . "VCpuInMhz>\n");
        }
        if (!is_null($this->IsThinProvision)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsThinProvision', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsThinProvision>" . VMware_VCloud_API_Helper::format_boolean($this->IsThinProvision, $input_name='IsThinProvision') . "</" . $ns . "IsThinProvision>\n");
        }
        if (!is_null($this->NetworkPoolReference)) {
            $out = $this->NetworkPoolReference->export('NetworkPoolReference', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ProviderVdcReference)) {
            $out = $this->ProviderVdcReference->export('ProviderVdcReference', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->UsesFastProvisioning)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsesFastProvisioning', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsesFastProvisioning>" . VMware_VCloud_API_Helper::format_boolean($this->UsesFastProvisioning, $input_name='UsesFastProvisioning') . "</" . $ns . "UsesFastProvisioning>\n");
        }
        if (!is_null($this->OverCommitAllowed)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OverCommitAllowed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OverCommitAllowed>" . VMware_VCloud_API_Helper::format_boolean($this->OverCommitAllowed, $input_name='OverCommitAllowed') . "</" . $ns . "OverCommitAllowed>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AllocationModel) ||
            !is_null($this->ComputeCapacity) ||
            !is_null($this->NicQuota) ||
            !is_null($this->NetworkQuota) ||
            !is_null($this->VmQuota) ||
            !is_null($this->IsEnabled) ||
            !empty($this->VdcStorageProfile) ||
            !is_null($this->ResourceGuaranteedMemory) ||
            !is_null($this->ResourceGuaranteedCpu) ||
            !is_null($this->VCpuInMhz) ||
            !is_null($this->IsThinProvision) ||
            !is_null($this->NetworkPoolReference) ||
            !is_null($this->ProviderVdcReference) ||
            !is_null($this->UsesFastProvisioning) ||
            !is_null($this->OverCommitAllowed) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllocationModel') {
            $sval = $child->nodeValue;
            $this->AllocationModel = $sval;
            if (!empty($namespace)) {
                $this->namespace['AllocationModel'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComputeCapacity') {
            $obj = new VMware_VCloud_API_ComputeCapacityType();
            $obj->build($child);
            $obj->set_tagName('ComputeCapacity');
            $this->setComputeCapacity($obj);
            if (!empty($namespace)) {
                $this->namespace['ComputeCapacity'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NicQuota') {
            $sval = $child->nodeValue;
            $this->NicQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['NicQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkQuota') {
            $sval = $child->nodeValue;
            $this->NetworkQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['NetworkQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmQuota') {
            $sval = $child->nodeValue;
            $this->VmQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_VdcStorageProfileParamsType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            array_push($this->VdcStorageProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceGuaranteedMemory') {
            $sval = $child->nodeValue;
            $this->ResourceGuaranteedMemory = $sval;
            if (!empty($namespace)) {
                $this->namespace['ResourceGuaranteedMemory'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceGuaranteedCpu') {
            $sval = $child->nodeValue;
            $this->ResourceGuaranteedCpu = $sval;
            if (!empty($namespace)) {
                $this->namespace['ResourceGuaranteedCpu'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VCpuInMhz') {
            $sval = $child->nodeValue;
            $this->VCpuInMhz = $sval;
            if (!empty($namespace)) {
                $this->namespace['VCpuInMhz'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsThinProvision') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsThinProvision = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsThinProvision'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReference');
            $this->setNetworkPoolReference($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcReference');
            $this->setProviderVdcReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsesFastProvisioning') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UsesFastProvisioning = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsesFastProvisioning'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OverCommitAllowed') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->OverCommitAllowed = $sval;
            if (!empty($namespace)) {
                $this->namespace['OverCommitAllowed'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CreateVdcParamsType


/**
 * List of organization vDCs backed by this Provider vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VdcReferencesType extends VMware_VCloud_API_ResourceType {
    protected $VdcReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $VdcReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $VdcReference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($VdcReference)) {
            $this->VdcReference = $VdcReference;
        }
        $this->tagName = 'VdcReferences';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVdcReference() {
        return $this->VdcReference;
    }
    public function setVdcReference($VdcReference) { 
        $this->VdcReference = $VdcReference;
    }
    public function addVdcReference($value) { array_push($this->VdcReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VdcReference)) {
            foreach ($this->VdcReference as $VdcReference) {
                $out = $VdcReference->export('VdcReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VdcReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcReference');
            array_push($this->VdcReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VdcReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VdcReferencesType


/**
 * Represents resource capacity in a Provider vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ProviderVdcCapacityType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Units = null;
    protected $Allocation = null;
    protected $Reserved = null;
    protected $Total = null;
    protected $Used = null;
    protected $Overhead = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Units - [required] 
    * @param int $Allocation - [optional] 
    * @param int $Reserved - [optional] 
    * @param int $Total - [required] 
    * @param int $Used - [optional] 
    * @param int $Overhead - [optional] 
    */
    public function __construct($VCloudExtension=null, $Units=null, $Allocation=null, $Reserved=null, $Total=null, $Used=null, $Overhead=null) {
        parent::__construct($VCloudExtension);
        $this->Units = $Units;
        $this->Allocation = $Allocation;
        $this->Reserved = $Reserved;
        $this->Total = $Total;
        $this->Used = $Used;
        $this->Overhead = $Overhead;
        $this->tagName = 'StorageCapacity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUnits() {
        return $this->Units;
    }
    public function setUnits($Units) { 
        $this->Units = $Units;
    }
    public function getAllocation() {
        return $this->Allocation;
    }
    public function setAllocation($Allocation) { 
        $this->Allocation = $Allocation;
    }
    public function getReserved() {
        return $this->Reserved;
    }
    public function setReserved($Reserved) { 
        $this->Reserved = $Reserved;
    }
    public function getTotal() {
        return $this->Total;
    }
    public function setTotal($Total) { 
        $this->Total = $Total;
    }
    public function getUsed() {
        return $this->Used;
    }
    public function setUsed($Used) { 
        $this->Used = $Used;
    }
    public function getOverhead() {
        return $this->Overhead;
    }
    public function setOverhead($Overhead) { 
        $this->Overhead = $Overhead;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Units)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Units', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Units>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Units, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Units')) . "</" . $ns . "Units>\n");
        }
        if (!is_null($this->Allocation)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Allocation', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Allocation>" . VMware_VCloud_API_Helper::format_integer($this->Allocation, $input_name='Allocation') . "</" . $ns . "Allocation>\n");
        }
        if (!is_null($this->Reserved)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Reserved', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Reserved>" . VMware_VCloud_API_Helper::format_integer($this->Reserved, $input_name='Reserved') . "</" . $ns . "Reserved>\n");
        }
        if (!is_null($this->Total)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Total', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Total>" . VMware_VCloud_API_Helper::format_integer($this->Total, $input_name='Total') . "</" . $ns . "Total>\n");
        }
        if (!is_null($this->Used)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Used', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Used>" . VMware_VCloud_API_Helper::format_integer($this->Used, $input_name='Used') . "</" . $ns . "Used>\n");
        }
        if (!is_null($this->Overhead)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Overhead', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Overhead>" . VMware_VCloud_API_Helper::format_integer($this->Overhead, $input_name='Overhead') . "</" . $ns . "Overhead>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Units) ||
            !is_null($this->Allocation) ||
            !is_null($this->Reserved) ||
            !is_null($this->Total) ||
            !is_null($this->Used) ||
            !is_null($this->Overhead) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Units') {
            $sval = $child->nodeValue;
            $this->Units = $sval;
            if (!empty($namespace)) {
                $this->namespace['Units'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Allocation') {
            $sval = $child->nodeValue;
            $this->Allocation = $sval;
            if (!empty($namespace)) {
                $this->namespace['Allocation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Reserved') {
            $sval = $child->nodeValue;
            $this->Reserved = $sval;
            if (!empty($namespace)) {
                $this->namespace['Reserved'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Total') {
            $sval = $child->nodeValue;
            $this->Total = $sval;
            if (!empty($namespace)) {
                $this->namespace['Total'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Used') {
            $sval = $child->nodeValue;
            $this->Used = $sval;
            if (!empty($namespace)) {
                $this->namespace['Used'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Overhead') {
            $sval = $child->nodeValue;
            $this->Overhead = $sval;
            if (!empty($namespace)) {
                $this->namespace['Overhead'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ProviderVdcCapacityType


/**
 * Represents compute capacity with units.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RootComputeCapacityType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Cpu = null;
    protected $Memory = null;
    protected $IsElastic = null;
    protected $IsHA = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ProviderVdcCapacityType $Cpu - [required]
    * @param VMware_VCloud_API_ProviderVdcCapacityType $Memory - [required]
    * @param boolean $IsElastic - [optional] 
    * @param boolean $IsHA - [optional] 
    */
    public function __construct($VCloudExtension=null, $Cpu=null, $Memory=null, $IsElastic=null, $IsHA=null) {
        parent::__construct($VCloudExtension);
        $this->Cpu = $Cpu;
        $this->Memory = $Memory;
        $this->IsElastic = $IsElastic;
        $this->IsHA = $IsHA;
        $this->tagName = 'ComputeCapacity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCpu() {
        return $this->Cpu;
    }
    public function setCpu($Cpu) { 
        $this->Cpu = $Cpu;
    }
    public function getMemory() {
        return $this->Memory;
    }
    public function setMemory($Memory) { 
        $this->Memory = $Memory;
    }
    public function getIsElastic() {
        return $this->IsElastic;
    }
    public function setIsElastic($IsElastic) { 
        $this->IsElastic = $IsElastic;
    }
    public function getIsHA() {
        return $this->IsHA;
    }
    public function setIsHA($IsHA) { 
        $this->IsHA = $IsHA;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Cpu)) {
            $out = $this->Cpu->export('Cpu', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Memory)) {
            $out = $this->Memory->export('Memory', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IsElastic)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsElastic', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsElastic>" . VMware_VCloud_API_Helper::format_boolean($this->IsElastic, $input_name='IsElastic') . "</" . $ns . "IsElastic>\n");
        }
        if (!is_null($this->IsHA)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsHA', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsHA>" . VMware_VCloud_API_Helper::format_boolean($this->IsHA, $input_name='IsHA') . "</" . $ns . "IsHA>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Cpu) ||
            !is_null($this->Memory) ||
            !is_null($this->IsElastic) ||
            !is_null($this->IsHA) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Cpu') {
            $obj = new VMware_VCloud_API_ProviderVdcCapacityType();
            $obj->build($child);
            $obj->set_tagName('Cpu');
            $this->setCpu($obj);
            if (!empty($namespace)) {
                $this->namespace['Cpu'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Memory') {
            $obj = new VMware_VCloud_API_ProviderVdcCapacityType();
            $obj->build($child);
            $obj->set_tagName('Memory');
            $this->setMemory($obj);
            if (!empty($namespace)) {
                $this->namespace['Memory'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsElastic') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsElastic = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsElastic'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsHA') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsHA = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsHA'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RootComputeCapacityType


/**
 * Container for references to network pools in this vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkPoolReferencesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $NetworkPoolReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $NetworkPoolReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $NetworkPoolReference=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($NetworkPoolReference)) {
            $this->NetworkPoolReference = $NetworkPoolReference;
        }
        $this->tagName = 'NetworkPoolReferences';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetworkPoolReference() {
        return $this->NetworkPoolReference;
    }
    public function setNetworkPoolReference($NetworkPoolReference) { 
        $this->NetworkPoolReference = $NetworkPoolReference;
    }
    public function addNetworkPoolReference($value) { array_push($this->NetworkPoolReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->NetworkPoolReference)) {
            foreach ($this->NetworkPoolReference as $NetworkPoolReference) {
                $out = $NetworkPoolReference->export('NetworkPoolReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->NetworkPoolReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReference');
            array_push($this->NetworkPoolReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkPoolReferencesType


/**
 * Container for references to storage profiles associated with a  Provider vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ProviderVdcStorageProfilesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ProviderVdcStorageProfile = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ProviderVdcStorageProfile - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $ProviderVdcStorageProfile=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ProviderVdcStorageProfile)) {
            $this->ProviderVdcStorageProfile = $ProviderVdcStorageProfile;
        }
        $this->tagName = 'ProviderVdcStorageProfiles';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProviderVdcStorageProfile() {
        return $this->ProviderVdcStorageProfile;
    }
    public function setProviderVdcStorageProfile($ProviderVdcStorageProfile) { 
        $this->ProviderVdcStorageProfile = $ProviderVdcStorageProfile;
    }
    public function addProviderVdcStorageProfile($value) { array_push($this->ProviderVdcStorageProfile, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ProviderVdcStorageProfile)) {
            foreach ($this->ProviderVdcStorageProfile as $ProviderVdcStorageProfile) {
                $out = $ProviderVdcStorageProfile->export('ProviderVdcStorageProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ProviderVdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfile');
            array_push($this->ProviderVdcStorageProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ProviderVdcStorageProfilesType


/**
 * Represents the parameters to create a storage profile in an organization vDC  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VdcStorageProfileParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Enabled = null;
    protected $Units = null;
    protected $Limit = null;
    protected $Default = null;
    protected $ProviderVdcStorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $Enabled - [optional] 
    * @param string $Units - [required] 
    * @param int $Limit - [required] 
    * @param boolean $Default - [required] 
    * @param VMware_VCloud_API_ReferenceType $ProviderVdcStorageProfile - [required]
    */
    public function __construct($VCloudExtension=null, $Enabled=null, $Units=null, $Limit=null, $Default=null, $ProviderVdcStorageProfile=null) {
        parent::__construct($VCloudExtension);
        $this->Enabled = $Enabled;
        $this->Units = $Units;
        $this->Limit = $Limit;
        $this->Default = $Default;
        $this->ProviderVdcStorageProfile = $ProviderVdcStorageProfile;
        $this->tagName = 'VdcStorageProfileParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function getUnits() {
        return $this->Units;
    }
    public function setUnits($Units) { 
        $this->Units = $Units;
    }
    public function getLimit() {
        return $this->Limit;
    }
    public function setLimit($Limit) { 
        $this->Limit = $Limit;
    }
    public function getDefault() {
        return $this->Default;
    }
    public function setDefault($Default) { 
        $this->Default = $Default;
    }
    public function getProviderVdcStorageProfile() {
        return $this->ProviderVdcStorageProfile;
    }
    public function setProviderVdcStorageProfile($ProviderVdcStorageProfile) { 
        $this->ProviderVdcStorageProfile = $ProviderVdcStorageProfile;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
        }
        if (!is_null($this->Units)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Units', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Units>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Units, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Units')) . "</" . $ns . "Units>\n");
        }
        if (!is_null($this->Limit)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Limit', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Limit>" . VMware_VCloud_API_Helper::format_integer($this->Limit, $input_name='Limit') . "</" . $ns . "Limit>\n");
        }
        if (!is_null($this->Default)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Default', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Default>" . VMware_VCloud_API_Helper::format_boolean($this->Default, $input_name='Default') . "</" . $ns . "Default>\n");
     }
        if (!is_null($this->ProviderVdcStorageProfile)) {
            $out = $this->ProviderVdcStorageProfile->export('ProviderVdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Enabled) ||
            !is_null($this->Units) ||
            !is_null($this->Limit) ||
            !is_null($this->Default) ||
            !is_null($this->ProviderVdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Units') {
            $sval = $child->nodeValue;
            $this->Units = $sval;
            if (!empty($namespace)) {
                $this->namespace['Units'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Limit') {
            $sval = $child->nodeValue;
            $this->Limit = $sval;
            if (!empty($namespace)) {
                $this->namespace['Limit'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Default') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Default = $sval;
            if (!empty($namespace)) {
                $this->namespace['Default'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfile');
            $this->setProviderVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VdcStorageProfileParamsType


/**
 * Parameters for updating storage profiles in an organization vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_UpdateVdcStorageProfilesType extends VMware_VCloud_API_ParamsType {
    protected $AddStorageProfile = array();
    protected $RemoveStorageProfile = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param array $AddStorageProfile - [optional] an array of VMware_VCloud_API_VdcStorageProfileParamsType objects
    * @param array $RemoveStorageProfile - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $AddStorageProfile=null, $RemoveStorageProfile=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        if (!is_null($AddStorageProfile)) {
            $this->AddStorageProfile = $AddStorageProfile;
        }
        if (!is_null($RemoveStorageProfile)) {
            $this->RemoveStorageProfile = $RemoveStorageProfile;
        }
        $this->tagName = 'UpdateVdcStorageProfiles';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAddStorageProfile() {
        return $this->AddStorageProfile;
    }
    public function setAddStorageProfile($AddStorageProfile) { 
        $this->AddStorageProfile = $AddStorageProfile;
    }
    public function addAddStorageProfile($value) { array_push($this->AddStorageProfile, $value); }
    public function getRemoveStorageProfile() {
        return $this->RemoveStorageProfile;
    }
    public function setRemoveStorageProfile($RemoveStorageProfile) { 
        $this->RemoveStorageProfile = $RemoveStorageProfile;
    }
    public function addRemoveStorageProfile($value) { array_push($this->RemoveStorageProfile, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->AddStorageProfile)) {
            foreach ($this->AddStorageProfile as $AddStorageProfile) {
                $out = $AddStorageProfile->export('AddStorageProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->RemoveStorageProfile)) {
            foreach ($this->RemoveStorageProfile as $RemoveStorageProfile) {
                $out = $RemoveStorageProfile->export('RemoveStorageProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->AddStorageProfile) ||
            !empty($this->RemoveStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AddStorageProfile') {
            $obj = new VMware_VCloud_API_VdcStorageProfileParamsType();
            $obj->build($child);
            $obj->set_tagName('AddStorageProfile');
            array_push($this->AddStorageProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['AddStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RemoveStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RemoveStorageProfile');
            array_push($this->RemoveStorageProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['RemoveStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_UpdateVdcStorageProfilesType


/**
 * Basic entity type in the vCloud object model.  Includes a name, an optional description, and an optional list  of links.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_EntityType extends VMware_VCloud_API_IdentifiableResourceType {
    protected $name = null;
    protected $Description = null;
    protected $Tasks = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id);
        $this->name = $name;
        $this->Description = $Description;
        $this->Tasks = $Tasks;
        $this->tagName = 'Entity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getTasks() {
        return $this->Tasks;
    }
    public function setTasks($Tasks) { 
        $this->Tasks = $Tasks;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->Tasks)) {
            $out = $this->Tasks->export('Tasks', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Description) ||
            !is_null($this->Tasks) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Tasks') {
            $obj = new VMware_VCloud_API_TasksInProgressType();
            $obj->build($child);
            $obj->set_tagName('Tasks');
            $this->setTasks($obj);
            if (!empty($namespace)) {
                $this->namespace['Tasks'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_EntityType


/**
 * A reference to a vCloud entity.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_EntityReferenceType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $type = null;
    protected $id = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $type - [optional] an attribute, 
    * @param string $id - [required] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $type=null, $id=null, $name=null) {
        parent::__construct($VCloudExtension);
        $this->type = $type;
        $this->id = $id;
        $this->name = $name;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_id(){
        return $this->id;
    }
    public function set_id($id) {
        $this->id = $id;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'id', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'id=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->id, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='id')));
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        $ndid = $attrs->getNamedItem('id');
        if (!is_null($ndid)) {
            $this->id = $ndid->value;
            if (isset($ndid->prefix)) {
                $this->namespace['id'] = $ndid->prefix;
                $nsUri = $ndid->lookupNamespaceURI($ndid->prefix);
            }
            $node->removeAttributeNS($nsUri, 'id');
        } else {
            $this->id = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_EntityReferenceType


/**
 * Extends EntityReference type by adding relation attribute.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_EntityLinkType extends VMware_VCloud_API_EntityReferenceType {
    protected $rel = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $type - [optional] an attribute, 
    * @param string $id - [required] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $rel - [required] an attribute, 
    */
    public function __construct($VCloudExtension=null, $type=null, $id=null, $name=null, $rel=null) {
        parent::__construct($VCloudExtension, $type, $id, $name);
        $this->rel = $rel;
        $this->tagName = 'EntityLink';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_rel(){
        return $this->rel;
    }
    public function set_rel($rel) {
        $this->rel = $rel;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'rel', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'rel=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->rel, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='rel')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndrel = $attrs->getNamedItem('rel');
        if (!is_null($ndrel)) {
            $this->rel = $ndrel->value;
            if (isset($ndrel->prefix)) {
                $this->namespace['rel'] = $ndrel->prefix;
                $nsUri = $ndrel->lookupNamespaceURI($ndrel->prefix);
            }
            $node->removeAttributeNS($nsUri, 'rel');
        } else {
            $this->rel = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_EntityLinkType


/**
 * A list of queued, running, or recently completed tasks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_TasksInProgressType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Task = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Task - [optional] an array of VMware_VCloud_API_TaskType objects
    */
    public function __construct($VCloudExtension=null, $Task=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Task)) {
            $this->Task = $Task;
        }
        $this->tagName = 'Tasks';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getTask() {
        return $this->Task;
    }
    public function setTask($Task) { 
        $this->Task = $Task;
    }
    public function addTask($value) { array_push($this->Task, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Task)) {
            foreach ($this->Task as $Task) {
                $out = $Task->export('Task', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Task) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Task') {
            $obj = new VMware_VCloud_API_TaskType();
            $obj->build($child);
            $obj->set_tagName('Task');
            array_push($this->Task, $obj);
            if (!empty($namespace)) {
                $this->namespace['Task'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_TasksInProgressType


/**
 * Represents a local or imported user.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_UserType extends VMware_VCloud_API_EntityType {
    protected $FullName = null;
    protected $EmailAddress = null;
    protected $Telephone = null;
    protected $IsEnabled = null;
    protected $IsLocked = null;
    protected $IM = null;
    protected $NameInSource = null;
    protected $IsAlertEnabled = null;
    protected $AlertEmailPrefix = null;
    protected $AlertEmail = null;
    protected $IsExternal = null;
    protected $ProviderType = null;
    protected $IsDefaultCached = null;
    protected $IsGroupRole = null;
    protected $StoredVmQuota = null;
    protected $DeployedVmQuota = null;
    protected $Role = null;
    protected $Password = null;
    protected $GroupReferences = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $FullName - [optional] 
    * @param string $EmailAddress - [optional] 
    * @param string $Telephone - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param boolean $IsLocked - [optional] 
    * @param string $IM - [optional] 
    * @param string $NameInSource - [optional] 
    * @param boolean $IsAlertEnabled - [optional] 
    * @param string $AlertEmailPrefix - [optional] 
    * @param string $AlertEmail - [optional] 
    * @param boolean $IsExternal - [optional] 
    * @param string $ProviderType - [optional] 
    * @param boolean $IsDefaultCached - [optional] 
    * @param boolean $IsGroupRole - [optional] 
    * @param int $StoredVmQuota - [optional] 
    * @param int $DeployedVmQuota - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Role - [optional]
    * @param string $Password - [optional] 
    * @param VMware_VCloud_API_GroupsListType $GroupReferences - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $FullName=null, $EmailAddress=null, $Telephone=null, $IsEnabled=null, $IsLocked=null, $IM=null, $NameInSource=null, $IsAlertEnabled=null, $AlertEmailPrefix=null, $AlertEmail=null, $IsExternal=null, $ProviderType=null, $IsDefaultCached=null, $IsGroupRole=null, $StoredVmQuota=null, $DeployedVmQuota=null, $Role=null, $Password=null, $GroupReferences=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->FullName = $FullName;
        $this->EmailAddress = $EmailAddress;
        $this->Telephone = $Telephone;
        $this->IsEnabled = $IsEnabled;
        $this->IsLocked = $IsLocked;
        $this->IM = $IM;
        $this->NameInSource = $NameInSource;
        $this->IsAlertEnabled = $IsAlertEnabled;
        $this->AlertEmailPrefix = $AlertEmailPrefix;
        $this->AlertEmail = $AlertEmail;
        $this->IsExternal = $IsExternal;
        $this->ProviderType = $ProviderType;
        $this->IsDefaultCached = $IsDefaultCached;
        $this->IsGroupRole = $IsGroupRole;
        $this->StoredVmQuota = $StoredVmQuota;
        $this->DeployedVmQuota = $DeployedVmQuota;
        $this->Role = $Role;
        $this->Password = $Password;
        $this->GroupReferences = $GroupReferences;
        $this->tagName = 'User';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getFullName() {
        return $this->FullName;
    }
    public function setFullName($FullName) { 
        $this->FullName = $FullName;
    }
    public function getEmailAddress() {
        return $this->EmailAddress;
    }
    public function setEmailAddress($EmailAddress) { 
        $this->EmailAddress = $EmailAddress;
    }
    public function getTelephone() {
        return $this->Telephone;
    }
    public function setTelephone($Telephone) { 
        $this->Telephone = $Telephone;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getIsLocked() {
        return $this->IsLocked;
    }
    public function setIsLocked($IsLocked) { 
        $this->IsLocked = $IsLocked;
    }
    public function getIM() {
        return $this->IM;
    }
    public function setIM($IM) { 
        $this->IM = $IM;
    }
    public function getNameInSource() {
        return $this->NameInSource;
    }
    public function setNameInSource($NameInSource) { 
        $this->NameInSource = $NameInSource;
    }
    public function getIsAlertEnabled() {
        return $this->IsAlertEnabled;
    }
    public function setIsAlertEnabled($IsAlertEnabled) { 
        $this->IsAlertEnabled = $IsAlertEnabled;
    }
    public function getAlertEmailPrefix() {
        return $this->AlertEmailPrefix;
    }
    public function setAlertEmailPrefix($AlertEmailPrefix) { 
        $this->AlertEmailPrefix = $AlertEmailPrefix;
    }
    public function getAlertEmail() {
        return $this->AlertEmail;
    }
    public function setAlertEmail($AlertEmail) { 
        $this->AlertEmail = $AlertEmail;
    }
    public function getIsExternal() {
        return $this->IsExternal;
    }
    public function setIsExternal($IsExternal) { 
        $this->IsExternal = $IsExternal;
    }
    public function getProviderType() {
        return $this->ProviderType;
    }
    public function setProviderType($ProviderType) { 
        $this->ProviderType = $ProviderType;
    }
    public function getIsDefaultCached() {
        return $this->IsDefaultCached;
    }
    public function setIsDefaultCached($IsDefaultCached) { 
        $this->IsDefaultCached = $IsDefaultCached;
    }
    public function getIsGroupRole() {
        return $this->IsGroupRole;
    }
    public function setIsGroupRole($IsGroupRole) { 
        $this->IsGroupRole = $IsGroupRole;
    }
    public function getStoredVmQuota() {
        return $this->StoredVmQuota;
    }
    public function setStoredVmQuota($StoredVmQuota) { 
        $this->StoredVmQuota = $StoredVmQuota;
    }
    public function getDeployedVmQuota() {
        return $this->DeployedVmQuota;
    }
    public function setDeployedVmQuota($DeployedVmQuota) { 
        $this->DeployedVmQuota = $DeployedVmQuota;
    }
    public function getRole() {
        return $this->Role;
    }
    public function setRole($Role) { 
        $this->Role = $Role;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function getGroupReferences() {
        return $this->GroupReferences;
    }
    public function setGroupReferences($GroupReferences) { 
        $this->GroupReferences = $GroupReferences;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->FullName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FullName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FullName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->FullName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='FullName')) . "</" . $ns . "FullName>\n");
        }
        if (!is_null($this->EmailAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EmailAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EmailAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EmailAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EmailAddress')) . "</" . $ns . "EmailAddress>\n");
        }
        if (!is_null($this->Telephone)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Telephone', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Telephone>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Telephone, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Telephone')) . "</" . $ns . "Telephone>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->IsLocked)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsLocked', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsLocked>" . VMware_VCloud_API_Helper::format_boolean($this->IsLocked, $input_name='IsLocked') . "</" . $ns . "IsLocked>\n");
        }
        if (!is_null($this->IM)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IM', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IM>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->IM, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='IM')) . "</" . $ns . "IM>\n");
        }
        if (!is_null($this->NameInSource)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NameInSource', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NameInSource>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->NameInSource, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='NameInSource')) . "</" . $ns . "NameInSource>\n");
        }
        if (!is_null($this->IsAlertEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsAlertEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsAlertEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsAlertEnabled, $input_name='IsAlertEnabled') . "</" . $ns . "IsAlertEnabled>\n");
        }
        if (!is_null($this->AlertEmailPrefix)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AlertEmailPrefix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AlertEmailPrefix>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AlertEmailPrefix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AlertEmailPrefix')) . "</" . $ns . "AlertEmailPrefix>\n");
        }
        if (!is_null($this->AlertEmail)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AlertEmail', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AlertEmail>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AlertEmail, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AlertEmail')) . "</" . $ns . "AlertEmail>\n");
        }
        if (!is_null($this->IsExternal)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsExternal', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsExternal>" . VMware_VCloud_API_Helper::format_boolean($this->IsExternal, $input_name='IsExternal') . "</" . $ns . "IsExternal>\n");
        }
        if (!is_null($this->ProviderType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ProviderType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ProviderType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ProviderType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ProviderType')) . "</" . $ns . "ProviderType>\n");
        }
        if (!is_null($this->IsDefaultCached)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsDefaultCached', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsDefaultCached>" . VMware_VCloud_API_Helper::format_boolean($this->IsDefaultCached, $input_name='IsDefaultCached') . "</" . $ns . "IsDefaultCached>\n");
        }
        if (!is_null($this->IsGroupRole)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsGroupRole', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsGroupRole>" . VMware_VCloud_API_Helper::format_boolean($this->IsGroupRole, $input_name='IsGroupRole') . "</" . $ns . "IsGroupRole>\n");
        }
        if (!is_null($this->StoredVmQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StoredVmQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StoredVmQuota>" . VMware_VCloud_API_Helper::format_integer($this->StoredVmQuota, $input_name='StoredVmQuota') . "</" . $ns . "StoredVmQuota>\n");
        }
        if (!is_null($this->DeployedVmQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DeployedVmQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DeployedVmQuota>" . VMware_VCloud_API_Helper::format_integer($this->DeployedVmQuota, $input_name='DeployedVmQuota') . "</" . $ns . "DeployedVmQuota>\n");
        }
        if (!is_null($this->Role)) {
            $out = $this->Role->export('Role', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        if (!is_null($this->GroupReferences)) {
            $out = $this->GroupReferences->export('GroupReferences', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->FullName) ||
            !is_null($this->EmailAddress) ||
            !is_null($this->Telephone) ||
            !is_null($this->IsEnabled) ||
            !is_null($this->IsLocked) ||
            !is_null($this->IM) ||
            !is_null($this->NameInSource) ||
            !is_null($this->IsAlertEnabled) ||
            !is_null($this->AlertEmailPrefix) ||
            !is_null($this->AlertEmail) ||
            !is_null($this->IsExternal) ||
            !is_null($this->ProviderType) ||
            !is_null($this->IsDefaultCached) ||
            !is_null($this->IsGroupRole) ||
            !is_null($this->StoredVmQuota) ||
            !is_null($this->DeployedVmQuota) ||
            !is_null($this->Role) ||
            !is_null($this->Password) ||
            !is_null($this->GroupReferences) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FullName') {
            $sval = $child->nodeValue;
            $this->FullName = $sval;
            if (!empty($namespace)) {
                $this->namespace['FullName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EmailAddress') {
            $sval = $child->nodeValue;
            $this->EmailAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['EmailAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Telephone') {
            $sval = $child->nodeValue;
            $this->Telephone = $sval;
            if (!empty($namespace)) {
                $this->namespace['Telephone'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsLocked') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsLocked = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsLocked'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IM') {
            $sval = $child->nodeValue;
            $this->IM = $sval;
            if (!empty($namespace)) {
                $this->namespace['IM'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NameInSource') {
            $sval = $child->nodeValue;
            $this->NameInSource = $sval;
            if (!empty($namespace)) {
                $this->namespace['NameInSource'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsAlertEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsAlertEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsAlertEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AlertEmailPrefix') {
            $sval = $child->nodeValue;
            $this->AlertEmailPrefix = $sval;
            if (!empty($namespace)) {
                $this->namespace['AlertEmailPrefix'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AlertEmail') {
            $sval = $child->nodeValue;
            $this->AlertEmail = $sval;
            if (!empty($namespace)) {
                $this->namespace['AlertEmail'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsExternal') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsExternal = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsExternal'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderType') {
            $sval = $child->nodeValue;
            $this->ProviderType = $sval;
            if (!empty($namespace)) {
                $this->namespace['ProviderType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsDefaultCached') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsDefaultCached = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsDefaultCached'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsGroupRole') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsGroupRole = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsGroupRole'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StoredVmQuota') {
            $sval = $child->nodeValue;
            $this->StoredVmQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['StoredVmQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeployedVmQuota') {
            $sval = $child->nodeValue;
            $this->DeployedVmQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['DeployedVmQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Role') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Role');
            $this->setRole($obj);
            if (!empty($namespace)) {
                $this->namespace['Role'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupReferences') {
            $obj = new VMware_VCloud_API_GroupsListType();
            $obj->build($child);
            $obj->set_tagName('GroupReferences');
            $this->setGroupReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['GroupReferences'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_UserType


/**
 * Represents a group in this organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GroupType extends VMware_VCloud_API_EntityType {
    protected $NameInSource = null;
    protected $UsersList = null;
    protected $ProviderType = null;
    protected $Role = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $NameInSource - [optional] 
    * @param VMware_VCloud_API_UsersListType $UsersList - [optional]
    * @param string $ProviderType - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Role - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $NameInSource=null, $UsersList=null, $ProviderType=null, $Role=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->NameInSource = $NameInSource;
        $this->UsersList = $UsersList;
        $this->ProviderType = $ProviderType;
        $this->Role = $Role;
        $this->tagName = 'Group';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNameInSource() {
        return $this->NameInSource;
    }
    public function setNameInSource($NameInSource) { 
        $this->NameInSource = $NameInSource;
    }
    public function getUsersList() {
        return $this->UsersList;
    }
    public function setUsersList($UsersList) { 
        $this->UsersList = $UsersList;
    }
    public function getProviderType() {
        return $this->ProviderType;
    }
    public function setProviderType($ProviderType) { 
        $this->ProviderType = $ProviderType;
    }
    public function getRole() {
        return $this->Role;
    }
    public function setRole($Role) { 
        $this->Role = $Role;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->NameInSource)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NameInSource', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NameInSource>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->NameInSource, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='NameInSource')) . "</" . $ns . "NameInSource>\n");
        }
        if (!is_null($this->UsersList)) {
            $out = $this->UsersList->export('UsersList', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ProviderType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ProviderType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ProviderType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ProviderType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ProviderType')) . "</" . $ns . "ProviderType>\n");
        }
        if (!is_null($this->Role)) {
            $out = $this->Role->export('Role', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->NameInSource) ||
            !is_null($this->UsersList) ||
            !is_null($this->ProviderType) ||
            !is_null($this->Role) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NameInSource') {
            $sval = $child->nodeValue;
            $this->NameInSource = $sval;
            if (!empty($namespace)) {
                $this->namespace['NameInSource'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsersList') {
            $obj = new VMware_VCloud_API_UsersListType();
            $obj->build($child);
            $obj->set_tagName('UsersList');
            $this->setUsersList($obj);
            if (!empty($namespace)) {
                $this->namespace['UsersList'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderType') {
            $sval = $child->nodeValue;
            $this->ProviderType = $sval;
            if (!empty($namespace)) {
                $this->namespace['ProviderType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Role') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Role');
            $this->setRole($obj);
            if (!empty($namespace)) {
                $this->namespace['Role'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GroupType


/**
 * Container for references to users.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_UsersListType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $UserReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $UserReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $UserReference=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($UserReference)) {
            $this->UserReference = $UserReference;
        }
        $this->tagName = 'UsersList';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUserReference() {
        return $this->UserReference;
    }
    public function setUserReference($UserReference) { 
        $this->UserReference = $UserReference;
    }
    public function addUserReference($value) { array_push($this->UserReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->UserReference)) {
            foreach ($this->UserReference as $UserReference) {
                $out = $UserReference->export('UserReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->UserReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('UserReference');
            array_push($this->UserReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['UserReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_UsersListType


/**
 * Container for references to groups.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GroupsListType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $GroupReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $GroupReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $GroupReference=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($GroupReference)) {
            $this->GroupReference = $GroupReference;
        }
        $this->tagName = 'GroupReferences';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getGroupReference() {
        return $this->GroupReference;
    }
    public function setGroupReference($GroupReference) { 
        $this->GroupReference = $GroupReference;
    }
    public function addGroupReference($value) { array_push($this->GroupReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->GroupReference)) {
            foreach ($this->GroupReference as $GroupReference) {
                $out = $GroupReference->export('GroupReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->GroupReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('GroupReference');
            array_push($this->GroupReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['GroupReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GroupsListType


/**
 * Represents a right.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RightType extends VMware_VCloud_API_EntityType {
    protected $Category = null;
    protected $BundleKey = null;
    protected $ServiceNamespace = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $Category - [required] 
    * @param string $BundleKey - [optional] 
    * @param string $ServiceNamespace - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Category=null, $BundleKey=null, $ServiceNamespace=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Category = $Category;
        $this->BundleKey = $BundleKey;
        $this->ServiceNamespace = $ServiceNamespace;
        $this->tagName = 'Right';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCategory() {
        return $this->Category;
    }
    public function setCategory($Category) { 
        $this->Category = $Category;
    }
    public function getBundleKey() {
        return $this->BundleKey;
    }
    public function setBundleKey($BundleKey) { 
        $this->BundleKey = $BundleKey;
    }
    public function getServiceNamespace() {
        return $this->ServiceNamespace;
    }
    public function setServiceNamespace($ServiceNamespace) { 
        $this->ServiceNamespace = $ServiceNamespace;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Category)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Category', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Category>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Category, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Category')) . "</" . $ns . "Category>\n");
        }
        if (!is_null($this->BundleKey)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'BundleKey', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "BundleKey>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->BundleKey, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='BundleKey')) . "</" . $ns . "BundleKey>\n");
        }
        if (!is_null($this->ServiceNamespace)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ServiceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ServiceNamespace>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ServiceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ServiceNamespace')) . "</" . $ns . "ServiceNamespace>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Category) ||
            !is_null($this->BundleKey) ||
            !is_null($this->ServiceNamespace) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Category') {
            $sval = $child->nodeValue;
            $this->Category = $sval;
            if (!empty($namespace)) {
                $this->namespace['Category'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BundleKey') {
            $sval = $child->nodeValue;
            $this->BundleKey = $sval;
            if (!empty($namespace)) {
                $this->namespace['BundleKey'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceNamespace') {
            $sval = $child->nodeValue;
            $this->ServiceNamespace = $sval;
            if (!empty($namespace)) {
                $this->namespace['ServiceNamespace'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RightType


/**
 * Container for references to rights.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RightReferencesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $RightReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $RightReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $RightReference=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($RightReference)) {
            $this->RightReference = $RightReference;
        }
        $this->tagName = 'RightReferences';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getRightReference() {
        return $this->RightReference;
    }
    public function setRightReference($RightReference) { 
        $this->RightReference = $RightReference;
    }
    public function addRightReference($value) { array_push($this->RightReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->RightReference)) {
            foreach ($this->RightReference as $RightReference) {
                $out = $RightReference->export('RightReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->RightReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RightReference');
            array_push($this->RightReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['RightReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RightReferencesType


/**
 * A named collection of rights.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RoleType extends VMware_VCloud_API_EntityType {
    protected $RightReferences = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_RightReferencesType $RightReferences - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $RightReferences=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->RightReferences = $RightReferences;
        $this->tagName = 'Role';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getRightReferences() {
        return $this->RightReferences;
    }
    public function setRightReferences($RightReferences) { 
        $this->RightReferences = $RightReferences;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->RightReferences)) {
            $out = $this->RightReferences->export('RightReferences', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->RightReferences) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightReferences') {
            $obj = new VMware_VCloud_API_RightReferencesType();
            $obj->build($child);
            $obj->set_tagName('RightReferences');
            $this->setRightReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['RightReferences'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RoleType


/**
 * Container for references to roles.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RoleReferencesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $RoleReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $RoleReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $RoleReference=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($RoleReference)) {
            $this->RoleReference = $RoleReference;
        }
        $this->tagName = 'RoleReferences';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getRoleReference() {
        return $this->RoleReference;
    }
    public function setRoleReference($RoleReference) { 
        $this->RoleReference = $RoleReference;
    }
    public function addRoleReference($value) { array_push($this->RoleReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->RoleReference)) {
            foreach ($this->RoleReference as $RoleReference) {
                $out = $RoleReference->export('RoleReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->RoleReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoleReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RoleReference');
            array_push($this->RoleReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['RoleReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RoleReferencesType


/**
 * Represents the user view of a vCloud Director organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgType extends VMware_VCloud_API_EntityType {
    protected $FullName = null;
    protected $IsEnabled = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $FullName - [required] 
    * @param boolean $IsEnabled - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $FullName=null, $IsEnabled=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->FullName = $FullName;
        $this->IsEnabled = $IsEnabled;
        $this->tagName = 'Org';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getFullName() {
        return $this->FullName;
    }
    public function setFullName($FullName) { 
        $this->FullName = $FullName;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->FullName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FullName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FullName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->FullName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='FullName')) . "</" . $ns . "FullName>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->FullName) ||
            !is_null($this->IsEnabled) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FullName') {
            $sval = $child->nodeValue;
            $this->FullName = $sval;
            if (!empty($namespace)) {
                $this->namespace['FullName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgType


/**
 * Represents the user view of a Catalog object.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CatalogType extends VMware_VCloud_API_EntityType {
    protected $Owner = null;
    protected $CatalogItems = null;
    protected $IsPublished = null;
    protected $DateCreated = null;
    protected $VersionNumber = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_OwnerType $Owner - [optional]
    * @param VMware_VCloud_API_CatalogItemsType $CatalogItems - [optional]
    * @param boolean $IsPublished - [optional] 
    * @param string $DateCreated - [optional] 
    * @param int $VersionNumber - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Owner=null, $CatalogItems=null, $IsPublished=null, $DateCreated=null, $VersionNumber=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Owner = $Owner;
        $this->CatalogItems = $CatalogItems;
        $this->IsPublished = $IsPublished;
        $this->DateCreated = $DateCreated;
        $this->VersionNumber = $VersionNumber;
        $this->tagName = 'Catalog';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOwner() {
        return $this->Owner;
    }
    public function setOwner($Owner) { 
        $this->Owner = $Owner;
    }
    public function getCatalogItems() {
        return $this->CatalogItems;
    }
    public function setCatalogItems($CatalogItems) { 
        $this->CatalogItems = $CatalogItems;
    }
    public function getIsPublished() {
        return $this->IsPublished;
    }
    public function setIsPublished($IsPublished) { 
        $this->IsPublished = $IsPublished;
    }
    public function getDateCreated() {
        return $this->DateCreated;
    }
    public function setDateCreated($DateCreated) { 
        $this->DateCreated = $DateCreated;
    }
    public function getVersionNumber() {
        return $this->VersionNumber;
    }
    public function setVersionNumber($VersionNumber) { 
        $this->VersionNumber = $VersionNumber;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Owner)) {
            $out = $this->Owner->export('Owner', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->CatalogItems)) {
            $out = $this->CatalogItems->export('CatalogItems', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IsPublished)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsPublished', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsPublished>" . VMware_VCloud_API_Helper::format_boolean($this->IsPublished, $input_name='IsPublished') . "</" . $ns . "IsPublished>\n");
        }
        if (!is_null($this->DateCreated)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DateCreated', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DateCreated>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DateCreated, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DateCreated')) . "</" . $ns . "DateCreated>\n");
        }
        if (!is_null($this->VersionNumber)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VersionNumber', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VersionNumber>" . VMware_VCloud_API_Helper::format_integer($this->VersionNumber, $input_name='VersionNumber') . "</" . $ns . "VersionNumber>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Owner) ||
            !is_null($this->CatalogItems) ||
            !is_null($this->IsPublished) ||
            !is_null($this->DateCreated) ||
            !is_null($this->VersionNumber) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Owner') {
            $obj = new VMware_VCloud_API_OwnerType();
            $obj->build($child);
            $obj->set_tagName('Owner');
            $this->setOwner($obj);
            if (!empty($namespace)) {
                $this->namespace['Owner'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogItems') {
            $obj = new VMware_VCloud_API_CatalogItemsType();
            $obj->build($child);
            $obj->set_tagName('CatalogItems');
            $this->setCatalogItems($obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogItems'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsPublished') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsPublished = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsPublished'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DateCreated') {
            $sval = $child->nodeValue;
            $this->DateCreated = $sval;
            if (!empty($namespace)) {
                $this->namespace['DateCreated'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VersionNumber') {
            $sval = $child->nodeValue;
            $this->VersionNumber = $sval;
            if (!empty($namespace)) {
                $this->namespace['VersionNumber'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CatalogType


/**
 * Extends reference type by adding relation attribute.  Defines a hyper-link with a relationship, hyper-link reference,  and an optional MIME type.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_LinkType extends VMware_VCloud_API_ReferenceType {
    protected $rel = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [required] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $rel - [required] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $id=null, $name=null, $rel=null) {
        parent::__construct($VCloudExtension, $href, $type, $id, $name);
        $this->rel = $rel;
        $this->tagName = 'Link';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_rel(){
        return $this->rel;
    }
    public function set_rel($rel) {
        $this->rel = $rel;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'rel', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'rel=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->rel, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='rel')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndrel = $attrs->getNamedItem('rel');
        if (!is_null($ndrel)) {
            $this->rel = $ndrel->value;
            if (isset($ndrel->prefix)) {
                $this->namespace['rel'] = $ndrel->prefix;
                $nsUri = $ndrel->lookupNamespaceURI($ndrel->prefix);
            }
            $node->removeAttributeNS($nsUri, 'rel');
        } else {
            $this->rel = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_LinkType


/**
 * Represents a reference to an organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrganizationReferenceType extends VMware_VCloud_API_ReferenceType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [required] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $id=null, $name=null) {
        parent::__construct($VCloudExtension, $href, $type, $id, $name);
        $this->tagName = 'OrganizationReference';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrganizationReferenceType


/**
 * Represents the admin view of this cloud.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrganizationReferencesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $OrganizationReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $OrganizationReference - [optional] an array of VMware_VCloud_API_OrganizationReferenceType objects
    */
    public function __construct($VCloudExtension=null, $OrganizationReference=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($OrganizationReference)) {
            $this->OrganizationReference = $OrganizationReference;
        }
        $this->tagName = 'OrganizationReferences';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOrganizationReference() {
        return $this->OrganizationReference;
    }
    public function setOrganizationReference($OrganizationReference) { 
        $this->OrganizationReference = $OrganizationReference;
    }
    public function addOrganizationReference($value) { array_push($this->OrganizationReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->OrganizationReference)) {
            foreach ($this->OrganizationReference as $OrganizationReference) {
                $out = $OrganizationReference->export('OrganizationReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->OrganizationReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrganizationReference') {
            $obj = new VMware_VCloud_API_OrganizationReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrganizationReference');
            array_push($this->OrganizationReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrganizationReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrganizationReferencesType


/**
 * Container for references to Provider vDCs.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ProviderVdcReferencesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ProviderVdcReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ProviderVdcReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $ProviderVdcReference=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ProviderVdcReference)) {
            $this->ProviderVdcReference = $ProviderVdcReference;
        }
        $this->tagName = 'ProviderVdcReferences';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProviderVdcReference() {
        return $this->ProviderVdcReference;
    }
    public function setProviderVdcReference($ProviderVdcReference) { 
        $this->ProviderVdcReference = $ProviderVdcReference;
    }
    public function addProviderVdcReference($value) { array_push($this->ProviderVdcReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ProviderVdcReference)) {
            foreach ($this->ProviderVdcReference as $ProviderVdcReference) {
                $out = $ProviderVdcReference->export('ProviderVdcReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ProviderVdcReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcReference');
            array_push($this->ProviderVdcReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ProviderVdcReferencesType


/**
 * Represents the admin view of a cloud.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VCloudType extends VMware_VCloud_API_EntityType {
    protected $OrganizationReferences = null;
    protected $ProviderVdcReferences = null;
    protected $RightReferences = null;
    protected $RoleReferences = null;
    protected $Networks = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_OrganizationReferencesType $OrganizationReferences - [optional]
    * @param VMware_VCloud_API_ProviderVdcReferencesType $ProviderVdcReferences - [optional]
    * @param VMware_VCloud_API_RightReferencesType $RightReferences - [optional]
    * @param VMware_VCloud_API_RoleReferencesType $RoleReferences - [optional]
    * @param VMware_VCloud_API_NetworksType $Networks - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $OrganizationReferences=null, $ProviderVdcReferences=null, $RightReferences=null, $RoleReferences=null, $Networks=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->OrganizationReferences = $OrganizationReferences;
        $this->ProviderVdcReferences = $ProviderVdcReferences;
        $this->RightReferences = $RightReferences;
        $this->RoleReferences = $RoleReferences;
        $this->Networks = $Networks;
        $this->tagName = 'VCloud';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOrganizationReferences() {
        return $this->OrganizationReferences;
    }
    public function setOrganizationReferences($OrganizationReferences) { 
        $this->OrganizationReferences = $OrganizationReferences;
    }
    public function getProviderVdcReferences() {
        return $this->ProviderVdcReferences;
    }
    public function setProviderVdcReferences($ProviderVdcReferences) { 
        $this->ProviderVdcReferences = $ProviderVdcReferences;
    }
    public function getRightReferences() {
        return $this->RightReferences;
    }
    public function setRightReferences($RightReferences) { 
        $this->RightReferences = $RightReferences;
    }
    public function getRoleReferences() {
        return $this->RoleReferences;
    }
    public function setRoleReferences($RoleReferences) { 
        $this->RoleReferences = $RoleReferences;
    }
    public function getNetworks() {
        return $this->Networks;
    }
    public function setNetworks($Networks) { 
        $this->Networks = $Networks;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->OrganizationReferences)) {
            $out = $this->OrganizationReferences->export('OrganizationReferences', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ProviderVdcReferences)) {
            $out = $this->ProviderVdcReferences->export('ProviderVdcReferences', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->RightReferences)) {
            $out = $this->RightReferences->export('RightReferences', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->RoleReferences)) {
            $out = $this->RoleReferences->export('RoleReferences', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Networks)) {
            $out = $this->Networks->export('Networks', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->OrganizationReferences) ||
            !is_null($this->ProviderVdcReferences) ||
            !is_null($this->RightReferences) ||
            !is_null($this->RoleReferences) ||
            !is_null($this->Networks) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrganizationReferences') {
            $obj = new VMware_VCloud_API_OrganizationReferencesType();
            $obj->build($child);
            $obj->set_tagName('OrganizationReferences');
            $this->setOrganizationReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['OrganizationReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcReferences') {
            $obj = new VMware_VCloud_API_ProviderVdcReferencesType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcReferences');
            $this->setProviderVdcReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightReferences') {
            $obj = new VMware_VCloud_API_RightReferencesType();
            $obj->build($child);
            $obj->set_tagName('RightReferences');
            $this->setRightReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['RightReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoleReferences') {
            $obj = new VMware_VCloud_API_RoleReferencesType();
            $obj->build($child);
            $obj->set_tagName('RoleReferences');
            $this->setRoleReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['RoleReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Networks') {
            $obj = new VMware_VCloud_API_NetworksType();
            $obj->build($child);
            $obj->set_tagName('Networks');
            $this->setNetworks($obj);
            if (!empty($namespace)) {
                $this->namespace['Networks'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VCloudType


/**
 * Represents the admin view of an organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AdminOrgType extends VMware_VCloud_API_OrgType {
    protected $Settings = null;
    protected $Users = null;
    protected $Groups = null;
    protected $Catalogs = null;
    protected $Vdcs = null;
    protected $Networks = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $FullName - [required] 
    * @param boolean $IsEnabled - [optional] 
    * @param VMware_VCloud_API_OrgSettingsType $Settings - [required]
    * @param VMware_VCloud_API_UsersListType $Users - [optional]
    * @param VMware_VCloud_API_GroupsListType $Groups - [optional]
    * @param VMware_VCloud_API_CatalogsListType $Catalogs - [optional]
    * @param VMware_VCloud_API_VdcsType $Vdcs - [optional]
    * @param VMware_VCloud_API_NetworksType $Networks - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $FullName=null, $IsEnabled=null, $Settings=null, $Users=null, $Groups=null, $Catalogs=null, $Vdcs=null, $Networks=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $FullName, $IsEnabled);
        $this->Settings = $Settings;
        $this->Users = $Users;
        $this->Groups = $Groups;
        $this->Catalogs = $Catalogs;
        $this->Vdcs = $Vdcs;
        $this->Networks = $Networks;
        $this->tagName = 'AdminOrg';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSettings() {
        return $this->Settings;
    }
    public function setSettings($Settings) { 
        $this->Settings = $Settings;
    }
    public function getUsers() {
        return $this->Users;
    }
    public function setUsers($Users) { 
        $this->Users = $Users;
    }
    public function getGroups() {
        return $this->Groups;
    }
    public function setGroups($Groups) { 
        $this->Groups = $Groups;
    }
    public function getCatalogs() {
        return $this->Catalogs;
    }
    public function setCatalogs($Catalogs) { 
        $this->Catalogs = $Catalogs;
    }
    public function getVdcs() {
        return $this->Vdcs;
    }
    public function setVdcs($Vdcs) { 
        $this->Vdcs = $Vdcs;
    }
    public function getNetworks() {
        return $this->Networks;
    }
    public function setNetworks($Networks) { 
        $this->Networks = $Networks;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Settings)) {
            $out = $this->Settings->export('Settings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Users)) {
            $out = $this->Users->export('Users', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Groups)) {
            $out = $this->Groups->export('Groups', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Catalogs)) {
            $out = $this->Catalogs->export('Catalogs', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Vdcs)) {
            $out = $this->Vdcs->export('Vdcs', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Networks)) {
            $out = $this->Networks->export('Networks', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Settings) ||
            !is_null($this->Users) ||
            !is_null($this->Groups) ||
            !is_null($this->Catalogs) ||
            !is_null($this->Vdcs) ||
            !is_null($this->Networks) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Settings') {
            $obj = new VMware_VCloud_API_OrgSettingsType();
            $obj->build($child);
            $obj->set_tagName('Settings');
            $this->setSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['Settings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Users') {
            $obj = new VMware_VCloud_API_UsersListType();
            $obj->build($child);
            $obj->set_tagName('Users');
            $this->setUsers($obj);
            if (!empty($namespace)) {
                $this->namespace['Users'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Groups') {
            $obj = new VMware_VCloud_API_GroupsListType();
            $obj->build($child);
            $obj->set_tagName('Groups');
            $this->setGroups($obj);
            if (!empty($namespace)) {
                $this->namespace['Groups'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Catalogs') {
            $obj = new VMware_VCloud_API_CatalogsListType();
            $obj->build($child);
            $obj->set_tagName('Catalogs');
            $this->setCatalogs($obj);
            if (!empty($namespace)) {
                $this->namespace['Catalogs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vdcs') {
            $obj = new VMware_VCloud_API_VdcsType();
            $obj->build($child);
            $obj->set_tagName('Vdcs');
            $this->setVdcs($obj);
            if (!empty($namespace)) {
                $this->namespace['Vdcs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Networks') {
            $obj = new VMware_VCloud_API_NetworksType();
            $obj->build($child);
            $obj->set_tagName('Networks');
            $this->setNetworks($obj);
            if (!empty($namespace)) {
                $this->namespace['Networks'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AdminOrgType


/**
 * Represents default vAppTemplate lease policies for this  organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgVAppTemplateLeaseSettingsType extends VMware_VCloud_API_ResourceType {
    protected $DeleteOnStorageLeaseExpiration = null;
    protected $StorageLeaseSeconds = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $DeleteOnStorageLeaseExpiration - [optional] 
    * @param int $StorageLeaseSeconds - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $DeleteOnStorageLeaseExpiration=null, $StorageLeaseSeconds=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->DeleteOnStorageLeaseExpiration = $DeleteOnStorageLeaseExpiration;
        $this->StorageLeaseSeconds = $StorageLeaseSeconds;
        $this->tagName = 'OrgVAppTemplateLeaseSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDeleteOnStorageLeaseExpiration() {
        return $this->DeleteOnStorageLeaseExpiration;
    }
    public function setDeleteOnStorageLeaseExpiration($DeleteOnStorageLeaseExpiration) { 
        $this->DeleteOnStorageLeaseExpiration = $DeleteOnStorageLeaseExpiration;
    }
    public function getStorageLeaseSeconds() {
        return $this->StorageLeaseSeconds;
    }
    public function setStorageLeaseSeconds($StorageLeaseSeconds) { 
        $this->StorageLeaseSeconds = $StorageLeaseSeconds;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->DeleteOnStorageLeaseExpiration)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DeleteOnStorageLeaseExpiration', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DeleteOnStorageLeaseExpiration>" . VMware_VCloud_API_Helper::format_boolean($this->DeleteOnStorageLeaseExpiration, $input_name='DeleteOnStorageLeaseExpiration') . "</" . $ns . "DeleteOnStorageLeaseExpiration>\n");
        }
        if (!is_null($this->StorageLeaseSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StorageLeaseSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StorageLeaseSeconds>" . VMware_VCloud_API_Helper::format_integer($this->StorageLeaseSeconds, $input_name='StorageLeaseSeconds') . "</" . $ns . "StorageLeaseSeconds>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->DeleteOnStorageLeaseExpiration) ||
            !is_null($this->StorageLeaseSeconds) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeleteOnStorageLeaseExpiration') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->DeleteOnStorageLeaseExpiration = $sval;
            if (!empty($namespace)) {
                $this->namespace['DeleteOnStorageLeaseExpiration'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageLeaseSeconds') {
            $sval = $child->nodeValue;
            $this->StorageLeaseSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['StorageLeaseSeconds'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgVAppTemplateLeaseSettingsType


/**
 * Container for references to ExternalNetwork objects.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworksType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Network = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Network - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $Network=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Network)) {
            $this->Network = $Network;
        }
        $this->tagName = 'Networks';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetwork() {
        return $this->Network;
    }
    public function setNetwork($Network) { 
        $this->Network = $Network;
    }
    public function addNetwork($value) { array_push($this->Network, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Network)) {
            foreach ($this->Network as $Network) {
                $out = $Network->export('Network', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Network) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Network') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Network');
            array_push($this->Network, $obj);
            if (!empty($namespace)) {
                $this->namespace['Network'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworksType


/**
 * Container for references to catalogs.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CatalogsListType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $CatalogReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $CatalogReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $CatalogReference=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($CatalogReference)) {
            $this->CatalogReference = $CatalogReference;
        }
        $this->tagName = 'Catalogs';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCatalogReference() {
        return $this->CatalogReference;
    }
    public function setCatalogReference($CatalogReference) { 
        $this->CatalogReference = $CatalogReference;
    }
    public function addCatalogReference($value) { array_push($this->CatalogReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->CatalogReference)) {
            foreach ($this->CatalogReference as $CatalogReference) {
                $out = $CatalogReference->export('CatalogReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->CatalogReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('CatalogReference');
            array_push($this->CatalogReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CatalogsListType


/**
 * Container for this organization's settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgSettingsType extends VMware_VCloud_API_ResourceType {
    protected $OrgGeneralSettings = null;
    protected $VAppLeaseSettings = null;
    protected $VAppTemplateLeaseSettings = null;
    protected $OrgLdapSettings = null;
    protected $OrgEmailSettings = null;
    protected $OrgPasswordPolicySettings = null;
    protected $OrgOperationLimitsSettings = null;
    protected $OrgFederationSettings = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_OrgGeneralSettingsType $OrgGeneralSettings - [optional]
    * @param VMware_VCloud_API_OrgLeaseSettingsType $VAppLeaseSettings - [optional]
    * @param VMware_VCloud_API_OrgVAppTemplateLeaseSettingsType $VAppTemplateLeaseSettings - [optional]
    * @param VMware_VCloud_API_OrgLdapSettingsType $OrgLdapSettings - [optional]
    * @param VMware_VCloud_API_OrgEmailSettingsType $OrgEmailSettings - [optional]
    * @param VMware_VCloud_API_OrgPasswordPolicySettingsType $OrgPasswordPolicySettings - [optional]
    * @param VMware_VCloud_API_OrgOperationLimitsSettingsType $OrgOperationLimitsSettings - [optional]
    * @param VMware_VCloud_API_OrgFederationSettingsType $OrgFederationSettings - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $OrgGeneralSettings=null, $VAppLeaseSettings=null, $VAppTemplateLeaseSettings=null, $OrgLdapSettings=null, $OrgEmailSettings=null, $OrgPasswordPolicySettings=null, $OrgOperationLimitsSettings=null, $OrgFederationSettings=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->OrgGeneralSettings = $OrgGeneralSettings;
        $this->VAppLeaseSettings = $VAppLeaseSettings;
        $this->VAppTemplateLeaseSettings = $VAppTemplateLeaseSettings;
        $this->OrgLdapSettings = $OrgLdapSettings;
        $this->OrgEmailSettings = $OrgEmailSettings;
        $this->OrgPasswordPolicySettings = $OrgPasswordPolicySettings;
        $this->OrgOperationLimitsSettings = $OrgOperationLimitsSettings;
        $this->OrgFederationSettings = $OrgFederationSettings;
        $this->tagName = 'OrgSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOrgGeneralSettings() {
        return $this->OrgGeneralSettings;
    }
    public function setOrgGeneralSettings($OrgGeneralSettings) { 
        $this->OrgGeneralSettings = $OrgGeneralSettings;
    }
    public function getVAppLeaseSettings() {
        return $this->VAppLeaseSettings;
    }
    public function setVAppLeaseSettings($VAppLeaseSettings) { 
        $this->VAppLeaseSettings = $VAppLeaseSettings;
    }
    public function getVAppTemplateLeaseSettings() {
        return $this->VAppTemplateLeaseSettings;
    }
    public function setVAppTemplateLeaseSettings($VAppTemplateLeaseSettings) { 
        $this->VAppTemplateLeaseSettings = $VAppTemplateLeaseSettings;
    }
    public function getOrgLdapSettings() {
        return $this->OrgLdapSettings;
    }
    public function setOrgLdapSettings($OrgLdapSettings) { 
        $this->OrgLdapSettings = $OrgLdapSettings;
    }
    public function getOrgEmailSettings() {
        return $this->OrgEmailSettings;
    }
    public function setOrgEmailSettings($OrgEmailSettings) { 
        $this->OrgEmailSettings = $OrgEmailSettings;
    }
    public function getOrgPasswordPolicySettings() {
        return $this->OrgPasswordPolicySettings;
    }
    public function setOrgPasswordPolicySettings($OrgPasswordPolicySettings) { 
        $this->OrgPasswordPolicySettings = $OrgPasswordPolicySettings;
    }
    public function getOrgOperationLimitsSettings() {
        return $this->OrgOperationLimitsSettings;
    }
    public function setOrgOperationLimitsSettings($OrgOperationLimitsSettings) { 
        $this->OrgOperationLimitsSettings = $OrgOperationLimitsSettings;
    }
    public function getOrgFederationSettings() {
        return $this->OrgFederationSettings;
    }
    public function setOrgFederationSettings($OrgFederationSettings) { 
        $this->OrgFederationSettings = $OrgFederationSettings;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->OrgGeneralSettings)) {
            $out = $this->OrgGeneralSettings->export('OrgGeneralSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VAppLeaseSettings)) {
            $out = $this->VAppLeaseSettings->export('VAppLeaseSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VAppTemplateLeaseSettings)) {
            $out = $this->VAppTemplateLeaseSettings->export('VAppTemplateLeaseSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OrgLdapSettings)) {
            $out = $this->OrgLdapSettings->export('OrgLdapSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OrgEmailSettings)) {
            $out = $this->OrgEmailSettings->export('OrgEmailSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OrgPasswordPolicySettings)) {
            $out = $this->OrgPasswordPolicySettings->export('OrgPasswordPolicySettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OrgOperationLimitsSettings)) {
            $out = $this->OrgOperationLimitsSettings->export('OrgOperationLimitsSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OrgFederationSettings)) {
            $out = $this->OrgFederationSettings->export('OrgFederationSettings', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->OrgGeneralSettings) ||
            !is_null($this->VAppLeaseSettings) ||
            !is_null($this->VAppTemplateLeaseSettings) ||
            !is_null($this->OrgLdapSettings) ||
            !is_null($this->OrgEmailSettings) ||
            !is_null($this->OrgPasswordPolicySettings) ||
            !is_null($this->OrgOperationLimitsSettings) ||
            !is_null($this->OrgFederationSettings) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgGeneralSettings') {
            $obj = new VMware_VCloud_API_OrgGeneralSettingsType();
            $obj->build($child);
            $obj->set_tagName('OrgGeneralSettings');
            $this->setOrgGeneralSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgGeneralSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppLeaseSettings') {
            $obj = new VMware_VCloud_API_OrgLeaseSettingsType();
            $obj->build($child);
            $obj->set_tagName('VAppLeaseSettings');
            $this->setVAppLeaseSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppLeaseSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppTemplateLeaseSettings') {
            $obj = new VMware_VCloud_API_OrgVAppTemplateLeaseSettingsType();
            $obj->build($child);
            $obj->set_tagName('VAppTemplateLeaseSettings');
            $this->setVAppTemplateLeaseSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppTemplateLeaseSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgLdapSettings') {
            $obj = new VMware_VCloud_API_OrgLdapSettingsType();
            $obj->build($child);
            $obj->set_tagName('OrgLdapSettings');
            $this->setOrgLdapSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgLdapSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgEmailSettings') {
            $obj = new VMware_VCloud_API_OrgEmailSettingsType();
            $obj->build($child);
            $obj->set_tagName('OrgEmailSettings');
            $this->setOrgEmailSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgEmailSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgPasswordPolicySettings') {
            $obj = new VMware_VCloud_API_OrgPasswordPolicySettingsType();
            $obj->build($child);
            $obj->set_tagName('OrgPasswordPolicySettings');
            $this->setOrgPasswordPolicySettings($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgPasswordPolicySettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgOperationLimitsSettings') {
            $obj = new VMware_VCloud_API_OrgOperationLimitsSettingsType();
            $obj->build($child);
            $obj->set_tagName('OrgOperationLimitsSettings');
            $this->setOrgOperationLimitsSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgOperationLimitsSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgFederationSettings') {
            $obj = new VMware_VCloud_API_OrgFederationSettingsType();
            $obj->build($child);
            $obj->set_tagName('OrgFederationSettings');
            $this->setOrgFederationSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgFederationSettings'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgSettingsType


/**
 * Represents general settings for an organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgGeneralSettingsType extends VMware_VCloud_API_ResourceType {
    protected $CanPublishCatalogs = null;
    protected $CanPublishExternally = null;
    protected $CanSubscribe = null;
    protected $DeployedVMQuota = null;
    protected $StoredVmQuota = null;
    protected $UseServerBootSequence = null;
    protected $DelayAfterPowerOnSeconds = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $CanPublishCatalogs - [optional] 
    * @param boolean $CanPublishExternally - [optional] 
    * @param boolean $CanSubscribe - [optional] 
    * @param int $DeployedVMQuota - [optional] 
    * @param int $StoredVmQuota - [optional] 
    * @param boolean $UseServerBootSequence - [optional] 
    * @param int $DelayAfterPowerOnSeconds - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $CanPublishCatalogs=null, $CanPublishExternally=null, $CanSubscribe=null, $DeployedVMQuota=null, $StoredVmQuota=null, $UseServerBootSequence=null, $DelayAfterPowerOnSeconds=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->CanPublishCatalogs = $CanPublishCatalogs;
        $this->CanPublishExternally = $CanPublishExternally;
        $this->CanSubscribe = $CanSubscribe;
        $this->DeployedVMQuota = $DeployedVMQuota;
        $this->StoredVmQuota = $StoredVmQuota;
        $this->UseServerBootSequence = $UseServerBootSequence;
        $this->DelayAfterPowerOnSeconds = $DelayAfterPowerOnSeconds;
        $this->tagName = 'GeneralOrgSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCanPublishCatalogs() {
        return $this->CanPublishCatalogs;
    }
    public function setCanPublishCatalogs($CanPublishCatalogs) { 
        $this->CanPublishCatalogs = $CanPublishCatalogs;
    }
    public function getCanPublishExternally() {
        return $this->CanPublishExternally;
    }
    public function setCanPublishExternally($CanPublishExternally) { 
        $this->CanPublishExternally = $CanPublishExternally;
    }
    public function getCanSubscribe() {
        return $this->CanSubscribe;
    }
    public function setCanSubscribe($CanSubscribe) { 
        $this->CanSubscribe = $CanSubscribe;
    }
    public function getDeployedVMQuota() {
        return $this->DeployedVMQuota;
    }
    public function setDeployedVMQuota($DeployedVMQuota) { 
        $this->DeployedVMQuota = $DeployedVMQuota;
    }
    public function getStoredVmQuota() {
        return $this->StoredVmQuota;
    }
    public function setStoredVmQuota($StoredVmQuota) { 
        $this->StoredVmQuota = $StoredVmQuota;
    }
    public function getUseServerBootSequence() {
        return $this->UseServerBootSequence;
    }
    public function setUseServerBootSequence($UseServerBootSequence) { 
        $this->UseServerBootSequence = $UseServerBootSequence;
    }
    public function getDelayAfterPowerOnSeconds() {
        return $this->DelayAfterPowerOnSeconds;
    }
    public function setDelayAfterPowerOnSeconds($DelayAfterPowerOnSeconds) { 
        $this->DelayAfterPowerOnSeconds = $DelayAfterPowerOnSeconds;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->CanPublishCatalogs)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CanPublishCatalogs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CanPublishCatalogs>" . VMware_VCloud_API_Helper::format_boolean($this->CanPublishCatalogs, $input_name='CanPublishCatalogs') . "</" . $ns . "CanPublishCatalogs>\n");
        }
        if (!is_null($this->CanPublishExternally)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CanPublishExternally', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CanPublishExternally>" . VMware_VCloud_API_Helper::format_boolean($this->CanPublishExternally, $input_name='CanPublishExternally') . "</" . $ns . "CanPublishExternally>\n");
        }
        if (!is_null($this->CanSubscribe)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CanSubscribe', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CanSubscribe>" . VMware_VCloud_API_Helper::format_boolean($this->CanSubscribe, $input_name='CanSubscribe') . "</" . $ns . "CanSubscribe>\n");
        }
        if (!is_null($this->DeployedVMQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DeployedVMQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DeployedVMQuota>" . VMware_VCloud_API_Helper::format_integer($this->DeployedVMQuota, $input_name='DeployedVMQuota') . "</" . $ns . "DeployedVMQuota>\n");
        }
        if (!is_null($this->StoredVmQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StoredVmQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StoredVmQuota>" . VMware_VCloud_API_Helper::format_integer($this->StoredVmQuota, $input_name='StoredVmQuota') . "</" . $ns . "StoredVmQuota>\n");
        }
        if (!is_null($this->UseServerBootSequence)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UseServerBootSequence', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UseServerBootSequence>" . VMware_VCloud_API_Helper::format_boolean($this->UseServerBootSequence, $input_name='UseServerBootSequence') . "</" . $ns . "UseServerBootSequence>\n");
        }
        if (!is_null($this->DelayAfterPowerOnSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DelayAfterPowerOnSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DelayAfterPowerOnSeconds>" . VMware_VCloud_API_Helper::format_integer($this->DelayAfterPowerOnSeconds, $input_name='DelayAfterPowerOnSeconds') . "</" . $ns . "DelayAfterPowerOnSeconds>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->CanPublishCatalogs) ||
            !is_null($this->CanPublishExternally) ||
            !is_null($this->CanSubscribe) ||
            !is_null($this->DeployedVMQuota) ||
            !is_null($this->StoredVmQuota) ||
            !is_null($this->UseServerBootSequence) ||
            !is_null($this->DelayAfterPowerOnSeconds) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CanPublishCatalogs') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->CanPublishCatalogs = $sval;
            if (!empty($namespace)) {
                $this->namespace['CanPublishCatalogs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CanPublishExternally') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->CanPublishExternally = $sval;
            if (!empty($namespace)) {
                $this->namespace['CanPublishExternally'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CanSubscribe') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->CanSubscribe = $sval;
            if (!empty($namespace)) {
                $this->namespace['CanSubscribe'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeployedVMQuota') {
            $sval = $child->nodeValue;
            $this->DeployedVMQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['DeployedVMQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StoredVmQuota') {
            $sval = $child->nodeValue;
            $this->StoredVmQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['StoredVmQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UseServerBootSequence') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UseServerBootSequence = $sval;
            if (!empty($namespace)) {
                $this->namespace['UseServerBootSequence'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DelayAfterPowerOnSeconds') {
            $sval = $child->nodeValue;
            $this->DelayAfterPowerOnSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['DelayAfterPowerOnSeconds'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgGeneralSettingsType


/**
 * Represents default lease durations and policies for this  organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgLeaseSettingsType extends VMware_VCloud_API_ResourceType {
    protected $DeleteOnStorageLeaseExpiration = null;
    protected $DeploymentLeaseSeconds = null;
    protected $StorageLeaseSeconds = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $DeleteOnStorageLeaseExpiration - [optional] 
    * @param int $DeploymentLeaseSeconds - [optional] 
    * @param int $StorageLeaseSeconds - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $DeleteOnStorageLeaseExpiration=null, $DeploymentLeaseSeconds=null, $StorageLeaseSeconds=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->DeleteOnStorageLeaseExpiration = $DeleteOnStorageLeaseExpiration;
        $this->DeploymentLeaseSeconds = $DeploymentLeaseSeconds;
        $this->StorageLeaseSeconds = $StorageLeaseSeconds;
        $this->tagName = 'VAppLeaseSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDeleteOnStorageLeaseExpiration() {
        return $this->DeleteOnStorageLeaseExpiration;
    }
    public function setDeleteOnStorageLeaseExpiration($DeleteOnStorageLeaseExpiration) { 
        $this->DeleteOnStorageLeaseExpiration = $DeleteOnStorageLeaseExpiration;
    }
    public function getDeploymentLeaseSeconds() {
        return $this->DeploymentLeaseSeconds;
    }
    public function setDeploymentLeaseSeconds($DeploymentLeaseSeconds) { 
        $this->DeploymentLeaseSeconds = $DeploymentLeaseSeconds;
    }
    public function getStorageLeaseSeconds() {
        return $this->StorageLeaseSeconds;
    }
    public function setStorageLeaseSeconds($StorageLeaseSeconds) { 
        $this->StorageLeaseSeconds = $StorageLeaseSeconds;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->DeleteOnStorageLeaseExpiration)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DeleteOnStorageLeaseExpiration', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DeleteOnStorageLeaseExpiration>" . VMware_VCloud_API_Helper::format_boolean($this->DeleteOnStorageLeaseExpiration, $input_name='DeleteOnStorageLeaseExpiration') . "</" . $ns . "DeleteOnStorageLeaseExpiration>\n");
        }
        if (!is_null($this->DeploymentLeaseSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DeploymentLeaseSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DeploymentLeaseSeconds>" . VMware_VCloud_API_Helper::format_integer($this->DeploymentLeaseSeconds, $input_name='DeploymentLeaseSeconds') . "</" . $ns . "DeploymentLeaseSeconds>\n");
        }
        if (!is_null($this->StorageLeaseSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StorageLeaseSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StorageLeaseSeconds>" . VMware_VCloud_API_Helper::format_integer($this->StorageLeaseSeconds, $input_name='StorageLeaseSeconds') . "</" . $ns . "StorageLeaseSeconds>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->DeleteOnStorageLeaseExpiration) ||
            !is_null($this->DeploymentLeaseSeconds) ||
            !is_null($this->StorageLeaseSeconds) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeleteOnStorageLeaseExpiration') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->DeleteOnStorageLeaseExpiration = $sval;
            if (!empty($namespace)) {
                $this->namespace['DeleteOnStorageLeaseExpiration'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentLeaseSeconds') {
            $sval = $child->nodeValue;
            $this->DeploymentLeaseSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['DeploymentLeaseSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageLeaseSeconds') {
            $sval = $child->nodeValue;
            $this->StorageLeaseSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['StorageLeaseSeconds'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgLeaseSettingsType


/**
 * Represents federation settings for identity federation.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgFederationSettingsType extends VMware_VCloud_API_ResourceType {
    protected $SAMLMetadata = null;
    protected $Enabled = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $SAMLMetadata - [optional] 
    * @param boolean $Enabled - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $SAMLMetadata=null, $Enabled=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->SAMLMetadata = $SAMLMetadata;
        $this->Enabled = $Enabled;
        $this->tagName = 'OrgFederationSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSAMLMetadata() {
        return $this->SAMLMetadata;
    }
    public function setSAMLMetadata($SAMLMetadata) { 
        $this->SAMLMetadata = $SAMLMetadata;
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->SAMLMetadata)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SAMLMetadata', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SAMLMetadata>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SAMLMetadata, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SAMLMetadata')) . "</" . $ns . "SAMLMetadata>\n");
        }
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->SAMLMetadata) ||
            !is_null($this->Enabled) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SAMLMetadata') {
            $sval = $child->nodeValue;
            $this->SAMLMetadata = $sval;
            if (!empty($namespace)) {
                $this->namespace['SAMLMetadata'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgFederationSettingsType


/**
 * Represents LDAP connection settings for an organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgLdapSettingsType extends VMware_VCloud_API_ResourceType {
    protected $OrgLdapMode = null;
    protected $CustomUsersOu = null;
    protected $CustomOrgLdapSettings = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $OrgLdapMode - [optional] 
    * @param string $CustomUsersOu - [optional] 
    * @param VMware_VCloud_API_CustomOrgLdapSettingsType $CustomOrgLdapSettings - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $OrgLdapMode=null, $CustomUsersOu=null, $CustomOrgLdapSettings=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->OrgLdapMode = $OrgLdapMode;
        $this->CustomUsersOu = $CustomUsersOu;
        $this->CustomOrgLdapSettings = $CustomOrgLdapSettings;
        $this->tagName = 'OrgLdapSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOrgLdapMode() {
        return $this->OrgLdapMode;
    }
    public function setOrgLdapMode($OrgLdapMode) { 
        $this->OrgLdapMode = $OrgLdapMode;
    }
    public function getCustomUsersOu() {
        return $this->CustomUsersOu;
    }
    public function setCustomUsersOu($CustomUsersOu) { 
        $this->CustomUsersOu = $CustomUsersOu;
    }
    public function getCustomOrgLdapSettings() {
        return $this->CustomOrgLdapSettings;
    }
    public function setCustomOrgLdapSettings($CustomOrgLdapSettings) { 
        $this->CustomOrgLdapSettings = $CustomOrgLdapSettings;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->OrgLdapMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OrgLdapMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OrgLdapMode>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->OrgLdapMode, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='OrgLdapMode')) . "</" . $ns . "OrgLdapMode>\n");
        }
        if (!is_null($this->CustomUsersOu)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CustomUsersOu', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CustomUsersOu>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CustomUsersOu, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CustomUsersOu')) . "</" . $ns . "CustomUsersOu>\n");
        }
        if (!is_null($this->CustomOrgLdapSettings)) {
            $out = $this->CustomOrgLdapSettings->export('CustomOrgLdapSettings', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->OrgLdapMode) ||
            !is_null($this->CustomUsersOu) ||
            !is_null($this->CustomOrgLdapSettings) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgLdapMode') {
            $sval = $child->nodeValue;
            $this->OrgLdapMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['OrgLdapMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomUsersOu') {
            $sval = $child->nodeValue;
            $this->CustomUsersOu = $sval;
            if (!empty($namespace)) {
                $this->namespace['CustomUsersOu'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomOrgLdapSettings') {
            $obj = new VMware_VCloud_API_CustomOrgLdapSettingsType();
            $obj->build($child);
            $obj->set_tagName('CustomOrgLdapSettings');
            $this->setCustomOrgLdapSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['CustomOrgLdapSettings'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgLdapSettingsType


/**
 * Represents connection details for an organization's LDAP  service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CustomOrgLdapSettingsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $HostName = null;
    protected $Port = null;
    protected $IsSsl = null;
    protected $IsSslAcceptAll = null;
    protected $Realm = null;
    protected $SearchBase = null;
    protected $UserName = null;
    protected $Password = null;
    protected $AuthenticationMechanism = null;
    protected $GroupSearchBase = null;
    protected $IsGroupSearchBaseEnabled = null;
    protected $ConnectorType = null;
    protected $UserAttributes = null;
    protected $GroupAttributes = null;
    protected $UseExternalKerberos = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $HostName - [optional] 
    * @param int $Port - [required] 
    * @param boolean $IsSsl - [optional] 
    * @param boolean $IsSslAcceptAll - [optional] 
    * @param string $Realm - [optional] 
    * @param string $SearchBase - [optional] 
    * @param string $UserName - [optional] 
    * @param string $Password - [optional] 
    * @param string $AuthenticationMechanism - [required] 
    * @param string $GroupSearchBase - [optional] 
    * @param boolean $IsGroupSearchBaseEnabled - [required] 
    * @param string $ConnectorType - [required] 
    * @param VMware_VCloud_API_OrgLdapUserAttributesType $UserAttributes - [required]
    * @param VMware_VCloud_API_OrgLdapGroupAttributesType $GroupAttributes - [required]
    * @param boolean $UseExternalKerberos - [optional] 
    */
    public function __construct($VCloudExtension=null, $HostName=null, $Port=null, $IsSsl=null, $IsSslAcceptAll=null, $Realm=null, $SearchBase=null, $UserName=null, $Password=null, $AuthenticationMechanism=null, $GroupSearchBase=null, $IsGroupSearchBaseEnabled=null, $ConnectorType=null, $UserAttributes=null, $GroupAttributes=null, $UseExternalKerberos=null) {
        parent::__construct($VCloudExtension);
        $this->HostName = $HostName;
        $this->Port = $Port;
        $this->IsSsl = $IsSsl;
        $this->IsSslAcceptAll = $IsSslAcceptAll;
        $this->Realm = $Realm;
        $this->SearchBase = $SearchBase;
        $this->UserName = $UserName;
        $this->Password = $Password;
        $this->AuthenticationMechanism = $AuthenticationMechanism;
        $this->GroupSearchBase = $GroupSearchBase;
        $this->IsGroupSearchBaseEnabled = $IsGroupSearchBaseEnabled;
        $this->ConnectorType = $ConnectorType;
        $this->UserAttributes = $UserAttributes;
        $this->GroupAttributes = $GroupAttributes;
        $this->UseExternalKerberos = $UseExternalKerberos;
        $this->tagName = 'CustomOrgLdapSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getHostName() {
        return $this->HostName;
    }
    public function setHostName($HostName) { 
        $this->HostName = $HostName;
    }
    public function getPort() {
        return $this->Port;
    }
    public function setPort($Port) { 
        $this->Port = $Port;
    }
    public function getIsSsl() {
        return $this->IsSsl;
    }
    public function setIsSsl($IsSsl) { 
        $this->IsSsl = $IsSsl;
    }
    public function getIsSslAcceptAll() {
        return $this->IsSslAcceptAll;
    }
    public function setIsSslAcceptAll($IsSslAcceptAll) { 
        $this->IsSslAcceptAll = $IsSslAcceptAll;
    }
    public function getRealm() {
        return $this->Realm;
    }
    public function setRealm($Realm) { 
        $this->Realm = $Realm;
    }
    public function getSearchBase() {
        return $this->SearchBase;
    }
    public function setSearchBase($SearchBase) { 
        $this->SearchBase = $SearchBase;
    }
    public function getUserName() {
        return $this->UserName;
    }
    public function setUserName($UserName) { 
        $this->UserName = $UserName;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function getAuthenticationMechanism() {
        return $this->AuthenticationMechanism;
    }
    public function setAuthenticationMechanism($AuthenticationMechanism) { 
        $this->AuthenticationMechanism = $AuthenticationMechanism;
    }
    public function getGroupSearchBase() {
        return $this->GroupSearchBase;
    }
    public function setGroupSearchBase($GroupSearchBase) { 
        $this->GroupSearchBase = $GroupSearchBase;
    }
    public function getIsGroupSearchBaseEnabled() {
        return $this->IsGroupSearchBaseEnabled;
    }
    public function setIsGroupSearchBaseEnabled($IsGroupSearchBaseEnabled) { 
        $this->IsGroupSearchBaseEnabled = $IsGroupSearchBaseEnabled;
    }
    public function getConnectorType() {
        return $this->ConnectorType;
    }
    public function setConnectorType($ConnectorType) { 
        $this->ConnectorType = $ConnectorType;
    }
    public function getUserAttributes() {
        return $this->UserAttributes;
    }
    public function setUserAttributes($UserAttributes) { 
        $this->UserAttributes = $UserAttributes;
    }
    public function getGroupAttributes() {
        return $this->GroupAttributes;
    }
    public function setGroupAttributes($GroupAttributes) { 
        $this->GroupAttributes = $GroupAttributes;
    }
    public function getUseExternalKerberos() {
        return $this->UseExternalKerberos;
    }
    public function setUseExternalKerberos($UseExternalKerberos) { 
        $this->UseExternalKerberos = $UseExternalKerberos;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->HostName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HostName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HostName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HostName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HostName')) . "</" . $ns . "HostName>\n");
        }
        if (!is_null($this->Port)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Port', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Port>" . VMware_VCloud_API_Helper::format_integer($this->Port, $input_name='Port') . "</" . $ns . "Port>\n");
        }
        if (!is_null($this->IsSsl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsSsl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsSsl>" . VMware_VCloud_API_Helper::format_boolean($this->IsSsl, $input_name='IsSsl') . "</" . $ns . "IsSsl>\n");
        }
        if (!is_null($this->IsSslAcceptAll)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsSslAcceptAll', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsSslAcceptAll>" . VMware_VCloud_API_Helper::format_boolean($this->IsSslAcceptAll, $input_name='IsSslAcceptAll') . "</" . $ns . "IsSslAcceptAll>\n");
        }
        if (!is_null($this->Realm)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Realm', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Realm>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Realm, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Realm')) . "</" . $ns . "Realm>\n");
        }
        if (!is_null($this->SearchBase)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SearchBase', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SearchBase>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SearchBase, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SearchBase')) . "</" . $ns . "SearchBase>\n");
        }
        if (!is_null($this->UserName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UserName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UserName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UserName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UserName')) . "</" . $ns . "UserName>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        if (!is_null($this->AuthenticationMechanism)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AuthenticationMechanism', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AuthenticationMechanism>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AuthenticationMechanism, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AuthenticationMechanism')) . "</" . $ns . "AuthenticationMechanism>\n");
        }
        if (!is_null($this->GroupSearchBase)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GroupSearchBase', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GroupSearchBase>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GroupSearchBase, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GroupSearchBase')) . "</" . $ns . "GroupSearchBase>\n");
        }
        if (!is_null($this->IsGroupSearchBaseEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsGroupSearchBaseEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsGroupSearchBaseEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsGroupSearchBaseEnabled, $input_name='IsGroupSearchBaseEnabled') . "</" . $ns . "IsGroupSearchBaseEnabled>\n");
     }
        if (!is_null($this->ConnectorType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ConnectorType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ConnectorType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ConnectorType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ConnectorType')) . "</" . $ns . "ConnectorType>\n");
        }
        if (!is_null($this->UserAttributes)) {
            $out = $this->UserAttributes->export('UserAttributes', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->GroupAttributes)) {
            $out = $this->GroupAttributes->export('GroupAttributes', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->UseExternalKerberos)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UseExternalKerberos', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UseExternalKerberos>" . VMware_VCloud_API_Helper::format_boolean($this->UseExternalKerberos, $input_name='UseExternalKerberos') . "</" . $ns . "UseExternalKerberos>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->HostName) ||
            !is_null($this->Port) ||
            !is_null($this->IsSsl) ||
            !is_null($this->IsSslAcceptAll) ||
            !is_null($this->Realm) ||
            !is_null($this->SearchBase) ||
            !is_null($this->UserName) ||
            !is_null($this->Password) ||
            !is_null($this->AuthenticationMechanism) ||
            !is_null($this->GroupSearchBase) ||
            !is_null($this->IsGroupSearchBaseEnabled) ||
            !is_null($this->ConnectorType) ||
            !is_null($this->UserAttributes) ||
            !is_null($this->GroupAttributes) ||
            !is_null($this->UseExternalKerberos) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostName') {
            $sval = $child->nodeValue;
            $this->HostName = $sval;
            if (!empty($namespace)) {
                $this->namespace['HostName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Port') {
            $sval = $child->nodeValue;
            $this->Port = $sval;
            if (!empty($namespace)) {
                $this->namespace['Port'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsSsl') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsSsl = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsSsl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsSslAcceptAll') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsSslAcceptAll = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsSslAcceptAll'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Realm') {
            $sval = $child->nodeValue;
            $this->Realm = $sval;
            if (!empty($namespace)) {
                $this->namespace['Realm'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SearchBase') {
            $sval = $child->nodeValue;
            $this->SearchBase = $sval;
            if (!empty($namespace)) {
                $this->namespace['SearchBase'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserName') {
            $sval = $child->nodeValue;
            $this->UserName = $sval;
            if (!empty($namespace)) {
                $this->namespace['UserName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AuthenticationMechanism') {
            $sval = $child->nodeValue;
            $this->AuthenticationMechanism = $sval;
            if (!empty($namespace)) {
                $this->namespace['AuthenticationMechanism'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupSearchBase') {
            $sval = $child->nodeValue;
            $this->GroupSearchBase = $sval;
            if (!empty($namespace)) {
                $this->namespace['GroupSearchBase'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsGroupSearchBaseEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsGroupSearchBaseEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsGroupSearchBaseEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConnectorType') {
            $sval = $child->nodeValue;
            $this->ConnectorType = $sval;
            if (!empty($namespace)) {
                $this->namespace['ConnectorType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserAttributes') {
            $obj = new VMware_VCloud_API_OrgLdapUserAttributesType();
            $obj->build($child);
            $obj->set_tagName('UserAttributes');
            $this->setUserAttributes($obj);
            if (!empty($namespace)) {
                $this->namespace['UserAttributes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupAttributes') {
            $obj = new VMware_VCloud_API_OrgLdapGroupAttributesType();
            $obj->build($child);
            $obj->set_tagName('GroupAttributes');
            $this->setGroupAttributes($obj);
            if (!empty($namespace)) {
                $this->namespace['GroupAttributes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UseExternalKerberos') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UseExternalKerberos = $sval;
            if (!empty($namespace)) {
                $this->namespace['UseExternalKerberos'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CustomOrgLdapSettingsType


/**
 * Defines how a group is imported from LDAP.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgLdapGroupAttributesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ObjectClass = null;
    protected $ObjectIdentifier = null;
    protected $GroupName = null;
    protected $Membership = null;
    protected $MembershipIdentifier = null;
    protected $BackLinkIdentifier = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $ObjectClass - [required] 
    * @param string $ObjectIdentifier - [required] 
    * @param string $GroupName - [required] 
    * @param string $Membership - [required] 
    * @param string $MembershipIdentifier - [required] 
    * @param string $BackLinkIdentifier - [optional] 
    */
    public function __construct($VCloudExtension=null, $ObjectClass=null, $ObjectIdentifier=null, $GroupName=null, $Membership=null, $MembershipIdentifier=null, $BackLinkIdentifier=null) {
        parent::__construct($VCloudExtension);
        $this->ObjectClass = $ObjectClass;
        $this->ObjectIdentifier = $ObjectIdentifier;
        $this->GroupName = $GroupName;
        $this->Membership = $Membership;
        $this->MembershipIdentifier = $MembershipIdentifier;
        $this->BackLinkIdentifier = $BackLinkIdentifier;
        $this->tagName = 'GroupAttributes';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getObjectClass() {
        return $this->ObjectClass;
    }
    public function setObjectClass($ObjectClass) { 
        $this->ObjectClass = $ObjectClass;
    }
    public function getObjectIdentifier() {
        return $this->ObjectIdentifier;
    }
    public function setObjectIdentifier($ObjectIdentifier) { 
        $this->ObjectIdentifier = $ObjectIdentifier;
    }
    public function getGroupName() {
        return $this->GroupName;
    }
    public function setGroupName($GroupName) { 
        $this->GroupName = $GroupName;
    }
    public function getMembership() {
        return $this->Membership;
    }
    public function setMembership($Membership) { 
        $this->Membership = $Membership;
    }
    public function getMembershipIdentifier() {
        return $this->MembershipIdentifier;
    }
    public function setMembershipIdentifier($MembershipIdentifier) { 
        $this->MembershipIdentifier = $MembershipIdentifier;
    }
    public function getBackLinkIdentifier() {
        return $this->BackLinkIdentifier;
    }
    public function setBackLinkIdentifier($BackLinkIdentifier) { 
        $this->BackLinkIdentifier = $BackLinkIdentifier;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ObjectClass)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ObjectClass', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ObjectClass>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ObjectClass, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ObjectClass')) . "</" . $ns . "ObjectClass>\n");
        }
        if (!is_null($this->ObjectIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ObjectIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ObjectIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ObjectIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ObjectIdentifier')) . "</" . $ns . "ObjectIdentifier>\n");
        }
        if (!is_null($this->GroupName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GroupName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GroupName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GroupName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GroupName')) . "</" . $ns . "GroupName>\n");
        }
        if (!is_null($this->Membership)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Membership', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Membership>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Membership, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Membership')) . "</" . $ns . "Membership>\n");
        }
        if (!is_null($this->MembershipIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MembershipIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MembershipIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MembershipIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MembershipIdentifier')) . "</" . $ns . "MembershipIdentifier>\n");
        }
        if (!is_null($this->BackLinkIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'BackLinkIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "BackLinkIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->BackLinkIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='BackLinkIdentifier')) . "</" . $ns . "BackLinkIdentifier>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ObjectClass) ||
            !is_null($this->ObjectIdentifier) ||
            !is_null($this->GroupName) ||
            !is_null($this->Membership) ||
            !is_null($this->MembershipIdentifier) ||
            !is_null($this->BackLinkIdentifier) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ObjectClass') {
            $sval = $child->nodeValue;
            $this->ObjectClass = $sval;
            if (!empty($namespace)) {
                $this->namespace['ObjectClass'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ObjectIdentifier') {
            $sval = $child->nodeValue;
            $this->ObjectIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['ObjectIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupName') {
            $sval = $child->nodeValue;
            $this->GroupName = $sval;
            if (!empty($namespace)) {
                $this->namespace['GroupName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Membership') {
            $sval = $child->nodeValue;
            $this->Membership = $sval;
            if (!empty($namespace)) {
                $this->namespace['Membership'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MembershipIdentifier') {
            $sval = $child->nodeValue;
            $this->MembershipIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['MembershipIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BackLinkIdentifier') {
            $sval = $child->nodeValue;
            $this->BackLinkIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['BackLinkIdentifier'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgLdapGroupAttributesType


/**
 * Defines how LDAP attributes are used when importing a user.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgLdapUserAttributesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ObjectClass = null;
    protected $ObjectIdentifier = null;
    protected $UserName = null;
    protected $Email = null;
    protected $FullName = null;
    protected $GivenName = null;
    protected $Surname = null;
    protected $Telephone = null;
    protected $GroupMembershipIdentifier = null;
    protected $GroupBackLinkIdentifier = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $ObjectClass - [required] 
    * @param string $ObjectIdentifier - [required] 
    * @param string $UserName - [required] 
    * @param string $Email - [required] 
    * @param string $FullName - [required] 
    * @param string $GivenName - [required] 
    * @param string $Surname - [required] 
    * @param string $Telephone - [required] 
    * @param string $GroupMembershipIdentifier - [required] 
    * @param string $GroupBackLinkIdentifier - [optional] 
    */
    public function __construct($VCloudExtension=null, $ObjectClass=null, $ObjectIdentifier=null, $UserName=null, $Email=null, $FullName=null, $GivenName=null, $Surname=null, $Telephone=null, $GroupMembershipIdentifier=null, $GroupBackLinkIdentifier=null) {
        parent::__construct($VCloudExtension);
        $this->ObjectClass = $ObjectClass;
        $this->ObjectIdentifier = $ObjectIdentifier;
        $this->UserName = $UserName;
        $this->Email = $Email;
        $this->FullName = $FullName;
        $this->GivenName = $GivenName;
        $this->Surname = $Surname;
        $this->Telephone = $Telephone;
        $this->GroupMembershipIdentifier = $GroupMembershipIdentifier;
        $this->GroupBackLinkIdentifier = $GroupBackLinkIdentifier;
        $this->tagName = 'UserAttributes';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getObjectClass() {
        return $this->ObjectClass;
    }
    public function setObjectClass($ObjectClass) { 
        $this->ObjectClass = $ObjectClass;
    }
    public function getObjectIdentifier() {
        return $this->ObjectIdentifier;
    }
    public function setObjectIdentifier($ObjectIdentifier) { 
        $this->ObjectIdentifier = $ObjectIdentifier;
    }
    public function getUserName() {
        return $this->UserName;
    }
    public function setUserName($UserName) { 
        $this->UserName = $UserName;
    }
    public function getEmail() {
        return $this->Email;
    }
    public function setEmail($Email) { 
        $this->Email = $Email;
    }
    public function getFullName() {
        return $this->FullName;
    }
    public function setFullName($FullName) { 
        $this->FullName = $FullName;
    }
    public function getGivenName() {
        return $this->GivenName;
    }
    public function setGivenName($GivenName) { 
        $this->GivenName = $GivenName;
    }
    public function getSurname() {
        return $this->Surname;
    }
    public function setSurname($Surname) { 
        $this->Surname = $Surname;
    }
    public function getTelephone() {
        return $this->Telephone;
    }
    public function setTelephone($Telephone) { 
        $this->Telephone = $Telephone;
    }
    public function getGroupMembershipIdentifier() {
        return $this->GroupMembershipIdentifier;
    }
    public function setGroupMembershipIdentifier($GroupMembershipIdentifier) { 
        $this->GroupMembershipIdentifier = $GroupMembershipIdentifier;
    }
    public function getGroupBackLinkIdentifier() {
        return $this->GroupBackLinkIdentifier;
    }
    public function setGroupBackLinkIdentifier($GroupBackLinkIdentifier) { 
        $this->GroupBackLinkIdentifier = $GroupBackLinkIdentifier;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ObjectClass)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ObjectClass', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ObjectClass>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ObjectClass, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ObjectClass')) . "</" . $ns . "ObjectClass>\n");
        }
        if (!is_null($this->ObjectIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ObjectIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ObjectIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ObjectIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ObjectIdentifier')) . "</" . $ns . "ObjectIdentifier>\n");
        }
        if (!is_null($this->UserName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UserName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UserName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UserName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UserName')) . "</" . $ns . "UserName>\n");
        }
        if (!is_null($this->Email)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Email', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Email>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Email, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Email')) . "</" . $ns . "Email>\n");
        }
        if (!is_null($this->FullName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FullName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FullName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->FullName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='FullName')) . "</" . $ns . "FullName>\n");
        }
        if (!is_null($this->GivenName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GivenName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GivenName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GivenName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GivenName')) . "</" . $ns . "GivenName>\n");
        }
        if (!is_null($this->Surname)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Surname', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Surname>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Surname, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Surname')) . "</" . $ns . "Surname>\n");
        }
        if (!is_null($this->Telephone)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Telephone', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Telephone>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Telephone, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Telephone')) . "</" . $ns . "Telephone>\n");
        }
        if (!is_null($this->GroupMembershipIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GroupMembershipIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GroupMembershipIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GroupMembershipIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GroupMembershipIdentifier')) . "</" . $ns . "GroupMembershipIdentifier>\n");
        }
        if (!is_null($this->GroupBackLinkIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GroupBackLinkIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GroupBackLinkIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GroupBackLinkIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GroupBackLinkIdentifier')) . "</" . $ns . "GroupBackLinkIdentifier>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ObjectClass) ||
            !is_null($this->ObjectIdentifier) ||
            !is_null($this->UserName) ||
            !is_null($this->Email) ||
            !is_null($this->FullName) ||
            !is_null($this->GivenName) ||
            !is_null($this->Surname) ||
            !is_null($this->Telephone) ||
            !is_null($this->GroupMembershipIdentifier) ||
            !is_null($this->GroupBackLinkIdentifier) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ObjectClass') {
            $sval = $child->nodeValue;
            $this->ObjectClass = $sval;
            if (!empty($namespace)) {
                $this->namespace['ObjectClass'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ObjectIdentifier') {
            $sval = $child->nodeValue;
            $this->ObjectIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['ObjectIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserName') {
            $sval = $child->nodeValue;
            $this->UserName = $sval;
            if (!empty($namespace)) {
                $this->namespace['UserName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Email') {
            $sval = $child->nodeValue;
            $this->Email = $sval;
            if (!empty($namespace)) {
                $this->namespace['Email'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FullName') {
            $sval = $child->nodeValue;
            $this->FullName = $sval;
            if (!empty($namespace)) {
                $this->namespace['FullName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GivenName') {
            $sval = $child->nodeValue;
            $this->GivenName = $sval;
            if (!empty($namespace)) {
                $this->namespace['GivenName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Surname') {
            $sval = $child->nodeValue;
            $this->Surname = $sval;
            if (!empty($namespace)) {
                $this->namespace['Surname'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Telephone') {
            $sval = $child->nodeValue;
            $this->Telephone = $sval;
            if (!empty($namespace)) {
                $this->namespace['Telephone'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupMembershipIdentifier') {
            $sval = $child->nodeValue;
            $this->GroupMembershipIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['GroupMembershipIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupBackLinkIdentifier') {
            $sval = $child->nodeValue;
            $this->GroupBackLinkIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['GroupBackLinkIdentifier'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgLdapUserAttributesType


/**
 * Represents the email settings for an organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgEmailSettingsType extends VMware_VCloud_API_ResourceType {
    protected $IsDefaultSmtpServer = null;
    protected $IsDefaultOrgEmail = null;
    protected $FromEmailAddress = null;
    protected $DefaultSubjectPrefix = null;
    protected $IsAlertEmailToAllAdmins = null;
    protected $AlertEmailTo = array();
    protected $SmtpServerSettings = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $IsDefaultSmtpServer - [required] 
    * @param boolean $IsDefaultOrgEmail - [required] 
    * @param string $FromEmailAddress - [required] 
    * @param string $DefaultSubjectPrefix - [required] 
    * @param boolean $IsAlertEmailToAllAdmins - [required] 
    * @param array $AlertEmailTo - [optional] an array of string
    * @param VMware_VCloud_API_SmtpServerSettingsType $SmtpServerSettings - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $IsDefaultSmtpServer=null, $IsDefaultOrgEmail=null, $FromEmailAddress=null, $DefaultSubjectPrefix=null, $IsAlertEmailToAllAdmins=null, $AlertEmailTo=null, $SmtpServerSettings=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->IsDefaultSmtpServer = $IsDefaultSmtpServer;
        $this->IsDefaultOrgEmail = $IsDefaultOrgEmail;
        $this->FromEmailAddress = $FromEmailAddress;
        $this->DefaultSubjectPrefix = $DefaultSubjectPrefix;
        $this->IsAlertEmailToAllAdmins = $IsAlertEmailToAllAdmins;
        if (!is_null($AlertEmailTo)) {
            $this->AlertEmailTo = $AlertEmailTo;
        }
        $this->SmtpServerSettings = $SmtpServerSettings;
        $this->tagName = 'OrgEmailSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsDefaultSmtpServer() {
        return $this->IsDefaultSmtpServer;
    }
    public function setIsDefaultSmtpServer($IsDefaultSmtpServer) { 
        $this->IsDefaultSmtpServer = $IsDefaultSmtpServer;
    }
    public function getIsDefaultOrgEmail() {
        return $this->IsDefaultOrgEmail;
    }
    public function setIsDefaultOrgEmail($IsDefaultOrgEmail) { 
        $this->IsDefaultOrgEmail = $IsDefaultOrgEmail;
    }
    public function getFromEmailAddress() {
        return $this->FromEmailAddress;
    }
    public function setFromEmailAddress($FromEmailAddress) { 
        $this->FromEmailAddress = $FromEmailAddress;
    }
    public function getDefaultSubjectPrefix() {
        return $this->DefaultSubjectPrefix;
    }
    public function setDefaultSubjectPrefix($DefaultSubjectPrefix) { 
        $this->DefaultSubjectPrefix = $DefaultSubjectPrefix;
    }
    public function getIsAlertEmailToAllAdmins() {
        return $this->IsAlertEmailToAllAdmins;
    }
    public function setIsAlertEmailToAllAdmins($IsAlertEmailToAllAdmins) { 
        $this->IsAlertEmailToAllAdmins = $IsAlertEmailToAllAdmins;
    }
    public function getAlertEmailTo() {
        return $this->AlertEmailTo;
    }
    public function setAlertEmailTo($AlertEmailTo) { 
        $this->AlertEmailTo = $AlertEmailTo;
    }
    public function addAlertEmailTo($value) { array_push($this->AlertEmailTo, $value); }
    public function getSmtpServerSettings() {
        return $this->SmtpServerSettings;
    }
    public function setSmtpServerSettings($SmtpServerSettings) { 
        $this->SmtpServerSettings = $SmtpServerSettings;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsDefaultSmtpServer)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsDefaultSmtpServer', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsDefaultSmtpServer>" . VMware_VCloud_API_Helper::format_boolean($this->IsDefaultSmtpServer, $input_name='IsDefaultSmtpServer') . "</" . $ns . "IsDefaultSmtpServer>\n");
     }
        if (!is_null($this->IsDefaultOrgEmail)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsDefaultOrgEmail', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsDefaultOrgEmail>" . VMware_VCloud_API_Helper::format_boolean($this->IsDefaultOrgEmail, $input_name='IsDefaultOrgEmail') . "</" . $ns . "IsDefaultOrgEmail>\n");
     }
        if (!is_null($this->FromEmailAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FromEmailAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FromEmailAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->FromEmailAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='FromEmailAddress')) . "</" . $ns . "FromEmailAddress>\n");
        }
        if (!is_null($this->DefaultSubjectPrefix)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DefaultSubjectPrefix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DefaultSubjectPrefix>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DefaultSubjectPrefix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DefaultSubjectPrefix')) . "</" . $ns . "DefaultSubjectPrefix>\n");
        }
        if (!is_null($this->IsAlertEmailToAllAdmins)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsAlertEmailToAllAdmins', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsAlertEmailToAllAdmins>" . VMware_VCloud_API_Helper::format_boolean($this->IsAlertEmailToAllAdmins, $input_name='IsAlertEmailToAllAdmins') . "</" . $ns . "IsAlertEmailToAllAdmins>\n");
     }
        if (isset($this->AlertEmailTo)) {
            foreach ($this->AlertEmailTo as $AlertEmailTo) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AlertEmailTo', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AlertEmailTo>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($AlertEmailTo, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AlertEmailTo')) . "</" . $ns . "AlertEmailTo>\n");
            }
        }
        if (!is_null($this->SmtpServerSettings)) {
            $out = $this->SmtpServerSettings->export('SmtpServerSettings', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsDefaultSmtpServer) ||
            !is_null($this->IsDefaultOrgEmail) ||
            !is_null($this->FromEmailAddress) ||
            !is_null($this->DefaultSubjectPrefix) ||
            !is_null($this->IsAlertEmailToAllAdmins) ||
            !empty($this->AlertEmailTo) ||
            !is_null($this->SmtpServerSettings) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsDefaultSmtpServer') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsDefaultSmtpServer = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsDefaultSmtpServer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsDefaultOrgEmail') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsDefaultOrgEmail = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsDefaultOrgEmail'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FromEmailAddress') {
            $sval = $child->nodeValue;
            $this->FromEmailAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['FromEmailAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultSubjectPrefix') {
            $sval = $child->nodeValue;
            $this->DefaultSubjectPrefix = $sval;
            if (!empty($namespace)) {
                $this->namespace['DefaultSubjectPrefix'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsAlertEmailToAllAdmins') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsAlertEmailToAllAdmins = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsAlertEmailToAllAdmins'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AlertEmailTo') {
            $sval = $child->nodeValue;
            array_push($this->AlertEmailTo, $sval);
            if (!empty($namespace)) {
                $this->namespace['AlertEmailTo'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SmtpServerSettings') {
            $obj = new VMware_VCloud_API_SmtpServerSettingsType();
            $obj->build($child);
            $obj->set_tagName('SmtpServerSettings');
            $this->setSmtpServerSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['SmtpServerSettings'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgEmailSettingsType


/**
 * Defines connection details for the organization s SMTP server.  If IsDefaultSmtpServer (in OrgEmailSettings) is false, the SmtpServerSettings  element is taken into account.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SmtpServerSettingsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsUseAuthentication = null;
    protected $Host = null;
    protected $Port = null;
    protected $Username = null;
    protected $Password = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsUseAuthentication - [required] 
    * @param string $Host - [required] 
    * @param int $Port - [optional] 
    * @param string $Username - [required] 
    * @param string $Password - [optional] 
    */
    public function __construct($VCloudExtension=null, $IsUseAuthentication=null, $Host=null, $Port=null, $Username=null, $Password=null) {
        parent::__construct($VCloudExtension);
        $this->IsUseAuthentication = $IsUseAuthentication;
        $this->Host = $Host;
        $this->Port = $Port;
        $this->Username = $Username;
        $this->Password = $Password;
        $this->tagName = 'SmtpServerSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsUseAuthentication() {
        return $this->IsUseAuthentication;
    }
    public function setIsUseAuthentication($IsUseAuthentication) { 
        $this->IsUseAuthentication = $IsUseAuthentication;
    }
    public function getHost() {
        return $this->Host;
    }
    public function setHost($Host) { 
        $this->Host = $Host;
    }
    public function getPort() {
        return $this->Port;
    }
    public function setPort($Port) { 
        $this->Port = $Port;
    }
    public function getUsername() {
        return $this->Username;
    }
    public function setUsername($Username) { 
        $this->Username = $Username;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsUseAuthentication)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsUseAuthentication', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsUseAuthentication>" . VMware_VCloud_API_Helper::format_boolean($this->IsUseAuthentication, $input_name='IsUseAuthentication') . "</" . $ns . "IsUseAuthentication>\n");
     }
        if (!is_null($this->Host)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Host', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Host>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Host, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Host')) . "</" . $ns . "Host>\n");
        }
        if (!is_null($this->Port)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Port', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Port>" . VMware_VCloud_API_Helper::format_integer($this->Port, $input_name='Port') . "</" . $ns . "Port>\n");
        }
        if (!is_null($this->Username)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Username', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Username>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Username, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Username')) . "</" . $ns . "Username>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsUseAuthentication) ||
            !is_null($this->Host) ||
            !is_null($this->Port) ||
            !is_null($this->Username) ||
            !is_null($this->Password) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsUseAuthentication') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsUseAuthentication = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsUseAuthentication'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Host') {
            $sval = $child->nodeValue;
            $this->Host = $sval;
            if (!empty($namespace)) {
                $this->namespace['Host'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Port') {
            $sval = $child->nodeValue;
            $this->Port = $sval;
            if (!empty($namespace)) {
                $this->namespace['Port'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Username') {
            $sval = $child->nodeValue;
            $this->Username = $sval;
            if (!empty($namespace)) {
                $this->namespace['Username'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SmtpServerSettingsType


/**
 * Represents password policy settings for this organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgPasswordPolicySettingsType extends VMware_VCloud_API_ResourceType {
    protected $AccountLockoutEnabled = null;
    protected $InvalidLoginsBeforeLockout = null;
    protected $AccountLockoutIntervalMinutes = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $AccountLockoutEnabled - [required] 
    * @param int $InvalidLoginsBeforeLockout - [required] 
    * @param int $AccountLockoutIntervalMinutes - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $AccountLockoutEnabled=null, $InvalidLoginsBeforeLockout=null, $AccountLockoutIntervalMinutes=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->AccountLockoutEnabled = $AccountLockoutEnabled;
        $this->InvalidLoginsBeforeLockout = $InvalidLoginsBeforeLockout;
        $this->AccountLockoutIntervalMinutes = $AccountLockoutIntervalMinutes;
        $this->tagName = 'OrgPasswordPolicySettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAccountLockoutEnabled() {
        return $this->AccountLockoutEnabled;
    }
    public function setAccountLockoutEnabled($AccountLockoutEnabled) { 
        $this->AccountLockoutEnabled = $AccountLockoutEnabled;
    }
    public function getInvalidLoginsBeforeLockout() {
        return $this->InvalidLoginsBeforeLockout;
    }
    public function setInvalidLoginsBeforeLockout($InvalidLoginsBeforeLockout) { 
        $this->InvalidLoginsBeforeLockout = $InvalidLoginsBeforeLockout;
    }
    public function getAccountLockoutIntervalMinutes() {
        return $this->AccountLockoutIntervalMinutes;
    }
    public function setAccountLockoutIntervalMinutes($AccountLockoutIntervalMinutes) { 
        $this->AccountLockoutIntervalMinutes = $AccountLockoutIntervalMinutes;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AccountLockoutEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AccountLockoutEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AccountLockoutEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->AccountLockoutEnabled, $input_name='AccountLockoutEnabled') . "</" . $ns . "AccountLockoutEnabled>\n");
     }
        if (!is_null($this->InvalidLoginsBeforeLockout)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InvalidLoginsBeforeLockout', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InvalidLoginsBeforeLockout>" . VMware_VCloud_API_Helper::format_integer($this->InvalidLoginsBeforeLockout, $input_name='InvalidLoginsBeforeLockout') . "</" . $ns . "InvalidLoginsBeforeLockout>\n");
        }
        if (!is_null($this->AccountLockoutIntervalMinutes)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AccountLockoutIntervalMinutes', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AccountLockoutIntervalMinutes>" . VMware_VCloud_API_Helper::format_integer($this->AccountLockoutIntervalMinutes, $input_name='AccountLockoutIntervalMinutes') . "</" . $ns . "AccountLockoutIntervalMinutes>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AccountLockoutEnabled) ||
            !is_null($this->InvalidLoginsBeforeLockout) ||
            !is_null($this->AccountLockoutIntervalMinutes) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AccountLockoutEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AccountLockoutEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['AccountLockoutEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InvalidLoginsBeforeLockout') {
            $sval = $child->nodeValue;
            $this->InvalidLoginsBeforeLockout = $sval;
            if (!empty($namespace)) {
                $this->namespace['InvalidLoginsBeforeLockout'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AccountLockoutIntervalMinutes') {
            $sval = $child->nodeValue;
            $this->AccountLockoutIntervalMinutes = $sval;
            if (!empty($namespace)) {
                $this->namespace['AccountLockoutIntervalMinutes'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgPasswordPolicySettingsType


/**
 * Represents the admin view of a catalog.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AdminCatalogType extends VMware_VCloud_API_CatalogType {
    protected $CatalogStorageProfiles = null;
    protected $ExternalCatalogSubscriptionParams = null;
    protected $PublishExternalCatalogParams = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_OwnerType $Owner - [optional]
    * @param VMware_VCloud_API_CatalogItemsType $CatalogItems - [optional]
    * @param boolean $IsPublished - [optional] 
    * @param string $DateCreated - [optional] 
    * @param int $VersionNumber - [optional] 
    * @param VMware_VCloud_API_CatalogStorageProfilesType $CatalogStorageProfiles - [optional]
    * @param VMware_VCloud_API_ExternalCatalogSubscriptionParamsType $ExternalCatalogSubscriptionParams - [optional]
    * @param VMware_VCloud_API_PublishExternalCatalogParamsType $PublishExternalCatalogParams - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Owner=null, $CatalogItems=null, $IsPublished=null, $DateCreated=null, $VersionNumber=null, $CatalogStorageProfiles=null, $ExternalCatalogSubscriptionParams=null, $PublishExternalCatalogParams=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Owner, $CatalogItems, $IsPublished, $DateCreated, $VersionNumber);
        $this->CatalogStorageProfiles = $CatalogStorageProfiles;
        $this->ExternalCatalogSubscriptionParams = $ExternalCatalogSubscriptionParams;
        $this->PublishExternalCatalogParams = $PublishExternalCatalogParams;
        $this->tagName = 'AdminCatalog';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCatalogStorageProfiles() {
        return $this->CatalogStorageProfiles;
    }
    public function setCatalogStorageProfiles($CatalogStorageProfiles) { 
        $this->CatalogStorageProfiles = $CatalogStorageProfiles;
    }
    public function getExternalCatalogSubscriptionParams() {
        return $this->ExternalCatalogSubscriptionParams;
    }
    public function setExternalCatalogSubscriptionParams($ExternalCatalogSubscriptionParams) { 
        $this->ExternalCatalogSubscriptionParams = $ExternalCatalogSubscriptionParams;
    }
    public function getPublishExternalCatalogParams() {
        return $this->PublishExternalCatalogParams;
    }
    public function setPublishExternalCatalogParams($PublishExternalCatalogParams) { 
        $this->PublishExternalCatalogParams = $PublishExternalCatalogParams;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->CatalogStorageProfiles)) {
            $out = $this->CatalogStorageProfiles->export('CatalogStorageProfiles', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ExternalCatalogSubscriptionParams)) {
            $out = $this->ExternalCatalogSubscriptionParams->export('ExternalCatalogSubscriptionParams', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->PublishExternalCatalogParams)) {
            $out = $this->PublishExternalCatalogParams->export('PublishExternalCatalogParams', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->CatalogStorageProfiles) ||
            !is_null($this->ExternalCatalogSubscriptionParams) ||
            !is_null($this->PublishExternalCatalogParams) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogStorageProfiles') {
            $obj = new VMware_VCloud_API_CatalogStorageProfilesType();
            $obj->build($child);
            $obj->set_tagName('CatalogStorageProfiles');
            $this->setCatalogStorageProfiles($obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogStorageProfiles'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalCatalogSubscriptionParams') {
            $obj = new VMware_VCloud_API_ExternalCatalogSubscriptionParamsType();
            $obj->build($child);
            $obj->set_tagName('ExternalCatalogSubscriptionParams');
            $this->setExternalCatalogSubscriptionParams($obj);
            if (!empty($namespace)) {
                $this->namespace['ExternalCatalogSubscriptionParams'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PublishExternalCatalogParams') {
            $obj = new VMware_VCloud_API_PublishExternalCatalogParamsType();
            $obj->build($child);
            $obj->set_tagName('PublishExternalCatalogParams');
            $this->setPublishExternalCatalogParams($obj);
            if (!empty($namespace)) {
                $this->namespace['PublishExternalCatalogParams'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AdminCatalogType


/**
 * Represents a list of organizations.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgsType extends VMware_VCloud_API_ResourceType {
    protected $Org = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Org - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Org=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($Org)) {
            $this->Org = $Org;
        }
        $this->tagName = 'Orgs';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOrg() {
        return $this->Org;
    }
    public function setOrg($Org) { 
        $this->Org = $Org;
    }
    public function addOrg($value) { array_push($this->Org, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Org)) {
            foreach ($this->Org as $Org) {
                $out = $Org->export('Org', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Org) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Org') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Org');
            array_push($this->Org, $obj);
            if (!empty($namespace)) {
                $this->namespace['Org'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgsType


/**
 * Container for VdcStorageProfile elements that reference  storage profiles used by a catalog.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CatalogStorageProfilesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $VdcStorageProfile = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $VdcStorageProfile - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $VdcStorageProfile=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($VdcStorageProfile)) {
            $this->VdcStorageProfile = $VdcStorageProfile;
        }
        $this->tagName = 'CatalogStorageProfiles';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function addVdcStorageProfile($value) { array_push($this->VdcStorageProfile, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VdcStorageProfile)) {
            foreach ($this->VdcStorageProfile as $VdcStorageProfile) {
                $out = $VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            array_push($this->VdcStorageProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CatalogStorageProfilesType


/**
 * Configuration parameters for a catalog that has an external  subscription.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ExternalCatalogSubscriptionParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $SubscribeToExternalFeeds = null;
    protected $Location = null;
    protected $Password = null;
    protected $ExpectedSslThumbprint = null;
    protected $LocalCopy = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $SubscribeToExternalFeeds - [optional] 
    * @param string $Location - [optional] 
    * @param string $Password - [optional] 
    * @param string $ExpectedSslThumbprint - [optional] 
    * @param boolean $LocalCopy - [optional] 
    */
    public function __construct($VCloudExtension=null, $SubscribeToExternalFeeds=null, $Location=null, $Password=null, $ExpectedSslThumbprint=null, $LocalCopy=null) {
        parent::__construct($VCloudExtension);
        $this->SubscribeToExternalFeeds = $SubscribeToExternalFeeds;
        $this->Location = $Location;
        $this->Password = $Password;
        $this->ExpectedSslThumbprint = $ExpectedSslThumbprint;
        $this->LocalCopy = $LocalCopy;
        $this->tagName = 'ExternalCatalogSubscriptionParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSubscribeToExternalFeeds() {
        return $this->SubscribeToExternalFeeds;
    }
    public function setSubscribeToExternalFeeds($SubscribeToExternalFeeds) { 
        $this->SubscribeToExternalFeeds = $SubscribeToExternalFeeds;
    }
    public function getLocation() {
        return $this->Location;
    }
    public function setLocation($Location) { 
        $this->Location = $Location;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function getExpectedSslThumbprint() {
        return $this->ExpectedSslThumbprint;
    }
    public function setExpectedSslThumbprint($ExpectedSslThumbprint) { 
        $this->ExpectedSslThumbprint = $ExpectedSslThumbprint;
    }
    public function getLocalCopy() {
        return $this->LocalCopy;
    }
    public function setLocalCopy($LocalCopy) { 
        $this->LocalCopy = $LocalCopy;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->SubscribeToExternalFeeds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SubscribeToExternalFeeds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SubscribeToExternalFeeds>" . VMware_VCloud_API_Helper::format_boolean($this->SubscribeToExternalFeeds, $input_name='SubscribeToExternalFeeds') . "</" . $ns . "SubscribeToExternalFeeds>\n");
        }
        if (!is_null($this->Location)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Location', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Location>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Location, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Location')) . "</" . $ns . "Location>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        if (!is_null($this->ExpectedSslThumbprint)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExpectedSslThumbprint', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExpectedSslThumbprint>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExpectedSslThumbprint, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExpectedSslThumbprint')) . "</" . $ns . "ExpectedSslThumbprint>\n");
        }
        if (!is_null($this->LocalCopy)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LocalCopy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LocalCopy>" . VMware_VCloud_API_Helper::format_boolean($this->LocalCopy, $input_name='LocalCopy') . "</" . $ns . "LocalCopy>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->SubscribeToExternalFeeds) ||
            !is_null($this->Location) ||
            !is_null($this->Password) ||
            !is_null($this->ExpectedSslThumbprint) ||
            !is_null($this->LocalCopy) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SubscribeToExternalFeeds') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->SubscribeToExternalFeeds = $sval;
            if (!empty($namespace)) {
                $this->namespace['SubscribeToExternalFeeds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Location') {
            $sval = $child->nodeValue;
            $this->Location = $sval;
            if (!empty($namespace)) {
                $this->namespace['Location'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExpectedSslThumbprint') {
            $sval = $child->nodeValue;
            $this->ExpectedSslThumbprint = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExpectedSslThumbprint'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LocalCopy') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->LocalCopy = $sval;
            if (!empty($namespace)) {
                $this->namespace['LocalCopy'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ExternalCatalogSubscriptionParamsType


/**
 * Configuration parameters for a catalog that is published  externally.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_PublishExternalCatalogParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsPublishedExternally = null;
    protected $catalogPublishedUrl = null;
    protected $Password = null;
    protected $IsCacheEnabled = null;
    protected $PreserveIdentityInfoFlag = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsPublishedExternally - [optional] 
    * @param string $catalogPublishedUrl - [optional] 
    * @param string $Password - [optional] 
    * @param boolean $IsCacheEnabled - [optional] 
    * @param boolean $PreserveIdentityInfoFlag - [optional] 
    */
    public function __construct($VCloudExtension=null, $IsPublishedExternally=null, $catalogPublishedUrl=null, $Password=null, $IsCacheEnabled=null, $PreserveIdentityInfoFlag=null) {
        parent::__construct($VCloudExtension);
        $this->IsPublishedExternally = $IsPublishedExternally;
        $this->catalogPublishedUrl = $catalogPublishedUrl;
        $this->Password = $Password;
        $this->IsCacheEnabled = $IsCacheEnabled;
        $this->PreserveIdentityInfoFlag = $PreserveIdentityInfoFlag;
        $this->tagName = 'PublishExternalCatalogParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsPublishedExternally() {
        return $this->IsPublishedExternally;
    }
    public function setIsPublishedExternally($IsPublishedExternally) { 
        $this->IsPublishedExternally = $IsPublishedExternally;
    }
    public function get_catalogPublishedUrl() {
        return $this->catalogPublishedUrl;
    }
    public function set_catalogPublishedUrl($catalogPublishedUrl) { 
        $this->catalogPublishedUrl = $catalogPublishedUrl;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function getIsCacheEnabled() {
        return $this->IsCacheEnabled;
    }
    public function setIsCacheEnabled($IsCacheEnabled) { 
        $this->IsCacheEnabled = $IsCacheEnabled;
    }
    public function getPreserveIdentityInfoFlag() {
        return $this->PreserveIdentityInfoFlag;
    }
    public function setPreserveIdentityInfoFlag($PreserveIdentityInfoFlag) { 
        $this->PreserveIdentityInfoFlag = $PreserveIdentityInfoFlag;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsPublishedExternally)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsPublishedExternally', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsPublishedExternally>" . VMware_VCloud_API_Helper::format_boolean($this->IsPublishedExternally, $input_name='IsPublishedExternally') . "</" . $ns . "IsPublishedExternally>\n");
        }
        if (!is_null($this->catalogPublishedUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'catalogPublishedUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "catalogPublishedUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->catalogPublishedUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='catalogPublishedUrl')) . "</" . $ns . "catalogPublishedUrl>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        if (!is_null($this->IsCacheEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsCacheEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsCacheEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsCacheEnabled, $input_name='IsCacheEnabled') . "</" . $ns . "IsCacheEnabled>\n");
        }
        if (!is_null($this->PreserveIdentityInfoFlag)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PreserveIdentityInfoFlag', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PreserveIdentityInfoFlag>" . VMware_VCloud_API_Helper::format_boolean($this->PreserveIdentityInfoFlag, $input_name='PreserveIdentityInfoFlag') . "</" . $ns . "PreserveIdentityInfoFlag>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsPublishedExternally) ||
            !is_null($this->catalogPublishedUrl) ||
            !is_null($this->Password) ||
            !is_null($this->IsCacheEnabled) ||
            !is_null($this->PreserveIdentityInfoFlag) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsPublishedExternally') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsPublishedExternally = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsPublishedExternally'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'catalogPublishedUrl') {
            $sval = $child->nodeValue;
            $this->catalogPublishedUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['catalogPublishedUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsCacheEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsCacheEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsCacheEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PreserveIdentityInfoFlag') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PreserveIdentityInfoFlag = $sval;
            if (!empty($namespace)) {
                $this->namespace['PreserveIdentityInfoFlag'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_PublishExternalCatalogParamsType


/**
 * Represents default guest personalization settings for an  organization. These values are applied during guest  customization of virtual machines in this organization  if their GuestCustomizationSection specifies UseOrgSettings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgGuestPersonalizationSettingsType extends VMware_VCloud_API_ResourceType {
    protected $DomainUsername = null;
    protected $DomainPassword = null;
    protected $DomainName = null;
    protected $AllowDomainSettings = null;
    protected $AccountOrganizationalUnit = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $DomainUsername - [optional] 
    * @param string $DomainPassword - [optional] 
    * @param string $DomainName - [optional] 
    * @param boolean $AllowDomainSettings - [optional] 
    * @param string $AccountOrganizationalUnit - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $DomainUsername=null, $DomainPassword=null, $DomainName=null, $AllowDomainSettings=null, $AccountOrganizationalUnit=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->DomainUsername = $DomainUsername;
        $this->DomainPassword = $DomainPassword;
        $this->DomainName = $DomainName;
        $this->AllowDomainSettings = $AllowDomainSettings;
        $this->AccountOrganizationalUnit = $AccountOrganizationalUnit;
        $this->tagName = 'OrgGuestPersonalizationSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDomainUsername() {
        return $this->DomainUsername;
    }
    public function setDomainUsername($DomainUsername) { 
        $this->DomainUsername = $DomainUsername;
    }
    public function getDomainPassword() {
        return $this->DomainPassword;
    }
    public function setDomainPassword($DomainPassword) { 
        $this->DomainPassword = $DomainPassword;
    }
    public function getDomainName() {
        return $this->DomainName;
    }
    public function setDomainName($DomainName) { 
        $this->DomainName = $DomainName;
    }
    public function getAllowDomainSettings() {
        return $this->AllowDomainSettings;
    }
    public function setAllowDomainSettings($AllowDomainSettings) { 
        $this->AllowDomainSettings = $AllowDomainSettings;
    }
    public function getAccountOrganizationalUnit() {
        return $this->AccountOrganizationalUnit;
    }
    public function setAccountOrganizationalUnit($AccountOrganizationalUnit) { 
        $this->AccountOrganizationalUnit = $AccountOrganizationalUnit;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->DomainUsername)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DomainUsername', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DomainUsername>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DomainUsername, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DomainUsername')) . "</" . $ns . "DomainUsername>\n");
        }
        if (!is_null($this->DomainPassword)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DomainPassword', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DomainPassword>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DomainPassword, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DomainPassword')) . "</" . $ns . "DomainPassword>\n");
        }
        if (!is_null($this->DomainName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DomainName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DomainName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DomainName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DomainName')) . "</" . $ns . "DomainName>\n");
        }
        if (!is_null($this->AllowDomainSettings)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AllowDomainSettings', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AllowDomainSettings>" . VMware_VCloud_API_Helper::format_boolean($this->AllowDomainSettings, $input_name='AllowDomainSettings') . "</" . $ns . "AllowDomainSettings>\n");
        }
        if (!is_null($this->AccountOrganizationalUnit)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AccountOrganizationalUnit', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AccountOrganizationalUnit>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AccountOrganizationalUnit, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AccountOrganizationalUnit')) . "</" . $ns . "AccountOrganizationalUnit>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->DomainUsername) ||
            !is_null($this->DomainPassword) ||
            !is_null($this->DomainName) ||
            !is_null($this->AllowDomainSettings) ||
            !is_null($this->AccountOrganizationalUnit) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DomainUsername') {
            $sval = $child->nodeValue;
            $this->DomainUsername = $sval;
            if (!empty($namespace)) {
                $this->namespace['DomainUsername'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DomainPassword') {
            $sval = $child->nodeValue;
            $this->DomainPassword = $sval;
            if (!empty($namespace)) {
                $this->namespace['DomainPassword'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DomainName') {
            $sval = $child->nodeValue;
            $this->DomainName = $sval;
            if (!empty($namespace)) {
                $this->namespace['DomainName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllowDomainSettings') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AllowDomainSettings = $sval;
            if (!empty($namespace)) {
                $this->namespace['AllowDomainSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AccountOrganizationalUnit') {
            $sval = $child->nodeValue;
            $this->AccountOrganizationalUnit = $sval;
            if (!empty($namespace)) {
                $this->namespace['AccountOrganizationalUnit'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgGuestPersonalizationSettingsType


/**
 * Represents operation limits settings for an organization.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgOperationLimitsSettingsType extends VMware_VCloud_API_ResourceType {
    protected $ConsolesPerVmLimit = null;
    protected $OperationsPerUser = null;
    protected $OperationsPerOrg = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param int $ConsolesPerVmLimit - [optional] 
    * @param int $OperationsPerUser - [optional] 
    * @param int $OperationsPerOrg - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ConsolesPerVmLimit=null, $OperationsPerUser=null, $OperationsPerOrg=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->ConsolesPerVmLimit = $ConsolesPerVmLimit;
        $this->OperationsPerUser = $OperationsPerUser;
        $this->OperationsPerOrg = $OperationsPerOrg;
        $this->tagName = 'OrgOperationLimitsSettings';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getConsolesPerVmLimit() {
        return $this->ConsolesPerVmLimit;
    }
    public function setConsolesPerVmLimit($ConsolesPerVmLimit) { 
        $this->ConsolesPerVmLimit = $ConsolesPerVmLimit;
    }
    public function getOperationsPerUser() {
        return $this->OperationsPerUser;
    }
    public function setOperationsPerUser($OperationsPerUser) { 
        $this->OperationsPerUser = $OperationsPerUser;
    }
    public function getOperationsPerOrg() {
        return $this->OperationsPerOrg;
    }
    public function setOperationsPerOrg($OperationsPerOrg) { 
        $this->OperationsPerOrg = $OperationsPerOrg;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ConsolesPerVmLimit)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ConsolesPerVmLimit', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ConsolesPerVmLimit>" . VMware_VCloud_API_Helper::format_integer($this->ConsolesPerVmLimit, $input_name='ConsolesPerVmLimit') . "</" . $ns . "ConsolesPerVmLimit>\n");
        }
        if (!is_null($this->OperationsPerUser)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OperationsPerUser', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OperationsPerUser>" . VMware_VCloud_API_Helper::format_integer($this->OperationsPerUser, $input_name='OperationsPerUser') . "</" . $ns . "OperationsPerUser>\n");
        }
        if (!is_null($this->OperationsPerOrg)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OperationsPerOrg', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OperationsPerOrg>" . VMware_VCloud_API_Helper::format_integer($this->OperationsPerOrg, $input_name='OperationsPerOrg') . "</" . $ns . "OperationsPerOrg>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ConsolesPerVmLimit) ||
            !is_null($this->OperationsPerUser) ||
            !is_null($this->OperationsPerOrg) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConsolesPerVmLimit') {
            $sval = $child->nodeValue;
            $this->ConsolesPerVmLimit = $sval;
            if (!empty($namespace)) {
                $this->namespace['ConsolesPerVmLimit'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperationsPerUser') {
            $sval = $child->nodeValue;
            $this->OperationsPerUser = $sval;
            if (!empty($namespace)) {
                $this->namespace['OperationsPerUser'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperationsPerOrg') {
            $sval = $child->nodeValue;
            $this->OperationsPerOrg = $sval;
            if (!empty($namespace)) {
                $this->namespace['OperationsPerOrg'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgOperationLimitsSettingsType


/**
 * Base type for blocking tasks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_TaskRequestBaseType extends VMware_VCloud_API_EntityType {
    protected $createdTime = null;
    protected $timeoutAction = null;
    protected $timeoutDate = null;
    protected $Organization = null;
    protected $User = null;
    protected $TaskOwner = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param dateTime $createdTime - [required] an attribute, 
    * @param string $timeoutAction - [required] an attribute, 
    * @param dateTime $timeoutDate - [required] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Organization - [required]
    * @param VMware_VCloud_API_ReferenceType $User - [optional]
    * @param VMware_VCloud_API_ReferenceType $TaskOwner - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $createdTime=null, $timeoutAction=null, $timeoutDate=null, $Organization=null, $User=null, $TaskOwner=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->createdTime = $createdTime;
        $this->timeoutAction = $timeoutAction;
        $this->timeoutDate = $timeoutDate;
        $this->Organization = $Organization;
        $this->User = $User;
        $this->TaskOwner = $TaskOwner;
        $this->tagName = 'Entity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOrganization() {
        return $this->Organization;
    }
    public function setOrganization($Organization) { 
        $this->Organization = $Organization;
    }
    public function getUser() {
        return $this->User;
    }
    public function setUser($User) { 
        $this->User = $User;
    }
    public function getTaskOwner() {
        return $this->TaskOwner;
    }
    public function setTaskOwner($TaskOwner) { 
        $this->TaskOwner = $TaskOwner;
    }
    public function get_createdTime(){
        return $this->createdTime;
    }
    public function set_createdTime($createdTime) {
        $this->createdTime = $createdTime;
    }
    public function get_timeoutAction(){
        return $this->timeoutAction;
    }
    public function set_timeoutAction($timeoutAction) {
        $this->timeoutAction = $timeoutAction;
    }
    public function get_timeoutDate(){
        return $this->timeoutDate;
    }
    public function set_timeoutDate($timeoutDate) {
        $this->timeoutDate = $timeoutDate;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='TaskRequestBaseType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'createdTime', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'createdTime=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->createdTime, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='createdTime')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'timeoutAction', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'timeoutAction=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->timeoutAction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='timeoutAction')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'timeoutDate', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'timeoutDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->timeoutDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='timeoutDate')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Organization)) {
            $out = $this->Organization->export('Organization', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->User)) {
            $out = $this->User->export('User', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->TaskOwner)) {
            $out = $this->TaskOwner->export('TaskOwner', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Organization) ||
            !is_null($this->User) ||
            !is_null($this->TaskOwner) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndcreatedTime = $attrs->getNamedItem('createdTime');
        if (!is_null($ndcreatedTime)) {
            $this->createdTime = $ndcreatedTime->value;
            if (isset($ndcreatedTime->prefix)) {
                $this->namespace['createdTime'] = $ndcreatedTime->prefix;
                $nsUri = $ndcreatedTime->lookupNamespaceURI($ndcreatedTime->prefix);
            }
            $node->removeAttributeNS($nsUri, 'createdTime');
        } else {
            $this->createdTime = null;
        }
        $ndtimeoutAction = $attrs->getNamedItem('timeoutAction');
        if (!is_null($ndtimeoutAction)) {
            $this->timeoutAction = $ndtimeoutAction->value;
            if (isset($ndtimeoutAction->prefix)) {
                $this->namespace['timeoutAction'] = $ndtimeoutAction->prefix;
                $nsUri = $ndtimeoutAction->lookupNamespaceURI($ndtimeoutAction->prefix);
            }
            $node->removeAttributeNS($nsUri, 'timeoutAction');
        } else {
            $this->timeoutAction = null;
        }
        $ndtimeoutDate = $attrs->getNamedItem('timeoutDate');
        if (!is_null($ndtimeoutDate)) {
            $this->timeoutDate = $ndtimeoutDate->value;
            if (isset($ndtimeoutDate->prefix)) {
                $this->namespace['timeoutDate'] = $ndtimeoutDate->prefix;
                $nsUri = $ndtimeoutDate->lookupNamespaceURI($ndtimeoutDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'timeoutDate');
        } else {
            $this->timeoutDate = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Organization') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Organization');
            $this->setOrganization($obj);
            if (!empty($namespace)) {
                $this->namespace['Organization'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'User') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('User');
            $this->setUser($obj);
            if (!empty($namespace)) {
                $this->namespace['User'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TaskOwner') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('TaskOwner');
            $this->setTaskOwner($obj);
            if (!empty($namespace)) {
                $this->namespace['TaskOwner'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_TaskRequestBaseType


/**
 * Represents parameters to a request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_RequestOperationParamsType extends VMware_VCloud_API_ResourceType {
    protected $Message = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $Message - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Message=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->Message = $Message;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMessage() {
        return $this->Message;
    }
    public function setMessage($Message) { 
        $this->Message = $Message;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Message)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Message', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Message>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Message, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Message')) . "</" . $ns . "Message>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Message) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Message') {
            $sval = $child->nodeValue;
            $this->Message = $sval;
            if (!empty($namespace)) {
                $this->namespace['Message'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_RequestOperationParamsType


/**
 * Parameters for creating an event.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_EventType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $serviceNamespace = null;
    protected $type = null;
    protected $success = null;
    protected $typeFull = null;
    protected $Owner = null;
    protected $User = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param boolean $success - [optional] an attribute, 
    * @param string $typeFull - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Owner - [optional]
    * @param VMware_VCloud_API_ReferenceType $User - [optional]
    */
    public function __construct($VCloudExtension=null, $serviceNamespace=null, $type=null, $success=null, $typeFull=null, $Owner=null, $User=null) {
        parent::__construct($VCloudExtension);
        $this->serviceNamespace = $serviceNamespace;
        $this->type = $type;
        $this->success = $success;
        $this->typeFull = $typeFull;
        $this->Owner = $Owner;
        $this->User = $User;
        $this->tagName = 'Event';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOwner() {
        return $this->Owner;
    }
    public function setOwner($Owner) { 
        $this->Owner = $Owner;
    }
    public function getUser() {
        return $this->User;
    }
    public function setUser($User) { 
        $this->User = $User;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_success(){
        return $this->success;
    }
    public function set_success($success) {
        $this->success = $success;
    }
    public function get_typeFull(){
        return $this->typeFull;
    }
    public function set_typeFull($typeFull) {
        $this->typeFull = $typeFull;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        if (!is_null($this->success)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'success', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'success=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->success, $input_name='success')));
        }
        if (!is_null($this->typeFull)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'typeFull', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'typeFull=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->typeFull, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='typeFull')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Owner)) {
            $out = $this->Owner->export('Owner', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->User)) {
            $out = $this->User->export('User', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Owner) ||
            !is_null($this->User) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        $ndsuccess = $attrs->getNamedItem('success');
        if (!is_null($ndsuccess)) {
            $this->success = VMware_VCloud_API_Helper::get_boolean($ndsuccess->value);
            if (isset($ndsuccess->prefix)) {
                $this->namespace['success'] = $ndsuccess->prefix;
                $nsUri = $ndsuccess->lookupNamespaceURI($ndsuccess->prefix);
            }
            $node->removeAttributeNS($nsUri, 'success');
        } else {
            $this->success = null;
        }
        $ndtypeFull = $attrs->getNamedItem('typeFull');
        if (!is_null($ndtypeFull)) {
            $this->typeFull = $ndtypeFull->value;
            if (isset($ndtypeFull->prefix)) {
                $this->namespace['typeFull'] = $ndtypeFull->prefix;
                $nsUri = $ndtypeFull->lookupNamespaceURI($ndtypeFull->prefix);
            }
            $node->removeAttributeNS($nsUri, 'typeFull');
        } else {
            $this->typeFull = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Owner') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Owner');
            $this->setOwner($obj);
            if (!empty($namespace)) {
                $this->namespace['Owner'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'User') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('User');
            $this->setUser($obj);
            if (!empty($namespace)) {
                $this->namespace['User'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_EventType


/**
 * Parameters for certificate update.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CertificateUpdateParamsType extends VMware_VCloud_API_FileUploadParamsType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param long $fileSize - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $fileSize=null) {
        parent::__construct($VCloudExtension, $fileSize);
        $this->tagName = 'CertificateUpdateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CertificateUpdateParamsType


/**
 * Upload socket for certificate.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CertificateUploadSocketType extends VMware_VCloud_API_FileUploadSocketType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $uploadLocation - [optional] an attribute, 
    * @param VMware_VCloud_API_TaskType $Task - [optional]
    */
    public function __construct($VCloudExtension=null, $uploadLocation=null, $Task=null) {
        parent::__construct($VCloudExtension, $uploadLocation, $Task);
        $this->tagName = 'CertificateUploadSocket';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CertificateUploadSocketType


/**
 * Parameters for keystore update.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_KeystoreUpdateParamsType extends VMware_VCloud_API_FileUploadParamsType {
    protected $password = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param long $fileSize - [optional] an attribute, 
    * @param string $password - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $fileSize=null, $password=null) {
        parent::__construct($VCloudExtension, $fileSize);
        $this->password = $password;
        $this->tagName = 'KeystoreUpdateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_password(){
        return $this->password;
    }
    public function set_password($password) {
        $this->password = $password;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->password)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'password=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='password')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndpassword = $attrs->getNamedItem('password');
        if (!is_null($ndpassword)) {
            $this->password = $ndpassword->value;
            if (isset($ndpassword->prefix)) {
                $this->namespace['password'] = $ndpassword->prefix;
                $nsUri = $ndpassword->lookupNamespaceURI($ndpassword->prefix);
            }
            $node->removeAttributeNS($nsUri, 'password');
        } else {
            $this->password = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_KeystoreUpdateParamsType


/**
 * Upload socket for keystore.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_KeystoreUploadSocketType extends VMware_VCloud_API_FileUploadSocketType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $uploadLocation - [optional] an attribute, 
    * @param VMware_VCloud_API_TaskType $Task - [optional]
    */
    public function __construct($VCloudExtension=null, $uploadLocation=null, $Task=null) {
        parent::__construct($VCloudExtension, $uploadLocation, $Task);
        $this->tagName = 'KeystoreUploadSocket';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_KeystoreUploadSocketType


/**
 * Parameters for SSPI keytab update.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SspiKeytabUpdateParamsType extends VMware_VCloud_API_FileUploadParamsType {
    protected $SspiServiceProviderName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param long $fileSize - [optional] an attribute, 
    * @param string $SspiServiceProviderName - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $fileSize=null, $SspiServiceProviderName=null) {
        parent::__construct($VCloudExtension, $fileSize);
        $this->SspiServiceProviderName = $SspiServiceProviderName;
        $this->tagName = 'SspiKeytabUpdateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSspiServiceProviderName(){
        return $this->SspiServiceProviderName;
    }
    public function setSspiServiceProviderName($SspiServiceProviderName) {
        $this->SspiServiceProviderName = $SspiServiceProviderName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->SspiServiceProviderName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'SspiServiceProviderName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'SspiServiceProviderName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SspiServiceProviderName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SspiServiceProviderName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndSspiServiceProviderName = $attrs->getNamedItem('SspiServiceProviderName');
        if (!is_null($ndSspiServiceProviderName)) {
            $this->SspiServiceProviderName = $ndSspiServiceProviderName->value;
            if (isset($ndSspiServiceProviderName->prefix)) {
                $this->namespace['SspiServiceProviderName'] = $ndSspiServiceProviderName->prefix;
                $nsUri = $ndSspiServiceProviderName->lookupNamespaceURI($ndSspiServiceProviderName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'SspiServiceProviderName');
        } else {
            $this->SspiServiceProviderName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SspiKeytabUpdateParamsType


/**
 * Upload socket for SSPI keytab.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_SspiKeytabUploadSocketType extends VMware_VCloud_API_FileUploadSocketType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $uploadLocation - [optional] an attribute, 
    * @param VMware_VCloud_API_TaskType $Task - [optional]
    */
    public function __construct($VCloudExtension=null, $uploadLocation=null, $Task=null) {
        parent::__construct($VCloudExtension, $uploadLocation, $Task);
        $this->tagName = 'SspiKeytabUploadSocket';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_SspiKeytabUploadSocketType


/**
 * Parameters for updating the truststore.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_TrustStoreUpdateParamsType extends VMware_VCloud_API_FileUploadParamsType {
    protected $password = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param long $fileSize - [optional] an attribute, 
    * @param string $password - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $fileSize=null, $password=null) {
        parent::__construct($VCloudExtension, $fileSize);
        $this->password = $password;
        $this->tagName = 'TrustStoreUpdateParams';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_password(){
        return $this->password;
    }
    public function set_password($password) {
        $this->password = $password;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->password)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'password=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='password')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndpassword = $attrs->getNamedItem('password');
        if (!is_null($ndpassword)) {
            $this->password = $ndpassword->value;
            if (isset($ndpassword->prefix)) {
                $this->namespace['password'] = $ndpassword->prefix;
                $nsUri = $ndpassword->lookupNamespaceURI($ndpassword->prefix);
            }
            $node->removeAttributeNS($nsUri, 'password');
        } else {
            $this->password = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_TrustStoreUpdateParamsType


/**
 * Upload socket for the truststore.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_TrustStoreUploadSocketType extends VMware_VCloud_API_FileUploadSocketType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $uploadLocation - [optional] an attribute, 
    * @param VMware_VCloud_API_TaskType $Task - [optional]
    */
    public function __construct($VCloudExtension=null, $uploadLocation=null, $Task=null) {
        parent::__construct($VCloudExtension, $uploadLocation, $Task);
        $this->tagName = 'TrustStoreUploadSocket';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_TrustStoreUploadSocketType


/**
 * List all supported versions.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Version
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Version_SupportedVersionsType {
    protected $VersionInfo = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/versions';

   /**
    * @param array $VersionInfo - [optional] an array of VMware_VCloud_API_Version_VersionInfoType objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($VersionInfo=null, $Any=null) {
        if (!is_null($VersionInfo)) {
            $this->VersionInfo = $VersionInfo;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'SupportedVersions';
        $this->namespacedef = ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVersionInfo() {
        return $this->VersionInfo;
    }
    public function setVersionInfo($VersionInfo) { 
        $this->VersionInfo = $VersionInfo;
    }
    public function addVersionInfo($value) { array_push($this->VersionInfo, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->VersionInfo)) {
            foreach ($this->VersionInfo as $VersionInfo) {
                $out = $VersionInfo->export('VersionInfo', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VersionInfo) ||
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VersionInfo') {
            $obj = new VMware_VCloud_API_Version_VersionInfoType();
            $obj->build($child);
            $obj->set_tagName('VersionInfo');
            array_push($this->VersionInfo, $obj);
            if (!empty($namespace)) {
                $this->namespace['VersionInfo'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Version_SupportedVersionsType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Version
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Version_Any {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/versions';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'Any';
        $this->namespacedef = ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_Version_Any


/**
 * Information for one version of the API.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Version
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Version_VersionInfoType {
    protected $Version = null;
    protected $LoginUrl = null;
    protected $MediaTypeMapping = array();
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/versions';

   /**
    * @param string $Version - [required] 
    * @param string $LoginUrl - [required] 
    * @param array $MediaTypeMapping - [optional] an array of VMware_VCloud_API_Version_MediaTypeMappingType objects
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($Version=null, $LoginUrl=null, $MediaTypeMapping=null, $Any=null) {
        $this->Version = $Version;
        $this->LoginUrl = $LoginUrl;
        if (!is_null($MediaTypeMapping)) {
            $this->MediaTypeMapping = $MediaTypeMapping;
        }
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'VersionInfoType';
        $this->namespacedef = ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVersion() {
        return $this->Version;
    }
    public function setVersion($Version) { 
        $this->Version = $Version;
    }
    public function getLoginUrl() {
        return $this->LoginUrl;
    }
    public function setLoginUrl($LoginUrl) { 
        $this->LoginUrl = $LoginUrl;
    }
    public function getMediaTypeMapping() {
        return $this->MediaTypeMapping;
    }
    public function setMediaTypeMapping($MediaTypeMapping) { 
        $this->MediaTypeMapping = $MediaTypeMapping;
    }
    public function addMediaTypeMapping($value) { array_push($this->MediaTypeMapping, $value); }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Version)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Version', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Version>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Version, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Version')) . "</" . $ns . "Version>\n");
        }
        if (!is_null($this->LoginUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LoginUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LoginUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->LoginUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='LoginUrl')) . "</" . $ns . "LoginUrl>\n");
        }
        if (isset($this->MediaTypeMapping)) {
            foreach ($this->MediaTypeMapping as $MediaTypeMapping) {
                $out = $MediaTypeMapping->export('MediaTypeMapping', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Version) ||
            !is_null($this->LoginUrl) ||
            !empty($this->MediaTypeMapping) ||
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Version') {
            $sval = $child->nodeValue;
            $this->Version = $sval;
            if (!empty($namespace)) {
                $this->namespace['Version'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LoginUrl') {
            $sval = $child->nodeValue;
            $this->LoginUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['LoginUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MediaTypeMapping') {
            $obj = new VMware_VCloud_API_Version_MediaTypeMappingType();
            $obj->build($child);
            $obj->set_tagName('MediaTypeMapping');
            array_push($this->MediaTypeMapping, $obj);
            if (!empty($namespace)) {
                $this->namespace['MediaTypeMapping'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Version_VersionInfoType


/**
 * Mapping of a content media type to a xsd complex type.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Version
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Version_MediaTypeMappingType {
    protected $MediaType = null;
    protected $ComplexTypeName = null;
    protected $SchemaLocation = null;
    protected $Any = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/versions';

   /**
    * @param string $MediaType - [required] 
    * @param string $ComplexTypeName - [required] 
    * @param string $SchemaLocation - [required] 
    * @param array $Any - [optional] an array of any type of objects
    */
    public function __construct($MediaType=null, $ComplexTypeName=null, $SchemaLocation=null, $Any=null) {
        $this->MediaType = $MediaType;
        $this->ComplexTypeName = $ComplexTypeName;
        $this->SchemaLocation = $SchemaLocation;
        if (!is_null($Any)) {
            $this->Any = $Any;
        }
        $this->anyAttributes = array();
        $this->tagName = 'MediaTypeMappingType';
        $this->namespacedef = ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMediaType() {
        return $this->MediaType;
    }
    public function setMediaType($MediaType) { 
        $this->MediaType = $MediaType;
    }
    public function getComplexTypeName() {
        return $this->ComplexTypeName;
    }
    public function setComplexTypeName($ComplexTypeName) { 
        $this->ComplexTypeName = $ComplexTypeName;
    }
    public function getSchemaLocation() {
        return $this->SchemaLocation;
    }
    public function setSchemaLocation($SchemaLocation) { 
        $this->SchemaLocation = $SchemaLocation;
    }
    public function getAny() {
        return $this->Any;
    }
    public function setAny($Any) { 
        $this->Any = $Any;
    }
    public function addAny($value) { array_push($this->Any, $value); }
    public function get_anyAttributes() { return $this->anyAttributes; }
    public function set_anyAttributes($anyAttributes) { $this->anyAttributes = $anyAttributes; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if ($this->anyAttributes) {
            foreach ($this->anyAttributes as $name => $value) {
                if (array_key_exists($name, $this->namespace)) {
                    $ns = $this->namespace[$name];
                    if (!empty($ns)) {
                        $name = $ns . ":" . $name;
                    }
                }
                if ('xsi:type' != $name) {
                    $out = VMware_VCloud_API_Helper::addString($out, " $name=" . VMware_VCloud_API_Helper::quote_attrib($value));
                }
            }
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->MediaType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MediaType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MediaType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MediaType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MediaType')) . "</" . $ns . "MediaType>\n");
        }
        if (!is_null($this->ComplexTypeName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComplexTypeName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComplexTypeName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComplexTypeName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComplexTypeName')) . "</" . $ns . "ComplexTypeName>\n");
        }
        if (!is_null($this->SchemaLocation)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SchemaLocation', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SchemaLocation>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SchemaLocation, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SchemaLocation')) . "</" . $ns . "SchemaLocation>\n");
        }
        if (isset($this->Any)) {
            foreach ($this->Any as $Any) {
                if ($Any instanceof SimpleXMLElement) {
                    $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                    $out = VMware_VCloud_API_Helper::addString($out, $Any->asXML() . "\n");
                } else {
                    $tagName = $Any->get_tagName();
                    $namespace = $Any::$defaultNS;
                    $out = $Any->export($tagName, $out, $level, '', $namespace, $rootNS);
                }
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->MediaType) ||
            !is_null($this->ComplexTypeName) ||
            !is_null($this->SchemaLocation) ||
            !empty($this->Any)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $this->anyAttributes = array();
        foreach ($attrs as $attr) {
            $localName = $attr->localName;
            $this->anyAttributes[$localName] = $attr->value;
            $node->removeAttribute($localName);
            $this->namespace[$localName] = $attr->prefix;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MediaType') {
            $sval = $child->nodeValue;
            $this->MediaType = $sval;
            if (!empty($namespace)) {
                $this->namespace['MediaType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComplexTypeName') {
            $sval = $child->nodeValue;
            $this->ComplexTypeName = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComplexTypeName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SchemaLocation') {
            $sval = $child->nodeValue;
            $this->SchemaLocation = $sval;
            if (!empty($namespace)) {
                $this->namespace['SchemaLocation'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE) {
            $type = VMware_VCloud_API_Helper::getClassName($nodeName);
            if (class_exists($type) && method_exists($type, 'build')) {
                $class = new ReflectionClass($type);
                if ($class->isInstantiable()) {
                    $obj = $class->newInstance();
                    $obj->build($child);
                    $obj->set_tagName($nodeName);
                }
            } else {
                $obj = simplexml_import_dom($child);
            }
            array_push($this->Any, $obj);
            if (!empty($namespace)) {
                $this->namespace['Any'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Version_MediaTypeMappingType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_NotificationType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $eventId = null;
    protected $type = null;
    protected $Link = array();
    protected $EntityLink = array();
    protected $Timestamp = null;
    protected $OperationSuccess = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $eventId - [required] an attribute, 
    * @param string $type - [required] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $EntityLink - [optional] an array of VMware_VCloud_API_EntityLinkType objects
    * @param string $Timestamp - [required] 
    * @param boolean $OperationSuccess - [required] 
    */
    public function __construct($VCloudExtension=null, $eventId=null, $type=null, $Link=null, $EntityLink=null, $Timestamp=null, $OperationSuccess=null) {
        parent::__construct($VCloudExtension);
        $this->eventId = $eventId;
        $this->type = $type;
        if (!is_null($Link)) {
            $this->Link = $Link;
        }
        if (!is_null($EntityLink)) {
            $this->EntityLink = $EntityLink;
        }
        $this->Timestamp = $Timestamp;
        $this->OperationSuccess = $OperationSuccess;
        $this->tagName = 'Notification';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLink() {
        return $this->Link;
    }
    public function setLink($Link) { 
        $this->Link = $Link;
    }
    public function addLink($value) { array_push($this->Link, $value); }
    public function getEntityLink() {
        return $this->EntityLink;
    }
    public function setEntityLink($EntityLink) { 
        $this->EntityLink = $EntityLink;
    }
    public function addEntityLink($value) { array_push($this->EntityLink, $value); }
    public function getTimestamp() {
        return $this->Timestamp;
    }
    public function setTimestamp($Timestamp) { 
        $this->Timestamp = $Timestamp;
    }
    public function getOperationSuccess() {
        return $this->OperationSuccess;
    }
    public function setOperationSuccess($OperationSuccess) { 
        $this->OperationSuccess = $OperationSuccess;
    }
    public function get_eventId(){
        return $this->eventId;
    }
    public function set_eventId($eventId) {
        $this->eventId = $eventId;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventId', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->eventId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='eventId')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Link)) {
            foreach ($this->Link as $Link) {
                $out = $Link->export('Link', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->EntityLink)) {
            foreach ($this->EntityLink as $EntityLink) {
                $out = $EntityLink->export('EntityLink', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->Timestamp)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Timestamp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Timestamp>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Timestamp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Timestamp')) . "</" . $ns . "Timestamp>\n");
        }
        if (!is_null($this->OperationSuccess)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OperationSuccess', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OperationSuccess>" . VMware_VCloud_API_Helper::format_boolean($this->OperationSuccess, $input_name='OperationSuccess') . "</" . $ns . "OperationSuccess>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Link) ||
            !empty($this->EntityLink) ||
            !is_null($this->Timestamp) ||
            !is_null($this->OperationSuccess) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndeventId = $attrs->getNamedItem('eventId');
        if (!is_null($ndeventId)) {
            $this->eventId = $ndeventId->value;
            if (isset($ndeventId->prefix)) {
                $this->namespace['eventId'] = $ndeventId->prefix;
                $nsUri = $ndeventId->lookupNamespaceURI($ndeventId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventId');
        } else {
            $this->eventId = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Link') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Link');
            array_push($this->Link, $obj);
            if (!empty($namespace)) {
                $this->namespace['Link'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EntityLink') {
            $obj = new VMware_VCloud_API_EntityLinkType();
            $obj->build($child);
            $obj->set_tagName('EntityLink');
            array_push($this->EntityLink, $obj);
            if (!empty($namespace)) {
                $this->namespace['EntityLink'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Timestamp') {
            $sval = $child->nodeValue;
            $this->Timestamp = $sval;
            if (!empty($namespace)) {
                $this->namespace['Timestamp'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperationSuccess') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->OperationSuccess = $sval;
            if (!empty($namespace)) {
                $this->namespace['OperationSuccess'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_NotificationType


/**
 * Represents an asynchronous operation in vCloud Director.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_TaskType extends VMware_VCloud_API_EntityType {
    protected $status = null;
    protected $operationName = null;
    protected $expiryTime = null;
    protected $cancelRequested = null;
    protected $startTime = null;
    protected $operation = null;
    protected $endTime = null;
    protected $serviceNamespace = null;
    protected $Owner = null;
    protected $Error = null;
    protected $User = null;
    protected $Organization = null;
    protected $Progress = null;
    protected $Params = null;
    protected $Details = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $status - [required] an attribute, 
    * @param string $operationName - [optional] an attribute, 
    * @param dateTime $expiryTime - [optional] an attribute, 
    * @param boolean $cancelRequested - [optional] an attribute, 
    * @param dateTime $startTime - [optional] an attribute, 
    * @param string $operation - [optional] an attribute, 
    * @param dateTime $endTime - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Owner - [optional]
    * @param VMware_VCloud_API_ErrorType $Error - [optional]
    * @param VMware_VCloud_API_ReferenceType $User - [optional]
    * @param VMware_VCloud_API_ReferenceType $Organization - [optional]
    * @param int $Progress - [optional] 
    * @param string $Params - [optional] 
    * @param string $Details - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $operationName=null, $expiryTime=null, $cancelRequested=null, $startTime=null, $operation=null, $endTime=null, $serviceNamespace=null, $Owner=null, $Error=null, $User=null, $Organization=null, $Progress=null, $Params=null, $Details=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->status = $status;
        $this->operationName = $operationName;
        $this->expiryTime = $expiryTime;
        $this->cancelRequested = $cancelRequested;
        $this->startTime = $startTime;
        $this->operation = $operation;
        $this->endTime = $endTime;
        $this->serviceNamespace = $serviceNamespace;
        $this->Owner = $Owner;
        $this->Error = $Error;
        $this->User = $User;
        $this->Organization = $Organization;
        $this->Progress = $Progress;
        $this->Params = $Params;
        $this->Details = $Details;
        $this->tagName = 'Task';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOwner() {
        return $this->Owner;
    }
    public function setOwner($Owner) { 
        $this->Owner = $Owner;
    }
    public function getError() {
        return $this->Error;
    }
    public function setError($Error) { 
        $this->Error = $Error;
    }
    public function getUser() {
        return $this->User;
    }
    public function setUser($User) { 
        $this->User = $User;
    }
    public function getOrganization() {
        return $this->Organization;
    }
    public function setOrganization($Organization) { 
        $this->Organization = $Organization;
    }
    public function getProgress() {
        return $this->Progress;
    }
    public function setProgress($Progress) { 
        $this->Progress = $Progress;
    }
    public function getParams() {
        return $this->Params;
    }
    public function setParams($Params) { 
        $this->Params = $Params;
    }
    public function getDetails() {
        return $this->Details;
    }
    public function setDetails($Details) { 
        $this->Details = $Details;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_operationName(){
        return $this->operationName;
    }
    public function set_operationName($operationName) {
        $this->operationName = $operationName;
    }
    public function get_expiryTime(){
        return $this->expiryTime;
    }
    public function set_expiryTime($expiryTime) {
        $this->expiryTime = $expiryTime;
    }
    public function get_cancelRequested(){
        return $this->cancelRequested;
    }
    public function set_cancelRequested($cancelRequested) {
        $this->cancelRequested = $cancelRequested;
    }
    public function get_startTime(){
        return $this->startTime;
    }
    public function set_startTime($startTime) {
        $this->startTime = $startTime;
    }
    public function get_operation(){
        return $this->operation;
    }
    public function set_operation($operation) {
        $this->operation = $operation;
    }
    public function get_endTime(){
        return $this->endTime;
    }
    public function set_endTime($endTime) {
        $this->endTime = $endTime;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        if (!is_null($this->operationName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'operationName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'operationName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->operationName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='operationName')));
        }
        if (!is_null($this->expiryTime)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'expiryTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'expiryTime=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->expiryTime, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='expiryTime')));
        }
        if (!is_null($this->cancelRequested)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cancelRequested', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cancelRequested=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->cancelRequested, $input_name='cancelRequested')));
        }
        if (!is_null($this->startTime)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'startTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'startTime=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->startTime, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='startTime')));
        }
        if (!is_null($this->operation)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'operation', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'operation=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->operation, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='operation')));
        }
        if (!is_null($this->endTime)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'endTime', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'endTime=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->endTime, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='endTime')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Owner)) {
            $out = $this->Owner->export('Owner', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Error)) {
            $out = $this->Error->export('Error', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->User)) {
            $out = $this->User->export('User', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Organization)) {
            $out = $this->Organization->export('Organization', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Progress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Progress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Progress>" . VMware_VCloud_API_Helper::format_integer($this->Progress, $input_name='Progress') . "</" . $ns . "Progress>\n");
        }
        if (!is_null($this->Params)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Params', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Params>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Params, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Params')) . "</" . $ns . "Params>\n");
        }
        if (!is_null($this->Details)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Details', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Details>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Details, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Details')) . "</" . $ns . "Details>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Owner) ||
            !is_null($this->Error) ||
            !is_null($this->User) ||
            !is_null($this->Organization) ||
            !is_null($this->Progress) ||
            !is_null($this->Params) ||
            !is_null($this->Details) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        $ndoperationName = $attrs->getNamedItem('operationName');
        if (!is_null($ndoperationName)) {
            $this->operationName = $ndoperationName->value;
            if (isset($ndoperationName->prefix)) {
                $this->namespace['operationName'] = $ndoperationName->prefix;
                $nsUri = $ndoperationName->lookupNamespaceURI($ndoperationName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'operationName');
        } else {
            $this->operationName = null;
        }
        $ndexpiryTime = $attrs->getNamedItem('expiryTime');
        if (!is_null($ndexpiryTime)) {
            $this->expiryTime = $ndexpiryTime->value;
            if (isset($ndexpiryTime->prefix)) {
                $this->namespace['expiryTime'] = $ndexpiryTime->prefix;
                $nsUri = $ndexpiryTime->lookupNamespaceURI($ndexpiryTime->prefix);
            }
            $node->removeAttributeNS($nsUri, 'expiryTime');
        } else {
            $this->expiryTime = null;
        }
        $ndcancelRequested = $attrs->getNamedItem('cancelRequested');
        if (!is_null($ndcancelRequested)) {
            $this->cancelRequested = VMware_VCloud_API_Helper::get_boolean($ndcancelRequested->value);
            if (isset($ndcancelRequested->prefix)) {
                $this->namespace['cancelRequested'] = $ndcancelRequested->prefix;
                $nsUri = $ndcancelRequested->lookupNamespaceURI($ndcancelRequested->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cancelRequested');
        } else {
            $this->cancelRequested = null;
        }
        $ndstartTime = $attrs->getNamedItem('startTime');
        if (!is_null($ndstartTime)) {
            $this->startTime = $ndstartTime->value;
            if (isset($ndstartTime->prefix)) {
                $this->namespace['startTime'] = $ndstartTime->prefix;
                $nsUri = $ndstartTime->lookupNamespaceURI($ndstartTime->prefix);
            }
            $node->removeAttributeNS($nsUri, 'startTime');
        } else {
            $this->startTime = null;
        }
        $ndoperation = $attrs->getNamedItem('operation');
        if (!is_null($ndoperation)) {
            $this->operation = $ndoperation->value;
            if (isset($ndoperation->prefix)) {
                $this->namespace['operation'] = $ndoperation->prefix;
                $nsUri = $ndoperation->lookupNamespaceURI($ndoperation->prefix);
            }
            $node->removeAttributeNS($nsUri, 'operation');
        } else {
            $this->operation = null;
        }
        $ndendTime = $attrs->getNamedItem('endTime');
        if (!is_null($ndendTime)) {
            $this->endTime = $ndendTime->value;
            if (isset($ndendTime->prefix)) {
                $this->namespace['endTime'] = $ndendTime->prefix;
                $nsUri = $ndendTime->lookupNamespaceURI($ndendTime->prefix);
            }
            $node->removeAttributeNS($nsUri, 'endTime');
        } else {
            $this->endTime = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Owner') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Owner');
            $this->setOwner($obj);
            if (!empty($namespace)) {
                $this->namespace['Owner'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Error') {
            $obj = new VMware_VCloud_API_ErrorType();
            $obj->build($child);
            $obj->set_tagName('Error');
            $this->setError($obj);
            if (!empty($namespace)) {
                $this->namespace['Error'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'User') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('User');
            $this->setUser($obj);
            if (!empty($namespace)) {
                $this->namespace['User'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Organization') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Organization');
            $this->setOrganization($obj);
            if (!empty($namespace)) {
                $this->namespace['Organization'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Progress') {
            $sval = $child->nodeValue;
            $this->Progress = $sval;
            if (!empty($namespace)) {
                $this->namespace['Progress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Params') {
            $sval = $child->nodeValue;
            $this->Params = $sval;
            if (!empty($namespace)) {
                $this->namespace['Params'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Details') {
            $sval = $child->nodeValue;
            $this->Details = $sval;
            if (!empty($namespace)) {
                $this->namespace['Details'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_TaskType


/**
 * List of operation names.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_TaskOperationListType extends VMware_VCloud_API_ResourceType {
    protected $Operation = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Operation - [optional] an array of string
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Operation=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($Operation)) {
            $this->Operation = $Operation;
        }
        $this->tagName = 'BlockingTaskOperations';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOperation() {
        return $this->Operation;
    }
    public function setOperation($Operation) { 
        $this->Operation = $Operation;
    }
    public function addOperation($value) { array_push($this->Operation, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Operation)) {
            foreach ($this->Operation as $Operation) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Operation', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Operation>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($Operation, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Operation')) . "</" . $ns . "Operation>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Operation) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Operation') {
            $sval = $child->nodeValue;
            array_push($this->Operation, $sval);
            if (!empty($namespace)) {
                $this->namespace['Operation'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_TaskOperationListType


/**
 * Represents a Network in the vCloud model.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkType extends VMware_VCloud_API_EntityType {
    protected $Configuration = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_NetworkConfigurationType $Configuration - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Configuration=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Configuration = $Configuration;
        $this->tagName = 'Entity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getConfiguration() {
        return $this->Configuration;
    }
    public function setConfiguration($Configuration) { 
        $this->Configuration = $Configuration;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='NetworkType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Configuration)) {
            $out = $this->Configuration->export('Configuration', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Configuration) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Configuration') {
            $obj = new VMware_VCloud_API_NetworkConfigurationType();
            $obj->build($child);
            $obj->set_tagName('Configuration');
            $this->setConfiguration($obj);
            if (!empty($namespace)) {
                $this->namespace['Configuration'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkType


/**
 * Represents an organization network in the vCloud model.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgNetworkType extends VMware_VCloud_API_NetworkType {
    protected $NetworkPool = null;
    protected $AllowedExternalIpAddresses = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_NetworkConfigurationType $Configuration - [optional]
    * @param VMware_VCloud_API_ReferenceType $NetworkPool - [optional]
    * @param VMware_VCloud_API_IpAddressesType $AllowedExternalIpAddresses - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Configuration=null, $NetworkPool=null, $AllowedExternalIpAddresses=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Configuration);
        $this->NetworkPool = $NetworkPool;
        $this->AllowedExternalIpAddresses = $AllowedExternalIpAddresses;
        $this->tagName = 'OrgNetwork';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetworkPool() {
        return $this->NetworkPool;
    }
    public function setNetworkPool($NetworkPool) { 
        $this->NetworkPool = $NetworkPool;
    }
    public function getAllowedExternalIpAddresses() {
        return $this->AllowedExternalIpAddresses;
    }
    public function setAllowedExternalIpAddresses($AllowedExternalIpAddresses) { 
        $this->AllowedExternalIpAddresses = $AllowedExternalIpAddresses;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->NetworkPool)) {
            $out = $this->NetworkPool->export('NetworkPool', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AllowedExternalIpAddresses)) {
            $out = $this->AllowedExternalIpAddresses->export('AllowedExternalIpAddresses', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->NetworkPool) ||
            !is_null($this->AllowedExternalIpAddresses) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPool') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkPool');
            $this->setNetworkPool($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPool'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllowedExternalIpAddresses') {
            $obj = new VMware_VCloud_API_IpAddressesType();
            $obj->build($child);
            $obj->set_tagName('AllowedExternalIpAddresses');
            $this->setAllowedExternalIpAddresses($obj);
            if (!empty($namespace)) {
                $this->namespace['AllowedExternalIpAddresses'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgNetworkType


/**
 * Represents a vApp network.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VAppNetworkType extends VMware_VCloud_API_NetworkType {
    protected $deployed = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_NetworkConfigurationType $Configuration - [optional]
    * @param boolean $deployed - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Configuration=null, $deployed=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Configuration);
        $this->deployed = $deployed;
        $this->tagName = 'VAppNetwork';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_deployed(){
        return $this->deployed;
    }
    public function set_deployed($deployed) {
        $this->deployed = $deployed;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->deployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->deployed, $input_name='deployed')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nddeployed = $attrs->getNamedItem('deployed');
        if (!is_null($nddeployed)) {
            $this->deployed = VMware_VCloud_API_Helper::get_boolean($nddeployed->value);
            if (isset($nddeployed->prefix)) {
                $this->namespace['deployed'] = $nddeployed->prefix;
                $nsUri = $nddeployed->lookupNamespaceURI($nddeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deployed');
        } else {
            $this->deployed = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VAppNetworkType


/**
 * Represents an Org vDC network in the vCloud model.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_OrgVdcNetworkType extends VMware_VCloud_API_NetworkType {
    protected $status = null;
    protected $EdgeGateway = null;
    protected $ServiceConfig = null;
    protected $IsShared = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_NetworkConfigurationType $Configuration - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $EdgeGateway - [optional]
    * @param VMware_VCloud_API_GatewayFeaturesType $ServiceConfig - [optional]
    * @param boolean $IsShared - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Configuration=null, $status=null, $EdgeGateway=null, $ServiceConfig=null, $IsShared=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Configuration);
        $this->status = $status;
        $this->EdgeGateway = $EdgeGateway;
        $this->ServiceConfig = $ServiceConfig;
        $this->IsShared = $IsShared;
        $this->tagName = 'OrgVdcNetwork';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEdgeGateway() {
        return $this->EdgeGateway;
    }
    public function setEdgeGateway($EdgeGateway) { 
        $this->EdgeGateway = $EdgeGateway;
    }
    public function getServiceConfig() {
        return $this->ServiceConfig;
    }
    public function setServiceConfig($ServiceConfig) { 
        $this->ServiceConfig = $ServiceConfig;
    }
    public function getIsShared() {
        return $this->IsShared;
    }
    public function setIsShared($IsShared) { 
        $this->IsShared = $IsShared;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->status, $input_name='status')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->EdgeGateway)) {
            $out = $this->EdgeGateway->export('EdgeGateway', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ServiceConfig)) {
            $out = $this->ServiceConfig->export('ServiceConfig', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IsShared)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsShared', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsShared>" . VMware_VCloud_API_Helper::format_boolean($this->IsShared, $input_name='IsShared') . "</" . $ns . "IsShared>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->EdgeGateway) ||
            !is_null($this->ServiceConfig) ||
            !is_null($this->IsShared) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = sprintf('%d', $ndstatus->value);
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGateway') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('EdgeGateway');
            $this->setEdgeGateway($obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGateway'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceConfig') {
            $obj = new VMware_VCloud_API_GatewayFeaturesType();
            $obj->build($child);
            $obj->set_tagName('ServiceConfig');
            $this->setServiceConfig($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceConfig'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsShared') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsShared = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsShared'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_OrgVdcNetworkType


/**
 * Represents a gateway.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_GatewayType extends VMware_VCloud_API_EntityType {
    protected $status = null;
    protected $Configuration = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_GatewayConfigurationType $Configuration - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Configuration=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->status = $status;
        $this->Configuration = $Configuration;
        $this->tagName = 'EdgeGateway';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getConfiguration() {
        return $this->Configuration;
    }
    public function setConfiguration($Configuration) { 
        $this->Configuration = $Configuration;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->status, $input_name='status')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Configuration)) {
            $out = $this->Configuration->export('Configuration', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Configuration) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = sprintf('%d', $ndstatus->value);
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Configuration') {
            $obj = new VMware_VCloud_API_GatewayConfigurationType();
            $obj->build($child);
            $obj->set_tagName('Configuration');
            $this->setConfiguration($obj);
            if (!empty($namespace)) {
                $this->namespace['Configuration'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_GatewayType


/**
 * Represents system-level settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_SystemSettingsType extends VMware_VCloud_API_ResourceType {
    protected $GeneralSettings = null;
    protected $NotificationsSettings = null;
    protected $LdapSettings = null;
    protected $AmqpSettings = null;
    protected $EmailSettings = null;
    protected $License = null;
    protected $BrandingSettings = null;
    protected $BlockingTaskSettings = null;
    protected $PasswordPolicySettings = null;
    protected $KerberosSettings = null;
    protected $LookupServiceSettings = null;
    protected $CatalogSettings = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_Extension_GeneralSettingsType $GeneralSettings - [optional]
    * @param VMware_VCloud_API_Extension_NotificationsSettingsType $NotificationsSettings - [optional]
    * @param VMware_VCloud_API_Extension_LdapSettingsType $LdapSettings - [optional]
    * @param VMware_VCloud_API_Extension_AmqpSettingsType $AmqpSettings - [optional]
    * @param VMware_VCloud_API_Extension_EmailSettingsType $EmailSettings - [optional]
    * @param VMware_VCloud_API_Extension_LicenseType $License - [optional]
    * @param VMware_VCloud_API_Extension_BrandingSettingsType $BrandingSettings - [optional]
    * @param VMware_VCloud_API_Extension_BlockingTaskSettingsType $BlockingTaskSettings - [optional]
    * @param VMware_VCloud_API_Extension_SystemPasswordPolicySettingsType $PasswordPolicySettings - [optional]
    * @param VMware_VCloud_API_Extension_KerberosSettingsType $KerberosSettings - [optional]
    * @param VMware_VCloud_API_Extension_LookupServiceSettingsType $LookupServiceSettings - [optional]
    * @param VMware_VCloud_API_Extension_CatalogSettingsType $CatalogSettings - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $GeneralSettings=null, $NotificationsSettings=null, $LdapSettings=null, $AmqpSettings=null, $EmailSettings=null, $License=null, $BrandingSettings=null, $BlockingTaskSettings=null, $PasswordPolicySettings=null, $KerberosSettings=null, $LookupServiceSettings=null, $CatalogSettings=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->GeneralSettings = $GeneralSettings;
        $this->NotificationsSettings = $NotificationsSettings;
        $this->LdapSettings = $LdapSettings;
        $this->AmqpSettings = $AmqpSettings;
        $this->EmailSettings = $EmailSettings;
        $this->License = $License;
        $this->BrandingSettings = $BrandingSettings;
        $this->BlockingTaskSettings = $BlockingTaskSettings;
        $this->PasswordPolicySettings = $PasswordPolicySettings;
        $this->KerberosSettings = $KerberosSettings;
        $this->LookupServiceSettings = $LookupServiceSettings;
        $this->CatalogSettings = $CatalogSettings;
        $this->tagName = 'SystemSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getGeneralSettings() {
        return $this->GeneralSettings;
    }
    public function setGeneralSettings($GeneralSettings) { 
        $this->GeneralSettings = $GeneralSettings;
    }
    public function getNotificationsSettings() {
        return $this->NotificationsSettings;
    }
    public function setNotificationsSettings($NotificationsSettings) { 
        $this->NotificationsSettings = $NotificationsSettings;
    }
    public function getLdapSettings() {
        return $this->LdapSettings;
    }
    public function setLdapSettings($LdapSettings) { 
        $this->LdapSettings = $LdapSettings;
    }
    public function getAmqpSettings() {
        return $this->AmqpSettings;
    }
    public function setAmqpSettings($AmqpSettings) { 
        $this->AmqpSettings = $AmqpSettings;
    }
    public function getEmailSettings() {
        return $this->EmailSettings;
    }
    public function setEmailSettings($EmailSettings) { 
        $this->EmailSettings = $EmailSettings;
    }
    public function getLicense() {
        return $this->License;
    }
    public function setLicense($License) { 
        $this->License = $License;
    }
    public function getBrandingSettings() {
        return $this->BrandingSettings;
    }
    public function setBrandingSettings($BrandingSettings) { 
        $this->BrandingSettings = $BrandingSettings;
    }
    public function getBlockingTaskSettings() {
        return $this->BlockingTaskSettings;
    }
    public function setBlockingTaskSettings($BlockingTaskSettings) { 
        $this->BlockingTaskSettings = $BlockingTaskSettings;
    }
    public function getPasswordPolicySettings() {
        return $this->PasswordPolicySettings;
    }
    public function setPasswordPolicySettings($PasswordPolicySettings) { 
        $this->PasswordPolicySettings = $PasswordPolicySettings;
    }
    public function getKerberosSettings() {
        return $this->KerberosSettings;
    }
    public function setKerberosSettings($KerberosSettings) { 
        $this->KerberosSettings = $KerberosSettings;
    }
    public function getLookupServiceSettings() {
        return $this->LookupServiceSettings;
    }
    public function setLookupServiceSettings($LookupServiceSettings) { 
        $this->LookupServiceSettings = $LookupServiceSettings;
    }
    public function getCatalogSettings() {
        return $this->CatalogSettings;
    }
    public function setCatalogSettings($CatalogSettings) { 
        $this->CatalogSettings = $CatalogSettings;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->GeneralSettings)) {
            $out = $this->GeneralSettings->export('GeneralSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->NotificationsSettings)) {
            $out = $this->NotificationsSettings->export('NotificationsSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->LdapSettings)) {
            $out = $this->LdapSettings->export('LdapSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AmqpSettings)) {
            $out = $this->AmqpSettings->export('AmqpSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->EmailSettings)) {
            $out = $this->EmailSettings->export('EmailSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->License)) {
            $out = $this->License->export('License', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->BrandingSettings)) {
            $out = $this->BrandingSettings->export('BrandingSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->BlockingTaskSettings)) {
            $out = $this->BlockingTaskSettings->export('BlockingTaskSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->PasswordPolicySettings)) {
            $out = $this->PasswordPolicySettings->export('PasswordPolicySettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->KerberosSettings)) {
            $out = $this->KerberosSettings->export('KerberosSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->LookupServiceSettings)) {
            $out = $this->LookupServiceSettings->export('LookupServiceSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->CatalogSettings)) {
            $out = $this->CatalogSettings->export('CatalogSettings', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->GeneralSettings) ||
            !is_null($this->NotificationsSettings) ||
            !is_null($this->LdapSettings) ||
            !is_null($this->AmqpSettings) ||
            !is_null($this->EmailSettings) ||
            !is_null($this->License) ||
            !is_null($this->BrandingSettings) ||
            !is_null($this->BlockingTaskSettings) ||
            !is_null($this->PasswordPolicySettings) ||
            !is_null($this->KerberosSettings) ||
            !is_null($this->LookupServiceSettings) ||
            !is_null($this->CatalogSettings) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GeneralSettings') {
            $obj = new VMware_VCloud_API_Extension_GeneralSettingsType();
            $obj->build($child);
            $obj->set_tagName('GeneralSettings');
            $this->setGeneralSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['GeneralSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NotificationsSettings') {
            $obj = new VMware_VCloud_API_Extension_NotificationsSettingsType();
            $obj->build($child);
            $obj->set_tagName('NotificationsSettings');
            $this->setNotificationsSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['NotificationsSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LdapSettings') {
            $obj = new VMware_VCloud_API_Extension_LdapSettingsType();
            $obj->build($child);
            $obj->set_tagName('LdapSettings');
            $this->setLdapSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['LdapSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpSettings') {
            $obj = new VMware_VCloud_API_Extension_AmqpSettingsType();
            $obj->build($child);
            $obj->set_tagName('AmqpSettings');
            $this->setAmqpSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['AmqpSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EmailSettings') {
            $obj = new VMware_VCloud_API_Extension_EmailSettingsType();
            $obj->build($child);
            $obj->set_tagName('EmailSettings');
            $this->setEmailSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['EmailSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'License') {
            $obj = new VMware_VCloud_API_Extension_LicenseType();
            $obj->build($child);
            $obj->set_tagName('License');
            $this->setLicense($obj);
            if (!empty($namespace)) {
                $this->namespace['License'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BrandingSettings') {
            $obj = new VMware_VCloud_API_Extension_BrandingSettingsType();
            $obj->build($child);
            $obj->set_tagName('BrandingSettings');
            $this->setBrandingSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['BrandingSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BlockingTaskSettings') {
            $obj = new VMware_VCloud_API_Extension_BlockingTaskSettingsType();
            $obj->build($child);
            $obj->set_tagName('BlockingTaskSettings');
            $this->setBlockingTaskSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['BlockingTaskSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PasswordPolicySettings') {
            $obj = new VMware_VCloud_API_Extension_SystemPasswordPolicySettingsType();
            $obj->build($child);
            $obj->set_tagName('PasswordPolicySettings');
            $this->setPasswordPolicySettings($obj);
            if (!empty($namespace)) {
                $this->namespace['PasswordPolicySettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'KerberosSettings') {
            $obj = new VMware_VCloud_API_Extension_KerberosSettingsType();
            $obj->build($child);
            $obj->set_tagName('KerberosSettings');
            $this->setKerberosSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['KerberosSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LookupServiceSettings') {
            $obj = new VMware_VCloud_API_Extension_LookupServiceSettingsType();
            $obj->build($child);
            $obj->set_tagName('LookupServiceSettings');
            $this->setLookupServiceSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['LookupServiceSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogSettings') {
            $obj = new VMware_VCloud_API_Extension_CatalogSettingsType();
            $obj->build($child);
            $obj->set_tagName('CatalogSettings');
            $this->setCatalogSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogSettings'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_SystemSettingsType


/**
 * General system settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_GeneralSettingsType extends VMware_VCloud_API_ResourceType {
    protected $AbsoluteSessionTimeoutMinutes = null;
    protected $ActivityLogDisplayDays = null;
    protected $ActivityLogKeepDays = null;
    protected $AllowOverlappingExtNets = null;
    protected $ChargebackEventsKeepDays = null;
    protected $ChargebackTablesCleanupJobTimeInSeconds = null;
    protected $ConsoleProxyExternalAddress = null;
    protected $HostCheckDelayInSeconds = null;
    protected $HostCheckTimeoutSeconds = null;
    protected $InstallationId = null;
    protected $IpReservationTimeoutSeconds = null;
    protected $SyslogServerSettings = null;
    protected $LoginNameOnly = null;
    protected $PrePopDefaultName = null;
    protected $QuarantineEnabled = null;
    protected $QuarantineResponseTimeoutSeconds = null;
    protected $RestApiBaseUri = null;
    protected $SessionTimeoutMinutes = null;
    protected $ShowStackTraces = null;
    protected $SyncStartDate = null;
    protected $SyncIntervalInHours = null;
    protected $SystemExternalAddress = null;
    protected $TransferSessionTimeoutSeconds = null;
    protected $VerifyVcCertificates = null;
    protected $VcTruststorePassword = null;
    protected $VcTruststoreContents = null;
    protected $VcTruststoreType = null;
    protected $VmrcVersion = null;
    protected $VerifyVsmCertificates = null;
    protected $ElasticAllocationPool = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param int $AbsoluteSessionTimeoutMinutes - [required] 
    * @param int $ActivityLogDisplayDays - [required] 
    * @param int $ActivityLogKeepDays - [required] 
    * @param boolean $AllowOverlappingExtNets - [required] 
    * @param int $ChargebackEventsKeepDays - [required] 
    * @param int $ChargebackTablesCleanupJobTimeInSeconds - [required] 
    * @param string $ConsoleProxyExternalAddress - [optional] 
    * @param int $HostCheckDelayInSeconds - [required] 
    * @param int $HostCheckTimeoutSeconds - [required] 
    * @param int $InstallationId - [optional] 
    * @param int $IpReservationTimeoutSeconds - [required] 
    * @param VMware_VCloud_API_SyslogServerSettingsType $SyslogServerSettings - [required]
    * @param boolean $LoginNameOnly - [required] 
    * @param boolean $PrePopDefaultName - [required] 
    * @param boolean $QuarantineEnabled - [required] 
    * @param int $QuarantineResponseTimeoutSeconds - [required] 
    * @param string $RestApiBaseUri - [optional] 
    * @param int $SessionTimeoutMinutes - [required] 
    * @param boolean $ShowStackTraces - [required] 
    * @param string $SyncStartDate - [required] 
    * @param int $SyncIntervalInHours - [required] 
    * @param string $SystemExternalAddress - [optional] 
    * @param int $TransferSessionTimeoutSeconds - [required] 
    * @param boolean $VerifyVcCertificates - [required] 
    * @param string $VcTruststorePassword - [optional] 
    * @param string $VcTruststoreContents - [optional] 
    * @param string $VcTruststoreType - [required] 
    * @param string $VmrcVersion - [optional] 
    * @param boolean $VerifyVsmCertificates - [optional] 
    * @param boolean $ElasticAllocationPool - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $AbsoluteSessionTimeoutMinutes=null, $ActivityLogDisplayDays=null, $ActivityLogKeepDays=null, $AllowOverlappingExtNets=null, $ChargebackEventsKeepDays=null, $ChargebackTablesCleanupJobTimeInSeconds=null, $ConsoleProxyExternalAddress=null, $HostCheckDelayInSeconds=null, $HostCheckTimeoutSeconds=null, $InstallationId=null, $IpReservationTimeoutSeconds=null, $SyslogServerSettings=null, $LoginNameOnly=null, $PrePopDefaultName=null, $QuarantineEnabled=null, $QuarantineResponseTimeoutSeconds=null, $RestApiBaseUri=null, $SessionTimeoutMinutes=null, $ShowStackTraces=null, $SyncStartDate=null, $SyncIntervalInHours=null, $SystemExternalAddress=null, $TransferSessionTimeoutSeconds=null, $VerifyVcCertificates=null, $VcTruststorePassword=null, $VcTruststoreContents=null, $VcTruststoreType=null, $VmrcVersion=null, $VerifyVsmCertificates=null, $ElasticAllocationPool=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->AbsoluteSessionTimeoutMinutes = $AbsoluteSessionTimeoutMinutes;
        $this->ActivityLogDisplayDays = $ActivityLogDisplayDays;
        $this->ActivityLogKeepDays = $ActivityLogKeepDays;
        $this->AllowOverlappingExtNets = $AllowOverlappingExtNets;
        $this->ChargebackEventsKeepDays = $ChargebackEventsKeepDays;
        $this->ChargebackTablesCleanupJobTimeInSeconds = $ChargebackTablesCleanupJobTimeInSeconds;
        $this->ConsoleProxyExternalAddress = $ConsoleProxyExternalAddress;
        $this->HostCheckDelayInSeconds = $HostCheckDelayInSeconds;
        $this->HostCheckTimeoutSeconds = $HostCheckTimeoutSeconds;
        $this->InstallationId = $InstallationId;
        $this->IpReservationTimeoutSeconds = $IpReservationTimeoutSeconds;
        $this->SyslogServerSettings = $SyslogServerSettings;
        $this->LoginNameOnly = $LoginNameOnly;
        $this->PrePopDefaultName = $PrePopDefaultName;
        $this->QuarantineEnabled = $QuarantineEnabled;
        $this->QuarantineResponseTimeoutSeconds = $QuarantineResponseTimeoutSeconds;
        $this->RestApiBaseUri = $RestApiBaseUri;
        $this->SessionTimeoutMinutes = $SessionTimeoutMinutes;
        $this->ShowStackTraces = $ShowStackTraces;
        $this->SyncStartDate = $SyncStartDate;
        $this->SyncIntervalInHours = $SyncIntervalInHours;
        $this->SystemExternalAddress = $SystemExternalAddress;
        $this->TransferSessionTimeoutSeconds = $TransferSessionTimeoutSeconds;
        $this->VerifyVcCertificates = $VerifyVcCertificates;
        $this->VcTruststorePassword = $VcTruststorePassword;
        $this->VcTruststoreContents = $VcTruststoreContents;
        $this->VcTruststoreType = $VcTruststoreType;
        $this->VmrcVersion = $VmrcVersion;
        $this->VerifyVsmCertificates = $VerifyVsmCertificates;
        $this->ElasticAllocationPool = $ElasticAllocationPool;
        $this->tagName = 'GeneralSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAbsoluteSessionTimeoutMinutes() {
        return $this->AbsoluteSessionTimeoutMinutes;
    }
    public function setAbsoluteSessionTimeoutMinutes($AbsoluteSessionTimeoutMinutes) { 
        $this->AbsoluteSessionTimeoutMinutes = $AbsoluteSessionTimeoutMinutes;
    }
    public function getActivityLogDisplayDays() {
        return $this->ActivityLogDisplayDays;
    }
    public function setActivityLogDisplayDays($ActivityLogDisplayDays) { 
        $this->ActivityLogDisplayDays = $ActivityLogDisplayDays;
    }
    public function getActivityLogKeepDays() {
        return $this->ActivityLogKeepDays;
    }
    public function setActivityLogKeepDays($ActivityLogKeepDays) { 
        $this->ActivityLogKeepDays = $ActivityLogKeepDays;
    }
    public function getAllowOverlappingExtNets() {
        return $this->AllowOverlappingExtNets;
    }
    public function setAllowOverlappingExtNets($AllowOverlappingExtNets) { 
        $this->AllowOverlappingExtNets = $AllowOverlappingExtNets;
    }
    public function getChargebackEventsKeepDays() {
        return $this->ChargebackEventsKeepDays;
    }
    public function setChargebackEventsKeepDays($ChargebackEventsKeepDays) { 
        $this->ChargebackEventsKeepDays = $ChargebackEventsKeepDays;
    }
    public function getChargebackTablesCleanupJobTimeInSeconds() {
        return $this->ChargebackTablesCleanupJobTimeInSeconds;
    }
    public function setChargebackTablesCleanupJobTimeInSeconds($ChargebackTablesCleanupJobTimeInSeconds) { 
        $this->ChargebackTablesCleanupJobTimeInSeconds = $ChargebackTablesCleanupJobTimeInSeconds;
    }
    public function getConsoleProxyExternalAddress() {
        return $this->ConsoleProxyExternalAddress;
    }
    public function setConsoleProxyExternalAddress($ConsoleProxyExternalAddress) { 
        $this->ConsoleProxyExternalAddress = $ConsoleProxyExternalAddress;
    }
    public function getHostCheckDelayInSeconds() {
        return $this->HostCheckDelayInSeconds;
    }
    public function setHostCheckDelayInSeconds($HostCheckDelayInSeconds) { 
        $this->HostCheckDelayInSeconds = $HostCheckDelayInSeconds;
    }
    public function getHostCheckTimeoutSeconds() {
        return $this->HostCheckTimeoutSeconds;
    }
    public function setHostCheckTimeoutSeconds($HostCheckTimeoutSeconds) { 
        $this->HostCheckTimeoutSeconds = $HostCheckTimeoutSeconds;
    }
    public function getInstallationId() {
        return $this->InstallationId;
    }
    public function setInstallationId($InstallationId) { 
        $this->InstallationId = $InstallationId;
    }
    public function getIpReservationTimeoutSeconds() {
        return $this->IpReservationTimeoutSeconds;
    }
    public function setIpReservationTimeoutSeconds($IpReservationTimeoutSeconds) { 
        $this->IpReservationTimeoutSeconds = $IpReservationTimeoutSeconds;
    }
    public function getSyslogServerSettings() {
        return $this->SyslogServerSettings;
    }
    public function setSyslogServerSettings($SyslogServerSettings) { 
        $this->SyslogServerSettings = $SyslogServerSettings;
    }
    public function getLoginNameOnly() {
        return $this->LoginNameOnly;
    }
    public function setLoginNameOnly($LoginNameOnly) { 
        $this->LoginNameOnly = $LoginNameOnly;
    }
    public function getPrePopDefaultName() {
        return $this->PrePopDefaultName;
    }
    public function setPrePopDefaultName($PrePopDefaultName) { 
        $this->PrePopDefaultName = $PrePopDefaultName;
    }
    public function getQuarantineEnabled() {
        return $this->QuarantineEnabled;
    }
    public function setQuarantineEnabled($QuarantineEnabled) { 
        $this->QuarantineEnabled = $QuarantineEnabled;
    }
    public function getQuarantineResponseTimeoutSeconds() {
        return $this->QuarantineResponseTimeoutSeconds;
    }
    public function setQuarantineResponseTimeoutSeconds($QuarantineResponseTimeoutSeconds) { 
        $this->QuarantineResponseTimeoutSeconds = $QuarantineResponseTimeoutSeconds;
    }
    public function getRestApiBaseUri() {
        return $this->RestApiBaseUri;
    }
    public function setRestApiBaseUri($RestApiBaseUri) { 
        $this->RestApiBaseUri = $RestApiBaseUri;
    }
    public function getSessionTimeoutMinutes() {
        return $this->SessionTimeoutMinutes;
    }
    public function setSessionTimeoutMinutes($SessionTimeoutMinutes) { 
        $this->SessionTimeoutMinutes = $SessionTimeoutMinutes;
    }
    public function getShowStackTraces() {
        return $this->ShowStackTraces;
    }
    public function setShowStackTraces($ShowStackTraces) { 
        $this->ShowStackTraces = $ShowStackTraces;
    }
    public function getSyncStartDate() {
        return $this->SyncStartDate;
    }
    public function setSyncStartDate($SyncStartDate) { 
        $this->SyncStartDate = $SyncStartDate;
    }
    public function getSyncIntervalInHours() {
        return $this->SyncIntervalInHours;
    }
    public function setSyncIntervalInHours($SyncIntervalInHours) { 
        $this->SyncIntervalInHours = $SyncIntervalInHours;
    }
    public function getSystemExternalAddress() {
        return $this->SystemExternalAddress;
    }
    public function setSystemExternalAddress($SystemExternalAddress) { 
        $this->SystemExternalAddress = $SystemExternalAddress;
    }
    public function getTransferSessionTimeoutSeconds() {
        return $this->TransferSessionTimeoutSeconds;
    }
    public function setTransferSessionTimeoutSeconds($TransferSessionTimeoutSeconds) { 
        $this->TransferSessionTimeoutSeconds = $TransferSessionTimeoutSeconds;
    }
    public function getVerifyVcCertificates() {
        return $this->VerifyVcCertificates;
    }
    public function setVerifyVcCertificates($VerifyVcCertificates) { 
        $this->VerifyVcCertificates = $VerifyVcCertificates;
    }
    public function getVcTruststorePassword() {
        return $this->VcTruststorePassword;
    }
    public function setVcTruststorePassword($VcTruststorePassword) { 
        $this->VcTruststorePassword = $VcTruststorePassword;
    }
    public function getVcTruststoreContents() {
        return $this->VcTruststoreContents;
    }
    public function setVcTruststoreContents($VcTruststoreContents) { 
        $this->VcTruststoreContents = $VcTruststoreContents;
    }
    public function getVcTruststoreType() {
        return $this->VcTruststoreType;
    }
    public function setVcTruststoreType($VcTruststoreType) { 
        $this->VcTruststoreType = $VcTruststoreType;
    }
    public function getVmrcVersion() {
        return $this->VmrcVersion;
    }
    public function setVmrcVersion($VmrcVersion) { 
        $this->VmrcVersion = $VmrcVersion;
    }
    public function getVerifyVsmCertificates() {
        return $this->VerifyVsmCertificates;
    }
    public function setVerifyVsmCertificates($VerifyVsmCertificates) { 
        $this->VerifyVsmCertificates = $VerifyVsmCertificates;
    }
    public function getElasticAllocationPool() {
        return $this->ElasticAllocationPool;
    }
    public function setElasticAllocationPool($ElasticAllocationPool) { 
        $this->ElasticAllocationPool = $ElasticAllocationPool;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AbsoluteSessionTimeoutMinutes)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AbsoluteSessionTimeoutMinutes', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AbsoluteSessionTimeoutMinutes>" . VMware_VCloud_API_Helper::format_integer($this->AbsoluteSessionTimeoutMinutes, $input_name='AbsoluteSessionTimeoutMinutes') . "</" . $ns . "AbsoluteSessionTimeoutMinutes>\n");
        }
        if (!is_null($this->ActivityLogDisplayDays)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ActivityLogDisplayDays', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ActivityLogDisplayDays>" . VMware_VCloud_API_Helper::format_integer($this->ActivityLogDisplayDays, $input_name='ActivityLogDisplayDays') . "</" . $ns . "ActivityLogDisplayDays>\n");
        }
        if (!is_null($this->ActivityLogKeepDays)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ActivityLogKeepDays', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ActivityLogKeepDays>" . VMware_VCloud_API_Helper::format_integer($this->ActivityLogKeepDays, $input_name='ActivityLogKeepDays') . "</" . $ns . "ActivityLogKeepDays>\n");
        }
        if (!is_null($this->AllowOverlappingExtNets)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AllowOverlappingExtNets', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AllowOverlappingExtNets>" . VMware_VCloud_API_Helper::format_boolean($this->AllowOverlappingExtNets, $input_name='AllowOverlappingExtNets') . "</" . $ns . "AllowOverlappingExtNets>\n");
     }
        if (!is_null($this->ChargebackEventsKeepDays)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ChargebackEventsKeepDays', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ChargebackEventsKeepDays>" . VMware_VCloud_API_Helper::format_integer($this->ChargebackEventsKeepDays, $input_name='ChargebackEventsKeepDays') . "</" . $ns . "ChargebackEventsKeepDays>\n");
        }
        if (!is_null($this->ChargebackTablesCleanupJobTimeInSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ChargebackTablesCleanupJobTimeInSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ChargebackTablesCleanupJobTimeInSeconds>" . VMware_VCloud_API_Helper::format_integer($this->ChargebackTablesCleanupJobTimeInSeconds, $input_name='ChargebackTablesCleanupJobTimeInSeconds') . "</" . $ns . "ChargebackTablesCleanupJobTimeInSeconds>\n");
        }
        if (!is_null($this->ConsoleProxyExternalAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ConsoleProxyExternalAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ConsoleProxyExternalAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ConsoleProxyExternalAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ConsoleProxyExternalAddress')) . "</" . $ns . "ConsoleProxyExternalAddress>\n");
        }
        if (!is_null($this->HostCheckDelayInSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HostCheckDelayInSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HostCheckDelayInSeconds>" . VMware_VCloud_API_Helper::format_integer($this->HostCheckDelayInSeconds, $input_name='HostCheckDelayInSeconds') . "</" . $ns . "HostCheckDelayInSeconds>\n");
        }
        if (!is_null($this->HostCheckTimeoutSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HostCheckTimeoutSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HostCheckTimeoutSeconds>" . VMware_VCloud_API_Helper::format_integer($this->HostCheckTimeoutSeconds, $input_name='HostCheckTimeoutSeconds') . "</" . $ns . "HostCheckTimeoutSeconds>\n");
        }
        if (!is_null($this->InstallationId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InstallationId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InstallationId>" . VMware_VCloud_API_Helper::format_integer($this->InstallationId, $input_name='InstallationId') . "</" . $ns . "InstallationId>\n");
        }
        if (!is_null($this->IpReservationTimeoutSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IpReservationTimeoutSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IpReservationTimeoutSeconds>" . VMware_VCloud_API_Helper::format_integer($this->IpReservationTimeoutSeconds, $input_name='IpReservationTimeoutSeconds') . "</" . $ns . "IpReservationTimeoutSeconds>\n");
        }
        if (!is_null($this->SyslogServerSettings)) {
            $out = $this->SyslogServerSettings->export('SyslogServerSettings', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->LoginNameOnly)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LoginNameOnly', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LoginNameOnly>" . VMware_VCloud_API_Helper::format_boolean($this->LoginNameOnly, $input_name='LoginNameOnly') . "</" . $ns . "LoginNameOnly>\n");
     }
        if (!is_null($this->PrePopDefaultName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PrePopDefaultName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PrePopDefaultName>" . VMware_VCloud_API_Helper::format_boolean($this->PrePopDefaultName, $input_name='PrePopDefaultName') . "</" . $ns . "PrePopDefaultName>\n");
     }
        if (!is_null($this->QuarantineEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'QuarantineEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "QuarantineEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->QuarantineEnabled, $input_name='QuarantineEnabled') . "</" . $ns . "QuarantineEnabled>\n");
     }
        if (!is_null($this->QuarantineResponseTimeoutSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'QuarantineResponseTimeoutSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "QuarantineResponseTimeoutSeconds>" . VMware_VCloud_API_Helper::format_integer($this->QuarantineResponseTimeoutSeconds, $input_name='QuarantineResponseTimeoutSeconds') . "</" . $ns . "QuarantineResponseTimeoutSeconds>\n");
        }
        if (!is_null($this->RestApiBaseUri)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RestApiBaseUri', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RestApiBaseUri>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->RestApiBaseUri, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='RestApiBaseUri')) . "</" . $ns . "RestApiBaseUri>\n");
        }
        if (!is_null($this->SessionTimeoutMinutes)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SessionTimeoutMinutes', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SessionTimeoutMinutes>" . VMware_VCloud_API_Helper::format_integer($this->SessionTimeoutMinutes, $input_name='SessionTimeoutMinutes') . "</" . $ns . "SessionTimeoutMinutes>\n");
        }
        if (!is_null($this->ShowStackTraces)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ShowStackTraces', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ShowStackTraces>" . VMware_VCloud_API_Helper::format_boolean($this->ShowStackTraces, $input_name='ShowStackTraces') . "</" . $ns . "ShowStackTraces>\n");
     }
        if (!is_null($this->SyncStartDate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SyncStartDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SyncStartDate>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SyncStartDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SyncStartDate')) . "</" . $ns . "SyncStartDate>\n");
        }
        if (!is_null($this->SyncIntervalInHours)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SyncIntervalInHours', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SyncIntervalInHours>" . VMware_VCloud_API_Helper::format_integer($this->SyncIntervalInHours, $input_name='SyncIntervalInHours') . "</" . $ns . "SyncIntervalInHours>\n");
        }
        if (!is_null($this->SystemExternalAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SystemExternalAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SystemExternalAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SystemExternalAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SystemExternalAddress')) . "</" . $ns . "SystemExternalAddress>\n");
        }
        if (!is_null($this->TransferSessionTimeoutSeconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TransferSessionTimeoutSeconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TransferSessionTimeoutSeconds>" . VMware_VCloud_API_Helper::format_integer($this->TransferSessionTimeoutSeconds, $input_name='TransferSessionTimeoutSeconds') . "</" . $ns . "TransferSessionTimeoutSeconds>\n");
        }
        if (!is_null($this->VerifyVcCertificates)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VerifyVcCertificates', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VerifyVcCertificates>" . VMware_VCloud_API_Helper::format_boolean($this->VerifyVcCertificates, $input_name='VerifyVcCertificates') . "</" . $ns . "VerifyVcCertificates>\n");
     }
        if (!is_null($this->VcTruststorePassword)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcTruststorePassword', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcTruststorePassword>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcTruststorePassword, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcTruststorePassword')) . "</" . $ns . "VcTruststorePassword>\n");
        }
        if (!is_null($this->VcTruststoreContents)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcTruststoreContents', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcTruststoreContents>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcTruststoreContents, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcTruststoreContents')) . "</" . $ns . "VcTruststoreContents>\n");
        }
        if (!is_null($this->VcTruststoreType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcTruststoreType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcTruststoreType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcTruststoreType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcTruststoreType')) . "</" . $ns . "VcTruststoreType>\n");
        }
        if (!is_null($this->VmrcVersion)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmrcVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmrcVersion>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmrcVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmrcVersion')) . "</" . $ns . "VmrcVersion>\n");
        }
        if (!is_null($this->VerifyVsmCertificates)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VerifyVsmCertificates', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VerifyVsmCertificates>" . VMware_VCloud_API_Helper::format_boolean($this->VerifyVsmCertificates, $input_name='VerifyVsmCertificates') . "</" . $ns . "VerifyVsmCertificates>\n");
        }
        if (!is_null($this->ElasticAllocationPool)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ElasticAllocationPool', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ElasticAllocationPool>" . VMware_VCloud_API_Helper::format_boolean($this->ElasticAllocationPool, $input_name='ElasticAllocationPool') . "</" . $ns . "ElasticAllocationPool>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AbsoluteSessionTimeoutMinutes) ||
            !is_null($this->ActivityLogDisplayDays) ||
            !is_null($this->ActivityLogKeepDays) ||
            !is_null($this->AllowOverlappingExtNets) ||
            !is_null($this->ChargebackEventsKeepDays) ||
            !is_null($this->ChargebackTablesCleanupJobTimeInSeconds) ||
            !is_null($this->ConsoleProxyExternalAddress) ||
            !is_null($this->HostCheckDelayInSeconds) ||
            !is_null($this->HostCheckTimeoutSeconds) ||
            !is_null($this->InstallationId) ||
            !is_null($this->IpReservationTimeoutSeconds) ||
            !is_null($this->SyslogServerSettings) ||
            !is_null($this->LoginNameOnly) ||
            !is_null($this->PrePopDefaultName) ||
            !is_null($this->QuarantineEnabled) ||
            !is_null($this->QuarantineResponseTimeoutSeconds) ||
            !is_null($this->RestApiBaseUri) ||
            !is_null($this->SessionTimeoutMinutes) ||
            !is_null($this->ShowStackTraces) ||
            !is_null($this->SyncStartDate) ||
            !is_null($this->SyncIntervalInHours) ||
            !is_null($this->SystemExternalAddress) ||
            !is_null($this->TransferSessionTimeoutSeconds) ||
            !is_null($this->VerifyVcCertificates) ||
            !is_null($this->VcTruststorePassword) ||
            !is_null($this->VcTruststoreContents) ||
            !is_null($this->VcTruststoreType) ||
            !is_null($this->VmrcVersion) ||
            !is_null($this->VerifyVsmCertificates) ||
            !is_null($this->ElasticAllocationPool) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AbsoluteSessionTimeoutMinutes') {
            $sval = $child->nodeValue;
            $this->AbsoluteSessionTimeoutMinutes = $sval;
            if (!empty($namespace)) {
                $this->namespace['AbsoluteSessionTimeoutMinutes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ActivityLogDisplayDays') {
            $sval = $child->nodeValue;
            $this->ActivityLogDisplayDays = $sval;
            if (!empty($namespace)) {
                $this->namespace['ActivityLogDisplayDays'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ActivityLogKeepDays') {
            $sval = $child->nodeValue;
            $this->ActivityLogKeepDays = $sval;
            if (!empty($namespace)) {
                $this->namespace['ActivityLogKeepDays'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllowOverlappingExtNets') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AllowOverlappingExtNets = $sval;
            if (!empty($namespace)) {
                $this->namespace['AllowOverlappingExtNets'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ChargebackEventsKeepDays') {
            $sval = $child->nodeValue;
            $this->ChargebackEventsKeepDays = $sval;
            if (!empty($namespace)) {
                $this->namespace['ChargebackEventsKeepDays'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ChargebackTablesCleanupJobTimeInSeconds') {
            $sval = $child->nodeValue;
            $this->ChargebackTablesCleanupJobTimeInSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['ChargebackTablesCleanupJobTimeInSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConsoleProxyExternalAddress') {
            $sval = $child->nodeValue;
            $this->ConsoleProxyExternalAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['ConsoleProxyExternalAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostCheckDelayInSeconds') {
            $sval = $child->nodeValue;
            $this->HostCheckDelayInSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['HostCheckDelayInSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostCheckTimeoutSeconds') {
            $sval = $child->nodeValue;
            $this->HostCheckTimeoutSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['HostCheckTimeoutSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallationId') {
            $sval = $child->nodeValue;
            $this->InstallationId = $sval;
            if (!empty($namespace)) {
                $this->namespace['InstallationId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpReservationTimeoutSeconds') {
            $sval = $child->nodeValue;
            $this->IpReservationTimeoutSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['IpReservationTimeoutSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SyslogServerSettings') {
            $obj = new VMware_VCloud_API_SyslogServerSettingsType();
            $obj->build($child);
            $obj->set_tagName('SyslogServerSettings');
            $this->setSyslogServerSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['SyslogServerSettings'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LoginNameOnly') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->LoginNameOnly = $sval;
            if (!empty($namespace)) {
                $this->namespace['LoginNameOnly'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PrePopDefaultName') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PrePopDefaultName = $sval;
            if (!empty($namespace)) {
                $this->namespace['PrePopDefaultName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'QuarantineEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->QuarantineEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['QuarantineEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'QuarantineResponseTimeoutSeconds') {
            $sval = $child->nodeValue;
            $this->QuarantineResponseTimeoutSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['QuarantineResponseTimeoutSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RestApiBaseUri') {
            $sval = $child->nodeValue;
            $this->RestApiBaseUri = $sval;
            if (!empty($namespace)) {
                $this->namespace['RestApiBaseUri'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SessionTimeoutMinutes') {
            $sval = $child->nodeValue;
            $this->SessionTimeoutMinutes = $sval;
            if (!empty($namespace)) {
                $this->namespace['SessionTimeoutMinutes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ShowStackTraces') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->ShowStackTraces = $sval;
            if (!empty($namespace)) {
                $this->namespace['ShowStackTraces'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SyncStartDate') {
            $sval = $child->nodeValue;
            $this->SyncStartDate = $sval;
            if (!empty($namespace)) {
                $this->namespace['SyncStartDate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SyncIntervalInHours') {
            $sval = $child->nodeValue;
            $this->SyncIntervalInHours = $sval;
            if (!empty($namespace)) {
                $this->namespace['SyncIntervalInHours'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SystemExternalAddress') {
            $sval = $child->nodeValue;
            $this->SystemExternalAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['SystemExternalAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TransferSessionTimeoutSeconds') {
            $sval = $child->nodeValue;
            $this->TransferSessionTimeoutSeconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['TransferSessionTimeoutSeconds'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VerifyVcCertificates') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->VerifyVcCertificates = $sval;
            if (!empty($namespace)) {
                $this->namespace['VerifyVcCertificates'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcTruststorePassword') {
            $sval = $child->nodeValue;
            $this->VcTruststorePassword = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcTruststorePassword'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcTruststoreContents') {
            $sval = $child->nodeValue;
            $this->VcTruststoreContents = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcTruststoreContents'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcTruststoreType') {
            $sval = $child->nodeValue;
            $this->VcTruststoreType = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcTruststoreType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmrcVersion') {
            $sval = $child->nodeValue;
            $this->VmrcVersion = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmrcVersion'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VerifyVsmCertificates') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->VerifyVsmCertificates = $sval;
            if (!empty($namespace)) {
                $this->namespace['VerifyVsmCertificates'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ElasticAllocationPool') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->ElasticAllocationPool = $sval;
            if (!empty($namespace)) {
                $this->namespace['ElasticAllocationPool'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_GeneralSettingsType


/**
 * Represents the settings for the AMQP broker.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AmqpSettingsType extends VMware_VCloud_API_ResourceType {
    protected $AmqpHost = null;
    protected $AmqpPort = null;
    protected $AmqpUsername = null;
    protected $AmqpPassword = null;
    protected $AmqpExchange = null;
    protected $AmqpVHost = null;
    protected $AmqpUseSSL = null;
    protected $AmqpSslAcceptAll = null;
    protected $AmqpPrefix = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $AmqpHost - [required] 
    * @param int $AmqpPort - [required] 
    * @param string $AmqpUsername - [required] 
    * @param string $AmqpPassword - [optional] 
    * @param string $AmqpExchange - [required] 
    * @param string $AmqpVHost - [required] 
    * @param boolean $AmqpUseSSL - [required] 
    * @param boolean $AmqpSslAcceptAll - [optional] 
    * @param string $AmqpPrefix - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $AmqpHost=null, $AmqpPort=null, $AmqpUsername=null, $AmqpPassword=null, $AmqpExchange=null, $AmqpVHost=null, $AmqpUseSSL=null, $AmqpSslAcceptAll=null, $AmqpPrefix=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->AmqpHost = $AmqpHost;
        $this->AmqpPort = $AmqpPort;
        $this->AmqpUsername = $AmqpUsername;
        $this->AmqpPassword = $AmqpPassword;
        $this->AmqpExchange = $AmqpExchange;
        $this->AmqpVHost = $AmqpVHost;
        $this->AmqpUseSSL = $AmqpUseSSL;
        $this->AmqpSslAcceptAll = $AmqpSslAcceptAll;
        $this->AmqpPrefix = $AmqpPrefix;
        $this->tagName = 'AmqpSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAmqpHost() {
        return $this->AmqpHost;
    }
    public function setAmqpHost($AmqpHost) { 
        $this->AmqpHost = $AmqpHost;
    }
    public function getAmqpPort() {
        return $this->AmqpPort;
    }
    public function setAmqpPort($AmqpPort) { 
        $this->AmqpPort = $AmqpPort;
    }
    public function getAmqpUsername() {
        return $this->AmqpUsername;
    }
    public function setAmqpUsername($AmqpUsername) { 
        $this->AmqpUsername = $AmqpUsername;
    }
    public function getAmqpPassword() {
        return $this->AmqpPassword;
    }
    public function setAmqpPassword($AmqpPassword) { 
        $this->AmqpPassword = $AmqpPassword;
    }
    public function getAmqpExchange() {
        return $this->AmqpExchange;
    }
    public function setAmqpExchange($AmqpExchange) { 
        $this->AmqpExchange = $AmqpExchange;
    }
    public function getAmqpVHost() {
        return $this->AmqpVHost;
    }
    public function setAmqpVHost($AmqpVHost) { 
        $this->AmqpVHost = $AmqpVHost;
    }
    public function getAmqpUseSSL() {
        return $this->AmqpUseSSL;
    }
    public function setAmqpUseSSL($AmqpUseSSL) { 
        $this->AmqpUseSSL = $AmqpUseSSL;
    }
    public function getAmqpSslAcceptAll() {
        return $this->AmqpSslAcceptAll;
    }
    public function setAmqpSslAcceptAll($AmqpSslAcceptAll) { 
        $this->AmqpSslAcceptAll = $AmqpSslAcceptAll;
    }
    public function getAmqpPrefix() {
        return $this->AmqpPrefix;
    }
    public function setAmqpPrefix($AmqpPrefix) { 
        $this->AmqpPrefix = $AmqpPrefix;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AmqpHost)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpHost', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpHost>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AmqpHost, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AmqpHost')) . "</" . $ns . "AmqpHost>\n");
        }
        if (!is_null($this->AmqpPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpPort>" . VMware_VCloud_API_Helper::format_integer($this->AmqpPort, $input_name='AmqpPort') . "</" . $ns . "AmqpPort>\n");
        }
        if (!is_null($this->AmqpUsername)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpUsername', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpUsername>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AmqpUsername, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AmqpUsername')) . "</" . $ns . "AmqpUsername>\n");
        }
        if (!is_null($this->AmqpPassword)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpPassword', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpPassword>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AmqpPassword, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AmqpPassword')) . "</" . $ns . "AmqpPassword>\n");
        }
        if (!is_null($this->AmqpExchange)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpExchange', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpExchange>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AmqpExchange, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AmqpExchange')) . "</" . $ns . "AmqpExchange>\n");
        }
        if (!is_null($this->AmqpVHost)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpVHost', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpVHost>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AmqpVHost, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AmqpVHost')) . "</" . $ns . "AmqpVHost>\n");
        }
        if (!is_null($this->AmqpUseSSL)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpUseSSL', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpUseSSL>" . VMware_VCloud_API_Helper::format_boolean($this->AmqpUseSSL, $input_name='AmqpUseSSL') . "</" . $ns . "AmqpUseSSL>\n");
     }
        if (!is_null($this->AmqpSslAcceptAll)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpSslAcceptAll', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpSslAcceptAll>" . VMware_VCloud_API_Helper::format_boolean($this->AmqpSslAcceptAll, $input_name='AmqpSslAcceptAll') . "</" . $ns . "AmqpSslAcceptAll>\n");
        }
        if (!is_null($this->AmqpPrefix)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AmqpPrefix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AmqpPrefix>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AmqpPrefix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AmqpPrefix')) . "</" . $ns . "AmqpPrefix>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AmqpHost) ||
            !is_null($this->AmqpPort) ||
            !is_null($this->AmqpUsername) ||
            !is_null($this->AmqpPassword) ||
            !is_null($this->AmqpExchange) ||
            !is_null($this->AmqpVHost) ||
            !is_null($this->AmqpUseSSL) ||
            !is_null($this->AmqpSslAcceptAll) ||
            !is_null($this->AmqpPrefix) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpHost') {
            $sval = $child->nodeValue;
            $this->AmqpHost = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpHost'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpPort') {
            $sval = $child->nodeValue;
            $this->AmqpPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpUsername') {
            $sval = $child->nodeValue;
            $this->AmqpUsername = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpUsername'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpPassword') {
            $sval = $child->nodeValue;
            $this->AmqpPassword = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpPassword'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpExchange') {
            $sval = $child->nodeValue;
            $this->AmqpExchange = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpExchange'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpVHost') {
            $sval = $child->nodeValue;
            $this->AmqpVHost = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpVHost'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpUseSSL') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AmqpUseSSL = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpUseSSL'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpSslAcceptAll') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AmqpSslAcceptAll = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpSslAcceptAll'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AmqpPrefix') {
            $sval = $child->nodeValue;
            $this->AmqpPrefix = $sval;
            if (!empty($namespace)) {
                $this->namespace['AmqpPrefix'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AmqpSettingsType


/**
 * Represents the result from AMQP settings test.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AmqpSettingsTestType extends VMware_VCloud_API_ResourceType {
    protected $Valid = null;
    protected $error = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $Valid - [required] 
    * @param VMware_VCloud_API_ErrorType $error - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Valid=null, $error=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->Valid = $Valid;
        $this->error = $error;
        $this->tagName = 'AmqpSettingsTest';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getValid() {
        return $this->Valid;
    }
    public function setValid($Valid) { 
        $this->Valid = $Valid;
    }
    public function get_error() {
        return $this->error;
    }
    public function set_error($error) { 
        $this->error = $error;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Valid)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Valid', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Valid>" . VMware_VCloud_API_Helper::format_boolean($this->Valid, $input_name='Valid') . "</" . $ns . "Valid>\n");
     }
        if (!is_null($this->error)) {
            $out = $this->error->export('error', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Valid) ||
            !is_null($this->error) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Valid') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Valid = $sval;
            if (!empty($namespace)) {
                $this->namespace['Valid'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'error') {
            $obj = new VMware_VCloud_API_ErrorType();
            $obj->build($child);
            $obj->set_tagName('error');
            $this->set_error($obj);
            if (!empty($namespace)) {
                $this->namespace['error'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AmqpSettingsTestType


/**
 * Represents the settings related to Notifications.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_NotificationsSettingsType extends VMware_VCloud_API_ResourceType {
    protected $EnableNotifications = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $EnableNotifications - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $EnableNotifications=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->EnableNotifications = $EnableNotifications;
        $this->tagName = 'NotificationsSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEnableNotifications() {
        return $this->EnableNotifications;
    }
    public function setEnableNotifications($EnableNotifications) { 
        $this->EnableNotifications = $EnableNotifications;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->EnableNotifications)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EnableNotifications', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EnableNotifications>" . VMware_VCloud_API_Helper::format_boolean($this->EnableNotifications, $input_name='EnableNotifications') . "</" . $ns . "EnableNotifications>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->EnableNotifications) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EnableNotifications') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->EnableNotifications = $sval;
            if (!empty($namespace)) {
                $this->namespace['EnableNotifications'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_NotificationsSettingsType


/**
 * Represents the settings related to blocking tasks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_BlockingTaskSettingsType extends VMware_VCloud_API_ResourceType {
    protected $TimeoutAction = null;
    protected $BlockingTaskOperations = null;
    protected $TimeoutInMilliseconds = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $TimeoutAction - [required] 
    * @param VMware_VCloud_API_TaskOperationListType $BlockingTaskOperations - [required]
    * @param string $TimeoutInMilliseconds - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $TimeoutAction=null, $BlockingTaskOperations=null, $TimeoutInMilliseconds=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->TimeoutAction = $TimeoutAction;
        $this->BlockingTaskOperations = $BlockingTaskOperations;
        $this->TimeoutInMilliseconds = $TimeoutInMilliseconds;
        $this->tagName = 'BlockingTaskSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getTimeoutAction() {
        return $this->TimeoutAction;
    }
    public function setTimeoutAction($TimeoutAction) { 
        $this->TimeoutAction = $TimeoutAction;
    }
    public function getBlockingTaskOperations() {
        return $this->BlockingTaskOperations;
    }
    public function setBlockingTaskOperations($BlockingTaskOperations) { 
        $this->BlockingTaskOperations = $BlockingTaskOperations;
    }
    public function getTimeoutInMilliseconds() {
        return $this->TimeoutInMilliseconds;
    }
    public function setTimeoutInMilliseconds($TimeoutInMilliseconds) { 
        $this->TimeoutInMilliseconds = $TimeoutInMilliseconds;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->TimeoutAction)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TimeoutAction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TimeoutAction>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->TimeoutAction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='TimeoutAction')) . "</" . $ns . "TimeoutAction>\n");
        }
        if (!is_null($this->BlockingTaskOperations)) {
            $out = $this->BlockingTaskOperations->export('BlockingTaskOperations', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->TimeoutInMilliseconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TimeoutInMilliseconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TimeoutInMilliseconds>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->TimeoutInMilliseconds, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='TimeoutInMilliseconds')) . "</" . $ns . "TimeoutInMilliseconds>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->TimeoutAction) ||
            !is_null($this->BlockingTaskOperations) ||
            !is_null($this->TimeoutInMilliseconds) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TimeoutAction') {
            $sval = $child->nodeValue;
            $this->TimeoutAction = $sval;
            if (!empty($namespace)) {
                $this->namespace['TimeoutAction'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BlockingTaskOperations') {
            $obj = new VMware_VCloud_API_TaskOperationListType();
            $obj->build($child);
            $obj->set_tagName('BlockingTaskOperations');
            $this->setBlockingTaskOperations($obj);
            if (!empty($namespace)) {
                $this->namespace['BlockingTaskOperations'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TimeoutInMilliseconds') {
            $sval = $child->nodeValue;
            $this->TimeoutInMilliseconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['TimeoutInMilliseconds'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_BlockingTaskSettingsType


/**
 * Value in milliseconds that defines how long to wait for a blocking  task to be processed before triggering automatic timeout policy.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_TimeoutInMilliseconds {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'TimeoutInMilliseconds';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_Extension_TimeoutInMilliseconds


/**
 * Represents the settings related to Password Policy.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_SystemPasswordPolicySettingsType extends VMware_VCloud_API_ResourceType {
    protected $AccountLockoutEnabled = null;
    protected $AdminAccountLockoutEnabled = null;
    protected $InvalidLoginsBeforeLockout = null;
    protected $AccountLockoutIntervalMinutes = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $AccountLockoutEnabled - [required] 
    * @param boolean $AdminAccountLockoutEnabled - [required] 
    * @param int $InvalidLoginsBeforeLockout - [required] 
    * @param string $AccountLockoutIntervalMinutes - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $AccountLockoutEnabled=null, $AdminAccountLockoutEnabled=null, $InvalidLoginsBeforeLockout=null, $AccountLockoutIntervalMinutes=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->AccountLockoutEnabled = $AccountLockoutEnabled;
        $this->AdminAccountLockoutEnabled = $AdminAccountLockoutEnabled;
        $this->InvalidLoginsBeforeLockout = $InvalidLoginsBeforeLockout;
        $this->AccountLockoutIntervalMinutes = $AccountLockoutIntervalMinutes;
        $this->tagName = 'SystemPasswordPolicySettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAccountLockoutEnabled() {
        return $this->AccountLockoutEnabled;
    }
    public function setAccountLockoutEnabled($AccountLockoutEnabled) { 
        $this->AccountLockoutEnabled = $AccountLockoutEnabled;
    }
    public function getAdminAccountLockoutEnabled() {
        return $this->AdminAccountLockoutEnabled;
    }
    public function setAdminAccountLockoutEnabled($AdminAccountLockoutEnabled) { 
        $this->AdminAccountLockoutEnabled = $AdminAccountLockoutEnabled;
    }
    public function getInvalidLoginsBeforeLockout() {
        return $this->InvalidLoginsBeforeLockout;
    }
    public function setInvalidLoginsBeforeLockout($InvalidLoginsBeforeLockout) { 
        $this->InvalidLoginsBeforeLockout = $InvalidLoginsBeforeLockout;
    }
    public function getAccountLockoutIntervalMinutes() {
        return $this->AccountLockoutIntervalMinutes;
    }
    public function setAccountLockoutIntervalMinutes($AccountLockoutIntervalMinutes) { 
        $this->AccountLockoutIntervalMinutes = $AccountLockoutIntervalMinutes;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AccountLockoutEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AccountLockoutEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AccountLockoutEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->AccountLockoutEnabled, $input_name='AccountLockoutEnabled') . "</" . $ns . "AccountLockoutEnabled>\n");
     }
        if (!is_null($this->AdminAccountLockoutEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AdminAccountLockoutEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AdminAccountLockoutEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->AdminAccountLockoutEnabled, $input_name='AdminAccountLockoutEnabled') . "</" . $ns . "AdminAccountLockoutEnabled>\n");
     }
        if (!is_null($this->InvalidLoginsBeforeLockout)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InvalidLoginsBeforeLockout', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InvalidLoginsBeforeLockout>" . VMware_VCloud_API_Helper::format_integer($this->InvalidLoginsBeforeLockout, $input_name='InvalidLoginsBeforeLockout') . "</" . $ns . "InvalidLoginsBeforeLockout>\n");
        }
        if (!is_null($this->AccountLockoutIntervalMinutes)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AccountLockoutIntervalMinutes', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AccountLockoutIntervalMinutes>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AccountLockoutIntervalMinutes, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AccountLockoutIntervalMinutes')) . "</" . $ns . "AccountLockoutIntervalMinutes>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AccountLockoutEnabled) ||
            !is_null($this->AdminAccountLockoutEnabled) ||
            !is_null($this->InvalidLoginsBeforeLockout) ||
            !is_null($this->AccountLockoutIntervalMinutes) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AccountLockoutEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AccountLockoutEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['AccountLockoutEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminAccountLockoutEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AdminAccountLockoutEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['AdminAccountLockoutEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InvalidLoginsBeforeLockout') {
            $sval = $child->nodeValue;
            $this->InvalidLoginsBeforeLockout = $sval;
            if (!empty($namespace)) {
                $this->namespace['InvalidLoginsBeforeLockout'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AccountLockoutIntervalMinutes') {
            $sval = $child->nodeValue;
            $this->AccountLockoutIntervalMinutes = $sval;
            if (!empty($namespace)) {
                $this->namespace['AccountLockoutIntervalMinutes'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_SystemPasswordPolicySettingsType


/**
 * Number of minutes an account that is locked out will remain locked.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AccountLockoutIntervalMinutes {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'AccountLockoutIntervalMinutes';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_Extension_AccountLockoutIntervalMinutes


/**
 * Defines the hostname and connection details for system  LDAP service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LdapSettingsType extends VMware_VCloud_API_ResourceType {
    protected $HostName = null;
    protected $Port = null;
    protected $IsSsl = null;
    protected $IsSslAcceptAll = null;
    protected $Realm = null;
    protected $PagedSearchDisabled = null;
    protected $PageSize = null;
    protected $MaxResults = null;
    protected $MaxUserGroups = null;
    protected $SearchBase = null;
    protected $UserName = null;
    protected $Password = null;
    protected $AuthenticationMechanism = null;
    protected $GroupSearchBase = null;
    protected $IsGroupSearchBaseEnabled = null;
    protected $ConnectorType = null;
    protected $UserAttributes = null;
    protected $GroupAttributes = null;
    protected $UseExternalKerberos = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $HostName - [optional] 
    * @param int $Port - [required] 
    * @param boolean $IsSsl - [required] 
    * @param boolean $IsSslAcceptAll - [required] 
    * @param string $Realm - [optional] 
    * @param boolean $PagedSearchDisabled - [required] 
    * @param int $PageSize - [optional] 
    * @param int $MaxResults - [optional] 
    * @param int $MaxUserGroups - [optional] 
    * @param string $SearchBase - [optional] 
    * @param string $UserName - [optional] 
    * @param string $Password - [optional] 
    * @param string $AuthenticationMechanism - [required] 
    * @param string $GroupSearchBase - [optional] 
    * @param boolean $IsGroupSearchBaseEnabled - [required] 
    * @param string $ConnectorType - [required] 
    * @param VMware_VCloud_API_Extension_LdapUserAttributesType $UserAttributes - [required]
    * @param VMware_VCloud_API_Extension_LdapGroupAttributesType $GroupAttributes - [required]
    * @param boolean $UseExternalKerberos - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $HostName=null, $Port=null, $IsSsl=null, $IsSslAcceptAll=null, $Realm=null, $PagedSearchDisabled=null, $PageSize=null, $MaxResults=null, $MaxUserGroups=null, $SearchBase=null, $UserName=null, $Password=null, $AuthenticationMechanism=null, $GroupSearchBase=null, $IsGroupSearchBaseEnabled=null, $ConnectorType=null, $UserAttributes=null, $GroupAttributes=null, $UseExternalKerberos=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->HostName = $HostName;
        $this->Port = $Port;
        $this->IsSsl = $IsSsl;
        $this->IsSslAcceptAll = $IsSslAcceptAll;
        $this->Realm = $Realm;
        $this->PagedSearchDisabled = $PagedSearchDisabled;
        $this->PageSize = $PageSize;
        $this->MaxResults = $MaxResults;
        $this->MaxUserGroups = $MaxUserGroups;
        $this->SearchBase = $SearchBase;
        $this->UserName = $UserName;
        $this->Password = $Password;
        $this->AuthenticationMechanism = $AuthenticationMechanism;
        $this->GroupSearchBase = $GroupSearchBase;
        $this->IsGroupSearchBaseEnabled = $IsGroupSearchBaseEnabled;
        $this->ConnectorType = $ConnectorType;
        $this->UserAttributes = $UserAttributes;
        $this->GroupAttributes = $GroupAttributes;
        $this->UseExternalKerberos = $UseExternalKerberos;
        $this->tagName = 'LdapSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getHostName() {
        return $this->HostName;
    }
    public function setHostName($HostName) { 
        $this->HostName = $HostName;
    }
    public function getPort() {
        return $this->Port;
    }
    public function setPort($Port) { 
        $this->Port = $Port;
    }
    public function getIsSsl() {
        return $this->IsSsl;
    }
    public function setIsSsl($IsSsl) { 
        $this->IsSsl = $IsSsl;
    }
    public function getIsSslAcceptAll() {
        return $this->IsSslAcceptAll;
    }
    public function setIsSslAcceptAll($IsSslAcceptAll) { 
        $this->IsSslAcceptAll = $IsSslAcceptAll;
    }
    public function getRealm() {
        return $this->Realm;
    }
    public function setRealm($Realm) { 
        $this->Realm = $Realm;
    }
    public function getPagedSearchDisabled() {
        return $this->PagedSearchDisabled;
    }
    public function setPagedSearchDisabled($PagedSearchDisabled) { 
        $this->PagedSearchDisabled = $PagedSearchDisabled;
    }
    public function getPageSize() {
        return $this->PageSize;
    }
    public function setPageSize($PageSize) { 
        $this->PageSize = $PageSize;
    }
    public function getMaxResults() {
        return $this->MaxResults;
    }
    public function setMaxResults($MaxResults) { 
        $this->MaxResults = $MaxResults;
    }
    public function getMaxUserGroups() {
        return $this->MaxUserGroups;
    }
    public function setMaxUserGroups($MaxUserGroups) { 
        $this->MaxUserGroups = $MaxUserGroups;
    }
    public function getSearchBase() {
        return $this->SearchBase;
    }
    public function setSearchBase($SearchBase) { 
        $this->SearchBase = $SearchBase;
    }
    public function getUserName() {
        return $this->UserName;
    }
    public function setUserName($UserName) { 
        $this->UserName = $UserName;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function getAuthenticationMechanism() {
        return $this->AuthenticationMechanism;
    }
    public function setAuthenticationMechanism($AuthenticationMechanism) { 
        $this->AuthenticationMechanism = $AuthenticationMechanism;
    }
    public function getGroupSearchBase() {
        return $this->GroupSearchBase;
    }
    public function setGroupSearchBase($GroupSearchBase) { 
        $this->GroupSearchBase = $GroupSearchBase;
    }
    public function getIsGroupSearchBaseEnabled() {
        return $this->IsGroupSearchBaseEnabled;
    }
    public function setIsGroupSearchBaseEnabled($IsGroupSearchBaseEnabled) { 
        $this->IsGroupSearchBaseEnabled = $IsGroupSearchBaseEnabled;
    }
    public function getConnectorType() {
        return $this->ConnectorType;
    }
    public function setConnectorType($ConnectorType) { 
        $this->ConnectorType = $ConnectorType;
    }
    public function getUserAttributes() {
        return $this->UserAttributes;
    }
    public function setUserAttributes($UserAttributes) { 
        $this->UserAttributes = $UserAttributes;
    }
    public function getGroupAttributes() {
        return $this->GroupAttributes;
    }
    public function setGroupAttributes($GroupAttributes) { 
        $this->GroupAttributes = $GroupAttributes;
    }
    public function getUseExternalKerberos() {
        return $this->UseExternalKerberos;
    }
    public function setUseExternalKerberos($UseExternalKerberos) { 
        $this->UseExternalKerberos = $UseExternalKerberos;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->HostName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HostName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HostName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HostName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HostName')) . "</" . $ns . "HostName>\n");
        }
        if (!is_null($this->Port)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Port', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Port>" . VMware_VCloud_API_Helper::format_integer($this->Port, $input_name='Port') . "</" . $ns . "Port>\n");
        }
        if (!is_null($this->IsSsl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsSsl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsSsl>" . VMware_VCloud_API_Helper::format_boolean($this->IsSsl, $input_name='IsSsl') . "</" . $ns . "IsSsl>\n");
     }
        if (!is_null($this->IsSslAcceptAll)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsSslAcceptAll', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsSslAcceptAll>" . VMware_VCloud_API_Helper::format_boolean($this->IsSslAcceptAll, $input_name='IsSslAcceptAll') . "</" . $ns . "IsSslAcceptAll>\n");
     }
        if (!is_null($this->Realm)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Realm', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Realm>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Realm, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Realm')) . "</" . $ns . "Realm>\n");
        }
        if (!is_null($this->PagedSearchDisabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PagedSearchDisabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PagedSearchDisabled>" . VMware_VCloud_API_Helper::format_boolean($this->PagedSearchDisabled, $input_name='PagedSearchDisabled') . "</" . $ns . "PagedSearchDisabled>\n");
     }
        if (!is_null($this->PageSize)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PageSize', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PageSize>" . VMware_VCloud_API_Helper::format_integer($this->PageSize, $input_name='PageSize') . "</" . $ns . "PageSize>\n");
        }
        if (!is_null($this->MaxResults)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MaxResults', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MaxResults>" . VMware_VCloud_API_Helper::format_integer($this->MaxResults, $input_name='MaxResults') . "</" . $ns . "MaxResults>\n");
        }
        if (!is_null($this->MaxUserGroups)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MaxUserGroups', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MaxUserGroups>" . VMware_VCloud_API_Helper::format_integer($this->MaxUserGroups, $input_name='MaxUserGroups') . "</" . $ns . "MaxUserGroups>\n");
        }
        if (!is_null($this->SearchBase)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SearchBase', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SearchBase>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SearchBase, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SearchBase')) . "</" . $ns . "SearchBase>\n");
        }
        if (!is_null($this->UserName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UserName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UserName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UserName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UserName')) . "</" . $ns . "UserName>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        if (!is_null($this->AuthenticationMechanism)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AuthenticationMechanism', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AuthenticationMechanism>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AuthenticationMechanism, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AuthenticationMechanism')) . "</" . $ns . "AuthenticationMechanism>\n");
        }
        if (!is_null($this->GroupSearchBase)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GroupSearchBase', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GroupSearchBase>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GroupSearchBase, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GroupSearchBase')) . "</" . $ns . "GroupSearchBase>\n");
        }
        if (!is_null($this->IsGroupSearchBaseEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsGroupSearchBaseEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsGroupSearchBaseEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsGroupSearchBaseEnabled, $input_name='IsGroupSearchBaseEnabled') . "</" . $ns . "IsGroupSearchBaseEnabled>\n");
     }
        if (!is_null($this->ConnectorType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ConnectorType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ConnectorType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ConnectorType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ConnectorType')) . "</" . $ns . "ConnectorType>\n");
        }
        if (!is_null($this->UserAttributes)) {
            $out = $this->UserAttributes->export('UserAttributes', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->GroupAttributes)) {
            $out = $this->GroupAttributes->export('GroupAttributes', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->UseExternalKerberos)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UseExternalKerberos', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UseExternalKerberos>" . VMware_VCloud_API_Helper::format_boolean($this->UseExternalKerberos, $input_name='UseExternalKerberos') . "</" . $ns . "UseExternalKerberos>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->HostName) ||
            !is_null($this->Port) ||
            !is_null($this->IsSsl) ||
            !is_null($this->IsSslAcceptAll) ||
            !is_null($this->Realm) ||
            !is_null($this->PagedSearchDisabled) ||
            !is_null($this->PageSize) ||
            !is_null($this->MaxResults) ||
            !is_null($this->MaxUserGroups) ||
            !is_null($this->SearchBase) ||
            !is_null($this->UserName) ||
            !is_null($this->Password) ||
            !is_null($this->AuthenticationMechanism) ||
            !is_null($this->GroupSearchBase) ||
            !is_null($this->IsGroupSearchBaseEnabled) ||
            !is_null($this->ConnectorType) ||
            !is_null($this->UserAttributes) ||
            !is_null($this->GroupAttributes) ||
            !is_null($this->UseExternalKerberos) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostName') {
            $sval = $child->nodeValue;
            $this->HostName = $sval;
            if (!empty($namespace)) {
                $this->namespace['HostName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Port') {
            $sval = $child->nodeValue;
            $this->Port = $sval;
            if (!empty($namespace)) {
                $this->namespace['Port'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsSsl') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsSsl = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsSsl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsSslAcceptAll') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsSslAcceptAll = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsSslAcceptAll'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Realm') {
            $sval = $child->nodeValue;
            $this->Realm = $sval;
            if (!empty($namespace)) {
                $this->namespace['Realm'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PagedSearchDisabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PagedSearchDisabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['PagedSearchDisabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PageSize') {
            $sval = $child->nodeValue;
            $this->PageSize = $sval;
            if (!empty($namespace)) {
                $this->namespace['PageSize'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MaxResults') {
            $sval = $child->nodeValue;
            $this->MaxResults = $sval;
            if (!empty($namespace)) {
                $this->namespace['MaxResults'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MaxUserGroups') {
            $sval = $child->nodeValue;
            $this->MaxUserGroups = $sval;
            if (!empty($namespace)) {
                $this->namespace['MaxUserGroups'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SearchBase') {
            $sval = $child->nodeValue;
            $this->SearchBase = $sval;
            if (!empty($namespace)) {
                $this->namespace['SearchBase'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserName') {
            $sval = $child->nodeValue;
            $this->UserName = $sval;
            if (!empty($namespace)) {
                $this->namespace['UserName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AuthenticationMechanism') {
            $sval = $child->nodeValue;
            $this->AuthenticationMechanism = $sval;
            if (!empty($namespace)) {
                $this->namespace['AuthenticationMechanism'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupSearchBase') {
            $sval = $child->nodeValue;
            $this->GroupSearchBase = $sval;
            if (!empty($namespace)) {
                $this->namespace['GroupSearchBase'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsGroupSearchBaseEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsGroupSearchBaseEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsGroupSearchBaseEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ConnectorType') {
            $sval = $child->nodeValue;
            $this->ConnectorType = $sval;
            if (!empty($namespace)) {
                $this->namespace['ConnectorType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserAttributes') {
            $obj = new VMware_VCloud_API_Extension_LdapUserAttributesType();
            $obj->build($child);
            $obj->set_tagName('UserAttributes');
            $this->setUserAttributes($obj);
            if (!empty($namespace)) {
                $this->namespace['UserAttributes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupAttributes') {
            $obj = new VMware_VCloud_API_Extension_LdapGroupAttributesType();
            $obj->build($child);
            $obj->set_tagName('GroupAttributes');
            $this->setGroupAttributes($obj);
            if (!empty($namespace)) {
                $this->namespace['GroupAttributes'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UseExternalKerberos') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UseExternalKerberos = $sval;
            if (!empty($namespace)) {
                $this->namespace['UseExternalKerberos'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_LdapSettingsType


/**
 * Defines how a group is imported from LDAP.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LdapGroupAttributesType extends VMware_VCloud_API_ResourceType {
    protected $ObjectClass = null;
    protected $ObjectIdentifier = null;
    protected $GroupName = null;
    protected $Membership = null;
    protected $MembershipIdentifier = null;
    protected $BackLinkIdentifier = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $ObjectClass - [required] 
    * @param string $ObjectIdentifier - [required] 
    * @param string $GroupName - [required] 
    * @param string $Membership - [required] 
    * @param string $MembershipIdentifier - [required] 
    * @param string $BackLinkIdentifier - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ObjectClass=null, $ObjectIdentifier=null, $GroupName=null, $Membership=null, $MembershipIdentifier=null, $BackLinkIdentifier=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->ObjectClass = $ObjectClass;
        $this->ObjectIdentifier = $ObjectIdentifier;
        $this->GroupName = $GroupName;
        $this->Membership = $Membership;
        $this->MembershipIdentifier = $MembershipIdentifier;
        $this->BackLinkIdentifier = $BackLinkIdentifier;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getObjectClass() {
        return $this->ObjectClass;
    }
    public function setObjectClass($ObjectClass) { 
        $this->ObjectClass = $ObjectClass;
    }
    public function getObjectIdentifier() {
        return $this->ObjectIdentifier;
    }
    public function setObjectIdentifier($ObjectIdentifier) { 
        $this->ObjectIdentifier = $ObjectIdentifier;
    }
    public function getGroupName() {
        return $this->GroupName;
    }
    public function setGroupName($GroupName) { 
        $this->GroupName = $GroupName;
    }
    public function getMembership() {
        return $this->Membership;
    }
    public function setMembership($Membership) { 
        $this->Membership = $Membership;
    }
    public function getMembershipIdentifier() {
        return $this->MembershipIdentifier;
    }
    public function setMembershipIdentifier($MembershipIdentifier) { 
        $this->MembershipIdentifier = $MembershipIdentifier;
    }
    public function getBackLinkIdentifier() {
        return $this->BackLinkIdentifier;
    }
    public function setBackLinkIdentifier($BackLinkIdentifier) { 
        $this->BackLinkIdentifier = $BackLinkIdentifier;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ObjectClass)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ObjectClass', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ObjectClass>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ObjectClass, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ObjectClass')) . "</" . $ns . "ObjectClass>\n");
        }
        if (!is_null($this->ObjectIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ObjectIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ObjectIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ObjectIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ObjectIdentifier')) . "</" . $ns . "ObjectIdentifier>\n");
        }
        if (!is_null($this->GroupName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GroupName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GroupName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GroupName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GroupName')) . "</" . $ns . "GroupName>\n");
        }
        if (!is_null($this->Membership)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Membership', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Membership>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Membership, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Membership')) . "</" . $ns . "Membership>\n");
        }
        if (!is_null($this->MembershipIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MembershipIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MembershipIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MembershipIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MembershipIdentifier')) . "</" . $ns . "MembershipIdentifier>\n");
        }
        if (!is_null($this->BackLinkIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'BackLinkIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "BackLinkIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->BackLinkIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='BackLinkIdentifier')) . "</" . $ns . "BackLinkIdentifier>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ObjectClass) ||
            !is_null($this->ObjectIdentifier) ||
            !is_null($this->GroupName) ||
            !is_null($this->Membership) ||
            !is_null($this->MembershipIdentifier) ||
            !is_null($this->BackLinkIdentifier) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ObjectClass') {
            $sval = $child->nodeValue;
            $this->ObjectClass = $sval;
            if (!empty($namespace)) {
                $this->namespace['ObjectClass'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ObjectIdentifier') {
            $sval = $child->nodeValue;
            $this->ObjectIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['ObjectIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupName') {
            $sval = $child->nodeValue;
            $this->GroupName = $sval;
            if (!empty($namespace)) {
                $this->namespace['GroupName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Membership') {
            $sval = $child->nodeValue;
            $this->Membership = $sval;
            if (!empty($namespace)) {
                $this->namespace['Membership'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MembershipIdentifier') {
            $sval = $child->nodeValue;
            $this->MembershipIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['MembershipIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BackLinkIdentifier') {
            $sval = $child->nodeValue;
            $this->BackLinkIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['BackLinkIdentifier'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_LdapGroupAttributesType


/**
 * Defines how LDAP attributes are used when importing a user.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LdapUserAttributesType extends VMware_VCloud_API_ResourceType {
    protected $ObjectClass = null;
    protected $ObjectIdentifier = null;
    protected $UserName = null;
    protected $Email = null;
    protected $FullName = null;
    protected $GivenName = null;
    protected $Surname = null;
    protected $Telephone = null;
    protected $GroupMembershipIdentifier = null;
    protected $GroupBackLinkIdentifier = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $ObjectClass - [required] 
    * @param string $ObjectIdentifier - [required] 
    * @param string $UserName - [required] 
    * @param string $Email - [required] 
    * @param string $FullName - [required] 
    * @param string $GivenName - [required] 
    * @param string $Surname - [required] 
    * @param string $Telephone - [required] 
    * @param string $GroupMembershipIdentifier - [required] 
    * @param string $GroupBackLinkIdentifier - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ObjectClass=null, $ObjectIdentifier=null, $UserName=null, $Email=null, $FullName=null, $GivenName=null, $Surname=null, $Telephone=null, $GroupMembershipIdentifier=null, $GroupBackLinkIdentifier=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->ObjectClass = $ObjectClass;
        $this->ObjectIdentifier = $ObjectIdentifier;
        $this->UserName = $UserName;
        $this->Email = $Email;
        $this->FullName = $FullName;
        $this->GivenName = $GivenName;
        $this->Surname = $Surname;
        $this->Telephone = $Telephone;
        $this->GroupMembershipIdentifier = $GroupMembershipIdentifier;
        $this->GroupBackLinkIdentifier = $GroupBackLinkIdentifier;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getObjectClass() {
        return $this->ObjectClass;
    }
    public function setObjectClass($ObjectClass) { 
        $this->ObjectClass = $ObjectClass;
    }
    public function getObjectIdentifier() {
        return $this->ObjectIdentifier;
    }
    public function setObjectIdentifier($ObjectIdentifier) { 
        $this->ObjectIdentifier = $ObjectIdentifier;
    }
    public function getUserName() {
        return $this->UserName;
    }
    public function setUserName($UserName) { 
        $this->UserName = $UserName;
    }
    public function getEmail() {
        return $this->Email;
    }
    public function setEmail($Email) { 
        $this->Email = $Email;
    }
    public function getFullName() {
        return $this->FullName;
    }
    public function setFullName($FullName) { 
        $this->FullName = $FullName;
    }
    public function getGivenName() {
        return $this->GivenName;
    }
    public function setGivenName($GivenName) { 
        $this->GivenName = $GivenName;
    }
    public function getSurname() {
        return $this->Surname;
    }
    public function setSurname($Surname) { 
        $this->Surname = $Surname;
    }
    public function getTelephone() {
        return $this->Telephone;
    }
    public function setTelephone($Telephone) { 
        $this->Telephone = $Telephone;
    }
    public function getGroupMembershipIdentifier() {
        return $this->GroupMembershipIdentifier;
    }
    public function setGroupMembershipIdentifier($GroupMembershipIdentifier) { 
        $this->GroupMembershipIdentifier = $GroupMembershipIdentifier;
    }
    public function getGroupBackLinkIdentifier() {
        return $this->GroupBackLinkIdentifier;
    }
    public function setGroupBackLinkIdentifier($GroupBackLinkIdentifier) { 
        $this->GroupBackLinkIdentifier = $GroupBackLinkIdentifier;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ObjectClass)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ObjectClass', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ObjectClass>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ObjectClass, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ObjectClass')) . "</" . $ns . "ObjectClass>\n");
        }
        if (!is_null($this->ObjectIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ObjectIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ObjectIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ObjectIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ObjectIdentifier')) . "</" . $ns . "ObjectIdentifier>\n");
        }
        if (!is_null($this->UserName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UserName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UserName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UserName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UserName')) . "</" . $ns . "UserName>\n");
        }
        if (!is_null($this->Email)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Email', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Email>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Email, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Email')) . "</" . $ns . "Email>\n");
        }
        if (!is_null($this->FullName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FullName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FullName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->FullName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='FullName')) . "</" . $ns . "FullName>\n");
        }
        if (!is_null($this->GivenName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GivenName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GivenName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GivenName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GivenName')) . "</" . $ns . "GivenName>\n");
        }
        if (!is_null($this->Surname)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Surname', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Surname>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Surname, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Surname')) . "</" . $ns . "Surname>\n");
        }
        if (!is_null($this->Telephone)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Telephone', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Telephone>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Telephone, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Telephone')) . "</" . $ns . "Telephone>\n");
        }
        if (!is_null($this->GroupMembershipIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GroupMembershipIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GroupMembershipIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GroupMembershipIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GroupMembershipIdentifier')) . "</" . $ns . "GroupMembershipIdentifier>\n");
        }
        if (!is_null($this->GroupBackLinkIdentifier)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'GroupBackLinkIdentifier', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "GroupBackLinkIdentifier>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->GroupBackLinkIdentifier, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='GroupBackLinkIdentifier')) . "</" . $ns . "GroupBackLinkIdentifier>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ObjectClass) ||
            !is_null($this->ObjectIdentifier) ||
            !is_null($this->UserName) ||
            !is_null($this->Email) ||
            !is_null($this->FullName) ||
            !is_null($this->GivenName) ||
            !is_null($this->Surname) ||
            !is_null($this->Telephone) ||
            !is_null($this->GroupMembershipIdentifier) ||
            !is_null($this->GroupBackLinkIdentifier) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ObjectClass') {
            $sval = $child->nodeValue;
            $this->ObjectClass = $sval;
            if (!empty($namespace)) {
                $this->namespace['ObjectClass'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ObjectIdentifier') {
            $sval = $child->nodeValue;
            $this->ObjectIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['ObjectIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserName') {
            $sval = $child->nodeValue;
            $this->UserName = $sval;
            if (!empty($namespace)) {
                $this->namespace['UserName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Email') {
            $sval = $child->nodeValue;
            $this->Email = $sval;
            if (!empty($namespace)) {
                $this->namespace['Email'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FullName') {
            $sval = $child->nodeValue;
            $this->FullName = $sval;
            if (!empty($namespace)) {
                $this->namespace['FullName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GivenName') {
            $sval = $child->nodeValue;
            $this->GivenName = $sval;
            if (!empty($namespace)) {
                $this->namespace['GivenName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Surname') {
            $sval = $child->nodeValue;
            $this->Surname = $sval;
            if (!empty($namespace)) {
                $this->namespace['Surname'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Telephone') {
            $sval = $child->nodeValue;
            $this->Telephone = $sval;
            if (!empty($namespace)) {
                $this->namespace['Telephone'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupMembershipIdentifier') {
            $sval = $child->nodeValue;
            $this->GroupMembershipIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['GroupMembershipIdentifier'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupBackLinkIdentifier') {
            $sval = $child->nodeValue;
            $this->GroupBackLinkIdentifier = $sval;
            if (!empty($namespace)) {
                $this->namespace['GroupBackLinkIdentifier'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_LdapUserAttributesType


/**
 * Information used to customize the vCloud Director Web console.  Include provider-specific text and values.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_BrandingSettingsType extends VMware_VCloud_API_ResourceType {
    protected $CompanyName = null;
    protected $LoginPageCustomizationTheme = null;
    protected $Theme = null;
    protected $PreviewCustomTheme = null;
    protected $FinalCustomTheme = null;
    protected $AboutCompanyUrl = null;
    protected $SupportUrl = null;
    protected $SignUpUrl = null;
    protected $ForgotUserNameOrPasswordURL = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $CompanyName - [required] 
    * @param string $LoginPageCustomizationTheme - [optional] 
    * @param string $Theme - [optional] 
    * @param string $PreviewCustomTheme - [optional] 
    * @param string $FinalCustomTheme - [optional] 
    * @param string $AboutCompanyUrl - [optional] 
    * @param string $SupportUrl - [optional] 
    * @param string $SignUpUrl - [optional] 
    * @param string $ForgotUserNameOrPasswordURL - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $CompanyName=null, $LoginPageCustomizationTheme=null, $Theme=null, $PreviewCustomTheme=null, $FinalCustomTheme=null, $AboutCompanyUrl=null, $SupportUrl=null, $SignUpUrl=null, $ForgotUserNameOrPasswordURL=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->CompanyName = $CompanyName;
        $this->LoginPageCustomizationTheme = $LoginPageCustomizationTheme;
        $this->Theme = $Theme;
        $this->PreviewCustomTheme = $PreviewCustomTheme;
        $this->FinalCustomTheme = $FinalCustomTheme;
        $this->AboutCompanyUrl = $AboutCompanyUrl;
        $this->SupportUrl = $SupportUrl;
        $this->SignUpUrl = $SignUpUrl;
        $this->ForgotUserNameOrPasswordURL = $ForgotUserNameOrPasswordURL;
        $this->tagName = 'BrandingSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCompanyName() {
        return $this->CompanyName;
    }
    public function setCompanyName($CompanyName) { 
        $this->CompanyName = $CompanyName;
    }
    public function getLoginPageCustomizationTheme() {
        return $this->LoginPageCustomizationTheme;
    }
    public function setLoginPageCustomizationTheme($LoginPageCustomizationTheme) { 
        $this->LoginPageCustomizationTheme = $LoginPageCustomizationTheme;
    }
    public function getTheme() {
        return $this->Theme;
    }
    public function setTheme($Theme) { 
        $this->Theme = $Theme;
    }
    public function getPreviewCustomTheme() {
        return $this->PreviewCustomTheme;
    }
    public function setPreviewCustomTheme($PreviewCustomTheme) { 
        $this->PreviewCustomTheme = $PreviewCustomTheme;
    }
    public function getFinalCustomTheme() {
        return $this->FinalCustomTheme;
    }
    public function setFinalCustomTheme($FinalCustomTheme) { 
        $this->FinalCustomTheme = $FinalCustomTheme;
    }
    public function getAboutCompanyUrl() {
        return $this->AboutCompanyUrl;
    }
    public function setAboutCompanyUrl($AboutCompanyUrl) { 
        $this->AboutCompanyUrl = $AboutCompanyUrl;
    }
    public function getSupportUrl() {
        return $this->SupportUrl;
    }
    public function setSupportUrl($SupportUrl) { 
        $this->SupportUrl = $SupportUrl;
    }
    public function getSignUpUrl() {
        return $this->SignUpUrl;
    }
    public function setSignUpUrl($SignUpUrl) { 
        $this->SignUpUrl = $SignUpUrl;
    }
    public function getForgotUserNameOrPasswordURL() {
        return $this->ForgotUserNameOrPasswordURL;
    }
    public function setForgotUserNameOrPasswordURL($ForgotUserNameOrPasswordURL) { 
        $this->ForgotUserNameOrPasswordURL = $ForgotUserNameOrPasswordURL;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->CompanyName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CompanyName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CompanyName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CompanyName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CompanyName')) . "</" . $ns . "CompanyName>\n");
        }
        if (!is_null($this->LoginPageCustomizationTheme)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LoginPageCustomizationTheme', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LoginPageCustomizationTheme>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->LoginPageCustomizationTheme, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='LoginPageCustomizationTheme')) . "</" . $ns . "LoginPageCustomizationTheme>\n");
        }
        if (!is_null($this->Theme)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Theme', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Theme>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Theme, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Theme')) . "</" . $ns . "Theme>\n");
        }
        if (!is_null($this->PreviewCustomTheme)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PreviewCustomTheme', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PreviewCustomTheme>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->PreviewCustomTheme, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='PreviewCustomTheme')) . "</" . $ns . "PreviewCustomTheme>\n");
        }
        if (!is_null($this->FinalCustomTheme)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FinalCustomTheme', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FinalCustomTheme>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->FinalCustomTheme, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='FinalCustomTheme')) . "</" . $ns . "FinalCustomTheme>\n");
        }
        if (!is_null($this->AboutCompanyUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AboutCompanyUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AboutCompanyUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AboutCompanyUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AboutCompanyUrl')) . "</" . $ns . "AboutCompanyUrl>\n");
        }
        if (!is_null($this->SupportUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SupportUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SupportUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SupportUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SupportUrl')) . "</" . $ns . "SupportUrl>\n");
        }
        if (!is_null($this->SignUpUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SignUpUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SignUpUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SignUpUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SignUpUrl')) . "</" . $ns . "SignUpUrl>\n");
        }
        if (!is_null($this->ForgotUserNameOrPasswordURL)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ForgotUserNameOrPasswordURL', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ForgotUserNameOrPasswordURL>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ForgotUserNameOrPasswordURL, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ForgotUserNameOrPasswordURL')) . "</" . $ns . "ForgotUserNameOrPasswordURL>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->CompanyName) ||
            !is_null($this->LoginPageCustomizationTheme) ||
            !is_null($this->Theme) ||
            !is_null($this->PreviewCustomTheme) ||
            !is_null($this->FinalCustomTheme) ||
            !is_null($this->AboutCompanyUrl) ||
            !is_null($this->SupportUrl) ||
            !is_null($this->SignUpUrl) ||
            !is_null($this->ForgotUserNameOrPasswordURL) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CompanyName') {
            $sval = $child->nodeValue;
            $this->CompanyName = $sval;
            if (!empty($namespace)) {
                $this->namespace['CompanyName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LoginPageCustomizationTheme') {
            $sval = $child->nodeValue;
            $this->LoginPageCustomizationTheme = $sval;
            if (!empty($namespace)) {
                $this->namespace['LoginPageCustomizationTheme'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Theme') {
            $sval = $child->nodeValue;
            $this->Theme = $sval;
            if (!empty($namespace)) {
                $this->namespace['Theme'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PreviewCustomTheme') {
            $sval = $child->nodeValue;
            $this->PreviewCustomTheme = $sval;
            if (!empty($namespace)) {
                $this->namespace['PreviewCustomTheme'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FinalCustomTheme') {
            $sval = $child->nodeValue;
            $this->FinalCustomTheme = $sval;
            if (!empty($namespace)) {
                $this->namespace['FinalCustomTheme'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AboutCompanyUrl') {
            $sval = $child->nodeValue;
            $this->AboutCompanyUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['AboutCompanyUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SupportUrl') {
            $sval = $child->nodeValue;
            $this->SupportUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['SupportUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SignUpUrl') {
            $sval = $child->nodeValue;
            $this->SignUpUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['SignUpUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ForgotUserNameOrPasswordURL') {
            $sval = $child->nodeValue;
            $this->ForgotUserNameOrPasswordURL = $sval;
            if (!empty($namespace)) {
                $this->namespace['ForgotUserNameOrPasswordURL'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_BrandingSettingsType


/**
 * This is used by the API to update and retrieve site license specific information.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LicenseType extends VMware_VCloud_API_ResourceType {
    protected $SerialNumber = null;
    protected $LicensedVMCount = null;
    protected $ExpirationDate = null;
    protected $ValidSerial = null;
    protected $Expired = null;
    protected $Persisted = null;
    protected $PublishingToRemoteSitesFeature = null;
    protected $SubscribingToRemoteSitesFeature = null;
    protected $LicenseMetricsInfo = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $SerialNumber - [required] 
    * @param int $LicensedVMCount - [optional] 
    * @param string $ExpirationDate - [optional] 
    * @param boolean $ValidSerial - [optional] 
    * @param boolean $Expired - [optional] 
    * @param boolean $Persisted - [optional] 
    * @param boolean $PublishingToRemoteSitesFeature - [optional] 
    * @param boolean $SubscribingToRemoteSitesFeature - [optional] 
    * @param VMware_VCloud_API_Extension_LicenseMetricsInfoType $LicenseMetricsInfo - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $SerialNumber=null, $LicensedVMCount=null, $ExpirationDate=null, $ValidSerial=null, $Expired=null, $Persisted=null, $PublishingToRemoteSitesFeature=null, $SubscribingToRemoteSitesFeature=null, $LicenseMetricsInfo=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->SerialNumber = $SerialNumber;
        $this->LicensedVMCount = $LicensedVMCount;
        $this->ExpirationDate = $ExpirationDate;
        $this->ValidSerial = $ValidSerial;
        $this->Expired = $Expired;
        $this->Persisted = $Persisted;
        $this->PublishingToRemoteSitesFeature = $PublishingToRemoteSitesFeature;
        $this->SubscribingToRemoteSitesFeature = $SubscribingToRemoteSitesFeature;
        $this->LicenseMetricsInfo = $LicenseMetricsInfo;
        $this->tagName = 'License';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSerialNumber() {
        return $this->SerialNumber;
    }
    public function setSerialNumber($SerialNumber) { 
        $this->SerialNumber = $SerialNumber;
    }
    public function getLicensedVMCount() {
        return $this->LicensedVMCount;
    }
    public function setLicensedVMCount($LicensedVMCount) { 
        $this->LicensedVMCount = $LicensedVMCount;
    }
    public function getExpirationDate() {
        return $this->ExpirationDate;
    }
    public function setExpirationDate($ExpirationDate) { 
        $this->ExpirationDate = $ExpirationDate;
    }
    public function getValidSerial() {
        return $this->ValidSerial;
    }
    public function setValidSerial($ValidSerial) { 
        $this->ValidSerial = $ValidSerial;
    }
    public function getExpired() {
        return $this->Expired;
    }
    public function setExpired($Expired) { 
        $this->Expired = $Expired;
    }
    public function getPersisted() {
        return $this->Persisted;
    }
    public function setPersisted($Persisted) { 
        $this->Persisted = $Persisted;
    }
    public function getPublishingToRemoteSitesFeature() {
        return $this->PublishingToRemoteSitesFeature;
    }
    public function setPublishingToRemoteSitesFeature($PublishingToRemoteSitesFeature) { 
        $this->PublishingToRemoteSitesFeature = $PublishingToRemoteSitesFeature;
    }
    public function getSubscribingToRemoteSitesFeature() {
        return $this->SubscribingToRemoteSitesFeature;
    }
    public function setSubscribingToRemoteSitesFeature($SubscribingToRemoteSitesFeature) { 
        $this->SubscribingToRemoteSitesFeature = $SubscribingToRemoteSitesFeature;
    }
    public function getLicenseMetricsInfo() {
        return $this->LicenseMetricsInfo;
    }
    public function setLicenseMetricsInfo($LicenseMetricsInfo) { 
        $this->LicenseMetricsInfo = $LicenseMetricsInfo;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->SerialNumber)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SerialNumber', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SerialNumber>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SerialNumber, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SerialNumber')) . "</" . $ns . "SerialNumber>\n");
        }
        if (!is_null($this->LicensedVMCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LicensedVMCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LicensedVMCount>" . VMware_VCloud_API_Helper::format_integer($this->LicensedVMCount, $input_name='LicensedVMCount') . "</" . $ns . "LicensedVMCount>\n");
        }
        if (!is_null($this->ExpirationDate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExpirationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExpirationDate>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExpirationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExpirationDate')) . "</" . $ns . "ExpirationDate>\n");
        }
        if (!is_null($this->ValidSerial)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ValidSerial', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ValidSerial>" . VMware_VCloud_API_Helper::format_boolean($this->ValidSerial, $input_name='ValidSerial') . "</" . $ns . "ValidSerial>\n");
        }
        if (!is_null($this->Expired)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Expired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Expired>" . VMware_VCloud_API_Helper::format_boolean($this->Expired, $input_name='Expired') . "</" . $ns . "Expired>\n");
        }
        if (!is_null($this->Persisted)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Persisted', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Persisted>" . VMware_VCloud_API_Helper::format_boolean($this->Persisted, $input_name='Persisted') . "</" . $ns . "Persisted>\n");
        }
        if (!is_null($this->PublishingToRemoteSitesFeature)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PublishingToRemoteSitesFeature', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PublishingToRemoteSitesFeature>" . VMware_VCloud_API_Helper::format_boolean($this->PublishingToRemoteSitesFeature, $input_name='PublishingToRemoteSitesFeature') . "</" . $ns . "PublishingToRemoteSitesFeature>\n");
        }
        if (!is_null($this->SubscribingToRemoteSitesFeature)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SubscribingToRemoteSitesFeature', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SubscribingToRemoteSitesFeature>" . VMware_VCloud_API_Helper::format_boolean($this->SubscribingToRemoteSitesFeature, $input_name='SubscribingToRemoteSitesFeature') . "</" . $ns . "SubscribingToRemoteSitesFeature>\n");
        }
        if (!is_null($this->LicenseMetricsInfo)) {
            $out = $this->LicenseMetricsInfo->export('LicenseMetricsInfo', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->SerialNumber) ||
            !is_null($this->LicensedVMCount) ||
            !is_null($this->ExpirationDate) ||
            !is_null($this->ValidSerial) ||
            !is_null($this->Expired) ||
            !is_null($this->Persisted) ||
            !is_null($this->PublishingToRemoteSitesFeature) ||
            !is_null($this->SubscribingToRemoteSitesFeature) ||
            !is_null($this->LicenseMetricsInfo) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SerialNumber') {
            $sval = $child->nodeValue;
            $this->SerialNumber = $sval;
            if (!empty($namespace)) {
                $this->namespace['SerialNumber'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LicensedVMCount') {
            $sval = $child->nodeValue;
            $this->LicensedVMCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['LicensedVMCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExpirationDate') {
            $sval = $child->nodeValue;
            $this->ExpirationDate = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExpirationDate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ValidSerial') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->ValidSerial = $sval;
            if (!empty($namespace)) {
                $this->namespace['ValidSerial'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Expired') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Expired = $sval;
            if (!empty($namespace)) {
                $this->namespace['Expired'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Persisted') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Persisted = $sval;
            if (!empty($namespace)) {
                $this->namespace['Persisted'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PublishingToRemoteSitesFeature') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PublishingToRemoteSitesFeature = $sval;
            if (!empty($namespace)) {
                $this->namespace['PublishingToRemoteSitesFeature'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SubscribingToRemoteSitesFeature') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->SubscribingToRemoteSitesFeature = $sval;
            if (!empty($namespace)) {
                $this->namespace['SubscribingToRemoteSitesFeature'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LicenseMetricsInfo') {
            $obj = new VMware_VCloud_API_Extension_LicenseMetricsInfoType();
            $obj->build($child);
            $obj->set_tagName('LicenseMetricsInfo');
            $this->setLicenseMetricsInfo($obj);
            if (!empty($namespace)) {
                $this->namespace['LicenseMetricsInfo'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_LicenseType


/**
 * Report of License usage metrics.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LicenseMetricsInfoType extends VMware_VCloud_API_ResourceType {
    protected $vRAM = null;
    protected $vCPU = null;
    protected $RunningVMs = null;
    protected $PhysicalMemoryUsed = null;
    protected $PhysicalSocketCount = null;
    protected $AvailablePhysicalMemory = null;
    protected $LastUpdate = null;
    protected $PublishingToRemoteSites = null;
    protected $SubscribingToRemoteSites = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param int $vRAM - [optional] 
    * @param int $vCPU - [optional] 
    * @param int $RunningVMs - [optional] 
    * @param int $PhysicalMemoryUsed - [optional] 
    * @param int $PhysicalSocketCount - [optional] 
    * @param int $AvailablePhysicalMemory - [optional] 
    * @param string $LastUpdate - [optional] 
    * @param boolean $PublishingToRemoteSites - [optional] 
    * @param boolean $SubscribingToRemoteSites - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $vRAM=null, $vCPU=null, $RunningVMs=null, $PhysicalMemoryUsed=null, $PhysicalSocketCount=null, $AvailablePhysicalMemory=null, $LastUpdate=null, $PublishingToRemoteSites=null, $SubscribingToRemoteSites=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->vRAM = $vRAM;
        $this->vCPU = $vCPU;
        $this->RunningVMs = $RunningVMs;
        $this->PhysicalMemoryUsed = $PhysicalMemoryUsed;
        $this->PhysicalSocketCount = $PhysicalSocketCount;
        $this->AvailablePhysicalMemory = $AvailablePhysicalMemory;
        $this->LastUpdate = $LastUpdate;
        $this->PublishingToRemoteSites = $PublishingToRemoteSites;
        $this->SubscribingToRemoteSites = $SubscribingToRemoteSites;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_vRAM() {
        return $this->vRAM;
    }
    public function set_vRAM($vRAM) { 
        $this->vRAM = $vRAM;
    }
    public function get_vCPU() {
        return $this->vCPU;
    }
    public function set_vCPU($vCPU) { 
        $this->vCPU = $vCPU;
    }
    public function getRunningVMs() {
        return $this->RunningVMs;
    }
    public function setRunningVMs($RunningVMs) { 
        $this->RunningVMs = $RunningVMs;
    }
    public function getPhysicalMemoryUsed() {
        return $this->PhysicalMemoryUsed;
    }
    public function setPhysicalMemoryUsed($PhysicalMemoryUsed) { 
        $this->PhysicalMemoryUsed = $PhysicalMemoryUsed;
    }
    public function getPhysicalSocketCount() {
        return $this->PhysicalSocketCount;
    }
    public function setPhysicalSocketCount($PhysicalSocketCount) { 
        $this->PhysicalSocketCount = $PhysicalSocketCount;
    }
    public function getAvailablePhysicalMemory() {
        return $this->AvailablePhysicalMemory;
    }
    public function setAvailablePhysicalMemory($AvailablePhysicalMemory) { 
        $this->AvailablePhysicalMemory = $AvailablePhysicalMemory;
    }
    public function getLastUpdate() {
        return $this->LastUpdate;
    }
    public function setLastUpdate($LastUpdate) { 
        $this->LastUpdate = $LastUpdate;
    }
    public function getPublishingToRemoteSites() {
        return $this->PublishingToRemoteSites;
    }
    public function setPublishingToRemoteSites($PublishingToRemoteSites) { 
        $this->PublishingToRemoteSites = $PublishingToRemoteSites;
    }
    public function getSubscribingToRemoteSites() {
        return $this->SubscribingToRemoteSites;
    }
    public function setSubscribingToRemoteSites($SubscribingToRemoteSites) { 
        $this->SubscribingToRemoteSites = $SubscribingToRemoteSites;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->vRAM)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'vRAM', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "vRAM>" . VMware_VCloud_API_Helper::format_integer($this->vRAM, $input_name='vRAM') . "</" . $ns . "vRAM>\n");
        }
        if (!is_null($this->vCPU)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'vCPU', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "vCPU>" . VMware_VCloud_API_Helper::format_integer($this->vCPU, $input_name='vCPU') . "</" . $ns . "vCPU>\n");
        }
        if (!is_null($this->RunningVMs)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RunningVMs', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RunningVMs>" . VMware_VCloud_API_Helper::format_integer($this->RunningVMs, $input_name='RunningVMs') . "</" . $ns . "RunningVMs>\n");
        }
        if (!is_null($this->PhysicalMemoryUsed)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PhysicalMemoryUsed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PhysicalMemoryUsed>" . VMware_VCloud_API_Helper::format_integer($this->PhysicalMemoryUsed, $input_name='PhysicalMemoryUsed') . "</" . $ns . "PhysicalMemoryUsed>\n");
        }
        if (!is_null($this->PhysicalSocketCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PhysicalSocketCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PhysicalSocketCount>" . VMware_VCloud_API_Helper::format_integer($this->PhysicalSocketCount, $input_name='PhysicalSocketCount') . "</" . $ns . "PhysicalSocketCount>\n");
        }
        if (!is_null($this->AvailablePhysicalMemory)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AvailablePhysicalMemory', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AvailablePhysicalMemory>" . VMware_VCloud_API_Helper::format_integer($this->AvailablePhysicalMemory, $input_name='AvailablePhysicalMemory') . "</" . $ns . "AvailablePhysicalMemory>\n");
        }
        if (!is_null($this->LastUpdate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LastUpdate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LastUpdate>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->LastUpdate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='LastUpdate')) . "</" . $ns . "LastUpdate>\n");
        }
        if (!is_null($this->PublishingToRemoteSites)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PublishingToRemoteSites', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PublishingToRemoteSites>" . VMware_VCloud_API_Helper::format_boolean($this->PublishingToRemoteSites, $input_name='PublishingToRemoteSites') . "</" . $ns . "PublishingToRemoteSites>\n");
        }
        if (!is_null($this->SubscribingToRemoteSites)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SubscribingToRemoteSites', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SubscribingToRemoteSites>" . VMware_VCloud_API_Helper::format_boolean($this->SubscribingToRemoteSites, $input_name='SubscribingToRemoteSites') . "</" . $ns . "SubscribingToRemoteSites>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->vRAM) ||
            !is_null($this->vCPU) ||
            !is_null($this->RunningVMs) ||
            !is_null($this->PhysicalMemoryUsed) ||
            !is_null($this->PhysicalSocketCount) ||
            !is_null($this->AvailablePhysicalMemory) ||
            !is_null($this->LastUpdate) ||
            !is_null($this->PublishingToRemoteSites) ||
            !is_null($this->SubscribingToRemoteSites) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'vRAM') {
            $sval = $child->nodeValue;
            $this->vRAM = $sval;
            if (!empty($namespace)) {
                $this->namespace['vRAM'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'vCPU') {
            $sval = $child->nodeValue;
            $this->vCPU = $sval;
            if (!empty($namespace)) {
                $this->namespace['vCPU'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RunningVMs') {
            $sval = $child->nodeValue;
            $this->RunningVMs = $sval;
            if (!empty($namespace)) {
                $this->namespace['RunningVMs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PhysicalMemoryUsed') {
            $sval = $child->nodeValue;
            $this->PhysicalMemoryUsed = $sval;
            if (!empty($namespace)) {
                $this->namespace['PhysicalMemoryUsed'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PhysicalSocketCount') {
            $sval = $child->nodeValue;
            $this->PhysicalSocketCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['PhysicalSocketCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AvailablePhysicalMemory') {
            $sval = $child->nodeValue;
            $this->AvailablePhysicalMemory = $sval;
            if (!empty($namespace)) {
                $this->namespace['AvailablePhysicalMemory'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LastUpdate') {
            $sval = $child->nodeValue;
            $this->LastUpdate = $sval;
            if (!empty($namespace)) {
                $this->namespace['LastUpdate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PublishingToRemoteSites') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PublishingToRemoteSites = $sval;
            if (!empty($namespace)) {
                $this->namespace['PublishingToRemoteSites'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SubscribingToRemoteSites') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->SubscribingToRemoteSites = $sval;
            if (!empty($namespace)) {
                $this->namespace['SubscribingToRemoteSites'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_LicenseMetricsInfoType


/**
 * Represents system email settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_EmailSettingsType extends VMware_VCloud_API_ResourceType {
    protected $SenderEmailAddress = null;
    protected $EmailSubjectPrefix = null;
    protected $AlertEmailToAllAdmins = null;
    protected $AlertEmailTo = null;
    protected $SmtpSettings = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $SenderEmailAddress - [optional] 
    * @param string $EmailSubjectPrefix - [optional] 
    * @param boolean $AlertEmailToAllAdmins - [required] 
    * @param string $AlertEmailTo - [optional] 
    * @param VMware_VCloud_API_Extension_SmtpSettingsType $SmtpSettings - [required]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $SenderEmailAddress=null, $EmailSubjectPrefix=null, $AlertEmailToAllAdmins=null, $AlertEmailTo=null, $SmtpSettings=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->SenderEmailAddress = $SenderEmailAddress;
        $this->EmailSubjectPrefix = $EmailSubjectPrefix;
        $this->AlertEmailToAllAdmins = $AlertEmailToAllAdmins;
        $this->AlertEmailTo = $AlertEmailTo;
        $this->SmtpSettings = $SmtpSettings;
        $this->tagName = 'EmailSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSenderEmailAddress() {
        return $this->SenderEmailAddress;
    }
    public function setSenderEmailAddress($SenderEmailAddress) { 
        $this->SenderEmailAddress = $SenderEmailAddress;
    }
    public function getEmailSubjectPrefix() {
        return $this->EmailSubjectPrefix;
    }
    public function setEmailSubjectPrefix($EmailSubjectPrefix) { 
        $this->EmailSubjectPrefix = $EmailSubjectPrefix;
    }
    public function getAlertEmailToAllAdmins() {
        return $this->AlertEmailToAllAdmins;
    }
    public function setAlertEmailToAllAdmins($AlertEmailToAllAdmins) { 
        $this->AlertEmailToAllAdmins = $AlertEmailToAllAdmins;
    }
    public function getAlertEmailTo() {
        return $this->AlertEmailTo;
    }
    public function setAlertEmailTo($AlertEmailTo) { 
        $this->AlertEmailTo = $AlertEmailTo;
    }
    public function getSmtpSettings() {
        return $this->SmtpSettings;
    }
    public function setSmtpSettings($SmtpSettings) { 
        $this->SmtpSettings = $SmtpSettings;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->SenderEmailAddress)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SenderEmailAddress', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SenderEmailAddress>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SenderEmailAddress, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SenderEmailAddress')) . "</" . $ns . "SenderEmailAddress>\n");
        }
        if (!is_null($this->EmailSubjectPrefix)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EmailSubjectPrefix', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EmailSubjectPrefix>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EmailSubjectPrefix, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EmailSubjectPrefix')) . "</" . $ns . "EmailSubjectPrefix>\n");
        }
        if (!is_null($this->AlertEmailToAllAdmins)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AlertEmailToAllAdmins', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AlertEmailToAllAdmins>" . VMware_VCloud_API_Helper::format_boolean($this->AlertEmailToAllAdmins, $input_name='AlertEmailToAllAdmins') . "</" . $ns . "AlertEmailToAllAdmins>\n");
     }
        if (!is_null($this->AlertEmailTo)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AlertEmailTo', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AlertEmailTo>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AlertEmailTo, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AlertEmailTo')) . "</" . $ns . "AlertEmailTo>\n");
        }
        if (!is_null($this->SmtpSettings)) {
            $out = $this->SmtpSettings->export('SmtpSettings', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->SenderEmailAddress) ||
            !is_null($this->EmailSubjectPrefix) ||
            !is_null($this->AlertEmailToAllAdmins) ||
            !is_null($this->AlertEmailTo) ||
            !is_null($this->SmtpSettings) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SenderEmailAddress') {
            $sval = $child->nodeValue;
            $this->SenderEmailAddress = $sval;
            if (!empty($namespace)) {
                $this->namespace['SenderEmailAddress'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EmailSubjectPrefix') {
            $sval = $child->nodeValue;
            $this->EmailSubjectPrefix = $sval;
            if (!empty($namespace)) {
                $this->namespace['EmailSubjectPrefix'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AlertEmailToAllAdmins') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AlertEmailToAllAdmins = $sval;
            if (!empty($namespace)) {
                $this->namespace['AlertEmailToAllAdmins'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AlertEmailTo') {
            $sval = $child->nodeValue;
            $this->AlertEmailTo = $sval;
            if (!empty($namespace)) {
                $this->namespace['AlertEmailTo'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SmtpSettings') {
            $obj = new VMware_VCloud_API_Extension_SmtpSettingsType();
            $obj->build($child);
            $obj->set_tagName('SmtpSettings');
            $this->setSmtpSettings($obj);
            if (!empty($namespace)) {
                $this->namespace['SmtpSettings'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_EmailSettingsType


/**
 * The SMTP server for email notifications and alerts.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_SmtpSettingsType extends VMware_VCloud_API_ResourceType {
    protected $UseAuthentication = null;
    protected $SmtpServerName = null;
    protected $SmtpServerPort = null;
    protected $ssl = null;
    protected $UserName = null;
    protected $Password = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $UseAuthentication - [required] 
    * @param string $SmtpServerName - [optional] 
    * @param int $SmtpServerPort - [optional] 
    * @param boolean $ssl - [optional] 
    * @param string $UserName - [optional] 
    * @param string $Password - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $UseAuthentication=null, $SmtpServerName=null, $SmtpServerPort=null, $ssl=null, $UserName=null, $Password=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->UseAuthentication = $UseAuthentication;
        $this->SmtpServerName = $SmtpServerName;
        $this->SmtpServerPort = $SmtpServerPort;
        $this->ssl = $ssl;
        $this->UserName = $UserName;
        $this->Password = $Password;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUseAuthentication() {
        return $this->UseAuthentication;
    }
    public function setUseAuthentication($UseAuthentication) { 
        $this->UseAuthentication = $UseAuthentication;
    }
    public function getSmtpServerName() {
        return $this->SmtpServerName;
    }
    public function setSmtpServerName($SmtpServerName) { 
        $this->SmtpServerName = $SmtpServerName;
    }
    public function getSmtpServerPort() {
        return $this->SmtpServerPort;
    }
    public function setSmtpServerPort($SmtpServerPort) { 
        $this->SmtpServerPort = $SmtpServerPort;
    }
    public function get_ssl() {
        return $this->ssl;
    }
    public function set_ssl($ssl) { 
        $this->ssl = $ssl;
    }
    public function getUserName() {
        return $this->UserName;
    }
    public function setUserName($UserName) { 
        $this->UserName = $UserName;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->UseAuthentication)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UseAuthentication', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UseAuthentication>" . VMware_VCloud_API_Helper::format_boolean($this->UseAuthentication, $input_name='UseAuthentication') . "</" . $ns . "UseAuthentication>\n");
     }
        if (!is_null($this->SmtpServerName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SmtpServerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SmtpServerName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SmtpServerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SmtpServerName')) . "</" . $ns . "SmtpServerName>\n");
        }
        if (!is_null($this->SmtpServerPort)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SmtpServerPort', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SmtpServerPort>" . VMware_VCloud_API_Helper::format_integer($this->SmtpServerPort, $input_name='SmtpServerPort') . "</" . $ns . "SmtpServerPort>\n");
        }
        if (!is_null($this->ssl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ssl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ssl>" . VMware_VCloud_API_Helper::format_boolean($this->ssl, $input_name='ssl') . "</" . $ns . "ssl>\n");
        }
        if (!is_null($this->UserName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UserName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UserName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UserName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UserName')) . "</" . $ns . "UserName>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->UseAuthentication) ||
            !is_null($this->SmtpServerName) ||
            !is_null($this->SmtpServerPort) ||
            !is_null($this->ssl) ||
            !is_null($this->UserName) ||
            !is_null($this->Password) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UseAuthentication') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UseAuthentication = $sval;
            if (!empty($namespace)) {
                $this->namespace['UseAuthentication'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SmtpServerName') {
            $sval = $child->nodeValue;
            $this->SmtpServerName = $sval;
            if (!empty($namespace)) {
                $this->namespace['SmtpServerName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SmtpServerPort') {
            $sval = $child->nodeValue;
            $this->SmtpServerPort = $sval;
            if (!empty($namespace)) {
                $this->namespace['SmtpServerPort'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ssl') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->ssl = $sval;
            if (!empty($namespace)) {
                $this->namespace['ssl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserName') {
            $sval = $child->nodeValue;
            $this->UserName = $sval;
            if (!empty($namespace)) {
                $this->namespace['UserName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_SmtpSettingsType


/**
 * Global Kerberos settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_KerberosSettingsType extends VMware_VCloud_API_ResourceType {
    protected $allowLowerCaseRealms = null;
    protected $Realm = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $allowLowerCaseRealms - [optional] an attribute, 
    * @param array $Realm - [optional] an array of VMware_VCloud_API_Extension_RealmType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $allowLowerCaseRealms=null, $Realm=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->allowLowerCaseRealms = $allowLowerCaseRealms;
        if (!is_null($Realm)) {
            $this->Realm = $Realm;
        }
        $this->tagName = 'KerberosSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getRealm() {
        return $this->Realm;
    }
    public function setRealm($Realm) { 
        $this->Realm = $Realm;
    }
    public function addRealm($value) { array_push($this->Realm, $value); }
    public function get_allowLowerCaseRealms(){
        return $this->allowLowerCaseRealms;
    }
    public function set_allowLowerCaseRealms($allowLowerCaseRealms) {
        $this->allowLowerCaseRealms = $allowLowerCaseRealms;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->allowLowerCaseRealms)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'allowLowerCaseRealms', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'allowLowerCaseRealms=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->allowLowerCaseRealms, $input_name='allowLowerCaseRealms')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Realm)) {
            foreach ($this->Realm as $Realm) {
                $out = $Realm->export('Realm', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Realm) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndallowLowerCaseRealms = $attrs->getNamedItem('allowLowerCaseRealms');
        if (!is_null($ndallowLowerCaseRealms)) {
            $this->allowLowerCaseRealms = VMware_VCloud_API_Helper::get_boolean($ndallowLowerCaseRealms->value);
            if (isset($ndallowLowerCaseRealms->prefix)) {
                $this->namespace['allowLowerCaseRealms'] = $ndallowLowerCaseRealms->prefix;
                $nsUri = $ndallowLowerCaseRealms->lookupNamespaceURI($ndallowLowerCaseRealms->prefix);
            }
            $node->removeAttributeNS($nsUri, 'allowLowerCaseRealms');
        } else {
            $this->allowLowerCaseRealms = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Realm') {
            $obj = new VMware_VCloud_API_Extension_RealmType();
            $obj->build($child);
            $obj->set_tagName('Realm');
            array_push($this->Realm, $obj);
            if (!empty($namespace)) {
                $this->namespace['Realm'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_KerberosSettingsType


/**
 * Kerberos realm information.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_RealmType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $name = null;
    protected $kdc = null;
    protected $Domain = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $kdc - [optional] an attribute, 
    * @param array $Domain - [optional] an array of string
    */
    public function __construct($VCloudExtension=null, $name=null, $kdc=null, $Domain=null) {
        parent::__construct($VCloudExtension);
        $this->name = $name;
        $this->kdc = $kdc;
        if (!is_null($Domain)) {
            $this->Domain = $Domain;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDomain() {
        return $this->Domain;
    }
    public function setDomain($Domain) { 
        $this->Domain = $Domain;
    }
    public function addDomain($value) { array_push($this->Domain, $value); }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_kdc(){
        return $this->kdc;
    }
    public function set_kdc($kdc) {
        $this->kdc = $kdc;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->kdc)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'kdc', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'kdc=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->kdc, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='kdc')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Domain)) {
            foreach ($this->Domain as $Domain) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Domain', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Domain>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($Domain, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Domain')) . "</" . $ns . "Domain>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Domain) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndkdc = $attrs->getNamedItem('kdc');
        if (!is_null($ndkdc)) {
            $this->kdc = $ndkdc->value;
            if (isset($ndkdc->prefix)) {
                $this->namespace['kdc'] = $ndkdc->prefix;
                $nsUri = $ndkdc->lookupNamespaceURI($ndkdc->prefix);
            }
            $node->removeAttributeNS($nsUri, 'kdc');
        } else {
            $this->kdc = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Domain') {
            $sval = $child->nodeValue;
            array_push($this->Domain, $sval);
            if (!empty($namespace)) {
                $this->namespace['Domain'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_RealmType


/**
 * Information that allows vCloud Director to connect to a  vSphere lookup service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LookupServiceSettingsType extends VMware_VCloud_API_ResourceType {
    protected $LookupServiceUrl = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $LookupServiceUrl - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $LookupServiceUrl=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->LookupServiceUrl = $LookupServiceUrl;
        $this->tagName = 'LookupServiceSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLookupServiceUrl() {
        return $this->LookupServiceUrl;
    }
    public function setLookupServiceUrl($LookupServiceUrl) { 
        $this->LookupServiceUrl = $LookupServiceUrl;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->LookupServiceUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LookupServiceUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LookupServiceUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->LookupServiceUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='LookupServiceUrl')) . "</" . $ns . "LookupServiceUrl>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->LookupServiceUrl) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LookupServiceUrl') {
            $sval = $child->nodeValue;
            $this->LookupServiceUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['LookupServiceUrl'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_LookupServiceSettingsType


/**
 * Parameters for a register or unregister Lookup Service request.  If LookupServiceUrl is present and not empty, the request  registers a lookup service. If LookupServiceUrl is missing  or empty, the request unregisters a lookup service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LookupServiceParamsType extends VMware_VCloud_API_Extension_LookupServiceSettingsType {
    protected $userName = null;
    protected $password = null;
    protected $VCDUrl = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $LookupServiceUrl - [optional] 
    * @param string $userName - [required] an attribute, 
    * @param string $password - [required] an attribute, 
    * @param string $VCDUrl - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $LookupServiceUrl=null, $userName=null, $password=null, $VCDUrl=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $LookupServiceUrl);
        $this->userName = $userName;
        $this->password = $password;
        $this->VCDUrl = $VCDUrl;
        $this->tagName = 'LookupServiceParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVCDUrl() {
        return $this->VCDUrl;
    }
    public function setVCDUrl($VCDUrl) { 
        $this->VCDUrl = $VCDUrl;
    }
    public function get_userName(){
        return $this->userName;
    }
    public function set_userName($userName) {
        $this->userName = $userName;
    }
    public function get_password(){
        return $this->password;
    }
    public function set_password($password) {
        $this->password = $password;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'userName', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'userName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->userName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='userName')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'password', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'password=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='password')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VCDUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VCDUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VCDUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VCDUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VCDUrl')) . "</" . $ns . "VCDUrl>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VCDUrl) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nduserName = $attrs->getNamedItem('userName');
        if (!is_null($nduserName)) {
            $this->userName = $nduserName->value;
            if (isset($nduserName->prefix)) {
                $this->namespace['userName'] = $nduserName->prefix;
                $nsUri = $nduserName->lookupNamespaceURI($nduserName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'userName');
        } else {
            $this->userName = null;
        }
        $ndpassword = $attrs->getNamedItem('password');
        if (!is_null($ndpassword)) {
            $this->password = $ndpassword->value;
            if (isset($ndpassword->prefix)) {
                $this->namespace['password'] = $ndpassword->prefix;
                $nsUri = $ndpassword->lookupNamespaceURI($ndpassword->prefix);
            }
            $node->removeAttributeNS($nsUri, 'password');
        } else {
            $this->password = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VCDUrl') {
            $sval = $child->nodeValue;
            $this->VCDUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['VCDUrl'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_LookupServiceParamsType


/**
 * Parameters for updating the vCenter truststore.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VcTrustStoreUpdateParamsType extends VMware_VCloud_API_FileUploadParamsType {
    protected $password = null;
    protected $type = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param long $fileSize - [optional] an attribute, 
    * @param string $password - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $fileSize=null, $password=null, $type=null) {
        parent::__construct($VCloudExtension, $fileSize);
        $this->password = $password;
        $this->type = $type;
        $this->tagName = 'VcTrustStoreUpdateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_password(){
        return $this->password;
    }
    public function set_password($password) {
        $this->password = $password;
    }
    public function get_type(){
        return $this->type;
    }
    public function set_type($type) {
        $this->type = $type;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->password)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'password=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='password')));
        }
        if (!is_null($this->type)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'type=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='type')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndpassword = $attrs->getNamedItem('password');
        if (!is_null($ndpassword)) {
            $this->password = $ndpassword->value;
            if (isset($ndpassword->prefix)) {
                $this->namespace['password'] = $ndpassword->prefix;
                $nsUri = $ndpassword->lookupNamespaceURI($ndpassword->prefix);
            }
            $node->removeAttributeNS($nsUri, 'password');
        } else {
            $this->password = null;
        }
        $ndtype = $attrs->getNamedItem('type');
        if (!is_null($ndtype)) {
            $this->type = $ndtype->value;
            if (isset($ndtype->prefix)) {
                $this->namespace['type'] = $ndtype->prefix;
                $nsUri = $ndtype->lookupNamespaceURI($ndtype->prefix);
            }
            $node->removeAttributeNS($nsUri, 'type');
        } else {
            $this->type = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VcTrustStoreUpdateParamsType


/**
 * Upload socket for vCenter trust store.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VcTrustStoreUploadSocketType extends VMware_VCloud_API_FileUploadSocketType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $uploadLocation - [optional] an attribute, 
    * @param VMware_VCloud_API_TaskType $Task - [optional]
    */
    public function __construct($VCloudExtension=null, $uploadLocation=null, $Task=null) {
        parent::__construct($VCloudExtension, $uploadLocation, $Task);
        $this->tagName = 'VcTrustStoreUploadSocket';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VcTrustStoreUploadSocketType


/**
 * Catalog settings for this cloud  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_CatalogSettingsType extends VMware_VCloud_API_ResourceType {
    protected $isSyncEnabled = null;
    protected $SyncStartDate = null;
    protected $SyncStopDate = null;
    protected $RefreshInterval = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $isSyncEnabled - [required] 
    * @param string $SyncStartDate - [optional] 
    * @param string $SyncStopDate - [optional] 
    * @param int $RefreshInterval - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $isSyncEnabled=null, $SyncStartDate=null, $SyncStopDate=null, $RefreshInterval=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->isSyncEnabled = $isSyncEnabled;
        $this->SyncStartDate = $SyncStartDate;
        $this->SyncStopDate = $SyncStopDate;
        $this->RefreshInterval = $RefreshInterval;
        $this->tagName = 'CatalogSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_isSyncEnabled() {
        return $this->isSyncEnabled;
    }
    public function set_isSyncEnabled($isSyncEnabled) { 
        $this->isSyncEnabled = $isSyncEnabled;
    }
    public function getSyncStartDate() {
        return $this->SyncStartDate;
    }
    public function setSyncStartDate($SyncStartDate) { 
        $this->SyncStartDate = $SyncStartDate;
    }
    public function getSyncStopDate() {
        return $this->SyncStopDate;
    }
    public function setSyncStopDate($SyncStopDate) { 
        $this->SyncStopDate = $SyncStopDate;
    }
    public function getRefreshInterval() {
        return $this->RefreshInterval;
    }
    public function setRefreshInterval($RefreshInterval) { 
        $this->RefreshInterval = $RefreshInterval;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->isSyncEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'isSyncEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "isSyncEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->isSyncEnabled, $input_name='isSyncEnabled') . "</" . $ns . "isSyncEnabled>\n");
     }
        if (!is_null($this->SyncStartDate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SyncStartDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SyncStartDate>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SyncStartDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SyncStartDate')) . "</" . $ns . "SyncStartDate>\n");
        }
        if (!is_null($this->SyncStopDate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SyncStopDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SyncStopDate>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SyncStopDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SyncStopDate')) . "</" . $ns . "SyncStopDate>\n");
        }
        if (!is_null($this->RefreshInterval)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RefreshInterval', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RefreshInterval>" . VMware_VCloud_API_Helper::format_integer($this->RefreshInterval, $input_name='RefreshInterval') . "</" . $ns . "RefreshInterval>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->isSyncEnabled) ||
            !is_null($this->SyncStartDate) ||
            !is_null($this->SyncStopDate) ||
            !is_null($this->RefreshInterval) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'isSyncEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->isSyncEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['isSyncEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SyncStartDate') {
            $sval = $child->nodeValue;
            $this->SyncStartDate = $sval;
            if (!empty($namespace)) {
                $this->namespace['SyncStartDate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SyncStopDate') {
            $sval = $child->nodeValue;
            $this->SyncStopDate = $sval;
            if (!empty($namespace)) {
                $this->namespace['SyncStopDate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RefreshInterval') {
            $sval = $child->nodeValue;
            $this->RefreshInterval = $sval;
            if (!empty($namespace)) {
                $this->namespace['RefreshInterval'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_CatalogSettingsType


/**
 * Describes a blocking task request. Contains references to objects involved in the task.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_BlockingTaskType extends VMware_VCloud_API_TaskRequestBaseType {
    protected $status = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param dateTime $createdTime - [required] an attribute, 
    * @param string $timeoutAction - [required] an attribute, 
    * @param dateTime $timeoutDate - [required] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Organization - [required]
    * @param VMware_VCloud_API_ReferenceType $User - [optional]
    * @param VMware_VCloud_API_ReferenceType $TaskOwner - [optional]
    * @param string $status - [required] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $createdTime=null, $timeoutAction=null, $timeoutDate=null, $Organization=null, $User=null, $TaskOwner=null, $status=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $createdTime, $timeoutAction, $timeoutDate, $Organization, $User, $TaskOwner);
        $this->status = $status;
        $this->tagName = 'BlockingTask';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='status')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = $ndstatus->value;
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_BlockingTaskType


/**
 * Parameters to POST with a blocking task action.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_BlockingTaskOperationParamsType extends VMware_VCloud_API_ResourceType {
    protected $Message = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $Message - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Message=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->Message = $Message;
        $this->tagName = 'BlockingTaskOperationParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMessage() {
        return $this->Message;
    }
    public function setMessage($Message) { 
        $this->Message = $Message;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Message)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Message', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Message>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Message, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Message')) . "</" . $ns . "Message>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Message) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Message') {
            $sval = $child->nodeValue;
            $this->Message = $sval;
            if (!empty($namespace)) {
                $this->namespace['Message'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_BlockingTaskOperationParamsType


/**
 * Parameters to update a blocking task with a new timeout.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_BlockingTaskUpdateProgressParamsType extends VMware_VCloud_API_Extension_BlockingTaskOperationParamsType {
    protected $TimeoutValueInMilliseconds = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $Message - [required] 
    * @param int $TimeoutValueInMilliseconds - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Message=null, $TimeoutValueInMilliseconds=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $Message);
        $this->TimeoutValueInMilliseconds = $TimeoutValueInMilliseconds;
        $this->tagName = 'BlockingTaskUpdateProgressParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getTimeoutValueInMilliseconds() {
        return $this->TimeoutValueInMilliseconds;
    }
    public function setTimeoutValueInMilliseconds($TimeoutValueInMilliseconds) { 
        $this->TimeoutValueInMilliseconds = $TimeoutValueInMilliseconds;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->TimeoutValueInMilliseconds)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TimeoutValueInMilliseconds', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TimeoutValueInMilliseconds>" . VMware_VCloud_API_Helper::format_integer($this->TimeoutValueInMilliseconds, $input_name='TimeoutValueInMilliseconds') . "</" . $ns . "TimeoutValueInMilliseconds>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->TimeoutValueInMilliseconds) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TimeoutValueInMilliseconds') {
            $sval = $child->nodeValue;
            $this->TimeoutValueInMilliseconds = $sval;
            if (!empty($namespace)) {
                $this->namespace['TimeoutValueInMilliseconds'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_BlockingTaskUpdateProgressParamsType


/**
 * Type for a single licensingReport query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultLicensingReportRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $startDate = null;
    protected $endDate = null;
    protected $reportId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param dateTime $startDate - [optional] an attribute, 
    * @param dateTime $endDate - [optional] an attribute, 
    * @param string $reportId - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $startDate=null, $endDate=null, $reportId=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->startDate = $startDate;
        $this->endDate = $endDate;
        $this->reportId = $reportId;
        $this->tagName = 'LicensingReportRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_startDate(){
        return $this->startDate;
    }
    public function set_startDate($startDate) {
        $this->startDate = $startDate;
    }
    public function get_endDate(){
        return $this->endDate;
    }
    public function set_endDate($endDate) {
        $this->endDate = $endDate;
    }
    public function get_reportId(){
        return $this->reportId;
    }
    public function set_reportId($reportId) {
        $this->reportId = $reportId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->startDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'startDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'startDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->startDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='startDate')));
        }
        if (!is_null($this->endDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'endDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'endDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->endDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='endDate')));
        }
        if (!is_null($this->reportId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'reportId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'reportId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->reportId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='reportId')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstartDate = $attrs->getNamedItem('startDate');
        if (!is_null($ndstartDate)) {
            $this->startDate = $ndstartDate->value;
            if (isset($ndstartDate->prefix)) {
                $this->namespace['startDate'] = $ndstartDate->prefix;
                $nsUri = $ndstartDate->lookupNamespaceURI($ndstartDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'startDate');
        } else {
            $this->startDate = null;
        }
        $ndendDate = $attrs->getNamedItem('endDate');
        if (!is_null($ndendDate)) {
            $this->endDate = $ndendDate->value;
            if (isset($ndendDate->prefix)) {
                $this->namespace['endDate'] = $ndendDate->prefix;
                $nsUri = $ndendDate->lookupNamespaceURI($ndendDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'endDate');
        } else {
            $this->endDate = null;
        }
        $ndreportId = $attrs->getNamedItem('reportId');
        if (!is_null($ndreportId)) {
            $this->reportId = $ndreportId->value;
            if (isset($ndreportId->prefix)) {
                $this->namespace['reportId'] = $ndreportId->prefix;
                $nsUri = $ndreportId->lookupNamespaceURI($ndreportId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'reportId');
        } else {
            $this->reportId = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultLicensingReportRecordType


/**
 * Type for a single licensingReportSample query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultLicensingReportSampleRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $virtualProcessorCount = null;
    protected $physicalSocketCount = null;
    protected $totalPhysicalMemory = null;
    protected $publishingToRemoteSites = null;
    protected $vmCount = null;
    protected $sampleId = null;
    protected $physicalMemoryUsed = null;
    protected $parentReportId = null;
    protected $observationDate = null;
    protected $subscribingToRemoteSites = null;
    protected $allocatedVirtualMemory = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param long $virtualProcessorCount - [optional] an attribute, 
    * @param int $physicalSocketCount - [optional] an attribute, 
    * @param long $totalPhysicalMemory - [optional] an attribute, 
    * @param boolean $publishingToRemoteSites - [optional] an attribute, 
    * @param long $vmCount - [optional] an attribute, 
    * @param string $sampleId - [optional] an attribute, 
    * @param long $physicalMemoryUsed - [optional] an attribute, 
    * @param string $parentReportId - [optional] an attribute, 
    * @param dateTime $observationDate - [optional] an attribute, 
    * @param boolean $subscribingToRemoteSites - [optional] an attribute, 
    * @param long $allocatedVirtualMemory - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $virtualProcessorCount=null, $physicalSocketCount=null, $totalPhysicalMemory=null, $publishingToRemoteSites=null, $vmCount=null, $sampleId=null, $physicalMemoryUsed=null, $parentReportId=null, $observationDate=null, $subscribingToRemoteSites=null, $allocatedVirtualMemory=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->virtualProcessorCount = $virtualProcessorCount;
        $this->physicalSocketCount = $physicalSocketCount;
        $this->totalPhysicalMemory = $totalPhysicalMemory;
        $this->publishingToRemoteSites = $publishingToRemoteSites;
        $this->vmCount = $vmCount;
        $this->sampleId = $sampleId;
        $this->physicalMemoryUsed = $physicalMemoryUsed;
        $this->parentReportId = $parentReportId;
        $this->observationDate = $observationDate;
        $this->subscribingToRemoteSites = $subscribingToRemoteSites;
        $this->allocatedVirtualMemory = $allocatedVirtualMemory;
        $this->tagName = 'LicensingReportSampleRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_virtualProcessorCount(){
        return $this->virtualProcessorCount;
    }
    public function set_virtualProcessorCount($virtualProcessorCount) {
        $this->virtualProcessorCount = $virtualProcessorCount;
    }
    public function get_physicalSocketCount(){
        return $this->physicalSocketCount;
    }
    public function set_physicalSocketCount($physicalSocketCount) {
        $this->physicalSocketCount = $physicalSocketCount;
    }
    public function get_totalPhysicalMemory(){
        return $this->totalPhysicalMemory;
    }
    public function set_totalPhysicalMemory($totalPhysicalMemory) {
        $this->totalPhysicalMemory = $totalPhysicalMemory;
    }
    public function get_publishingToRemoteSites(){
        return $this->publishingToRemoteSites;
    }
    public function set_publishingToRemoteSites($publishingToRemoteSites) {
        $this->publishingToRemoteSites = $publishingToRemoteSites;
    }
    public function get_vmCount(){
        return $this->vmCount;
    }
    public function set_vmCount($vmCount) {
        $this->vmCount = $vmCount;
    }
    public function get_sampleId(){
        return $this->sampleId;
    }
    public function set_sampleId($sampleId) {
        $this->sampleId = $sampleId;
    }
    public function get_physicalMemoryUsed(){
        return $this->physicalMemoryUsed;
    }
    public function set_physicalMemoryUsed($physicalMemoryUsed) {
        $this->physicalMemoryUsed = $physicalMemoryUsed;
    }
    public function get_parentReportId(){
        return $this->parentReportId;
    }
    public function set_parentReportId($parentReportId) {
        $this->parentReportId = $parentReportId;
    }
    public function get_observationDate(){
        return $this->observationDate;
    }
    public function set_observationDate($observationDate) {
        $this->observationDate = $observationDate;
    }
    public function get_subscribingToRemoteSites(){
        return $this->subscribingToRemoteSites;
    }
    public function set_subscribingToRemoteSites($subscribingToRemoteSites) {
        $this->subscribingToRemoteSites = $subscribingToRemoteSites;
    }
    public function get_allocatedVirtualMemory(){
        return $this->allocatedVirtualMemory;
    }
    public function set_allocatedVirtualMemory($allocatedVirtualMemory) {
        $this->allocatedVirtualMemory = $allocatedVirtualMemory;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->virtualProcessorCount)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'virtualProcessorCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'virtualProcessorCount=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->virtualProcessorCount, $input_name='virtualProcessorCount')));
        }
        if (!is_null($this->physicalSocketCount)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'physicalSocketCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'physicalSocketCount=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->physicalSocketCount, $input_name='physicalSocketCount')));
        }
        if (!is_null($this->totalPhysicalMemory)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'totalPhysicalMemory', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'totalPhysicalMemory=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->totalPhysicalMemory, $input_name='totalPhysicalMemory')));
        }
        if (!is_null($this->publishingToRemoteSites)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'publishingToRemoteSites', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'publishingToRemoteSites=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->publishingToRemoteSites, $input_name='publishingToRemoteSites')));
        }
        if (!is_null($this->vmCount)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vmCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vmCount=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->vmCount, $input_name='vmCount')));
        }
        if (!is_null($this->sampleId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sampleId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sampleId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->sampleId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='sampleId')));
        }
        if (!is_null($this->physicalMemoryUsed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'physicalMemoryUsed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'physicalMemoryUsed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->physicalMemoryUsed, $input_name='physicalMemoryUsed')));
        }
        if (!is_null($this->parentReportId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'parentReportId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'parentReportId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->parentReportId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='parentReportId')));
        }
        if (!is_null($this->observationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'observationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'observationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->observationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='observationDate')));
        }
        if (!is_null($this->subscribingToRemoteSites)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'subscribingToRemoteSites', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'subscribingToRemoteSites=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->subscribingToRemoteSites, $input_name='subscribingToRemoteSites')));
        }
        if (!is_null($this->allocatedVirtualMemory)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'allocatedVirtualMemory', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'allocatedVirtualMemory=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->allocatedVirtualMemory, $input_name='allocatedVirtualMemory')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvirtualProcessorCount = $attrs->getNamedItem('virtualProcessorCount');
        if (!is_null($ndvirtualProcessorCount)) {
            $this->virtualProcessorCount = sprintf('%d', $ndvirtualProcessorCount->value);
            if (isset($ndvirtualProcessorCount->prefix)) {
                $this->namespace['virtualProcessorCount'] = $ndvirtualProcessorCount->prefix;
                $nsUri = $ndvirtualProcessorCount->lookupNamespaceURI($ndvirtualProcessorCount->prefix);
            }
            $node->removeAttributeNS($nsUri, 'virtualProcessorCount');
        } else {
            $this->virtualProcessorCount = null;
        }
        $ndphysicalSocketCount = $attrs->getNamedItem('physicalSocketCount');
        if (!is_null($ndphysicalSocketCount)) {
            $this->physicalSocketCount = sprintf('%d', $ndphysicalSocketCount->value);
            if (isset($ndphysicalSocketCount->prefix)) {
                $this->namespace['physicalSocketCount'] = $ndphysicalSocketCount->prefix;
                $nsUri = $ndphysicalSocketCount->lookupNamespaceURI($ndphysicalSocketCount->prefix);
            }
            $node->removeAttributeNS($nsUri, 'physicalSocketCount');
        } else {
            $this->physicalSocketCount = null;
        }
        $ndtotalPhysicalMemory = $attrs->getNamedItem('totalPhysicalMemory');
        if (!is_null($ndtotalPhysicalMemory)) {
            $this->totalPhysicalMemory = sprintf('%d', $ndtotalPhysicalMemory->value);
            if (isset($ndtotalPhysicalMemory->prefix)) {
                $this->namespace['totalPhysicalMemory'] = $ndtotalPhysicalMemory->prefix;
                $nsUri = $ndtotalPhysicalMemory->lookupNamespaceURI($ndtotalPhysicalMemory->prefix);
            }
            $node->removeAttributeNS($nsUri, 'totalPhysicalMemory');
        } else {
            $this->totalPhysicalMemory = null;
        }
        $ndpublishingToRemoteSites = $attrs->getNamedItem('publishingToRemoteSites');
        if (!is_null($ndpublishingToRemoteSites)) {
            $this->publishingToRemoteSites = VMware_VCloud_API_Helper::get_boolean($ndpublishingToRemoteSites->value);
            if (isset($ndpublishingToRemoteSites->prefix)) {
                $this->namespace['publishingToRemoteSites'] = $ndpublishingToRemoteSites->prefix;
                $nsUri = $ndpublishingToRemoteSites->lookupNamespaceURI($ndpublishingToRemoteSites->prefix);
            }
            $node->removeAttributeNS($nsUri, 'publishingToRemoteSites');
        } else {
            $this->publishingToRemoteSites = null;
        }
        $ndvmCount = $attrs->getNamedItem('vmCount');
        if (!is_null($ndvmCount)) {
            $this->vmCount = sprintf('%d', $ndvmCount->value);
            if (isset($ndvmCount->prefix)) {
                $this->namespace['vmCount'] = $ndvmCount->prefix;
                $nsUri = $ndvmCount->lookupNamespaceURI($ndvmCount->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vmCount');
        } else {
            $this->vmCount = null;
        }
        $ndsampleId = $attrs->getNamedItem('sampleId');
        if (!is_null($ndsampleId)) {
            $this->sampleId = $ndsampleId->value;
            if (isset($ndsampleId->prefix)) {
                $this->namespace['sampleId'] = $ndsampleId->prefix;
                $nsUri = $ndsampleId->lookupNamespaceURI($ndsampleId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sampleId');
        } else {
            $this->sampleId = null;
        }
        $ndphysicalMemoryUsed = $attrs->getNamedItem('physicalMemoryUsed');
        if (!is_null($ndphysicalMemoryUsed)) {
            $this->physicalMemoryUsed = sprintf('%d', $ndphysicalMemoryUsed->value);
            if (isset($ndphysicalMemoryUsed->prefix)) {
                $this->namespace['physicalMemoryUsed'] = $ndphysicalMemoryUsed->prefix;
                $nsUri = $ndphysicalMemoryUsed->lookupNamespaceURI($ndphysicalMemoryUsed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'physicalMemoryUsed');
        } else {
            $this->physicalMemoryUsed = null;
        }
        $ndparentReportId = $attrs->getNamedItem('parentReportId');
        if (!is_null($ndparentReportId)) {
            $this->parentReportId = $ndparentReportId->value;
            if (isset($ndparentReportId->prefix)) {
                $this->namespace['parentReportId'] = $ndparentReportId->prefix;
                $nsUri = $ndparentReportId->lookupNamespaceURI($ndparentReportId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'parentReportId');
        } else {
            $this->parentReportId = null;
        }
        $ndobservationDate = $attrs->getNamedItem('observationDate');
        if (!is_null($ndobservationDate)) {
            $this->observationDate = $ndobservationDate->value;
            if (isset($ndobservationDate->prefix)) {
                $this->namespace['observationDate'] = $ndobservationDate->prefix;
                $nsUri = $ndobservationDate->lookupNamespaceURI($ndobservationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'observationDate');
        } else {
            $this->observationDate = null;
        }
        $ndsubscribingToRemoteSites = $attrs->getNamedItem('subscribingToRemoteSites');
        if (!is_null($ndsubscribingToRemoteSites)) {
            $this->subscribingToRemoteSites = VMware_VCloud_API_Helper::get_boolean($ndsubscribingToRemoteSites->value);
            if (isset($ndsubscribingToRemoteSites->prefix)) {
                $this->namespace['subscribingToRemoteSites'] = $ndsubscribingToRemoteSites->prefix;
                $nsUri = $ndsubscribingToRemoteSites->lookupNamespaceURI($ndsubscribingToRemoteSites->prefix);
            }
            $node->removeAttributeNS($nsUri, 'subscribingToRemoteSites');
        } else {
            $this->subscribingToRemoteSites = null;
        }
        $ndallocatedVirtualMemory = $attrs->getNamedItem('allocatedVirtualMemory');
        if (!is_null($ndallocatedVirtualMemory)) {
            $this->allocatedVirtualMemory = sprintf('%d', $ndallocatedVirtualMemory->value);
            if (isset($ndallocatedVirtualMemory->prefix)) {
                $this->namespace['allocatedVirtualMemory'] = $ndallocatedVirtualMemory->prefix;
                $nsUri = $ndallocatedVirtualMemory->lookupNamespaceURI($ndallocatedVirtualMemory->prefix);
            }
            $node->removeAttributeNS($nsUri, 'allocatedVirtualMemory');
        } else {
            $this->allocatedVirtualMemory = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultLicensingReportSampleRecordType


/**
 * Type for a single licensingManagedServer query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultLicensingManagedServerRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $parentSampleId = null;
    protected $name = null;
    protected $managedObjectReference = null;
    protected $socketCount = null;
    protected $virtualCenterId = null;
    protected $observationDate = null;
    protected $memoryUsed = null;
    protected $memoryInstalled = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $parentSampleId - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $managedObjectReference - [optional] an attribute, 
    * @param int $socketCount - [optional] an attribute, 
    * @param string $virtualCenterId - [optional] an attribute, 
    * @param dateTime $observationDate - [optional] an attribute, 
    * @param int $memoryUsed - [optional] an attribute, 
    * @param int $memoryInstalled - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $parentSampleId=null, $name=null, $managedObjectReference=null, $socketCount=null, $virtualCenterId=null, $observationDate=null, $memoryUsed=null, $memoryInstalled=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->parentSampleId = $parentSampleId;
        $this->name = $name;
        $this->managedObjectReference = $managedObjectReference;
        $this->socketCount = $socketCount;
        $this->virtualCenterId = $virtualCenterId;
        $this->observationDate = $observationDate;
        $this->memoryUsed = $memoryUsed;
        $this->memoryInstalled = $memoryInstalled;
        $this->tagName = 'LicensingManagedServerRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_parentSampleId(){
        return $this->parentSampleId;
    }
    public function set_parentSampleId($parentSampleId) {
        $this->parentSampleId = $parentSampleId;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_managedObjectReference(){
        return $this->managedObjectReference;
    }
    public function set_managedObjectReference($managedObjectReference) {
        $this->managedObjectReference = $managedObjectReference;
    }
    public function get_socketCount(){
        return $this->socketCount;
    }
    public function set_socketCount($socketCount) {
        $this->socketCount = $socketCount;
    }
    public function get_virtualCenterId(){
        return $this->virtualCenterId;
    }
    public function set_virtualCenterId($virtualCenterId) {
        $this->virtualCenterId = $virtualCenterId;
    }
    public function get_observationDate(){
        return $this->observationDate;
    }
    public function set_observationDate($observationDate) {
        $this->observationDate = $observationDate;
    }
    public function get_memoryUsed(){
        return $this->memoryUsed;
    }
    public function set_memoryUsed($memoryUsed) {
        $this->memoryUsed = $memoryUsed;
    }
    public function get_memoryInstalled(){
        return $this->memoryInstalled;
    }
    public function set_memoryInstalled($memoryInstalled) {
        $this->memoryInstalled = $memoryInstalled;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->parentSampleId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'parentSampleId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'parentSampleId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->parentSampleId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='parentSampleId')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->managedObjectReference)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'managedObjectReference', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'managedObjectReference=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->managedObjectReference, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='managedObjectReference')));
        }
        if (!is_null($this->socketCount)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'socketCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'socketCount=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->socketCount, $input_name='socketCount')));
        }
        if (!is_null($this->virtualCenterId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'virtualCenterId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'virtualCenterId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->virtualCenterId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='virtualCenterId')));
        }
        if (!is_null($this->observationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'observationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'observationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->observationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='observationDate')));
        }
        if (!is_null($this->memoryUsed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryUsed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryUsed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryUsed, $input_name='memoryUsed')));
        }
        if (!is_null($this->memoryInstalled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryInstalled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryInstalled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryInstalled, $input_name='memoryInstalled')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndparentSampleId = $attrs->getNamedItem('parentSampleId');
        if (!is_null($ndparentSampleId)) {
            $this->parentSampleId = $ndparentSampleId->value;
            if (isset($ndparentSampleId->prefix)) {
                $this->namespace['parentSampleId'] = $ndparentSampleId->prefix;
                $nsUri = $ndparentSampleId->lookupNamespaceURI($ndparentSampleId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'parentSampleId');
        } else {
            $this->parentSampleId = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndmanagedObjectReference = $attrs->getNamedItem('managedObjectReference');
        if (!is_null($ndmanagedObjectReference)) {
            $this->managedObjectReference = $ndmanagedObjectReference->value;
            if (isset($ndmanagedObjectReference->prefix)) {
                $this->namespace['managedObjectReference'] = $ndmanagedObjectReference->prefix;
                $nsUri = $ndmanagedObjectReference->lookupNamespaceURI($ndmanagedObjectReference->prefix);
            }
            $node->removeAttributeNS($nsUri, 'managedObjectReference');
        } else {
            $this->managedObjectReference = null;
        }
        $ndsocketCount = $attrs->getNamedItem('socketCount');
        if (!is_null($ndsocketCount)) {
            $this->socketCount = sprintf('%d', $ndsocketCount->value);
            if (isset($ndsocketCount->prefix)) {
                $this->namespace['socketCount'] = $ndsocketCount->prefix;
                $nsUri = $ndsocketCount->lookupNamespaceURI($ndsocketCount->prefix);
            }
            $node->removeAttributeNS($nsUri, 'socketCount');
        } else {
            $this->socketCount = null;
        }
        $ndvirtualCenterId = $attrs->getNamedItem('virtualCenterId');
        if (!is_null($ndvirtualCenterId)) {
            $this->virtualCenterId = $ndvirtualCenterId->value;
            if (isset($ndvirtualCenterId->prefix)) {
                $this->namespace['virtualCenterId'] = $ndvirtualCenterId->prefix;
                $nsUri = $ndvirtualCenterId->lookupNamespaceURI($ndvirtualCenterId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'virtualCenterId');
        } else {
            $this->virtualCenterId = null;
        }
        $ndobservationDate = $attrs->getNamedItem('observationDate');
        if (!is_null($ndobservationDate)) {
            $this->observationDate = $ndobservationDate->value;
            if (isset($ndobservationDate->prefix)) {
                $this->namespace['observationDate'] = $ndobservationDate->prefix;
                $nsUri = $ndobservationDate->lookupNamespaceURI($ndobservationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'observationDate');
        } else {
            $this->observationDate = null;
        }
        $ndmemoryUsed = $attrs->getNamedItem('memoryUsed');
        if (!is_null($ndmemoryUsed)) {
            $this->memoryUsed = sprintf('%d', $ndmemoryUsed->value);
            if (isset($ndmemoryUsed->prefix)) {
                $this->namespace['memoryUsed'] = $ndmemoryUsed->prefix;
                $nsUri = $ndmemoryUsed->lookupNamespaceURI($ndmemoryUsed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryUsed');
        } else {
            $this->memoryUsed = null;
        }
        $ndmemoryInstalled = $attrs->getNamedItem('memoryInstalled');
        if (!is_null($ndmemoryInstalled)) {
            $this->memoryInstalled = sprintf('%d', $ndmemoryInstalled->value);
            if (isset($ndmemoryInstalled->prefix)) {
                $this->namespace['memoryInstalled'] = $ndmemoryInstalled->prefix;
                $nsUri = $ndmemoryInstalled->lookupNamespaceURI($ndmemoryInstalled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryInstalled');
        } else {
            $this->memoryInstalled = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultLicensingManagedServerRecordType


/**
 * Type for a single licensingVirtualMachine query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultLicensingVirtualMachineRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $virtualCpuCount = null;
    protected $managedObjectReference = null;
    protected $parentSampleId = null;
    protected $virtualCenterId = null;
    protected $observationDate = null;
    protected $memory = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param int $virtualCpuCount - [optional] an attribute, 
    * @param string $managedObjectReference - [optional] an attribute, 
    * @param string $parentSampleId - [optional] an attribute, 
    * @param string $virtualCenterId - [optional] an attribute, 
    * @param dateTime $observationDate - [optional] an attribute, 
    * @param int $memory - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $virtualCpuCount=null, $managedObjectReference=null, $parentSampleId=null, $virtualCenterId=null, $observationDate=null, $memory=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->virtualCpuCount = $virtualCpuCount;
        $this->managedObjectReference = $managedObjectReference;
        $this->parentSampleId = $parentSampleId;
        $this->virtualCenterId = $virtualCenterId;
        $this->observationDate = $observationDate;
        $this->memory = $memory;
        $this->tagName = 'LicensingVirtualMachineRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_virtualCpuCount(){
        return $this->virtualCpuCount;
    }
    public function set_virtualCpuCount($virtualCpuCount) {
        $this->virtualCpuCount = $virtualCpuCount;
    }
    public function get_managedObjectReference(){
        return $this->managedObjectReference;
    }
    public function set_managedObjectReference($managedObjectReference) {
        $this->managedObjectReference = $managedObjectReference;
    }
    public function get_parentSampleId(){
        return $this->parentSampleId;
    }
    public function set_parentSampleId($parentSampleId) {
        $this->parentSampleId = $parentSampleId;
    }
    public function get_virtualCenterId(){
        return $this->virtualCenterId;
    }
    public function set_virtualCenterId($virtualCenterId) {
        $this->virtualCenterId = $virtualCenterId;
    }
    public function get_observationDate(){
        return $this->observationDate;
    }
    public function set_observationDate($observationDate) {
        $this->observationDate = $observationDate;
    }
    public function get_memory(){
        return $this->memory;
    }
    public function set_memory($memory) {
        $this->memory = $memory;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->virtualCpuCount)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'virtualCpuCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'virtualCpuCount=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->virtualCpuCount, $input_name='virtualCpuCount')));
        }
        if (!is_null($this->managedObjectReference)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'managedObjectReference', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'managedObjectReference=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->managedObjectReference, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='managedObjectReference')));
        }
        if (!is_null($this->parentSampleId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'parentSampleId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'parentSampleId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->parentSampleId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='parentSampleId')));
        }
        if (!is_null($this->virtualCenterId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'virtualCenterId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'virtualCenterId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->virtualCenterId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='virtualCenterId')));
        }
        if (!is_null($this->observationDate)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'observationDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'observationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->observationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='observationDate')));
        }
        if (!is_null($this->memory)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memory', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memory=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memory, $input_name='memory')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndvirtualCpuCount = $attrs->getNamedItem('virtualCpuCount');
        if (!is_null($ndvirtualCpuCount)) {
            $this->virtualCpuCount = sprintf('%d', $ndvirtualCpuCount->value);
            if (isset($ndvirtualCpuCount->prefix)) {
                $this->namespace['virtualCpuCount'] = $ndvirtualCpuCount->prefix;
                $nsUri = $ndvirtualCpuCount->lookupNamespaceURI($ndvirtualCpuCount->prefix);
            }
            $node->removeAttributeNS($nsUri, 'virtualCpuCount');
        } else {
            $this->virtualCpuCount = null;
        }
        $ndmanagedObjectReference = $attrs->getNamedItem('managedObjectReference');
        if (!is_null($ndmanagedObjectReference)) {
            $this->managedObjectReference = $ndmanagedObjectReference->value;
            if (isset($ndmanagedObjectReference->prefix)) {
                $this->namespace['managedObjectReference'] = $ndmanagedObjectReference->prefix;
                $nsUri = $ndmanagedObjectReference->lookupNamespaceURI($ndmanagedObjectReference->prefix);
            }
            $node->removeAttributeNS($nsUri, 'managedObjectReference');
        } else {
            $this->managedObjectReference = null;
        }
        $ndparentSampleId = $attrs->getNamedItem('parentSampleId');
        if (!is_null($ndparentSampleId)) {
            $this->parentSampleId = $ndparentSampleId->value;
            if (isset($ndparentSampleId->prefix)) {
                $this->namespace['parentSampleId'] = $ndparentSampleId->prefix;
                $nsUri = $ndparentSampleId->lookupNamespaceURI($ndparentSampleId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'parentSampleId');
        } else {
            $this->parentSampleId = null;
        }
        $ndvirtualCenterId = $attrs->getNamedItem('virtualCenterId');
        if (!is_null($ndvirtualCenterId)) {
            $this->virtualCenterId = $ndvirtualCenterId->value;
            if (isset($ndvirtualCenterId->prefix)) {
                $this->namespace['virtualCenterId'] = $ndvirtualCenterId->prefix;
                $nsUri = $ndvirtualCenterId->lookupNamespaceURI($ndvirtualCenterId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'virtualCenterId');
        } else {
            $this->virtualCenterId = null;
        }
        $ndobservationDate = $attrs->getNamedItem('observationDate');
        if (!is_null($ndobservationDate)) {
            $this->observationDate = $ndobservationDate->value;
            if (isset($ndobservationDate->prefix)) {
                $this->namespace['observationDate'] = $ndobservationDate->prefix;
                $nsUri = $ndobservationDate->lookupNamespaceURI($ndobservationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'observationDate');
        } else {
            $this->observationDate = null;
        }
        $ndmemory = $attrs->getNamedItem('memory');
        if (!is_null($ndmemory)) {
            $this->memory = sprintf('%d', $ndmemory->value);
            if (isset($ndmemory->prefix)) {
                $this->namespace['memory'] = $ndmemory->prefix;
                $nsUri = $ndmemory->lookupNamespaceURI($ndmemory->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memory');
        } else {
            $this->memory = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultLicensingVirtualMachineRecordType


/**
 * Type for a single adminEventCBM query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminEventCBMRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $eventId = null;
    protected $userName = null;
    protected $orgName = null;
    protected $eventType = null;
    protected $entityName = null;
    protected $entityType = null;
    protected $productVersion = null;
    protected $entity = null;
    protected $eventStatus = null;
    protected $timeStamp = null;
    protected $org = null;
    protected $serviceNamespace = null;
    protected $details = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $eventId - [optional] an attribute, 
    * @param string $userName - [optional] an attribute, 
    * @param string $orgName - [optional] an attribute, 
    * @param string $eventType - [optional] an attribute, 
    * @param string $entityName - [optional] an attribute, 
    * @param string $entityType - [optional] an attribute, 
    * @param string $productVersion - [optional] an attribute, 
    * @param string $entity - [optional] an attribute, 
    * @param int $eventStatus - [optional] an attribute, 
    * @param dateTime $timeStamp - [optional] an attribute, 
    * @param string $org - [optional] an attribute, 
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param string $details - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $eventId=null, $userName=null, $orgName=null, $eventType=null, $entityName=null, $entityType=null, $productVersion=null, $entity=null, $eventStatus=null, $timeStamp=null, $org=null, $serviceNamespace=null, $details=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->eventId = $eventId;
        $this->userName = $userName;
        $this->orgName = $orgName;
        $this->eventType = $eventType;
        $this->entityName = $entityName;
        $this->entityType = $entityType;
        $this->productVersion = $productVersion;
        $this->entity = $entity;
        $this->eventStatus = $eventStatus;
        $this->timeStamp = $timeStamp;
        $this->org = $org;
        $this->serviceNamespace = $serviceNamespace;
        $this->details = $details;
        $this->tagName = 'AdminEventCBMRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_eventId(){
        return $this->eventId;
    }
    public function set_eventId($eventId) {
        $this->eventId = $eventId;
    }
    public function get_userName(){
        return $this->userName;
    }
    public function set_userName($userName) {
        $this->userName = $userName;
    }
    public function get_orgName(){
        return $this->orgName;
    }
    public function set_orgName($orgName) {
        $this->orgName = $orgName;
    }
    public function get_eventType(){
        return $this->eventType;
    }
    public function set_eventType($eventType) {
        $this->eventType = $eventType;
    }
    public function get_entityName(){
        return $this->entityName;
    }
    public function set_entityName($entityName) {
        $this->entityName = $entityName;
    }
    public function get_entityType(){
        return $this->entityType;
    }
    public function set_entityType($entityType) {
        $this->entityType = $entityType;
    }
    public function get_productVersion(){
        return $this->productVersion;
    }
    public function set_productVersion($productVersion) {
        $this->productVersion = $productVersion;
    }
    public function get_entity(){
        return $this->entity;
    }
    public function set_entity($entity) {
        $this->entity = $entity;
    }
    public function get_eventStatus(){
        return $this->eventStatus;
    }
    public function set_eventStatus($eventStatus) {
        $this->eventStatus = $eventStatus;
    }
    public function get_timeStamp(){
        return $this->timeStamp;
    }
    public function set_timeStamp($timeStamp) {
        $this->timeStamp = $timeStamp;
    }
    public function get_org(){
        return $this->org;
    }
    public function set_org($org) {
        $this->org = $org;
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_details(){
        return $this->details;
    }
    public function set_details($details) {
        $this->details = $details;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->eventId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->eventId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='eventId')));
        }
        if (!is_null($this->userName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'userName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'userName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->userName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='userName')));
        }
        if (!is_null($this->orgName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgName')));
        }
        if (!is_null($this->eventType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->eventType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='eventType')));
        }
        if (!is_null($this->entityName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityName')));
        }
        if (!is_null($this->entityType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entityType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entityType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entityType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entityType')));
        }
        if (!is_null($this->productVersion)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'productVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'productVersion=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->productVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='productVersion')));
        }
        if (!is_null($this->entity)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'entity', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'entity=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->entity, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='entity')));
        }
        if (!is_null($this->eventStatus)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'eventStatus', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'eventStatus=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->eventStatus, $input_name='eventStatus')));
        }
        if (!is_null($this->timeStamp)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'timeStamp', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'timeStamp=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->timeStamp, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='timeStamp')));
        }
        if (!is_null($this->org)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'org', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'org=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->org, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='org')));
        }
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->details)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'details', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'details=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->details, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='details')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndeventId = $attrs->getNamedItem('eventId');
        if (!is_null($ndeventId)) {
            $this->eventId = $ndeventId->value;
            if (isset($ndeventId->prefix)) {
                $this->namespace['eventId'] = $ndeventId->prefix;
                $nsUri = $ndeventId->lookupNamespaceURI($ndeventId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventId');
        } else {
            $this->eventId = null;
        }
        $nduserName = $attrs->getNamedItem('userName');
        if (!is_null($nduserName)) {
            $this->userName = $nduserName->value;
            if (isset($nduserName->prefix)) {
                $this->namespace['userName'] = $nduserName->prefix;
                $nsUri = $nduserName->lookupNamespaceURI($nduserName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'userName');
        } else {
            $this->userName = null;
        }
        $ndorgName = $attrs->getNamedItem('orgName');
        if (!is_null($ndorgName)) {
            $this->orgName = $ndorgName->value;
            if (isset($ndorgName->prefix)) {
                $this->namespace['orgName'] = $ndorgName->prefix;
                $nsUri = $ndorgName->lookupNamespaceURI($ndorgName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgName');
        } else {
            $this->orgName = null;
        }
        $ndeventType = $attrs->getNamedItem('eventType');
        if (!is_null($ndeventType)) {
            $this->eventType = $ndeventType->value;
            if (isset($ndeventType->prefix)) {
                $this->namespace['eventType'] = $ndeventType->prefix;
                $nsUri = $ndeventType->lookupNamespaceURI($ndeventType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventType');
        } else {
            $this->eventType = null;
        }
        $ndentityName = $attrs->getNamedItem('entityName');
        if (!is_null($ndentityName)) {
            $this->entityName = $ndentityName->value;
            if (isset($ndentityName->prefix)) {
                $this->namespace['entityName'] = $ndentityName->prefix;
                $nsUri = $ndentityName->lookupNamespaceURI($ndentityName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityName');
        } else {
            $this->entityName = null;
        }
        $ndentityType = $attrs->getNamedItem('entityType');
        if (!is_null($ndentityType)) {
            $this->entityType = $ndentityType->value;
            if (isset($ndentityType->prefix)) {
                $this->namespace['entityType'] = $ndentityType->prefix;
                $nsUri = $ndentityType->lookupNamespaceURI($ndentityType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entityType');
        } else {
            $this->entityType = null;
        }
        $ndproductVersion = $attrs->getNamedItem('productVersion');
        if (!is_null($ndproductVersion)) {
            $this->productVersion = $ndproductVersion->value;
            if (isset($ndproductVersion->prefix)) {
                $this->namespace['productVersion'] = $ndproductVersion->prefix;
                $nsUri = $ndproductVersion->lookupNamespaceURI($ndproductVersion->prefix);
            }
            $node->removeAttributeNS($nsUri, 'productVersion');
        } else {
            $this->productVersion = null;
        }
        $ndentity = $attrs->getNamedItem('entity');
        if (!is_null($ndentity)) {
            $this->entity = $ndentity->value;
            if (isset($ndentity->prefix)) {
                $this->namespace['entity'] = $ndentity->prefix;
                $nsUri = $ndentity->lookupNamespaceURI($ndentity->prefix);
            }
            $node->removeAttributeNS($nsUri, 'entity');
        } else {
            $this->entity = null;
        }
        $ndeventStatus = $attrs->getNamedItem('eventStatus');
        if (!is_null($ndeventStatus)) {
            $this->eventStatus = sprintf('%d', $ndeventStatus->value);
            if (isset($ndeventStatus->prefix)) {
                $this->namespace['eventStatus'] = $ndeventStatus->prefix;
                $nsUri = $ndeventStatus->lookupNamespaceURI($ndeventStatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'eventStatus');
        } else {
            $this->eventStatus = null;
        }
        $ndtimeStamp = $attrs->getNamedItem('timeStamp');
        if (!is_null($ndtimeStamp)) {
            $this->timeStamp = $ndtimeStamp->value;
            if (isset($ndtimeStamp->prefix)) {
                $this->namespace['timeStamp'] = $ndtimeStamp->prefix;
                $nsUri = $ndtimeStamp->lookupNamespaceURI($ndtimeStamp->prefix);
            }
            $node->removeAttributeNS($nsUri, 'timeStamp');
        } else {
            $this->timeStamp = null;
        }
        $ndorg = $attrs->getNamedItem('org');
        if (!is_null($ndorg)) {
            $this->org = $ndorg->value;
            if (isset($ndorg->prefix)) {
                $this->namespace['org'] = $ndorg->prefix;
                $nsUri = $ndorg->lookupNamespaceURI($ndorg->prefix);
            }
            $node->removeAttributeNS($nsUri, 'org');
        } else {
            $this->org = null;
        }
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $nddetails = $attrs->getNamedItem('details');
        if (!is_null($nddetails)) {
            $this->details = $nddetails->value;
            if (isset($nddetails->prefix)) {
                $this->namespace['details'] = $nddetails->prefix;
                $nsUri = $nddetails->lookupNamespaceURI($nddetails->prefix);
            }
            $node->removeAttributeNS($nsUri, 'details');
        } else {
            $this->details = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminEventCBMRecordType


/**
 * Type for a single serviceOfferingInstance query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultServiceOfferingInstanceRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $serviceOfferingId = null;
    protected $extensionId = null;
    protected $description = null;
    protected $vdcId = null;
    protected $state = null;
    protected $ownerName = null;
    protected $extensionName = null;
    protected $isBusy = null;
    protected $serviceOfferingName = null;
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $serviceOfferingId - [optional] an attribute, 
    * @param string $extensionId - [optional] an attribute, 
    * @param string $description - [optional] an attribute, 
    * @param string $vdcId - [optional] an attribute, 
    * @param string $state - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $extensionName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $serviceOfferingName - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $serviceOfferingId=null, $extensionId=null, $description=null, $vdcId=null, $state=null, $ownerName=null, $extensionName=null, $isBusy=null, $serviceOfferingName=null, $name=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->serviceOfferingId = $serviceOfferingId;
        $this->extensionId = $extensionId;
        $this->description = $description;
        $this->vdcId = $vdcId;
        $this->state = $state;
        $this->ownerName = $ownerName;
        $this->extensionName = $extensionName;
        $this->isBusy = $isBusy;
        $this->serviceOfferingName = $serviceOfferingName;
        $this->name = $name;
        $this->tagName = 'ServiceOfferingInstanceRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_serviceOfferingId(){
        return $this->serviceOfferingId;
    }
    public function set_serviceOfferingId($serviceOfferingId) {
        $this->serviceOfferingId = $serviceOfferingId;
    }
    public function get_extensionId(){
        return $this->extensionId;
    }
    public function set_extensionId($extensionId) {
        $this->extensionId = $extensionId;
    }
    public function get_description(){
        return $this->description;
    }
    public function set_description($description) {
        $this->description = $description;
    }
    public function get_vdcId(){
        return $this->vdcId;
    }
    public function set_vdcId($vdcId) {
        $this->vdcId = $vdcId;
    }
    public function get_state(){
        return $this->state;
    }
    public function set_state($state) {
        $this->state = $state;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_extensionName(){
        return $this->extensionName;
    }
    public function set_extensionName($extensionName) {
        $this->extensionName = $extensionName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_serviceOfferingName(){
        return $this->serviceOfferingName;
    }
    public function set_serviceOfferingName($serviceOfferingName) {
        $this->serviceOfferingName = $serviceOfferingName;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->serviceOfferingId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceOfferingId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceOfferingId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceOfferingId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceOfferingId')));
        }
        if (!is_null($this->extensionId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionId')));
        }
        if (!is_null($this->description)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'description=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='description')));
        }
        if (!is_null($this->vdcId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcId')));
        }
        if (!is_null($this->state)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'state', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'state=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->state, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='state')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->extensionName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->serviceOfferingName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceOfferingName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceOfferingName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceOfferingName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceOfferingName')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndserviceOfferingId = $attrs->getNamedItem('serviceOfferingId');
        if (!is_null($ndserviceOfferingId)) {
            $this->serviceOfferingId = $ndserviceOfferingId->value;
            if (isset($ndserviceOfferingId->prefix)) {
                $this->namespace['serviceOfferingId'] = $ndserviceOfferingId->prefix;
                $nsUri = $ndserviceOfferingId->lookupNamespaceURI($ndserviceOfferingId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceOfferingId');
        } else {
            $this->serviceOfferingId = null;
        }
        $ndextensionId = $attrs->getNamedItem('extensionId');
        if (!is_null($ndextensionId)) {
            $this->extensionId = $ndextensionId->value;
            if (isset($ndextensionId->prefix)) {
                $this->namespace['extensionId'] = $ndextensionId->prefix;
                $nsUri = $ndextensionId->lookupNamespaceURI($ndextensionId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionId');
        } else {
            $this->extensionId = null;
        }
        $nddescription = $attrs->getNamedItem('description');
        if (!is_null($nddescription)) {
            $this->description = $nddescription->value;
            if (isset($nddescription->prefix)) {
                $this->namespace['description'] = $nddescription->prefix;
                $nsUri = $nddescription->lookupNamespaceURI($nddescription->prefix);
            }
            $node->removeAttributeNS($nsUri, 'description');
        } else {
            $this->description = null;
        }
        $ndvdcId = $attrs->getNamedItem('vdcId');
        if (!is_null($ndvdcId)) {
            $this->vdcId = $ndvdcId->value;
            if (isset($ndvdcId->prefix)) {
                $this->namespace['vdcId'] = $ndvdcId->prefix;
                $nsUri = $ndvdcId->lookupNamespaceURI($ndvdcId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcId');
        } else {
            $this->vdcId = null;
        }
        $ndstate = $attrs->getNamedItem('state');
        if (!is_null($ndstate)) {
            $this->state = $ndstate->value;
            if (isset($ndstate->prefix)) {
                $this->namespace['state'] = $ndstate->prefix;
                $nsUri = $ndstate->lookupNamespaceURI($ndstate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'state');
        } else {
            $this->state = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndextensionName = $attrs->getNamedItem('extensionName');
        if (!is_null($ndextensionName)) {
            $this->extensionName = $ndextensionName->value;
            if (isset($ndextensionName->prefix)) {
                $this->namespace['extensionName'] = $ndextensionName->prefix;
                $nsUri = $ndextensionName->lookupNamespaceURI($ndextensionName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionName');
        } else {
            $this->extensionName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndserviceOfferingName = $attrs->getNamedItem('serviceOfferingName');
        if (!is_null($ndserviceOfferingName)) {
            $this->serviceOfferingName = $ndserviceOfferingName->value;
            if (isset($ndserviceOfferingName->prefix)) {
                $this->namespace['serviceOfferingName'] = $ndserviceOfferingName->prefix;
                $nsUri = $ndserviceOfferingName->lookupNamespaceURI($ndserviceOfferingName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceOfferingName');
        } else {
            $this->serviceOfferingName = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultServiceOfferingInstanceRecordType


/**
 * Type for a single serviceOffering query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultServiceOfferingRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $available = null;
    protected $extensionId = null;
    protected $name = null;
    protected $extensionName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $available - [optional] an attribute, 
    * @param string $extensionId - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $extensionName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $available=null, $extensionId=null, $name=null, $extensionName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->available = $available;
        $this->extensionId = $extensionId;
        $this->name = $name;
        $this->extensionName = $extensionName;
        $this->tagName = 'ServiceOfferingRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_available(){
        return $this->available;
    }
    public function set_available($available) {
        $this->available = $available;
    }
    public function get_extensionId(){
        return $this->extensionId;
    }
    public function set_extensionId($extensionId) {
        $this->extensionId = $extensionId;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_extensionName(){
        return $this->extensionName;
    }
    public function set_extensionName($extensionName) {
        $this->extensionName = $extensionName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->available)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'available', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'available=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->available, $input_name='available')));
        }
        if (!is_null($this->extensionId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionId')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->extensionName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndavailable = $attrs->getNamedItem('available');
        if (!is_null($ndavailable)) {
            $this->available = VMware_VCloud_API_Helper::get_boolean($ndavailable->value);
            if (isset($ndavailable->prefix)) {
                $this->namespace['available'] = $ndavailable->prefix;
                $nsUri = $ndavailable->lookupNamespaceURI($ndavailable->prefix);
            }
            $node->removeAttributeNS($nsUri, 'available');
        } else {
            $this->available = null;
        }
        $ndextensionId = $attrs->getNamedItem('extensionId');
        if (!is_null($ndextensionId)) {
            $this->extensionId = $ndextensionId->value;
            if (isset($ndextensionId->prefix)) {
                $this->namespace['extensionId'] = $ndextensionId->prefix;
                $nsUri = $ndextensionId->lookupNamespaceURI($ndextensionId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionId');
        } else {
            $this->extensionId = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndextensionName = $attrs->getNamedItem('extensionName');
        if (!is_null($ndextensionName)) {
            $this->extensionName = $ndextensionName->value;
            if (isset($ndextensionName->prefix)) {
                $this->namespace['extensionName'] = $ndextensionName->prefix;
                $nsUri = $ndextensionName->lookupNamespaceURI($ndextensionName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionName');
        } else {
            $this->extensionName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultServiceOfferingRecordType


/**
 * Type for a single vmServiceOfferingInstance query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVmServiceOfferingInstanceRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $extensionId = null;
    protected $name = null;
    protected $vmId = null;
    protected $serviceOfferingName = null;
    protected $state = null;
    protected $ownerName = null;
    protected $extensionName = null;
    protected $isBusy = null;
    protected $vmEntityType = null;
    protected $vdcId = null;
    protected $serviceOfferingId = null;
    protected $description = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $extensionId - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $vmId - [optional] an attribute, 
    * @param string $serviceOfferingName - [optional] an attribute, 
    * @param string $state - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $extensionName - [optional] an attribute, 
    * @param boolean $isBusy - [optional] an attribute, 
    * @param string $vmEntityType - [optional] an attribute, 
    * @param string $vdcId - [optional] an attribute, 
    * @param string $serviceOfferingId - [optional] an attribute, 
    * @param string $description - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $extensionId=null, $name=null, $vmId=null, $serviceOfferingName=null, $state=null, $ownerName=null, $extensionName=null, $isBusy=null, $vmEntityType=null, $vdcId=null, $serviceOfferingId=null, $description=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->extensionId = $extensionId;
        $this->name = $name;
        $this->vmId = $vmId;
        $this->serviceOfferingName = $serviceOfferingName;
        $this->state = $state;
        $this->ownerName = $ownerName;
        $this->extensionName = $extensionName;
        $this->isBusy = $isBusy;
        $this->vmEntityType = $vmEntityType;
        $this->vdcId = $vdcId;
        $this->serviceOfferingId = $serviceOfferingId;
        $this->description = $description;
        $this->tagName = 'VmServiceOfferingInstanceRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_extensionId(){
        return $this->extensionId;
    }
    public function set_extensionId($extensionId) {
        $this->extensionId = $extensionId;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_vmId(){
        return $this->vmId;
    }
    public function set_vmId($vmId) {
        $this->vmId = $vmId;
    }
    public function get_serviceOfferingName(){
        return $this->serviceOfferingName;
    }
    public function set_serviceOfferingName($serviceOfferingName) {
        $this->serviceOfferingName = $serviceOfferingName;
    }
    public function get_state(){
        return $this->state;
    }
    public function set_state($state) {
        $this->state = $state;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_extensionName(){
        return $this->extensionName;
    }
    public function set_extensionName($extensionName) {
        $this->extensionName = $extensionName;
    }
    public function get_isBusy(){
        return $this->isBusy;
    }
    public function set_isBusy($isBusy) {
        $this->isBusy = $isBusy;
    }
    public function get_vmEntityType(){
        return $this->vmEntityType;
    }
    public function set_vmEntityType($vmEntityType) {
        $this->vmEntityType = $vmEntityType;
    }
    public function get_vdcId(){
        return $this->vdcId;
    }
    public function set_vdcId($vdcId) {
        $this->vdcId = $vdcId;
    }
    public function get_serviceOfferingId(){
        return $this->serviceOfferingId;
    }
    public function set_serviceOfferingId($serviceOfferingId) {
        $this->serviceOfferingId = $serviceOfferingId;
    }
    public function get_description(){
        return $this->description;
    }
    public function set_description($description) {
        $this->description = $description;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->extensionId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionId')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->vmId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vmId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vmId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vmId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vmId')));
        }
        if (!is_null($this->serviceOfferingName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceOfferingName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceOfferingName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceOfferingName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceOfferingName')));
        }
        if (!is_null($this->state)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'state', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'state=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->state, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='state')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->extensionName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionName')));
        }
        if (!is_null($this->isBusy)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'isBusy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'isBusy=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->isBusy, $input_name='isBusy')));
        }
        if (!is_null($this->vmEntityType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vmEntityType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vmEntityType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vmEntityType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vmEntityType')));
        }
        if (!is_null($this->vdcId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcId')));
        }
        if (!is_null($this->serviceOfferingId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceOfferingId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceOfferingId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceOfferingId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceOfferingId')));
        }
        if (!is_null($this->description)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'description=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='description')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndextensionId = $attrs->getNamedItem('extensionId');
        if (!is_null($ndextensionId)) {
            $this->extensionId = $ndextensionId->value;
            if (isset($ndextensionId->prefix)) {
                $this->namespace['extensionId'] = $ndextensionId->prefix;
                $nsUri = $ndextensionId->lookupNamespaceURI($ndextensionId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionId');
        } else {
            $this->extensionId = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndvmId = $attrs->getNamedItem('vmId');
        if (!is_null($ndvmId)) {
            $this->vmId = $ndvmId->value;
            if (isset($ndvmId->prefix)) {
                $this->namespace['vmId'] = $ndvmId->prefix;
                $nsUri = $ndvmId->lookupNamespaceURI($ndvmId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vmId');
        } else {
            $this->vmId = null;
        }
        $ndserviceOfferingName = $attrs->getNamedItem('serviceOfferingName');
        if (!is_null($ndserviceOfferingName)) {
            $this->serviceOfferingName = $ndserviceOfferingName->value;
            if (isset($ndserviceOfferingName->prefix)) {
                $this->namespace['serviceOfferingName'] = $ndserviceOfferingName->prefix;
                $nsUri = $ndserviceOfferingName->lookupNamespaceURI($ndserviceOfferingName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceOfferingName');
        } else {
            $this->serviceOfferingName = null;
        }
        $ndstate = $attrs->getNamedItem('state');
        if (!is_null($ndstate)) {
            $this->state = $ndstate->value;
            if (isset($ndstate->prefix)) {
                $this->namespace['state'] = $ndstate->prefix;
                $nsUri = $ndstate->lookupNamespaceURI($ndstate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'state');
        } else {
            $this->state = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndextensionName = $attrs->getNamedItem('extensionName');
        if (!is_null($ndextensionName)) {
            $this->extensionName = $ndextensionName->value;
            if (isset($ndextensionName->prefix)) {
                $this->namespace['extensionName'] = $ndextensionName->prefix;
                $nsUri = $ndextensionName->lookupNamespaceURI($ndextensionName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionName');
        } else {
            $this->extensionName = null;
        }
        $ndisBusy = $attrs->getNamedItem('isBusy');
        if (!is_null($ndisBusy)) {
            $this->isBusy = VMware_VCloud_API_Helper::get_boolean($ndisBusy->value);
            if (isset($ndisBusy->prefix)) {
                $this->namespace['isBusy'] = $ndisBusy->prefix;
                $nsUri = $ndisBusy->lookupNamespaceURI($ndisBusy->prefix);
            }
            $node->removeAttributeNS($nsUri, 'isBusy');
        } else {
            $this->isBusy = null;
        }
        $ndvmEntityType = $attrs->getNamedItem('vmEntityType');
        if (!is_null($ndvmEntityType)) {
            $this->vmEntityType = $ndvmEntityType->value;
            if (isset($ndvmEntityType->prefix)) {
                $this->namespace['vmEntityType'] = $ndvmEntityType->prefix;
                $nsUri = $ndvmEntityType->lookupNamespaceURI($ndvmEntityType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vmEntityType');
        } else {
            $this->vmEntityType = null;
        }
        $ndvdcId = $attrs->getNamedItem('vdcId');
        if (!is_null($ndvdcId)) {
            $this->vdcId = $ndvdcId->value;
            if (isset($ndvdcId->prefix)) {
                $this->namespace['vdcId'] = $ndvdcId->prefix;
                $nsUri = $ndvdcId->lookupNamespaceURI($ndvdcId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcId');
        } else {
            $this->vdcId = null;
        }
        $ndserviceOfferingId = $attrs->getNamedItem('serviceOfferingId');
        if (!is_null($ndserviceOfferingId)) {
            $this->serviceOfferingId = $ndserviceOfferingId->value;
            if (isset($ndserviceOfferingId->prefix)) {
                $this->namespace['serviceOfferingId'] = $ndserviceOfferingId->prefix;
                $nsUri = $ndserviceOfferingId->lookupNamespaceURI($ndserviceOfferingId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceOfferingId');
        } else {
            $this->serviceOfferingId = null;
        }
        $nddescription = $attrs->getNamedItem('description');
        if (!is_null($nddescription)) {
            $this->description = $nddescription->value;
            if (isset($nddescription->prefix)) {
                $this->namespace['description'] = $nddescription->prefix;
                $nsUri = $nddescription->lookupNamespaceURI($nddescription->prefix);
            }
            $node->removeAttributeNS($nsUri, 'description');
        } else {
            $this->description = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVmServiceOfferingInstanceRecordType


/**
 * Type for a single vdcServiceOffering query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultVdcServiceOfferingRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $available = null;
    protected $extensionId = null;
    protected $name = null;
    protected $vdcId = null;
    protected $extensionName = null;
    protected $vdcName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param boolean $available - [optional] an attribute, 
    * @param string $extensionId - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $vdcId - [optional] an attribute, 
    * @param string $extensionName - [optional] an attribute, 
    * @param string $vdcName - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $available=null, $extensionId=null, $name=null, $vdcId=null, $extensionName=null, $vdcName=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->available = $available;
        $this->extensionId = $extensionId;
        $this->name = $name;
        $this->vdcId = $vdcId;
        $this->extensionName = $extensionName;
        $this->vdcName = $vdcName;
        $this->tagName = 'VdcServiceOfferingRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_available(){
        return $this->available;
    }
    public function set_available($available) {
        $this->available = $available;
    }
    public function get_extensionId(){
        return $this->extensionId;
    }
    public function set_extensionId($extensionId) {
        $this->extensionId = $extensionId;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_vdcId(){
        return $this->vdcId;
    }
    public function set_vdcId($vdcId) {
        $this->vdcId = $vdcId;
    }
    public function get_extensionName(){
        return $this->extensionName;
    }
    public function set_extensionName($extensionName) {
        $this->extensionName = $extensionName;
    }
    public function get_vdcName(){
        return $this->vdcName;
    }
    public function set_vdcName($vdcName) {
        $this->vdcName = $vdcName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->available)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'available', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'available=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->available, $input_name='available')));
        }
        if (!is_null($this->extensionId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionId')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->vdcId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcId')));
        }
        if (!is_null($this->extensionName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionName')));
        }
        if (!is_null($this->vdcName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcName')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndavailable = $attrs->getNamedItem('available');
        if (!is_null($ndavailable)) {
            $this->available = VMware_VCloud_API_Helper::get_boolean($ndavailable->value);
            if (isset($ndavailable->prefix)) {
                $this->namespace['available'] = $ndavailable->prefix;
                $nsUri = $ndavailable->lookupNamespaceURI($ndavailable->prefix);
            }
            $node->removeAttributeNS($nsUri, 'available');
        } else {
            $this->available = null;
        }
        $ndextensionId = $attrs->getNamedItem('extensionId');
        if (!is_null($ndextensionId)) {
            $this->extensionId = $ndextensionId->value;
            if (isset($ndextensionId->prefix)) {
                $this->namespace['extensionId'] = $ndextensionId->prefix;
                $nsUri = $ndextensionId->lookupNamespaceURI($ndextensionId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionId');
        } else {
            $this->extensionId = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndvdcId = $attrs->getNamedItem('vdcId');
        if (!is_null($ndvdcId)) {
            $this->vdcId = $ndvdcId->value;
            if (isset($ndvdcId->prefix)) {
                $this->namespace['vdcId'] = $ndvdcId->prefix;
                $nsUri = $ndvdcId->lookupNamespaceURI($ndvdcId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcId');
        } else {
            $this->vdcId = null;
        }
        $ndextensionName = $attrs->getNamedItem('extensionName');
        if (!is_null($ndextensionName)) {
            $this->extensionName = $ndextensionName->value;
            if (isset($ndextensionName->prefix)) {
                $this->namespace['extensionName'] = $ndextensionName->prefix;
                $nsUri = $ndextensionName->lookupNamespaceURI($ndextensionName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionName');
        } else {
            $this->extensionName = null;
        }
        $ndvdcName = $attrs->getNamedItem('vdcName');
        if (!is_null($ndvdcName)) {
            $this->vdcName = $ndvdcName->value;
            if (isset($ndvdcName->prefix)) {
                $this->namespace['vdcName'] = $ndvdcName->prefix;
                $nsUri = $ndvdcName->lookupNamespaceURI($ndvdcName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcName');
        } else {
            $this->vdcName = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultVdcServiceOfferingRecordType


/**
 * Type for a single adminServiceOfferingInstance query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultAdminServiceOfferingInstanceRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $extensionId = null;
    protected $name = null;
    protected $userId = null;
    protected $serviceOfferingName = null;
    protected $state = null;
    protected $orgId = null;
    protected $ownerName = null;
    protected $extensionName = null;
    protected $vdcId = null;
    protected $serviceOfferingId = null;
    protected $description = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $extensionId - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $userId - [optional] an attribute, 
    * @param string $serviceOfferingName - [optional] an attribute, 
    * @param string $state - [optional] an attribute, 
    * @param string $orgId - [optional] an attribute, 
    * @param string $ownerName - [optional] an attribute, 
    * @param string $extensionName - [optional] an attribute, 
    * @param string $vdcId - [optional] an attribute, 
    * @param string $serviceOfferingId - [optional] an attribute, 
    * @param string $description - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $extensionId=null, $name=null, $userId=null, $serviceOfferingName=null, $state=null, $orgId=null, $ownerName=null, $extensionName=null, $vdcId=null, $serviceOfferingId=null, $description=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->extensionId = $extensionId;
        $this->name = $name;
        $this->userId = $userId;
        $this->serviceOfferingName = $serviceOfferingName;
        $this->state = $state;
        $this->orgId = $orgId;
        $this->ownerName = $ownerName;
        $this->extensionName = $extensionName;
        $this->vdcId = $vdcId;
        $this->serviceOfferingId = $serviceOfferingId;
        $this->description = $description;
        $this->tagName = 'AdminServiceOfferingInstanceRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_extensionId(){
        return $this->extensionId;
    }
    public function set_extensionId($extensionId) {
        $this->extensionId = $extensionId;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_userId(){
        return $this->userId;
    }
    public function set_userId($userId) {
        $this->userId = $userId;
    }
    public function get_serviceOfferingName(){
        return $this->serviceOfferingName;
    }
    public function set_serviceOfferingName($serviceOfferingName) {
        $this->serviceOfferingName = $serviceOfferingName;
    }
    public function get_state(){
        return $this->state;
    }
    public function set_state($state) {
        $this->state = $state;
    }
    public function get_orgId(){
        return $this->orgId;
    }
    public function set_orgId($orgId) {
        $this->orgId = $orgId;
    }
    public function get_ownerName(){
        return $this->ownerName;
    }
    public function set_ownerName($ownerName) {
        $this->ownerName = $ownerName;
    }
    public function get_extensionName(){
        return $this->extensionName;
    }
    public function set_extensionName($extensionName) {
        $this->extensionName = $extensionName;
    }
    public function get_vdcId(){
        return $this->vdcId;
    }
    public function set_vdcId($vdcId) {
        $this->vdcId = $vdcId;
    }
    public function get_serviceOfferingId(){
        return $this->serviceOfferingId;
    }
    public function set_serviceOfferingId($serviceOfferingId) {
        $this->serviceOfferingId = $serviceOfferingId;
    }
    public function get_description(){
        return $this->description;
    }
    public function set_description($description) {
        $this->description = $description;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->extensionId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionId')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->userId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'userId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'userId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->userId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='userId')));
        }
        if (!is_null($this->serviceOfferingName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceOfferingName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceOfferingName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceOfferingName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceOfferingName')));
        }
        if (!is_null($this->state)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'state', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'state=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->state, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='state')));
        }
        if (!is_null($this->orgId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'orgId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'orgId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->orgId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='orgId')));
        }
        if (!is_null($this->ownerName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ownerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ownerName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ownerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ownerName')));
        }
        if (!is_null($this->extensionName)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionName=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionName')));
        }
        if (!is_null($this->vdcId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'vdcId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'vdcId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vdcId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vdcId')));
        }
        if (!is_null($this->serviceOfferingId)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceOfferingId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceOfferingId=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceOfferingId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceOfferingId')));
        }
        if (!is_null($this->description)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'description=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='description')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndextensionId = $attrs->getNamedItem('extensionId');
        if (!is_null($ndextensionId)) {
            $this->extensionId = $ndextensionId->value;
            if (isset($ndextensionId->prefix)) {
                $this->namespace['extensionId'] = $ndextensionId->prefix;
                $nsUri = $ndextensionId->lookupNamespaceURI($ndextensionId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionId');
        } else {
            $this->extensionId = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $nduserId = $attrs->getNamedItem('userId');
        if (!is_null($nduserId)) {
            $this->userId = $nduserId->value;
            if (isset($nduserId->prefix)) {
                $this->namespace['userId'] = $nduserId->prefix;
                $nsUri = $nduserId->lookupNamespaceURI($nduserId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'userId');
        } else {
            $this->userId = null;
        }
        $ndserviceOfferingName = $attrs->getNamedItem('serviceOfferingName');
        if (!is_null($ndserviceOfferingName)) {
            $this->serviceOfferingName = $ndserviceOfferingName->value;
            if (isset($ndserviceOfferingName->prefix)) {
                $this->namespace['serviceOfferingName'] = $ndserviceOfferingName->prefix;
                $nsUri = $ndserviceOfferingName->lookupNamespaceURI($ndserviceOfferingName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceOfferingName');
        } else {
            $this->serviceOfferingName = null;
        }
        $ndstate = $attrs->getNamedItem('state');
        if (!is_null($ndstate)) {
            $this->state = $ndstate->value;
            if (isset($ndstate->prefix)) {
                $this->namespace['state'] = $ndstate->prefix;
                $nsUri = $ndstate->lookupNamespaceURI($ndstate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'state');
        } else {
            $this->state = null;
        }
        $ndorgId = $attrs->getNamedItem('orgId');
        if (!is_null($ndorgId)) {
            $this->orgId = $ndorgId->value;
            if (isset($ndorgId->prefix)) {
                $this->namespace['orgId'] = $ndorgId->prefix;
                $nsUri = $ndorgId->lookupNamespaceURI($ndorgId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'orgId');
        } else {
            $this->orgId = null;
        }
        $ndownerName = $attrs->getNamedItem('ownerName');
        if (!is_null($ndownerName)) {
            $this->ownerName = $ndownerName->value;
            if (isset($ndownerName->prefix)) {
                $this->namespace['ownerName'] = $ndownerName->prefix;
                $nsUri = $ndownerName->lookupNamespaceURI($ndownerName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ownerName');
        } else {
            $this->ownerName = null;
        }
        $ndextensionName = $attrs->getNamedItem('extensionName');
        if (!is_null($ndextensionName)) {
            $this->extensionName = $ndextensionName->value;
            if (isset($ndextensionName->prefix)) {
                $this->namespace['extensionName'] = $ndextensionName->prefix;
                $nsUri = $ndextensionName->lookupNamespaceURI($ndextensionName->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionName');
        } else {
            $this->extensionName = null;
        }
        $ndvdcId = $attrs->getNamedItem('vdcId');
        if (!is_null($ndvdcId)) {
            $this->vdcId = $ndvdcId->value;
            if (isset($ndvdcId->prefix)) {
                $this->namespace['vdcId'] = $ndvdcId->prefix;
                $nsUri = $ndvdcId->lookupNamespaceURI($ndvdcId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'vdcId');
        } else {
            $this->vdcId = null;
        }
        $ndserviceOfferingId = $attrs->getNamedItem('serviceOfferingId');
        if (!is_null($ndserviceOfferingId)) {
            $this->serviceOfferingId = $ndserviceOfferingId->value;
            if (isset($ndserviceOfferingId->prefix)) {
                $this->namespace['serviceOfferingId'] = $ndserviceOfferingId->prefix;
                $nsUri = $ndserviceOfferingId->lookupNamespaceURI($ndserviceOfferingId->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceOfferingId');
        } else {
            $this->serviceOfferingId = null;
        }
        $nddescription = $attrs->getNamedItem('description');
        if (!is_null($nddescription)) {
            $this->description = $nddescription->value;
            if (isset($nddescription->prefix)) {
                $this->namespace['description'] = $nddescription->prefix;
                $nsUri = $nddescription->lookupNamespaceURI($nddescription->prefix);
            }
            $node->removeAttributeNS($nsUri, 'description');
        } else {
            $this->description = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultAdminServiceOfferingInstanceRecordType


/**
 * Type for a single serviceExtension query result in records format.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_QueryResultServiceExtensionRecordType extends VMware_VCloud_API_QueryResultRecordType {
    protected $username = null;
    protected $name = null;
    protected $url = null;
    protected $extensionType = null;
    protected $description = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_MetadataType $Metadata - [optional]
    * @param string $username - [optional] an attribute, 
    * @param string $name - [optional] an attribute, 
    * @param string $url - [optional] an attribute, 
    * @param string $namespace - [optional] an attribute, 
    * @param string $extensionType - [optional] an attribute, 
    * @param string $description - [optional] an attribute, 
    */
    public function __construct($href=null, $type=null, $id=null, $Link=null, $Metadata=null, $username=null, $name=null, $url=null, $namespace=null, $extensionType=null, $description=null) {
        parent::__construct($href, $type, $id, $Link, $Metadata);
        $this->username = $username;
        $this->name = $name;
        $this->url = $url;
        $this->namespace = $namespace;
        $this->extensionType = $extensionType;
        $this->description = $description;
        $this->tagName = 'ServiceExtensionRecord';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_username(){
        return $this->username;
    }
    public function set_username($username) {
        $this->username = $username;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_url(){
        return $this->url;
    }
    public function set_url($url) {
        $this->url = $url;
    }
    public function get_namespace(){
        return $this->namespace;
    }
    public function set_namespace($namespace) {
        $this->namespace = $namespace;
    }
    public function get_extensionType(){
        return $this->extensionType;
    }
    public function set_extensionType($extensionType) {
        $this->extensionType = $extensionType;
    }
    public function get_description(){
        return $this->description;
    }
    public function set_description($description) {
        $this->description = $description;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->username)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'username', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'username=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->username, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='username')));
        }
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        if (!is_null($this->url)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'url', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'url=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->url, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='url')));
        }
        if (!is_null($this->namespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'namespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='namespace')));
        }
        if (!is_null($this->extensionType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'extensionType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'extensionType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->extensionType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='extensionType')));
        }
        if (!is_null($this->description)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'description=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='description')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndusername = $attrs->getNamedItem('username');
        if (!is_null($ndusername)) {
            $this->username = $ndusername->value;
            if (isset($ndusername->prefix)) {
                $this->namespace['username'] = $ndusername->prefix;
                $nsUri = $ndusername->lookupNamespaceURI($ndusername->prefix);
            }
            $node->removeAttributeNS($nsUri, 'username');
        } else {
            $this->username = null;
        }
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        $ndurl = $attrs->getNamedItem('url');
        if (!is_null($ndurl)) {
            $this->url = $ndurl->value;
            if (isset($ndurl->prefix)) {
                $this->namespace['url'] = $ndurl->prefix;
                $nsUri = $ndurl->lookupNamespaceURI($ndurl->prefix);
            }
            $node->removeAttributeNS($nsUri, 'url');
        } else {
            $this->url = null;
        }
        $ndnamespace = $attrs->getNamedItem('namespace');
        if (!is_null($ndnamespace)) {
            $this->namespace = $ndnamespace->value;
            if (isset($ndnamespace->prefix)) {
                $this->namespace['namespace'] = $ndnamespace->prefix;
                $nsUri = $ndnamespace->lookupNamespaceURI($ndnamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'namespace');
        } else {
            $this->namespace = null;
        }
        $ndextensionType = $attrs->getNamedItem('extensionType');
        if (!is_null($ndextensionType)) {
            $this->extensionType = $ndextensionType->value;
            if (isset($ndextensionType->prefix)) {
                $this->namespace['extensionType'] = $ndextensionType->prefix;
                $nsUri = $ndextensionType->lookupNamespaceURI($ndextensionType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'extensionType');
        } else {
            $this->extensionType = null;
        }
        $nddescription = $attrs->getNamedItem('description');
        if (!is_null($nddescription)) {
            $this->description = $nddescription->value;
            if (isset($nddescription->prefix)) {
                $this->namespace['description'] = $nddescription->prefix;
                $nsUri = $nddescription->lookupNamespaceURI($nddescription->prefix);
            }
            $node->removeAttributeNS($nsUri, 'description');
        } else {
            $this->description = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_QueryResultServiceExtensionRecordType


/**
 * Internal use only.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_UberAdminSettingsType extends VMware_VCloud_API_ResourceType {
    protected $DebugMode = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $DebugMode - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $DebugMode=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->DebugMode = $DebugMode;
        $this->tagName = 'UberAdminSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDebugMode() {
        return $this->DebugMode;
    }
    public function setDebugMode($DebugMode) { 
        $this->DebugMode = $DebugMode;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->DebugMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DebugMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DebugMode>" . VMware_VCloud_API_Helper::format_boolean($this->DebugMode, $input_name='DebugMode') . "</" . $ns . "DebugMode>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->DebugMode) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DebugMode') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->DebugMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['DebugMode'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_UberAdminSettingsType


/**
 * Internal use only.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_SerialPortConfigType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Status = null;
    protected $StartConnected = null;
    protected $AllowGuestControl = null;
    protected $Direction = null;
    protected $ServiceUri = null;
    protected $YieldOnPoll = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Status - [optional] 
    * @param boolean $StartConnected - [optional] 
    * @param boolean $AllowGuestControl - [required] 
    * @param string $Direction - [required] 
    * @param string $ServiceUri - [required] 
    * @param boolean $YieldOnPoll - [required] 
    */
    public function __construct($VCloudExtension=null, $Status=null, $StartConnected=null, $AllowGuestControl=null, $Direction=null, $ServiceUri=null, $YieldOnPoll=null) {
        parent::__construct($VCloudExtension);
        $this->Status = $Status;
        $this->StartConnected = $StartConnected;
        $this->AllowGuestControl = $AllowGuestControl;
        $this->Direction = $Direction;
        $this->ServiceUri = $ServiceUri;
        $this->YieldOnPoll = $YieldOnPoll;
        $this->tagName = 'SerialPortConfigType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getStatus() {
        return $this->Status;
    }
    public function setStatus($Status) { 
        $this->Status = $Status;
    }
    public function getStartConnected() {
        return $this->StartConnected;
    }
    public function setStartConnected($StartConnected) { 
        $this->StartConnected = $StartConnected;
    }
    public function getAllowGuestControl() {
        return $this->AllowGuestControl;
    }
    public function setAllowGuestControl($AllowGuestControl) { 
        $this->AllowGuestControl = $AllowGuestControl;
    }
    public function getDirection() {
        return $this->Direction;
    }
    public function setDirection($Direction) { 
        $this->Direction = $Direction;
    }
    public function getServiceUri() {
        return $this->ServiceUri;
    }
    public function setServiceUri($ServiceUri) { 
        $this->ServiceUri = $ServiceUri;
    }
    public function getYieldOnPoll() {
        return $this->YieldOnPoll;
    }
    public function setYieldOnPoll($YieldOnPoll) { 
        $this->YieldOnPoll = $YieldOnPoll;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Status)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Status>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Status, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Status')) . "</" . $ns . "Status>\n");
        }
        if (!is_null($this->StartConnected)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StartConnected', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StartConnected>" . VMware_VCloud_API_Helper::format_boolean($this->StartConnected, $input_name='StartConnected') . "</" . $ns . "StartConnected>\n");
        }
        if (!is_null($this->AllowGuestControl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AllowGuestControl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AllowGuestControl>" . VMware_VCloud_API_Helper::format_boolean($this->AllowGuestControl, $input_name='AllowGuestControl') . "</" . $ns . "AllowGuestControl>\n");
     }
        if (!is_null($this->Direction)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Direction', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Direction>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Direction, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Direction')) . "</" . $ns . "Direction>\n");
        }
        if (!is_null($this->ServiceUri)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ServiceUri', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ServiceUri>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ServiceUri, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ServiceUri')) . "</" . $ns . "ServiceUri>\n");
        }
        if (!is_null($this->YieldOnPoll)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'YieldOnPoll', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "YieldOnPoll>" . VMware_VCloud_API_Helper::format_boolean($this->YieldOnPoll, $input_name='YieldOnPoll') . "</" . $ns . "YieldOnPoll>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Status) ||
            !is_null($this->StartConnected) ||
            !is_null($this->AllowGuestControl) ||
            !is_null($this->Direction) ||
            !is_null($this->ServiceUri) ||
            !is_null($this->YieldOnPoll) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Status') {
            $sval = $child->nodeValue;
            $this->Status = $sval;
            if (!empty($namespace)) {
                $this->namespace['Status'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartConnected') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->StartConnected = $sval;
            if (!empty($namespace)) {
                $this->namespace['StartConnected'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllowGuestControl') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AllowGuestControl = $sval;
            if (!empty($namespace)) {
                $this->namespace['AllowGuestControl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Direction') {
            $sval = $child->nodeValue;
            $this->Direction = $sval;
            if (!empty($namespace)) {
                $this->namespace['Direction'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceUri') {
            $sval = $child->nodeValue;
            $this->ServiceUri = $sval;
            if (!empty($namespace)) {
                $this->namespace['ServiceUri'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'YieldOnPoll') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->YieldOnPoll = $sval;
            if (!empty($namespace)) {
                $this->namespace['YieldOnPoll'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_SerialPortConfigType


/**
 * Represents enumeration of system configuration settings.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_SystemConfigurationSettingsType extends VMware_VCloud_API_ResourceType {
    protected $Settings = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Settings - [optional] an array of VMware_VCloud_API_Extension_SystemConfigurationSettingType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Settings=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($Settings)) {
            $this->Settings = $Settings;
        }
        $this->tagName = 'SystemConfigurationSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSettings() {
        return $this->Settings;
    }
    public function setSettings($Settings) { 
        $this->Settings = $Settings;
    }
    public function addSettings($value) { array_push($this->Settings, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Settings)) {
            foreach ($this->Settings as $Settings) {
                $out = $Settings->export('Settings', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Settings) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Settings') {
            $obj = new VMware_VCloud_API_Extension_SystemConfigurationSettingType();
            $obj->build($child);
            $obj->set_tagName('Settings');
            array_push($this->Settings, $obj);
            if (!empty($namespace)) {
                $this->namespace['Settings'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_SystemConfigurationSettingsType


/**
 * Represents a single system configuration setting.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_SystemConfigurationSettingType extends VMware_VCloud_API_ResourceType {
    protected $Name = null;
    protected $Section = null;
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $Name - [optional] 
    * @param string $Section - [optional] 
    * @param string $Value - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Name=null, $Section=null, $Value=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->Name = $Name;
        $this->Section = $Section;
        $this->Value = $Value;
        $this->tagName = 'SystemConfigurationSetting';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Section)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Section', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Section>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Section, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Section')) . "</" . $ns . "Section>\n");
        }
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Section) ||
            !is_null($this->Value) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $sval = $child->nodeValue;
            $this->Section = $sval;
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            $this->setSection($obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_SystemConfigurationSettingType


/**
 * A value to be applied to a system configuration setting.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_SystemConfigurationSettingValueType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Value - [optional] 
    */
    public function __construct($VCloudExtension=null, $Value=null) {
        parent::__construct($VCloudExtension);
        $this->Value = $Value;
        $this->tagName = 'SystemConfigurationSettingValue';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Value) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_SystemConfigurationSettingValueType


/**
 * Represents parameters to register vCloud Director  with Component Manager.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ComponentManagerSettingsType extends VMware_VCloud_API_ResourceType {
    protected $CMUrl = null;
    protected $SSOAdminUsername = null;
    protected $SSOAdminPassword = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $CMUrl - [optional] 
    * @param string $SSOAdminUsername - [optional] 
    * @param string $SSOAdminPassword - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $CMUrl=null, $SSOAdminUsername=null, $SSOAdminPassword=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->CMUrl = $CMUrl;
        $this->SSOAdminUsername = $SSOAdminUsername;
        $this->SSOAdminPassword = $SSOAdminPassword;
        $this->tagName = 'ComponentManagerSettings';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getCMUrl() {
        return $this->CMUrl;
    }
    public function setCMUrl($CMUrl) { 
        $this->CMUrl = $CMUrl;
    }
    public function getSSOAdminUsername() {
        return $this->SSOAdminUsername;
    }
    public function setSSOAdminUsername($SSOAdminUsername) { 
        $this->SSOAdminUsername = $SSOAdminUsername;
    }
    public function getSSOAdminPassword() {
        return $this->SSOAdminPassword;
    }
    public function setSSOAdminPassword($SSOAdminPassword) { 
        $this->SSOAdminPassword = $SSOAdminPassword;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->CMUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CMUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CMUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CMUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CMUrl')) . "</" . $ns . "CMUrl>\n");
        }
        if (!is_null($this->SSOAdminUsername)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SSOAdminUsername', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SSOAdminUsername>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SSOAdminUsername, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SSOAdminUsername')) . "</" . $ns . "SSOAdminUsername>\n");
        }
        if (!is_null($this->SSOAdminPassword)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SSOAdminPassword', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SSOAdminPassword>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SSOAdminPassword, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SSOAdminPassword')) . "</" . $ns . "SSOAdminPassword>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->CMUrl) ||
            !is_null($this->SSOAdminUsername) ||
            !is_null($this->SSOAdminPassword) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CMUrl') {
            $sval = $child->nodeValue;
            $this->CMUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['CMUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SSOAdminUsername') {
            $sval = $child->nodeValue;
            $this->SSOAdminUsername = $sval;
            if (!empty($namespace)) {
                $this->namespace['SSOAdminUsername'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SSOAdminPassword') {
            $sval = $child->nodeValue;
            $this->SSOAdminPassword = $sval;
            if (!empty($namespace)) {
                $this->namespace['SSOAdminPassword'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ComponentManagerSettingsType


/**
 * Internal use only.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_CbmDataType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $VimServer = null;
    protected $BackingRef = null;
    protected $BackingRefType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $VimServer - [optional]
    * @param string $BackingRef - [optional] 
    * @param string $BackingRefType - [optional] 
    */
    public function __construct($VCloudExtension=null, $VimServer=null, $BackingRef=null, $BackingRefType=null) {
        parent::__construct($VCloudExtension);
        $this->VimServer = $VimServer;
        $this->BackingRef = $BackingRef;
        $this->BackingRefType = $BackingRefType;
        $this->tagName = 'CbmData';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimServer() {
        return $this->VimServer;
    }
    public function setVimServer($VimServer) { 
        $this->VimServer = $VimServer;
    }
    public function getBackingRef() {
        return $this->BackingRef;
    }
    public function setBackingRef($BackingRef) { 
        $this->BackingRef = $BackingRef;
    }
    public function getBackingRefType() {
        return $this->BackingRefType;
    }
    public function setBackingRefType($BackingRefType) { 
        $this->BackingRefType = $BackingRefType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VimServer)) {
            $out = $this->VimServer->export('VimServer', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->BackingRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'BackingRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "BackingRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->BackingRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='BackingRef')) . "</" . $ns . "BackingRef>\n");
        }
        if (!is_null($this->BackingRefType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'BackingRefType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "BackingRefType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->BackingRefType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='BackingRefType')) . "</" . $ns . "BackingRefType>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimServer) ||
            !is_null($this->BackingRef) ||
            !is_null($this->BackingRefType) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimServer') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VimServer');
            $this->setVimServer($obj);
            if (!empty($namespace)) {
                $this->namespace['VimServer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BackingRef') {
            $sval = $child->nodeValue;
            $this->BackingRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['BackingRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BackingRefType') {
            $sval = $child->nodeValue;
            $this->BackingRefType = $sval;
            if (!empty($namespace)) {
                $this->namespace['BackingRefType'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_CbmDataType


/**
 * Represents the id and the type of an extension object and its associated extension reference.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ExtensionObjectRefType extends VMware_VCloud_API_IdentifiableResourceType {
    protected $ExtensionObjectType = null;
    protected $ExtensionRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $ExtensionObjectType - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $ExtensionRef - [required]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $ExtensionObjectType=null, $ExtensionRef=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id);
        $this->ExtensionObjectType = $ExtensionObjectType;
        $this->ExtensionRef = $ExtensionRef;
        $this->tagName = 'ExtensionObjectRef';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getExtensionRef() {
        return $this->ExtensionRef;
    }
    public function setExtensionRef($ExtensionRef) { 
        $this->ExtensionRef = $ExtensionRef;
    }
    public function getExtensionObjectType(){
        return $this->ExtensionObjectType;
    }
    public function setExtensionObjectType($ExtensionObjectType) {
        $this->ExtensionObjectType = $ExtensionObjectType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ExtensionObjectType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ExtensionObjectType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ExtensionObjectType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExtensionObjectType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExtensionObjectType')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ExtensionRef)) {
            $out = $this->ExtensionRef->export('ExtensionRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ExtensionRef) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndExtensionObjectType = $attrs->getNamedItem('ExtensionObjectType');
        if (!is_null($ndExtensionObjectType)) {
            $this->ExtensionObjectType = $ndExtensionObjectType->value;
            if (isset($ndExtensionObjectType->prefix)) {
                $this->namespace['ExtensionObjectType'] = $ndExtensionObjectType->prefix;
                $nsUri = $ndExtensionObjectType->lookupNamespaceURI($ndExtensionObjectType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ExtensionObjectType');
        } else {
            $this->ExtensionObjectType = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExtensionRef') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ExtensionRef');
            $this->setExtensionRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ExtensionRef'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ExtensionObjectRefType


/**
 * Meta info of a service offering parameter.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingParamMetaInfoType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Name = null;
    protected $Type = null;
    protected $Description = null;
    protected $IsInput = null;
    protected $IsOutput = null;
    protected $IsRequired = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Name - [required] 
    * @param string $Type - [required] 
    * @param string $Description - [required] 
    * @param boolean $IsInput - [required] 
    * @param boolean $IsOutput - [required] 
    * @param boolean $IsRequired - [required] 
    */
    public function __construct($VCloudExtension=null, $Name=null, $Type=null, $Description=null, $IsInput=null, $IsOutput=null, $IsRequired=null) {
        parent::__construct($VCloudExtension);
        $this->Name = $Name;
        $this->Type = $Type;
        $this->Description = $Description;
        $this->IsInput = $IsInput;
        $this->IsOutput = $IsOutput;
        $this->IsRequired = $IsRequired;
        $this->tagName = 'ServiceOfferingParamMetaInfo';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getName() {
        return $this->Name;
    }
    public function setName($Name) { 
        $this->Name = $Name;
    }
    public function getType() {
        return $this->Type;
    }
    public function setType($Type) { 
        $this->Type = $Type;
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getIsInput() {
        return $this->IsInput;
    }
    public function setIsInput($IsInput) { 
        $this->IsInput = $IsInput;
    }
    public function getIsOutput() {
        return $this->IsOutput;
    }
    public function setIsOutput($IsOutput) { 
        $this->IsOutput = $IsOutput;
    }
    public function getIsRequired() {
        return $this->IsRequired;
    }
    public function setIsRequired($IsRequired) { 
        $this->IsRequired = $IsRequired;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Name)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Name>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Name')) . "</" . $ns . "Name>\n");
        }
        if (!is_null($this->Type)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Type', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Type>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Type, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Type')) . "</" . $ns . "Type>\n");
        }
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->IsInput)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsInput', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsInput>" . VMware_VCloud_API_Helper::format_boolean($this->IsInput, $input_name='IsInput') . "</" . $ns . "IsInput>\n");
     }
        if (!is_null($this->IsOutput)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsOutput', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsOutput>" . VMware_VCloud_API_Helper::format_boolean($this->IsOutput, $input_name='IsOutput') . "</" . $ns . "IsOutput>\n");
     }
        if (!is_null($this->IsRequired)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsRequired', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsRequired>" . VMware_VCloud_API_Helper::format_boolean($this->IsRequired, $input_name='IsRequired') . "</" . $ns . "IsRequired>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Name) ||
            !is_null($this->Type) ||
            !is_null($this->Description) ||
            !is_null($this->IsInput) ||
            !is_null($this->IsOutput) ||
            !is_null($this->IsRequired) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Name') {
            $sval = $child->nodeValue;
            $this->Name = $sval;
            if (!empty($namespace)) {
                $this->namespace['Name'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Type') {
            $sval = $child->nodeValue;
            $this->Type = $sval;
            if (!empty($namespace)) {
                $this->namespace['Type'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsInput') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsInput = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsInput'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsOutput') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsOutput = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsOutput'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsRequired') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsRequired = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsRequired'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingParamMetaInfoType


/**
 * Parameter meta info list of a service offering.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingParamsMetaInfoType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Param = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Param - [optional] an array of VMware_VCloud_API_Extension_ServiceOfferingParamMetaInfoType objects
    */
    public function __construct($VCloudExtension=null, $Param=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Param)) {
            $this->Param = $Param;
        }
        $this->tagName = 'ServiceOfferingParamsMetaInfo';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getParam() {
        return $this->Param;
    }
    public function setParam($Param) { 
        $this->Param = $Param;
    }
    public function addParam($value) { array_push($this->Param, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Param)) {
            foreach ($this->Param as $Param) {
                $out = $Param->export('Param', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Param) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Param') {
            $obj = new VMware_VCloud_API_Extension_ServiceOfferingParamMetaInfoType();
            $obj->build($child);
            $obj->set_tagName('Param');
            array_push($this->Param, $obj);
            if (!empty($namespace)) {
                $this->namespace['Param'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingParamsMetaInfoType


/**
 * Represents an extension service offering.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingType extends VMware_VCloud_API_EntityType {
    protected $ExtensionRef = null;
    protected $Params = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_ReferenceType $ExtensionRef - [required]
    * @param VMware_VCloud_API_Extension_ServiceOfferingParamsMetaInfoType $Params - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $ExtensionRef=null, $Params=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->ExtensionRef = $ExtensionRef;
        $this->Params = $Params;
        $this->tagName = 'ServiceOffering';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getExtensionRef() {
        return $this->ExtensionRef;
    }
    public function setExtensionRef($ExtensionRef) { 
        $this->ExtensionRef = $ExtensionRef;
    }
    public function getParams() {
        return $this->Params;
    }
    public function setParams($Params) { 
        $this->Params = $Params;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ExtensionRef)) {
            $out = $this->ExtensionRef->export('ExtensionRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Params)) {
            $out = $this->Params->export('Params', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ExtensionRef) ||
            !is_null($this->Params) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExtensionRef') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ExtensionRef');
            $this->setExtensionRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ExtensionRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Params') {
            $obj = new VMware_VCloud_API_Extension_ServiceOfferingParamsMetaInfoType();
            $obj->build($child);
            $obj->set_tagName('Params');
            $this->setParams($obj);
            if (!empty($namespace)) {
                $this->namespace['Params'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingType


/**
 * Parameters to associate a service offering to a vCloud entity.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingAssociateParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ServiceOfferingRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_Extension_ExtensionObjectRefType $ServiceOfferingRef - [required]
    */
    public function __construct($VCloudExtension=null, $ServiceOfferingRef=null) {
        parent::__construct($VCloudExtension);
        $this->ServiceOfferingRef = $ServiceOfferingRef;
        $this->tagName = 'ServiceOfferingAssociateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceOfferingRef() {
        return $this->ServiceOfferingRef;
    }
    public function setServiceOfferingRef($ServiceOfferingRef) { 
        $this->ServiceOfferingRef = $ServiceOfferingRef;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ServiceOfferingRef)) {
            $out = $this->ServiceOfferingRef->export('ServiceOfferingRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ServiceOfferingRef) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingRef') {
            $obj = new VMware_VCloud_API_Extension_ExtensionObjectRefType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingRef');
            $this->setServiceOfferingRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingRef'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingAssociateParamsType


/**
 * Parameters to disassociate a service offering to a vCloud entity.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingDisassociateParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ServiceOfferingRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_Extension_ExtensionObjectRefType $ServiceOfferingRef - [required]
    */
    public function __construct($VCloudExtension=null, $ServiceOfferingRef=null) {
        parent::__construct($VCloudExtension);
        $this->ServiceOfferingRef = $ServiceOfferingRef;
        $this->tagName = 'ServiceOfferingDisassociateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceOfferingRef() {
        return $this->ServiceOfferingRef;
    }
    public function setServiceOfferingRef($ServiceOfferingRef) { 
        $this->ServiceOfferingRef = $ServiceOfferingRef;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ServiceOfferingRef)) {
            $out = $this->ServiceOfferingRef->export('ServiceOfferingRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ServiceOfferingRef) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingRef') {
            $obj = new VMware_VCloud_API_Extension_ExtensionObjectRefType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingRef');
            $this->setServiceOfferingRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingRef'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingDisassociateParamsType


/**
 * Parameter info of a service offering instance.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingInstanceParamType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $MetaInfo = null;
    protected $Value = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_Extension_ServiceOfferingParamMetaInfoType $MetaInfo - [required]
    * @param string $Value - [required] 
    */
    public function __construct($VCloudExtension=null, $MetaInfo=null, $Value=null) {
        parent::__construct($VCloudExtension);
        $this->MetaInfo = $MetaInfo;
        $this->Value = $Value;
        $this->tagName = 'ServiceOfferingInstanceParam';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMetaInfo() {
        return $this->MetaInfo;
    }
    public function setMetaInfo($MetaInfo) { 
        $this->MetaInfo = $MetaInfo;
    }
    public function getValue() {
        return $this->Value;
    }
    public function setValue($Value) { 
        $this->Value = $Value;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->MetaInfo)) {
            $out = $this->MetaInfo->export('MetaInfo', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Value)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Value', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Value>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Value, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Value')) . "</" . $ns . "Value>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->MetaInfo) ||
            !is_null($this->Value) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MetaInfo') {
            $obj = new VMware_VCloud_API_Extension_ServiceOfferingParamMetaInfoType();
            $obj->build($child);
            $obj->set_tagName('MetaInfo');
            $this->setMetaInfo($obj);
            if (!empty($namespace)) {
                $this->namespace['MetaInfo'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Value') {
            $sval = $child->nodeValue;
            $this->Value = $sval;
            if (!empty($namespace)) {
                $this->namespace['Value'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingInstanceParamType


/**
 * Parameter list for a service offering instance.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingInstanceParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Param = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Param - [required] an array of VMware_VCloud_API_Extension_ServiceOfferingInstanceParamType objects
    */
    public function __construct($VCloudExtension=null, $Param=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Param)) {
            $this->Param = $Param;
        }
        $this->tagName = 'ServiceOfferingInstanceParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getParam() {
        return $this->Param;
    }
    public function setParam($Param) { 
        $this->Param = $Param;
    }
    public function addParam($value) { array_push($this->Param, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Param)) {
            foreach ($this->Param as $Param) {
                $out = $Param->export('Param', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Param) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Param') {
            $obj = new VMware_VCloud_API_Extension_ServiceOfferingInstanceParamType();
            $obj->build($child);
            $obj->set_tagName('Param');
            array_push($this->Param, $obj);
            if (!empty($namespace)) {
                $this->namespace['Param'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingInstanceParamsType


/**
 * Represents an extension service offering instance.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingInstanceType extends VMware_VCloud_API_EntityType {
    protected $ServiceOfferingRef = null;
    protected $State = null;
    protected $Params = null;
    protected $ServiceOfferingName = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_Extension_ExtensionObjectRefType $ServiceOfferingRef - [required]
    * @param string $State - [optional] 
    * @param VMware_VCloud_API_Extension_ServiceOfferingInstanceParamsType $Params - [optional]
    * @param string $ServiceOfferingName - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $ServiceOfferingRef=null, $State=null, $Params=null, $ServiceOfferingName=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->ServiceOfferingRef = $ServiceOfferingRef;
        $this->State = $State;
        $this->Params = $Params;
        $this->ServiceOfferingName = $ServiceOfferingName;
        $this->tagName = 'ServiceOfferingInstance';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceOfferingRef() {
        return $this->ServiceOfferingRef;
    }
    public function setServiceOfferingRef($ServiceOfferingRef) { 
        $this->ServiceOfferingRef = $ServiceOfferingRef;
    }
    public function getState() {
        return $this->State;
    }
    public function setState($State) { 
        $this->State = $State;
    }
    public function getParams() {
        return $this->Params;
    }
    public function setParams($Params) { 
        $this->Params = $Params;
    }
    public function getServiceOfferingName() {
        return $this->ServiceOfferingName;
    }
    public function setServiceOfferingName($ServiceOfferingName) { 
        $this->ServiceOfferingName = $ServiceOfferingName;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ServiceOfferingRef)) {
            $out = $this->ServiceOfferingRef->export('ServiceOfferingRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->State)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'State', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "State>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->State, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='State')) . "</" . $ns . "State>\n");
        }
        if (!is_null($this->Params)) {
            $out = $this->Params->export('Params', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ServiceOfferingName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ServiceOfferingName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ServiceOfferingName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ServiceOfferingName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ServiceOfferingName')) . "</" . $ns . "ServiceOfferingName>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ServiceOfferingRef) ||
            !is_null($this->State) ||
            !is_null($this->Params) ||
            !is_null($this->ServiceOfferingName) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingRef') {
            $obj = new VMware_VCloud_API_Extension_ExtensionObjectRefType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingRef');
            $this->setServiceOfferingRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'State') {
            $sval = $child->nodeValue;
            $this->State = $sval;
            if (!empty($namespace)) {
                $this->namespace['State'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Params') {
            $obj = new VMware_VCloud_API_Extension_ServiceOfferingInstanceParamsType();
            $obj->build($child);
            $obj->set_tagName('Params');
            $this->setParams($obj);
            if (!empty($namespace)) {
                $this->namespace['Params'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingName') {
            $sval = $child->nodeValue;
            $this->ServiceOfferingName = $sval;
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingName'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingInstanceType


/**
 * Parameters for creating an extension service offering instance.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingInstanceCreateParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ServiceOfferingInstance = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_Extension_ServiceOfferingInstanceType $ServiceOfferingInstance - [required]
    */
    public function __construct($VCloudExtension=null, $ServiceOfferingInstance=null) {
        parent::__construct($VCloudExtension);
        $this->ServiceOfferingInstance = $ServiceOfferingInstance;
        $this->tagName = 'ServiceOfferingInstanceCreateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceOfferingInstance() {
        return $this->ServiceOfferingInstance;
    }
    public function setServiceOfferingInstance($ServiceOfferingInstance) { 
        $this->ServiceOfferingInstance = $ServiceOfferingInstance;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ServiceOfferingInstance)) {
            $out = $this->ServiceOfferingInstance->export('ServiceOfferingInstance', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ServiceOfferingInstance) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingInstance') {
            $obj = new VMware_VCloud_API_Extension_ServiceOfferingInstanceType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingInstance');
            $this->setServiceOfferingInstance($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingInstance'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingInstanceCreateParamsType


/**
 * Parameters for updating an extension service offering instance.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingInstanceUpdateParamsType extends VMware_VCloud_API_EntityType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->tagName = 'ServiceOfferingInstanceUpdateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingInstanceUpdateParamsType


/**
 * Parameters to associate a service offering instance to a vCloud entity.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingInstanceAssociateParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ServiceOfferingInstanceRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_Extension_ExtensionObjectRefType $ServiceOfferingInstanceRef - [required]
    */
    public function __construct($VCloudExtension=null, $ServiceOfferingInstanceRef=null) {
        parent::__construct($VCloudExtension);
        $this->ServiceOfferingInstanceRef = $ServiceOfferingInstanceRef;
        $this->tagName = 'ServiceOfferingInstanceAssociateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceOfferingInstanceRef() {
        return $this->ServiceOfferingInstanceRef;
    }
    public function setServiceOfferingInstanceRef($ServiceOfferingInstanceRef) { 
        $this->ServiceOfferingInstanceRef = $ServiceOfferingInstanceRef;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ServiceOfferingInstanceRef)) {
            $out = $this->ServiceOfferingInstanceRef->export('ServiceOfferingInstanceRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ServiceOfferingInstanceRef) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingInstanceRef') {
            $obj = new VMware_VCloud_API_Extension_ExtensionObjectRefType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingInstanceRef');
            $this->setServiceOfferingInstanceRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingInstanceRef'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingInstanceAssociateParamsType


/**
 * Parameters to disassociate a service offering instance to a vCloud entity.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceOfferingInstanceDisassociateParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ServiceOfferingInstanceRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_Extension_ExtensionObjectRefType $ServiceOfferingInstanceRef - [required]
    */
    public function __construct($VCloudExtension=null, $ServiceOfferingInstanceRef=null) {
        parent::__construct($VCloudExtension);
        $this->ServiceOfferingInstanceRef = $ServiceOfferingInstanceRef;
        $this->tagName = 'ServiceOfferingInstanceDisassociateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceOfferingInstanceRef() {
        return $this->ServiceOfferingInstanceRef;
    }
    public function setServiceOfferingInstanceRef($ServiceOfferingInstanceRef) { 
        $this->ServiceOfferingInstanceRef = $ServiceOfferingInstanceRef;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ServiceOfferingInstanceRef)) {
            $out = $this->ServiceOfferingInstanceRef->export('ServiceOfferingInstanceRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ServiceOfferingInstanceRef) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingInstanceRef') {
            $obj = new VMware_VCloud_API_Extension_ExtensionObjectRefType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingInstanceRef');
            $this->setServiceOfferingInstanceRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingInstanceRef'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceOfferingInstanceDisassociateParamsType


/**
 * List links to extension operations and entities.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWExtensionType extends VMware_VCloud_API_ResourceType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->tagName = 'VMWExtension';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWExtensionType


/**
 * vSphere resource pool information.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ResourcePoolType extends VMware_VCloud_API_EntityType {
    protected $MoRef = null;
    protected $VimObjectType = null;
    protected $DataStoreRefs = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $MoRef - [required] 
    * @param string $VimObjectType - [required] 
    * @param VMware_VCloud_API_Extension_VimObjectRefsType $DataStoreRefs - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $MoRef=null, $VimObjectType=null, $DataStoreRefs=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->MoRef = $MoRef;
        $this->VimObjectType = $VimObjectType;
        $this->DataStoreRefs = $DataStoreRefs;
        $this->tagName = 'Entity';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMoRef() {
        return $this->MoRef;
    }
    public function setMoRef($MoRef) { 
        $this->MoRef = $MoRef;
    }
    public function getVimObjectType() {
        return $this->VimObjectType;
    }
    public function setVimObjectType($VimObjectType) { 
        $this->VimObjectType = $VimObjectType;
    }
    public function getDataStoreRefs() {
        return $this->DataStoreRefs;
    }
    public function setDataStoreRefs($DataStoreRefs) { 
        $this->DataStoreRefs = $DataStoreRefs;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='ResourcePoolType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->MoRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MoRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MoRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MoRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MoRef')) . "</" . $ns . "MoRef>\n");
        }
        if (!is_null($this->VimObjectType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VimObjectType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VimObjectType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VimObjectType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VimObjectType')) . "</" . $ns . "VimObjectType>\n");
        }
        if (!is_null($this->DataStoreRefs)) {
            $out = $this->DataStoreRefs->export('DataStoreRefs', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->MoRef) ||
            !is_null($this->VimObjectType) ||
            !is_null($this->DataStoreRefs) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MoRef') {
            $sval = $child->nodeValue;
            $this->MoRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['MoRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectType') {
            $sval = $child->nodeValue;
            $this->VimObjectType = $sval;
            if (!empty($namespace)) {
                $this->namespace['VimObjectType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DataStoreRefs') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('DataStoreRefs');
            $this->setDataStoreRefs($obj);
            if (!empty($namespace)) {
                $this->namespace['DataStoreRefs'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ResourcePoolType


/**
 * Parameters for preparing an ESX/ESXi host.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_PrepareHostParamsType {
    protected $Username = null;
    protected $Password = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param string $Username - [required] 
    * @param string $Password - [required] 
    */
    public function __construct($Username=null, $Password=null) {
        $this->Username = $Username;
        $this->Password = $Password;
        $this->tagName = 'PrepareHostParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUsername() {
        return $this->Username;
    }
    public function setUsername($Username) { 
        $this->Username = $Username;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Username)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Username', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Username>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Username, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Username')) . "</" . $ns . "Username>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Username) ||
            !is_null($this->Password)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Username') {
            $sval = $child->nodeValue;
            $this->Username = $sval;
            if (!empty($namespace)) {
                $this->namespace['Username'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_PrepareHostParamsType


/**
 * Information needed to connect to a vSphere or a vShield manager  server.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServerType extends VMware_VCloud_API_EntityType {
    protected $Username = null;
    protected $Password = null;
    protected $Url = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $Username - [required] 
    * @param string $Password - [optional] 
    * @param string $Url - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Username=null, $Password=null, $Url=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Username = $Username;
        $this->Password = $Password;
        $this->Url = $Url;
        $this->tagName = 'Entity';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUsername() {
        return $this->Username;
    }
    public function setUsername($Username) { 
        $this->Username = $Username;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function getUrl() {
        return $this->Url;
    }
    public function setUrl($Url) { 
        $this->Url = $Url;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='ServerType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Username)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Username', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Username>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Username, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Username')) . "</" . $ns . "Username>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        if (!is_null($this->Url)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Url', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Url>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Url, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Url')) . "</" . $ns . "Url>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Username) ||
            !is_null($this->Password) ||
            !is_null($this->Url) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Username') {
            $sval = $child->nodeValue;
            $this->Username = $sval;
            if (!empty($namespace)) {
                $this->namespace['Username'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Url') {
            $sval = $child->nodeValue;
            $this->Url = $sval;
            if (!empty($namespace)) {
                $this->namespace['Url'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServerType


/**
 * Represents parameters to register a vCenter server.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_RegisterVimServerParamsType {
    protected $VimServer = null;
    protected $ShieldManager = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param VMware_VCloud_API_Extension_VimServerType $VimServer - [required]
    * @param VMware_VCloud_API_Extension_ShieldManagerType $ShieldManager - [required]
    */
    public function __construct($VimServer=null, $ShieldManager=null) {
        $this->VimServer = $VimServer;
        $this->ShieldManager = $ShieldManager;
        $this->tagName = 'RegisterVimServerParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimServer() {
        return $this->VimServer;
    }
    public function setVimServer($VimServer) { 
        $this->VimServer = $VimServer;
    }
    public function getShieldManager() {
        return $this->ShieldManager;
    }
    public function setShieldManager($ShieldManager) { 
        $this->ShieldManager = $ShieldManager;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->VimServer)) {
            $out = $this->VimServer->export('VimServer', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ShieldManager)) {
            $out = $this->ShieldManager->export('ShieldManager', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimServer) ||
            !is_null($this->ShieldManager)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimServer') {
            $obj = new VMware_VCloud_API_Extension_VimServerType();
            $obj->build($child);
            $obj->set_tagName('VimServer');
            $this->setVimServer($obj);
            if (!empty($namespace)) {
                $this->namespace['VimServer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ShieldManager') {
            $obj = new VMware_VCloud_API_Extension_ShieldManagerType();
            $obj->build($child);
            $obj->set_tagName('ShieldManager');
            $this->setShieldManager($obj);
            if (!empty($namespace)) {
                $this->namespace['ShieldManager'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_RegisterVimServerParamsType


/**
 * Represents vCenter server information.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VimServerType extends VMware_VCloud_API_Extension_ServerType {
    protected $IsEnabled = null;
    protected $IsConnected = null;
    protected $ShieldManagerHost = null;
    protected $ShieldManagerUserName = null;
    protected $Uuid = null;
    protected $VcProxy = null;
    protected $VcVersion = null;
    protected $UseVsphereService = null;
    protected $VsphereWebClientServerUrl = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $Username - [required] 
    * @param string $Password - [optional] 
    * @param string $Url - [required] 
    * @param boolean $IsEnabled - [required] 
    * @param boolean $IsConnected - [optional] 
    * @param string $ShieldManagerHost - [optional] 
    * @param string $ShieldManagerUserName - [optional] 
    * @param string $Uuid - [optional] 
    * @param string $VcProxy - [optional] 
    * @param string $VcVersion - [optional] 
    * @param boolean $UseVsphereService - [optional] 
    * @param string $VsphereWebClientServerUrl - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Username=null, $Password=null, $Url=null, $IsEnabled=null, $IsConnected=null, $ShieldManagerHost=null, $ShieldManagerUserName=null, $Uuid=null, $VcProxy=null, $VcVersion=null, $UseVsphereService=null, $VsphereWebClientServerUrl=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Username, $Password, $Url);
        $this->IsEnabled = $IsEnabled;
        $this->IsConnected = $IsConnected;
        $this->ShieldManagerHost = $ShieldManagerHost;
        $this->ShieldManagerUserName = $ShieldManagerUserName;
        $this->Uuid = $Uuid;
        $this->VcProxy = $VcProxy;
        $this->VcVersion = $VcVersion;
        $this->UseVsphereService = $UseVsphereService;
        $this->VsphereWebClientServerUrl = $VsphereWebClientServerUrl;
        $this->tagName = 'VimServer';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getIsConnected() {
        return $this->IsConnected;
    }
    public function setIsConnected($IsConnected) { 
        $this->IsConnected = $IsConnected;
    }
    public function getShieldManagerHost() {
        return $this->ShieldManagerHost;
    }
    public function setShieldManagerHost($ShieldManagerHost) { 
        $this->ShieldManagerHost = $ShieldManagerHost;
    }
    public function getShieldManagerUserName() {
        return $this->ShieldManagerUserName;
    }
    public function setShieldManagerUserName($ShieldManagerUserName) { 
        $this->ShieldManagerUserName = $ShieldManagerUserName;
    }
    public function getUuid() {
        return $this->Uuid;
    }
    public function setUuid($Uuid) { 
        $this->Uuid = $Uuid;
    }
    public function getVcProxy() {
        return $this->VcProxy;
    }
    public function setVcProxy($VcProxy) { 
        $this->VcProxy = $VcProxy;
    }
    public function getVcVersion() {
        return $this->VcVersion;
    }
    public function setVcVersion($VcVersion) { 
        $this->VcVersion = $VcVersion;
    }
    public function getUseVsphereService() {
        return $this->UseVsphereService;
    }
    public function setUseVsphereService($UseVsphereService) { 
        $this->UseVsphereService = $UseVsphereService;
    }
    public function getVsphereWebClientServerUrl() {
        return $this->VsphereWebClientServerUrl;
    }
    public function setVsphereWebClientServerUrl($VsphereWebClientServerUrl) { 
        $this->VsphereWebClientServerUrl = $VsphereWebClientServerUrl;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
     }
        if (!is_null($this->IsConnected)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsConnected', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsConnected>" . VMware_VCloud_API_Helper::format_boolean($this->IsConnected, $input_name='IsConnected') . "</" . $ns . "IsConnected>\n");
        }
        if (!is_null($this->ShieldManagerHost)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ShieldManagerHost', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ShieldManagerHost>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ShieldManagerHost, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ShieldManagerHost')) . "</" . $ns . "ShieldManagerHost>\n");
        }
        if (!is_null($this->ShieldManagerUserName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ShieldManagerUserName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ShieldManagerUserName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ShieldManagerUserName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ShieldManagerUserName')) . "</" . $ns . "ShieldManagerUserName>\n");
        }
        if (!is_null($this->Uuid)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Uuid', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Uuid>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Uuid, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Uuid')) . "</" . $ns . "Uuid>\n");
        }
        if (!is_null($this->VcProxy)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcProxy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcProxy>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcProxy, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcProxy')) . "</" . $ns . "VcProxy>\n");
        }
        if (!is_null($this->VcVersion)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcVersion>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcVersion')) . "</" . $ns . "VcVersion>\n");
        }
        if (!is_null($this->UseVsphereService)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UseVsphereService', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UseVsphereService>" . VMware_VCloud_API_Helper::format_boolean($this->UseVsphereService, $input_name='UseVsphereService') . "</" . $ns . "UseVsphereService>\n");
        }
        if (!is_null($this->VsphereWebClientServerUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VsphereWebClientServerUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VsphereWebClientServerUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VsphereWebClientServerUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VsphereWebClientServerUrl')) . "</" . $ns . "VsphereWebClientServerUrl>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsEnabled) ||
            !is_null($this->IsConnected) ||
            !is_null($this->ShieldManagerHost) ||
            !is_null($this->ShieldManagerUserName) ||
            !is_null($this->Uuid) ||
            !is_null($this->VcProxy) ||
            !is_null($this->VcVersion) ||
            !is_null($this->UseVsphereService) ||
            !is_null($this->VsphereWebClientServerUrl) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsConnected') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsConnected = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsConnected'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ShieldManagerHost') {
            $sval = $child->nodeValue;
            $this->ShieldManagerHost = $sval;
            if (!empty($namespace)) {
                $this->namespace['ShieldManagerHost'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ShieldManagerUserName') {
            $sval = $child->nodeValue;
            $this->ShieldManagerUserName = $sval;
            if (!empty($namespace)) {
                $this->namespace['ShieldManagerUserName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Uuid') {
            $sval = $child->nodeValue;
            $this->Uuid = $sval;
            if (!empty($namespace)) {
                $this->namespace['Uuid'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcProxy') {
            $sval = $child->nodeValue;
            $this->VcProxy = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcProxy'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcVersion') {
            $sval = $child->nodeValue;
            $this->VcVersion = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcVersion'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UseVsphereService') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UseVsphereService = $sval;
            if (!empty($namespace)) {
                $this->namespace['UseVsphereService'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VsphereWebClientServerUrl') {
            $sval = $child->nodeValue;
            $this->VsphereWebClientServerUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['VsphereWebClientServerUrl'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VimServerType


/**
 * List of references to vCenter servers registered to vCloud  Director.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWVimServerReferencesType extends VMware_VCloud_API_ResourceType {
    protected $VimServerReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $VimServerReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $VimServerReference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($VimServerReference)) {
            $this->VimServerReference = $VimServerReference;
        }
        $this->tagName = 'VMWVimServerReferences';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimServerReference() {
        return $this->VimServerReference;
    }
    public function setVimServerReference($VimServerReference) { 
        $this->VimServerReference = $VimServerReference;
    }
    public function addVimServerReference($value) { array_push($this->VimServerReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VimServerReference)) {
            foreach ($this->VimServerReference as $VimServerReference) {
                $out = $VimServerReference->export('VimServerReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VimServerReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimServerReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VimServerReference');
            array_push($this->VimServerReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VimServerReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWVimServerReferencesType


/**
 * Represents credentials to a vShield Manager server.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ShieldManagerType extends VMware_VCloud_API_Extension_ServerType {
    protected $AssociatedVimServer = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $Username - [required] 
    * @param string $Password - [optional] 
    * @param string $Url - [required] 
    * @param VMware_VCloud_API_ReferenceType $AssociatedVimServer - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Username=null, $Password=null, $Url=null, $AssociatedVimServer=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Username, $Password, $Url);
        $this->AssociatedVimServer = $AssociatedVimServer;
        $this->tagName = 'ShieldManager';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAssociatedVimServer() {
        return $this->AssociatedVimServer;
    }
    public function setAssociatedVimServer($AssociatedVimServer) { 
        $this->AssociatedVimServer = $AssociatedVimServer;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AssociatedVimServer)) {
            $out = $this->AssociatedVimServer->export('AssociatedVimServer', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AssociatedVimServer) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AssociatedVimServer') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AssociatedVimServer');
            $this->setAssociatedVimServer($obj);
            if (!empty($namespace)) {
                $this->namespace['AssociatedVimServer'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ShieldManagerType


/**
 * A list of references to virtual machines in vCenter inventory.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VmObjectRefsListType {
    protected $numberOfPages = null;
    protected $page = null;
    protected $VmObjectRef = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param int $numberOfPages - [optional] an attribute, 
    * @param int $page - [optional] an attribute, 
    * @param array $VmObjectRef - [optional] an array of VMware_VCloud_API_Extension_VmObjectRefType objects
    */
    public function __construct($numberOfPages=null, $page=null, $VmObjectRef=null) {
        $this->numberOfPages = $numberOfPages;
        $this->page = $page;
        if (!is_null($VmObjectRef)) {
            $this->VmObjectRef = $VmObjectRef;
        }
        $this->tagName = 'VmObjectRefsList';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVmObjectRef() {
        return $this->VmObjectRef;
    }
    public function setVmObjectRef($VmObjectRef) { 
        $this->VmObjectRef = $VmObjectRef;
    }
    public function addVmObjectRef($value) { array_push($this->VmObjectRef, $value); }
    public function get_numberOfPages(){
        return $this->numberOfPages;
    }
    public function set_numberOfPages($numberOfPages) {
        $this->numberOfPages = $numberOfPages;
    }
    public function get_page(){
        return $this->page;
    }
    public function set_page($page) {
        $this->page = $page;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->numberOfPages)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'numberOfPages', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'numberOfPages=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->numberOfPages, $input_name='numberOfPages')));
        }
        if (!is_null($this->page)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'page', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'page=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->page, $input_name='page')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->VmObjectRef)) {
            foreach ($this->VmObjectRef as $VmObjectRef) {
                $out = $VmObjectRef->export('VmObjectRef', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VmObjectRef)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndnumberOfPages = $attrs->getNamedItem('numberOfPages');
        if (!is_null($ndnumberOfPages)) {
            $this->numberOfPages = sprintf('%d', $ndnumberOfPages->value);
            if (isset($ndnumberOfPages->prefix)) {
                $this->namespace['numberOfPages'] = $ndnumberOfPages->prefix;
                $nsUri = $ndnumberOfPages->lookupNamespaceURI($ndnumberOfPages->prefix);
            }
            $node->removeAttributeNS($nsUri, 'numberOfPages');
        } else {
            $this->numberOfPages = null;
        }
        $ndpage = $attrs->getNamedItem('page');
        if (!is_null($ndpage)) {
            $this->page = sprintf('%d', $ndpage->value);
            if (isset($ndpage->prefix)) {
                $this->namespace['page'] = $ndpage->prefix;
                $nsUri = $ndpage->lookupNamespaceURI($ndpage->prefix);
            }
            $node->removeAttributeNS($nsUri, 'page');
        } else {
            $this->page = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VmObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VmObjectRef');
            array_push($this->VmObjectRef, $obj);
            if (!empty($namespace)) {
                $this->namespace['VmObjectRef'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_VmObjectRefsListType


/**
 * Parameters to import a virtual machine as a vApp.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ImportVmAsVAppParamsType extends VMware_VCloud_API_VAppCreationParamsType {
    protected $sourceMove = null;
    protected $VmName = null;
    protected $VAppScopedLocalId = null;
    protected $ComputerName = null;
    protected $VmMoRef = null;
    protected $VdcStorageProfile = null;
    protected $Vdc = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $powerOn - [optional] an attribute, 
    * @param boolean $deploy - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param VMware_VCloud_API_InstantiationParamsType $InstantiationParams - [optional]
    * @param boolean $sourceMove - [optional] an attribute, default 'false'
    * @param string $VmName - [optional] 
    * @param string $VAppScopedLocalId - [optional] 
    * @param string $ComputerName - [optional] 
    * @param string $VmMoRef - [required] 
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    * @param VMware_VCloud_API_ReferenceType $Vdc - [required]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $powerOn=null, $deploy=null, $VAppParent=null, $InstantiationParams=null, $sourceMove=False, $VmName=null, $VAppScopedLocalId=null, $ComputerName=null, $VmMoRef=null, $VdcStorageProfile=null, $Vdc=null) {
        parent::__construct($VCloudExtension, $name, $Description, $powerOn, $deploy, $VAppParent, $InstantiationParams);
        $this->sourceMove = $sourceMove;
        $this->VmName = $VmName;
        $this->VAppScopedLocalId = $VAppScopedLocalId;
        $this->ComputerName = $ComputerName;
        $this->VmMoRef = $VmMoRef;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->Vdc = $Vdc;
        $this->tagName = 'ImportVmAsVAppParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVmName() {
        return $this->VmName;
    }
    public function setVmName($VmName) { 
        $this->VmName = $VmName;
    }
    public function getVAppScopedLocalId() {
        return $this->VAppScopedLocalId;
    }
    public function setVAppScopedLocalId($VAppScopedLocalId) { 
        $this->VAppScopedLocalId = $VAppScopedLocalId;
    }
    public function getComputerName() {
        return $this->ComputerName;
    }
    public function setComputerName($ComputerName) { 
        $this->ComputerName = $ComputerName;
    }
    public function getVmMoRef() {
        return $this->VmMoRef;
    }
    public function setVmMoRef($VmMoRef) { 
        $this->VmMoRef = $VmMoRef;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function getVdc() {
        return $this->Vdc;
    }
    public function setVdc($Vdc) { 
        $this->Vdc = $Vdc;
    }
    public function get_sourceMove(){
        return $this->sourceMove;
    }
    public function set_sourceMove($sourceMove) {
        $this->sourceMove = $sourceMove;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->sourceMove)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sourceMove', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sourceMove=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->sourceMove, $input_name='sourceMove')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VmName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmName')) . "</" . $ns . "VmName>\n");
        }
        if (!is_null($this->VAppScopedLocalId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedLocalId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedLocalId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedLocalId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedLocalId')) . "</" . $ns . "VAppScopedLocalId>\n");
        }
        if (!is_null($this->ComputerName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComputerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComputerName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComputerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComputerName')) . "</" . $ns . "ComputerName>\n");
        }
        if (!is_null($this->VmMoRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmMoRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmMoRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmMoRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmMoRef')) . "</" . $ns . "VmMoRef>\n");
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Vdc)) {
            $out = $this->Vdc->export('Vdc', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VmName) ||
            !is_null($this->VAppScopedLocalId) ||
            !is_null($this->ComputerName) ||
            !is_null($this->VmMoRef) ||
            !is_null($this->VdcStorageProfile) ||
            !is_null($this->Vdc) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndsourceMove = $attrs->getNamedItem('sourceMove');
        if (!is_null($ndsourceMove)) {
            $this->sourceMove = VMware_VCloud_API_Helper::get_boolean($ndsourceMove->value);
            if (isset($ndsourceMove->prefix)) {
                $this->namespace['sourceMove'] = $ndsourceMove->prefix;
                $nsUri = $ndsourceMove->lookupNamespaceURI($ndsourceMove->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sourceMove');
        } else {
            $this->sourceMove = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmName') {
            $sval = $child->nodeValue;
            $this->VmName = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedLocalId') {
            $sval = $child->nodeValue;
            $this->VAppScopedLocalId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedLocalId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComputerName') {
            $sval = $child->nodeValue;
            $this->ComputerName = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComputerName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmMoRef') {
            $sval = $child->nodeValue;
            $this->VmMoRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmMoRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vdc') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Vdc');
            $this->setVdc($obj);
            if (!empty($namespace)) {
                $this->namespace['Vdc'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ImportVmAsVAppParamsType


/**
 * Parameters to import a virtual machine into an existing VApp.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ImportVmIntoExistingVAppParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $sourceMove = null;
    protected $VmName = null;
    protected $VmDescription = null;
    protected $VAppScopedLocalId = null;
    protected $ComputerName = null;
    protected $VmMoRef = null;
    protected $VdcStorageProfile = null;
    protected $VApp = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $sourceMove - [optional] an attribute, default 'false'
    * @param string $VmName - [required] 
    * @param string $VmDescription - [optional] 
    * @param string $VAppScopedLocalId - [optional] 
    * @param string $ComputerName - [optional] 
    * @param string $VmMoRef - [required] 
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    * @param VMware_VCloud_API_ReferenceType $VApp - [required]
    */
    public function __construct($VCloudExtension=null, $sourceMove=False, $VmName=null, $VmDescription=null, $VAppScopedLocalId=null, $ComputerName=null, $VmMoRef=null, $VdcStorageProfile=null, $VApp=null) {
        parent::__construct($VCloudExtension);
        $this->sourceMove = $sourceMove;
        $this->VmName = $VmName;
        $this->VmDescription = $VmDescription;
        $this->VAppScopedLocalId = $VAppScopedLocalId;
        $this->ComputerName = $ComputerName;
        $this->VmMoRef = $VmMoRef;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->VApp = $VApp;
        $this->tagName = 'ImportVmIntoExistingVAppParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVmName() {
        return $this->VmName;
    }
    public function setVmName($VmName) { 
        $this->VmName = $VmName;
    }
    public function getVmDescription() {
        return $this->VmDescription;
    }
    public function setVmDescription($VmDescription) { 
        $this->VmDescription = $VmDescription;
    }
    public function getVAppScopedLocalId() {
        return $this->VAppScopedLocalId;
    }
    public function setVAppScopedLocalId($VAppScopedLocalId) { 
        $this->VAppScopedLocalId = $VAppScopedLocalId;
    }
    public function getComputerName() {
        return $this->ComputerName;
    }
    public function setComputerName($ComputerName) { 
        $this->ComputerName = $ComputerName;
    }
    public function getVmMoRef() {
        return $this->VmMoRef;
    }
    public function setVmMoRef($VmMoRef) { 
        $this->VmMoRef = $VmMoRef;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function getVApp() {
        return $this->VApp;
    }
    public function setVApp($VApp) { 
        $this->VApp = $VApp;
    }
    public function get_sourceMove(){
        return $this->sourceMove;
    }
    public function set_sourceMove($sourceMove) {
        $this->sourceMove = $sourceMove;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->sourceMove)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sourceMove', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sourceMove=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->sourceMove, $input_name='sourceMove')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VmName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmName')) . "</" . $ns . "VmName>\n");
        }
        if (!is_null($this->VmDescription)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmDescription', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmDescription>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmDescription, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmDescription')) . "</" . $ns . "VmDescription>\n");
        }
        if (!is_null($this->VAppScopedLocalId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedLocalId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedLocalId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedLocalId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedLocalId')) . "</" . $ns . "VAppScopedLocalId>\n");
        }
        if (!is_null($this->ComputerName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComputerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComputerName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComputerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComputerName')) . "</" . $ns . "ComputerName>\n");
        }
        if (!is_null($this->VmMoRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmMoRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmMoRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmMoRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmMoRef')) . "</" . $ns . "VmMoRef>\n");
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VApp)) {
            $out = $this->VApp->export('VApp', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VmName) ||
            !is_null($this->VmDescription) ||
            !is_null($this->VAppScopedLocalId) ||
            !is_null($this->ComputerName) ||
            !is_null($this->VmMoRef) ||
            !is_null($this->VdcStorageProfile) ||
            !is_null($this->VApp) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndsourceMove = $attrs->getNamedItem('sourceMove');
        if (!is_null($ndsourceMove)) {
            $this->sourceMove = VMware_VCloud_API_Helper::get_boolean($ndsourceMove->value);
            if (isset($ndsourceMove->prefix)) {
                $this->namespace['sourceMove'] = $ndsourceMove->prefix;
                $nsUri = $ndsourceMove->lookupNamespaceURI($ndsourceMove->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sourceMove');
        } else {
            $this->sourceMove = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmName') {
            $sval = $child->nodeValue;
            $this->VmName = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmDescription') {
            $sval = $child->nodeValue;
            $this->VmDescription = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmDescription'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedLocalId') {
            $sval = $child->nodeValue;
            $this->VAppScopedLocalId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedLocalId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComputerName') {
            $sval = $child->nodeValue;
            $this->ComputerName = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComputerName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmMoRef') {
            $sval = $child->nodeValue;
            $this->VmMoRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmMoRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VApp') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VApp');
            $this->setVApp($obj);
            if (!empty($namespace)) {
                $this->namespace['VApp'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ImportVmIntoExistingVAppParamsType


/**
 * Parameters to import a virtual machine as a vApp template.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ImportVmAsVAppTemplateParamsType extends VMware_VCloud_API_ParamsType {
    protected $goldMaster = null;
    protected $sourceMove = null;
    protected $VmName = null;
    protected $VAppScopedLocalId = null;
    protected $ComputerName = null;
    protected $VmMoRef = null;
    protected $Vdc = null;
    protected $VdcStorageProfile = null;
    protected $Catalog = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $goldMaster - [optional] an attribute, default 'false'
    * @param boolean $sourceMove - [optional] an attribute, default 'false'
    * @param string $VmName - [optional] 
    * @param string $VAppScopedLocalId - [optional] 
    * @param string $ComputerName - [optional] 
    * @param string $VmMoRef - [required] 
    * @param VMware_VCloud_API_ReferenceType $Vdc - [required]
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    * @param VMware_VCloud_API_ReferenceType $Catalog - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $goldMaster=False, $sourceMove=False, $VmName=null, $VAppScopedLocalId=null, $ComputerName=null, $VmMoRef=null, $Vdc=null, $VdcStorageProfile=null, $Catalog=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->goldMaster = $goldMaster;
        $this->sourceMove = $sourceMove;
        $this->VmName = $VmName;
        $this->VAppScopedLocalId = $VAppScopedLocalId;
        $this->ComputerName = $ComputerName;
        $this->VmMoRef = $VmMoRef;
        $this->Vdc = $Vdc;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->Catalog = $Catalog;
        $this->tagName = 'ImportVmAsVAppTemplateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVmName() {
        return $this->VmName;
    }
    public function setVmName($VmName) { 
        $this->VmName = $VmName;
    }
    public function getVAppScopedLocalId() {
        return $this->VAppScopedLocalId;
    }
    public function setVAppScopedLocalId($VAppScopedLocalId) { 
        $this->VAppScopedLocalId = $VAppScopedLocalId;
    }
    public function getComputerName() {
        return $this->ComputerName;
    }
    public function setComputerName($ComputerName) { 
        $this->ComputerName = $ComputerName;
    }
    public function getVmMoRef() {
        return $this->VmMoRef;
    }
    public function setVmMoRef($VmMoRef) { 
        $this->VmMoRef = $VmMoRef;
    }
    public function getVdc() {
        return $this->Vdc;
    }
    public function setVdc($Vdc) { 
        $this->Vdc = $Vdc;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function getCatalog() {
        return $this->Catalog;
    }
    public function setCatalog($Catalog) { 
        $this->Catalog = $Catalog;
    }
    public function get_goldMaster(){
        return $this->goldMaster;
    }
    public function set_goldMaster($goldMaster) {
        $this->goldMaster = $goldMaster;
    }
    public function get_sourceMove(){
        return $this->sourceMove;
    }
    public function set_sourceMove($sourceMove) {
        $this->sourceMove = $sourceMove;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->goldMaster)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'goldMaster', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'goldMaster=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->goldMaster, $input_name='goldMaster')));
        }
        if (!is_null($this->sourceMove)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sourceMove', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sourceMove=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->sourceMove, $input_name='sourceMove')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VmName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmName')) . "</" . $ns . "VmName>\n");
        }
        if (!is_null($this->VAppScopedLocalId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedLocalId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedLocalId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedLocalId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedLocalId')) . "</" . $ns . "VAppScopedLocalId>\n");
        }
        if (!is_null($this->ComputerName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ComputerName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ComputerName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ComputerName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ComputerName')) . "</" . $ns . "ComputerName>\n");
        }
        if (!is_null($this->VmMoRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmMoRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmMoRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmMoRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmMoRef')) . "</" . $ns . "VmMoRef>\n");
        }
        if (!is_null($this->Vdc)) {
            $out = $this->Vdc->export('Vdc', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Catalog)) {
            $out = $this->Catalog->export('Catalog', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VmName) ||
            !is_null($this->VAppScopedLocalId) ||
            !is_null($this->ComputerName) ||
            !is_null($this->VmMoRef) ||
            !is_null($this->Vdc) ||
            !is_null($this->VdcStorageProfile) ||
            !is_null($this->Catalog) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndgoldMaster = $attrs->getNamedItem('goldMaster');
        if (!is_null($ndgoldMaster)) {
            $this->goldMaster = VMware_VCloud_API_Helper::get_boolean($ndgoldMaster->value);
            if (isset($ndgoldMaster->prefix)) {
                $this->namespace['goldMaster'] = $ndgoldMaster->prefix;
                $nsUri = $ndgoldMaster->lookupNamespaceURI($ndgoldMaster->prefix);
            }
            $node->removeAttributeNS($nsUri, 'goldMaster');
        } else {
            $this->goldMaster = null;
        }
        $ndsourceMove = $attrs->getNamedItem('sourceMove');
        if (!is_null($ndsourceMove)) {
            $this->sourceMove = VMware_VCloud_API_Helper::get_boolean($ndsourceMove->value);
            if (isset($ndsourceMove->prefix)) {
                $this->namespace['sourceMove'] = $ndsourceMove->prefix;
                $nsUri = $ndsourceMove->lookupNamespaceURI($ndsourceMove->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sourceMove');
        } else {
            $this->sourceMove = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmName') {
            $sval = $child->nodeValue;
            $this->VmName = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedLocalId') {
            $sval = $child->nodeValue;
            $this->VAppScopedLocalId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedLocalId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComputerName') {
            $sval = $child->nodeValue;
            $this->ComputerName = $sval;
            if (!empty($namespace)) {
                $this->namespace['ComputerName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmMoRef') {
            $sval = $child->nodeValue;
            $this->VmMoRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmMoRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vdc') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Vdc');
            $this->setVdc($obj);
            if (!empty($namespace)) {
                $this->namespace['Vdc'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Catalog') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Catalog');
            $this->setCatalog($obj);
            if (!empty($namespace)) {
                $this->namespace['Catalog'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ImportVmAsVAppTemplateParamsType


/**
 * Represents parameters to import media from vSphere.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ImportMediaParamsType extends VMware_VCloud_API_ParamsType {
    protected $sourceMove = null;
    protected $DatastoreMoRef = null;
    protected $SourcePath = null;
    protected $Vdc = null;
    protected $Catalog = null;
    protected $VdcStorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param boolean $sourceMove - [optional] an attribute, default 'false'
    * @param string $DatastoreMoRef - [required] 
    * @param string $SourcePath - [required] 
    * @param VMware_VCloud_API_ReferenceType $Vdc - [required]
    * @param VMware_VCloud_API_ReferenceType $Catalog - [optional]
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $sourceMove=False, $DatastoreMoRef=null, $SourcePath=null, $Vdc=null, $Catalog=null, $VdcStorageProfile=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->sourceMove = $sourceMove;
        $this->DatastoreMoRef = $DatastoreMoRef;
        $this->SourcePath = $SourcePath;
        $this->Vdc = $Vdc;
        $this->Catalog = $Catalog;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->tagName = 'ImportMediaParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDatastoreMoRef() {
        return $this->DatastoreMoRef;
    }
    public function setDatastoreMoRef($DatastoreMoRef) { 
        $this->DatastoreMoRef = $DatastoreMoRef;
    }
    public function getSourcePath() {
        return $this->SourcePath;
    }
    public function setSourcePath($SourcePath) { 
        $this->SourcePath = $SourcePath;
    }
    public function getVdc() {
        return $this->Vdc;
    }
    public function setVdc($Vdc) { 
        $this->Vdc = $Vdc;
    }
    public function getCatalog() {
        return $this->Catalog;
    }
    public function setCatalog($Catalog) { 
        $this->Catalog = $Catalog;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function get_sourceMove(){
        return $this->sourceMove;
    }
    public function set_sourceMove($sourceMove) {
        $this->sourceMove = $sourceMove;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->sourceMove)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'sourceMove', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'sourceMove=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->sourceMove, $input_name='sourceMove')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->DatastoreMoRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DatastoreMoRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DatastoreMoRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DatastoreMoRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DatastoreMoRef')) . "</" . $ns . "DatastoreMoRef>\n");
        }
        if (!is_null($this->SourcePath)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SourcePath', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SourcePath>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SourcePath, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SourcePath')) . "</" . $ns . "SourcePath>\n");
        }
        if (!is_null($this->Vdc)) {
            $out = $this->Vdc->export('Vdc', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Catalog)) {
            $out = $this->Catalog->export('Catalog', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->DatastoreMoRef) ||
            !is_null($this->SourcePath) ||
            !is_null($this->Vdc) ||
            !is_null($this->Catalog) ||
            !is_null($this->VdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndsourceMove = $attrs->getNamedItem('sourceMove');
        if (!is_null($ndsourceMove)) {
            $this->sourceMove = VMware_VCloud_API_Helper::get_boolean($ndsourceMove->value);
            if (isset($ndsourceMove->prefix)) {
                $this->namespace['sourceMove'] = $ndsourceMove->prefix;
                $nsUri = $ndsourceMove->lookupNamespaceURI($ndsourceMove->prefix);
            }
            $node->removeAttributeNS($nsUri, 'sourceMove');
        } else {
            $this->sourceMove = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreMoRef') {
            $sval = $child->nodeValue;
            $this->DatastoreMoRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['DatastoreMoRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SourcePath') {
            $sval = $child->nodeValue;
            $this->SourcePath = $sval;
            if (!empty($namespace)) {
                $this->namespace['SourcePath'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vdc') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Vdc');
            $this->setVdc($obj);
            if (!empty($namespace)) {
                $this->namespace['Vdc'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Catalog') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Catalog');
            $this->setCatalog($obj);
            if (!empty($namespace)) {
                $this->namespace['Catalog'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ImportMediaParamsType


/**
 * Read only representation of one host in a vSphere server.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_HostType extends VMware_VCloud_API_EntityType {
    protected $Ready = null;
    protected $Available = null;
    protected $Enabled = null;
    protected $Busy = null;
    protected $EnableHostForHostSpanning = null;
    protected $CpuType = null;
    protected $NumOfCpusPackages = null;
    protected $NumOfCpusLogical = null;
    protected $CpuTotal = null;
    protected $MemUsed = null;
    protected $MemTotal = null;
    protected $HostOsName = null;
    protected $HostOsVersion = null;
    protected $SystemMessages = null;
    protected $VimPropertyPageUrl = null;
    protected $VmMoRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param boolean $Ready - [required] 
    * @param boolean $Available - [required] 
    * @param boolean $Enabled - [required] 
    * @param boolean $Busy - [required] 
    * @param boolean $EnableHostForHostSpanning - [required] 
    * @param string $CpuType - [optional] 
    * @param int $NumOfCpusPackages - [required] 
    * @param int $NumOfCpusLogical - [required] 
    * @param int $CpuTotal - [required] 
    * @param float $MemUsed - [required] 
    * @param float $MemTotal - [required] 
    * @param string $HostOsName - [optional] 
    * @param string $HostOsVersion - [optional] 
    * @param string $SystemMessages - [optional] 
    * @param string $VimPropertyPageUrl - [optional] 
    * @param string $VmMoRef - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Ready=null, $Available=null, $Enabled=null, $Busy=null, $EnableHostForHostSpanning=null, $CpuType=null, $NumOfCpusPackages=null, $NumOfCpusLogical=null, $CpuTotal=null, $MemUsed=null, $MemTotal=null, $HostOsName=null, $HostOsVersion=null, $SystemMessages=null, $VimPropertyPageUrl=null, $VmMoRef=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Ready = $Ready;
        $this->Available = $Available;
        $this->Enabled = $Enabled;
        $this->Busy = $Busy;
        $this->EnableHostForHostSpanning = $EnableHostForHostSpanning;
        $this->CpuType = $CpuType;
        $this->NumOfCpusPackages = $NumOfCpusPackages;
        $this->NumOfCpusLogical = $NumOfCpusLogical;
        $this->CpuTotal = $CpuTotal;
        $this->MemUsed = $MemUsed;
        $this->MemTotal = $MemTotal;
        $this->HostOsName = $HostOsName;
        $this->HostOsVersion = $HostOsVersion;
        $this->SystemMessages = $SystemMessages;
        $this->VimPropertyPageUrl = $VimPropertyPageUrl;
        $this->VmMoRef = $VmMoRef;
        $this->tagName = 'Host';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getReady() {
        return $this->Ready;
    }
    public function setReady($Ready) { 
        $this->Ready = $Ready;
    }
    public function getAvailable() {
        return $this->Available;
    }
    public function setAvailable($Available) { 
        $this->Available = $Available;
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function getBusy() {
        return $this->Busy;
    }
    public function setBusy($Busy) { 
        $this->Busy = $Busy;
    }
    public function getEnableHostForHostSpanning() {
        return $this->EnableHostForHostSpanning;
    }
    public function setEnableHostForHostSpanning($EnableHostForHostSpanning) { 
        $this->EnableHostForHostSpanning = $EnableHostForHostSpanning;
    }
    public function getCpuType() {
        return $this->CpuType;
    }
    public function setCpuType($CpuType) { 
        $this->CpuType = $CpuType;
    }
    public function getNumOfCpusPackages() {
        return $this->NumOfCpusPackages;
    }
    public function setNumOfCpusPackages($NumOfCpusPackages) { 
        $this->NumOfCpusPackages = $NumOfCpusPackages;
    }
    public function getNumOfCpusLogical() {
        return $this->NumOfCpusLogical;
    }
    public function setNumOfCpusLogical($NumOfCpusLogical) { 
        $this->NumOfCpusLogical = $NumOfCpusLogical;
    }
    public function getCpuTotal() {
        return $this->CpuTotal;
    }
    public function setCpuTotal($CpuTotal) { 
        $this->CpuTotal = $CpuTotal;
    }
    public function getMemUsed() {
        return $this->MemUsed;
    }
    public function setMemUsed($MemUsed) { 
        $this->MemUsed = $MemUsed;
    }
    public function getMemTotal() {
        return $this->MemTotal;
    }
    public function setMemTotal($MemTotal) { 
        $this->MemTotal = $MemTotal;
    }
    public function getHostOsName() {
        return $this->HostOsName;
    }
    public function setHostOsName($HostOsName) { 
        $this->HostOsName = $HostOsName;
    }
    public function getHostOsVersion() {
        return $this->HostOsVersion;
    }
    public function setHostOsVersion($HostOsVersion) { 
        $this->HostOsVersion = $HostOsVersion;
    }
    public function getSystemMessages() {
        return $this->SystemMessages;
    }
    public function setSystemMessages($SystemMessages) { 
        $this->SystemMessages = $SystemMessages;
    }
    public function getVimPropertyPageUrl() {
        return $this->VimPropertyPageUrl;
    }
    public function setVimPropertyPageUrl($VimPropertyPageUrl) { 
        $this->VimPropertyPageUrl = $VimPropertyPageUrl;
    }
    public function getVmMoRef() {
        return $this->VmMoRef;
    }
    public function setVmMoRef($VmMoRef) { 
        $this->VmMoRef = $VmMoRef;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Ready)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Ready', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Ready>" . VMware_VCloud_API_Helper::format_boolean($this->Ready, $input_name='Ready') . "</" . $ns . "Ready>\n");
     }
        if (!is_null($this->Available)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Available', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Available>" . VMware_VCloud_API_Helper::format_boolean($this->Available, $input_name='Available') . "</" . $ns . "Available>\n");
     }
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
     }
        if (!is_null($this->Busy)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Busy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Busy>" . VMware_VCloud_API_Helper::format_boolean($this->Busy, $input_name='Busy') . "</" . $ns . "Busy>\n");
     }
        if (!is_null($this->EnableHostForHostSpanning)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EnableHostForHostSpanning', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EnableHostForHostSpanning>" . VMware_VCloud_API_Helper::format_boolean($this->EnableHostForHostSpanning, $input_name='EnableHostForHostSpanning') . "</" . $ns . "EnableHostForHostSpanning>\n");
     }
        if (!is_null($this->CpuType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CpuType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CpuType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->CpuType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='CpuType')) . "</" . $ns . "CpuType>\n");
        }
        if (!is_null($this->NumOfCpusPackages)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NumOfCpusPackages', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NumOfCpusPackages>" . VMware_VCloud_API_Helper::format_integer($this->NumOfCpusPackages, $input_name='NumOfCpusPackages') . "</" . $ns . "NumOfCpusPackages>\n");
        }
        if (!is_null($this->NumOfCpusLogical)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NumOfCpusLogical', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NumOfCpusLogical>" . VMware_VCloud_API_Helper::format_integer($this->NumOfCpusLogical, $input_name='NumOfCpusLogical') . "</" . $ns . "NumOfCpusLogical>\n");
        }
        if (!is_null($this->CpuTotal)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CpuTotal', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CpuTotal>" . VMware_VCloud_API_Helper::format_integer($this->CpuTotal, $input_name='CpuTotal') . "</" . $ns . "CpuTotal>\n");
        }
        if (!is_null($this->MemUsed)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MemUsed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MemUsed>" . VMware_VCloud_API_Helper::format_double($this->MemUsed, $input_name='MemUsed') . "</" . $ns . "MemUsed>\n");
        }
        if (!is_null($this->MemTotal)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MemTotal', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MemTotal>" . VMware_VCloud_API_Helper::format_double($this->MemTotal, $input_name='MemTotal') . "</" . $ns . "MemTotal>\n");
        }
        if (!is_null($this->HostOsName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HostOsName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HostOsName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HostOsName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HostOsName')) . "</" . $ns . "HostOsName>\n");
        }
        if (!is_null($this->HostOsVersion)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HostOsVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HostOsVersion>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HostOsVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HostOsVersion')) . "</" . $ns . "HostOsVersion>\n");
        }
        if (!is_null($this->SystemMessages)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SystemMessages', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SystemMessages>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SystemMessages, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SystemMessages')) . "</" . $ns . "SystemMessages>\n");
        }
        if (!is_null($this->VimPropertyPageUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VimPropertyPageUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VimPropertyPageUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VimPropertyPageUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VimPropertyPageUrl')) . "</" . $ns . "VimPropertyPageUrl>\n");
        }
        if (!is_null($this->VmMoRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmMoRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmMoRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VmMoRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VmMoRef')) . "</" . $ns . "VmMoRef>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Ready) ||
            !is_null($this->Available) ||
            !is_null($this->Enabled) ||
            !is_null($this->Busy) ||
            !is_null($this->EnableHostForHostSpanning) ||
            !is_null($this->CpuType) ||
            !is_null($this->NumOfCpusPackages) ||
            !is_null($this->NumOfCpusLogical) ||
            !is_null($this->CpuTotal) ||
            !is_null($this->MemUsed) ||
            !is_null($this->MemTotal) ||
            !is_null($this->HostOsName) ||
            !is_null($this->HostOsVersion) ||
            !is_null($this->SystemMessages) ||
            !is_null($this->VimPropertyPageUrl) ||
            !is_null($this->VmMoRef) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Ready') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Ready = $sval;
            if (!empty($namespace)) {
                $this->namespace['Ready'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Available') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Available = $sval;
            if (!empty($namespace)) {
                $this->namespace['Available'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Busy') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Busy = $sval;
            if (!empty($namespace)) {
                $this->namespace['Busy'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EnableHostForHostSpanning') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->EnableHostForHostSpanning = $sval;
            if (!empty($namespace)) {
                $this->namespace['EnableHostForHostSpanning'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuType') {
            $sval = $child->nodeValue;
            $this->CpuType = $sval;
            if (!empty($namespace)) {
                $this->namespace['CpuType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NumOfCpusPackages') {
            $sval = $child->nodeValue;
            $this->NumOfCpusPackages = $sval;
            if (!empty($namespace)) {
                $this->namespace['NumOfCpusPackages'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NumOfCpusLogical') {
            $sval = $child->nodeValue;
            $this->NumOfCpusLogical = $sval;
            if (!empty($namespace)) {
                $this->namespace['NumOfCpusLogical'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuTotal') {
            $sval = $child->nodeValue;
            $this->CpuTotal = $sval;
            if (!empty($namespace)) {
                $this->namespace['CpuTotal'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MemUsed') {
            $sval = $child->nodeValue;
            $this->MemUsed = $sval;
            if (!empty($namespace)) {
                $this->namespace['MemUsed'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MemTotal') {
            $sval = $child->nodeValue;
            $this->MemTotal = $sval;
            if (!empty($namespace)) {
                $this->namespace['MemTotal'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostOsName') {
            $sval = $child->nodeValue;
            $this->HostOsName = $sval;
            if (!empty($namespace)) {
                $this->namespace['HostOsName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostOsVersion') {
            $sval = $child->nodeValue;
            $this->HostOsVersion = $sval;
            if (!empty($namespace)) {
                $this->namespace['HostOsVersion'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SystemMessages') {
            $sval = $child->nodeValue;
            $this->SystemMessages = $sval;
            if (!empty($namespace)) {
                $this->namespace['SystemMessages'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimPropertyPageUrl') {
            $sval = $child->nodeValue;
            $this->VimPropertyPageUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['VimPropertyPageUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmMoRef') {
            $sval = $child->nodeValue;
            $this->VmMoRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmMoRef'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_HostType


/**
 * Represents the moref and the type of a vSphere object.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VimObjectRefType {
    protected $VimServerRef = null;
    protected $MoRef = null;
    protected $VimObjectType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param VMware_VCloud_API_ReferenceType $VimServerRef - [required]
    * @param string $MoRef - [required] 
    * @param string $VimObjectType - [required] 
    */
    public function __construct($VimServerRef=null, $MoRef=null, $VimObjectType=null) {
        $this->VimServerRef = $VimServerRef;
        $this->MoRef = $MoRef;
        $this->VimObjectType = $VimObjectType;
        $this->tagName = 'VimObjectRef';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimServerRef() {
        return $this->VimServerRef;
    }
    public function setVimServerRef($VimServerRef) { 
        $this->VimServerRef = $VimServerRef;
    }
    public function getMoRef() {
        return $this->MoRef;
    }
    public function setMoRef($MoRef) { 
        $this->MoRef = $MoRef;
    }
    public function getVimObjectType() {
        return $this->VimObjectType;
    }
    public function setVimObjectType($VimObjectType) { 
        $this->VimObjectType = $VimObjectType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->VimServerRef)) {
            $out = $this->VimServerRef->export('VimServerRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->MoRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MoRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MoRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MoRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MoRef')) . "</" . $ns . "MoRef>\n");
        }
        if (!is_null($this->VimObjectType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VimObjectType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VimObjectType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VimObjectType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VimObjectType')) . "</" . $ns . "VimObjectType>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimServerRef) ||
            !is_null($this->MoRef) ||
            !is_null($this->VimObjectType)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimServerRef') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VimServerRef');
            $this->setVimServerRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimServerRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MoRef') {
            $sval = $child->nodeValue;
            $this->MoRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['MoRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectType') {
            $sval = $child->nodeValue;
            $this->VimObjectType = $sval;
            if (!empty($namespace)) {
                $this->namespace['VimObjectType'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_VimObjectRefType


/**
 * List of VimObjectRef elements.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VimObjectRefsType {
    protected $VimObjectRef = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VimObjectRef - [optional] an array of VMware_VCloud_API_Extension_VimObjectRefType objects
    */
    public function __construct($VimObjectRef=null) {
        if (!is_null($VimObjectRef)) {
            $this->VimObjectRef = $VimObjectRef;
        }
        $this->tagName = 'VimObjectRefsType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimObjectRef() {
        return $this->VimObjectRef;
    }
    public function setVimObjectRef($VimObjectRef) { 
        $this->VimObjectRef = $VimObjectRef;
    }
    public function addVimObjectRef($value) { array_push($this->VimObjectRef, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->VimObjectRef)) {
            foreach ($this->VimObjectRef as $VimObjectRef) {
                $out = $VimObjectRef->export('VimObjectRef', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VimObjectRef)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimObjectRef');
            array_push($this->VimObjectRef, $obj);
            if (!empty($namespace)) {
                $this->namespace['VimObjectRef'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_VimObjectRefsType


/**
 * Parameters to create or update a Provider vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWProviderVdcParamsType extends VMware_VCloud_API_ParamsType {
    protected $ResourcePoolRefs = null;
    protected $VimServer = array();
    protected $HighestSupportedHardwareVersion = null;
    protected $IsEnabled = null;
    protected $StorageProfile = array();
    protected $HostRefs = null;
    protected $DefaultPassword = null;
    protected $DefaultUsername = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_Extension_VimObjectRefsType $ResourcePoolRefs - [required]
    * @param array $VimServer - [optional] an array of VMware_VCloud_API_ReferenceType objects
    * @param string $HighestSupportedHardwareVersion - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param array $StorageProfile - [required] an array of string
    * @param VMware_VCloud_API_Extension_HostObjectRefsType $HostRefs - [optional]
    * @param string $DefaultPassword - [optional] 
    * @param string $DefaultUsername - [optional] 
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $ResourcePoolRefs=null, $VimServer=null, $HighestSupportedHardwareVersion=null, $IsEnabled=null, $StorageProfile=null, $HostRefs=null, $DefaultPassword=null, $DefaultUsername=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        $this->ResourcePoolRefs = $ResourcePoolRefs;
        if (!is_null($VimServer)) {
            $this->VimServer = $VimServer;
        }
        $this->HighestSupportedHardwareVersion = $HighestSupportedHardwareVersion;
        $this->IsEnabled = $IsEnabled;
        if (!is_null($StorageProfile)) {
            $this->StorageProfile = $StorageProfile;
        }
        $this->HostRefs = $HostRefs;
        $this->DefaultPassword = $DefaultPassword;
        $this->DefaultUsername = $DefaultUsername;
        $this->tagName = 'VMWProviderVdcParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourcePoolRefs() {
        return $this->ResourcePoolRefs;
    }
    public function setResourcePoolRefs($ResourcePoolRefs) { 
        $this->ResourcePoolRefs = $ResourcePoolRefs;
    }
    public function getVimServer() {
        return $this->VimServer;
    }
    public function setVimServer($VimServer) { 
        $this->VimServer = $VimServer;
    }
    public function addVimServer($value) { array_push($this->VimServer, $value); }
    public function getHighestSupportedHardwareVersion() {
        return $this->HighestSupportedHardwareVersion;
    }
    public function setHighestSupportedHardwareVersion($HighestSupportedHardwareVersion) { 
        $this->HighestSupportedHardwareVersion = $HighestSupportedHardwareVersion;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getStorageProfile() {
        return $this->StorageProfile;
    }
    public function setStorageProfile($StorageProfile) { 
        $this->StorageProfile = $StorageProfile;
    }
    public function addStorageProfile($value) { array_push($this->StorageProfile, $value); }
    public function getHostRefs() {
        return $this->HostRefs;
    }
    public function setHostRefs($HostRefs) { 
        $this->HostRefs = $HostRefs;
    }
    public function getDefaultPassword() {
        return $this->DefaultPassword;
    }
    public function setDefaultPassword($DefaultPassword) { 
        $this->DefaultPassword = $DefaultPassword;
    }
    public function getDefaultUsername() {
        return $this->DefaultUsername;
    }
    public function setDefaultUsername($DefaultUsername) { 
        $this->DefaultUsername = $DefaultUsername;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ResourcePoolRefs)) {
            $out = $this->ResourcePoolRefs->export('ResourcePoolRefs', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->VimServer)) {
            foreach ($this->VimServer as $VimServer) {
                $out = $VimServer->export('VimServer', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->HighestSupportedHardwareVersion)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HighestSupportedHardwareVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HighestSupportedHardwareVersion>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HighestSupportedHardwareVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HighestSupportedHardwareVersion')) . "</" . $ns . "HighestSupportedHardwareVersion>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (isset($this->StorageProfile)) {
            foreach ($this->StorageProfile as $StorageProfile) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'StorageProfile', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "StorageProfile>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($StorageProfile, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='StorageProfile')) . "</" . $ns . "StorageProfile>\n");
            }
        }
        if (!is_null($this->HostRefs)) {
            $out = $this->HostRefs->export('HostRefs', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->DefaultPassword)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DefaultPassword', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DefaultPassword>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DefaultPassword, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DefaultPassword')) . "</" . $ns . "DefaultPassword>\n");
        }
        if (!is_null($this->DefaultUsername)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DefaultUsername', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DefaultUsername>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DefaultUsername, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DefaultUsername')) . "</" . $ns . "DefaultUsername>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ResourcePoolRefs) ||
            !empty($this->VimServer) ||
            !is_null($this->HighestSupportedHardwareVersion) ||
            !is_null($this->IsEnabled) ||
            !empty($this->StorageProfile) ||
            !is_null($this->HostRefs) ||
            !is_null($this->DefaultPassword) ||
            !is_null($this->DefaultUsername) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolRefs') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolRefs');
            $this->setResourcePoolRefs($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolRefs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimServer') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VimServer');
            array_push($this->VimServer, $obj);
            if (!empty($namespace)) {
                $this->namespace['VimServer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HighestSupportedHardwareVersion') {
            $sval = $child->nodeValue;
            $this->HighestSupportedHardwareVersion = $sval;
            if (!empty($namespace)) {
                $this->namespace['HighestSupportedHardwareVersion'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageProfile') {
            $sval = $child->nodeValue;
            array_push($this->StorageProfile, $sval);
            if (!empty($namespace)) {
                $this->namespace['StorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostRefs') {
            $obj = new VMware_VCloud_API_Extension_HostObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('HostRefs');
            $this->setHostRefs($obj);
            if (!empty($namespace)) {
                $this->namespace['HostRefs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultPassword') {
            $sval = $child->nodeValue;
            $this->DefaultPassword = $sval;
            if (!empty($namespace)) {
                $this->namespace['DefaultPassword'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultUsername') {
            $sval = $child->nodeValue;
            $this->DefaultUsername = $sval;
            if (!empty($namespace)) {
                $this->namespace['DefaultUsername'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWProviderVdcParamsType


/**
 * Represents a list of available provider vDCs.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWProviderVdcReferencesType extends VMware_VCloud_API_ResourceType {
    protected $ProviderVdcReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $ProviderVdcReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ProviderVdcReference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($ProviderVdcReference)) {
            $this->ProviderVdcReference = $ProviderVdcReference;
        }
        $this->tagName = 'VMWProviderVdcReferences';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProviderVdcReference() {
        return $this->ProviderVdcReference;
    }
    public function setProviderVdcReference($ProviderVdcReference) { 
        $this->ProviderVdcReference = $ProviderVdcReference;
    }
    public function addProviderVdcReference($value) { array_push($this->ProviderVdcReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ProviderVdcReference)) {
            foreach ($this->ProviderVdcReference as $ProviderVdcReference) {
                $out = $ProviderVdcReference->export('ProviderVdcReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ProviderVdcReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcReference');
            array_push($this->ProviderVdcReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWProviderVdcReferencesType


/**
 * External network type.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWExternalNetworkType extends VMware_VCloud_API_NetworkType {
    protected $VimPortGroupRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_NetworkConfigurationType $Configuration - [optional]
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimPortGroupRef - [required]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Configuration=null, $VimPortGroupRef=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Configuration);
        $this->VimPortGroupRef = $VimPortGroupRef;
        $this->tagName = 'VMWExternalNetwork';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimPortGroupRef() {
        return $this->VimPortGroupRef;
    }
    public function setVimPortGroupRef($VimPortGroupRef) { 
        $this->VimPortGroupRef = $VimPortGroupRef;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VimPortGroupRef)) {
            $out = $this->VimPortGroupRef->export('VimPortGroupRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimPortGroupRef) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimPortGroupRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimPortGroupRef');
            $this->setVimPortGroupRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimPortGroupRef'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWExternalNetworkType


/**
 * Represents a list of available external networks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWExternalNetworkReferencesType extends VMware_VCloud_API_ResourceType {
    protected $ExternalNetworkReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $ExternalNetworkReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ExternalNetworkReference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($ExternalNetworkReference)) {
            $this->ExternalNetworkReference = $ExternalNetworkReference;
        }
        $this->tagName = 'VMWExternalNetworkReferences';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getExternalNetworkReference() {
        return $this->ExternalNetworkReference;
    }
    public function setExternalNetworkReference($ExternalNetworkReference) { 
        $this->ExternalNetworkReference = $ExternalNetworkReference;
    }
    public function addExternalNetworkReference($value) { array_push($this->ExternalNetworkReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ExternalNetworkReference)) {
            foreach ($this->ExternalNetworkReference as $ExternalNetworkReference) {
                $out = $ExternalNetworkReference->export('ExternalNetworkReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ExternalNetworkReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ExternalNetworkReference');
            array_push($this->ExternalNetworkReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ExternalNetworkReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWExternalNetworkReferencesType


/**
 * Represents a list of available network pools.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWNetworkPoolReferencesType extends VMware_VCloud_API_ResourceType {
    protected $NetworkPoolReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $NetworkPoolReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $NetworkPoolReference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($NetworkPoolReference)) {
            $this->NetworkPoolReference = $NetworkPoolReference;
        }
        $this->tagName = 'VMWNetworkPoolReferences';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNetworkPoolReference() {
        return $this->NetworkPoolReference;
    }
    public function setNetworkPoolReference($NetworkPoolReference) { 
        $this->NetworkPoolReference = $NetworkPoolReference;
    }
    public function addNetworkPoolReference($value) { array_push($this->NetworkPoolReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->NetworkPoolReference)) {
            foreach ($this->NetworkPoolReference as $NetworkPoolReference) {
                $out = $NetworkPoolReference->export('NetworkPoolReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->NetworkPoolReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReference');
            array_push($this->NetworkPoolReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWNetworkPoolReferencesType


/**
 * Represents the collection of VDS Contexts.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VdsContextType {
    protected $VdsContext = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VdsContext - [optional]
    */
    public function __construct($VdsContext=null) {
        $this->VdsContext = $VdsContext;
        $this->tagName = 'VdsContextType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVdsContext() {
        return $this->VdsContext;
    }
    public function setVdsContext($VdsContext) { 
        $this->VdsContext = $VdsContext;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->VdsContext)) {
            $out = $this->VdsContext->export('VdsContext', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VdsContext)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdsContext') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VdsContext');
            $this->setVdsContext($obj);
            if (!empty($namespace)) {
                $this->namespace['VdsContext'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_VdsContextType


/**
 * Range of integers.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_NumericRangeType {
    protected $Start = null;
    protected $End = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param int $Start - [required] 
    * @param int $End - [required] 
    */
    public function __construct($Start=null, $End=null) {
        $this->Start = $Start;
        $this->End = $End;
        $this->tagName = 'NumericRangeType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getStart() {
        return $this->Start;
    }
    public function setStart($Start) { 
        $this->Start = $Start;
    }
    public function getEnd() {
        return $this->End;
    }
    public function setEnd($End) { 
        $this->End = $End;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Start)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Start', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Start>" . VMware_VCloud_API_Helper::format_integer($this->Start, $input_name='Start') . "</" . $ns . "Start>\n");
        }
        if (!is_null($this->End)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'End', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "End>" . VMware_VCloud_API_Helper::format_integer($this->End, $input_name='End') . "</" . $ns . "End>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Start) ||
            !is_null($this->End)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Start') {
            $sval = $child->nodeValue;
            $this->Start = $sval;
            if (!empty($namespace)) {
                $this->namespace['Start'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'End') {
            $sval = $child->nodeValue;
            $this->End = $sval;
            if (!empty($namespace)) {
                $this->namespace['End'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_NumericRangeType


/**
 * Represents a list of available hosts.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWHostReferencesType extends VMware_VCloud_API_ResourceType {
    protected $HostReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $HostReference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $HostReference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($HostReference)) {
            $this->HostReference = $HostReference;
        }
        $this->tagName = 'VMWHostReferences';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getHostReference() {
        return $this->HostReference;
    }
    public function setHostReference($HostReference) { 
        $this->HostReference = $HostReference;
    }
    public function addHostReference($value) { array_push($this->HostReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->HostReference)) {
            foreach ($this->HostReference as $HostReference) {
                $out = $HostReference->export('HostReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->HostReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('HostReference');
            array_push($this->HostReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['HostReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWHostReferencesType


/**
 * Represents a list of available resource pools that have not been  assigned to any vDCs (provider or org).  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ResourcePoolListType extends VMware_VCloud_API_ResourceType {
    protected $ResourcePool = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $ResourcePool - [optional] an array of VMware_VCloud_API_Extension_ResourcePoolType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ResourcePool=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($ResourcePool)) {
            $this->ResourcePool = $ResourcePool;
        }
        $this->tagName = 'ResourcePoolList';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourcePool() {
        return $this->ResourcePool;
    }
    public function setResourcePool($ResourcePool) { 
        $this->ResourcePool = $ResourcePool;
    }
    public function addResourcePool($value) { array_push($this->ResourcePool, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ResourcePool)) {
            foreach ($this->ResourcePool as $ResourcePool) {
                $out = $ResourcePool->export('ResourcePool', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ResourcePool) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePool') {
            $obj = new VMware_VCloud_API_Extension_ResourcePoolType();
            $obj->build($child);
            $obj->set_tagName('ResourcePool');
            array_push($this->ResourcePool, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePool'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ResourcePoolListType


/**
 * Represents a read-only licensing metric report. This type is deprecated since version 5.5 because  of scalability issues. The new typed queries 'licensingReportQueryList', 'licensingReportSampleQueryList',  'licensingManagedServerQueryList' and 'licensingVirtualMachineQueryList', when combined, replaces this.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LicensingReportType extends VMware_VCloud_API_ResourceType {
    protected $reportDate = null;
    protected $productSerialNumber = null;
    protected $signature = null;
    protected $Sample = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param dateTime $reportDate - [required] an attribute, 
    * @param string $productSerialNumber - [required] an attribute, 
    * @param string $signature - [optional] an attribute, 
    * @param array $Sample - [optional] an array of VMware_VCloud_API_Extension_LicensingReportSampleType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $reportDate=null, $productSerialNumber=null, $signature=null, $Sample=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->reportDate = $reportDate;
        $this->productSerialNumber = $productSerialNumber;
        $this->signature = $signature;
        if (!is_null($Sample)) {
            $this->Sample = $Sample;
        }
        $this->tagName = 'LicensingReport';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getSample() {
        return $this->Sample;
    }
    public function setSample($Sample) { 
        $this->Sample = $Sample;
    }
    public function addSample($value) { array_push($this->Sample, $value); }
    public function get_reportDate(){
        return $this->reportDate;
    }
    public function set_reportDate($reportDate) {
        $this->reportDate = $reportDate;
    }
    public function get_productSerialNumber(){
        return $this->productSerialNumber;
    }
    public function set_productSerialNumber($productSerialNumber) {
        $this->productSerialNumber = $productSerialNumber;
    }
    public function get_signature(){
        return $this->signature;
    }
    public function set_signature($signature) {
        $this->signature = $signature;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'reportDate', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'reportDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->reportDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='reportDate')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'productSerialNumber', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'productSerialNumber=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->productSerialNumber, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='productSerialNumber')));
        if (!is_null($this->signature)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'signature', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'signature=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->signature, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='signature')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Sample)) {
            foreach ($this->Sample as $Sample) {
                $out = $Sample->export('Sample', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Sample) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndreportDate = $attrs->getNamedItem('reportDate');
        if (!is_null($ndreportDate)) {
            $this->reportDate = $ndreportDate->value;
            if (isset($ndreportDate->prefix)) {
                $this->namespace['reportDate'] = $ndreportDate->prefix;
                $nsUri = $ndreportDate->lookupNamespaceURI($ndreportDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'reportDate');
        } else {
            $this->reportDate = null;
        }
        $ndproductSerialNumber = $attrs->getNamedItem('productSerialNumber');
        if (!is_null($ndproductSerialNumber)) {
            $this->productSerialNumber = $ndproductSerialNumber->value;
            if (isset($ndproductSerialNumber->prefix)) {
                $this->namespace['productSerialNumber'] = $ndproductSerialNumber->prefix;
                $nsUri = $ndproductSerialNumber->lookupNamespaceURI($ndproductSerialNumber->prefix);
            }
            $node->removeAttributeNS($nsUri, 'productSerialNumber');
        } else {
            $this->productSerialNumber = null;
        }
        $ndsignature = $attrs->getNamedItem('signature');
        if (!is_null($ndsignature)) {
            $this->signature = $ndsignature->value;
            if (isset($ndsignature->prefix)) {
                $this->namespace['signature'] = $ndsignature->prefix;
                $nsUri = $ndsignature->lookupNamespaceURI($ndsignature->prefix);
            }
            $node->removeAttributeNS($nsUri, 'signature');
        } else {
            $this->signature = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Sample') {
            $obj = new VMware_VCloud_API_Extension_LicensingReportSampleType();
            $obj->build($child);
            $obj->set_tagName('Sample');
            array_push($this->Sample, $obj);
            if (!empty($namespace)) {
                $this->namespace['Sample'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_LicensingReportType


/**
 * Represents a single licensing data collection point.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LicensingReportSampleType {
    protected $observationDate = null;
    protected $ManagedServerMetrics = null;
    protected $VirtualMachineMetrics = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param dateTime $observationDate - [required] an attribute, 
    * @param VMware_VCloud_API_Extension_ManagedServerMetrics $ManagedServerMetrics - [required]
    * @param VMware_VCloud_API_Extension_VirtualMachineMetrics $VirtualMachineMetrics - [required]
    */
    public function __construct($observationDate=null, $ManagedServerMetrics=null, $VirtualMachineMetrics=null) {
        $this->observationDate = $observationDate;
        $this->ManagedServerMetrics = $ManagedServerMetrics;
        $this->VirtualMachineMetrics = $VirtualMachineMetrics;
        $this->tagName = 'Sample';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getManagedServerMetrics() {
        return $this->ManagedServerMetrics;
    }
    public function setManagedServerMetrics($ManagedServerMetrics) { 
        $this->ManagedServerMetrics = $ManagedServerMetrics;
    }
    public function getVirtualMachineMetrics() {
        return $this->VirtualMachineMetrics;
    }
    public function setVirtualMachineMetrics($VirtualMachineMetrics) { 
        $this->VirtualMachineMetrics = $VirtualMachineMetrics;
    }
    public function get_observationDate(){
        return $this->observationDate;
    }
    public function set_observationDate($observationDate) {
        $this->observationDate = $observationDate;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'observationDate', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'observationDate=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->observationDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='observationDate')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->ManagedServerMetrics)) {
            $out = $this->ManagedServerMetrics->export('ManagedServerMetrics', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VirtualMachineMetrics)) {
            $out = $this->VirtualMachineMetrics->export('VirtualMachineMetrics', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ManagedServerMetrics) ||
            !is_null($this->VirtualMachineMetrics)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndobservationDate = $attrs->getNamedItem('observationDate');
        if (!is_null($ndobservationDate)) {
            $this->observationDate = $ndobservationDate->value;
            if (isset($ndobservationDate->prefix)) {
                $this->namespace['observationDate'] = $ndobservationDate->prefix;
                $nsUri = $ndobservationDate->lookupNamespaceURI($ndobservationDate->prefix);
            }
            $node->removeAttributeNS($nsUri, 'observationDate');
        } else {
            $this->observationDate = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ManagedServerMetrics') {
            $obj = new VMware_VCloud_API_Extension_ManagedServerMetrics();
            $obj->build($child);
            $obj->set_tagName('ManagedServerMetrics');
            $this->setManagedServerMetrics($obj);
            if (!empty($namespace)) {
                $this->namespace['ManagedServerMetrics'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualMachineMetrics') {
            $obj = new VMware_VCloud_API_Extension_VirtualMachineMetrics();
            $obj->build($child);
            $obj->set_tagName('VirtualMachineMetrics');
            $this->setVirtualMachineMetrics($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualMachineMetrics'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_LicensingReportSampleType


/**
 * Observed managed server metrics.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ManagedServerMetrics {
    protected $ManagedServer = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $ManagedServer - [optional] an array of string
    */
    public function __construct($ManagedServer=null) {
        if (!is_null($ManagedServer)) {
            $this->ManagedServer = $ManagedServer;
        }
        $this->tagName = 'ManagedServerMetrics';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getManagedServer() {
        return $this->ManagedServer;
    }
    public function setManagedServer($ManagedServer) { 
        $this->ManagedServer = $ManagedServer;
    }
    public function addManagedServer($value) { array_push($this->ManagedServer, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->ManagedServer)) {
            foreach ($this->ManagedServer as $ManagedServer) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ManagedServer', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ManagedServer>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($ManagedServer, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ManagedServer')) . "</" . $ns . "ManagedServer>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ManagedServer)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ManagedServer') {
            $sval = $child->nodeValue;
            array_push($this->ManagedServer, $sval);
            if (!empty($namespace)) {
                $this->namespace['ManagedServer'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_ManagedServerMetrics


/**
 * Observed virtual machine metrics.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VirtualMachineMetrics {
    protected $VirtualMachine = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VirtualMachine - [optional] an array of string
    */
    public function __construct($VirtualMachine=null) {
        if (!is_null($VirtualMachine)) {
            $this->VirtualMachine = $VirtualMachine;
        }
        $this->tagName = 'VirtualMachineMetrics';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVirtualMachine() {
        return $this->VirtualMachine;
    }
    public function setVirtualMachine($VirtualMachine) { 
        $this->VirtualMachine = $VirtualMachine;
    }
    public function addVirtualMachine($value) { array_push($this->VirtualMachine, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->VirtualMachine)) {
            foreach ($this->VirtualMachine as $VirtualMachine) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VirtualMachine', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VirtualMachine>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($VirtualMachine, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VirtualMachine')) . "</" . $ns . "VirtualMachine>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VirtualMachine)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualMachine') {
            $sval = $child->nodeValue;
            array_push($this->VirtualMachine, $sval);
            if (!empty($namespace)) {
                $this->namespace['VirtualMachine'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_VirtualMachineMetrics


/**
 * Captures a single set of metrics for a managed server for a given sample.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LicensingManagedServerType {
    protected $cpu = null;
    protected $memoryInstalled = null;
    protected $VimObjectRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param int $cpu - [required] an attribute, 
    * @param int $memoryInstalled - [required] an attribute, 
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimObjectRef - [required]
    */
    public function __construct($cpu=null, $memoryInstalled=null, $VimObjectRef=null) {
        $this->cpu = $cpu;
        $this->memoryInstalled = $memoryInstalled;
        $this->VimObjectRef = $VimObjectRef;
        $this->tagName = 'ManagedServer';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimObjectRef() {
        return $this->VimObjectRef;
    }
    public function setVimObjectRef($VimObjectRef) { 
        $this->VimObjectRef = $VimObjectRef;
    }
    public function get_cpu(){
        return $this->cpu;
    }
    public function set_cpu($cpu) {
        $this->cpu = $cpu;
    }
    public function get_memoryInstalled(){
        return $this->memoryInstalled;
    }
    public function set_memoryInstalled($memoryInstalled) {
        $this->memoryInstalled = $memoryInstalled;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpu', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpu=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpu, $input_name='cpu')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memoryInstalled', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memoryInstalled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memoryInstalled, $input_name='memoryInstalled')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->VimObjectRef)) {
            $out = $this->VimObjectRef->export('VimObjectRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimObjectRef)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndcpu = $attrs->getNamedItem('cpu');
        if (!is_null($ndcpu)) {
            $this->cpu = sprintf('%d', $ndcpu->value);
            if (isset($ndcpu->prefix)) {
                $this->namespace['cpu'] = $ndcpu->prefix;
                $nsUri = $ndcpu->lookupNamespaceURI($ndcpu->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpu');
        } else {
            $this->cpu = null;
        }
        $ndmemoryInstalled = $attrs->getNamedItem('memoryInstalled');
        if (!is_null($ndmemoryInstalled)) {
            $this->memoryInstalled = sprintf('%d', $ndmemoryInstalled->value);
            if (isset($ndmemoryInstalled->prefix)) {
                $this->namespace['memoryInstalled'] = $ndmemoryInstalled->prefix;
                $nsUri = $ndmemoryInstalled->lookupNamespaceURI($ndmemoryInstalled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memoryInstalled');
        } else {
            $this->memoryInstalled = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimObjectRef');
            $this->setVimObjectRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimObjectRef'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_LicensingManagedServerType


/**
 * Represents a single set of virtual machine metrics.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LicensingVirtualMachineType {
    protected $cpu = null;
    protected $memory = null;
    protected $VimObjectRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param int $cpu - [required] an attribute, 
    * @param int $memory - [required] an attribute, 
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimObjectRef - [required]
    */
    public function __construct($cpu=null, $memory=null, $VimObjectRef=null) {
        $this->cpu = $cpu;
        $this->memory = $memory;
        $this->VimObjectRef = $VimObjectRef;
        $this->tagName = 'VirtualMachine';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimObjectRef() {
        return $this->VimObjectRef;
    }
    public function setVimObjectRef($VimObjectRef) { 
        $this->VimObjectRef = $VimObjectRef;
    }
    public function get_cpu(){
        return $this->cpu;
    }
    public function set_cpu($cpu) {
        $this->cpu = $cpu;
    }
    public function get_memory(){
        return $this->memory;
    }
    public function set_memory($memory) {
        $this->memory = $memory;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'cpu', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'cpu=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->cpu, $input_name='cpu')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'memory', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'memory=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->memory, $input_name='memory')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->VimObjectRef)) {
            $out = $this->VimObjectRef->export('VimObjectRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimObjectRef)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndcpu = $attrs->getNamedItem('cpu');
        if (!is_null($ndcpu)) {
            $this->cpu = sprintf('%d', $ndcpu->value);
            if (isset($ndcpu->prefix)) {
                $this->namespace['cpu'] = $ndcpu->prefix;
                $nsUri = $ndcpu->lookupNamespaceURI($ndcpu->prefix);
            }
            $node->removeAttributeNS($nsUri, 'cpu');
        } else {
            $this->cpu = null;
        }
        $ndmemory = $attrs->getNamedItem('memory');
        if (!is_null($ndmemory)) {
            $this->memory = sprintf('%d', $ndmemory->value);
            if (isset($ndmemory->prefix)) {
                $this->namespace['memory'] = $ndmemory->prefix;
                $nsUri = $ndmemory->lookupNamespaceURI($ndmemory->prefix);
            }
            $node->removeAttributeNS($nsUri, 'memory');
        } else {
            $this->memory = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimObjectRef');
            $this->setVimObjectRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimObjectRef'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_LicensingVirtualMachineType


/**
 * Represents a list of licensing reports.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_LicensingReportListType {
    protected $Report = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $Report - [optional] an array of VMware_VCloud_API_LinkType objects
    */
    public function __construct($Report=null) {
        if (!is_null($Report)) {
            $this->Report = $Report;
        }
        $this->tagName = 'LicensingReports';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getReport() {
        return $this->Report;
    }
    public function setReport($Report) { 
        $this->Report = $Report;
    }
    public function addReport($value) { array_push($this->Report, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Report)) {
            foreach ($this->Report as $Report) {
                $out = $Report->export('Report', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Report)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Report') {
            $obj = new VMware_VCloud_API_LinkType();
            $obj->build($child);
            $obj->set_tagName('Report');
            array_push($this->Report, $obj);
            if (!empty($namespace)) {
                $this->namespace['Report'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_LicensingReportListType


/**
 * Represents datastore object.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_DatastoreType extends VMware_VCloud_API_EntityType {
    protected $VimObjectRef = null;
    protected $Enabled = null;
    protected $Busy = null;
    protected $VAAIForFpEnabled = null;
    protected $ThresholdYellowGb = null;
    protected $ThresholdRedGb = null;
    protected $SystemMessages = null;
    protected $DatastoreFsType = null;
    protected $VcDisplayName = null;
    protected $MountHost = null;
    protected $MountDirectory = null;
    protected $TotalCapacityMb = null;
    protected $TotalCapacityGb = null;
    protected $UsedCapacityMb = null;
    protected $UsedCapacityGb = null;
    protected $UsedCapacityPercent = null;
    protected $ProvisionedSpaceMb = null;
    protected $ProvisionedSpaceGb = null;
    protected $RequestedStorageMb = null;
    protected $RequestedStorageGb = null;
    protected $vimPropertyPageUrl = null;
    protected $Members = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimObjectRef - [optional]
    * @param boolean $Enabled - [optional] 
    * @param boolean $Busy - [optional] 
    * @param boolean $VAAIForFpEnabled - [optional] 
    * @param string $ThresholdYellowGb - [required] 
    * @param string $ThresholdRedGb - [required] 
    * @param string $SystemMessages - [optional] 
    * @param string $DatastoreFsType - [optional] 
    * @param string $VcDisplayName - [optional] 
    * @param string $MountHost - [optional] 
    * @param string $MountDirectory - [optional] 
    * @param float $TotalCapacityMb - [optional] 
    * @param float $TotalCapacityGb - [optional] 
    * @param float $UsedCapacityMb - [optional] 
    * @param float $UsedCapacityGb - [optional] 
    * @param float $UsedCapacityPercent - [optional] 
    * @param float $ProvisionedSpaceMb - [optional] 
    * @param float $ProvisionedSpaceGb - [optional] 
    * @param float $RequestedStorageMb - [optional] 
    * @param float $RequestedStorageGb - [optional] 
    * @param string $vimPropertyPageUrl - [optional] 
    * @param VMware_VCloud_API_Extension_VimObjectRefsType $Members - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $VimObjectRef=null, $Enabled=null, $Busy=null, $VAAIForFpEnabled=null, $ThresholdYellowGb=null, $ThresholdRedGb=null, $SystemMessages=null, $DatastoreFsType=null, $VcDisplayName=null, $MountHost=null, $MountDirectory=null, $TotalCapacityMb=null, $TotalCapacityGb=null, $UsedCapacityMb=null, $UsedCapacityGb=null, $UsedCapacityPercent=null, $ProvisionedSpaceMb=null, $ProvisionedSpaceGb=null, $RequestedStorageMb=null, $RequestedStorageGb=null, $vimPropertyPageUrl=null, $Members=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->VimObjectRef = $VimObjectRef;
        $this->Enabled = $Enabled;
        $this->Busy = $Busy;
        $this->VAAIForFpEnabled = $VAAIForFpEnabled;
        $this->ThresholdYellowGb = $ThresholdYellowGb;
        $this->ThresholdRedGb = $ThresholdRedGb;
        $this->SystemMessages = $SystemMessages;
        $this->DatastoreFsType = $DatastoreFsType;
        $this->VcDisplayName = $VcDisplayName;
        $this->MountHost = $MountHost;
        $this->MountDirectory = $MountDirectory;
        $this->TotalCapacityMb = $TotalCapacityMb;
        $this->TotalCapacityGb = $TotalCapacityGb;
        $this->UsedCapacityMb = $UsedCapacityMb;
        $this->UsedCapacityGb = $UsedCapacityGb;
        $this->UsedCapacityPercent = $UsedCapacityPercent;
        $this->ProvisionedSpaceMb = $ProvisionedSpaceMb;
        $this->ProvisionedSpaceGb = $ProvisionedSpaceGb;
        $this->RequestedStorageMb = $RequestedStorageMb;
        $this->RequestedStorageGb = $RequestedStorageGb;
        $this->vimPropertyPageUrl = $vimPropertyPageUrl;
        $this->Members = $Members;
        $this->tagName = 'Datastore';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimObjectRef() {
        return $this->VimObjectRef;
    }
    public function setVimObjectRef($VimObjectRef) { 
        $this->VimObjectRef = $VimObjectRef;
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function getBusy() {
        return $this->Busy;
    }
    public function setBusy($Busy) { 
        $this->Busy = $Busy;
    }
    public function getVAAIForFpEnabled() {
        return $this->VAAIForFpEnabled;
    }
    public function setVAAIForFpEnabled($VAAIForFpEnabled) { 
        $this->VAAIForFpEnabled = $VAAIForFpEnabled;
    }
    public function getThresholdYellowGb() {
        return $this->ThresholdYellowGb;
    }
    public function setThresholdYellowGb($ThresholdYellowGb) { 
        $this->ThresholdYellowGb = $ThresholdYellowGb;
    }
    public function getThresholdRedGb() {
        return $this->ThresholdRedGb;
    }
    public function setThresholdRedGb($ThresholdRedGb) { 
        $this->ThresholdRedGb = $ThresholdRedGb;
    }
    public function getSystemMessages() {
        return $this->SystemMessages;
    }
    public function setSystemMessages($SystemMessages) { 
        $this->SystemMessages = $SystemMessages;
    }
    public function getDatastoreFsType() {
        return $this->DatastoreFsType;
    }
    public function setDatastoreFsType($DatastoreFsType) { 
        $this->DatastoreFsType = $DatastoreFsType;
    }
    public function getVcDisplayName() {
        return $this->VcDisplayName;
    }
    public function setVcDisplayName($VcDisplayName) { 
        $this->VcDisplayName = $VcDisplayName;
    }
    public function getMountHost() {
        return $this->MountHost;
    }
    public function setMountHost($MountHost) { 
        $this->MountHost = $MountHost;
    }
    public function getMountDirectory() {
        return $this->MountDirectory;
    }
    public function setMountDirectory($MountDirectory) { 
        $this->MountDirectory = $MountDirectory;
    }
    public function getTotalCapacityMb() {
        return $this->TotalCapacityMb;
    }
    public function setTotalCapacityMb($TotalCapacityMb) { 
        $this->TotalCapacityMb = $TotalCapacityMb;
    }
    public function getTotalCapacityGb() {
        return $this->TotalCapacityGb;
    }
    public function setTotalCapacityGb($TotalCapacityGb) { 
        $this->TotalCapacityGb = $TotalCapacityGb;
    }
    public function getUsedCapacityMb() {
        return $this->UsedCapacityMb;
    }
    public function setUsedCapacityMb($UsedCapacityMb) { 
        $this->UsedCapacityMb = $UsedCapacityMb;
    }
    public function getUsedCapacityGb() {
        return $this->UsedCapacityGb;
    }
    public function setUsedCapacityGb($UsedCapacityGb) { 
        $this->UsedCapacityGb = $UsedCapacityGb;
    }
    public function getUsedCapacityPercent() {
        return $this->UsedCapacityPercent;
    }
    public function setUsedCapacityPercent($UsedCapacityPercent) { 
        $this->UsedCapacityPercent = $UsedCapacityPercent;
    }
    public function getProvisionedSpaceMb() {
        return $this->ProvisionedSpaceMb;
    }
    public function setProvisionedSpaceMb($ProvisionedSpaceMb) { 
        $this->ProvisionedSpaceMb = $ProvisionedSpaceMb;
    }
    public function getProvisionedSpaceGb() {
        return $this->ProvisionedSpaceGb;
    }
    public function setProvisionedSpaceGb($ProvisionedSpaceGb) { 
        $this->ProvisionedSpaceGb = $ProvisionedSpaceGb;
    }
    public function getRequestedStorageMb() {
        return $this->RequestedStorageMb;
    }
    public function setRequestedStorageMb($RequestedStorageMb) { 
        $this->RequestedStorageMb = $RequestedStorageMb;
    }
    public function getRequestedStorageGb() {
        return $this->RequestedStorageGb;
    }
    public function setRequestedStorageGb($RequestedStorageGb) { 
        $this->RequestedStorageGb = $RequestedStorageGb;
    }
    public function get_vimPropertyPageUrl() {
        return $this->vimPropertyPageUrl;
    }
    public function set_vimPropertyPageUrl($vimPropertyPageUrl) { 
        $this->vimPropertyPageUrl = $vimPropertyPageUrl;
    }
    public function getMembers() {
        return $this->Members;
    }
    public function setMembers($Members) { 
        $this->Members = $Members;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VimObjectRef)) {
            $out = $this->VimObjectRef->export('VimObjectRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
        }
        if (!is_null($this->Busy)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Busy', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Busy>" . VMware_VCloud_API_Helper::format_boolean($this->Busy, $input_name='Busy') . "</" . $ns . "Busy>\n");
        }
        if (!is_null($this->VAAIForFpEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAAIForFpEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAAIForFpEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->VAAIForFpEnabled, $input_name='VAAIForFpEnabled') . "</" . $ns . "VAAIForFpEnabled>\n");
        }
        if (!is_null($this->ThresholdYellowGb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ThresholdYellowGb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ThresholdYellowGb>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ThresholdYellowGb, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ThresholdYellowGb')) . "</" . $ns . "ThresholdYellowGb>\n");
        }
        if (!is_null($this->ThresholdRedGb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ThresholdRedGb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ThresholdRedGb>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ThresholdRedGb, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ThresholdRedGb')) . "</" . $ns . "ThresholdRedGb>\n");
        }
        if (!is_null($this->SystemMessages)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'SystemMessages', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "SystemMessages>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->SystemMessages, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='SystemMessages')) . "</" . $ns . "SystemMessages>\n");
        }
        if (!is_null($this->DatastoreFsType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DatastoreFsType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DatastoreFsType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DatastoreFsType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DatastoreFsType')) . "</" . $ns . "DatastoreFsType>\n");
        }
        if (!is_null($this->VcDisplayName)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VcDisplayName', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VcDisplayName>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VcDisplayName, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VcDisplayName')) . "</" . $ns . "VcDisplayName>\n");
        }
        if (!is_null($this->MountHost)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MountHost', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MountHost>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MountHost, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MountHost')) . "</" . $ns . "MountHost>\n");
        }
        if (!is_null($this->MountDirectory)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MountDirectory', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MountDirectory>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MountDirectory, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MountDirectory')) . "</" . $ns . "MountDirectory>\n");
        }
        if (!is_null($this->TotalCapacityMb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TotalCapacityMb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TotalCapacityMb>" . VMware_VCloud_API_Helper::format_double($this->TotalCapacityMb, $input_name='TotalCapacityMb') . "</" . $ns . "TotalCapacityMb>\n");
        }
        if (!is_null($this->TotalCapacityGb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TotalCapacityGb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TotalCapacityGb>" . VMware_VCloud_API_Helper::format_double($this->TotalCapacityGb, $input_name='TotalCapacityGb') . "</" . $ns . "TotalCapacityGb>\n");
        }
        if (!is_null($this->UsedCapacityMb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsedCapacityMb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsedCapacityMb>" . VMware_VCloud_API_Helper::format_double($this->UsedCapacityMb, $input_name='UsedCapacityMb') . "</" . $ns . "UsedCapacityMb>\n");
        }
        if (!is_null($this->UsedCapacityGb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsedCapacityGb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsedCapacityGb>" . VMware_VCloud_API_Helper::format_double($this->UsedCapacityGb, $input_name='UsedCapacityGb') . "</" . $ns . "UsedCapacityGb>\n");
        }
        if (!is_null($this->UsedCapacityPercent)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsedCapacityPercent', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsedCapacityPercent>" . VMware_VCloud_API_Helper::format_double($this->UsedCapacityPercent, $input_name='UsedCapacityPercent') . "</" . $ns . "UsedCapacityPercent>\n");
        }
        if (!is_null($this->ProvisionedSpaceMb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ProvisionedSpaceMb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ProvisionedSpaceMb>" . VMware_VCloud_API_Helper::format_double($this->ProvisionedSpaceMb, $input_name='ProvisionedSpaceMb') . "</" . $ns . "ProvisionedSpaceMb>\n");
        }
        if (!is_null($this->ProvisionedSpaceGb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ProvisionedSpaceGb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ProvisionedSpaceGb>" . VMware_VCloud_API_Helper::format_double($this->ProvisionedSpaceGb, $input_name='ProvisionedSpaceGb') . "</" . $ns . "ProvisionedSpaceGb>\n");
        }
        if (!is_null($this->RequestedStorageMb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RequestedStorageMb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RequestedStorageMb>" . VMware_VCloud_API_Helper::format_double($this->RequestedStorageMb, $input_name='RequestedStorageMb') . "</" . $ns . "RequestedStorageMb>\n");
        }
        if (!is_null($this->RequestedStorageGb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RequestedStorageGb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RequestedStorageGb>" . VMware_VCloud_API_Helper::format_double($this->RequestedStorageGb, $input_name='RequestedStorageGb') . "</" . $ns . "RequestedStorageGb>\n");
        }
        if (!is_null($this->vimPropertyPageUrl)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'vimPropertyPageUrl', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "vimPropertyPageUrl>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->vimPropertyPageUrl, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='vimPropertyPageUrl')) . "</" . $ns . "vimPropertyPageUrl>\n");
        }
        if (!is_null($this->Members)) {
            $out = $this->Members->export('Members', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimObjectRef) ||
            !is_null($this->Enabled) ||
            !is_null($this->Busy) ||
            !is_null($this->VAAIForFpEnabled) ||
            !is_null($this->ThresholdYellowGb) ||
            !is_null($this->ThresholdRedGb) ||
            !is_null($this->SystemMessages) ||
            !is_null($this->DatastoreFsType) ||
            !is_null($this->VcDisplayName) ||
            !is_null($this->MountHost) ||
            !is_null($this->MountDirectory) ||
            !is_null($this->TotalCapacityMb) ||
            !is_null($this->TotalCapacityGb) ||
            !is_null($this->UsedCapacityMb) ||
            !is_null($this->UsedCapacityGb) ||
            !is_null($this->UsedCapacityPercent) ||
            !is_null($this->ProvisionedSpaceMb) ||
            !is_null($this->ProvisionedSpaceGb) ||
            !is_null($this->RequestedStorageMb) ||
            !is_null($this->RequestedStorageGb) ||
            !is_null($this->vimPropertyPageUrl) ||
            !is_null($this->Members) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimObjectRef');
            $this->setVimObjectRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimObjectRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Busy') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Busy = $sval;
            if (!empty($namespace)) {
                $this->namespace['Busy'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAAIForFpEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->VAAIForFpEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAAIForFpEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ThresholdYellowGb') {
            $sval = $child->nodeValue;
            $this->ThresholdYellowGb = $sval;
            if (!empty($namespace)) {
                $this->namespace['ThresholdYellowGb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ThresholdRedGb') {
            $sval = $child->nodeValue;
            $this->ThresholdRedGb = $sval;
            if (!empty($namespace)) {
                $this->namespace['ThresholdRedGb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SystemMessages') {
            $sval = $child->nodeValue;
            $this->SystemMessages = $sval;
            if (!empty($namespace)) {
                $this->namespace['SystemMessages'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreFsType') {
            $sval = $child->nodeValue;
            $this->DatastoreFsType = $sval;
            if (!empty($namespace)) {
                $this->namespace['DatastoreFsType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VcDisplayName') {
            $sval = $child->nodeValue;
            $this->VcDisplayName = $sval;
            if (!empty($namespace)) {
                $this->namespace['VcDisplayName'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MountHost') {
            $sval = $child->nodeValue;
            $this->MountHost = $sval;
            if (!empty($namespace)) {
                $this->namespace['MountHost'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MountDirectory') {
            $sval = $child->nodeValue;
            $this->MountDirectory = $sval;
            if (!empty($namespace)) {
                $this->namespace['MountDirectory'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TotalCapacityMb') {
            $sval = $child->nodeValue;
            $this->TotalCapacityMb = $sval;
            if (!empty($namespace)) {
                $this->namespace['TotalCapacityMb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TotalCapacityGb') {
            $sval = $child->nodeValue;
            $this->TotalCapacityGb = $sval;
            if (!empty($namespace)) {
                $this->namespace['TotalCapacityGb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsedCapacityMb') {
            $sval = $child->nodeValue;
            $this->UsedCapacityMb = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsedCapacityMb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsedCapacityGb') {
            $sval = $child->nodeValue;
            $this->UsedCapacityGb = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsedCapacityGb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsedCapacityPercent') {
            $sval = $child->nodeValue;
            $this->UsedCapacityPercent = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsedCapacityPercent'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProvisionedSpaceMb') {
            $sval = $child->nodeValue;
            $this->ProvisionedSpaceMb = $sval;
            if (!empty($namespace)) {
                $this->namespace['ProvisionedSpaceMb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProvisionedSpaceGb') {
            $sval = $child->nodeValue;
            $this->ProvisionedSpaceGb = $sval;
            if (!empty($namespace)) {
                $this->namespace['ProvisionedSpaceGb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RequestedStorageMb') {
            $sval = $child->nodeValue;
            $this->RequestedStorageMb = $sval;
            if (!empty($namespace)) {
                $this->namespace['RequestedStorageMb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RequestedStorageGb') {
            $sval = $child->nodeValue;
            $this->RequestedStorageGb = $sval;
            if (!empty($namespace)) {
                $this->namespace['RequestedStorageGb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'vimPropertyPageUrl') {
            $sval = $child->nodeValue;
            $this->vimPropertyPageUrl = $sval;
            if (!empty($namespace)) {
                $this->namespace['vimPropertyPageUrl'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Members') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('Members');
            $this->setMembers($obj);
            if (!empty($namespace)) {
                $this->namespace['Members'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_DatastoreType


/**
 * Minimum free space, in GB, to trigger a yellow  status for the datastore.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ThresholdYellowGb {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'ThresholdYellowGb';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_Extension_ThresholdYellowGb


/**
 * Minimum free space, in GB, to trigger a red  status for the datastore.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ThresholdRedGb {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param string $valueOf - [optional]
    */
    public function __construct($valueOf='') {
        $this->valueOf = $valueOf;
        $this->tagName = 'ThresholdRedGb';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_valueOf() { return $this->valueOf; }
    public function set_valueOf($valueOf) { $this->valueOf = $valueOf; }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->valueOf)) {
            $out = VMware_VCloud_API_Helper::addString($out, VMware_VCloud_API_Helper::quote_xml($this->valueOf));
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->valueOf)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $this->valueOf = '';
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_TEXT_NODE) {
            $this->valueOf = $child->nodeValue;
            $this->tagName = $nodeName;
        }
    }
}
// end of class VMware_VCloud_API_Extension_ThresholdRedGb


/**
 * Represents a vCenter storage profile.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWStorageProfileType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $name = null;
    protected $MoRef = null;
    protected $VimObjectType = null;
    protected $FreeStorageMb = null;
    protected $TotalStorageMb = null;
    protected $DataStoreRefs = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [required] an attribute, 
    * @param string $MoRef - [optional] 
    * @param string $VimObjectType - [optional] 
    * @param float $FreeStorageMb - [optional] 
    * @param float $TotalStorageMb - [optional] 
    * @param VMware_VCloud_API_Extension_VimObjectRefsType $DataStoreRefs - [optional]
    */
    public function __construct($VCloudExtension=null, $name=null, $MoRef=null, $VimObjectType=null, $FreeStorageMb=null, $TotalStorageMb=null, $DataStoreRefs=null) {
        parent::__construct($VCloudExtension);
        $this->name = $name;
        $this->MoRef = $MoRef;
        $this->VimObjectType = $VimObjectType;
        $this->FreeStorageMb = $FreeStorageMb;
        $this->TotalStorageMb = $TotalStorageMb;
        $this->DataStoreRefs = $DataStoreRefs;
        $this->tagName = 'VMWStorageProfile';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMoRef() {
        return $this->MoRef;
    }
    public function setMoRef($MoRef) { 
        $this->MoRef = $MoRef;
    }
    public function getVimObjectType() {
        return $this->VimObjectType;
    }
    public function setVimObjectType($VimObjectType) { 
        $this->VimObjectType = $VimObjectType;
    }
    public function getFreeStorageMb() {
        return $this->FreeStorageMb;
    }
    public function setFreeStorageMb($FreeStorageMb) { 
        $this->FreeStorageMb = $FreeStorageMb;
    }
    public function getTotalStorageMb() {
        return $this->TotalStorageMb;
    }
    public function setTotalStorageMb($TotalStorageMb) { 
        $this->TotalStorageMb = $TotalStorageMb;
    }
    public function getDataStoreRefs() {
        return $this->DataStoreRefs;
    }
    public function setDataStoreRefs($DataStoreRefs) { 
        $this->DataStoreRefs = $DataStoreRefs;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->MoRef)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MoRef', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MoRef>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MoRef, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MoRef')) . "</" . $ns . "MoRef>\n");
        }
        if (!is_null($this->VimObjectType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VimObjectType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VimObjectType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VimObjectType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VimObjectType')) . "</" . $ns . "VimObjectType>\n");
        }
        if (!is_null($this->FreeStorageMb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FreeStorageMb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FreeStorageMb>" . VMware_VCloud_API_Helper::format_double($this->FreeStorageMb, $input_name='FreeStorageMb') . "</" . $ns . "FreeStorageMb>\n");
        }
        if (!is_null($this->TotalStorageMb)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'TotalStorageMb', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "TotalStorageMb>" . VMware_VCloud_API_Helper::format_double($this->TotalStorageMb, $input_name='TotalStorageMb') . "</" . $ns . "TotalStorageMb>\n");
        }
        if (!is_null($this->DataStoreRefs)) {
            $out = $this->DataStoreRefs->export('DataStoreRefs', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->MoRef) ||
            !is_null($this->VimObjectType) ||
            !is_null($this->FreeStorageMb) ||
            !is_null($this->TotalStorageMb) ||
            !is_null($this->DataStoreRefs) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MoRef') {
            $sval = $child->nodeValue;
            $this->MoRef = $sval;
            if (!empty($namespace)) {
                $this->namespace['MoRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectType') {
            $sval = $child->nodeValue;
            $this->VimObjectType = $sval;
            if (!empty($namespace)) {
                $this->namespace['VimObjectType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FreeStorageMb') {
            $sval = $child->nodeValue;
            $this->FreeStorageMb = $sval;
            if (!empty($namespace)) {
                $this->namespace['FreeStorageMb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TotalStorageMb') {
            $sval = $child->nodeValue;
            $this->TotalStorageMb = $sval;
            if (!empty($namespace)) {
                $this->namespace['TotalStorageMb'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DataStoreRefs') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('DataStoreRefs');
            $this->setDataStoreRefs($obj);
            if (!empty($namespace)) {
                $this->namespace['DataStoreRefs'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWStorageProfileType


/**
 * Represents a group of vCenter storage profiles.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWStorageProfilesType extends VMware_VCloud_API_ResourceType {
    protected $VMWStorageProfile = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $VMWStorageProfile - [optional] an array of VMware_VCloud_API_Extension_VMWStorageProfileType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $VMWStorageProfile=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($VMWStorageProfile)) {
            $this->VMWStorageProfile = $VMWStorageProfile;
        }
        $this->tagName = 'VMWStorageProfiles';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVMWStorageProfile() {
        return $this->VMWStorageProfile;
    }
    public function setVMWStorageProfile($VMWStorageProfile) { 
        $this->VMWStorageProfile = $VMWStorageProfile;
    }
    public function addVMWStorageProfile($value) { array_push($this->VMWStorageProfile, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VMWStorageProfile)) {
            foreach ($this->VMWStorageProfile as $VMWStorageProfile) {
                $out = $VMWStorageProfile->export('VMWStorageProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VMWStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWStorageProfile') {
            $obj = new VMware_VCloud_API_Extension_VMWStorageProfileType();
            $obj->build($child);
            $obj->set_tagName('VMWStorageProfile');
            array_push($this->VMWStorageProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMWStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWStorageProfilesType


/**
 * 
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VimObjectRefListType extends VMware_VCloud_API_ResourceType {
    protected $VimObjectRefs = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param VMware_VCloud_API_Extension_VimObjectRefsType $VimObjectRefs - [required]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $VimObjectRefs=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->VimObjectRefs = $VimObjectRefs;
        $this->tagName = 'VimObjectRefList';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimObjectRefs() {
        return $this->VimObjectRefs;
    }
    public function setVimObjectRefs($VimObjectRefs) { 
        $this->VimObjectRefs = $VimObjectRefs;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VimObjectRefs)) {
            $out = $this->VimObjectRefs->export('VimObjectRefs', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimObjectRefs) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectRefs') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('VimObjectRefs');
            $this->setVimObjectRefs($obj);
            if (!empty($namespace)) {
                $this->namespace['VimObjectRefs'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VimObjectRefListType


/**
 * Represents backing resource pool set  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolSetType extends VMware_VCloud_API_ResourceType {
    protected $VMWProviderVdcResourcePool = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $VMWProviderVdcResourcePool - [optional] an array of VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $VMWProviderVdcResourcePool=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($VMWProviderVdcResourcePool)) {
            $this->VMWProviderVdcResourcePool = $VMWProviderVdcResourcePool;
        }
        $this->tagName = 'VMWProviderVdcResourcePoolSet';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVMWProviderVdcResourcePool() {
        return $this->VMWProviderVdcResourcePool;
    }
    public function setVMWProviderVdcResourcePool($VMWProviderVdcResourcePool) { 
        $this->VMWProviderVdcResourcePool = $VMWProviderVdcResourcePool;
    }
    public function addVMWProviderVdcResourcePool($value) { array_push($this->VMWProviderVdcResourcePool, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VMWProviderVdcResourcePool)) {
            foreach ($this->VMWProviderVdcResourcePool as $VMWProviderVdcResourcePool) {
                $out = $VMWProviderVdcResourcePool->export('VMWProviderVdcResourcePool', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VMWProviderVdcResourcePool) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWProviderVdcResourcePool') {
            $obj = new VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolType();
            $obj->build($child);
            $obj->set_tagName('VMWProviderVdcResourcePool');
            array_push($this->VMWProviderVdcResourcePool, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMWProviderVdcResourcePool'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolSetType


/**
 * Represents backing resource pool for provider vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolType extends VMware_VCloud_API_ResourceType {
    protected $primary = null;
    protected $ResourcePoolVimObjectRef = null;
    protected $ResourcePoolRef = null;
    protected $Enabled = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param boolean $primary - [optional] an attribute, 
    * @param VMware_VCloud_API_Extension_VimObjectRefType $ResourcePoolVimObjectRef - [required]
    * @param VMware_VCloud_API_ReferenceType $ResourcePoolRef - [required]
    * @param boolean $Enabled - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $primary=null, $ResourcePoolVimObjectRef=null, $ResourcePoolRef=null, $Enabled=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->primary = $primary;
        $this->ResourcePoolVimObjectRef = $ResourcePoolVimObjectRef;
        $this->ResourcePoolRef = $ResourcePoolRef;
        $this->Enabled = $Enabled;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourcePoolVimObjectRef() {
        return $this->ResourcePoolVimObjectRef;
    }
    public function setResourcePoolVimObjectRef($ResourcePoolVimObjectRef) { 
        $this->ResourcePoolVimObjectRef = $ResourcePoolVimObjectRef;
    }
    public function getResourcePoolRef() {
        return $this->ResourcePoolRef;
    }
    public function setResourcePoolRef($ResourcePoolRef) { 
        $this->ResourcePoolRef = $ResourcePoolRef;
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function get_primary(){
        return $this->primary;
    }
    public function set_primary($primary) {
        $this->primary = $primary;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->primary)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'primary', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'primary=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->primary, $input_name='primary')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ResourcePoolVimObjectRef)) {
            $out = $this->ResourcePoolVimObjectRef->export('ResourcePoolVimObjectRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ResourcePoolRef)) {
            $out = $this->ResourcePoolRef->export('ResourcePoolRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ResourcePoolVimObjectRef) ||
            !is_null($this->ResourcePoolRef) ||
            !is_null($this->Enabled) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndprimary = $attrs->getNamedItem('primary');
        if (!is_null($ndprimary)) {
            $this->primary = VMware_VCloud_API_Helper::get_boolean($ndprimary->value);
            if (isset($ndprimary->prefix)) {
                $this->namespace['primary'] = $ndprimary->prefix;
                $nsUri = $ndprimary->lookupNamespaceURI($ndprimary->prefix);
            }
            $node->removeAttributeNS($nsUri, 'primary');
        } else {
            $this->primary = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolVimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolVimObjectRef');
            $this->setResourcePoolVimObjectRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolVimObjectRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolRef') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolRef');
            $this->setResourcePoolRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolType


/**
 * Parameters for updating resource pools backing a Provider vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_UpdateResourcePoolSetParamsType extends VMware_VCloud_API_ParamsType {
    protected $AddItem = array();
    protected $DeleteItem = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param array $AddItem - [optional] an array of VMware_VCloud_API_Extension_VimObjectRefType objects
    * @param array $DeleteItem - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $AddItem=null, $DeleteItem=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        if (!is_null($AddItem)) {
            $this->AddItem = $AddItem;
        }
        if (!is_null($DeleteItem)) {
            $this->DeleteItem = $DeleteItem;
        }
        $this->tagName = 'UpdateResourcePoolSetParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAddItem() {
        return $this->AddItem;
    }
    public function setAddItem($AddItem) { 
        $this->AddItem = $AddItem;
    }
    public function addAddItem($value) { array_push($this->AddItem, $value); }
    public function getDeleteItem() {
        return $this->DeleteItem;
    }
    public function setDeleteItem($DeleteItem) { 
        $this->DeleteItem = $DeleteItem;
    }
    public function addDeleteItem($value) { array_push($this->DeleteItem, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->AddItem)) {
            foreach ($this->AddItem as $AddItem) {
                $out = $AddItem->export('AddItem', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->DeleteItem)) {
            foreach ($this->DeleteItem as $DeleteItem) {
                $out = $DeleteItem->export('DeleteItem', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->AddItem) ||
            !empty($this->DeleteItem) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AddItem') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('AddItem');
            array_push($this->AddItem, $obj);
            if (!empty($namespace)) {
                $this->namespace['AddItem'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeleteItem') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('DeleteItem');
            array_push($this->DeleteItem, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeleteItem'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_UpdateResourcePoolSetParamsType


/**
 * Represents a set of resource pools that back an organization  vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_OrganizationResourcePoolSetType extends VMware_VCloud_API_ResourceType {
    protected $ResourcePoolVimObjectRef = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $ResourcePoolVimObjectRef - [optional] an array of VMware_VCloud_API_Extension_VimObjectRefType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ResourcePoolVimObjectRef=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($ResourcePoolVimObjectRef)) {
            $this->ResourcePoolVimObjectRef = $ResourcePoolVimObjectRef;
        }
        $this->tagName = 'OrganizationResourcePoolSet';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourcePoolVimObjectRef() {
        return $this->ResourcePoolVimObjectRef;
    }
    public function setResourcePoolVimObjectRef($ResourcePoolVimObjectRef) { 
        $this->ResourcePoolVimObjectRef = $ResourcePoolVimObjectRef;
    }
    public function addResourcePoolVimObjectRef($value) { array_push($this->ResourcePoolVimObjectRef, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ResourcePoolVimObjectRef)) {
            foreach ($this->ResourcePoolVimObjectRef as $ResourcePoolVimObjectRef) {
                $out = $ResourcePoolVimObjectRef->export('ResourcePoolVimObjectRef', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ResourcePoolVimObjectRef) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolVimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolVimObjectRef');
            array_push($this->ResourcePoolVimObjectRef, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolVimObjectRef'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_OrganizationResourcePoolSetType


/**
 * Represents a vSphere VM information.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VmVimInfoType {
    protected $VmVimObjectRef = null;
    protected $DatastoreVimObjectRef = null;
    protected $HostVimObjectRef = null;
    protected $VirtualDisksMaxChainLength = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VmVimObjectRef - [required]
    * @param VMware_VCloud_API_Extension_VimObjectRefType $DatastoreVimObjectRef - [required]
    * @param VMware_VCloud_API_Extension_VimObjectRefType $HostVimObjectRef - [required]
    * @param int $VirtualDisksMaxChainLength - [required] 
    */
    public function __construct($VmVimObjectRef=null, $DatastoreVimObjectRef=null, $HostVimObjectRef=null, $VirtualDisksMaxChainLength=null) {
        $this->VmVimObjectRef = $VmVimObjectRef;
        $this->DatastoreVimObjectRef = $DatastoreVimObjectRef;
        $this->HostVimObjectRef = $HostVimObjectRef;
        $this->VirtualDisksMaxChainLength = $VirtualDisksMaxChainLength;
        $this->tagName = 'VmVimInfo';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVmVimObjectRef() {
        return $this->VmVimObjectRef;
    }
    public function setVmVimObjectRef($VmVimObjectRef) { 
        $this->VmVimObjectRef = $VmVimObjectRef;
    }
    public function getDatastoreVimObjectRef() {
        return $this->DatastoreVimObjectRef;
    }
    public function setDatastoreVimObjectRef($DatastoreVimObjectRef) { 
        $this->DatastoreVimObjectRef = $DatastoreVimObjectRef;
    }
    public function getHostVimObjectRef() {
        return $this->HostVimObjectRef;
    }
    public function setHostVimObjectRef($HostVimObjectRef) { 
        $this->HostVimObjectRef = $HostVimObjectRef;
    }
    public function getVirtualDisksMaxChainLength() {
        return $this->VirtualDisksMaxChainLength;
    }
    public function setVirtualDisksMaxChainLength($VirtualDisksMaxChainLength) { 
        $this->VirtualDisksMaxChainLength = $VirtualDisksMaxChainLength;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->VmVimObjectRef)) {
            $out = $this->VmVimObjectRef->export('VmVimObjectRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->DatastoreVimObjectRef)) {
            $out = $this->DatastoreVimObjectRef->export('DatastoreVimObjectRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->HostVimObjectRef)) {
            $out = $this->HostVimObjectRef->export('HostVimObjectRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VirtualDisksMaxChainLength)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VirtualDisksMaxChainLength', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VirtualDisksMaxChainLength>" . VMware_VCloud_API_Helper::format_integer($this->VirtualDisksMaxChainLength, $input_name='VirtualDisksMaxChainLength') . "</" . $ns . "VirtualDisksMaxChainLength>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VmVimObjectRef) ||
            !is_null($this->DatastoreVimObjectRef) ||
            !is_null($this->HostVimObjectRef) ||
            !is_null($this->VirtualDisksMaxChainLength)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmVimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VmVimObjectRef');
            $this->setVmVimObjectRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VmVimObjectRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreVimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('DatastoreVimObjectRef');
            $this->setDatastoreVimObjectRef($obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreVimObjectRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostVimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('HostVimObjectRef');
            $this->setHostVimObjectRef($obj);
            if (!empty($namespace)) {
                $this->namespace['HostVimObjectRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualDisksMaxChainLength') {
            $sval = $child->nodeValue;
            $this->VirtualDisksMaxChainLength = $sval;
            if (!empty($namespace)) {
                $this->namespace['VirtualDisksMaxChainLength'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_VmVimInfoType


/**
 * Represents a stranded item for VIM object.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_StrandedItemVimObjectType {
    protected $name = null;
    protected $ErrorMessage = null;
    protected $VimObjectRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param string $name - [required] an attribute, 
    * @param string $ErrorMessage - [optional] 
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimObjectRef - [required]
    */
    public function __construct($name=null, $ErrorMessage=null, $VimObjectRef=null) {
        $this->name = $name;
        $this->ErrorMessage = $ErrorMessage;
        $this->VimObjectRef = $VimObjectRef;
        $this->tagName = 'StrandedItemVimObjectType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getErrorMessage() {
        return $this->ErrorMessage;
    }
    public function setErrorMessage($ErrorMessage) { 
        $this->ErrorMessage = $ErrorMessage;
    }
    public function getVimObjectRef() {
        return $this->VimObjectRef;
    }
    public function setVimObjectRef($VimObjectRef) { 
        $this->VimObjectRef = $VimObjectRef;
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->ErrorMessage)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ErrorMessage', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ErrorMessage>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ErrorMessage, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ErrorMessage')) . "</" . $ns . "ErrorMessage>\n");
        }
        if (!is_null($this->VimObjectRef)) {
            $out = $this->VimObjectRef->export('VimObjectRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ErrorMessage) ||
            !is_null($this->VimObjectRef)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ErrorMessage') {
            $sval = $child->nodeValue;
            $this->ErrorMessage = $sval;
            if (!empty($namespace)) {
                $this->namespace['ErrorMessage'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimObjectRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimObjectRef');
            $this->setVimObjectRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimObjectRef'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_StrandedItemVimObjectType


/**
 * Represents a collection of StrandedItemVimObject.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_StrandedItemVimObjectsType {
    protected $StrandedItemVimObject = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $StrandedItemVimObject - [optional] an array of VMware_VCloud_API_Extension_StrandedItemVimObjectType objects
    */
    public function __construct($StrandedItemVimObject=null) {
        if (!is_null($StrandedItemVimObject)) {
            $this->StrandedItemVimObject = $StrandedItemVimObject;
        }
        $this->tagName = 'StrandedItemVimObjectsType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getStrandedItemVimObject() {
        return $this->StrandedItemVimObject;
    }
    public function setStrandedItemVimObject($StrandedItemVimObject) { 
        $this->StrandedItemVimObject = $StrandedItemVimObject;
    }
    public function addStrandedItemVimObject($value) { array_push($this->StrandedItemVimObject, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->StrandedItemVimObject)) {
            foreach ($this->StrandedItemVimObject as $StrandedItemVimObject) {
                $out = $StrandedItemVimObject->export('StrandedItemVimObject', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->StrandedItemVimObject)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedItemVimObject') {
            $obj = new VMware_VCloud_API_Extension_StrandedItemVimObjectType();
            $obj->build($child);
            $obj->set_tagName('StrandedItemVimObject');
            array_push($this->StrandedItemVimObject, $obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedItemVimObject'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_StrandedItemVimObjectsType


/**
 * Represents the stranded item.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_StrandedItemType extends VMware_VCloud_API_EntityType {
    protected $EntityType = null;
    protected $DeletionDate = null;
    protected $ErrorMessage = null;
    protected $Parent = null;
    protected $StrandedItemVimObjects = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $EntityType - [optional] 
    * @param string $DeletionDate - [optional] 
    * @param string $ErrorMessage - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Parent - [optional]
    * @param VMware_VCloud_API_Extension_StrandedItemVimObjectsType $StrandedItemVimObjects - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $EntityType=null, $DeletionDate=null, $ErrorMessage=null, $Parent=null, $StrandedItemVimObjects=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->EntityType = $EntityType;
        $this->DeletionDate = $DeletionDate;
        $this->ErrorMessage = $ErrorMessage;
        $this->Parent = $Parent;
        $this->StrandedItemVimObjects = $StrandedItemVimObjects;
        $this->tagName = 'StrandedItem';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntityType() {
        return $this->EntityType;
    }
    public function setEntityType($EntityType) { 
        $this->EntityType = $EntityType;
    }
    public function getDeletionDate() {
        return $this->DeletionDate;
    }
    public function setDeletionDate($DeletionDate) { 
        $this->DeletionDate = $DeletionDate;
    }
    public function getErrorMessage() {
        return $this->ErrorMessage;
    }
    public function setErrorMessage($ErrorMessage) { 
        $this->ErrorMessage = $ErrorMessage;
    }
    public function getParent() {
        return $this->Parent;
    }
    public function setParent($Parent) { 
        $this->Parent = $Parent;
    }
    public function getStrandedItemVimObjects() {
        return $this->StrandedItemVimObjects;
    }
    public function setStrandedItemVimObjects($StrandedItemVimObjects) { 
        $this->StrandedItemVimObjects = $StrandedItemVimObjects;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->EntityType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EntityType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EntityType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EntityType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EntityType')) . "</" . $ns . "EntityType>\n");
        }
        if (!is_null($this->DeletionDate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DeletionDate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DeletionDate>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DeletionDate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DeletionDate')) . "</" . $ns . "DeletionDate>\n");
        }
        if (!is_null($this->ErrorMessage)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ErrorMessage', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ErrorMessage>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ErrorMessage, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ErrorMessage')) . "</" . $ns . "ErrorMessage>\n");
        }
        if (!is_null($this->Parent)) {
            $out = $this->Parent->export('Parent', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->StrandedItemVimObjects)) {
            $out = $this->StrandedItemVimObjects->export('StrandedItemVimObjects', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->EntityType) ||
            !is_null($this->DeletionDate) ||
            !is_null($this->ErrorMessage) ||
            !is_null($this->Parent) ||
            !is_null($this->StrandedItemVimObjects) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EntityType') {
            $sval = $child->nodeValue;
            $this->EntityType = $sval;
            if (!empty($namespace)) {
                $this->namespace['EntityType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeletionDate') {
            $sval = $child->nodeValue;
            $this->DeletionDate = $sval;
            if (!empty($namespace)) {
                $this->namespace['DeletionDate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ErrorMessage') {
            $sval = $child->nodeValue;
            $this->ErrorMessage = $sval;
            if (!empty($namespace)) {
                $this->namespace['ErrorMessage'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Parent') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Parent');
            $this->setParent($obj);
            if (!empty($namespace)) {
                $this->namespace['Parent'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedItemVimObjects') {
            $obj = new VMware_VCloud_API_Extension_StrandedItemVimObjectsType();
            $obj->build($child);
            $obj->set_tagName('StrandedItemVimObjects');
            $this->setStrandedItemVimObjects($obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedItemVimObjects'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_StrandedItemType


/**
 * Parameters for request to add or remove Provider vDC storage  profiles.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_UpdateProviderVdcStorageProfilesParamsType extends VMware_VCloud_API_ParamsType {
    protected $AddStorageProfile = array();
    protected $RemoveStorageProfile = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $name - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param array $AddStorageProfile - [optional] an array of string
    * @param array $RemoveStorageProfile - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $name=null, $Description=null, $AddStorageProfile=null, $RemoveStorageProfile=null) {
        parent::__construct($VCloudExtension, $name, $Description);
        if (!is_null($AddStorageProfile)) {
            $this->AddStorageProfile = $AddStorageProfile;
        }
        if (!is_null($RemoveStorageProfile)) {
            $this->RemoveStorageProfile = $RemoveStorageProfile;
        }
        $this->tagName = 'UpdateProviderVdcStorageProfiles';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAddStorageProfile() {
        return $this->AddStorageProfile;
    }
    public function setAddStorageProfile($AddStorageProfile) { 
        $this->AddStorageProfile = $AddStorageProfile;
    }
    public function addAddStorageProfile($value) { array_push($this->AddStorageProfile, $value); }
    public function getRemoveStorageProfile() {
        return $this->RemoveStorageProfile;
    }
    public function setRemoveStorageProfile($RemoveStorageProfile) { 
        $this->RemoveStorageProfile = $RemoveStorageProfile;
    }
    public function addRemoveStorageProfile($value) { array_push($this->RemoveStorageProfile, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->AddStorageProfile)) {
            foreach ($this->AddStorageProfile as $AddStorageProfile) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AddStorageProfile', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AddStorageProfile>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($AddStorageProfile, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AddStorageProfile')) . "</" . $ns . "AddStorageProfile>\n");
            }
        }
        if (isset($this->RemoveStorageProfile)) {
            foreach ($this->RemoveStorageProfile as $RemoveStorageProfile) {
                $out = $RemoveStorageProfile->export('RemoveStorageProfile', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->AddStorageProfile) ||
            !empty($this->RemoveStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AddStorageProfile') {
            $sval = $child->nodeValue;
            array_push($this->AddStorageProfile, $sval);
            if (!empty($namespace)) {
                $this->namespace['AddStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RemoveStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RemoveStorageProfile');
            array_push($this->RemoveStorageProfile, $obj);
            if (!empty($namespace)) {
                $this->namespace['RemoveStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_UpdateProviderVdcStorageProfilesParamsType


/**
 * A list of Provider vDCs to merge with the target Provider vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ProviderVdcMergeParamsType extends VMware_VCloud_API_ResourceType {
    protected $ProviderVdcReference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $ProviderVdcReference - [required] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $ProviderVdcReference=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($ProviderVdcReference)) {
            $this->ProviderVdcReference = $ProviderVdcReference;
        }
        $this->tagName = 'ProviderVdcMergeParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProviderVdcReference() {
        return $this->ProviderVdcReference;
    }
    public function setProviderVdcReference($ProviderVdcReference) { 
        $this->ProviderVdcReference = $ProviderVdcReference;
    }
    public function addProviderVdcReference($value) { array_push($this->ProviderVdcReference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ProviderVdcReference)) {
            foreach ($this->ProviderVdcReference as $ProviderVdcReference) {
                $out = $ProviderVdcReference->export('ProviderVdcReference', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ProviderVdcReference) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcReference');
            array_push($this->ProviderVdcReference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcReference'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ProviderVdcMergeParamsType


/**
 * Represents the vSphere Web Client URL of a VIM object.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VSphereWebClientUrlType {
    protected $URL = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param string $URL - [required] 
    */
    public function __construct($URL=null) {
        $this->URL = $URL;
        $this->tagName = 'VSphereWebClientUrl';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getURL() {
        return $this->URL;
    }
    public function setURL($URL) { 
        $this->URL = $URL;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->URL)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'URL', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "URL>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->URL, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='URL')) . "</" . $ns . "URL>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->URL)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'URL') {
            $sval = $child->nodeValue;
            $this->URL = $sval;
            if (!empty($namespace)) {
                $this->namespace['URL'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_VSphereWebClientUrlType


/**
 * A reference to a host in vCenter inventory.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_HostObjectRefType extends VMware_VCloud_API_Extension_VimObjectRefType {
    protected $Username = null;
    protected $Password = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param VMware_VCloud_API_ReferenceType $VimServerRef - [required]
    * @param string $MoRef - [required] 
    * @param string $VimObjectType - [required] 
    * @param string $Username - [optional] 
    * @param string $Password - [optional] 
    */
    public function __construct($VimServerRef=null, $MoRef=null, $VimObjectType=null, $Username=null, $Password=null) {
        parent::__construct($VimServerRef, $MoRef, $VimObjectType);
        $this->Username = $Username;
        $this->Password = $Password;
        $this->tagName = 'VimObjectRef';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUsername() {
        return $this->Username;
    }
    public function setUsername($Username) { 
        $this->Username = $Username;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='HostObjectRefType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Username)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Username', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Username>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Username, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Username')) . "</" . $ns . "Username>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Username) ||
            !is_null($this->Password) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Username') {
            $sval = $child->nodeValue;
            $this->Username = $sval;
            if (!empty($namespace)) {
                $this->namespace['Username'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_HostObjectRefType


/**
 * List of HostObjectRefType elements.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_HostObjectRefsType {
    protected $HostObjectRef = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $HostObjectRef - [optional] an array of VMware_VCloud_API_Extension_HostObjectRefType objects
    */
    public function __construct($HostObjectRef=null) {
        if (!is_null($HostObjectRef)) {
            $this->HostObjectRef = $HostObjectRef;
        }
        $this->tagName = 'HostObjectRefsType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getHostObjectRef() {
        return $this->HostObjectRef;
    }
    public function setHostObjectRef($HostObjectRef) { 
        $this->HostObjectRef = $HostObjectRef;
    }
    public function addHostObjectRef($value) { array_push($this->HostObjectRef, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->HostObjectRef)) {
            foreach ($this->HostObjectRef as $HostObjectRef) {
                $out = $HostObjectRef->export('HostObjectRef', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->HostObjectRef)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostObjectRef') {
            $obj = new VMware_VCloud_API_Extension_HostObjectRefType();
            $obj->build($child);
            $obj->set_tagName('HostObjectRef');
            array_push($this->HostObjectRef, $obj);
            if (!empty($namespace)) {
                $this->namespace['HostObjectRef'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_HostObjectRefsType


/**
 * Collection of rights.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_RightsType {
    protected $Right = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $Right - [optional] an array of VMware_VCloud_API_RightType objects
    */
    public function __construct($Right=null) {
        if (!is_null($Right)) {
            $this->Right = $Right;
        }
        $this->tagName = 'RightsType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getRight() {
        return $this->Right;
    }
    public function setRight($Right) { 
        $this->Right = $Right;
    }
    public function addRight($value) { array_push($this->Right, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Right)) {
            foreach ($this->Right as $Right) {
                $out = $Right->export('Right', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Right)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Right') {
            $obj = new VMware_VCloud_API_RightType();
            $obj->build($child);
            $obj->set_tagName('Right');
            array_push($this->Right, $obj);
            if (!empty($namespace)) {
                $this->namespace['Right'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_RightsType


/**
 * Parameters for updating right collection.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_UpdateRightsParamsType {
    protected $AddRight = array();
    protected $RemoveRight = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $AddRight - [optional] an array of VMware_VCloud_API_RightType objects
    * @param array $RemoveRight - [optional] an array of string
    */
    public function __construct($AddRight=null, $RemoveRight=null) {
        if (!is_null($AddRight)) {
            $this->AddRight = $AddRight;
        }
        if (!is_null($RemoveRight)) {
            $this->RemoveRight = $RemoveRight;
        }
        $this->tagName = 'UpdateRightsParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAddRight() {
        return $this->AddRight;
    }
    public function setAddRight($AddRight) { 
        $this->AddRight = $AddRight;
    }
    public function addAddRight($value) { array_push($this->AddRight, $value); }
    public function getRemoveRight() {
        return $this->RemoveRight;
    }
    public function setRemoveRight($RemoveRight) { 
        $this->RemoveRight = $RemoveRight;
    }
    public function addRemoveRight($value) { array_push($this->RemoveRight, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->AddRight)) {
            foreach ($this->AddRight as $AddRight) {
                $out = $AddRight->export('AddRight', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (isset($this->RemoveRight)) {
            foreach ($this->RemoveRight as $RemoveRight) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RemoveRight', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RemoveRight>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($RemoveRight, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='RemoveRight')) . "</" . $ns . "RemoveRight>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->AddRight) ||
            !empty($this->RemoveRight)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AddRight') {
            $obj = new VMware_VCloud_API_RightType();
            $obj->build($child);
            $obj->set_tagName('AddRight');
            array_push($this->AddRight, $obj);
            if (!empty($namespace)) {
                $this->namespace['AddRight'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RemoveRight') {
            $sval = $child->nodeValue;
            array_push($this->RemoveRight, $sval);
            if (!empty($namespace)) {
                $this->namespace['RemoveRight'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_UpdateRightsParamsType


/**
 * Container for ReferenceType elements that reference the  predefined RightType objects.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_RightRefsType extends VMware_VCloud_API_ResourceType {
    protected $Right = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param array $Right - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $Right=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        if (!is_null($Right)) {
            $this->Right = $Right;
        }
        $this->tagName = 'RightRefs';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getRight() {
        return $this->Right;
    }
    public function setRight($Right) { 
        $this->Right = $Right;
    }
    public function addRight($value) { array_push($this->Right, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Right)) {
            foreach ($this->Right as $Right) {
                $out = $Right->export('Right', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Right) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Right') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Right');
            array_push($this->Right, $obj);
            if (!empty($namespace)) {
                $this->namespace['Right'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_RightRefsType


/**
 * Container for references to entities.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_EntityReferencesType {
    protected $Reference = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $Reference - [optional] an array of VMware_VCloud_API_ReferenceType objects
    */
    public function __construct($Reference=null) {
        if (!is_null($Reference)) {
            $this->Reference = $Reference;
        }
        $this->tagName = 'EntityReferences';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getReference() {
        return $this->Reference;
    }
    public function setReference($Reference) { 
        $this->Reference = $Reference;
    }
    public function addReference($value) { array_push($this->Reference, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->Reference)) {
            foreach ($this->Reference as $Reference) {
                $tagName = $Reference->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Reference';
                }
                $out = $Reference->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Reference)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Reference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Reference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['Reference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MediaReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('MediaReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['MediaReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppTemplateReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppTemplateReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppTemplateReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VMReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgNetworkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppNetworkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('CatalogReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminVdcReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWProviderVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VMWProviderVdcReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VMWProviderVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('GroupReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['GroupReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('UserReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['UserReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoleReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RoleReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['RoleReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('DatastoreReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualCenterReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VirtualCenterReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualCenterReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('HostReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['HostReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RightReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['RightReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgNetworkRelationReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgNetworkRelationReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgNetworkRelationReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogItemReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('CatalogItemReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogItemReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TaskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('TaskReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['TaskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BlockingTaskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('BlockingTaskReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['BlockingTaskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('DiskReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminDiskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminDiskReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminDiskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedItemReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('StrandedItemReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedItemReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceLinkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceLinkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceLinkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcStorageProfileReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminOrgVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminOrgVdcStorageProfileReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminOrgVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfileReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiFilterReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ApiFilterReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiFilterReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminApiDefinitionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminApiDefinitionReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminApiDefinitionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiDefinitionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ApiDefinitionReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiDefinitionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminFileDescriptorReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminFileDescriptorReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminFileDescriptorReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassActionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassActionReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassActionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AclRuleReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AclRuleReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AclRuleReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResourceResourceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceResourceResourceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResourceResourceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGatewayReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('EdgeGatewayReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGatewayReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcNetworkReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgVdcNetworkRelationReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgVdcNetworkRelationReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgVdcNetworkRelationReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingInstanceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VmServiceOfferingInstanceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VmServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcServiceOfferingReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcServiceOfferingReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['VdcServiceOfferingReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceOfferingInstanceReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceExtensionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceExtensionReference');
            array_push($this->Reference, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceExtensionReference'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_EntityReferencesType


/**
 * Container for an entity and its list of rights.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_EntityRightsType {
    protected $Reference = null;
    protected $Rights = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param VMware_VCloud_API_ReferenceType $Reference - [required]
    * @param VMware_VCloud_API_Extension_RightRefsType $Rights - [required]
    */
    public function __construct($Reference=null, $Rights=null) {
        $this->Reference = $Reference;
        $this->Rights = $Rights;
        $this->tagName = 'EntityRightsType';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getReference() {
        return $this->Reference;
    }
    public function setReference($Reference) { 
        $this->Reference = $Reference;
    }
    public function getRights() {
        return $this->Rights;
    }
    public function setRights($Rights) { 
        $this->Rights = $Rights;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (!is_null($this->Reference)) {
            $out = $this->Reference->export('Reference', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Rights)) {
            $out = $this->Rights->export('Rights', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Reference) ||
            !is_null($this->Rights)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Reference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Reference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['Reference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MediaReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('MediaReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['MediaReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppTemplateReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppTemplateReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppTemplateReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VMReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VMReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgNetworkReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppNetworkReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('CatalogReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminVdcReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VMWProviderVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VMWProviderVdcReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VMWProviderVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GroupReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('GroupReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['GroupReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UserReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('UserReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['UserReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoleReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RoleReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['RoleReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DatastoreReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('DatastoreReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['DatastoreReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualCenterReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VirtualCenterReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualCenterReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('HostReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['HostReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RightReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('RightReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['RightReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgNetworkRelationReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgNetworkRelationReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgNetworkRelationReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CatalogItemReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('CatalogItemReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['CatalogItemReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'TaskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('TaskReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['TaskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BlockingTaskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('BlockingTaskReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['BlockingTaskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('DiskReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['DiskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminDiskReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminDiskReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminDiskReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StrandedItemReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('StrandedItemReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['StrandedItemReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceLinkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceLinkReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceLinkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcStorageProfileReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminOrgVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminOrgVdcStorageProfileReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminOrgVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfileReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfileReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfileReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiFilterReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ApiFilterReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ApiFilterReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminApiDefinitionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminApiDefinitionReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminApiDefinitionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiDefinitionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ApiDefinitionReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ApiDefinitionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminFileDescriptorReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminFileDescriptorReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminFileDescriptorReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassActionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassActionReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassActionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AclRuleReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AclRuleReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['AclRuleReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResourceResourceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceResourceResourceReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResourceResourceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EdgeGatewayReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('EdgeGatewayReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['EdgeGatewayReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrgVdcNetworkReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('OrgVdcNetworkReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['OrgVdcNetworkReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppOrgVdcNetworkRelationReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppOrgVdcNetworkRelationReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppOrgVdcNetworkRelationReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingInstanceReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceOfferingReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceOfferingReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceOfferingReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VmServiceOfferingInstanceReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VmServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcServiceOfferingReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcServiceOfferingReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcServiceOfferingReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AdminServiceOfferingInstanceReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('AdminServiceOfferingInstanceReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['AdminServiceOfferingInstanceReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceExtensionReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ServiceExtensionReference');
            $this->setReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceExtensionReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Rights') {
            $obj = new VMware_VCloud_API_Extension_RightRefsType();
            $obj->build($child);
            $obj->set_tagName('Rights');
            $this->setRights($obj);
            if (!empty($namespace)) {
                $this->namespace['Rights'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_EntityRightsType


/**
 * Container for EntityRights elements.  Each element contains a reference to an entity and a list of user rights  that the entity supports.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_UserEntityRightsType {
    protected $EntityRights = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $EntityRights - [optional] an array of VMware_VCloud_API_Extension_EntityRightsType objects
    */
    public function __construct($EntityRights=null) {
        if (!is_null($EntityRights)) {
            $this->EntityRights = $EntityRights;
        }
        $this->tagName = 'UserEntityRights';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntityRights() {
        return $this->EntityRights;
    }
    public function setEntityRights($EntityRights) { 
        $this->EntityRights = $EntityRights;
    }
    public function addEntityRights($value) { array_push($this->EntityRights, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->EntityRights)) {
            foreach ($this->EntityRights as $EntityRights) {
                $out = $EntityRights->export('EntityRights', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->EntityRights)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EntityRights') {
            $obj = new VMware_VCloud_API_Extension_EntityRightsType();
            $obj->build($child);
            $obj->set_tagName('EntityRights');
            array_push($this->EntityRights, $obj);
            if (!empty($namespace)) {
                $this->namespace['EntityRights'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_UserEntityRightsType


/**
 * Parameters that control virtual machine migration.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_MigrateParamsType {
    protected $VmRef = array();
    protected $ResourcePoolRef = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VmRef - [optional] an array of VMware_VCloud_API_ReferenceType objects
    * @param VMware_VCloud_API_Extension_VimObjectRefType $ResourcePoolRef - [optional]
    */
    public function __construct($VmRef=null, $ResourcePoolRef=null) {
        if (!is_null($VmRef)) {
            $this->VmRef = $VmRef;
        }
        $this->ResourcePoolRef = $ResourcePoolRef;
        $this->tagName = 'MigrateParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVmRef() {
        return $this->VmRef;
    }
    public function setVmRef($VmRef) { 
        $this->VmRef = $VmRef;
    }
    public function addVmRef($value) { array_push($this->VmRef, $value); }
    public function getResourcePoolRef() {
        return $this->ResourcePoolRef;
    }
    public function setResourcePoolRef($ResourcePoolRef) { 
        $this->ResourcePoolRef = $ResourcePoolRef;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        if (isset($this->VmRef)) {
            foreach ($this->VmRef as $VmRef) {
                $out = $VmRef->export('VmRef', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->ResourcePoolRef)) {
            $out = $this->ResourcePoolRef->export('ResourcePoolRef', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VmRef) ||
            !is_null($this->ResourcePoolRef)
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmRef') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VmRef');
            array_push($this->VmRef, $obj);
            if (!empty($namespace)) {
                $this->namespace['VmRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolRef');
            $this->setResourcePoolRef($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolRef'] = $namespace;
            }
        }
    }
}
// end of class VMware_VCloud_API_Extension_MigrateParamsType


/**
 * List of references to registered extension services.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ExtensionServicesType extends VMware_VCloud_API_ResourceType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link);
        $this->tagName = 'ExtensionServices';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ExtensionServicesType


/**
 * Represents an extension service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AdminServiceType extends VMware_VCloud_API_EntityType {
    protected $Enabled = null;
    protected $AuthorizationEnabled = null;
    protected $RoutingKey = null;
    protected $Priority = null;
    protected $Exchange = null;
    protected $Vendor = null;
    protected $ApiFilters = null;
    protected $ServiceLinks = null;
    protected $ApiDefinitions = null;
    protected $ResourceClasses = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $Namespace - [optional] 
    * @param boolean $Enabled - [optional] 
    * @param boolean $AuthorizationEnabled - [optional] 
    * @param string $RoutingKey - [optional] 
    * @param int $Priority - [optional] 
    * @param string $Exchange - [optional] 
    * @param string $Vendor - [optional] 
    * @param VMware_VCloud_API_Extension_ApiFiltersType $ApiFilters - [optional]
    * @param VMware_VCloud_API_Extension_AdminServiceLinksType $ServiceLinks - [optional]
    * @param VMware_VCloud_API_Extension_AdminApiDefinitionsType $ApiDefinitions - [optional]
    * @param VMware_VCloud_API_Extension_ResourceClassesType $ResourceClasses - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Namespace=null, $Enabled=null, $AuthorizationEnabled=null, $RoutingKey=null, $Priority=null, $Exchange=null, $Vendor=null, $ApiFilters=null, $ServiceLinks=null, $ApiDefinitions=null, $ResourceClasses=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Namespace = $Namespace;
        $this->Enabled = $Enabled;
        $this->AuthorizationEnabled = $AuthorizationEnabled;
        $this->RoutingKey = $RoutingKey;
        $this->Priority = $Priority;
        $this->Exchange = $Exchange;
        $this->Vendor = $Vendor;
        $this->ApiFilters = $ApiFilters;
        $this->ServiceLinks = $ServiceLinks;
        $this->ApiDefinitions = $ApiDefinitions;
        $this->ResourceClasses = $ResourceClasses;
        $this->tagName = 'Service';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNamespace() {
        return $this->Namespace;
    }
    public function setNamespace($Namespace) { 
        $this->Namespace = $Namespace;
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function getAuthorizationEnabled() {
        return $this->AuthorizationEnabled;
    }
    public function setAuthorizationEnabled($AuthorizationEnabled) { 
        $this->AuthorizationEnabled = $AuthorizationEnabled;
    }
    public function getRoutingKey() {
        return $this->RoutingKey;
    }
    public function setRoutingKey($RoutingKey) { 
        $this->RoutingKey = $RoutingKey;
    }
    public function getPriority() {
        return $this->Priority;
    }
    public function setPriority($Priority) { 
        $this->Priority = $Priority;
    }
    public function getExchange() {
        return $this->Exchange;
    }
    public function setExchange($Exchange) { 
        $this->Exchange = $Exchange;
    }
    public function getVendor() {
        return $this->Vendor;
    }
    public function setVendor($Vendor) { 
        $this->Vendor = $Vendor;
    }
    public function getApiFilters() {
        return $this->ApiFilters;
    }
    public function setApiFilters($ApiFilters) { 
        $this->ApiFilters = $ApiFilters;
    }
    public function getServiceLinks() {
        return $this->ServiceLinks;
    }
    public function setServiceLinks($ServiceLinks) { 
        $this->ServiceLinks = $ServiceLinks;
    }
    public function getApiDefinitions() {
        return $this->ApiDefinitions;
    }
    public function setApiDefinitions($ApiDefinitions) { 
        $this->ApiDefinitions = $ApiDefinitions;
    }
    public function getResourceClasses() {
        return $this->ResourceClasses;
    }
    public function setResourceClasses($ResourceClasses) { 
        $this->ResourceClasses = $ResourceClasses;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Namespace)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Namespace>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Namespace')) . "</" . $ns . "Namespace>\n");
        }
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
        }
        if (!is_null($this->AuthorizationEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AuthorizationEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AuthorizationEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->AuthorizationEnabled, $input_name='AuthorizationEnabled') . "</" . $ns . "AuthorizationEnabled>\n");
        }
        if (!is_null($this->RoutingKey)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'RoutingKey', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "RoutingKey>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->RoutingKey, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='RoutingKey')) . "</" . $ns . "RoutingKey>\n");
        }
        if (!is_null($this->Priority)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Priority', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Priority>" . VMware_VCloud_API_Helper::format_integer($this->Priority, $input_name='Priority') . "</" . $ns . "Priority>\n");
        }
        if (!is_null($this->Exchange)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Exchange', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Exchange>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Exchange, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Exchange')) . "</" . $ns . "Exchange>\n");
        }
        if (!is_null($this->Vendor)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Vendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Vendor>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Vendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Vendor')) . "</" . $ns . "Vendor>\n");
        }
        if (!is_null($this->ApiFilters)) {
            $out = $this->ApiFilters->export('ApiFilters', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ServiceLinks)) {
            $out = $this->ServiceLinks->export('ServiceLinks', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ApiDefinitions)) {
            $out = $this->ApiDefinitions->export('ApiDefinitions', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ResourceClasses)) {
            $out = $this->ResourceClasses->export('ResourceClasses', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Namespace) ||
            !is_null($this->Enabled) ||
            !is_null($this->AuthorizationEnabled) ||
            !is_null($this->RoutingKey) ||
            !is_null($this->Priority) ||
            !is_null($this->Exchange) ||
            !is_null($this->Vendor) ||
            !is_null($this->ApiFilters) ||
            !is_null($this->ServiceLinks) ||
            !is_null($this->ApiDefinitions) ||
            !is_null($this->ResourceClasses) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Namespace') {
            $sval = $child->nodeValue;
            $this->Namespace = $sval;
            if (!empty($namespace)) {
                $this->namespace['Namespace'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AuthorizationEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->AuthorizationEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['AuthorizationEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RoutingKey') {
            $sval = $child->nodeValue;
            $this->RoutingKey = $sval;
            if (!empty($namespace)) {
                $this->namespace['RoutingKey'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Priority') {
            $sval = $child->nodeValue;
            $this->Priority = $sval;
            if (!empty($namespace)) {
                $this->namespace['Priority'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Exchange') {
            $sval = $child->nodeValue;
            $this->Exchange = $sval;
            if (!empty($namespace)) {
                $this->namespace['Exchange'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vendor') {
            $sval = $child->nodeValue;
            $this->Vendor = $sval;
            if (!empty($namespace)) {
                $this->namespace['Vendor'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiFilters') {
            $obj = new VMware_VCloud_API_Extension_ApiFiltersType();
            $obj->build($child);
            $obj->set_tagName('ApiFilters');
            $this->setApiFilters($obj);
            if (!empty($namespace)) {
                $this->namespace['ApiFilters'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceLinks') {
            $obj = new VMware_VCloud_API_Extension_AdminServiceLinksType();
            $obj->build($child);
            $obj->set_tagName('ServiceLinks');
            $this->setServiceLinks($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceLinks'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiDefinitions') {
            $obj = new VMware_VCloud_API_Extension_AdminApiDefinitionsType();
            $obj->build($child);
            $obj->set_tagName('ApiDefinitions');
            $this->setApiDefinitions($obj);
            if (!empty($namespace)) {
                $this->namespace['ApiDefinitions'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClasses') {
            $obj = new VMware_VCloud_API_Extension_ResourceClassesType();
            $obj->build($child);
            $obj->set_tagName('ResourceClasses');
            $this->setResourceClasses($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClasses'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AdminServiceType


/**
 * Represents an extension service API filter as a UrlPattern  or a ResponseContentType.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ApiFilterType extends VMware_VCloud_API_IdentifiableResourceType {
    protected $UrlPattern = null;
    protected $ResponseContentType = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $UrlPattern - [optional] 
    * @param string $ResponseContentType - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $UrlPattern=null, $ResponseContentType=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id);
        $this->UrlPattern = $UrlPattern;
        $this->ResponseContentType = $ResponseContentType;
        $this->tagName = 'ApiFilter';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUrlPattern() {
        return $this->UrlPattern;
    }
    public function setUrlPattern($UrlPattern) { 
        $this->UrlPattern = $UrlPattern;
    }
    public function getResponseContentType() {
        return $this->ResponseContentType;
    }
    public function setResponseContentType($ResponseContentType) { 
        $this->ResponseContentType = $ResponseContentType;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->UrlPattern)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UrlPattern', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UrlPattern>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UrlPattern, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UrlPattern')) . "</" . $ns . "UrlPattern>\n");
        }
        if (!is_null($this->ResponseContentType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ResponseContentType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ResponseContentType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ResponseContentType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ResponseContentType')) . "</" . $ns . "ResponseContentType>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->UrlPattern) ||
            !is_null($this->ResponseContentType) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UrlPattern') {
            $sval = $child->nodeValue;
            $this->UrlPattern = $sval;
            if (!empty($namespace)) {
                $this->namespace['UrlPattern'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResponseContentType') {
            $sval = $child->nodeValue;
            $this->ResponseContentType = $sval;
            if (!empty($namespace)) {
                $this->namespace['ResponseContentType'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ApiFilterType


/**
 * Container for extension service API filters.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ApiFiltersType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ApiFilter = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ApiFilter - [optional] an array of VMware_VCloud_API_Extension_ApiFilterType objects
    */
    public function __construct($VCloudExtension=null, $ApiFilter=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ApiFilter)) {
            $this->ApiFilter = $ApiFilter;
        }
        $this->tagName = 'ApiFilters';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getApiFilter() {
        return $this->ApiFilter;
    }
    public function setApiFilter($ApiFilter) { 
        $this->ApiFilter = $ApiFilter;
    }
    public function addApiFilter($value) { array_push($this->ApiFilter, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ApiFilter)) {
            foreach ($this->ApiFilter as $ApiFilter) {
                $out = $ApiFilter->export('ApiFilter', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ApiFilter) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiFilter') {
            $obj = new VMware_VCloud_API_Extension_ApiFilterType();
            $obj->build($child);
            $obj->set_tagName('ApiFilter');
            array_push($this->ApiFilter, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiFilter'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ApiFiltersType


/**
 * Represents an extension service API definition.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AdminApiDefinitionType extends VMware_VCloud_API_EntityType {
    protected $EntryPoint = null;
    protected $ApiVendor = null;
    protected $SupportedApiVersions = null;
    protected $Files = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $EntryPoint - [optional] 
    * @param string $Namespace - [optional] 
    * @param string $ApiVendor - [optional] 
    * @param VMware_VCloud_API_Extension_VersionsType $SupportedApiVersions - [optional]
    * @param VMware_VCloud_API_Extension_AdminFileDescriptorsType $Files - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $EntryPoint=null, $Namespace=null, $ApiVendor=null, $SupportedApiVersions=null, $Files=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->EntryPoint = $EntryPoint;
        $this->Namespace = $Namespace;
        $this->ApiVendor = $ApiVendor;
        $this->SupportedApiVersions = $SupportedApiVersions;
        $this->Files = $Files;
        $this->tagName = 'ApiDefinition';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntryPoint() {
        return $this->EntryPoint;
    }
    public function setEntryPoint($EntryPoint) { 
        $this->EntryPoint = $EntryPoint;
    }
    public function getNamespace() {
        return $this->Namespace;
    }
    public function setNamespace($Namespace) { 
        $this->Namespace = $Namespace;
    }
    public function getApiVendor() {
        return $this->ApiVendor;
    }
    public function setApiVendor($ApiVendor) { 
        $this->ApiVendor = $ApiVendor;
    }
    public function getSupportedApiVersions() {
        return $this->SupportedApiVersions;
    }
    public function setSupportedApiVersions($SupportedApiVersions) { 
        $this->SupportedApiVersions = $SupportedApiVersions;
    }
    public function getFiles() {
        return $this->Files;
    }
    public function setFiles($Files) { 
        $this->Files = $Files;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->EntryPoint)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EntryPoint', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EntryPoint>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EntryPoint, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EntryPoint')) . "</" . $ns . "EntryPoint>\n");
        }
        if (!is_null($this->Namespace)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Namespace>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Namespace')) . "</" . $ns . "Namespace>\n");
        }
        if (!is_null($this->ApiVendor)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ApiVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ApiVendor>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ApiVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ApiVendor')) . "</" . $ns . "ApiVendor>\n");
        }
        if (!is_null($this->SupportedApiVersions)) {
            $out = $this->SupportedApiVersions->export('SupportedApiVersions', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Files)) {
            $out = $this->Files->export('Files', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->EntryPoint) ||
            !is_null($this->Namespace) ||
            !is_null($this->ApiVendor) ||
            !is_null($this->SupportedApiVersions) ||
            !is_null($this->Files) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EntryPoint') {
            $sval = $child->nodeValue;
            $this->EntryPoint = $sval;
            if (!empty($namespace)) {
                $this->namespace['EntryPoint'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Namespace') {
            $sval = $child->nodeValue;
            $this->Namespace = $sval;
            if (!empty($namespace)) {
                $this->namespace['Namespace'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiVendor') {
            $sval = $child->nodeValue;
            $this->ApiVendor = $sval;
            if (!empty($namespace)) {
                $this->namespace['ApiVendor'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SupportedApiVersions') {
            $obj = new VMware_VCloud_API_Extension_VersionsType();
            $obj->build($child);
            $obj->set_tagName('SupportedApiVersions');
            $this->setSupportedApiVersions($obj);
            if (!empty($namespace)) {
                $this->namespace['SupportedApiVersions'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Files') {
            $obj = new VMware_VCloud_API_Extension_AdminFileDescriptorsType();
            $obj->build($child);
            $obj->set_tagName('Files');
            $this->setFiles($obj);
            if (!empty($namespace)) {
                $this->namespace['Files'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AdminApiDefinitionType


/**
 * Represents a list of extension service API definitions.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AdminApiDefinitionsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ApiDefinition = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ApiDefinition - [optional] an array of VMware_VCloud_API_Extension_AdminApiDefinitionType objects
    */
    public function __construct($VCloudExtension=null, $ApiDefinition=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ApiDefinition)) {
            $this->ApiDefinition = $ApiDefinition;
        }
        $this->tagName = 'ApiDefinitions';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getApiDefinition() {
        return $this->ApiDefinition;
    }
    public function setApiDefinition($ApiDefinition) { 
        $this->ApiDefinition = $ApiDefinition;
    }
    public function addApiDefinition($value) { array_push($this->ApiDefinition, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ApiDefinition)) {
            foreach ($this->ApiDefinition as $ApiDefinition) {
                $out = $ApiDefinition->export('ApiDefinition', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ApiDefinition) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiDefinition') {
            $obj = new VMware_VCloud_API_Extension_AdminApiDefinitionType();
            $obj->build($child);
            $obj->set_tagName('ApiDefinition');
            array_push($this->ApiDefinition, $obj);
            if (!empty($namespace)) {
                $this->namespace['ApiDefinition'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AdminApiDefinitionsType


/**
 * Represents a list of extension service API versions.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VersionsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Version = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $Version - [optional] an array of string
    */
    public function __construct($VCloudExtension=null, $Version=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($Version)) {
            $this->Version = $Version;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVersion() {
        return $this->Version;
    }
    public function setVersion($Version) { 
        $this->Version = $Version;
    }
    public function addVersion($value) { array_push($this->Version, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Version)) {
            foreach ($this->Version as $Version) {
                $out = VMware_VCloud_API_Helper::showIndent($out, $level);
                $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Version', self::$defaultNS, $namespace, $rootNS);
                $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Version>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($Version, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Version')) . "</" . $ns . "Version>\n");
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Version) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Version') {
            $sval = $child->nodeValue;
            array_push($this->Version, $sval);
            if (!empty($namespace)) {
                $this->namespace['Version'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VersionsType


/**
 * Represents an extension service API definition file.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AdminFileDescriptorType extends VMware_VCloud_API_IdentifiableResourceType {
    protected $Description = null;
    protected $File = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_ReferenceType $File - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $Description=null, $File=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id);
        $this->Description = $Description;
        $this->File = $File;
        $this->tagName = 'FileDescriptor';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDescription() {
        return $this->Description;
    }
    public function setDescription($Description) { 
        $this->Description = $Description;
    }
    public function getFile() {
        return $this->File;
    }
    public function setFile($File) { 
        $this->File = $File;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Description)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Description', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Description>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Description, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Description')) . "</" . $ns . "Description>\n");
        }
        if (!is_null($this->File)) {
            $out = $this->File->export('File', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Description) ||
            !is_null($this->File) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Description') {
            $sval = $child->nodeValue;
            $this->Description = $sval;
            if (!empty($namespace)) {
                $this->namespace['Description'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'File') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('File');
            $this->setFile($obj);
            if (!empty($namespace)) {
                $this->namespace['File'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AdminFileDescriptorType


/**
 * A list of extension service API definition file descriptors.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AdminFileDescriptorsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $FileDescriptor = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $FileDescriptor - [optional] an array of VMware_VCloud_API_Extension_AdminFileDescriptorType objects
    */
    public function __construct($VCloudExtension=null, $FileDescriptor=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($FileDescriptor)) {
            $this->FileDescriptor = $FileDescriptor;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getFileDescriptor() {
        return $this->FileDescriptor;
    }
    public function setFileDescriptor($FileDescriptor) { 
        $this->FileDescriptor = $FileDescriptor;
    }
    public function addFileDescriptor($value) { array_push($this->FileDescriptor, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->FileDescriptor)) {
            foreach ($this->FileDescriptor as $FileDescriptor) {
                $out = $FileDescriptor->export('FileDescriptor', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->FileDescriptor) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FileDescriptor') {
            $obj = new VMware_VCloud_API_Extension_AdminFileDescriptorType();
            $obj->build($child);
            $obj->set_tagName('FileDescriptor');
            array_push($this->FileDescriptor, $obj);
            if (!empty($namespace)) {
                $this->namespace['FileDescriptor'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AdminFileDescriptorsType


/**
 * Represents a service link defined by an extension service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AdminServiceLinkType extends VMware_VCloud_API_IdentifiableResourceType {
    protected $LinkHref = null;
    protected $MimeType = null;
    protected $Rel = null;
    protected $ResourceType = null;
    protected $ResourceId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $LinkHref - [optional] 
    * @param string $MimeType - [optional] 
    * @param string $Rel - [optional] 
    * @param string $ResourceType - [optional] 
    * @param string $ResourceId - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $LinkHref=null, $MimeType=null, $Rel=null, $ResourceType=null, $ResourceId=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id);
        $this->LinkHref = $LinkHref;
        $this->MimeType = $MimeType;
        $this->Rel = $Rel;
        $this->ResourceType = $ResourceType;
        $this->ResourceId = $ResourceId;
        $this->tagName = 'ServiceLink';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getLinkHref() {
        return $this->LinkHref;
    }
    public function setLinkHref($LinkHref) { 
        $this->LinkHref = $LinkHref;
    }
    public function getMimeType() {
        return $this->MimeType;
    }
    public function setMimeType($MimeType) { 
        $this->MimeType = $MimeType;
    }
    public function getRel() {
        return $this->Rel;
    }
    public function setRel($Rel) { 
        $this->Rel = $Rel;
    }
    public function getResourceType() {
        return $this->ResourceType;
    }
    public function setResourceType($ResourceType) { 
        $this->ResourceType = $ResourceType;
    }
    public function getResourceId() {
        return $this->ResourceId;
    }
    public function setResourceId($ResourceId) { 
        $this->ResourceId = $ResourceId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->LinkHref)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'LinkHref', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "LinkHref>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->LinkHref, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='LinkHref')) . "</" . $ns . "LinkHref>\n");
        }
        if (!is_null($this->MimeType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MimeType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MimeType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MimeType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MimeType')) . "</" . $ns . "MimeType>\n");
        }
        if (!is_null($this->Rel)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Rel', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Rel>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Rel, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Rel')) . "</" . $ns . "Rel>\n");
        }
        if (!is_null($this->ResourceType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ResourceType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ResourceType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ResourceType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ResourceType')) . "</" . $ns . "ResourceType>\n");
        }
        if (!is_null($this->ResourceId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ResourceId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ResourceId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ResourceId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ResourceId')) . "</" . $ns . "ResourceId>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->LinkHref) ||
            !is_null($this->MimeType) ||
            !is_null($this->Rel) ||
            !is_null($this->ResourceType) ||
            !is_null($this->ResourceId) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LinkHref') {
            $sval = $child->nodeValue;
            $this->LinkHref = $sval;
            if (!empty($namespace)) {
                $this->namespace['LinkHref'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MimeType') {
            $sval = $child->nodeValue;
            $this->MimeType = $sval;
            if (!empty($namespace)) {
                $this->namespace['MimeType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Rel') {
            $sval = $child->nodeValue;
            $this->Rel = $sval;
            if (!empty($namespace)) {
                $this->namespace['Rel'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceType') {
            $sval = $child->nodeValue;
            $this->ResourceType = $sval;
            if (!empty($namespace)) {
                $this->namespace['ResourceType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceId') {
            $sval = $child->nodeValue;
            $this->ResourceId = $sval;
            if (!empty($namespace)) {
                $this->namespace['ResourceId'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AdminServiceLinkType


/**
 * A list of service links for extension services.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AdminServiceLinksType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ServiceLink = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ServiceLink - [optional] an array of VMware_VCloud_API_Extension_AdminServiceLinkType objects
    */
    public function __construct($VCloudExtension=null, $ServiceLink=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ServiceLink)) {
            $this->ServiceLink = $ServiceLink;
        }
        $this->tagName = 'ServiceLinks';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceLink() {
        return $this->ServiceLink;
    }
    public function setServiceLink($ServiceLink) { 
        $this->ServiceLink = $ServiceLink;
    }
    public function addServiceLink($value) { array_push($this->ServiceLink, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ServiceLink)) {
            foreach ($this->ServiceLink as $ServiceLink) {
                $out = $ServiceLink->export('ServiceLink', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ServiceLink) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceLink') {
            $obj = new VMware_VCloud_API_Extension_AdminServiceLinkType();
            $obj->build($child);
            $obj->set_tagName('ServiceLink');
            array_push($this->ServiceLink, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceLink'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AdminServiceLinksType


/**
 * Parameters for initializing an upload session for an extension  service localization bundle.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_BundleUploadParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $serviceNamespace = null;
    protected $fileSize = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $serviceNamespace - [optional] an attribute, 
    * @param long $fileSize - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $serviceNamespace=null, $fileSize=null) {
        parent::__construct($VCloudExtension);
        $this->serviceNamespace = $serviceNamespace;
        $this->fileSize = $fileSize;
        $this->tagName = 'BundleUploadParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_serviceNamespace(){
        return $this->serviceNamespace;
    }
    public function set_serviceNamespace($serviceNamespace) {
        $this->serviceNamespace = $serviceNamespace;
    }
    public function get_fileSize(){
        return $this->fileSize;
    }
    public function set_fileSize($fileSize) {
        $this->fileSize = $fileSize;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->serviceNamespace)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'serviceNamespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'serviceNamespace=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->serviceNamespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='serviceNamespace')));
        }
        if (!is_null($this->fileSize)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'fileSize', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'fileSize=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->fileSize, $input_name='fileSize')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndserviceNamespace = $attrs->getNamedItem('serviceNamespace');
        if (!is_null($ndserviceNamespace)) {
            $this->serviceNamespace = $ndserviceNamespace->value;
            if (isset($ndserviceNamespace->prefix)) {
                $this->namespace['serviceNamespace'] = $ndserviceNamespace->prefix;
                $nsUri = $ndserviceNamespace->lookupNamespaceURI($ndserviceNamespace->prefix);
            }
            $node->removeAttributeNS($nsUri, 'serviceNamespace');
        } else {
            $this->serviceNamespace = null;
        }
        $ndfileSize = $attrs->getNamedItem('fileSize');
        if (!is_null($ndfileSize)) {
            $this->fileSize = sprintf('%d', $ndfileSize->value);
            if (isset($ndfileSize->prefix)) {
                $this->namespace['fileSize'] = $ndfileSize->prefix;
                $nsUri = $ndfileSize->lookupNamespaceURI($ndfileSize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'fileSize');
        } else {
            $this->fileSize = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_BundleUploadParamsType


/**
 * Upload information for an extension service localization bundle.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_BundleUploadSocketType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $uploadLocation = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $uploadLocation - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $uploadLocation=null) {
        parent::__construct($VCloudExtension);
        $this->uploadLocation = $uploadLocation;
        $this->tagName = 'BundleUploadSocket';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_uploadLocation(){
        return $this->uploadLocation;
    }
    public function set_uploadLocation($uploadLocation) {
        $this->uploadLocation = $uploadLocation;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->uploadLocation)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'uploadLocation', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'uploadLocation=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->uploadLocation, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='uploadLocation')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nduploadLocation = $attrs->getNamedItem('uploadLocation');
        if (!is_null($nduploadLocation)) {
            $this->uploadLocation = $nduploadLocation->value;
            if (isset($nduploadLocation->prefix)) {
                $this->namespace['uploadLocation'] = $nduploadLocation->prefix;
                $nsUri = $nduploadLocation->lookupNamespaceURI($nduploadLocation->prefix);
            }
            $node->removeAttributeNS($nsUri, 'uploadLocation');
        } else {
            $this->uploadLocation = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_BundleUploadSocketType


/**
 * Represents an access type in an extension service ACL rule.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AclAccessType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $Access = null;
    protected $Entity = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param string $Access - [optional] 
    * @param VMware_VCloud_API_ReferenceType $Entity - [optional]
    */
    public function __construct($VCloudExtension=null, $Access=null, $Entity=null) {
        parent::__construct($VCloudExtension);
        $this->Access = $Access;
        $this->Entity = $Entity;
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAccess() {
        return $this->Access;
    }
    public function setAccess($Access) { 
        $this->Access = $Access;
    }
    public function getEntity() {
        return $this->Entity;
    }
    public function setEntity($Entity) { 
        $this->Entity = $Entity;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Access)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Access', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Access>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Access, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Access')) . "</" . $ns . "Access>\n");
        }
        if (!is_null($this->Entity)) {
            $out = $this->Entity->export('Entity', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Access) ||
            !is_null($this->Entity) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Access') {
            $sval = $child->nodeValue;
            $this->Access = $sval;
            if (!empty($namespace)) {
                $this->namespace['Access'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Entity') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Entity');
            $this->setEntity($obj);
            if (!empty($namespace)) {
                $this->namespace['Entity'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AclAccessType


/**
 * Represents an extension service ACL rule.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AclRuleType extends VMware_VCloud_API_EntityType {
    protected $ServiceResourceAccess = null;
    protected $OrganizationAccess = null;
    protected $PrincipalAccess = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_Extension_AclAccessType $ServiceResourceAccess - [optional]
    * @param VMware_VCloud_API_Extension_AclAccessType $OrganizationAccess - [optional]
    * @param VMware_VCloud_API_Extension_AclAccessType $PrincipalAccess - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $ServiceResourceAccess=null, $OrganizationAccess=null, $PrincipalAccess=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->ServiceResourceAccess = $ServiceResourceAccess;
        $this->OrganizationAccess = $OrganizationAccess;
        $this->PrincipalAccess = $PrincipalAccess;
        $this->tagName = 'AclRule';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceResourceAccess() {
        return $this->ServiceResourceAccess;
    }
    public function setServiceResourceAccess($ServiceResourceAccess) { 
        $this->ServiceResourceAccess = $ServiceResourceAccess;
    }
    public function getOrganizationAccess() {
        return $this->OrganizationAccess;
    }
    public function setOrganizationAccess($OrganizationAccess) { 
        $this->OrganizationAccess = $OrganizationAccess;
    }
    public function getPrincipalAccess() {
        return $this->PrincipalAccess;
    }
    public function setPrincipalAccess($PrincipalAccess) { 
        $this->PrincipalAccess = $PrincipalAccess;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ServiceResourceAccess)) {
            $out = $this->ServiceResourceAccess->export('ServiceResourceAccess', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->OrganizationAccess)) {
            $out = $this->OrganizationAccess->export('OrganizationAccess', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->PrincipalAccess)) {
            $out = $this->PrincipalAccess->export('PrincipalAccess', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ServiceResourceAccess) ||
            !is_null($this->OrganizationAccess) ||
            !is_null($this->PrincipalAccess) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResourceAccess') {
            $obj = new VMware_VCloud_API_Extension_AclAccessType();
            $obj->build($child);
            $obj->set_tagName('ServiceResourceAccess');
            $this->setServiceResourceAccess($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResourceAccess'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OrganizationAccess') {
            $obj = new VMware_VCloud_API_Extension_AclAccessType();
            $obj->build($child);
            $obj->set_tagName('OrganizationAccess');
            $this->setOrganizationAccess($obj);
            if (!empty($namespace)) {
                $this->namespace['OrganizationAccess'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PrincipalAccess') {
            $obj = new VMware_VCloud_API_Extension_AclAccessType();
            $obj->build($child);
            $obj->set_tagName('PrincipalAccess');
            $this->setPrincipalAccess($obj);
            if (!empty($namespace)) {
                $this->namespace['PrincipalAccess'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AclRuleType


/**
 * Defines the HTTP methods allowed on a URL pattern  associated with an extension service resource class.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ResourceClassActionType extends VMware_VCloud_API_EntityType {
    protected $HttpMethod = null;
    protected $UrlPattern = null;
    protected $AclRules = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $HttpMethod - [optional] 
    * @param string $UrlPattern - [optional] 
    * @param VMware_VCloud_API_Extension_AclRulesType $AclRules - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $HttpMethod=null, $UrlPattern=null, $AclRules=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->HttpMethod = $HttpMethod;
        $this->UrlPattern = $UrlPattern;
        $this->AclRules = $AclRules;
        $this->tagName = 'ResourceClassAction';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getHttpMethod() {
        return $this->HttpMethod;
    }
    public function setHttpMethod($HttpMethod) { 
        $this->HttpMethod = $HttpMethod;
    }
    public function getUrlPattern() {
        return $this->UrlPattern;
    }
    public function setUrlPattern($UrlPattern) { 
        $this->UrlPattern = $UrlPattern;
    }
    public function getAclRules() {
        return $this->AclRules;
    }
    public function setAclRules($AclRules) { 
        $this->AclRules = $AclRules;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->HttpMethod)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HttpMethod', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HttpMethod>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HttpMethod, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HttpMethod')) . "</" . $ns . "HttpMethod>\n");
        }
        if (!is_null($this->UrlPattern)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UrlPattern', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UrlPattern>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UrlPattern, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UrlPattern')) . "</" . $ns . "UrlPattern>\n");
        }
        if (!is_null($this->AclRules)) {
            $out = $this->AclRules->export('AclRules', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->HttpMethod) ||
            !is_null($this->UrlPattern) ||
            !is_null($this->AclRules) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HttpMethod') {
            $sval = $child->nodeValue;
            $this->HttpMethod = $sval;
            if (!empty($namespace)) {
                $this->namespace['HttpMethod'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UrlPattern') {
            $sval = $child->nodeValue;
            $this->UrlPattern = $sval;
            if (!empty($namespace)) {
                $this->namespace['UrlPattern'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AclRules') {
            $obj = new VMware_VCloud_API_Extension_AclRulesType();
            $obj->build($child);
            $obj->set_tagName('AclRules');
            $this->setAclRules($obj);
            if (!empty($namespace)) {
                $this->namespace['AclRules'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ResourceClassActionType


/**
 * Represents a resource class defined by an external service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ResourceClassType extends VMware_VCloud_API_EntityType {
    protected $MimeType = null;
    protected $UrlTemplate = null;
    protected $Nid = null;
    protected $UrnPattern = null;
    protected $ServiceResources = null;
    protected $ResourceClassActions = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $MimeType - [optional] 
    * @param string $UrlTemplate - [optional] 
    * @param string $Nid - [optional] 
    * @param string $UrnPattern - [optional] 
    * @param VMware_VCloud_API_Extension_ServiceResourcesType $ServiceResources - [optional]
    * @param VMware_VCloud_API_Extension_ResourceClassActionsType $ResourceClassActions - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $MimeType=null, $UrlTemplate=null, $Nid=null, $UrnPattern=null, $ServiceResources=null, $ResourceClassActions=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->MimeType = $MimeType;
        $this->UrlTemplate = $UrlTemplate;
        $this->Nid = $Nid;
        $this->UrnPattern = $UrnPattern;
        $this->ServiceResources = $ServiceResources;
        $this->ResourceClassActions = $ResourceClassActions;
        $this->tagName = 'ResourceClass';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getMimeType() {
        return $this->MimeType;
    }
    public function setMimeType($MimeType) { 
        $this->MimeType = $MimeType;
    }
    public function getUrlTemplate() {
        return $this->UrlTemplate;
    }
    public function setUrlTemplate($UrlTemplate) { 
        $this->UrlTemplate = $UrlTemplate;
    }
    public function getNid() {
        return $this->Nid;
    }
    public function setNid($Nid) { 
        $this->Nid = $Nid;
    }
    public function getUrnPattern() {
        return $this->UrnPattern;
    }
    public function setUrnPattern($UrnPattern) { 
        $this->UrnPattern = $UrnPattern;
    }
    public function getServiceResources() {
        return $this->ServiceResources;
    }
    public function setServiceResources($ServiceResources) { 
        $this->ServiceResources = $ServiceResources;
    }
    public function getResourceClassActions() {
        return $this->ResourceClassActions;
    }
    public function setResourceClassActions($ResourceClassActions) { 
        $this->ResourceClassActions = $ResourceClassActions;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->MimeType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'MimeType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "MimeType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->MimeType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='MimeType')) . "</" . $ns . "MimeType>\n");
        }
        if (!is_null($this->UrlTemplate)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UrlTemplate', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UrlTemplate>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UrlTemplate, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UrlTemplate')) . "</" . $ns . "UrlTemplate>\n");
        }
        if (!is_null($this->Nid)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Nid', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Nid>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Nid, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Nid')) . "</" . $ns . "Nid>\n");
        }
        if (!is_null($this->UrnPattern)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UrnPattern', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UrnPattern>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->UrnPattern, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='UrnPattern')) . "</" . $ns . "UrnPattern>\n");
        }
        if (!is_null($this->ServiceResources)) {
            $out = $this->ServiceResources->export('ServiceResources', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ResourceClassActions)) {
            $out = $this->ResourceClassActions->export('ResourceClassActions', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->MimeType) ||
            !is_null($this->UrlTemplate) ||
            !is_null($this->Nid) ||
            !is_null($this->UrnPattern) ||
            !is_null($this->ServiceResources) ||
            !is_null($this->ResourceClassActions) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'MimeType') {
            $sval = $child->nodeValue;
            $this->MimeType = $sval;
            if (!empty($namespace)) {
                $this->namespace['MimeType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UrlTemplate') {
            $sval = $child->nodeValue;
            $this->UrlTemplate = $sval;
            if (!empty($namespace)) {
                $this->namespace['UrlTemplate'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Nid') {
            $sval = $child->nodeValue;
            $this->Nid = $sval;
            if (!empty($namespace)) {
                $this->namespace['Nid'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UrnPattern') {
            $sval = $child->nodeValue;
            $this->UrnPattern = $sval;
            if (!empty($namespace)) {
                $this->namespace['UrnPattern'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResources') {
            $obj = new VMware_VCloud_API_Extension_ServiceResourcesType();
            $obj->build($child);
            $obj->set_tagName('ServiceResources');
            $this->setServiceResources($obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResources'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassActions') {
            $obj = new VMware_VCloud_API_Extension_ResourceClassActionsType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassActions');
            $this->setResourceClassActions($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassActions'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ResourceClassType


/**
 * Represents an instance of resource class defined by an  extension service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceResourceType extends VMware_VCloud_API_EntityType {
    protected $Org = null;
    protected $ExternalObjectId = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_ReferenceType $Org - [optional]
    * @param string $ExternalObjectId - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Org=null, $ExternalObjectId=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Org = $Org;
        $this->ExternalObjectId = $ExternalObjectId;
        $this->tagName = 'ServiceResource';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOrg() {
        return $this->Org;
    }
    public function setOrg($Org) { 
        $this->Org = $Org;
    }
    public function getExternalObjectId() {
        return $this->ExternalObjectId;
    }
    public function setExternalObjectId($ExternalObjectId) { 
        $this->ExternalObjectId = $ExternalObjectId;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Org)) {
            $out = $this->Org->export('Org', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ExternalObjectId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExternalObjectId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExternalObjectId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExternalObjectId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExternalObjectId')) . "</" . $ns . "ExternalObjectId>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Org) ||
            !is_null($this->ExternalObjectId) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Org') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Org');
            $this->setOrg($obj);
            if (!empty($namespace)) {
                $this->namespace['Org'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExternalObjectId') {
            $sval = $child->nodeValue;
            $this->ExternalObjectId = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExternalObjectId'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceResourceType


/**
 * A list of resource classes defined by an extension service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ResourceClassesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ResourceClass = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ResourceClass - [optional] an array of VMware_VCloud_API_Extension_ResourceClassType objects
    */
    public function __construct($VCloudExtension=null, $ResourceClass=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ResourceClass)) {
            $this->ResourceClass = $ResourceClass;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourceClass() {
        return $this->ResourceClass;
    }
    public function setResourceClass($ResourceClass) { 
        $this->ResourceClass = $ResourceClass;
    }
    public function addResourceClass($value) { array_push($this->ResourceClass, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ResourceClass)) {
            foreach ($this->ResourceClass as $ResourceClass) {
                $out = $ResourceClass->export('ResourceClass', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ResourceClass) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClass') {
            $obj = new VMware_VCloud_API_Extension_ResourceClassType();
            $obj->build($child);
            $obj->set_tagName('ResourceClass');
            array_push($this->ResourceClass, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClass'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ResourceClassesType


/**
 * A list of extension service resources.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ServiceResourcesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ServiceResource = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ServiceResource - [optional] an array of VMware_VCloud_API_Extension_ServiceResourceType objects
    */
    public function __construct($VCloudExtension=null, $ServiceResource=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ServiceResource)) {
            $this->ServiceResource = $ServiceResource;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getServiceResource() {
        return $this->ServiceResource;
    }
    public function setServiceResource($ServiceResource) { 
        $this->ServiceResource = $ServiceResource;
    }
    public function addServiceResource($value) { array_push($this->ServiceResource, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ServiceResource)) {
            foreach ($this->ServiceResource as $ServiceResource) {
                $out = $ServiceResource->export('ServiceResource', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ServiceResource) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ServiceResource') {
            $obj = new VMware_VCloud_API_Extension_ServiceResourceType();
            $obj->build($child);
            $obj->set_tagName('ServiceResource');
            array_push($this->ServiceResource, $obj);
            if (!empty($namespace)) {
                $this->namespace['ServiceResource'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ServiceResourcesType


/**
 * A list of extension service resource class actions.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_ResourceClassActionsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $ResourceClassAction = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $ResourceClassAction - [optional] an array of VMware_VCloud_API_Extension_ResourceClassActionType objects
    */
    public function __construct($VCloudExtension=null, $ResourceClassAction=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($ResourceClassAction)) {
            $this->ResourceClassAction = $ResourceClassAction;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourceClassAction() {
        return $this->ResourceClassAction;
    }
    public function setResourceClassAction($ResourceClassAction) { 
        $this->ResourceClassAction = $ResourceClassAction;
    }
    public function addResourceClassAction($value) { array_push($this->ResourceClassAction, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->ResourceClassAction)) {
            foreach ($this->ResourceClassAction as $ResourceClassAction) {
                $out = $ResourceClassAction->export('ResourceClassAction', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->ResourceClassAction) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceClassAction') {
            $obj = new VMware_VCloud_API_Extension_ResourceClassActionType();
            $obj->build($child);
            $obj->set_tagName('ResourceClassAction');
            array_push($this->ResourceClassAction, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceClassAction'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_ResourceClassActionsType


/**
 * A list of extension service resource class action ACL rules.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AclRulesType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $AclRule = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param array $AclRule - [optional] an array of VMware_VCloud_API_Extension_AclRuleType objects
    */
    public function __construct($VCloudExtension=null, $AclRule=null) {
        parent::__construct($VCloudExtension);
        if (!is_null($AclRule)) {
            $this->AclRule = $AclRule;
        }
        $this->tagName = '';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAclRule() {
        return $this->AclRule;
    }
    public function setAclRule($AclRule) { 
        $this->AclRule = $AclRule;
    }
    public function addAclRule($value) { array_push($this->AclRule, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->AclRule)) {
            foreach ($this->AclRule as $AclRule) {
                $out = $AclRule->export('AclRule', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->AclRule) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AclRule') {
            $obj = new VMware_VCloud_API_Extension_AclRuleType();
            $obj->build($child);
            $obj->set_tagName('AclRule');
            array_push($this->AclRule, $obj);
            if (!empty($namespace)) {
                $this->namespace['AclRule'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AclRulesType


/**
 * Parameters for an authorization check request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AuthorizationCheckParamsType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $User = null;
    protected $HttpMethod = null;
    protected $URL = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param VMware_VCloud_API_ReferenceType $User - [optional]
    * @param string $HttpMethod - [optional] 
    * @param string $URL - [optional] 
    */
    public function __construct($VCloudExtension=null, $User=null, $HttpMethod=null, $URL=null) {
        parent::__construct($VCloudExtension);
        $this->User = $User;
        $this->HttpMethod = $HttpMethod;
        $this->URL = $URL;
        $this->tagName = 'AuthorizationCheckParams';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUser() {
        return $this->User;
    }
    public function setUser($User) { 
        $this->User = $User;
    }
    public function getHttpMethod() {
        return $this->HttpMethod;
    }
    public function setHttpMethod($HttpMethod) { 
        $this->HttpMethod = $HttpMethod;
    }
    public function getURL() {
        return $this->URL;
    }
    public function setURL($URL) { 
        $this->URL = $URL;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->User)) {
            $out = $this->User->export('User', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->HttpMethod)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HttpMethod', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HttpMethod>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HttpMethod, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HttpMethod')) . "</" . $ns . "HttpMethod>\n");
        }
        if (!is_null($this->URL)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'URL', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "URL>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->URL, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='URL')) . "</" . $ns . "URL>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->User) ||
            !is_null($this->HttpMethod) ||
            !is_null($this->URL) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'User') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('User');
            $this->setUser($obj);
            if (!empty($namespace)) {
                $this->namespace['User'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HttpMethod') {
            $sval = $child->nodeValue;
            $this->HttpMethod = $sval;
            if (!empty($namespace)) {
                $this->namespace['HttpMethod'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'URL') {
            $sval = $child->nodeValue;
            $this->URL = $sval;
            if (!empty($namespace)) {
                $this->namespace['URL'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AuthorizationCheckParamsType


/**
 * Response to an authorization check request.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AuthorizationCheckResponseType extends VMware_VCloud_API_VCloudExtensibleType {
    protected $IsAuthorized = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param boolean $IsAuthorized - [optional] 
    */
    public function __construct($VCloudExtension=null, $IsAuthorized=null) {
        parent::__construct($VCloudExtension);
        $this->IsAuthorized = $IsAuthorized;
        $this->tagName = 'AuthorizationCheckResponse';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getIsAuthorized() {
        return $this->IsAuthorized;
    }
    public function setIsAuthorized($IsAuthorized) { 
        $this->IsAuthorized = $IsAuthorized;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->IsAuthorized)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsAuthorized', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsAuthorized>" . VMware_VCloud_API_Helper::format_boolean($this->IsAuthorized, $input_name='IsAuthorized') . "</" . $ns . "IsAuthorized>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->IsAuthorized) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsAuthorized') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsAuthorized = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsAuthorized'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AuthorizationCheckResponseType


/**
 * A reference to a virtual machine in vCenter inventory.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VmObjectRefType extends VMware_VCloud_API_Extension_VimObjectRefType {
    protected $name = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param VMware_VCloud_API_ReferenceType $VimServerRef - [required]
    * @param string $MoRef - [required] 
    * @param string $VimObjectType - [required] 
    * @param string $name - [optional] an attribute, 
    */
    public function __construct($VimServerRef=null, $MoRef=null, $VimObjectType=null, $name=null) {
        parent::__construct($VimServerRef, $MoRef, $VimObjectType);
        $this->name = $name;
        $this->tagName = 'VimObjectRef';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_name(){
        return $this->name;
    }
    public function set_name($name) {
        $this->name = $name;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='VmObjectRefType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->name)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'name', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'name=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->name, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='name')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndname = $attrs->getNamedItem('name');
        if (!is_null($ndname)) {
            $this->name = $ndname->value;
            if (isset($ndname->prefix)) {
                $this->namespace['name'] = $ndname->prefix;
                $nsUri = $ndname->lookupNamespaceURI($ndname->prefix);
            }
            $node->removeAttributeNS($nsUri, 'name');
        } else {
            $this->name = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VmObjectRefType


/**
 * Represents a service extension (Data Director or Cloud Foundry).  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_AdminServiceExtensionType extends VMware_VCloud_API_Extension_AdminServiceType {
    protected $Username = null;
    protected $Password = null;
    protected $ExtensionType = null;
    protected $Url = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $Namespace - [optional] 
    * @param boolean $Enabled - [optional] 
    * @param boolean $AuthorizationEnabled - [optional] 
    * @param string $RoutingKey - [optional] 
    * @param int $Priority - [optional] 
    * @param string $Exchange - [optional] 
    * @param string $Vendor - [optional] 
    * @param VMware_VCloud_API_Extension_ApiFiltersType $ApiFilters - [optional]
    * @param VMware_VCloud_API_Extension_AdminServiceLinksType $ServiceLinks - [optional]
    * @param VMware_VCloud_API_Extension_AdminApiDefinitionsType $ApiDefinitions - [optional]
    * @param VMware_VCloud_API_Extension_ResourceClassesType $ResourceClasses - [optional]
    * @param string $Username - [optional] 
    * @param string $Password - [optional] 
    * @param string $ExtensionType - [optional] 
    * @param string $Url - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Namespace=null, $Enabled=null, $AuthorizationEnabled=null, $RoutingKey=null, $Priority=null, $Exchange=null, $Vendor=null, $ApiFilters=null, $ServiceLinks=null, $ApiDefinitions=null, $ResourceClasses=null, $Username=null, $Password=null, $ExtensionType=null, $Url=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Namespace, $Enabled, $AuthorizationEnabled, $RoutingKey, $Priority, $Exchange, $Vendor, $ApiFilters, $ServiceLinks, $ApiDefinitions, $ResourceClasses);
        $this->Username = $Username;
        $this->Password = $Password;
        $this->ExtensionType = $ExtensionType;
        $this->Url = $Url;
        $this->tagName = 'ServiceExtension';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getUsername() {
        return $this->Username;
    }
    public function setUsername($Username) { 
        $this->Username = $Username;
    }
    public function getPassword() {
        return $this->Password;
    }
    public function setPassword($Password) { 
        $this->Password = $Password;
    }
    public function getExtensionType() {
        return $this->ExtensionType;
    }
    public function setExtensionType($ExtensionType) { 
        $this->ExtensionType = $ExtensionType;
    }
    public function getUrl() {
        return $this->Url;
    }
    public function setUrl($Url) { 
        $this->Url = $Url;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Username)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Username', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Username>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Username, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Username')) . "</" . $ns . "Username>\n");
        }
        if (!is_null($this->Password)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Password', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Password>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Password, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Password')) . "</" . $ns . "Password>\n");
        }
        if (!is_null($this->ExtensionType)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ExtensionType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ExtensionType>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ExtensionType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ExtensionType')) . "</" . $ns . "ExtensionType>\n");
        }
        if (!is_null($this->Url)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Url', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Url>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Url, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Url')) . "</" . $ns . "Url>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Username) ||
            !is_null($this->Password) ||
            !is_null($this->ExtensionType) ||
            !is_null($this->Url) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Username') {
            $sval = $child->nodeValue;
            $this->Username = $sval;
            if (!empty($namespace)) {
                $this->namespace['Username'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Password') {
            $sval = $child->nodeValue;
            $this->Password = $sval;
            if (!empty($namespace)) {
                $this->namespace['Password'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ExtensionType') {
            $sval = $child->nodeValue;
            $this->ExtensionType = $sval;
            if (!empty($namespace)) {
                $this->namespace['ExtensionType'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Url') {
            $sval = $child->nodeValue;
            $this->Url = $sval;
            if (!empty($namespace)) {
                $this->namespace['Url'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_AdminServiceExtensionType


/**
 * Represents the admin view of an external network.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ExternalNetworkType extends VMware_VCloud_API_NetworkType {
    protected $ProviderInfo = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param VMware_VCloud_API_NetworkConfigurationType $Configuration - [optional]
    * @param string $ProviderInfo - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Configuration=null, $ProviderInfo=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Configuration);
        $this->ProviderInfo = $ProviderInfo;
        $this->tagName = 'ExternalNetwork';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProviderInfo() {
        return $this->ProviderInfo;
    }
    public function setProviderInfo($ProviderInfo) { 
        $this->ProviderInfo = $ProviderInfo;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ProviderInfo)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ProviderInfo', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ProviderInfo>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ProviderInfo, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ProviderInfo')) . "</" . $ns . "ProviderInfo>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ProviderInfo) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderInfo') {
            $sval = $child->nodeValue;
            $this->ProviderInfo = $sval;
            if (!empty($namespace)) {
                $this->namespace['ProviderInfo'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ExternalNetworkType


/**
 * Represents a Provider vDC storage profile.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ProviderVdcStorageProfileType extends VMware_VCloud_API_EntityType {
    protected $Enabled = null;
    protected $Units = null;
    protected $CapacityTotal = null;
    protected $CapacityUsed = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param boolean $Enabled - [optional] 
    * @param string $Units - [required] 
    * @param float $CapacityTotal - [optional] 
    * @param float $CapacityUsed - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Enabled=null, $Units=null, $CapacityTotal=null, $CapacityUsed=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Enabled = $Enabled;
        $this->Units = $Units;
        $this->CapacityTotal = $CapacityTotal;
        $this->CapacityUsed = $CapacityUsed;
        $this->tagName = 'ProviderVdcStorageProfile';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function getUnits() {
        return $this->Units;
    }
    public function setUnits($Units) { 
        $this->Units = $Units;
    }
    public function getCapacityTotal() {
        return $this->CapacityTotal;
    }
    public function setCapacityTotal($CapacityTotal) { 
        $this->CapacityTotal = $CapacityTotal;
    }
    public function getCapacityUsed() {
        return $this->CapacityUsed;
    }
    public function setCapacityUsed($CapacityUsed) { 
        $this->CapacityUsed = $CapacityUsed;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
        }
        if (!is_null($this->Units)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Units', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Units>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Units, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Units')) . "</" . $ns . "Units>\n");
        }
        if (!is_null($this->CapacityTotal)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CapacityTotal', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CapacityTotal>" . VMware_VCloud_API_Helper::format_double($this->CapacityTotal, $input_name='CapacityTotal') . "</" . $ns . "CapacityTotal>\n");
        }
        if (!is_null($this->CapacityUsed)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'CapacityUsed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "CapacityUsed>" . VMware_VCloud_API_Helper::format_double($this->CapacityUsed, $input_name='CapacityUsed') . "</" . $ns . "CapacityUsed>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Enabled) ||
            !is_null($this->Units) ||
            !is_null($this->CapacityTotal) ||
            !is_null($this->CapacityUsed) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Units') {
            $sval = $child->nodeValue;
            $this->Units = $sval;
            if (!empty($namespace)) {
                $this->namespace['Units'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CapacityTotal') {
            $sval = $child->nodeValue;
            $this->CapacityTotal = $sval;
            if (!empty($namespace)) {
                $this->namespace['CapacityTotal'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CapacityUsed') {
            $sval = $child->nodeValue;
            $this->CapacityUsed = $sval;
            if (!empty($namespace)) {
                $this->namespace['CapacityUsed'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ProviderVdcStorageProfileType


/**
 * Represents a Provider vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ProviderVdcType extends VMware_VCloud_API_EntityType {
    protected $status = null;
    protected $ComputeCapacity = null;
    protected $StorageCapacity = null;
    protected $AvailableNetworks = null;
    protected $StorageProfiles = null;
    protected $Capabilities = null;
    protected $Vdcs = null;
    protected $IsEnabled = null;
    protected $NetworkPoolReferences = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_RootComputeCapacityType $ComputeCapacity - [optional]
    * @param VMware_VCloud_API_ProviderVdcCapacityType $StorageCapacity - [optional]
    * @param VMware_VCloud_API_AvailableNetworksType $AvailableNetworks - [optional]
    * @param VMware_VCloud_API_ProviderVdcStorageProfilesType $StorageProfiles - [optional]
    * @param VMware_VCloud_API_CapabilitiesType $Capabilities - [optional]
    * @param VMware_VCloud_API_VdcsType $Vdcs - [optional]
    * @param boolean $IsEnabled - [optional] 
    * @param VMware_VCloud_API_NetworkPoolReferencesType $NetworkPoolReferences - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $ComputeCapacity=null, $StorageCapacity=null, $AvailableNetworks=null, $StorageProfiles=null, $Capabilities=null, $Vdcs=null, $IsEnabled=null, $NetworkPoolReferences=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->status = $status;
        $this->ComputeCapacity = $ComputeCapacity;
        $this->StorageCapacity = $StorageCapacity;
        $this->AvailableNetworks = $AvailableNetworks;
        $this->StorageProfiles = $StorageProfiles;
        $this->Capabilities = $Capabilities;
        $this->Vdcs = $Vdcs;
        $this->IsEnabled = $IsEnabled;
        $this->NetworkPoolReferences = $NetworkPoolReferences;
        $this->tagName = 'ProviderVdc';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getComputeCapacity() {
        return $this->ComputeCapacity;
    }
    public function setComputeCapacity($ComputeCapacity) { 
        $this->ComputeCapacity = $ComputeCapacity;
    }
    public function getStorageCapacity() {
        return $this->StorageCapacity;
    }
    public function setStorageCapacity($StorageCapacity) { 
        $this->StorageCapacity = $StorageCapacity;
    }
    public function getAvailableNetworks() {
        return $this->AvailableNetworks;
    }
    public function setAvailableNetworks($AvailableNetworks) { 
        $this->AvailableNetworks = $AvailableNetworks;
    }
    public function getStorageProfiles() {
        return $this->StorageProfiles;
    }
    public function setStorageProfiles($StorageProfiles) { 
        $this->StorageProfiles = $StorageProfiles;
    }
    public function getCapabilities() {
        return $this->Capabilities;
    }
    public function setCapabilities($Capabilities) { 
        $this->Capabilities = $Capabilities;
    }
    public function getVdcs() {
        return $this->Vdcs;
    }
    public function setVdcs($Vdcs) { 
        $this->Vdcs = $Vdcs;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getNetworkPoolReferences() {
        return $this->NetworkPoolReferences;
    }
    public function setNetworkPoolReferences($NetworkPoolReferences) { 
        $this->NetworkPoolReferences = $NetworkPoolReferences;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->status, $input_name='status')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ComputeCapacity)) {
            $out = $this->ComputeCapacity->export('ComputeCapacity', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->StorageCapacity)) {
            $out = $this->StorageCapacity->export('StorageCapacity', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AvailableNetworks)) {
            $out = $this->AvailableNetworks->export('AvailableNetworks', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->StorageProfiles)) {
            $out = $this->StorageProfiles->export('StorageProfiles', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Capabilities)) {
            $out = $this->Capabilities->export('Capabilities', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Vdcs)) {
            $out = $this->Vdcs->export('Vdcs', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->NetworkPoolReferences)) {
            $out = $this->NetworkPoolReferences->export('NetworkPoolReferences', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ComputeCapacity) ||
            !is_null($this->StorageCapacity) ||
            !is_null($this->AvailableNetworks) ||
            !is_null($this->StorageProfiles) ||
            !is_null($this->Capabilities) ||
            !is_null($this->Vdcs) ||
            !is_null($this->IsEnabled) ||
            !is_null($this->NetworkPoolReferences) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = sprintf('%d', $ndstatus->value);
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComputeCapacity') {
            $obj = new VMware_VCloud_API_RootComputeCapacityType();
            $obj->build($child);
            $obj->set_tagName('ComputeCapacity');
            $this->setComputeCapacity($obj);
            if (!empty($namespace)) {
                $this->namespace['ComputeCapacity'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageCapacity') {
            $obj = new VMware_VCloud_API_ProviderVdcCapacityType();
            $obj->build($child);
            $obj->set_tagName('StorageCapacity');
            $this->setStorageCapacity($obj);
            if (!empty($namespace)) {
                $this->namespace['StorageCapacity'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AvailableNetworks') {
            $obj = new VMware_VCloud_API_AvailableNetworksType();
            $obj->build($child);
            $obj->set_tagName('AvailableNetworks');
            $this->setAvailableNetworks($obj);
            if (!empty($namespace)) {
                $this->namespace['AvailableNetworks'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageProfiles') {
            $obj = new VMware_VCloud_API_ProviderVdcStorageProfilesType();
            $obj->build($child);
            $obj->set_tagName('StorageProfiles');
            $this->setStorageProfiles($obj);
            if (!empty($namespace)) {
                $this->namespace['StorageProfiles'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Capabilities') {
            $obj = new VMware_VCloud_API_CapabilitiesType();
            $obj->build($child);
            $obj->set_tagName('Capabilities');
            $this->setCapabilities($obj);
            if (!empty($namespace)) {
                $this->namespace['Capabilities'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vdcs') {
            $obj = new VMware_VCloud_API_VdcsType();
            $obj->build($child);
            $obj->set_tagName('Vdcs');
            $this->setVdcs($obj);
            if (!empty($namespace)) {
                $this->namespace['Vdcs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReferences') {
            $obj = new VMware_VCloud_API_NetworkPoolReferencesType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReferences');
            $this->setNetworkPoolReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReferences'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ProviderVdcType


/**
 * Represents a storage profile in an organization vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VdcStorageProfileType extends VMware_VCloud_API_EntityType {
    protected $Enabled = null;
    protected $Units = null;
    protected $Limit = null;
    protected $Default = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param boolean $Enabled - [optional] 
    * @param string $Units - [required] 
    * @param int $Limit - [required] 
    * @param boolean $Default - [required] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Enabled=null, $Units=null, $Limit=null, $Default=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Enabled = $Enabled;
        $this->Units = $Units;
        $this->Limit = $Limit;
        $this->Default = $Default;
        $this->tagName = 'VdcStorageProfile';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEnabled() {
        return $this->Enabled;
    }
    public function setEnabled($Enabled) { 
        $this->Enabled = $Enabled;
    }
    public function getUnits() {
        return $this->Units;
    }
    public function setUnits($Units) { 
        $this->Units = $Units;
    }
    public function getLimit() {
        return $this->Limit;
    }
    public function setLimit($Limit) { 
        $this->Limit = $Limit;
    }
    public function getDefault() {
        return $this->Default;
    }
    public function setDefault($Default) { 
        $this->Default = $Default;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Enabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Enabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Enabled>" . VMware_VCloud_API_Helper::format_boolean($this->Enabled, $input_name='Enabled') . "</" . $ns . "Enabled>\n");
        }
        if (!is_null($this->Units)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Units', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Units>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Units, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Units')) . "</" . $ns . "Units>\n");
        }
        if (!is_null($this->Limit)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Limit', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Limit>" . VMware_VCloud_API_Helper::format_integer($this->Limit, $input_name='Limit') . "</" . $ns . "Limit>\n");
        }
        if (!is_null($this->Default)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Default', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Default>" . VMware_VCloud_API_Helper::format_boolean($this->Default, $input_name='Default') . "</" . $ns . "Default>\n");
     }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Enabled) ||
            !is_null($this->Units) ||
            !is_null($this->Limit) ||
            !is_null($this->Default) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Enabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Enabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['Enabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Units') {
            $sval = $child->nodeValue;
            $this->Units = $sval;
            if (!empty($namespace)) {
                $this->namespace['Units'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Limit') {
            $sval = $child->nodeValue;
            $this->Limit = $sval;
            if (!empty($namespace)) {
                $this->namespace['Limit'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Default') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->Default = $sval;
            if (!empty($namespace)) {
                $this->namespace['Default'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VdcStorageProfileType


/**
 * Represents the user view of an organization vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VdcType extends VMware_VCloud_API_EntityType {
    protected $status = null;
    protected $AllocationModel = null;
    protected $StorageCapacity = null;
    protected $ComputeCapacity = null;
    protected $ResourceEntities = null;
    protected $AvailableNetworks = null;
    protected $Capabilities = null;
    protected $NicQuota = null;
    protected $NetworkQuota = null;
    protected $UsedNetworkCount = null;
    protected $VmQuota = null;
    protected $IsEnabled = null;
    protected $VdcStorageProfiles = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param string $AllocationModel - [required] 
    * @param VMware_VCloud_API_CapacityWithUsageType $StorageCapacity - [optional]
    * @param VMware_VCloud_API_ComputeCapacityType $ComputeCapacity - [required]
    * @param VMware_VCloud_API_ResourceEntitiesType $ResourceEntities - [optional]
    * @param VMware_VCloud_API_AvailableNetworksType $AvailableNetworks - [optional]
    * @param VMware_VCloud_API_CapabilitiesType $Capabilities - [optional]
    * @param int $NicQuota - [required] 
    * @param int $NetworkQuota - [required] 
    * @param int $UsedNetworkCount - [optional] 
    * @param int $VmQuota - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param VMware_VCloud_API_VdcStorageProfilesType $VdcStorageProfiles - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $AllocationModel=null, $StorageCapacity=null, $ComputeCapacity=null, $ResourceEntities=null, $AvailableNetworks=null, $Capabilities=null, $NicQuota=null, $NetworkQuota=null, $UsedNetworkCount=null, $VmQuota=null, $IsEnabled=null, $VdcStorageProfiles=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->status = $status;
        $this->AllocationModel = $AllocationModel;
        $this->StorageCapacity = $StorageCapacity;
        $this->ComputeCapacity = $ComputeCapacity;
        $this->ResourceEntities = $ResourceEntities;
        $this->AvailableNetworks = $AvailableNetworks;
        $this->Capabilities = $Capabilities;
        $this->NicQuota = $NicQuota;
        $this->NetworkQuota = $NetworkQuota;
        $this->UsedNetworkCount = $UsedNetworkCount;
        $this->VmQuota = $VmQuota;
        $this->IsEnabled = $IsEnabled;
        $this->VdcStorageProfiles = $VdcStorageProfiles;
        $this->tagName = 'Vdc';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getAllocationModel() {
        return $this->AllocationModel;
    }
    public function setAllocationModel($AllocationModel) { 
        $this->AllocationModel = $AllocationModel;
    }
    public function getStorageCapacity() {
        return $this->StorageCapacity;
    }
    public function setStorageCapacity($StorageCapacity) { 
        $this->StorageCapacity = $StorageCapacity;
    }
    public function getComputeCapacity() {
        return $this->ComputeCapacity;
    }
    public function setComputeCapacity($ComputeCapacity) { 
        $this->ComputeCapacity = $ComputeCapacity;
    }
    public function getResourceEntities() {
        return $this->ResourceEntities;
    }
    public function setResourceEntities($ResourceEntities) { 
        $this->ResourceEntities = $ResourceEntities;
    }
    public function getAvailableNetworks() {
        return $this->AvailableNetworks;
    }
    public function setAvailableNetworks($AvailableNetworks) { 
        $this->AvailableNetworks = $AvailableNetworks;
    }
    public function getCapabilities() {
        return $this->Capabilities;
    }
    public function setCapabilities($Capabilities) { 
        $this->Capabilities = $Capabilities;
    }
    public function getNicQuota() {
        return $this->NicQuota;
    }
    public function setNicQuota($NicQuota) { 
        $this->NicQuota = $NicQuota;
    }
    public function getNetworkQuota() {
        return $this->NetworkQuota;
    }
    public function setNetworkQuota($NetworkQuota) { 
        $this->NetworkQuota = $NetworkQuota;
    }
    public function getUsedNetworkCount() {
        return $this->UsedNetworkCount;
    }
    public function setUsedNetworkCount($UsedNetworkCount) { 
        $this->UsedNetworkCount = $UsedNetworkCount;
    }
    public function getVmQuota() {
        return $this->VmQuota;
    }
    public function setVmQuota($VmQuota) { 
        $this->VmQuota = $VmQuota;
    }
    public function getIsEnabled() {
        return $this->IsEnabled;
    }
    public function setIsEnabled($IsEnabled) { 
        $this->IsEnabled = $IsEnabled;
    }
    public function getVdcStorageProfiles() {
        return $this->VdcStorageProfiles;
    }
    public function setVdcStorageProfiles($VdcStorageProfiles) { 
        $this->VdcStorageProfiles = $VdcStorageProfiles;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->status, $input_name='status')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->AllocationModel)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'AllocationModel', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "AllocationModel>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->AllocationModel, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='AllocationModel')) . "</" . $ns . "AllocationModel>\n");
        }
        if (!is_null($this->StorageCapacity)) {
            $out = $this->StorageCapacity->export('StorageCapacity', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ComputeCapacity)) {
            $out = $this->ComputeCapacity->export('ComputeCapacity', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ResourceEntities)) {
            $out = $this->ResourceEntities->export('ResourceEntities', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->AvailableNetworks)) {
            $out = $this->AvailableNetworks->export('AvailableNetworks', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Capabilities)) {
            $out = $this->Capabilities->export('Capabilities', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->NicQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NicQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NicQuota>" . VMware_VCloud_API_Helper::format_integer($this->NicQuota, $input_name='NicQuota') . "</" . $ns . "NicQuota>\n");
        }
        if (!is_null($this->NetworkQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'NetworkQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "NetworkQuota>" . VMware_VCloud_API_Helper::format_integer($this->NetworkQuota, $input_name='NetworkQuota') . "</" . $ns . "NetworkQuota>\n");
        }
        if (!is_null($this->UsedNetworkCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsedNetworkCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsedNetworkCount>" . VMware_VCloud_API_Helper::format_integer($this->UsedNetworkCount, $input_name='UsedNetworkCount') . "</" . $ns . "UsedNetworkCount>\n");
        }
        if (!is_null($this->VmQuota)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VmQuota', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VmQuota>" . VMware_VCloud_API_Helper::format_integer($this->VmQuota, $input_name='VmQuota') . "</" . $ns . "VmQuota>\n");
        }
        if (!is_null($this->IsEnabled)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsEnabled>" . VMware_VCloud_API_Helper::format_boolean($this->IsEnabled, $input_name='IsEnabled') . "</" . $ns . "IsEnabled>\n");
        }
        if (!is_null($this->VdcStorageProfiles)) {
            $out = $this->VdcStorageProfiles->export('VdcStorageProfiles', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->AllocationModel) ||
            !is_null($this->StorageCapacity) ||
            !is_null($this->ComputeCapacity) ||
            !is_null($this->ResourceEntities) ||
            !is_null($this->AvailableNetworks) ||
            !is_null($this->Capabilities) ||
            !is_null($this->NicQuota) ||
            !is_null($this->NetworkQuota) ||
            !is_null($this->UsedNetworkCount) ||
            !is_null($this->VmQuota) ||
            !is_null($this->IsEnabled) ||
            !is_null($this->VdcStorageProfiles) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = sprintf('%d', $ndstatus->value);
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AllocationModel') {
            $sval = $child->nodeValue;
            $this->AllocationModel = $sval;
            if (!empty($namespace)) {
                $this->namespace['AllocationModel'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageCapacity') {
            $obj = new VMware_VCloud_API_CapacityWithUsageType();
            $obj->build($child);
            $obj->set_tagName('StorageCapacity');
            $this->setStorageCapacity($obj);
            if (!empty($namespace)) {
                $this->namespace['StorageCapacity'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ComputeCapacity') {
            $obj = new VMware_VCloud_API_ComputeCapacityType();
            $obj->build($child);
            $obj->set_tagName('ComputeCapacity');
            $this->setComputeCapacity($obj);
            if (!empty($namespace)) {
                $this->namespace['ComputeCapacity'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceEntities') {
            $obj = new VMware_VCloud_API_ResourceEntitiesType();
            $obj->build($child);
            $obj->set_tagName('ResourceEntities');
            $this->setResourceEntities($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceEntities'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AvailableNetworks') {
            $obj = new VMware_VCloud_API_AvailableNetworksType();
            $obj->build($child);
            $obj->set_tagName('AvailableNetworks');
            $this->setAvailableNetworks($obj);
            if (!empty($namespace)) {
                $this->namespace['AvailableNetworks'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Capabilities') {
            $obj = new VMware_VCloud_API_CapabilitiesType();
            $obj->build($child);
            $obj->set_tagName('Capabilities');
            $this->setCapabilities($obj);
            if (!empty($namespace)) {
                $this->namespace['Capabilities'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NicQuota') {
            $sval = $child->nodeValue;
            $this->NicQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['NicQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkQuota') {
            $sval = $child->nodeValue;
            $this->NetworkQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['NetworkQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsedNetworkCount') {
            $sval = $child->nodeValue;
            $this->UsedNetworkCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsedNetworkCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmQuota') {
            $sval = $child->nodeValue;
            $this->VmQuota = $sval;
            if (!empty($namespace)) {
                $this->namespace['VmQuota'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsEnabled') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsEnabled = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsEnabled'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfiles') {
            $obj = new VMware_VCloud_API_VdcStorageProfilesType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfiles');
            $this->setVdcStorageProfiles($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfiles'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VdcType


/**
 * Representation of an API definition accessible by all authenticated users.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ApiDefinitionType extends VMware_VCloud_API_EntityType {
    protected $EntryPoint = null;
    protected $ApiVendor = null;
    protected $SupportedApiVersions = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $EntryPoint - [optional] 
    * @param string $Namespace - [optional] 
    * @param string $ApiVendor - [optional] 
    * @param VMware_VCloud_API_VersionsType $SupportedApiVersions - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $EntryPoint=null, $Namespace=null, $ApiVendor=null, $SupportedApiVersions=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->EntryPoint = $EntryPoint;
        $this->Namespace = $Namespace;
        $this->ApiVendor = $ApiVendor;
        $this->SupportedApiVersions = $SupportedApiVersions;
        $this->tagName = 'ApiDefinition';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntryPoint() {
        return $this->EntryPoint;
    }
    public function setEntryPoint($EntryPoint) { 
        $this->EntryPoint = $EntryPoint;
    }
    public function getNamespace() {
        return $this->Namespace;
    }
    public function setNamespace($Namespace) { 
        $this->Namespace = $Namespace;
    }
    public function getApiVendor() {
        return $this->ApiVendor;
    }
    public function setApiVendor($ApiVendor) { 
        $this->ApiVendor = $ApiVendor;
    }
    public function getSupportedApiVersions() {
        return $this->SupportedApiVersions;
    }
    public function setSupportedApiVersions($SupportedApiVersions) { 
        $this->SupportedApiVersions = $SupportedApiVersions;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->EntryPoint)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'EntryPoint', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "EntryPoint>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->EntryPoint, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='EntryPoint')) . "</" . $ns . "EntryPoint>\n");
        }
        if (!is_null($this->Namespace)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Namespace>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Namespace')) . "</" . $ns . "Namespace>\n");
        }
        if (!is_null($this->ApiVendor)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ApiVendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ApiVendor>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->ApiVendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='ApiVendor')) . "</" . $ns . "ApiVendor>\n");
        }
        if (!is_null($this->SupportedApiVersions)) {
            $out = $this->SupportedApiVersions->export('SupportedApiVersions', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->EntryPoint) ||
            !is_null($this->Namespace) ||
            !is_null($this->ApiVendor) ||
            !is_null($this->SupportedApiVersions) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EntryPoint') {
            $sval = $child->nodeValue;
            $this->EntryPoint = $sval;
            if (!empty($namespace)) {
                $this->namespace['EntryPoint'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Namespace') {
            $sval = $child->nodeValue;
            $this->Namespace = $sval;
            if (!empty($namespace)) {
                $this->namespace['Namespace'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ApiVendor') {
            $sval = $child->nodeValue;
            $this->ApiVendor = $sval;
            if (!empty($namespace)) {
                $this->namespace['ApiVendor'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SupportedApiVersions') {
            $obj = new VMware_VCloud_API_VersionsType();
            $obj->build($child);
            $obj->set_tagName('SupportedApiVersions');
            $this->setSupportedApiVersions($obj);
            if (!empty($namespace)) {
                $this->namespace['SupportedApiVersions'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ApiDefinitionType


/**
 * Public representation of an external service.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ServiceType extends VMware_VCloud_API_EntityType {
    protected $Vendor = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param string $Namespace - [optional] 
    * @param string $Vendor - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Namespace=null, $Vendor=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->Namespace = $Namespace;
        $this->Vendor = $Vendor;
        $this->tagName = 'Service';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getNamespace() {
        return $this->Namespace;
    }
    public function setNamespace($Namespace) { 
        $this->Namespace = $Namespace;
    }
    public function getVendor() {
        return $this->Vendor;
    }
    public function setVendor($Vendor) { 
        $this->Vendor = $Vendor;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Namespace)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Namespace', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Namespace>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Namespace, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Namespace')) . "</" . $ns . "Namespace>\n");
        }
        if (!is_null($this->Vendor)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Vendor', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Vendor>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->Vendor, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='Vendor')) . "</" . $ns . "Vendor>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Namespace) ||
            !is_null($this->Vendor) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Namespace') {
            $sval = $child->nodeValue;
            $this->Namespace = $sval;
            if (!empty($namespace)) {
                $this->namespace['Namespace'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Vendor') {
            $sval = $child->nodeValue;
            $this->Vendor = $sval;
            if (!empty($namespace)) {
                $this->namespace['Vendor'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ServiceType


/**
 * A list of tasks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_TasksListType extends VMware_VCloud_API_EntityType {
    protected $Task = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param array $Task - [optional] an array of VMware_VCloud_API_TaskType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Task=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        if (!is_null($Task)) {
            $this->Task = $Task;
        }
        $this->tagName = 'TasksList';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getTask() {
        return $this->Task;
    }
    public function setTask($Task) { 
        $this->Task = $Task;
    }
    public function addTask($value) { array_push($this->Task, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->Task)) {
            foreach ($this->Task as $Task) {
                $out = $Task->export('Task', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->Task) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Task') {
            $obj = new VMware_VCloud_API_TaskType();
            $obj->build($child);
            $obj->set_tagName('Task');
            array_push($this->Task, $obj);
            if (!empty($namespace)) {
                $this->namespace['Task'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_TasksListType


/**
 * Base type that represents a resource entity such as a vApp  template or virtual media.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_ResourceEntityType extends VMware_VCloud_API_EntityType {
    protected $status = null;
    protected $Files = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->status = $status;
        $this->Files = $Files;
        $this->tagName = 'ResourceEntity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getFiles() {
        return $this->Files;
    }
    public function setFiles($Files) { 
        $this->Files = $Files;
    }
    public function get_status(){
        return $this->status;
    }
    public function set_status($status) {
        $this->status = $status;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->status)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'status', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'status=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->status, $input_name='status')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Files)) {
            $out = $this->Files->export('Files', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Files) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndstatus = $attrs->getNamedItem('status');
        if (!is_null($ndstatus)) {
            $this->status = sprintf('%d', $ndstatus->value);
            if (isset($ndstatus->prefix)) {
                $this->namespace['status'] = $ndstatus->prefix;
                $nsUri = $ndstatus->lookupNamespaceURI($ndstatus->prefix);
            }
            $node->removeAttributeNS($nsUri, 'status');
        } else {
            $this->status = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Files') {
            $obj = new VMware_VCloud_API_FilesListType();
            $obj->build($child);
            $obj->set_tagName('Files');
            $this->setFiles($obj);
            if (!empty($namespace)) {
                $this->namespace['Files'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_ResourceEntityType


/**
 * Represents a file to be transferred (uploaded or downloaded).  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_FileType extends VMware_VCloud_API_EntityType {
    protected $checksum = null;
    protected $bytesTransferred = null;
    protected $size = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param normalizedString $checksum - [optional] an attribute, 
    * @param long $bytesTransferred - [optional] an attribute, 
    * @param long $size - [optional] an attribute, 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $checksum=null, $bytesTransferred=null, $size=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->checksum = $checksum;
        $this->bytesTransferred = $bytesTransferred;
        $this->size = $size;
        $this->tagName = 'File';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_checksum(){
        return $this->checksum;
    }
    public function set_checksum($checksum) {
        $this->checksum = $checksum;
    }
    public function get_bytesTransferred(){
        return $this->bytesTransferred;
    }
    public function set_bytesTransferred($bytesTransferred) {
        $this->bytesTransferred = $bytesTransferred;
    }
    public function get_size(){
        return $this->size;
    }
    public function set_size($size) {
        $this->size = $size;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->checksum)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'checksum', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'checksum=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->checksum, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='checksum')));
        }
        if (!is_null($this->bytesTransferred)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'bytesTransferred', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'bytesTransferred=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->bytesTransferred, $input_name='bytesTransferred')));
        }
        if (!is_null($this->size)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'size', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'size=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->size, $input_name='size')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndchecksum = $attrs->getNamedItem('checksum');
        if (!is_null($ndchecksum)) {
            $this->checksum = $ndchecksum->value;
            if (isset($ndchecksum->prefix)) {
                $this->namespace['checksum'] = $ndchecksum->prefix;
                $nsUri = $ndchecksum->lookupNamespaceURI($ndchecksum->prefix);
            }
            $node->removeAttributeNS($nsUri, 'checksum');
        } else {
            $this->checksum = null;
        }
        $ndbytesTransferred = $attrs->getNamedItem('bytesTransferred');
        if (!is_null($ndbytesTransferred)) {
            $this->bytesTransferred = sprintf('%d', $ndbytesTransferred->value);
            if (isset($ndbytesTransferred->prefix)) {
                $this->namespace['bytesTransferred'] = $ndbytesTransferred->prefix;
                $nsUri = $ndbytesTransferred->lookupNamespaceURI($ndbytesTransferred->prefix);
            }
            $node->removeAttributeNS($nsUri, 'bytesTransferred');
        } else {
            $this->bytesTransferred = null;
        }
        $ndsize = $attrs->getNamedItem('size');
        if (!is_null($ndsize)) {
            $this->size = sprintf('%d', $ndsize->value);
            if (isset($ndsize->prefix)) {
                $this->namespace['size'] = $ndsize->prefix;
                $nsUri = $ndsize->lookupNamespaceURI($ndsize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'size');
        } else {
            $this->size = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_FileType


/**
 * Contains a reference to a VappTemplate or Media object  and related metadata.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_CatalogItemType extends VMware_VCloud_API_EntityType {
    protected $size = null;
    protected $Entity = null;
    protected $Property = array();
    protected $DateCreated = null;
    protected $VersionNumber = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param long $size - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $Entity - [required]
    * @param array $Property - [optional] an array of VMware_VCloud_API_PropertyType objects
    * @param string $DateCreated - [optional] 
    * @param int $VersionNumber - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $size=null, $Entity=null, $Property=null, $DateCreated=null, $VersionNumber=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks);
        $this->size = $size;
        $this->Entity = $Entity;
        if (!is_null($Property)) {
            $this->Property = $Property;
        }
        $this->DateCreated = $DateCreated;
        $this->VersionNumber = $VersionNumber;
        $this->tagName = 'CatalogItem';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getEntity() {
        return $this->Entity;
    }
    public function setEntity($Entity) { 
        $this->Entity = $Entity;
    }
    public function getProperty() {
        return $this->Property;
    }
    public function setProperty($Property) { 
        $this->Property = $Property;
    }
    public function addProperty($value) { array_push($this->Property, $value); }
    public function getDateCreated() {
        return $this->DateCreated;
    }
    public function setDateCreated($DateCreated) { 
        $this->DateCreated = $DateCreated;
    }
    public function getVersionNumber() {
        return $this->VersionNumber;
    }
    public function setVersionNumber($VersionNumber) { 
        $this->VersionNumber = $VersionNumber;
    }
    public function get_size(){
        return $this->size;
    }
    public function set_size($size) {
        $this->size = $size;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->size)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'size', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'size=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->size, $input_name='size')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Entity)) {
            $out = $this->Entity->export('Entity', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Property)) {
            foreach ($this->Property as $Property) {
                $out = $Property->export('Property', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->DateCreated)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DateCreated', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DateCreated>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DateCreated, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DateCreated')) . "</" . $ns . "DateCreated>\n");
        }
        if (!is_null($this->VersionNumber)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VersionNumber', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VersionNumber>" . VMware_VCloud_API_Helper::format_integer($this->VersionNumber, $input_name='VersionNumber') . "</" . $ns . "VersionNumber>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Entity) ||
            !empty($this->Property) ||
            !is_null($this->DateCreated) ||
            !is_null($this->VersionNumber) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndsize = $attrs->getNamedItem('size');
        if (!is_null($ndsize)) {
            $this->size = sprintf('%d', $ndsize->value);
            if (isset($ndsize->prefix)) {
                $this->namespace['size'] = $ndsize->prefix;
                $nsUri = $ndsize->lookupNamespaceURI($ndsize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'size');
        } else {
            $this->size = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Entity') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('Entity');
            $this->setEntity($obj);
            if (!empty($namespace)) {
                $this->namespace['Entity'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Property') {
            $obj = new VMware_VCloud_API_PropertyType();
            $obj->build($child);
            $obj->set_tagName('Property');
            array_push($this->Property, $obj);
            if (!empty($namespace)) {
                $this->namespace['Property'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DateCreated') {
            $sval = $child->nodeValue;
            $this->DateCreated = $sval;
            if (!empty($namespace)) {
                $this->namespace['DateCreated'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VersionNumber') {
            $sval = $child->nodeValue;
            $this->VersionNumber = $sval;
            if (!empty($namespace)) {
                $this->namespace['VersionNumber'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_CatalogItemType


/**
 * Extension representation of provider vDC storage profile type.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWProviderVdcStorageProfileType extends VMware_VCloud_API_ProviderVdcStorageProfileType {
    protected $VimStorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param boolean $Enabled - [optional] 
    * @param string $Units - [required] 
    * @param float $CapacityTotal - [optional] 
    * @param float $CapacityUsed - [optional] 
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimStorageProfile - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Enabled=null, $Units=null, $CapacityTotal=null, $CapacityUsed=null, $VimStorageProfile=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Enabled, $Units, $CapacityTotal, $CapacityUsed);
        $this->VimStorageProfile = $VimStorageProfile;
        $this->tagName = 'VMWProviderVdcStorageProfile';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimStorageProfile() {
        return $this->VimStorageProfile;
    }
    public function setVimStorageProfile($VimStorageProfile) { 
        $this->VimStorageProfile = $VimStorageProfile;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VimStorageProfile)) {
            $out = $this->VimStorageProfile->export('VimStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimStorageProfile') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimStorageProfile');
            $this->setVimStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VimStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWProviderVdcStorageProfileType


/**
 * Extension representation of provider vDC type.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWProviderVdcType extends VMware_VCloud_API_ProviderVdcType {
    protected $DataStoreRefs = null;
    protected $ResourcePoolRefs = null;
    protected $VimServer = array();
    protected $HostReferences = null;
    protected $HighestSupportedHardwareVersion = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_RootComputeCapacityType $ComputeCapacity - [optional]
    * @param VMware_VCloud_API_ProviderVdcCapacityType $StorageCapacity - [optional]
    * @param VMware_VCloud_API_AvailableNetworksType $AvailableNetworks - [optional]
    * @param VMware_VCloud_API_ProviderVdcStorageProfilesType $StorageProfiles - [optional]
    * @param VMware_VCloud_API_CapabilitiesType $Capabilities - [optional]
    * @param VMware_VCloud_API_VdcsType $Vdcs - [optional]
    * @param boolean $IsEnabled - [optional] 
    * @param VMware_VCloud_API_NetworkPoolReferencesType $NetworkPoolReferences - [optional]
    * @param VMware_VCloud_API_Extension_VimObjectRefsType $DataStoreRefs - [required]
    * @param VMware_VCloud_API_Extension_VimObjectRefsType $ResourcePoolRefs - [required]
    * @param array $VimServer - [optional] an array of VMware_VCloud_API_ReferenceType objects
    * @param VMware_VCloud_API_Extension_VMWHostReferencesType $HostReferences - [optional]
    * @param string $HighestSupportedHardwareVersion - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $ComputeCapacity=null, $StorageCapacity=null, $AvailableNetworks=null, $StorageProfiles=null, $Capabilities=null, $Vdcs=null, $IsEnabled=null, $NetworkPoolReferences=null, $DataStoreRefs=null, $ResourcePoolRefs=null, $VimServer=null, $HostReferences=null, $HighestSupportedHardwareVersion=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $ComputeCapacity, $StorageCapacity, $AvailableNetworks, $StorageProfiles, $Capabilities, $Vdcs, $IsEnabled, $NetworkPoolReferences);
        $this->DataStoreRefs = $DataStoreRefs;
        $this->ResourcePoolRefs = $ResourcePoolRefs;
        if (!is_null($VimServer)) {
            $this->VimServer = $VimServer;
        }
        $this->HostReferences = $HostReferences;
        $this->HighestSupportedHardwareVersion = $HighestSupportedHardwareVersion;
        $this->tagName = 'VMWProviderVdc';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getDataStoreRefs() {
        return $this->DataStoreRefs;
    }
    public function setDataStoreRefs($DataStoreRefs) { 
        $this->DataStoreRefs = $DataStoreRefs;
    }
    public function getResourcePoolRefs() {
        return $this->ResourcePoolRefs;
    }
    public function setResourcePoolRefs($ResourcePoolRefs) { 
        $this->ResourcePoolRefs = $ResourcePoolRefs;
    }
    public function getVimServer() {
        return $this->VimServer;
    }
    public function setVimServer($VimServer) { 
        $this->VimServer = $VimServer;
    }
    public function addVimServer($value) { array_push($this->VimServer, $value); }
    public function getHostReferences() {
        return $this->HostReferences;
    }
    public function setHostReferences($HostReferences) { 
        $this->HostReferences = $HostReferences;
    }
    public function getHighestSupportedHardwareVersion() {
        return $this->HighestSupportedHardwareVersion;
    }
    public function setHighestSupportedHardwareVersion($HighestSupportedHardwareVersion) { 
        $this->HighestSupportedHardwareVersion = $HighestSupportedHardwareVersion;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->DataStoreRefs)) {
            $out = $this->DataStoreRefs->export('DataStoreRefs', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ResourcePoolRefs)) {
            $out = $this->ResourcePoolRefs->export('ResourcePoolRefs', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->VimServer)) {
            foreach ($this->VimServer as $VimServer) {
                $out = $VimServer->export('VimServer', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->HostReferences)) {
            $out = $this->HostReferences->export('HostReferences', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->HighestSupportedHardwareVersion)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'HighestSupportedHardwareVersion', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "HighestSupportedHardwareVersion>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->HighestSupportedHardwareVersion, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='HighestSupportedHardwareVersion')) . "</" . $ns . "HighestSupportedHardwareVersion>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->DataStoreRefs) ||
            !is_null($this->ResourcePoolRefs) ||
            !empty($this->VimServer) ||
            !is_null($this->HostReferences) ||
            !is_null($this->HighestSupportedHardwareVersion) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DataStoreRefs') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('DataStoreRefs');
            $this->setDataStoreRefs($obj);
            if (!empty($namespace)) {
                $this->namespace['DataStoreRefs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourcePoolRefs') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('ResourcePoolRefs');
            $this->setResourcePoolRefs($obj);
            if (!empty($namespace)) {
                $this->namespace['ResourcePoolRefs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimServer') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VimServer');
            array_push($this->VimServer, $obj);
            if (!empty($namespace)) {
                $this->namespace['VimServer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HostReferences') {
            $obj = new VMware_VCloud_API_Extension_VMWHostReferencesType();
            $obj->build($child);
            $obj->set_tagName('HostReferences');
            $this->setHostReferences($obj);
            if (!empty($namespace)) {
                $this->namespace['HostReferences'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'HighestSupportedHardwareVersion') {
            $sval = $child->nodeValue;
            $this->HighestSupportedHardwareVersion = $sval;
            if (!empty($namespace)) {
                $this->namespace['HighestSupportedHardwareVersion'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWProviderVdcType


/**
 * Represents a storage profile in an organization vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AdminVdcStorageProfileType extends VMware_VCloud_API_VdcStorageProfileType {
    protected $ProviderVdcStorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param boolean $Enabled - [optional] 
    * @param string $Units - [required] 
    * @param int $Limit - [required] 
    * @param boolean $Default - [required] 
    * @param VMware_VCloud_API_ReferenceType $ProviderVdcStorageProfile - [required]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $Enabled=null, $Units=null, $Limit=null, $Default=null, $ProviderVdcStorageProfile=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $Enabled, $Units, $Limit, $Default);
        $this->ProviderVdcStorageProfile = $ProviderVdcStorageProfile;
        $this->tagName = 'AdminVdcStorageProfile';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getProviderVdcStorageProfile() {
        return $this->ProviderVdcStorageProfile;
    }
    public function setProviderVdcStorageProfile($ProviderVdcStorageProfile) { 
        $this->ProviderVdcStorageProfile = $ProviderVdcStorageProfile;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ProviderVdcStorageProfile)) {
            $out = $this->ProviderVdcStorageProfile->export('ProviderVdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ProviderVdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcStorageProfile');
            $this->setProviderVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AdminVdcStorageProfileType


/**
 * Represents a network pool.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_NetworkPoolType extends VMware_VCloud_API_ResourceEntityType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->tagName = 'ResourceEntity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='NetworkPoolType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_NetworkPoolType


/**
 * Represents the admin view of an organization vDC.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AdminVdcType extends VMware_VCloud_API_VdcType {
    protected $ResourceGuaranteedMemory = null;
    protected $ResourceGuaranteedCpu = null;
    protected $VCpuInMhz = null;
    protected $IsThinProvision = null;
    protected $NetworkPoolReference = null;
    protected $VendorServices = null;
    protected $ProviderVdcReference = null;
    protected $UsesFastProvisioning = null;
    protected $OverCommitAllowed = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param string $AllocationModel - [required] 
    * @param VMware_VCloud_API_CapacityWithUsageType $StorageCapacity - [optional]
    * @param VMware_VCloud_API_ComputeCapacityType $ComputeCapacity - [required]
    * @param VMware_VCloud_API_ResourceEntitiesType $ResourceEntities - [optional]
    * @param VMware_VCloud_API_AvailableNetworksType $AvailableNetworks - [optional]
    * @param VMware_VCloud_API_CapabilitiesType $Capabilities - [optional]
    * @param int $NicQuota - [required] 
    * @param int $NetworkQuota - [required] 
    * @param int $UsedNetworkCount - [optional] 
    * @param int $VmQuota - [optional] 
    * @param boolean $IsEnabled - [optional] 
    * @param VMware_VCloud_API_VdcStorageProfilesType $VdcStorageProfiles - [optional]
    * @param float $ResourceGuaranteedMemory - [optional] 
    * @param float $ResourceGuaranteedCpu - [optional] 
    * @param int $VCpuInMhz - [optional] 
    * @param boolean $IsThinProvision - [optional] 
    * @param VMware_VCloud_API_ReferenceType $NetworkPoolReference - [optional]
    * @param VMware_VCloud_API_VendorServicesType $VendorServices - [optional]
    * @param VMware_VCloud_API_ReferenceType $ProviderVdcReference - [optional]
    * @param boolean $UsesFastProvisioning - [optional] 
    * @param boolean $OverCommitAllowed - [optional] default 'true'
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $AllocationModel=null, $StorageCapacity=null, $ComputeCapacity=null, $ResourceEntities=null, $AvailableNetworks=null, $Capabilities=null, $NicQuota=null, $NetworkQuota=null, $UsedNetworkCount=null, $VmQuota=null, $IsEnabled=null, $VdcStorageProfiles=null, $ResourceGuaranteedMemory=null, $ResourceGuaranteedCpu=null, $VCpuInMhz=null, $IsThinProvision=null, $NetworkPoolReference=null, $VendorServices=null, $ProviderVdcReference=null, $UsesFastProvisioning=null, $OverCommitAllowed=True) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $AllocationModel, $StorageCapacity, $ComputeCapacity, $ResourceEntities, $AvailableNetworks, $Capabilities, $NicQuota, $NetworkQuota, $UsedNetworkCount, $VmQuota, $IsEnabled, $VdcStorageProfiles);
        $this->ResourceGuaranteedMemory = $ResourceGuaranteedMemory;
        $this->ResourceGuaranteedCpu = $ResourceGuaranteedCpu;
        $this->VCpuInMhz = $VCpuInMhz;
        $this->IsThinProvision = $IsThinProvision;
        $this->NetworkPoolReference = $NetworkPoolReference;
        $this->VendorServices = $VendorServices;
        $this->ProviderVdcReference = $ProviderVdcReference;
        $this->UsesFastProvisioning = $UsesFastProvisioning;
        $this->OverCommitAllowed = $OverCommitAllowed;
        $this->tagName = 'AdminVdc';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getResourceGuaranteedMemory() {
        return $this->ResourceGuaranteedMemory;
    }
    public function setResourceGuaranteedMemory($ResourceGuaranteedMemory) { 
        $this->ResourceGuaranteedMemory = $ResourceGuaranteedMemory;
    }
    public function getResourceGuaranteedCpu() {
        return $this->ResourceGuaranteedCpu;
    }
    public function setResourceGuaranteedCpu($ResourceGuaranteedCpu) { 
        $this->ResourceGuaranteedCpu = $ResourceGuaranteedCpu;
    }
    public function getVCpuInMhz() {
        return $this->VCpuInMhz;
    }
    public function setVCpuInMhz($VCpuInMhz) { 
        $this->VCpuInMhz = $VCpuInMhz;
    }
    public function getIsThinProvision() {
        return $this->IsThinProvision;
    }
    public function setIsThinProvision($IsThinProvision) { 
        $this->IsThinProvision = $IsThinProvision;
    }
    public function getNetworkPoolReference() {
        return $this->NetworkPoolReference;
    }
    public function setNetworkPoolReference($NetworkPoolReference) { 
        $this->NetworkPoolReference = $NetworkPoolReference;
    }
    public function getVendorServices() {
        return $this->VendorServices;
    }
    public function setVendorServices($VendorServices) { 
        $this->VendorServices = $VendorServices;
    }
    public function getProviderVdcReference() {
        return $this->ProviderVdcReference;
    }
    public function setProviderVdcReference($ProviderVdcReference) { 
        $this->ProviderVdcReference = $ProviderVdcReference;
    }
    public function getUsesFastProvisioning() {
        return $this->UsesFastProvisioning;
    }
    public function setUsesFastProvisioning($UsesFastProvisioning) { 
        $this->UsesFastProvisioning = $UsesFastProvisioning;
    }
    public function getOverCommitAllowed() {
        return $this->OverCommitAllowed;
    }
    public function setOverCommitAllowed($OverCommitAllowed) { 
        $this->OverCommitAllowed = $OverCommitAllowed;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ResourceGuaranteedMemory)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ResourceGuaranteedMemory', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ResourceGuaranteedMemory>" . VMware_VCloud_API_Helper::format_double($this->ResourceGuaranteedMemory, $input_name='ResourceGuaranteedMemory') . "</" . $ns . "ResourceGuaranteedMemory>\n");
        }
        if (!is_null($this->ResourceGuaranteedCpu)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'ResourceGuaranteedCpu', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "ResourceGuaranteedCpu>" . VMware_VCloud_API_Helper::format_double($this->ResourceGuaranteedCpu, $input_name='ResourceGuaranteedCpu') . "</" . $ns . "ResourceGuaranteedCpu>\n");
        }
        if (!is_null($this->VCpuInMhz)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VCpuInMhz', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VCpuInMhz>" . VMware_VCloud_API_Helper::format_integer($this->VCpuInMhz, $input_name='VCpuInMhz') . "</" . $ns . "VCpuInMhz>\n");
        }
        if (!is_null($this->IsThinProvision)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'IsThinProvision', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "IsThinProvision>" . VMware_VCloud_API_Helper::format_boolean($this->IsThinProvision, $input_name='IsThinProvision') . "</" . $ns . "IsThinProvision>\n");
        }
        if (!is_null($this->NetworkPoolReference)) {
            $out = $this->NetworkPoolReference->export('NetworkPoolReference', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VendorServices)) {
            $out = $this->VendorServices->export('VendorServices', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->ProviderVdcReference)) {
            $out = $this->ProviderVdcReference->export('ProviderVdcReference', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->UsesFastProvisioning)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsesFastProvisioning', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsesFastProvisioning>" . VMware_VCloud_API_Helper::format_boolean($this->UsesFastProvisioning, $input_name='UsesFastProvisioning') . "</" . $ns . "UsesFastProvisioning>\n");
        }
        if (!is_null($this->OverCommitAllowed)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'OverCommitAllowed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "OverCommitAllowed>" . VMware_VCloud_API_Helper::format_boolean($this->OverCommitAllowed, $input_name='OverCommitAllowed') . "</" . $ns . "OverCommitAllowed>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->ResourceGuaranteedMemory) ||
            !is_null($this->ResourceGuaranteedCpu) ||
            !is_null($this->VCpuInMhz) ||
            !is_null($this->IsThinProvision) ||
            !is_null($this->NetworkPoolReference) ||
            !is_null($this->VendorServices) ||
            !is_null($this->ProviderVdcReference) ||
            !is_null($this->UsesFastProvisioning) ||
            !is_null($this->OverCommitAllowed) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceGuaranteedMemory') {
            $sval = $child->nodeValue;
            $this->ResourceGuaranteedMemory = $sval;
            if (!empty($namespace)) {
                $this->namespace['ResourceGuaranteedMemory'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceGuaranteedCpu') {
            $sval = $child->nodeValue;
            $this->ResourceGuaranteedCpu = $sval;
            if (!empty($namespace)) {
                $this->namespace['ResourceGuaranteedCpu'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VCpuInMhz') {
            $sval = $child->nodeValue;
            $this->VCpuInMhz = $sval;
            if (!empty($namespace)) {
                $this->namespace['VCpuInMhz'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IsThinProvision') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->IsThinProvision = $sval;
            if (!empty($namespace)) {
                $this->namespace['IsThinProvision'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkPoolReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('NetworkPoolReference');
            $this->setNetworkPoolReference($obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkPoolReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VendorServices') {
            $obj = new VMware_VCloud_API_VendorServicesType();
            $obj->build($child);
            $obj->set_tagName('VendorServices');
            $this->setVendorServices($obj);
            if (!empty($namespace)) {
                $this->namespace['VendorServices'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProviderVdcReference') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('ProviderVdcReference');
            $this->setProviderVdcReference($obj);
            if (!empty($namespace)) {
                $this->namespace['ProviderVdcReference'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsesFastProvisioning') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->UsesFastProvisioning = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsesFastProvisioning'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OverCommitAllowed') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->OverCommitAllowed = $sval;
            if (!empty($namespace)) {
                $this->namespace['OverCommitAllowed'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AdminVdcType


/**
 * Represents a vApp template.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VAppTemplateType extends VMware_VCloud_API_ResourceEntityType {
    protected $ovfDescriptorUploaded = null;
    protected $goldMaster = null;
    protected $Owner = null;
    protected $Children = null;
    protected $Section = array();
    protected $VAppScopedLocalId = null;
    protected $DefaultStorageProfile = null;
    protected $DateCreated = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param boolean $ovfDescriptorUploaded - [optional] an attribute, 
    * @param boolean $goldMaster - [optional] an attribute, default 'false'
    * @param VMware_VCloud_API_OwnerType $Owner - [optional]
    * @param VMware_VCloud_API_VAppTemplateChildrenType $Children - [optional]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    * @param string $VAppScopedLocalId - [optional] 
    * @param string $DefaultStorageProfile - [optional] 
    * @param string $DateCreated - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $ovfDescriptorUploaded=null, $goldMaster=False, $Owner=null, $Children=null, $Section=null, $VAppScopedLocalId=null, $DefaultStorageProfile=null, $DateCreated=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->ovfDescriptorUploaded = $ovfDescriptorUploaded;
        $this->goldMaster = $goldMaster;
        $this->Owner = $Owner;
        $this->Children = $Children;
        if (!is_null($Section)) {
            $this->Section = $Section;
        }
        $this->VAppScopedLocalId = $VAppScopedLocalId;
        $this->DefaultStorageProfile = $DefaultStorageProfile;
        $this->DateCreated = $DateCreated;
        $this->tagName = 'VAppTemplate';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOwner() {
        return $this->Owner;
    }
    public function setOwner($Owner) { 
        $this->Owner = $Owner;
    }
    public function getChildren() {
        return $this->Children;
    }
    public function setChildren($Children) { 
        $this->Children = $Children;
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function addSection($value) { array_push($this->Section, $value); }
    public function getVAppScopedLocalId() {
        return $this->VAppScopedLocalId;
    }
    public function setVAppScopedLocalId($VAppScopedLocalId) { 
        $this->VAppScopedLocalId = $VAppScopedLocalId;
    }
    public function getDefaultStorageProfile() {
        return $this->DefaultStorageProfile;
    }
    public function setDefaultStorageProfile($DefaultStorageProfile) { 
        $this->DefaultStorageProfile = $DefaultStorageProfile;
    }
    public function getDateCreated() {
        return $this->DateCreated;
    }
    public function setDateCreated($DateCreated) { 
        $this->DateCreated = $DateCreated;
    }
    public function get_ovfDescriptorUploaded(){
        return $this->ovfDescriptorUploaded;
    }
    public function set_ovfDescriptorUploaded($ovfDescriptorUploaded) {
        $this->ovfDescriptorUploaded = $ovfDescriptorUploaded;
    }
    public function get_goldMaster(){
        return $this->goldMaster;
    }
    public function set_goldMaster($goldMaster) {
        $this->goldMaster = $goldMaster;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ovfDescriptorUploaded)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ovfDescriptorUploaded', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ovfDescriptorUploaded=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->ovfDescriptorUploaded, $input_name='ovfDescriptorUploaded')));
        }
        if (!is_null($this->goldMaster)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'goldMaster', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'goldMaster=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->goldMaster, $input_name='goldMaster')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Owner)) {
            $out = $this->Owner->export('Owner', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Children)) {
            $out = $this->Children->export('Children', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Section)) {
            foreach ($this->Section as $Section) {
                $tagName = $Section->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Section';
                }
                $out = $Section->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->VAppScopedLocalId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedLocalId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedLocalId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedLocalId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedLocalId')) . "</" . $ns . "VAppScopedLocalId>\n");
        }
        if (!is_null($this->DefaultStorageProfile)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DefaultStorageProfile', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DefaultStorageProfile>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DefaultStorageProfile, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DefaultStorageProfile')) . "</" . $ns . "DefaultStorageProfile>\n");
        }
        if (!is_null($this->DateCreated)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DateCreated', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DateCreated>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DateCreated, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DateCreated')) . "</" . $ns . "DateCreated>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Owner) ||
            !is_null($this->Children) ||
            !empty($this->Section) ||
            !is_null($this->VAppScopedLocalId) ||
            !is_null($this->DefaultStorageProfile) ||
            !is_null($this->DateCreated) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndovfDescriptorUploaded = $attrs->getNamedItem('ovfDescriptorUploaded');
        if (!is_null($ndovfDescriptorUploaded)) {
            $this->ovfDescriptorUploaded = VMware_VCloud_API_Helper::get_boolean($ndovfDescriptorUploaded->value);
            if (isset($ndovfDescriptorUploaded->prefix)) {
                $this->namespace['ovfDescriptorUploaded'] = $ndovfDescriptorUploaded->prefix;
                $nsUri = $ndovfDescriptorUploaded->lookupNamespaceURI($ndovfDescriptorUploaded->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ovfDescriptorUploaded');
        } else {
            $this->ovfDescriptorUploaded = null;
        }
        $ndgoldMaster = $attrs->getNamedItem('goldMaster');
        if (!is_null($ndgoldMaster)) {
            $this->goldMaster = VMware_VCloud_API_Helper::get_boolean($ndgoldMaster->value);
            if (isset($ndgoldMaster->prefix)) {
                $this->namespace['goldMaster'] = $ndgoldMaster->prefix;
                $nsUri = $ndgoldMaster->lookupNamespaceURI($ndgoldMaster->prefix);
            }
            $node->removeAttributeNS($nsUri, 'goldMaster');
        } else {
            $this->goldMaster = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Owner') {
            $obj = new VMware_VCloud_API_OwnerType();
            $obj->build($child);
            $obj->set_tagName('Owner');
            $this->setOwner($obj);
            if (!empty($namespace)) {
                $this->namespace['Owner'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Children') {
            $obj = new VMware_VCloud_API_VAppTemplateChildrenType();
            $obj->build($child);
            $obj->set_tagName('Children');
            $this->setChildren($obj);
            if (!empty($namespace)) {
                $this->namespace['Children'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $obj = new VMware_VCloud_API_OVF_Section_Type();
            $obj->build($child);
            $obj->set_tagName('Section');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedLocalId') {
            $sval = $child->nodeValue;
            $this->VAppScopedLocalId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedLocalId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfile') {
            $sval = $child->nodeValue;
            $this->DefaultStorageProfile = $sval;
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DateCreated') {
            $sval = $child->nodeValue;
            $this->DateCreated = $sval;
            if (!empty($namespace)) {
                $this->namespace['DateCreated'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VAppTemplateType


/**
 * Represents a Media object.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_MediaType extends VMware_VCloud_API_ResourceEntityType {
    protected $imageType = null;
    protected $size = null;
    protected $Owner = null;
    protected $VdcStorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param string $imageType - [required] an attribute, 
    * @param long $size - [required] an attribute, 
    * @param VMware_VCloud_API_OwnerType $Owner - [optional]
    * @param VMware_VCloud_API_ReferenceType $VdcStorageProfile - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $imageType=null, $size=null, $Owner=null, $VdcStorageProfile=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->imageType = $imageType;
        $this->size = $size;
        $this->Owner = $Owner;
        $this->VdcStorageProfile = $VdcStorageProfile;
        $this->tagName = 'Media';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOwner() {
        return $this->Owner;
    }
    public function setOwner($Owner) { 
        $this->Owner = $Owner;
    }
    public function getVdcStorageProfile() {
        return $this->VdcStorageProfile;
    }
    public function setVdcStorageProfile($VdcStorageProfile) { 
        $this->VdcStorageProfile = $VdcStorageProfile;
    }
    public function get_imageType(){
        return $this->imageType;
    }
    public function set_imageType($imageType) {
        $this->imageType = $imageType;
    }
    public function get_size(){
        return $this->size;
    }
    public function set_size($size) {
        $this->size = $size;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'imageType', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'imageType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->imageType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='imageType')));
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'size', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'size=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->size, $input_name='size')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Owner)) {
            $out = $this->Owner->export('Owner', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VdcStorageProfile)) {
            $out = $this->VdcStorageProfile->export('VdcStorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Owner) ||
            !is_null($this->VdcStorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndimageType = $attrs->getNamedItem('imageType');
        if (!is_null($ndimageType)) {
            $this->imageType = $ndimageType->value;
            if (isset($ndimageType->prefix)) {
                $this->namespace['imageType'] = $ndimageType->prefix;
                $nsUri = $ndimageType->lookupNamespaceURI($ndimageType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'imageType');
        } else {
            $this->imageType = null;
        }
        $ndsize = $attrs->getNamedItem('size');
        if (!is_null($ndsize)) {
            $this->size = sprintf('%d', $ndsize->value);
            if (isset($ndsize->prefix)) {
                $this->namespace['size'] = $ndsize->prefix;
                $nsUri = $ndsize->lookupNamespaceURI($ndsize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'size');
        } else {
            $this->size = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Owner') {
            $obj = new VMware_VCloud_API_OwnerType();
            $obj->build($child);
            $obj->set_tagName('Owner');
            $this->setOwner($obj);
            if (!empty($namespace)) {
                $this->namespace['Owner'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdcStorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VdcStorageProfile');
            $this->setVdcStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['VdcStorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_MediaType


/**
 * Represents an independent disk.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_DiskType extends VMware_VCloud_API_ResourceEntityType {
    protected $busType = null;
    protected $busSubType = null;
    protected $size = null;
    protected $StorageProfile = null;
    protected $Owner = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param string $busType - [optional] an attribute, 
    * @param string $busSubType - [optional] an attribute, 
    * @param long $size - [required] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $StorageProfile - [optional]
    * @param VMware_VCloud_API_OwnerType $Owner - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $busType=null, $busSubType=null, $size=null, $StorageProfile=null, $Owner=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->busType = $busType;
        $this->busSubType = $busSubType;
        $this->size = $size;
        $this->StorageProfile = $StorageProfile;
        $this->Owner = $Owner;
        $this->tagName = 'Disk';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getStorageProfile() {
        return $this->StorageProfile;
    }
    public function setStorageProfile($StorageProfile) { 
        $this->StorageProfile = $StorageProfile;
    }
    public function getOwner() {
        return $this->Owner;
    }
    public function setOwner($Owner) { 
        $this->Owner = $Owner;
    }
    public function get_busType(){
        return $this->busType;
    }
    public function set_busType($busType) {
        $this->busType = $busType;
    }
    public function get_busSubType(){
        return $this->busSubType;
    }
    public function set_busSubType($busSubType) {
        $this->busSubType = $busSubType;
    }
    public function get_size(){
        return $this->size;
    }
    public function set_size($size) {
        $this->size = $size;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->busType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'busType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'busType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->busType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='busType')));
        }
        if (!is_null($this->busSubType)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'busSubType', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'busSubType=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->busSubType, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='busSubType')));
        }
        $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'size', self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'size=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_integer($this->size, $input_name='size')));
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->StorageProfile)) {
            $out = $this->StorageProfile->export('StorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->Owner)) {
            $out = $this->Owner->export('Owner', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->StorageProfile) ||
            !is_null($this->Owner) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndbusType = $attrs->getNamedItem('busType');
        if (!is_null($ndbusType)) {
            $this->busType = $ndbusType->value;
            if (isset($ndbusType->prefix)) {
                $this->namespace['busType'] = $ndbusType->prefix;
                $nsUri = $ndbusType->lookupNamespaceURI($ndbusType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'busType');
        } else {
            $this->busType = null;
        }
        $ndbusSubType = $attrs->getNamedItem('busSubType');
        if (!is_null($ndbusSubType)) {
            $this->busSubType = $ndbusSubType->value;
            if (isset($ndbusSubType->prefix)) {
                $this->namespace['busSubType'] = $ndbusSubType->prefix;
                $nsUri = $ndbusSubType->lookupNamespaceURI($ndbusSubType->prefix);
            }
            $node->removeAttributeNS($nsUri, 'busSubType');
        } else {
            $this->busSubType = null;
        }
        $ndsize = $attrs->getNamedItem('size');
        if (!is_null($ndsize)) {
            $this->size = sprintf('%d', $ndsize->value);
            if (isset($ndsize->prefix)) {
                $this->namespace['size'] = $ndsize->prefix;
                $nsUri = $ndsize->lookupNamespaceURI($ndsize->prefix);
            }
            $node->removeAttributeNS($nsUri, 'size');
        } else {
            $this->size = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('StorageProfile');
            $this->setStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['StorageProfile'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Owner') {
            $obj = new VMware_VCloud_API_OwnerType();
            $obj->build($child);
            $obj->set_tagName('Owner');
            $this->setOwner($obj);
            if (!empty($namespace)) {
                $this->namespace['Owner'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_DiskType


/**
 * Represents a base type for VAppType and VmType.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_AbstractVAppType extends VMware_VCloud_API_ResourceEntityType {
    protected $deployed = null;
    protected $VAppParent = null;
    protected $Section = array();
    protected $DateCreated = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param boolean $deployed - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    * @param string $DateCreated - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $deployed=null, $VAppParent=null, $Section=null, $DateCreated=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->deployed = $deployed;
        $this->VAppParent = $VAppParent;
        if (!is_null($Section)) {
            $this->Section = $Section;
        }
        $this->DateCreated = $DateCreated;
        $this->tagName = 'ResourceEntity';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVAppParent() {
        return $this->VAppParent;
    }
    public function setVAppParent($VAppParent) { 
        $this->VAppParent = $VAppParent;
    }
    public function getSection() {
        return $this->Section;
    }
    public function setSection($Section) { 
        $this->Section = $Section;
    }
    public function addSection($value) { array_push($this->Section, $value); }
    public function getDateCreated() {
        return $this->DateCreated;
    }
    public function setDateCreated($DateCreated) { 
        $this->DateCreated = $DateCreated;
    }
    public function get_deployed(){
        return $this->deployed;
    }
    public function set_deployed($deployed) {
        $this->deployed = $deployed;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='AbstractVAppType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->deployed)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'deployed', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'deployed=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->deployed, $input_name='deployed')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VAppParent)) {
            $out = $this->VAppParent->export('VAppParent', $out, $level, '', $namespace, $rootNS);
        }
        if (isset($this->Section)) {
            foreach ($this->Section as $Section) {
                $tagName = $Section->get_tagName();
                if (empty($tagName)) {
                    $tagName = 'Section';
                }
                $out = $Section->export($tagName, $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->DateCreated)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'DateCreated', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "DateCreated>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->DateCreated, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='DateCreated')) . "</" . $ns . "DateCreated>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VAppParent) ||
            !empty($this->Section) ||
            !is_null($this->DateCreated) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $nddeployed = $attrs->getNamedItem('deployed');
        if (!is_null($nddeployed)) {
            $this->deployed = VMware_VCloud_API_Helper::get_boolean($nddeployed->value);
            if (isset($nddeployed->prefix)) {
                $this->namespace['deployed'] = $nddeployed->prefix;
                $nsUri = $nddeployed->lookupNamespaceURI($nddeployed->prefix);
            }
            $node->removeAttributeNS($nsUri, 'deployed');
        } else {
            $this->deployed = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppParent') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VAppParent');
            $this->setVAppParent($obj);
            if (!empty($namespace)) {
                $this->namespace['VAppParent'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Section') {
            $obj = new VMware_VCloud_API_OVF_Section_Type();
            $obj->build($child);
            $obj->set_tagName('Section');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['Section'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'AnnotationSection') {
            $obj = new VMware_VCloud_API_OVF_AnnotationSection_Type();
            $obj->build($child);
            $obj->set_tagName('AnnotationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['AnnotationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ProductSection') {
            $obj = new VMware_VCloud_API_OVF_ProductSection_Type();
            $obj->build($child);
            $obj->set_tagName('ProductSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ProductSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkSection') {
            $obj = new VMware_VCloud_API_OVF_NetworkSection_Type();
            $obj->build($child);
            $obj->set_tagName('NetworkSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DiskSection') {
            $obj = new VMware_VCloud_API_OVF_DiskSection_Type();
            $obj->build($child);
            $obj->set_tagName('DiskSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DiskSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'OperatingSystemSection') {
            $obj = new VMware_VCloud_API_OVF_OperatingSystemSection_Type();
            $obj->build($child);
            $obj->set_tagName('OperatingSystemSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['OperatingSystemSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'EulaSection') {
            $obj = new VMware_VCloud_API_OVF_EulaSection_Type();
            $obj->build($child);
            $obj->set_tagName('EulaSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['EulaSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VirtualHardwareSection') {
            $obj = new VMware_VCloud_API_OVF_VirtualHardwareSection_Type();
            $obj->build($child);
            $obj->set_tagName('VirtualHardwareSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['VirtualHardwareSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'ResourceAllocationSection') {
            $obj = new VMware_VCloud_API_OVF_ResourceAllocationSection_Type();
            $obj->build($child);
            $obj->set_tagName('ResourceAllocationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['ResourceAllocationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InstallSection') {
            $obj = new VMware_VCloud_API_OVF_InstallSection_Type();
            $obj->build($child);
            $obj->set_tagName('InstallSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['InstallSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StartupSection') {
            $obj = new VMware_VCloud_API_OVF_StartupSection_Type();
            $obj->build($child);
            $obj->set_tagName('StartupSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['StartupSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DeploymentOptionSection') {
            $obj = new VMware_VCloud_API_OVF_DeploymentOptionSection_Type();
            $obj->build($child);
            $obj->set_tagName('DeploymentOptionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DeploymentOptionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PropertySection') {
            $obj = new VMware_VCloud_API_OVFENV_PropertySection_Type();
            $obj->build($child);
            $obj->set_tagName('PropertySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PropertySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PlatformSection') {
            $obj = new VMware_VCloud_API_OVFENV_PlatformSection_Type();
            $obj->build($child);
            $obj->set_tagName('PlatformSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['PlatformSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'IpAssignmentSection') {
            $obj = new VMware_VCloud_API_IpAssignmentSection_Type();
            $obj->build($child);
            $obj->set_tagName('IpAssignmentSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['IpAssignmentSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CpuCompatibilitySection') {
            $obj = new VMware_VCloud_API_CpuCompatibilitySection_Type();
            $obj->build($child);
            $obj->set_tagName('CpuCompatibilitySection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CpuCompatibilitySection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'BootOrderSection') {
            $obj = new VMware_VCloud_API_BootOrderSection_Type();
            $obj->build($child);
            $obj->set_tagName('BootOrderSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['BootOrderSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConfigSection') {
            $obj = new VMware_VCloud_API_NetworkConfigSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConfigSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConfigSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'LeaseSettingsSection') {
            $obj = new VMware_VCloud_API_LeaseSettingsSectionType();
            $obj->build($child);
            $obj->set_tagName('LeaseSettingsSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['LeaseSettingsSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'NetworkConnectionSection') {
            $obj = new VMware_VCloud_API_NetworkConnectionSectionType();
            $obj->build($child);
            $obj->set_tagName('NetworkConnectionSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['NetworkConnectionSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'RuntimeInfoSection') {
            $obj = new VMware_VCloud_API_RuntimeInfoSectionType();
            $obj->build($child);
            $obj->set_tagName('RuntimeInfoSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['RuntimeInfoSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'GuestCustomizationSection') {
            $obj = new VMware_VCloud_API_GuestCustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('GuestCustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['GuestCustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'SnapshotSection') {
            $obj = new VMware_VCloud_API_SnapshotSectionType();
            $obj->build($child);
            $obj->set_tagName('SnapshotSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['SnapshotSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DefaultStorageProfileSection') {
            $obj = new VMware_VCloud_API_DefaultStorageProfileSection_Type();
            $obj->build($child);
            $obj->set_tagName('DefaultStorageProfileSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['DefaultStorageProfileSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'CustomizationSection') {
            $obj = new VMware_VCloud_API_CustomizationSectionType();
            $obj->build($child);
            $obj->set_tagName('CustomizationSection');
            array_push($this->Section, $obj);
            if (!empty($namespace)) {
                $this->namespace['CustomizationSection'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'DateCreated') {
            $sval = $child->nodeValue;
            $this->DateCreated = $sval;
            if (!empty($namespace)) {
                $this->namespace['DateCreated'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_AbstractVAppType


/**
 * Base extension network pool type.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VMWNetworkPoolType extends VMware_VCloud_API_NetworkPoolType {
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->tagName = 'VMWNetworkPool';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function hasContent() {
        if (
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VMWNetworkPoolType


/**
 * Represents a vApp.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VAppType extends VMware_VCloud_API_AbstractVAppType {
    protected $ovfDescriptorUploaded = null;
    protected $Owner = null;
    protected $InMaintenanceMode = null;
    protected $Children = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param boolean $deployed - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    * @param string $DateCreated - [optional] 
    * @param boolean $ovfDescriptorUploaded - [optional] an attribute, 
    * @param VMware_VCloud_API_OwnerType $Owner - [optional]
    * @param boolean $InMaintenanceMode - [optional] 
    * @param VMware_VCloud_API_VAppChildrenType $Children - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $deployed=null, $VAppParent=null, $Section=null, $DateCreated=null, $ovfDescriptorUploaded=null, $Owner=null, $InMaintenanceMode=null, $Children=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files, $deployed, $VAppParent, $Section, $DateCreated);
        $this->ovfDescriptorUploaded = $ovfDescriptorUploaded;
        $this->Owner = $Owner;
        $this->InMaintenanceMode = $InMaintenanceMode;
        $this->Children = $Children;
        $this->tagName = 'VApp';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getOwner() {
        return $this->Owner;
    }
    public function setOwner($Owner) { 
        $this->Owner = $Owner;
    }
    public function getInMaintenanceMode() {
        return $this->InMaintenanceMode;
    }
    public function setInMaintenanceMode($InMaintenanceMode) { 
        $this->InMaintenanceMode = $InMaintenanceMode;
    }
    public function getChildren() {
        return $this->Children;
    }
    public function setChildren($Children) { 
        $this->Children = $Children;
    }
    public function get_ovfDescriptorUploaded(){
        return $this->ovfDescriptorUploaded;
    }
    public function set_ovfDescriptorUploaded($ovfDescriptorUploaded) {
        $this->ovfDescriptorUploaded = $ovfDescriptorUploaded;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->ovfDescriptorUploaded)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'ovfDescriptorUploaded', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'ovfDescriptorUploaded=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->ovfDescriptorUploaded, $input_name='ovfDescriptorUploaded')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->Owner)) {
            $out = $this->Owner->export('Owner', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->InMaintenanceMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'InMaintenanceMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "InMaintenanceMode>" . VMware_VCloud_API_Helper::format_boolean($this->InMaintenanceMode, $input_name='InMaintenanceMode') . "</" . $ns . "InMaintenanceMode>\n");
        }
        if (!is_null($this->Children)) {
            $out = $this->Children->export('Children', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->Owner) ||
            !is_null($this->InMaintenanceMode) ||
            !is_null($this->Children) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndovfDescriptorUploaded = $attrs->getNamedItem('ovfDescriptorUploaded');
        if (!is_null($ndovfDescriptorUploaded)) {
            $this->ovfDescriptorUploaded = VMware_VCloud_API_Helper::get_boolean($ndovfDescriptorUploaded->value);
            if (isset($ndovfDescriptorUploaded->prefix)) {
                $this->namespace['ovfDescriptorUploaded'] = $ndovfDescriptorUploaded->prefix;
                $nsUri = $ndovfDescriptorUploaded->lookupNamespaceURI($ndovfDescriptorUploaded->prefix);
            }
            $node->removeAttributeNS($nsUri, 'ovfDescriptorUploaded');
        } else {
            $this->ovfDescriptorUploaded = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Owner') {
            $obj = new VMware_VCloud_API_OwnerType();
            $obj->build($child);
            $obj->set_tagName('Owner');
            $this->setOwner($obj);
            if (!empty($namespace)) {
                $this->namespace['Owner'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'InMaintenanceMode') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->InMaintenanceMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['InMaintenanceMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Children') {
            $obj = new VMware_VCloud_API_VAppChildrenType();
            $obj->build($child);
            $obj->set_tagName('Children');
            $this->setChildren($obj);
            if (!empty($namespace)) {
                $this->namespace['Children'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VAppType


/**
 * Represents a virtual machine.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_VmType extends VMware_VCloud_API_AbstractVAppType {
    protected $needsCustomization = null;
    protected $nestedHypervisorEnabled = null;
    protected $VAppScopedLocalId = null;
    protected $Environment = null;
    protected $VmCapabilities = null;
    protected $StorageProfile = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param boolean $deployed - [optional] an attribute, 
    * @param VMware_VCloud_API_ReferenceType $VAppParent - [optional]
    * @param array $Section - [optional] an array of VMware_VCloud_API_OVF_Section_Type objects
    * @param string $DateCreated - [optional] 
    * @param boolean $needsCustomization - [optional] an attribute, 
    * @param boolean $nestedHypervisorEnabled - [optional] an attribute, 
    * @param string $VAppScopedLocalId - [optional] 
    * @param VMware_VCloud_API_OVFENV_Environment_Type $Environment - [optional]
    * @param VMware_VCloud_API_VmCapabilitiesType $VmCapabilities - [optional]
    * @param VMware_VCloud_API_ReferenceType $StorageProfile - [optional]
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $deployed=null, $VAppParent=null, $Section=null, $DateCreated=null, $needsCustomization=null, $nestedHypervisorEnabled=null, $VAppScopedLocalId=null, $Environment=null, $VmCapabilities=null, $StorageProfile=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files, $deployed, $VAppParent, $Section, $DateCreated);
        $this->needsCustomization = $needsCustomization;
        $this->nestedHypervisorEnabled = $nestedHypervisorEnabled;
        $this->VAppScopedLocalId = $VAppScopedLocalId;
        $this->Environment = $Environment;
        $this->VmCapabilities = $VmCapabilities;
        $this->StorageProfile = $StorageProfile;
        $this->tagName = 'Vm';
        $this->namespacedef = ' xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:ns12="http://www.vmware.com/vcloud/v1.5" xmlns:ovf="http://schemas.dmtf.org/ovf/envelope/1" xmlns:ovfenv="http://schemas.dmtf.org/ovf/environment/1" xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:rasd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData" xmlns:vssd="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVAppScopedLocalId() {
        return $this->VAppScopedLocalId;
    }
    public function setVAppScopedLocalId($VAppScopedLocalId) { 
        $this->VAppScopedLocalId = $VAppScopedLocalId;
    }
    public function getEnvironment() {
        return $this->Environment;
    }
    public function setEnvironment($Environment) { 
        $this->Environment = $Environment;
    }
    public function getVmCapabilities() {
        return $this->VmCapabilities;
    }
    public function setVmCapabilities($VmCapabilities) { 
        $this->VmCapabilities = $VmCapabilities;
    }
    public function getStorageProfile() {
        return $this->StorageProfile;
    }
    public function setStorageProfile($StorageProfile) { 
        $this->StorageProfile = $StorageProfile;
    }
    public function get_needsCustomization(){
        return $this->needsCustomization;
    }
    public function set_needsCustomization($needsCustomization) {
        $this->needsCustomization = $needsCustomization;
    }
    public function get_nestedHypervisorEnabled(){
        return $this->nestedHypervisorEnabled;
    }
    public function set_nestedHypervisorEnabled($nestedHypervisorEnabled) {
        $this->nestedHypervisorEnabled = $nestedHypervisorEnabled;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->needsCustomization)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'needsCustomization', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'needsCustomization=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->needsCustomization, $input_name='needsCustomization')));
        }
        if (!is_null($this->nestedHypervisorEnabled)) {
            $ns = VMware_VCloud_API_Helper::getAttributeNamespaceTag($this->namespace, 'nestedHypervisorEnabled', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, ' ' . $ns . 'nestedHypervisorEnabled=' . VMware_VCloud_API_Helper::quote_attrib(VMware_VCloud_API_Helper::format_boolean($this->nestedHypervisorEnabled, $input_name='nestedHypervisorEnabled')));
        }
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VAppScopedLocalId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VAppScopedLocalId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VAppScopedLocalId>" . VMware_VCloud_API_Helper::quote_xml(VMware_VCloud_API_Helper::format_string(mb_convert_encoding($this->VAppScopedLocalId, VMware_VCloud_API_Helper::$ExternalEncoding, "auto"), $input_name='VAppScopedLocalId')) . "</" . $ns . "VAppScopedLocalId>\n");
        }
        if (!is_null($this->Environment)) {
            $out = $this->Environment->export('Environment', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VmCapabilities)) {
            $out = $this->VmCapabilities->export('VmCapabilities', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->StorageProfile)) {
            $out = $this->StorageProfile->export('StorageProfile', $out, $level, '', $namespace, $rootNS);
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VAppScopedLocalId) ||
            !is_null($this->Environment) ||
            !is_null($this->VmCapabilities) ||
            !is_null($this->StorageProfile) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        $ndneedsCustomization = $attrs->getNamedItem('needsCustomization');
        if (!is_null($ndneedsCustomization)) {
            $this->needsCustomization = VMware_VCloud_API_Helper::get_boolean($ndneedsCustomization->value);
            if (isset($ndneedsCustomization->prefix)) {
                $this->namespace['needsCustomization'] = $ndneedsCustomization->prefix;
                $nsUri = $ndneedsCustomization->lookupNamespaceURI($ndneedsCustomization->prefix);
            }
            $node->removeAttributeNS($nsUri, 'needsCustomization');
        } else {
            $this->needsCustomization = null;
        }
        $ndnestedHypervisorEnabled = $attrs->getNamedItem('nestedHypervisorEnabled');
        if (!is_null($ndnestedHypervisorEnabled)) {
            $this->nestedHypervisorEnabled = VMware_VCloud_API_Helper::get_boolean($ndnestedHypervisorEnabled->value);
            if (isset($ndnestedHypervisorEnabled->prefix)) {
                $this->namespace['nestedHypervisorEnabled'] = $ndnestedHypervisorEnabled->prefix;
                $nsUri = $ndnestedHypervisorEnabled->lookupNamespaceURI($ndnestedHypervisorEnabled->prefix);
            }
            $node->removeAttributeNS($nsUri, 'nestedHypervisorEnabled');
        } else {
            $this->nestedHypervisorEnabled = null;
        }
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VAppScopedLocalId') {
            $sval = $child->nodeValue;
            $this->VAppScopedLocalId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VAppScopedLocalId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Environment') {
            $obj = new VMware_VCloud_API_OVFENV_Environment_Type();
            $obj->build($child);
            $obj->set_tagName('Environment');
            $this->setEnvironment($obj);
            if (!empty($namespace)) {
                $this->namespace['Environment'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VmCapabilities') {
            $obj = new VMware_VCloud_API_VmCapabilitiesType();
            $obj->build($child);
            $obj->set_tagName('VmCapabilities');
            $this->setVmCapabilities($obj);
            if (!empty($namespace)) {
                $this->namespace['VmCapabilities'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'StorageProfile') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('StorageProfile');
            $this->setStorageProfile($obj);
            if (!empty($namespace)) {
                $this->namespace['StorageProfile'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_VmType


/**
 * Represents a network pool using VXLAN technology. Backed by resource pools of a PVDC that can be backed by multiple VDSes.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VxlanPoolType extends VMware_VCloud_API_Extension_VMWNetworkPoolType {
    protected $VimSwitchRef = null;
    protected $UsedNetworksCount = null;
    protected $PromiscuousMode = null;
    protected $VdsContexts = array();
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimSwitchRef - [optional]
    * @param int $UsedNetworksCount - [optional] 
    * @param boolean $PromiscuousMode - [optional] 
    * @param array $VdsContexts - [optional] an array of VMware_VCloud_API_Extension_VdsContextType objects
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $VimSwitchRef=null, $UsedNetworksCount=null, $PromiscuousMode=null, $VdsContexts=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->VimSwitchRef = $VimSwitchRef;
        $this->UsedNetworksCount = $UsedNetworksCount;
        $this->PromiscuousMode = $PromiscuousMode;
        if (!is_null($VdsContexts)) {
            $this->VdsContexts = $VdsContexts;
        }
        $this->tagName = 'VMWNetworkPool';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVimSwitchRef() {
        return $this->VimSwitchRef;
    }
    public function setVimSwitchRef($VimSwitchRef) { 
        $this->VimSwitchRef = $VimSwitchRef;
    }
    public function getUsedNetworksCount() {
        return $this->UsedNetworksCount;
    }
    public function setUsedNetworksCount($UsedNetworksCount) { 
        $this->UsedNetworksCount = $UsedNetworksCount;
    }
    public function getPromiscuousMode() {
        return $this->PromiscuousMode;
    }
    public function setPromiscuousMode($PromiscuousMode) { 
        $this->PromiscuousMode = $PromiscuousMode;
    }
    public function getVdsContexts() {
        return $this->VdsContexts;
    }
    public function setVdsContexts($VdsContexts) { 
        $this->VdsContexts = $VdsContexts;
    }
    public function addVdsContexts($value) { array_push($this->VdsContexts, $value); }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='VxlanPoolType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->VimSwitchRef)) {
            $out = $this->VimSwitchRef->export('VimSwitchRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->UsedNetworksCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsedNetworksCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsedNetworksCount>" . VMware_VCloud_API_Helper::format_integer($this->UsedNetworksCount, $input_name='UsedNetworksCount') . "</" . $ns . "UsedNetworksCount>\n");
        }
        if (!is_null($this->PromiscuousMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PromiscuousMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PromiscuousMode>" . VMware_VCloud_API_Helper::format_boolean($this->PromiscuousMode, $input_name='PromiscuousMode') . "</" . $ns . "PromiscuousMode>\n");
        }
        if (isset($this->VdsContexts)) {
            foreach ($this->VdsContexts as $VdsContexts) {
                $out = $VdsContexts->export('VdsContexts', $out, $level, '', $namespace, $rootNS);
            }
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->VimSwitchRef) ||
            !is_null($this->UsedNetworksCount) ||
            !is_null($this->PromiscuousMode) ||
            !empty($this->VdsContexts) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimSwitchRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimSwitchRef');
            $this->setVimSwitchRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimSwitchRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsedNetworksCount') {
            $sval = $child->nodeValue;
            $this->UsedNetworksCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsedNetworksCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PromiscuousMode') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PromiscuousMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['PromiscuousMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VdsContexts') {
            $obj = new VMware_VCloud_API_Extension_VdsContextType();
            $obj->build($child);
            $obj->set_tagName('VdsContexts');
            array_push($this->VdsContexts, $obj);
            if (!empty($namespace)) {
                $this->namespace['VdsContexts'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VxlanPoolType


/**
 * Represents a network pool backed by one or more vSphere isolated networks.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_FencePoolType extends VMware_VCloud_API_Extension_VMWNetworkPoolType {
    protected $FenceIdCount = null;
    protected $VlanId = null;
    protected $VimSwitchRef = null;
    protected $UsedNetworksCount = null;
    protected $PromiscuousMode = null;
    protected $Mtu = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param int $FenceIdCount - [required] 
    * @param int $VlanId - [required] 
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimSwitchRef - [required]
    * @param int $UsedNetworksCount - [optional] 
    * @param boolean $PromiscuousMode - [optional] 
    * @param int $Mtu - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $FenceIdCount=null, $VlanId=null, $VimSwitchRef=null, $UsedNetworksCount=null, $PromiscuousMode=null, $Mtu=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->FenceIdCount = $FenceIdCount;
        $this->VlanId = $VlanId;
        $this->VimSwitchRef = $VimSwitchRef;
        $this->UsedNetworksCount = $UsedNetworksCount;
        $this->PromiscuousMode = $PromiscuousMode;
        $this->Mtu = $Mtu;
        $this->tagName = 'VMWNetworkPool';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getFenceIdCount() {
        return $this->FenceIdCount;
    }
    public function setFenceIdCount($FenceIdCount) { 
        $this->FenceIdCount = $FenceIdCount;
    }
    public function getVlanId() {
        return $this->VlanId;
    }
    public function setVlanId($VlanId) { 
        $this->VlanId = $VlanId;
    }
    public function getVimSwitchRef() {
        return $this->VimSwitchRef;
    }
    public function setVimSwitchRef($VimSwitchRef) { 
        $this->VimSwitchRef = $VimSwitchRef;
    }
    public function getUsedNetworksCount() {
        return $this->UsedNetworksCount;
    }
    public function setUsedNetworksCount($UsedNetworksCount) { 
        $this->UsedNetworksCount = $UsedNetworksCount;
    }
    public function getPromiscuousMode() {
        return $this->PromiscuousMode;
    }
    public function setPromiscuousMode($PromiscuousMode) { 
        $this->PromiscuousMode = $PromiscuousMode;
    }
    public function getMtu() {
        return $this->Mtu;
    }
    public function setMtu($Mtu) { 
        $this->Mtu = $Mtu;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='FencePoolType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->FenceIdCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'FenceIdCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "FenceIdCount>" . VMware_VCloud_API_Helper::format_integer($this->FenceIdCount, $input_name='FenceIdCount') . "</" . $ns . "FenceIdCount>\n");
        }
        if (!is_null($this->VlanId)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'VlanId', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "VlanId>" . VMware_VCloud_API_Helper::format_integer($this->VlanId, $input_name='VlanId') . "</" . $ns . "VlanId>\n");
        }
        if (!is_null($this->VimSwitchRef)) {
            $out = $this->VimSwitchRef->export('VimSwitchRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->UsedNetworksCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsedNetworksCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsedNetworksCount>" . VMware_VCloud_API_Helper::format_integer($this->UsedNetworksCount, $input_name='UsedNetworksCount') . "</" . $ns . "UsedNetworksCount>\n");
        }
        if (!is_null($this->PromiscuousMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PromiscuousMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PromiscuousMode>" . VMware_VCloud_API_Helper::format_boolean($this->PromiscuousMode, $input_name='PromiscuousMode') . "</" . $ns . "PromiscuousMode>\n");
        }
        if (!is_null($this->Mtu)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'Mtu', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "Mtu>" . VMware_VCloud_API_Helper::format_integer($this->Mtu, $input_name='Mtu') . "</" . $ns . "Mtu>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->FenceIdCount) ||
            !is_null($this->VlanId) ||
            !is_null($this->VimSwitchRef) ||
            !is_null($this->UsedNetworksCount) ||
            !is_null($this->PromiscuousMode) ||
            !is_null($this->Mtu) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'FenceIdCount') {
            $sval = $child->nodeValue;
            $this->FenceIdCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['FenceIdCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VlanId') {
            $sval = $child->nodeValue;
            $this->VlanId = $sval;
            if (!empty($namespace)) {
                $this->namespace['VlanId'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimSwitchRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimSwitchRef');
            $this->setVimSwitchRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimSwitchRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsedNetworksCount') {
            $sval = $child->nodeValue;
            $this->UsedNetworksCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsedNetworksCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PromiscuousMode') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PromiscuousMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['PromiscuousMode'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'Mtu') {
            $sval = $child->nodeValue;
            $this->Mtu = $sval;
            if (!empty($namespace)) {
                $this->namespace['Mtu'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_FencePoolType


/**
 * Represents a network pool backed by one or more vSphere VLANs.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_VlanPoolType extends VMware_VCloud_API_Extension_VMWNetworkPoolType {
    protected $VlanRange = array();
    protected $VimSwitchRef = null;
    protected $UsedNetworksCount = null;
    protected $PromiscuousMode = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param array $VlanRange - [required] an array of VMware_VCloud_API_Extension_NumericRangeType objects
    * @param VMware_VCloud_API_Extension_VimObjectRefType $VimSwitchRef - [optional]
    * @param int $UsedNetworksCount - [optional] 
    * @param boolean $PromiscuousMode - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $VlanRange=null, $VimSwitchRef=null, $UsedNetworksCount=null, $PromiscuousMode=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        if (!is_null($VlanRange)) {
            $this->VlanRange = $VlanRange;
        }
        $this->VimSwitchRef = $VimSwitchRef;
        $this->UsedNetworksCount = $UsedNetworksCount;
        $this->PromiscuousMode = $PromiscuousMode;
        $this->tagName = 'VMWNetworkPool';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getVlanRange() {
        return $this->VlanRange;
    }
    public function setVlanRange($VlanRange) { 
        $this->VlanRange = $VlanRange;
    }
    public function addVlanRange($value) { array_push($this->VlanRange, $value); }
    public function getVimSwitchRef() {
        return $this->VimSwitchRef;
    }
    public function setVimSwitchRef($VimSwitchRef) { 
        $this->VimSwitchRef = $VimSwitchRef;
    }
    public function getUsedNetworksCount() {
        return $this->UsedNetworksCount;
    }
    public function setUsedNetworksCount($UsedNetworksCount) { 
        $this->UsedNetworksCount = $UsedNetworksCount;
    }
    public function getPromiscuousMode() {
        return $this->PromiscuousMode;
    }
    public function setPromiscuousMode($PromiscuousMode) { 
        $this->PromiscuousMode = $PromiscuousMode;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='VlanPoolType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (isset($this->VlanRange)) {
            foreach ($this->VlanRange as $VlanRange) {
                $out = $VlanRange->export('VlanRange', $out, $level, '', $namespace, $rootNS);
            }
        }
        if (!is_null($this->VimSwitchRef)) {
            $out = $this->VimSwitchRef->export('VimSwitchRef', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->UsedNetworksCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsedNetworksCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsedNetworksCount>" . VMware_VCloud_API_Helper::format_integer($this->UsedNetworksCount, $input_name='UsedNetworksCount') . "</" . $ns . "UsedNetworksCount>\n");
        }
        if (!is_null($this->PromiscuousMode)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'PromiscuousMode', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "PromiscuousMode>" . VMware_VCloud_API_Helper::format_boolean($this->PromiscuousMode, $input_name='PromiscuousMode') . "</" . $ns . "PromiscuousMode>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !empty($this->VlanRange) ||
            !is_null($this->VimSwitchRef) ||
            !is_null($this->UsedNetworksCount) ||
            !is_null($this->PromiscuousMode) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VlanRange') {
            $obj = new VMware_VCloud_API_Extension_NumericRangeType();
            $obj->build($child);
            $obj->set_tagName('VlanRange');
            array_push($this->VlanRange, $obj);
            if (!empty($namespace)) {
                $this->namespace['VlanRange'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimSwitchRef') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefType();
            $obj->build($child);
            $obj->set_tagName('VimSwitchRef');
            $this->setVimSwitchRef($obj);
            if (!empty($namespace)) {
                $this->namespace['VimSwitchRef'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsedNetworksCount') {
            $sval = $child->nodeValue;
            $this->UsedNetworksCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsedNetworksCount'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PromiscuousMode') {
            $sval = VMware_VCloud_API_Helper::get_boolean($child->nodeValue);
            $this->PromiscuousMode = $sval;
            if (!empty($namespace)) {
                $this->namespace['PromiscuousMode'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_VlanPoolType


/**
 * Represents a network pool backed by one or more vSphere port groups.  
 *
 * @category   VMware
 * @package    VMware_VCloud_API_Extension
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Extension_PortGroupPoolType extends VMware_VCloud_API_Extension_VMWNetworkPoolType {
    protected $PortGroupRefs = null;
    protected $VimServer = null;
    protected $UsedNetworksCount = null;
    protected $namespace = array();
    protected $namespacedef = null;
    protected $tagName = null;
    public static $defaultNS = 'http://www.vmware.com/vcloud/extension/v1.5';

   /**
    * @param array $VCloudExtension - [optional] an array of VMware_VCloud_API_VCloudExtensionType objects
    * @param anyURI $href - [optional] an attribute, 
    * @param string $type - [optional] an attribute, 
    * @param array $Link - [optional] an array of VMware_VCloud_API_LinkType objects
    * @param string $operationKey - [optional] an attribute, 
    * @param string $id - [optional] an attribute, 
    * @param string $name - [required] an attribute, 
    * @param string $Description - [optional] 
    * @param VMware_VCloud_API_TasksInProgressType $Tasks - [optional]
    * @param int $status - [optional] an attribute, 
    * @param VMware_VCloud_API_FilesListType $Files - [optional]
    * @param VMware_VCloud_API_Extension_VimObjectRefsType $PortGroupRefs - [required]
    * @param VMware_VCloud_API_ReferenceType $VimServer - [required]
    * @param int $UsedNetworksCount - [optional] 
    */
    public function __construct($VCloudExtension=null, $href=null, $type=null, $Link=null, $operationKey=null, $id=null, $name=null, $Description=null, $Tasks=null, $status=null, $Files=null, $PortGroupRefs=null, $VimServer=null, $UsedNetworksCount=null) {
        parent::__construct($VCloudExtension, $href, $type, $Link, $operationKey, $id, $name, $Description, $Tasks, $status, $Files);
        $this->PortGroupRefs = $PortGroupRefs;
        $this->VimServer = $VimServer;
        $this->UsedNetworksCount = $UsedNetworksCount;
        $this->tagName = 'VMWNetworkPool';
        $this->namespacedef = ' xmlns:vmext="http://www.vmware.com/vcloud/extension/v1.5" xmlns:vcloud="http://www.vmware.com/vcloud/v1.5" xmlns:vmw="http://www.vmware.com/schema/ovf" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"';
    }
    public function getPortGroupRefs() {
        return $this->PortGroupRefs;
    }
    public function setPortGroupRefs($PortGroupRefs) { 
        $this->PortGroupRefs = $PortGroupRefs;
    }
    public function getVimServer() {
        return $this->VimServer;
    }
    public function setVimServer($VimServer) { 
        $this->VimServer = $VimServer;
    }
    public function getUsedNetworksCount() {
        return $this->UsedNetworksCount;
    }
    public function setUsedNetworksCount($UsedNetworksCount) { 
        $this->UsedNetworksCount = $UsedNetworksCount;
    }
    public function get_tagName() { return $this->tagName; }
    public function set_tagName($tagName) { $this->tagName = $tagName; }
    public function export($name=null, $out='', $level=0, $namespacedef=null, $namespace=null, $rootNS=null) {
        if (!isset($name)) {
            $name = $this->tagName;
        }
        $out = VMware_VCloud_API_Helper::showIndent($out, $level);
        if (is_null($namespace)) {
            $namespace = self::$defaultNS;
        }
        if (is_null($rootNS)) {
            $rootNS = self::$defaultNS;
        }
        if (NULL === $namespacedef) {
            $namespacedef = $this->namespacedef;
            if (0 >= strpos($namespacedef, 'xmlns=')) {
                $namespacedef = ' xmlns="' . self::$defaultNS . '"' . $namespacedef;
            }
            if (0 >= strpos($namespacedef, 'xsi:type')) {
                $namespacedef = $namespacedef . " xsi:type='PortGroupPoolType'";
            }
        }
        $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, $name, self::$defaultNS, $namespace, $rootNS);
        $out = VMware_VCloud_API_Helper::addString($out, '<' . $ns . $name . $namespacedef);
        $out = $this->exportAttributes($out, $level, $name, $namespacedef, $namespace, $rootNS);
        if ($this->hasContent()) {
            $out = VMware_VCloud_API_Helper::addString($out, ">\n");
            $out = $this->exportChildren($out, $level + 1, $name, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $out = VMware_VCloud_API_Helper::addString($out, "</" . $ns . $name . ">\n");
        } else {
            $out = VMware_VCloud_API_Helper::addString($out, "/>\n");
        }
        return $out;
    }
    protected function exportAttributes($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportAttributes($out, $level, $name, $namespace, $rootNS);
        return $out;
    }
    protected function exportChildren($out, $level, $name, $namespace, $rootNS) {
        $namespace = self::$defaultNS;
        $out = parent::exportChildren($out, $level, $name, $namespace, $rootNS);
        if (!is_null($this->PortGroupRefs)) {
            $out = $this->PortGroupRefs->export('PortGroupRefs', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->VimServer)) {
            $out = $this->VimServer->export('VimServer', $out, $level, '', $namespace, $rootNS);
        }
        if (!is_null($this->UsedNetworksCount)) {
            $out = VMware_VCloud_API_Helper::showIndent($out, $level);
            $ns = VMware_VCloud_API_Helper::getNamespaceTag($this->namespace, 'UsedNetworksCount', self::$defaultNS, $namespace, $rootNS);
            $out = VMware_VCloud_API_Helper::addString($out, "<" . $ns . "UsedNetworksCount>" . VMware_VCloud_API_Helper::format_integer($this->UsedNetworksCount, $input_name='UsedNetworksCount') . "</" . $ns . "UsedNetworksCount>\n");
        }
        return $out;
    }
    protected function hasContent() {
        if (
            !is_null($this->PortGroupRefs) ||
            !is_null($this->VimServer) ||
            !is_null($this->UsedNetworksCount) ||
            parent::hasContent()
            ) {
            return true;
        } else {
            return false;
        }
    }
    public function build($node, $namespaces='') {
        $tagName = $node->tagName;
        $this->tagName = $tagName;
        if (strpos($tagName, ':') > 0) {
            list($namespace, $tagName) = explode(':', $tagName);
            $this->tagName = $tagName;
            $this->namespace[$tagName] = $namespace;
        }
        $this->buildAttributes($node, $namespaces);
        $children = $node->childNodes;
        foreach ($children as $child) {
            if ($child->nodeType == XML_ELEMENT_NODE || $child->nodeType == XML_TEXT_NODE) {
                $namespace = '';
                $nodeName = $child->nodeName;
                if (strpos($nodeName, ':') > 0) {
                    list($namespace, $nodeName) = explode(':', $nodeName);
                }
                $this->buildChildren($child, $nodeName, $namespace);
            }
        }
    }
    protected function buildAttributes($node, $namespaces='') {
        $attrs = $node->attributes;
        if (!empty($namespaces)) {
            $this->namespacedef = VMware_VCloud_API_Helper::constructNS($attrs, $namespaces, $this->namespacedef) . $this->namespacedef;
        }
        $nsUri = self::$defaultNS;
        parent::buildAttributes($node, $namespaces);
    }
    protected function buildChildren($child, $nodeName, $namespace='') {
        if ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'PortGroupRefs') {
            $obj = new VMware_VCloud_API_Extension_VimObjectRefsType();
            $obj->build($child);
            $obj->set_tagName('PortGroupRefs');
            $this->setPortGroupRefs($obj);
            if (!empty($namespace)) {
                $this->namespace['PortGroupRefs'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'VimServer') {
            $obj = new VMware_VCloud_API_ReferenceType();
            $obj->build($child);
            $obj->set_tagName('VimServer');
            $this->setVimServer($obj);
            if (!empty($namespace)) {
                $this->namespace['VimServer'] = $namespace;
            }
        }
        elseif ($child->nodeType == XML_ELEMENT_NODE && $nodeName == 'UsedNetworksCount') {
            $sval = $child->nodeValue;
            $this->UsedNetworksCount = $sval;
            if (!empty($namespace)) {
                $this->namespace['UsedNetworksCount'] = $namespace;
            }
        }
        parent::buildChildren($child, $nodeName, $namespace);
    }
}
// end of class VMware_VCloud_API_Extension_PortGroupPoolType


#
# Helper class.
#

/**
 * Helper functions and constants.
 *
 * @category   VMware
 * @package    VMware_VCloud_API
 * @author     Ecosystem Engineering
 * @copyright  Copyright VMware, Inc. 2010-2013.  All Rights Reserved.
 * @version    5.5.0
 */
class VMware_VCloud_API_Helper
{
    public static $ExternalEncoding = 'UTF-8';

    public static function addString($out, $string){
        return $out . $string;
    }

    public static function constructNS($attrs, $namespaces, $nsdef) {
        $namespacedef = ''; 
        if ($namespaces && array_keys($namespaces)) {
            foreach (array_keys($namespaces) as $key) {
                if (!$key && 0 >= strpos($nsdef, 'xmlns=')) {
                    $keyname = 'xmlns';
                    $namespacedef .= " $keyname=\"" . $namespaces[$key] . "\"";
                }
            }
        }
        if ($attrs) {
            $xsiType = $attrs->getNamedItemNS('http://www.w3.org/2001/XMLSchema-instance', 'type');
            if ($xsiType && 0 >= strpos($nsdef, 'xsi:type=')) {
                #print " realtype = " . $xsiType->name . ", " . $xsiType->nodeValue . "\n";
                $namespacedef .= " xsi:type='" . $xsiType->nodeValue . "'";
            }
        }
        return $namespacedef;
    }

    public static function parseString($inString, $type=null) {
        if (!$inString) {
            return null;
        }
        $doc = new DOMDocument();
        $doc->loadXML($inString);
        if (!$doc) {
            throw New Exception("parseString: failed to load DOMDocument, " .
                                "inString: $inString");
        }
        $sxml = simplexml_import_dom($doc);
        $namespaces = $sxml->getDocNamespaces(true);
        $rootNode = $doc->getElementsByTagName('*')->item(0);
        $rootName = $rootNode->localName;
        $typeName = $rootName;
        if (!$type) {
            $realType = $rootNode->getAttributeNS("http://www.w3.org/2001/XMLSchema-instance", "type");
            if ($realType) {
                list($ns, $typeName) = explode(':', $realType);
            }
            $type = self::getClassName($typeName);
            if (!$type) {
                exit("Unknown type, please specify the data object type using $type.\n");
            }
        }
        try {
            $typeClass = new ReflectionClass($type);
            $build = $typeClass->GetMethod("build");
            if ($typeClass->isInstantiable()) {
                $typeObj = $typeClass->newInstance();
                if ($typeName != $rootName) {
                    $typeObj->set_tagName($rootName);
                }
                $build->invoke($typeObj, $rootNode, $namespaces);
                return $typeObj;
            }
        } catch (Exception $e) {
            print ("Got exception on type " . $type . "\n");
            print ($e->getMessage() . " at line " . $e->getLine() . "\n");
        }
        return null;
    }

    public static function format_string($input_data, $input_name='') {
        if ($input_data instanceof DOMText) {
            $input_data = $input_data->wholeText;
        }
        return $input_data;
    }

    public static function format_integer($input_data, $input_name='') {
        if ($input_data instanceof DOMText) {
            $input_data = $input_data->wholeText;
        }
        return sprintf('%d', $input_data);
    }

    public static function format_float($input_data, $input_name='') {
        if ($input_data instanceof DOMText) {
            $input_data = $input_data->wholeText;
        }
        return sprintf('%s', $input_data);
    }

    public static function format_double($input_data, $input_name='') {
        if ($input_data instanceof DOMText) {
            $input_data = $input_data->wholeText;
        }
        return sprintf('%s', $input_data);
    }

    public static function format_boolean($input_data, $input_name='') {
        if ($input_data instanceof DOMText) {
            $input_data = $input_data->wholeText;
        }
        return ($input_data)? 'true' : 'false';
    }

    public static function get_boolean($input_data) {
        $str = strtolower($input_data);
        if ($str == 'true') {
            return true;
        } else {
            return false;
        }
    }

    public static function quote_xml($inStr){
        if (is_string($inStr) && !is_null($inStr)) {
            $s1 = $inStr;
            $s1 = str_replace('&', '&amp;', $s1);
            $s1 = str_replace('<', '&lt;', $s1);
            $s1 = str_replace('>', '&gt;', $s1);
            return $s1;
        } else {
            return $inStr;
        }
    }

    public static function quote_attrib($inStr) {
        if (is_string($inStr) && !is_null($inStr)) {
            $s1 = $inStr;
            $s1 = str_replace('&', '&amp;', $s1);
            $s1 = str_replace('<', '&lt;', $s1);
            $s1 = str_replace('>', '&gt;', $s1);
            if (strpos($s1, '"') >= 0) {
                $s1 = str_replace('"', "&quot;", $s1);
            }
            return '"' . $s1 . '"';
        } else {
            return $inStr;
        }
    }

    public static function showIndent($out, $level){
        if ($level > 0) {
            foreach (range(1, $level) as $i){
                $out = self::addString($out, '    ');
            }
        }
        return $out;
    }

    public static function getNamespaceTag($objNS, $name, $defaultNS='', $ugNS='', $rootNS) {
        $ns = '';
        if ($objNS) {
            if (array_key_exists($name, $objNS)) {
                $ns = $objNS[$name];
            } else {
                if ($ugNS == $rootNS) {
                    $ns = '';
                } else {
                    if ($rootNS && $rootNS != $defaultNS) {
                        $ns = self::getNsid($defaultNS);
                    } else {
                        $ns = '';
                    }
                }
            }
        } else if ($ugNS && $ugNS != $rootNS) {
            $ns = self::getNsid($ugNS);
        }

        if (!empty($ns)) {
            $ns .= ':';
        }
        return $ns;
    }

    public static function getAttributeNamespaceTag($objNS, $name, $defaultNS='', $ugNS='', $rootNS='') {
        if (($rootNS == 'http://www.vmware.com/vcloud/v1.5' or
            $rootNS == 'http://www.vmware.com/vcloud/versions') && $defaultNS == $rootNS) {
            return '';
        }
        if ($defaultNS != 'http://schemas.dmtf.org/ovf/envelope/1') {
            return '';
        }
        return self::getNamespaceTag($objNS, $name, $defaultNS, $ugNS, $rootNS);
    }

    public static function getClassName($tagname) {
        $type = null;
        $nameClassMap = array(
            'QueryResultAclRuleRecordType'=>'VMware_VCloud_API_QueryResultAclRuleRecordType',
            'AdminServiceOfferingInstanceReferences'=>'VMware_VCloud_API_ReferencesType',
            'ServiceResourceResourceReferences'=>'VMware_VCloud_API_ReferencesType',
            'DiskSection_Type'=>'VMware_VCloud_API_OVF_DiskSection_Type',
            'NetworkSection_Type'=>'VMware_VCloud_API_OVF_NetworkSection_Type',
            'TasksListType'=>'VMware_VCloud_API_TasksListType',
            'OrgNetworkReference'=>'VMware_VCloud_API_ReferenceType',
            'ServiceOfferingInstanceReference'=>'VMware_VCloud_API_ReferenceType',
            'VAppOrgNetworkRelationReference'=>'VMware_VCloud_API_ReferenceType',
            'StartupSection'=>'VMware_VCloud_API_OVF_StartupSection_Type',
            'CoresPerSocket'=>'VMware_VCloud_API_CoresPerSocket_Type',
            'GatewayInterfacesType'=>'VMware_VCloud_API_GatewayInterfacesType',
            'ImportMediaParamsType'=>'VMware_VCloud_API_Extension_ImportMediaParamsType',
            'TaskReferences'=>'VMware_VCloud_API_ReferencesType',
            'VAppType'=>'VMware_VCloud_API_VAppType',
            'BootOrderSection'=>'VMware_VCloud_API_BootOrderSection_Type',
            'Metadata'=>'VMware_VCloud_API_MetadataType',
            'LinkType'=>'VMware_VCloud_API_LinkType',
            'QueryResultCatalogItemRecordType'=>'VMware_VCloud_API_QueryResultCatalogItemRecordType',
            'SystemConfigurationSettings'=>'VMware_VCloud_API_Extension_SystemConfigurationSettingsType',
            'Parent'=>'VMware_VCloud_API_OVF_cimString',
            'CloneMediaParams'=>'VMware_VCloud_API_CloneMediaParamsType',
            'IcmpSubType'=>'VMware_VCloud_API_string',
            'Catalog'=>'VMware_VCloud_API_CatalogType',
            'cimString'=>'VMware_VCloud_API_OVF_cimString',
            'FencePoolType'=>'VMware_VCloud_API_Extension_FencePoolType',
            'QueryResultResourceClassRecordType'=>'VMware_VCloud_API_QueryResultResourceClassRecordType',
            'ConfigurationName'=>'VMware_VCloud_API_OVF_cimString',
            'RightReference'=>'VMware_VCloud_API_ReferenceType',
            'VMWNetworkPoolType'=>'VMware_VCloud_API_Extension_VMWNetworkPoolType',
            'UserEntityRights'=>'VMware_VCloud_API_Extension_UserEntityRightsType',
            'VirtualSystemCollection_Type'=>'VMware_VCloud_API_OVF_VirtualSystemCollection_Type',
            'QueryResultAdminUserRecordType'=>'VMware_VCloud_API_QueryResultAdminUserRecordType',
            'VsToVmxMapType'=>'VMware_VCloud_API_VsToVmxMapType',
            'OrgVdcNetworkReferences'=>'VMware_VCloud_API_ReferencesType',
            'VAppTemplateChildrenType'=>'VMware_VCloud_API_VAppTemplateChildrenType',
            'TaskReference'=>'VMware_VCloud_API_ReferenceType',
            'QueryResultVAppRecordType'=>'VMware_VCloud_API_QueryResultVAppRecordType',
            'ConfigurationDataRoot'=>'VMware_VCloud_API_OVF_cimString',
            'LicensingVirtualMachineType'=>'VMware_VCloud_API_Extension_LicensingVirtualMachineType',
            'ProviderVdcResourcePoolRelationRecord'=>'VMware_VCloud_API_QueryResultProviderVdcResourcePoolRelationRecordType',
            'ServiceType'=>'VMware_VCloud_API_ServiceType',
            'VMWProviderVdcReference'=>'VMware_VCloud_API_ReferenceType',
            'OtherResourceType'=>'VMware_VCloud_API_OVF_cimString',
            'SnapshotSection'=>'VMware_VCloud_API_SnapshotSectionType',
            'VmServiceOfferingInstanceReference'=>'VMware_VCloud_API_ReferenceType',
            'VcTrustStoreUpdateParamsType'=>'VMware_VCloud_API_Extension_VcTrustStoreUpdateParamsType',
            'GatewayIpsecVpnServiceType'=>'VMware_VCloud_API_GatewayIpsecVpnServiceType',
            'OrgVdcStorageProfileReference'=>'VMware_VCloud_API_ReferenceType',
            'VMWProviderVdcResourcePoolSetType'=>'VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolSetType',
            'ProductSectionList'=>'VMware_VCloud_API_ProductSectionListType',
            'BlockingTaskOperationParams'=>'VMware_VCloud_API_Extension_BlockingTaskOperationParamsType',
            'MetadataType'=>'VMware_VCloud_API_MetadataType',
            'Reference'=>'VMware_VCloud_API_ReferenceType',
            'NetworkPoolReferences'=>'VMware_VCloud_API_ReferencesType',
            'OrgVdcNetworkRecord'=>'VMware_VCloud_API_QueryResultOrgVdcNetworkRecordType',
            'RoleReferencesType'=>'VMware_VCloud_API_RoleReferencesType',
            'IpAddressesType'=>'VMware_VCloud_API_IpAddressesType',
            'ServiceExtension'=>'VMware_VCloud_API_Extension_AdminServiceExtensionType',
            'ResourceSubType'=>'VMware_VCloud_API_OVF_cimString',
            'Entity'=>'VMware_VCloud_API_EntityType',
            'LoadBalancerServiceType'=>'VMware_VCloud_API_LoadBalancerServiceType',
            'KeystoreUpdateParams'=>'VMware_VCloud_API_KeystoreUpdateParamsType',
            'AllEULAsAccepted'=>'VMware_VCloud_API_boolean',
            'EdgeGateway'=>'VMware_VCloud_API_GatewayType',
            'IpsecVpnRemotePeerType'=>'VMware_VCloud_API_IpsecVpnRemotePeerType',
            'VersionsType'=>'VMware_VCloud_API_Extension_VersionsType',
            'AdminDiskRecord'=>'VMware_VCloud_API_QueryResultAdminDiskRecordType',
            'MetadataValueType'=>'VMware_VCloud_API_MetadataValueType',
            'DatastoreReference'=>'VMware_VCloud_API_ReferenceType',
            'LBPersistenceType'=>'VMware_VCloud_API_LBPersistenceType',
            'SourcedVmInstantiationParamsType'=>'VMware_VCloud_API_SourcedVmInstantiationParamsType',
            'SnapshotDataRoot'=>'VMware_VCloud_API_OVF_cimString',
            'AdminVAppTemplateRecord'=>'VMware_VCloud_API_QueryResultAdminVAppTemplateRecordType',
            'ScreenTicket'=>'VMware_VCloud_API_ScreenTicketType',
            'SessionType'=>'VMware_VCloud_API_SessionType',
            'DiskCreateParamsType'=>'VMware_VCloud_API_DiskCreateParamsType',
            'RasdItemsList'=>'VMware_VCloud_API_RasdItemsListType',
            'MediaReferences'=>'VMware_VCloud_API_ReferencesType',
            'ApiDefinition'=>'VMware_VCloud_API_Extension_AdminApiDefinitionType',
            'VmDiskRelationRecord'=>'VMware_VCloud_API_QueryResultVmDiskRelationRecordType',
            'KeystoreUploadSocket'=>'VMware_VCloud_API_KeystoreUploadSocketType',
            'FileDescriptorRecord'=>'VMware_VCloud_API_QueryResultFileDescriptorRecordType',
            'OrgVdcResourcePoolRelationRecord'=>'VMware_VCloud_API_QueryResultOrgVdcResourcePoolRelationRecordType',
            'ApiFilter'=>'VMware_VCloud_API_Extension_ApiFilterType',
            'OrgOperationLimitsSettingsType'=>'VMware_VCloud_API_OrgOperationLimitsSettingsType',
            'MetadataValue'=>'VMware_VCloud_API_MetadataValueType',
            'AclRuleReference'=>'VMware_VCloud_API_ReferenceType',
            'UndeployVAppParams'=>'VMware_VCloud_API_UndeployVAppParamsType',
            'KerberosSettings'=>'VMware_VCloud_API_Extension_KerberosSettingsType',
            'OrgVdcStorageProfileReferences'=>'VMware_VCloud_API_ReferencesType',
            'FirewallService'=>'VMware_VCloud_API_FirewallServiceType',
            'NetworkSection'=>'VMware_VCloud_API_OVF_NetworkSection_Type',
            'CreateVdcParams'=>'VMware_VCloud_API_CreateVdcParamsType',
            'AdminVMRecord'=>'VMware_VCloud_API_QueryResultAdminVMRecordType',
            'NetworkPoolType'=>'VMware_VCloud_API_NetworkPoolType',
            'AutomaticStartupActionDelay'=>'VMware_VCloud_API_OVF_cimDateTime',
            'AdminVdcReferences'=>'VMware_VCloud_API_ReferencesType',
            'TaskType'=>'VMware_VCloud_API_TaskType',
            'Org'=>'VMware_VCloud_API_OrgType',
            'MetadataTypedValue'=>'VMware_VCloud_API_MetadataTypedValue',
            'QueryResultAllocatedExternalAddressRecordType'=>'VMware_VCloud_API_QueryResultAllocatedExternalAddressRecordType',
            'VirtualCenterRecord'=>'VMware_VCloud_API_QueryResultVirtualCenterRecordType',
            'ProductSection_Type'=>'VMware_VCloud_API_OVF_ProductSection_Type',
            'DiskCreateParams'=>'VMware_VCloud_API_DiskCreateParamsType',
            'OrgGuestPersonalizationSettings'=>'VMware_VCloud_API_OrgGuestPersonalizationSettingsType',
            'AdminFileDescriptorType'=>'VMware_VCloud_API_Extension_AdminFileDescriptorType',
            'HostRecord'=>'VMware_VCloud_API_QueryResultHostRecordType',
            'AddressOnParent'=>'VMware_VCloud_API_OVF_cimString',
            'LeaseSettingsSection'=>'VMware_VCloud_API_LeaseSettingsSectionType',
            'ResourceClassAction'=>'VMware_VCloud_API_Extension_ResourceClassActionType',
            'QueryResultProviderVdcResourcePoolRelationRecordType'=>'VMware_VCloud_API_QueryResultProviderVdcResourcePoolRelationRecordType',
            'IpRangeType'=>'VMware_VCloud_API_IpRangeType',
            'VMWVimServerReferencesType'=>'VMware_VCloud_API_Extension_VMWVimServerReferencesType',
            'DatastoreRecord'=>'VMware_VCloud_API_QueryResultDatastoreRecordType',
            'SystemConfigurationSettingValue'=>'VMware_VCloud_API_Extension_SystemConfigurationSettingValueType',
            'LdapSettings'=>'VMware_VCloud_API_Extension_LdapSettingsType',
            'SubAllocationsType'=>'VMware_VCloud_API_SubAllocationsType',
            'BlockingTaskRecord'=>'VMware_VCloud_API_QueryResultBlockingTaskRecordType',
            'RegisterVAppParams'=>'VMware_VCloud_API_RegisterVAppParamsType',
            'cimUnsignedInt'=>'VMware_VCloud_API_OVF_cimUnsignedInt',
            'VdcReferences'=>'VMware_VCloud_API_VdcReferencesType',
            'NatRuleType'=>'VMware_VCloud_API_NatRuleType',
            'cimFloat'=>'VMware_VCloud_API_OVF_cimFloat',
            'VAppOrgVdcNetworkRelationRecord'=>'VMware_VCloud_API_QueryResultVAppOrgVdcNetworkRelationRecordType',
            'GatewayNatRuleType'=>'VMware_VCloud_API_GatewayNatRuleType',
            'ServerType'=>'VMware_VCloud_API_Extension_ServerType',
            'StrandedItem'=>'VMware_VCloud_API_Extension_StrandedItemType',
            'AdminServiceLinkType'=>'VMware_VCloud_API_Extension_AdminServiceLinkType',
            'SuspendDataRoot'=>'VMware_VCloud_API_OVF_cimString',
            'AnnotationSection'=>'VMware_VCloud_API_OVF_AnnotationSection_Type',
            'VirtualSystemType'=>'VMware_VCloud_API_OVF_cimString',
            'Owner'=>'VMware_VCloud_API_OwnerType',
            'VAppNetworkConfigurationType'=>'VMware_VCloud_API_VAppNetworkConfigurationType',
            'cimInt'=>'VMware_VCloud_API_OVF_cimInt',
            'Event'=>'VMware_VCloud_API_EventType',
            'VAppNetwork'=>'VMware_VCloud_API_VAppNetworkType',
            'VAppTemplate'=>'VMware_VCloud_API_VAppTemplateType',
            'Group'=>'VMware_VCloud_API_GroupType',
            'OrgLeaseSettingsType'=>'VMware_VCloud_API_OrgLeaseSettingsType',
            'MetadataNumberValue'=>'VMware_VCloud_API_MetadataNumberValue',
            'ServiceOfferingAssociateParamsType'=>'VMware_VCloud_API_Extension_ServiceOfferingAssociateParamsType',
            'SystemSettingsType'=>'VMware_VCloud_API_Extension_SystemSettingsType',
            'GroupRecord'=>'VMware_VCloud_API_QueryResultGroupRecordType',
            'VendorServices'=>'VMware_VCloud_API_VendorServicesType',
            'VMWProviderVdcParams'=>'VMware_VCloud_API_Extension_VMWProviderVdcParamsType',
            'ApiDefinitionRecord'=>'VMware_VCloud_API_QueryResultApiDefinitionRecordType',
            'UpdateVdcStorageProfilesType'=>'VMware_VCloud_API_UpdateVdcStorageProfilesType',
            'InstantiationParamsType'=>'VMware_VCloud_API_InstantiationParamsType',
            'VMWNetworkPool'=>'VMware_VCloud_API_Extension_VMWNetworkPoolType',
            'VMReference'=>'VMware_VCloud_API_ReferenceType',
            'VMWProviderVdcReferencesType'=>'VMware_VCloud_API_Extension_VMWProviderVdcReferencesType',
            'GatewayIpsecVpnEndpointType'=>'VMware_VCloud_API_GatewayIpsecVpnEndpointType',
            'NicIpMapType'=>'VMware_VCloud_API_NicIpMapType',
            'OrgSettings'=>'VMware_VCloud_API_OrgSettingsType',
            'MigrateParams'=>'VMware_VCloud_API_Extension_MigrateParamsType',
            'ServiceOfferingRecord'=>'VMware_VCloud_API_QueryResultServiceOfferingRecordType',
            'QueryResultApiDefinitionRecordType'=>'VMware_VCloud_API_QueryResultApiDefinitionRecordType',
            'EventType'=>'VMware_VCloud_API_EventType',
            'SspiKeytabUpdateParams'=>'VMware_VCloud_API_SspiKeytabUpdateParamsType',
            'CloneVAppParams'=>'VMware_VCloud_API_CloneVAppParamsType',
            'NatOneToOneBasicRuleType'=>'VMware_VCloud_API_NatOneToOneBasicRuleType',
            'VimServerType'=>'VMware_VCloud_API_Extension_VimServerType',
            'CatalogReference'=>'VMware_VCloud_API_ReferenceType',
            'InstantiateVmParamsType'=>'VMware_VCloud_API_InstantiateVmParamsType',
            'SystemPasswordPolicySettingsType'=>'VMware_VCloud_API_Extension_SystemPasswordPolicySettingsType',
            'VxlanPoolType'=>'VMware_VCloud_API_Extension_VxlanPoolType',
            'OrgEmailSettingsType'=>'VMware_VCloud_API_OrgEmailSettingsType',
            'QueryResultStrandedItemRecordType'=>'VMware_VCloud_API_QueryResultStrandedItemRecordType',
            'AclRuleReferences'=>'VMware_VCloud_API_ReferencesType',
            'CatalogItemsType'=>'VMware_VCloud_API_CatalogItemsType',
            'AllocationUnits'=>'VMware_VCloud_API_OVF_cimString',
            'QueryResultRecords'=>'VMware_VCloud_API_QueryResultRecordsType',
            'QueryResultPortgroupRecordType'=>'VMware_VCloud_API_QueryResultPortgroupRecordType',
            'CreateSnapshotParamsType'=>'VMware_VCloud_API_CreateSnapshotParamsType',
            'GatewayConfigurationType'=>'VMware_VCloud_API_GatewayConfigurationType',
            'OrgPasswordPolicySettingsType'=>'VMware_VCloud_API_OrgPasswordPolicySettingsType',
            'ServiceOfferingInstanceAssociateParams'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceAssociateParamsType',
            'RegisterVAppParamsType'=>'VMware_VCloud_API_RegisterVAppParamsType',
            'VmType'=>'VMware_VCloud_API_VmType',
            'Config_Type'=>'VMware_VCloud_API_Config_Type',
            'AdminVdcRecord'=>'VMware_VCloud_API_QueryResultAdminVdcRecordType',
            'Snapshot'=>'VMware_VCloud_API_SnapshotType',
            'cimChar16'=>'VMware_VCloud_API_OVF_cimChar16',
            'QueryResultVmDiskRelationRecordType'=>'VMware_VCloud_API_QueryResultVmDiskRelationRecordType',
            'VAppNetworkReferences'=>'VMware_VCloud_API_ReferencesType',
            'VMWStorageProfiles'=>'VMware_VCloud_API_Extension_VMWStorageProfilesType',
            'VdcServiceOfferingReferences'=>'VMware_VCloud_API_ReferencesType',
            'DvSwitchRecord'=>'VMware_VCloud_API_QueryResultDvSwitchRecordType',
            'cimShort'=>'VMware_VCloud_API_OVF_cimShort',
            'ReferencesType'=>'VMware_VCloud_API_ReferencesType',
            'OrgNetworkType'=>'VMware_VCloud_API_OrgNetworkType',
            'RegisterVimServerParams'=>'VMware_VCloud_API_Extension_RegisterVimServerParamsType',
            'VmServiceOfferingInstanceReferences'=>'VMware_VCloud_API_ReferencesType',
            'SspiKeytabUploadSocketType'=>'VMware_VCloud_API_SspiKeytabUploadSocketType',
            'DatastoreProviderVdcRelationRecord'=>'VMware_VCloud_API_QueryResultDatastoreProviderVdcRelationRecordType',
            'AdminServiceLinksType'=>'VMware_VCloud_API_Extension_AdminServiceLinksType',
            'DeploymentOptionSection'=>'VMware_VCloud_API_OVF_DeploymentOptionSection_Type',
            'CpuCompatibilitySection_Type'=>'VMware_VCloud_API_CpuCompatibilitySection_Type',
            'AllocatedIpAddresses'=>'VMware_VCloud_API_AllocatedIpAddressesType',
            'AdminVdcType'=>'VMware_VCloud_API_AdminVdcType',
            'VMWProviderVdcResourcePoolType'=>'VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolType',
            'ComplianceResult'=>'VMware_VCloud_API_ComplianceResultType',
            'SmtpSettingsType'=>'VMware_VCloud_API_Extension_SmtpSettingsType',
            'RecomposeVAppParamsType'=>'VMware_VCloud_API_RecomposeVAppParamsType',
            'UserReferences'=>'VMware_VCloud_API_ReferencesType',
            'ServiceOfferingInstanceDisassociateParamsType'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceDisassociateParamsType',
            'OrgVdcNetworkReference'=>'VMware_VCloud_API_ReferenceType',
            'Media'=>'VMware_VCloud_API_MediaType',
            'InstantiateOvfPropertyType'=>'VMware_VCloud_API_InstantiateOvfPropertyType',
            'ServiceOfferingReference'=>'VMware_VCloud_API_ReferenceType',
            'StaticRoutingService'=>'VMware_VCloud_API_StaticRoutingServiceType',
            'CloneVAppTemplateParams'=>'VMware_VCloud_API_CloneVAppTemplateParamsType',
            'PortgroupRecord'=>'VMware_VCloud_API_QueryResultPortgroupRecordType',
            'SystemSettings'=>'VMware_VCloud_API_Extension_SystemSettingsType',
            'ImportVmAsVAppParams'=>'VMware_VCloud_API_Extension_ImportVmAsVAppParamsType',
            'FileDescriptor'=>'VMware_VCloud_API_Extension_AdminFileDescriptorType',
            'UserRecord'=>'VMware_VCloud_API_QueryResultUserRecordType',
            'MigrateParamsType'=>'VMware_VCloud_API_Extension_MigrateParamsType',
            'ResourceClass'=>'VMware_VCloud_API_Extension_ResourceClassType',
            'NetworkService'=>'VMware_VCloud_API_NetworkServiceType',
            'CertificateUpdateParams'=>'VMware_VCloud_API_CertificateUpdateParamsType',
            'GeneralOrgSettings'=>'VMware_VCloud_API_OrgGeneralSettingsType',
            'VAppOrgVdcNetworkRelationReference'=>'VMware_VCloud_API_ReferenceType',
            'IpRangesType'=>'VMware_VCloud_API_IpRangesType',
            'InstallSection'=>'VMware_VCloud_API_OVF_InstallSection_Type',
            'VirtualMachine'=>'VMware_VCloud_API_Extension_LicensingVirtualMachineType',
            'VimObjectRefListType'=>'VMware_VCloud_API_Extension_VimObjectRefListType',
            'QueryResultAdminApiDefinitionRecordType'=>'VMware_VCloud_API_QueryResultAdminApiDefinitionRecordType',
            'AuthorizationCheckParamsType'=>'VMware_VCloud_API_Extension_AuthorizationCheckParamsType',
            'Reservation'=>'VMware_VCloud_API_OVF_cimUnsignedLong',
            'QueryResultAdminServiceOfferingInstanceRecordType'=>'VMware_VCloud_API_QueryResultAdminServiceOfferingInstanceRecordType',
            'AmqpSettingsType'=>'VMware_VCloud_API_Extension_AmqpSettingsType',
            'OrganizationResourcePoolSetType'=>'VMware_VCloud_API_Extension_OrganizationResourcePoolSetType',
            'OperatingSystemFamilyInfoType'=>'VMware_VCloud_API_OperatingSystemFamilyInfoType',
            'License'=>'VMware_VCloud_API_Extension_LicenseType',
            'MappingBehavior'=>'VMware_VCloud_API_OVF_MappingBehavior',
            'PrepareHostParams'=>'VMware_VCloud_API_Extension_PrepareHostParamsType',
            'VAppTemplateReference'=>'VMware_VCloud_API_ReferenceType',
            'AdminVdcStorageProfile'=>'VMware_VCloud_API_AdminVdcStorageProfileType',
            'QueryResultAdminAllocatedExternalAddressRecordType'=>'VMware_VCloud_API_QueryResultAdminAllocatedExternalAddressRecordType',
            'VdcsType'=>'VMware_VCloud_API_VdcsType',
            'CaptureVAppParamsType'=>'VMware_VCloud_API_CaptureVAppParamsType',
            'AdminDiskReferences'=>'VMware_VCloud_API_ReferencesType',
            'QueryResultApiFilterRecordType'=>'VMware_VCloud_API_QueryResultApiFilterRecordType',
            'Content_Type'=>'VMware_VCloud_API_OVF_Content_Type',
            'ExternalNatIpMapType'=>'VMware_VCloud_API_ExternalNatIpMapType',
            'ContainerType'=>'VMware_VCloud_API_ContainerType',
            'VMWProviderVdcStorageProfileType'=>'VMware_VCloud_API_Extension_VMWProviderVdcStorageProfileType',
            'VirtualSystem'=>'VMware_VCloud_API_OVF_VirtualSystem_Type',
            'ServiceOfferingInstance'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceType',
            'QueryResultFileDescriptorRecordType'=>'VMware_VCloud_API_QueryResultFileDescriptorRecordType',
            'VApp'=>'VMware_VCloud_API_VAppType',
            'EnvelopeType'=>'VMware_VCloud_API_OVF_EnvelopeType',
            'VmQuestionAnswerType'=>'VMware_VCloud_API_VmQuestionAnswerType',
            'cimHexBinary'=>'VMware_VCloud_API_OVF_cimHexBinary',
            'EmailSettingsType'=>'VMware_VCloud_API_Extension_EmailSettingsType',
            'CatalogItemReference'=>'VMware_VCloud_API_ReferenceType',
            'LdapSettingsType'=>'VMware_VCloud_API_Extension_LdapSettingsType',
            'IpsecVpnThirdPartyPeer'=>'VMware_VCloud_API_IpsecVpnThirdPartyPeerType',
            'File'=>'VMware_VCloud_API_FileType',
            'CIM_ResourceAllocationSettingData_Type'=>'VMware_VCloud_API_OVF_CIM_ResourceAllocationSettingData_Type',
            'IpScopesType'=>'VMware_VCloud_API_IpScopesType',
            'CreateVdcParamsType'=>'VMware_VCloud_API_CreateVdcParamsType',
            'VdsContextType'=>'VMware_VCloud_API_Extension_VdsContextType',
            'qualifierSArray'=>'VMware_VCloud_API_OVF_qualifierSArray',
            'BlockingTask'=>'VMware_VCloud_API_Extension_BlockingTaskType',
            'OrgVdcStorageProfileRecord'=>'VMware_VCloud_API_QueryResultOrgVdcStorageProfileRecordType',
            'LBPoolMemberType'=>'VMware_VCloud_API_LBPoolMemberType',
            'SystemConfigurationSettingType'=>'VMware_VCloud_API_Extension_SystemConfigurationSettingType',
            'ControlAccessParams'=>'VMware_VCloud_API_ControlAccessParamsType',
            'LogDataRoot'=>'VMware_VCloud_API_OVF_cimString',
            'CreationTime'=>'VMware_VCloud_API_OVF_cimDateTime',
            'VMWStorageProfileType'=>'VMware_VCloud_API_Extension_VMWStorageProfileType',
            'CustomOrgLdapSettingsType'=>'VMware_VCloud_API_CustomOrgLdapSettingsType',
            'ServiceOfferingInstanceParamsType'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceParamsType',
            'PortGroupPoolType'=>'VMware_VCloud_API_Extension_PortGroupPoolType',
            'VmSelectionType'=>'VMware_VCloud_API_VmSelectionType',
            'ExtensionObjectRef'=>'VMware_VCloud_API_Extension_ExtensionObjectRefType',
            'InstantiateVAppParamsType'=>'VMware_VCloud_API_InstantiateVAppParamsType',
            'ConfigurationFile'=>'VMware_VCloud_API_OVF_cimString',
            'BundleUploadParamsType'=>'VMware_VCloud_API_Extension_BundleUploadParamsType',
            'DhcpPoolServiceType'=>'VMware_VCloud_API_DhcpPoolServiceType',
            'HostReference'=>'VMware_VCloud_API_ReferenceType',
            'Direction'=>'VMware_VCloud_API_string',
            'UndeployVAppParamsType'=>'VMware_VCloud_API_UndeployVAppParamsType',
            'OrgListType'=>'VMware_VCloud_API_OrgListType',
            'VmVimInfo'=>'VMware_VCloud_API_Extension_VmVimInfoType',
            'DiskSection'=>'VMware_VCloud_API_OVF_DiskSection_Type',
            'ImportMediaParams'=>'VMware_VCloud_API_Extension_ImportMediaParamsType',
            'ApiFilters'=>'VMware_VCloud_API_Extension_ApiFiltersType',
            'QueryResultServiceOfferingRecordType'=>'VMware_VCloud_API_QueryResultServiceOfferingRecordType',
            'SystemPasswordPolicySettings'=>'VMware_VCloud_API_Extension_SystemPasswordPolicySettingsType',
            'LicensingReportType'=>'VMware_VCloud_API_Extension_LicensingReportType',
            'AutomaticShutdownAction'=>'VMware_VCloud_API_OVF_AutomaticShutdownAction',
            'CbmData'=>'VMware_VCloud_API_Extension_CbmDataType',
            'VMWHostReferences'=>'VMware_VCloud_API_Extension_VMWHostReferencesType',
            'PrepareHostParamsType'=>'VMware_VCloud_API_Extension_PrepareHostParamsType',
            'UserEntityRightsType'=>'VMware_VCloud_API_Extension_UserEntityRightsType',
            'ExternalNetwork'=>'VMware_VCloud_API_ExternalNetworkType',
            'VmVimInfoType'=>'VMware_VCloud_API_Extension_VmVimInfoType',
            'ServiceOfferingType'=>'VMware_VCloud_API_Extension_ServiceOfferingType',
            'IpsecVpnLocalPeerType'=>'VMware_VCloud_API_IpsecVpnLocalPeerType',
            'Task'=>'VMware_VCloud_API_TaskType',
            'LicensingReportRecord'=>'VMware_VCloud_API_QueryResultLicensingReportRecordType',
            'KeystoreUpdateParamsType'=>'VMware_VCloud_API_KeystoreUpdateParamsType',
            'ServiceLink'=>'VMware_VCloud_API_Extension_AdminServiceLinkType',
            'PoolID'=>'VMware_VCloud_API_OVF_cimString',
            'VendorTemplateAttributesType'=>'VMware_VCloud_API_VendorTemplateAttributesType',
            'AdminServiceReference'=>'VMware_VCloud_API_ReferenceType',
            'PublishCatalogParamsType'=>'VMware_VCloud_API_PublishCatalogParamsType',
            'DhcpService'=>'VMware_VCloud_API_DhcpServiceType',
            'DatastoreReferences'=>'VMware_VCloud_API_ReferencesType',
            'AclRule'=>'VMware_VCloud_API_Extension_AclRuleType',
            'ProviderVdcStorageProfiles'=>'VMware_VCloud_API_ProviderVdcStorageProfilesType',
            'cimBoolean'=>'VMware_VCloud_API_OVF_cimBoolean',
            'PublishExternalCatalogParamsType'=>'VMware_VCloud_API_PublishExternalCatalogParamsType',
            'ResourceEntitiesType'=>'VMware_VCloud_API_ResourceEntitiesType',
            'SystemConfigurationSetting'=>'VMware_VCloud_API_Extension_SystemConfigurationSettingType',
            'AdminUserRecord'=>'VMware_VCloud_API_QueryResultAdminUserRecordType',
            'QueryResultVirtualCenterRecordType'=>'VMware_VCloud_API_QueryResultVirtualCenterRecordType',
            'GuestCustomizationSection'=>'VMware_VCloud_API_GuestCustomizationSectionType',
            'FileUploadSocketType'=>'VMware_VCloud_API_FileUploadSocketType',
            'ServiceOfferingInstanceCreateParams'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceCreateParamsType',
            'GroupsListType'=>'VMware_VCloud_API_GroupsListType',
            'RasdItemsListType'=>'VMware_VCloud_API_RasdItemsListType',
            'VirtualDiskDesc_Type'=>'VMware_VCloud_API_OVF_VirtualDiskDesc_Type',
            'VdcStorageProfileParamsType'=>'VMware_VCloud_API_VdcStorageProfileParamsType',
            'VirtualHardwareSection'=>'VMware_VCloud_API_OVF_VirtualHardwareSection_Type',
            'LookupServiceSettings'=>'VMware_VCloud_API_Extension_LookupServiceSettingsType',
            'cimDouble'=>'VMware_VCloud_API_OVF_cimDouble',
            'ResourcePoolVMRecord'=>'VMware_VCloud_API_QueryResultResourcePoolVMRecordType',
            'Disk'=>'VMware_VCloud_API_DiskType',
            'AllocatedIpAddressesType'=>'VMware_VCloud_API_AllocatedIpAddressesType',
            'QueryResultTaskRecordType'=>'VMware_VCloud_API_QueryResultTaskRecordType',
            'NetworkPoolReference'=>'VMware_VCloud_API_ReferenceType',
            'qualifierSInt64'=>'VMware_VCloud_API_OVF_qualifierSInt64',
            'NetworkConfigurationType'=>'VMware_VCloud_API_NetworkConfigurationType',
            'VdcStorageProfileParams'=>'VMware_VCloud_API_VdcStorageProfileParamsType',
            'OrgVdcReferences'=>'VMware_VCloud_API_ReferencesType',
            'LookupServiceParams'=>'VMware_VCloud_API_Extension_LookupServiceParamsType',
            'NetworkConfigSectionType'=>'VMware_VCloud_API_NetworkConfigSectionType',
            'QueryResultAdminMediaRecordType'=>'VMware_VCloud_API_QueryResultAdminMediaRecordType',
            'QueryResultAdminVdcRecordType'=>'VMware_VCloud_API_QueryResultAdminVdcRecordType',
            'QueryResultConditionRecordType'=>'VMware_VCloud_API_QueryResultConditionRecordType',
            'GeneralSettings'=>'VMware_VCloud_API_Extension_GeneralSettingsType',
            'LoadBalancerVirtualServerType'=>'VMware_VCloud_API_LoadBalancerVirtualServerType',
            'NetworkAssignmentType'=>'VMware_VCloud_API_NetworkAssignmentType',
            'VlanPoolType'=>'VMware_VCloud_API_Extension_VlanPoolType',
            'UserReference'=>'VMware_VCloud_API_ReferenceType',
            'AdminServiceRecord'=>'VMware_VCloud_API_QueryResultAdminServiceRecordType',
            'QueryResultOrgNetworkRecordType'=>'VMware_VCloud_API_QueryResultOrgNetworkRecordType',
            'ComposeVAppParamsType'=>'VMware_VCloud_API_ComposeVAppParamsType',
            'UserType'=>'VMware_VCloud_API_UserType',
            'ResourceClassesType'=>'VMware_VCloud_API_Extension_ResourceClassesType',
            'StartupSection_Type'=>'VMware_VCloud_API_OVF_StartupSection_Type',
            'InstantiateOvfProperty'=>'VMware_VCloud_API_InstantiateOvfPropertyType',
            'VAppLeaseSettings'=>'VMware_VCloud_API_OrgLeaseSettingsType',
            'AllocatedIpAddressType'=>'VMware_VCloud_API_AllocatedIpAddressType',
            'AdminOrgVdcStorageProfileReference'=>'VMware_VCloud_API_ReferenceType',
            'EntityLinkType'=>'VMware_VCloud_API_EntityLinkType',
            'NetworkServiceInsertion'=>'VMware_VCloud_API_NetworkServiceInsertionType',
            'AmqpSettingsTestType'=>'VMware_VCloud_API_Extension_AmqpSettingsTestType',
            'SystemConfigurationSettingsType'=>'VMware_VCloud_API_Extension_SystemConfigurationSettingsType',
            'QueryResultNetworkRecordType'=>'VMware_VCloud_API_QueryResultNetworkRecordType',
            'EdgeGatewayRecord'=>'VMware_VCloud_API_QueryResultEdgeGatewayRecordType',
            'ConfigurationID'=>'VMware_VCloud_API_OVF_cimString',
            'AnnotationSection_Type'=>'VMware_VCloud_API_OVF_AnnotationSection_Type',
            'TaskRecord'=>'VMware_VCloud_API_QueryResultTaskRecordType',
            'UberAdminSettingsType'=>'VMware_VCloud_API_Extension_UberAdminSettingsType',
            'Record'=>'VMware_VCloud_API_QueryResultRecordType',
            'QueryResultCatalogRecordType'=>'VMware_VCloud_API_QueryResultCatalogRecordType',
            'OrgVAppTemplateLeaseSettings'=>'VMware_VCloud_API_OrgVAppTemplateLeaseSettingsType',
            'GatewayDhcpServiceType'=>'VMware_VCloud_API_GatewayDhcpServiceType',
            'ServiceOfferingParamsMetaInfoType'=>'VMware_VCloud_API_Extension_ServiceOfferingParamsMetaInfoType',
            'NumericRangeType'=>'VMware_VCloud_API_Extension_NumericRangeType',
            'OrgFederationSettings'=>'VMware_VCloud_API_OrgFederationSettingsType',
            'Strings'=>'VMware_VCloud_API_OVF_Strings_Type',
            'OrgLdapUserAttributesType'=>'VMware_VCloud_API_OrgLdapUserAttributesType',
            'ImportVmAsVAppTemplateParams'=>'VMware_VCloud_API_Extension_ImportVmAsVAppTemplateParamsType',
            'RealmType'=>'VMware_VCloud_API_Extension_RealmType',
            'QueryResultDatastoreRecordType'=>'VMware_VCloud_API_QueryResultDatastoreRecordType',
            'SupportedHardwareVersionsType'=>'VMware_VCloud_API_SupportedHardwareVersionsType',
            'LicensingManagedServerRecord'=>'VMware_VCloud_API_QueryResultLicensingManagedServerRecordType',
            'VendorServicesType'=>'VMware_VCloud_API_VendorServicesType',
            'ScreenTicketType'=>'VMware_VCloud_API_ScreenTicketType',
            'SourcePort'=>'VMware_VCloud_API_int',
            'GeneralSettingsType'=>'VMware_VCloud_API_Extension_GeneralSettingsType',
            'OperatingSystemSection_Type'=>'VMware_VCloud_API_OVF_OperatingSystemSection_Type',
            'VirtualCenterReferences'=>'VMware_VCloud_API_ReferencesType',
            'MetadataStringValue'=>'VMware_VCloud_API_MetadataStringValue',
            'NetworksType'=>'VMware_VCloud_API_NetworksType',
            'CatalogsListType'=>'VMware_VCloud_API_CatalogsListType',
            'RuntimeInfoSection'=>'VMware_VCloud_API_RuntimeInfoSectionType',
            'KeystoreUploadSocketType'=>'VMware_VCloud_API_KeystoreUploadSocketType',
            'Notification'=>'VMware_VCloud_API_Extension_NotificationType',
            'CatalogReferences'=>'VMware_VCloud_API_ReferencesType',
            'RelocateParams'=>'VMware_VCloud_API_RelocateParamsType',
            'VendorTemplateType'=>'VMware_VCloud_API_VendorTemplateType',
            'Strings_Type'=>'VMware_VCloud_API_OVF_Strings_Type',
            'QueryResultProviderVdcStorageProfileRecordType'=>'VMware_VCloud_API_QueryResultProviderVdcStorageProfileRecordType',
            'QueryResultServiceRecordType'=>'VMware_VCloud_API_QueryResultServiceRecordType',
            'OrgVdcRecord'=>'VMware_VCloud_API_QueryResultOrgVdcRecordType',
            'AdminOrgType'=>'VMware_VCloud_API_AdminOrgType',
            'ResourcePoolType'=>'VMware_VCloud_API_Extension_ResourcePoolType',
            'NetworkFeaturesType'=>'VMware_VCloud_API_NetworkFeaturesType',
            'RootComputeCapacityType'=>'VMware_VCloud_API_RootComputeCapacityType',
            'MksTicketType'=>'VMware_VCloud_API_MksTicketType',
            'IpsecVpnSubnetType'=>'VMware_VCloud_API_IpsecVpnSubnetType',
            'StrandedItemVimObjectType'=>'VMware_VCloud_API_Extension_StrandedItemVimObjectType',
            'CopyOrMoveCatalogItemParamsType'=>'VMware_VCloud_API_CopyOrMoveCatalogItemParamsType',
            'AuthorizationCheckResponse'=>'VMware_VCloud_API_Extension_AuthorizationCheckResponseType',
            'UpdateRightsParams'=>'VMware_VCloud_API_Extension_UpdateRightsParamsType',
            'VAppTemplateRecord'=>'VMware_VCloud_API_QueryResultVAppTemplateRecordType',
            'OrgVdcNetwork'=>'VMware_VCloud_API_OrgVdcNetworkType',
            'CreateSnapshotParams'=>'VMware_VCloud_API_CreateSnapshotParamsType',
            'RightType'=>'VMware_VCloud_API_RightType',
            'ApiExtensibilityType'=>'VMware_VCloud_API_ApiExtensibilityType',
            'VdcServiceOfferingReference'=>'VMware_VCloud_API_ReferenceType',
            'ServiceOfferingParamsMetaInfo'=>'VMware_VCloud_API_Extension_ServiceOfferingParamsMetaInfoType',
            'VMWExtensionType'=>'VMware_VCloud_API_Extension_VMWExtensionType',
            'DiskRecord'=>'VMware_VCloud_API_QueryResultDiskRecordType',
            'ServiceOfferingParamMetaInfo'=>'VMware_VCloud_API_Extension_ServiceOfferingParamMetaInfoType',
            'QueryResultAdminVAppTemplateRecordType'=>'VMware_VCloud_API_QueryResultAdminVAppTemplateRecordType',
            'ProviderVdcMergeParams'=>'VMware_VCloud_API_Extension_ProviderVdcMergeParamsType',
            'CapacityWithUsageType'=>'VMware_VCloud_API_CapacityWithUsageType',
            'ServiceLinkReferences'=>'VMware_VCloud_API_ReferencesType',
            'SspiKeytabUpdateParamsType'=>'VMware_VCloud_API_SspiKeytabUpdateParamsType',
            'LBPoolHealthCheckType'=>'VMware_VCloud_API_LBPoolHealthCheckType',
            'FirewallServiceType'=>'VMware_VCloud_API_FirewallServiceType',
            'ManagedServer'=>'VMware_VCloud_API_Extension_LicensingManagedServerType',
            'QueryResultOrgVdcResourcePoolRelationRecordType'=>'VMware_VCloud_API_QueryResultOrgVdcResourcePoolRelationRecordType',
            'MediaInsertOrEjectParamsType'=>'VMware_VCloud_API_MediaInsertOrEjectParamsType',
            'GatewayInterfaceType'=>'VMware_VCloud_API_GatewayInterfaceType',
            'Section_Type'=>'VMware_VCloud_API_OVFENV_Section_Type',
            'MediaReference'=>'VMware_VCloud_API_ReferenceType',
            'OrgSettingsType'=>'VMware_VCloud_API_OrgSettingsType',
            'CustomizationSectionType'=>'VMware_VCloud_API_CustomizationSectionType',
            'TrustStoreUploadSocket'=>'VMware_VCloud_API_TrustStoreUploadSocketType',
            'References'=>'VMware_VCloud_API_ReferencesType',
            'NetworkMapping'=>'VMware_VCloud_API_NetworkMappingType',
            'NetworkType'=>'VMware_VCloud_API_NetworkType',
            'SnapshotSectionType'=>'VMware_VCloud_API_SnapshotSectionType',
            'IdentifiableResourceType'=>'VMware_VCloud_API_IdentifiableResourceType',
            'AutomaticStartupActionSequenceNumber'=>'VMware_VCloud_API_OVF_cimUnsignedShort',
            'VSphereWebClientUrlType'=>'VMware_VCloud_API_Extension_VSphereWebClientUrlType',
            'AutomaticAllocation'=>'VMware_VCloud_API_OVF_cimBoolean',
            'NetworkRecord'=>'VMware_VCloud_API_QueryResultNetworkRecordType',
            'ResourceClassActionType'=>'VMware_VCloud_API_Extension_ResourceClassActionType',
            'References_Type'=>'VMware_VCloud_API_OVF_References_Type',
            'QueryResultMediaRecordType'=>'VMware_VCloud_API_QueryResultMediaRecordType',
            'VmObjectRefType'=>'VMware_VCloud_API_Extension_VmObjectRefType',
            'OrgFederationSettingsType'=>'VMware_VCloud_API_OrgFederationSettingsType',
            'VAppOrgNetworkRelationRecord'=>'VMware_VCloud_API_QueryResultVAppOrgNetworkRelationRecordType',
            'QueryResultOrgVdcNetworkRecordType'=>'VMware_VCloud_API_QueryResultOrgVdcNetworkRecordType',
            'QueryResultOrgVdcStorageProfileRecordType'=>'VMware_VCloud_API_QueryResultOrgVdcStorageProfileRecordType',
            'RegisterVimServerParamsType'=>'VMware_VCloud_API_Extension_RegisterVimServerParamsType',
            'CopyOrMoveCatalogItemParams'=>'VMware_VCloud_API_CopyOrMoveCatalogItemParamsType',
            'VirtualSystemCollection'=>'VMware_VCloud_API_OVF_VirtualSystemCollection_Type',
            'NetworkPoolRecord'=>'VMware_VCloud_API_QueryResultNetworkPoolRecordType',
            'FileDescriptorType'=>'VMware_VCloud_API_FileDescriptorType',
            'NatServiceType'=>'VMware_VCloud_API_NatServiceType',
            'StaticRoutingServiceType'=>'VMware_VCloud_API_StaticRoutingServiceType',
            'ServiceReferences'=>'VMware_VCloud_API_ReferencesType',
            'QueryResultAdminEventRecordType'=>'VMware_VCloud_API_QueryResultAdminEventRecordType',
            'SyslogServerSettingsType'=>'VMware_VCloud_API_SyslogServerSettingsType',
            'TaskRequestBaseType'=>'VMware_VCloud_API_TaskRequestBaseType',
            'ServiceOfferingAssociateParams'=>'VMware_VCloud_API_Extension_ServiceOfferingAssociateParamsType',
            'InstantiateOvfParams'=>'VMware_VCloud_API_InstantiateOvfParamsType',
            'QueryResultAdminCatalogItemRecordType'=>'VMware_VCloud_API_QueryResultAdminCatalogItemRecordType',
            'AdminFileDescriptorReferences'=>'VMware_VCloud_API_ReferencesType',
            'ServiceLinks'=>'VMware_VCloud_API_Extension_AdminServiceLinksType',
            'ComponentManagerSettings'=>'VMware_VCloud_API_Extension_ComponentManagerSettingsType',
            'HostReferences'=>'VMware_VCloud_API_ReferencesType',
            'ResourceReferenceType'=>'VMware_VCloud_API_ResourceReferenceType',
            'OrgVdcReference'=>'VMware_VCloud_API_ReferenceType',
            'ApiDefinitionType'=>'VMware_VCloud_API_ApiDefinitionType',
            'AdminDiskReference'=>'VMware_VCloud_API_ReferenceType',
            'AdminEventRecord'=>'VMware_VCloud_API_QueryResultAdminEventRecordType',
            'QueryResultAdminCatalogRecordType'=>'VMware_VCloud_API_QueryResultAdminCatalogRecordType',
            'AclRuleRecord'=>'VMware_VCloud_API_QueryResultAclRuleRecordType',
            'AdminAllocatedExternalAddressRecord'=>'VMware_VCloud_API_QueryResultAdminAllocatedExternalAddressRecordType',
            'StrandedItemVimObjectsType'=>'VMware_VCloud_API_Extension_StrandedItemVimObjectsType',
            'OrgsType'=>'VMware_VCloud_API_OrgsType',
            'ApiFilterReference'=>'VMware_VCloud_API_ReferenceType',
            'QueryResultExternalLocalizationRecordType'=>'VMware_VCloud_API_QueryResultExternalLocalizationRecordType',
            'Caption'=>'VMware_VCloud_API_OVF_Caption',
            'CbmDataType'=>'VMware_VCloud_API_Extension_CbmDataType',
            'ReferenceType'=>'VMware_VCloud_API_ReferenceType',
            'AdminTaskRecord'=>'VMware_VCloud_API_QueryResultAdminTaskRecordType',
            'IpsecVpnUnmanagedPeerType'=>'VMware_VCloud_API_IpsecVpnUnmanagedPeerType',
            'RoleReferences'=>'VMware_VCloud_API_ReferencesType',
            'VMWProviderVdcStorageProfile'=>'VMware_VCloud_API_Extension_VMWProviderVdcStorageProfileType',
            'AdminCatalog'=>'VMware_VCloud_API_AdminCatalogType',
            'VAppNetworkRecord'=>'VMware_VCloud_API_QueryResultVAppNetworkRecordType',
            'TrustStoreUpdateParams'=>'VMware_VCloud_API_TrustStoreUpdateParamsType',
            'ServiceResourceRecord'=>'VMware_VCloud_API_QueryResultServiceResourceRecordType',
            'RoleRecord'=>'VMware_VCloud_API_QueryResultRoleRecordType',
            'OrgType'=>'VMware_VCloud_API_OrgType',
            'Sample'=>'VMware_VCloud_API_Extension_LicensingReportSampleType',
            'IpsecVpnThirdPartyPeerType'=>'VMware_VCloud_API_IpsecVpnThirdPartyPeerType',
            'ProviderVdcStorageProfilesType'=>'VMware_VCloud_API_ProviderVdcStorageProfilesType',
            'PropertyType'=>'VMware_VCloud_API_PropertyType',
            'AdminServiceOfferingInstanceRecord'=>'VMware_VCloud_API_QueryResultAdminServiceOfferingInstanceRecordType',
            'VmPendingQuestion'=>'VMware_VCloud_API_VmPendingQuestionType',
            'InstantiateVmParams'=>'VMware_VCloud_API_InstantiateVmParamsType',
            'RuntimeInfoSectionType'=>'VMware_VCloud_API_RuntimeInfoSectionType',
            'RASD_Type'=>'VMware_VCloud_API_OVF_RASD_Type',
            'Vms'=>'VMware_VCloud_API_VmsType',
            'SerialPortConfigType'=>'VMware_VCloud_API_Extension_SerialPortConfigType',
            'KerberosSettingsType'=>'VMware_VCloud_API_Extension_KerberosSettingsType',
            'QueryResultVMWProviderVdcRecordType'=>'VMware_VCloud_API_QueryResultVMWProviderVdcRecordType',
            'ResourceClassActionReference'=>'VMware_VCloud_API_ReferenceType',
            'ResourceType'=>'VMware_VCloud_API_ResourceType',
            'RightsType'=>'VMware_VCloud_API_Extension_RightsType',
            'QueryResultAdminOrgNetworkRecordType'=>'VMware_VCloud_API_QueryResultAdminOrgNetworkRecordType',
            'IpsecVpnService'=>'VMware_VCloud_API_IpsecVpnServiceType',
            'ResourcePoolList'=>'VMware_VCloud_API_Extension_ResourcePoolListType',
            'DeploymentOptionSection_Type'=>'VMware_VCloud_API_OVF_DeploymentOptionSection_Type',
            'DiskType'=>'VMware_VCloud_API_DiskType',
            'CIM_VirtualSystemSettingData_Type'=>'VMware_VCloud_API_OVF_CIM_VirtualSystemSettingData_Type',
            'VMWProviderVdcResourcePoolSet'=>'VMware_VCloud_API_Extension_VMWProviderVdcResourcePoolSetType',
            'ApiExtensibility'=>'VMware_VCloud_API_ApiExtensibilityType',
            'Role'=>'VMware_VCloud_API_RoleType',
            'UpdateResourcePoolSetParamsType'=>'VMware_VCloud_API_Extension_UpdateResourcePoolSetParamsType',
            'MetadataEntryType'=>'VMware_VCloud_API_MetadataEntryType',
            'FirewallRuleType'=>'VMware_VCloud_API_FirewallRuleType',
            'AccessSettingType'=>'VMware_VCloud_API_AccessSettingType',
            'ServiceExtensionRecord'=>'VMware_VCloud_API_QueryResultServiceExtensionRecordType',
            'DiskAttachOrDetachParamsType'=>'VMware_VCloud_API_DiskAttachOrDetachParamsType',
            'LookupServiceSettingsType'=>'VMware_VCloud_API_Extension_LookupServiceSettingsType',
            'VAppOrgNetworkRelationReferences'=>'VMware_VCloud_API_ReferencesType',
            'Service'=>'VMware_VCloud_API_Extension_AdminServiceType',
            'PropertySection'=>'VMware_VCloud_API_OVFENV_PropertySection_Type',
            'CatalogStorageProfilesType'=>'VMware_VCloud_API_CatalogStorageProfilesType',
            'OwnerType'=>'VMware_VCloud_API_OwnerType',
            'MetadataDateTimeValue'=>'VMware_VCloud_API_MetadataDateTimeValue',
            'CatalogItemType'=>'VMware_VCloud_API_CatalogItemType',
            'File_Type'=>'VMware_VCloud_API_OVF_File_Type',
            'Link'=>'VMware_VCloud_API_LinkType',
            'ComplianceResultType'=>'VMware_VCloud_API_ComplianceResultType',
            'VCloudExtensionType'=>'VMware_VCloud_API_VCloudExtensionType',
            'AdminApiDefinitionsType'=>'VMware_VCloud_API_Extension_AdminApiDefinitionsType',
            'OrgEmailSettings'=>'VMware_VCloud_API_OrgEmailSettingsType',
            'QueryResultAdminDiskRecordType'=>'VMware_VCloud_API_QueryResultAdminDiskRecordType',
            'CapacityType'=>'VMware_VCloud_API_CapacityType',
            'Notes'=>'VMware_VCloud_API_OVF_cimString',
            'ConditionRecord'=>'VMware_VCloud_API_QueryResultConditionRecordType',
            'ServiceOfferingDisassociateParamsType'=>'VMware_VCloud_API_Extension_ServiceOfferingDisassociateParamsType',
            'EdgeGatewayReferences'=>'VMware_VCloud_API_ReferencesType',
            'ProductSectionListType'=>'VMware_VCloud_API_ProductSectionListType',
            'OperatingSystemSection'=>'VMware_VCloud_API_OVF_OperatingSystemSection_Type',
            'QueryResultVAppNetworkRecordType'=>'VMware_VCloud_API_QueryResultVAppNetworkRecordType',
            'qualifierString'=>'VMware_VCloud_API_OVF_qualifierString',
            'SspiKeytabUploadSocket'=>'VMware_VCloud_API_SspiKeytabUploadSocketType',
            'NetworkPoolReferencesType'=>'VMware_VCloud_API_NetworkPoolReferencesType',
            'AdminVdc'=>'VMware_VCloud_API_AdminVdcType',
            'GroupType'=>'VMware_VCloud_API_GroupType',
            'CapabilitiesType'=>'VMware_VCloud_API_CapabilitiesType',
            'Right'=>'VMware_VCloud_API_RightType',
            'ChangeableType'=>'VMware_VCloud_API_OVF_ChangeableType',
            'IpAssignmentSection'=>'VMware_VCloud_API_IpAssignmentSection_Type',
            'VmServiceOfferingInstanceRecord'=>'VMware_VCloud_API_QueryResultVmServiceOfferingInstanceRecordType',
            'PublishExternalCatalogParams'=>'VMware_VCloud_API_PublishExternalCatalogParamsType',
            'CertificateUploadSocketType'=>'VMware_VCloud_API_CertificateUploadSocketType',
            'NetworkMappingType'=>'VMware_VCloud_API_NetworkMappingType',
            'BlockingTaskUpdateProgressParamsType'=>'VMware_VCloud_API_Extension_BlockingTaskUpdateProgressParamsType',
            'SnapshotType'=>'VMware_VCloud_API_SnapshotType',
            'IpsecVpnPeer'=>'VMware_VCloud_API_IpsecVpnPeerType',
            'UpdateProviderVdcStorageProfilesParamsType'=>'VMware_VCloud_API_Extension_UpdateProviderVdcStorageProfilesParamsType',
            'ExternalCatalogSubscriptionParams'=>'VMware_VCloud_API_ExternalCatalogSubscriptionParamsType',
            'QueryResultAdminEventCBMRecordType'=>'VMware_VCloud_API_QueryResultAdminEventCBMRecordType',
            'VMWStorageProfilesType'=>'VMware_VCloud_API_Extension_VMWStorageProfilesType',
            'ErrorType'=>'VMware_VCloud_API_ErrorType',
            'ServiceReference'=>'VMware_VCloud_API_ReferenceType',
            'QueryResultVmServiceOfferingInstanceRecordType'=>'VMware_VCloud_API_QueryResultVmServiceOfferingInstanceRecordType',
            'ConfigKeyValue_Type'=>'VMware_VCloud_API_ConfigKeyValue_Type',
            'AdminServiceExtensionType'=>'VMware_VCloud_API_Extension_AdminServiceExtensionType',
            'RoleReference'=>'VMware_VCloud_API_ReferenceType',
            'LicensingManagedServerType'=>'VMware_VCloud_API_Extension_LicensingManagedServerType',
            'OrgLdapSettingsType'=>'VMware_VCloud_API_OrgLdapSettingsType',
            'VCloud'=>'VMware_VCloud_API_VCloudType',
            'NatService'=>'VMware_VCloud_API_NatServiceType',
            'VirtualMachineMetrics'=>'VMware_VCloud_API_VirtualMachineMetrics',
            'QueryResultBlockingTaskRecordType'=>'VMware_VCloud_API_QueryResultBlockingTaskRecordType',
            'OrgVAppTemplateLeaseSettingsType'=>'VMware_VCloud_API_OrgVAppTemplateLeaseSettingsType',
            'VmPendingQuestionType'=>'VMware_VCloud_API_VmPendingQuestionType',
            'LookupServiceParamsType'=>'VMware_VCloud_API_Extension_LookupServiceParamsType',
            'VMWVimServerReferences'=>'VMware_VCloud_API_Extension_VMWVimServerReferencesType',
            'DeployVAppParams'=>'VMware_VCloud_API_DeployVAppParamsType',
            'VimObjectRefType'=>'VMware_VCloud_API_Extension_VimObjectRefType',
            'ApiFiltersType'=>'VMware_VCloud_API_Extension_ApiFiltersType',
            'NotificationType'=>'VMware_VCloud_API_Extension_NotificationType',
            'LicensingReport'=>'VMware_VCloud_API_Extension_LicensingReportType',
            'ServiceOfferingReferences'=>'VMware_VCloud_API_ReferencesType',
            'AdminOrg'=>'VMware_VCloud_API_AdminOrgType',
            'AmqpSettingsTest'=>'VMware_VCloud_API_Extension_AmqpSettingsTestType',
            'ApiFilterReferences'=>'VMware_VCloud_API_ReferencesType',
            'ServiceResourceType'=>'VMware_VCloud_API_Extension_ServiceResourceType',
            'QueryResultRecordsType'=>'VMware_VCloud_API_QueryResultRecordsType',
            'VMReferences'=>'VMware_VCloud_API_ReferencesType',
            'SourcePortRange'=>'VMware_VCloud_API_string',
            'RoleType'=>'VMware_VCloud_API_RoleType',
            'PlatformSection'=>'VMware_VCloud_API_OVFENV_PlatformSection_Type',
            'CertificateUpdateParamsType'=>'VMware_VCloud_API_CertificateUpdateParamsType',
            'LBPoolServicePortType'=>'VMware_VCloud_API_LBPoolServicePortType',
            'IpsecVpnManagedPeerType'=>'VMware_VCloud_API_IpsecVpnManagedPeerType',
            'PropertySection_Type'=>'VMware_VCloud_API_OVFENV_PropertySection_Type',
            'DiskAttachOrDetachParams'=>'VMware_VCloud_API_DiskAttachOrDetachParamsType',
            'ExtensionServices'=>'VMware_VCloud_API_Extension_ExtensionServicesType',
            'VCloudType'=>'VMware_VCloud_API_VCloudType',
            'OrgPasswordPolicySettings'=>'VMware_VCloud_API_OrgPasswordPolicySettingsType',
            'QueryResultAdminOrgVdcStorageProfileRecordType'=>'VMware_VCloud_API_QueryResultAdminOrgVdcStorageProfileRecordType',
            'IpsecVpnPeerType'=>'VMware_VCloud_API_IpsecVpnPeerType',
            'DatastoreType'=>'VMware_VCloud_API_Extension_DatastoreType',
            'Orgs'=>'VMware_VCloud_API_OrgsType',
            'OrgOperationLimitsSettings'=>'VMware_VCloud_API_OrgOperationLimitsSettingsType',
            'AclRuleType'=>'VMware_VCloud_API_Extension_AclRuleType',
            'VirtualCenterReference'=>'VMware_VCloud_API_ReferenceType',
            'ResourceClassRecord'=>'VMware_VCloud_API_QueryResultResourceClassRecordType',
            'NotificationsSettingsType'=>'VMware_VCloud_API_Extension_NotificationsSettingsType',
            'TasksList'=>'VMware_VCloud_API_TasksListType',
            'QueryResultServiceOfferingInstanceRecordType'=>'VMware_VCloud_API_QueryResultServiceOfferingInstanceRecordType',
            'ResourceClassActionReferences'=>'VMware_VCloud_API_ReferencesType',
            'ServiceOfferingInstanceReferences'=>'VMware_VCloud_API_ReferencesType',
            'NetworkConnectionSection'=>'VMware_VCloud_API_NetworkConnectionSectionType',
            'ResourceClassType'=>'VMware_VCloud_API_Extension_ResourceClassType',
            'AuthorizationCheckResponseType'=>'VMware_VCloud_API_Extension_AuthorizationCheckResponseType',
            'VAppTemplateReferences'=>'VMware_VCloud_API_ReferencesType',
            'ProviderVdcStorageProfileReferences'=>'VMware_VCloud_API_ReferencesType',
            'QueryResultUserRecordType'=>'VMware_VCloud_API_QueryResultUserRecordType',
            'UpdateRightsParamsType'=>'VMware_VCloud_API_Extension_UpdateRightsParamsType',
            'ApiFilterType'=>'VMware_VCloud_API_Extension_ApiFilterType',
            'AdminApiDefinitionReference'=>'VMware_VCloud_API_ReferenceType',
            'VmQuestionAnswer'=>'VMware_VCloud_API_VmQuestionAnswerType',
            'ShadowVMReferences'=>'VMware_VCloud_API_ReferencesType',
            'SourcedCompositionItemParamType'=>'VMware_VCloud_API_SourcedCompositionItemParamType',
            'EdgeGatewayServiceConfiguration'=>'VMware_VCloud_API_GatewayFeaturesType',
            'IpAssignmentSection_Type'=>'VMware_VCloud_API_IpAssignmentSection_Type',
            'ServiceOfferingParamMetaInfoType'=>'VMware_VCloud_API_Extension_ServiceOfferingParamMetaInfoType',
            'AdminCatalogRecord'=>'VMware_VCloud_API_QueryResultAdminCatalogRecordType',
            'QueryResultVAppTemplateRecordType'=>'VMware_VCloud_API_QueryResultVAppTemplateRecordType',
            'RightReferences'=>'VMware_VCloud_API_ReferencesType',
            'VMWExternalNetwork'=>'VMware_VCloud_API_Extension_VMWExternalNetworkType',
            'CpuCompatibilitySection'=>'VMware_VCloud_API_CpuCompatibilitySection_Type',
            'QueryResultDiskRecordType'=>'VMware_VCloud_API_QueryResultDiskRecordType',
            'LocalityParamsType'=>'VMware_VCloud_API_LocalityParamsType',
            'VimObjectRefsType'=>'VMware_VCloud_API_Extension_VimObjectRefsType',
            'BundleUploadParams'=>'VMware_VCloud_API_Extension_BundleUploadParamsType',
            'QueryResultLicensingReportSampleRecordType'=>'VMware_VCloud_API_QueryResultLicensingReportSampleRecordType',
            'VMWProviderVdcParamsType'=>'VMware_VCloud_API_Extension_VMWProviderVdcParamsType',
            'QueryResultEdgeGatewayRecordType'=>'VMware_VCloud_API_QueryResultEdgeGatewayRecordType',
            'InstantiateVAppTemplateParamsType'=>'VMware_VCloud_API_InstantiateVAppTemplateParamsType',
            'RightReferencesType'=>'VMware_VCloud_API_RightReferencesType',
            'GatewayType'=>'VMware_VCloud_API_GatewayType',
            'ServiceRecord'=>'VMware_VCloud_API_QueryResultServiceRecordType',
            'StaticRouteType'=>'VMware_VCloud_API_StaticRouteType',
            'CoresPerSocket_Type'=>'VMware_VCloud_API_CoresPerSocket_Type',
            'SwapFileDataRoot'=>'VMware_VCloud_API_OVF_cimString',
            'VirtualQuantity'=>'VMware_VCloud_API_OVF_cimUnsignedLong',
            'AdminApiDefinitionType'=>'VMware_VCloud_API_Extension_AdminApiDefinitionType',
            'RelocateParamsType'=>'VMware_VCloud_API_RelocateParamsType',
            'LicensingReportSampleType'=>'VMware_VCloud_API_Extension_LicensingReportSampleType',
            'ImportVmAsVAppTemplateParamsType'=>'VMware_VCloud_API_Extension_ImportVmAsVAppTemplateParamsType',
            'CatalogRecord'=>'VMware_VCloud_API_QueryResultCatalogRecordType',
            'ProviderVdcMergeParamsType'=>'VMware_VCloud_API_Extension_ProviderVdcMergeParamsType',
            'ControlAccessParamsType'=>'VMware_VCloud_API_ControlAccessParamsType',
            'ResourcePoolListType'=>'VMware_VCloud_API_Extension_ResourcePoolListType',
            'TrustStoreUploadSocketType'=>'VMware_VCloud_API_TrustStoreUploadSocketType',
            'VSphereWebClientUrl'=>'VMware_VCloud_API_Extension_VSphereWebClientUrlType',
            'AdminEventCBMRecord'=>'VMware_VCloud_API_QueryResultAdminEventCBMRecordType',
            'GatewayDhcpService'=>'VMware_VCloud_API_GatewayDhcpServiceType',
            'LBVirtualServerServiceProfileType'=>'VMware_VCloud_API_LBVirtualServerServiceProfileType',
            'ApiFilterRecord'=>'VMware_VCloud_API_QueryResultApiFilterRecordType',
            'EntityReferences'=>'VMware_VCloud_API_Extension_EntityReferencesType',
            'cimUnsignedShort'=>'VMware_VCloud_API_OVF_cimUnsignedShort',
            'NetworkConnection'=>'VMware_VCloud_API_NetworkConnectionType',
            'NetworkConfigSection'=>'VMware_VCloud_API_NetworkConfigSectionType',
            'QueryResultServiceLinkRecordType'=>'VMware_VCloud_API_QueryResultServiceLinkRecordType',
            'BundleUploadSocket'=>'VMware_VCloud_API_Extension_BundleUploadSocketType',
            'SubnetParticipationType'=>'VMware_VCloud_API_SubnetParticipationType',
            'NetworkReferences'=>'VMware_VCloud_API_ReferencesType',
            'RequestOperationParamsType'=>'VMware_VCloud_API_RequestOperationParamsType',
            'ResourcePoolRecord'=>'VMware_VCloud_API_QueryResultResourcePoolRecordType',
            'QueryResultServiceResourceRecordType'=>'VMware_VCloud_API_QueryResultServiceResourceRecordType',
            'cimLong'=>'VMware_VCloud_API_OVF_cimLong',
            'CatalogItemRecord'=>'VMware_VCloud_API_QueryResultCatalogItemRecordType',
            'cimReference'=>'VMware_VCloud_API_OVF_cimReference',
            'ServiceOfferingDisassociateParams'=>'VMware_VCloud_API_Extension_ServiceOfferingDisassociateParamsType',
            'CatalogItem'=>'VMware_VCloud_API_CatalogItemType',
            'OrgNetworkReferences'=>'VMware_VCloud_API_ReferencesType',
            'ServiceOfferingInstanceUpdateParamsType'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceUpdateParamsType',
            'ServiceOfferingInstanceParam'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceParamType',
            'AdminVmDiskRelationRecord'=>'VMware_VCloud_API_QueryResultAdminVmDiskRelationRecordType',
            'ShieldManager'=>'VMware_VCloud_API_Extension_ShieldManagerType',
            'ServiceExtensionReference'=>'VMware_VCloud_API_ReferenceType',
            'RightRefs'=>'VMware_VCloud_API_Extension_RightRefsType',
            'DiskReference'=>'VMware_VCloud_API_ReferenceType',
            'NatOneToOneVmRuleType'=>'VMware_VCloud_API_NatOneToOneVmRuleType',
            'cimUnsignedLong'=>'VMware_VCloud_API_OVF_cimUnsignedLong',
            'LicenseMetricsInfoType'=>'VMware_VCloud_API_Extension_LicenseMetricsInfoType',
            'NatVmRuleType'=>'VMware_VCloud_API_NatVmRuleType',
            'VMWProviderVdcReferences'=>'VMware_VCloud_API_Extension_VMWProviderVdcReferencesType',
            'Content'=>'VMware_VCloud_API_OVF_Content_Type',
            'AdminOrgNetworkRecord'=>'VMware_VCloud_API_QueryResultAdminOrgNetworkRecordType',
            'GroupReference'=>'VMware_VCloud_API_ReferenceType',
            'AclAccessType'=>'VMware_VCloud_API_Extension_AclAccessType',
            'AdminOrgVdcStorageProfileRecord'=>'VMware_VCloud_API_QueryResultAdminOrgVdcStorageProfileRecordType',
            'TrustStoreUpdateParamsType'=>'VMware_VCloud_API_TrustStoreUpdateParamsType',
            'SmtpServerSettingsType'=>'VMware_VCloud_API_SmtpServerSettingsType',
            'QueryResultAdminShadowVMRecordType'=>'VMware_VCloud_API_QueryResultAdminShadowVMRecordType',
            'ResourceEntityType'=>'VMware_VCloud_API_ResourceEntityType',
            'VMWNetworkPoolReferencesType'=>'VMware_VCloud_API_Extension_VMWNetworkPoolReferencesType',
            'QueryResultHostRecordType'=>'VMware_VCloud_API_QueryResultHostRecordType',
            'ServiceOfferingInstanceRecord'=>'VMware_VCloud_API_QueryResultServiceOfferingInstanceRecordType',
            'Msg_Type'=>'VMware_VCloud_API_OVF_Msg_Type',
            'EntityReferencesType'=>'VMware_VCloud_API_Extension_EntityReferencesType',
            'cimBase64Binary'=>'VMware_VCloud_API_OVF_cimBase64Binary',
            'EntityType'=>'VMware_VCloud_API_EntityType',
            'LdapGroupAttributesType'=>'VMware_VCloud_API_Extension_LdapGroupAttributesType',
            'BrandingSettingsType'=>'VMware_VCloud_API_Extension_BrandingSettingsType',
            'AdminFileDescriptorReference'=>'VMware_VCloud_API_ReferenceType',
            'ServiceResourcesType'=>'VMware_VCloud_API_Extension_ServiceResourcesType',
            'ServiceOfferingInstanceType'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceType',
            'StrandedItemReferences'=>'VMware_VCloud_API_ReferencesType',
            'Session'=>'VMware_VCloud_API_SessionType',
            'Address'=>'VMware_VCloud_API_OVF_cimString',
            'ServiceOffering'=>'VMware_VCloud_API_Extension_ServiceOfferingType',
            'VirtualQuantityUnits'=>'VMware_VCloud_API_OVF_cimString',
            'VimObjectRefList'=>'VMware_VCloud_API_Extension_VimObjectRefListType',
            'VmQuestionAnswerChoiceType'=>'VMware_VCloud_API_VmQuestionAnswerChoiceType',
            'EulaSection'=>'VMware_VCloud_API_OVF_EulaSection_Type',
            'cimByte'=>'VMware_VCloud_API_OVF_cimByte',
            'LeaseSettingsSectionType'=>'VMware_VCloud_API_LeaseSettingsSectionType',
            'CIM_ResourceAllocationSettingData'=>'VMware_VCloud_API_CIM_ResourceAllocationSettingData_Type',
            'AdminCatalogItemRecord'=>'VMware_VCloud_API_QueryResultAdminCatalogItemRecordType',
            'UberAdminSettings'=>'VMware_VCloud_API_Extension_UberAdminSettingsType',
            'FileType'=>'VMware_VCloud_API_FileType',
            'ServiceLinkRecord'=>'VMware_VCloud_API_QueryResultServiceLinkRecordType',
            'ProviderVdcStorageProfileType'=>'VMware_VCloud_API_ProviderVdcStorageProfileType',
            'Item'=>'VMware_VCloud_API_OVF_RASD_Type',
            'BlockingTaskType'=>'VMware_VCloud_API_Extension_BlockingTaskType',
            'FileUploadParamsType'=>'VMware_VCloud_API_FileUploadParamsType',
            'IpsecVpnServiceType'=>'VMware_VCloud_API_IpsecVpnServiceType',
            'QueryResultAdminFileDescriptorRecordType'=>'VMware_VCloud_API_QueryResultAdminFileDescriptorRecordType',
            'NetworkConnectionSectionType'=>'VMware_VCloud_API_NetworkConnectionSectionType',
            'DefaultStorageProfileSection'=>'VMware_VCloud_API_DefaultStorageProfileSection_Type',
            'ResourceClassReferences'=>'VMware_VCloud_API_ReferencesType',
            'QueryResultDatastoreProviderVdcRelationRecordType'=>'VMware_VCloud_API_QueryResultDatastoreProviderVdcRelationRecordType',
            'ServiceOfferingInstanceDisassociateParams'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceDisassociateParamsType',
            'NetworkReference'=>'VMware_VCloud_API_ReferenceType',
            'GatewayFeaturesType'=>'VMware_VCloud_API_GatewayFeaturesType',
            'CloneMediaParamsType'=>'VMware_VCloud_API_CloneMediaParamsType',
            'QueryResultResourceClassActionRecordType'=>'VMware_VCloud_API_QueryResultResourceClassActionRecordType',
            'Vm'=>'VMware_VCloud_API_VmType',
            'ServiceExtensionReferences'=>'VMware_VCloud_API_ReferencesType',
            'BlockingTaskSettingsType'=>'VMware_VCloud_API_Extension_BlockingTaskSettingsType',
            'LicensingReports'=>'VMware_VCloud_API_Extension_LicensingReportListType',
            'VAppReferences'=>'VMware_VCloud_API_ReferencesType',
            'QueryResultVMRecordType'=>'VMware_VCloud_API_QueryResultVMRecordType',
            'VAppNetworkReference'=>'VMware_VCloud_API_ReferenceType',
            'QueryResultDvSwitchRecordType'=>'VMware_VCloud_API_QueryResultDvSwitchRecordType',
            'Limit'=>'VMware_VCloud_API_OVF_cimUnsignedLong',
            'QueryResultLicensingVirtualMachineRecordType'=>'VMware_VCloud_API_QueryResultLicensingVirtualMachineRecordType',
            'ResourceAllocationSection_Type'=>'VMware_VCloud_API_OVF_ResourceAllocationSection_Type',
            'Port'=>'VMware_VCloud_API_int',
            'ProviderVdcStorageProfileRecord'=>'VMware_VCloud_API_QueryResultProviderVdcStorageProfileRecordType',
            'RecoveryFile'=>'VMware_VCloud_API_OVF_cimString',
            'BlockingTaskUpdateProgressParams'=>'VMware_VCloud_API_Extension_BlockingTaskUpdateProgressParamsType',
            'ProviderVdcStorageProfileReference'=>'VMware_VCloud_API_ReferenceType',
            'NetworkServiceType'=>'VMware_VCloud_API_NetworkServiceType',
            'VdcStorageProfile'=>'VMware_VCloud_API_VdcStorageProfileType',
            'VimObjectRef'=>'VMware_VCloud_API_Extension_VimObjectRefType',
            'QueryResultAdminVAppNetworkRecordType'=>'VMware_VCloud_API_QueryResultAdminVAppNetworkRecordType',
            'EntityReferenceType'=>'VMware_VCloud_API_EntityReferenceType',
            'LoadBalancerService'=>'VMware_VCloud_API_LoadBalancerServiceType',
            'AvailableNetworksType'=>'VMware_VCloud_API_AvailableNetworksType',
            'OrgRecord'=>'VMware_VCloud_API_QueryResultOrgRecordType',
            'UploadVAppTemplateParamsType'=>'VMware_VCloud_API_UploadVAppTemplateParamsType',
            'SupportedVersions'=>'VMware_VCloud_API_Version_SupportedVersionsType',
            'HostResource'=>'VMware_VCloud_API_OVF_cimString',
            'OperatingSystemInfoType'=>'VMware_VCloud_API_OperatingSystemInfoType',
            'ExtensionObjectRefType'=>'VMware_VCloud_API_Extension_ExtensionObjectRefType',
            'VmsType'=>'VMware_VCloud_API_VmsType',
            'AdminApiDefinitionReferences'=>'VMware_VCloud_API_ReferencesType',
            'EulaSection_Type'=>'VMware_VCloud_API_OVF_EulaSection_Type',
            'UploadVAppTemplateParams'=>'VMware_VCloud_API_UploadVAppTemplateParamsType',
            'ServiceOfferingInstanceParams'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceParamsType',
            'QueryResultNetworkPoolRecordType'=>'VMware_VCloud_API_QueryResultNetworkPoolRecordType',
            'OrgGeneralSettingsType'=>'VMware_VCloud_API_OrgGeneralSettingsType',
            'QueryResultRoleRecordType'=>'VMware_VCloud_API_QueryResultRoleRecordType',
            'AuthorizationCheckParams'=>'VMware_VCloud_API_Extension_AuthorizationCheckParamsType',
            'QueryResultServiceExtensionRecordType'=>'VMware_VCloud_API_QueryResultServiceExtensionRecordType',
            'BlockingTaskReferences'=>'VMware_VCloud_API_ReferencesType',
            'CaptureVAppParams'=>'VMware_VCloud_API_CaptureVAppParamsType',
            'RecomposeVAppParams'=>'VMware_VCloud_API_RecomposeVAppParamsType',
            'cimUnsignedByte'=>'VMware_VCloud_API_OVF_cimUnsignedByte',
            'OrgVdcNetworkType'=>'VMware_VCloud_API_OrgVdcNetworkType',
            'OvfToVdcNetworkMapType'=>'VMware_VCloud_API_OvfToVdcNetworkMapType',
            'AdminServiceType'=>'VMware_VCloud_API_Extension_AdminServiceType',
            'IpsecVpnRemotePeer'=>'VMware_VCloud_API_IpsecVpnRemotePeerType',
            'HostObjectRefsType'=>'VMware_VCloud_API_Extension_HostObjectRefsType',
            'QueryResultType'=>'VMware_VCloud_API_QueryResultType',
            'OrgLdapSettings'=>'VMware_VCloud_API_OrgLdapSettingsType',
            'ServiceResource'=>'VMware_VCloud_API_Extension_ServiceResourceType',
            'QueryResultAdminVAppRecordType'=>'VMware_VCloud_API_QueryResultAdminVAppRecordType',
            'AdminMediaRecord'=>'VMware_VCloud_API_QueryResultAdminMediaRecordType',
            'QueryResultVAppOrgVdcNetworkRelationRecordType'=>'VMware_VCloud_API_QueryResultVAppOrgVdcNetworkRelationRecordType',
            'CatalogType'=>'VMware_VCloud_API_CatalogType',
            'VMWProviderVdcType'=>'VMware_VCloud_API_Extension_VMWProviderVdcType',
            'VMWNetworkPoolReferences'=>'VMware_VCloud_API_Extension_VMWNetworkPoolReferencesType',
            'StrandedItemRecord'=>'VMware_VCloud_API_QueryResultStrandedItemRecordType',
            'ResourceClassActionRecord'=>'VMware_VCloud_API_QueryResultResourceClassActionRecordType',
            'InstantiateOvfParamsType'=>'VMware_VCloud_API_InstantiateOvfParamsType',
            'StrandedUserRecord'=>'VMware_VCloud_API_QueryResultStrandedUserRecordType',
            'DestinationPortRange'=>'VMware_VCloud_API_string',
            'ComponentManagerSettingsType'=>'VMware_VCloud_API_Extension_ComponentManagerSettingsType',
            'VirtualSystem_Type'=>'VMware_VCloud_API_OVF_VirtualSystem_Type',
            'MetadataBooleanValue'=>'VMware_VCloud_API_MetadataBooleanValue',
            'InstantiateVmHardwareCustomizationParamsType'=>'VMware_VCloud_API_InstantiateVmHardwareCustomizationParamsType',
            'VAppChildrenType'=>'VMware_VCloud_API_VAppChildrenType',
            'ComputeCapacityType'=>'VMware_VCloud_API_ComputeCapacityType',
            'Environment_Type'=>'VMware_VCloud_API_OVFENV_Environment_Type',
            'NetworkConnectionType'=>'VMware_VCloud_API_NetworkConnectionType',
            'VdcStorageProfiles'=>'VMware_VCloud_API_VdcStorageProfilesType',
            'StrandedItemType'=>'VMware_VCloud_API_Extension_StrandedItemType',
            'AdminApiDefinitionRecord'=>'VMware_VCloud_API_QueryResultAdminApiDefinitionRecordType',
            'AdminGroupRecord'=>'VMware_VCloud_API_QueryResultAdminGroupRecordType',
            'Connection'=>'VMware_VCloud_API_OVF_cimString',
            'VdcReferencesType'=>'VMware_VCloud_API_VdcReferencesType',
            'UpdateProviderVdcStorageProfiles'=>'VMware_VCloud_API_Extension_UpdateProviderVdcStorageProfilesParamsType',
            'ResourceClassReference'=>'VMware_VCloud_API_ReferenceType',
            'QueryResultResourcePoolVMRecordType'=>'VMware_VCloud_API_QueryResultResourcePoolVMRecordType',
            'CatalogItemReferences'=>'VMware_VCloud_API_ReferencesType',
            'MediaInsertOrEjectParams'=>'VMware_VCloud_API_MediaInsertOrEjectParamsType',
            'CatalogSettings'=>'VMware_VCloud_API_Extension_CatalogSettingsType',
            'CellRecord'=>'VMware_VCloud_API_QueryResultCellRecordType',
            'VdcStorageProfileType'=>'VMware_VCloud_API_VdcStorageProfileType',
            'AdminServiceReferences'=>'VMware_VCloud_API_ReferencesType',
            'ServiceLinkReference'=>'VMware_VCloud_API_ReferenceType',
            'ShieldManagerType'=>'VMware_VCloud_API_Extension_ShieldManagerType',
            'ExternalCatalogSubscriptionParamsType'=>'VMware_VCloud_API_ExternalCatalogSubscriptionParamsType',
            'ServiceOfferingInstanceUpdateParams'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceUpdateParamsType',
            'CertificateUploadSocket'=>'VMware_VCloud_API_CertificateUploadSocketType',
            'EdgeGatewayReference'=>'VMware_VCloud_API_ReferenceType',
            'AccessSettingsType'=>'VMware_VCloud_API_AccessSettingsType',
            'Section'=>'VMware_VCloud_API_OVFENV_Section_Type',
            'HostType'=>'VMware_VCloud_API_Extension_HostType',
            'QueryResultOrgRecordType'=>'VMware_VCloud_API_QueryResultOrgRecordType',
            'VimServer'=>'VMware_VCloud_API_Extension_VimServerType',
            'OrganizationReferenceType'=>'VMware_VCloud_API_OrganizationReferenceType',
            'cimAnySimpleType'=>'VMware_VCloud_API_OVF_cimAnySimpleType',
            'TasksInProgressType'=>'VMware_VCloud_API_TasksInProgressType',
            'QueryResultLicensingReportRecordType'=>'VMware_VCloud_API_QueryResultLicensingReportRecordType',
            'VMWProviderVdcRecord'=>'VMware_VCloud_API_QueryResultVMWProviderVdcRecordType',
            'IpsecVpnTunnelType'=>'VMware_VCloud_API_IpsecVpnTunnelType',
            'QueryResultResourcePoolRecordType'=>'VMware_VCloud_API_QueryResultResourcePoolRecordType',
            'ProductSection'=>'VMware_VCloud_API_OVF_ProductSection_Type',
            'EntityRightsType'=>'VMware_VCloud_API_Extension_EntityRightsType',
            'MediaTypeMappingType'=>'VMware_VCloud_API_Version_MediaTypeMappingType',
            'ParamsType'=>'VMware_VCloud_API_ParamsType',
            'VAppReference'=>'VMware_VCloud_API_ReferenceType',
            'AutomaticDeallocation'=>'VMware_VCloud_API_OVF_cimBoolean',
            'QueryResultAdminVMRecordType'=>'VMware_VCloud_API_QueryResultAdminVMRecordType',
            'QueryResultRightRecordType'=>'VMware_VCloud_API_QueryResultRightRecordType',
            'ServiceResourceResourceReference'=>'VMware_VCloud_API_ReferenceType',
            'PropertyConfigurationValue_Type'=>'VMware_VCloud_API_OVF_PropertyConfigurationValue_Type',
            'TaskOperationListType'=>'VMware_VCloud_API_TaskOperationListType',
            'GroupReferences'=>'VMware_VCloud_API_ReferencesType',
            'AutomaticRecoveryAction'=>'VMware_VCloud_API_OVF_AutomaticRecoveryAction',
            'RightRecord'=>'VMware_VCloud_API_QueryResultRightRecordType',
            'EventRecord'=>'VMware_VCloud_API_QueryResultEventRecordType',
            'VAppRecord'=>'VMware_VCloud_API_QueryResultVAppRecordType',
            'AdminCatalogType'=>'VMware_VCloud_API_AdminCatalogType',
            'MetadataDomainTagType'=>'VMware_VCloud_API_MetadataDomainTagType',
            'QueryResultAdminVmDiskRelationRecordType'=>'VMware_VCloud_API_QueryResultAdminVmDiskRelationRecordType',
            'StrandedItemReference'=>'VMware_VCloud_API_ReferenceType',
            'MediaType'=>'VMware_VCloud_API_MediaType',
            'LicensingReportSampleRecord'=>'VMware_VCloud_API_QueryResultLicensingReportSampleRecordType',
            'VdcStorageProfilesType'=>'VMware_VCloud_API_VdcStorageProfilesType',
            'AdminFileDescriptorRecord'=>'VMware_VCloud_API_QueryResultAdminFileDescriptorRecordType',
            'OrgLdapGroupAttributesType'=>'VMware_VCloud_API_OrgLdapGroupAttributesType',
            'OrgReferences'=>'VMware_VCloud_API_ReferencesType',
            'UpdateVdcStorageProfiles'=>'VMware_VCloud_API_UpdateVdcStorageProfilesType',
            'ExternalNetworkType'=>'VMware_VCloud_API_ExternalNetworkType',
            'InstantiateVAppTemplateParams'=>'VMware_VCloud_API_InstantiateVAppTemplateParamsType',
            'LicenseType'=>'VMware_VCloud_API_Extension_LicenseType',
            'Datastore'=>'VMware_VCloud_API_Extension_DatastoreType',
            'QueryResultAdminTaskRecordType'=>'VMware_VCloud_API_QueryResultAdminTaskRecordType',
            'FilesListType'=>'VMware_VCloud_API_FilesListType',
            'ProviderVdcReferencesType'=>'VMware_VCloud_API_ProviderVdcReferencesType',
            'CustomizationSection'=>'VMware_VCloud_API_CustomizationSectionType',
            'Weight'=>'VMware_VCloud_API_OVF_cimUnsignedInt',
            'Generation'=>'VMware_VCloud_API_OVF_cimUnsignedLong',
            'BlockingTaskOperationParamsType'=>'VMware_VCloud_API_Extension_BlockingTaskOperationParamsType',
            'ExtraConfig'=>'VMware_VCloud_API_ExtraConfig_Type',
            'ApiDefinitions'=>'VMware_VCloud_API_Extension_AdminApiDefinitionsType',
            'AdminVAppNetworkRecord'=>'VMware_VCloud_API_QueryResultAdminVAppNetworkRecordType',
            'UsersListType'=>'VMware_VCloud_API_UsersListType',
            'ExternalLocalizationRecord'=>'VMware_VCloud_API_QueryResultExternalLocalizationRecordType',
            'VAppCreationParamsType'=>'VMware_VCloud_API_VAppCreationParamsType',
            'GuestCustomizationSectionType'=>'VMware_VCloud_API_GuestCustomizationSectionType',
            'ServiceOfferingInstanceCreateParamsType'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceCreateParamsType',
            'NetworkServiceInsertionType'=>'VMware_VCloud_API_NetworkServiceInsertionType',
            'ResourceEntity'=>'VMware_VCloud_API_ResourceEntityType',
            'VMWStorageProfile'=>'VMware_VCloud_API_Extension_VMWStorageProfileType',
            'IpsecVpnLocalPeer'=>'VMware_VCloud_API_IpsecVpnLocalPeerType',
            'VmObjectRefsList'=>'VMware_VCloud_API_Extension_VmObjectRefsListType',
            'AbstractVAppType'=>'VMware_VCloud_API_AbstractVAppType',
            'AdminFileDescriptorsType'=>'VMware_VCloud_API_Extension_AdminFileDescriptorsType',
            'AllocatedExternalAddressRecord'=>'VMware_VCloud_API_QueryResultAllocatedExternalAddressRecordType',
            'VcTrustStoreUploadSocket'=>'VMware_VCloud_API_Extension_VcTrustStoreUploadSocketType',
            'QueryResultGroupRecordType'=>'VMware_VCloud_API_QueryResultGroupRecordType',
            'ApiDefinitionReference'=>'VMware_VCloud_API_ReferenceType',
            'UpdateResourcePoolSetParams'=>'VMware_VCloud_API_Extension_UpdateResourcePoolSetParamsType',
            'QueryList'=>'VMware_VCloud_API_QueryListType',
            'Environment'=>'VMware_VCloud_API_OVFENV_Environment_Type',
            'IpScopeType'=>'VMware_VCloud_API_IpScopeType',
            'CloneVAppTemplateParamsType'=>'VMware_VCloud_API_CloneVAppTemplateParamsType',
            'Config'=>'VMware_VCloud_API_Config_Type',
            'VdcType'=>'VMware_VCloud_API_VdcType',
            'ComposeVAppParams'=>'VMware_VCloud_API_ComposeVAppParamsType',
            'LicensingReportListType'=>'VMware_VCloud_API_Extension_LicensingReportListType',
            'ElementName'=>'VMware_VCloud_API_OVF_cimString',
            'OrgNetwork'=>'VMware_VCloud_API_OrgNetworkType',
            'QueryResultOrgVdcRecordType'=>'VMware_VCloud_API_QueryResultOrgVdcRecordType',
            'AutomaticStartupAction'=>'VMware_VCloud_API_OVF_AutomaticStartupAction',
            'RouterInfoType'=>'VMware_VCloud_API_RouterInfoType',
            'QueryResultVAppOrgNetworkRelationRecordType'=>'VMware_VCloud_API_QueryResultVAppOrgNetworkRelationRecordType',
            'EnableLogging'=>'VMware_VCloud_API_boolean',
            'AdminVAppRecord'=>'VMware_VCloud_API_QueryResultAdminVAppRecordType',
            'LdapUserAttributesType'=>'VMware_VCloud_API_Extension_LdapUserAttributesType',
            'qualifierBoolean'=>'VMware_VCloud_API_OVF_qualifierBoolean',
            'DhcpServiceType'=>'VMware_VCloud_API_DhcpServiceType',
            'ExtensionServicesType'=>'VMware_VCloud_API_Extension_ExtensionServicesType',
            'LicensingVirtualMachineRecord'=>'VMware_VCloud_API_QueryResultLicensingVirtualMachineRecordType',
            'User'=>'VMware_VCloud_API_UserType',
            'AdminOrgVdcStorageProfileReferences'=>'VMware_VCloud_API_ReferencesType',
            'QueryResultAdminGroupRecordType'=>'VMware_VCloud_API_QueryResultAdminGroupRecordType',
            'CloneVAppParamsType'=>'VMware_VCloud_API_CloneVAppParamsType',
            'VMRecord'=>'VMware_VCloud_API_QueryResultVMRecordType',
            'VAppTemplateType'=>'VMware_VCloud_API_VAppTemplateType',
            'VirtualHardwareSection_Type'=>'VMware_VCloud_API_OVF_VirtualHardwareSection_Type',
            'AdminServiceOfferingInstanceReference'=>'VMware_VCloud_API_ReferenceType',
            'qualifierUInt32'=>'VMware_VCloud_API_OVF_qualifierUInt32',
            'QueryResultRecordType'=>'VMware_VCloud_API_QueryResultRecordType',
            'Vdc'=>'VMware_VCloud_API_VdcType',
            'SupportedVersionsType'=>'VMware_VCloud_API_Version_SupportedVersionsType',
            'AmqpSettings'=>'VMware_VCloud_API_Extension_AmqpSettingsType',
            'Error'=>'VMware_VCloud_API_ErrorType',
            'AdminVdcStorageProfileType'=>'VMware_VCloud_API_AdminVdcStorageProfileType',
            'QueryResultVdcServiceOfferingRecordType'=>'VMware_VCloud_API_QueryResultVdcServiceOfferingRecordType',
            'CIM_VirtualSystemSettingData'=>'VMware_VCloud_API_CIM_VirtualSystemSettingData_Type',
            'GatewayIpsecVpnService'=>'VMware_VCloud_API_GatewayIpsecVpnServiceType',
            'QueryListType'=>'VMware_VCloud_API_QueryListType',
            'BundleUploadSocketType'=>'VMware_VCloud_API_Extension_BundleUploadSocketType',
            'VcTrustStoreUpdateParams'=>'VMware_VCloud_API_Extension_VcTrustStoreUpdateParamsType',
            'Entity_Type'=>'VMware_VCloud_API_OVFENV_Entity_Type',
            'OrgList'=>'VMware_VCloud_API_OrgListType',
            'BrandingSettings'=>'VMware_VCloud_API_Extension_BrandingSettingsType',
            'ProviderVdc'=>'VMware_VCloud_API_ProviderVdcType',
            'VAppNetworkType'=>'VMware_VCloud_API_VAppNetworkType',
            'QueryResultEventRecordType'=>'VMware_VCloud_API_QueryResultEventRecordType',
            'VMWExternalNetworkType'=>'VMware_VCloud_API_Extension_VMWExternalNetworkType',
            'DeployVAppParamsType'=>'VMware_VCloud_API_DeployVAppParamsType',
            'OrgReference'=>'VMware_VCloud_API_ReferenceType',
            'VMWExternalNetworkReferencesType'=>'VMware_VCloud_API_Extension_VMWExternalNetworkReferencesType',
            'ServiceOfferingInstanceAssociateParamsType'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceAssociateParamsType',
            'ServiceOfferingInstanceParamType'=>'VMware_VCloud_API_Extension_ServiceOfferingInstanceParamType',
            'SupportedOperatingSystemsInfo'=>'VMware_VCloud_API_SupportedOperatingSystemsInfoType',
            'BlockingTaskSettings'=>'VMware_VCloud_API_Extension_BlockingTaskSettingsType',
            'InstallSection_Type'=>'VMware_VCloud_API_OVF_InstallSection_Type',
            'VMWHostReferencesType'=>'VMware_VCloud_API_Extension_VMWHostReferencesType',
            'InstanceID'=>'VMware_VCloud_API_OVF_cimString',
            'ImportVmAsVAppParamsType'=>'VMware_VCloud_API_Extension_ImportVmAsVAppParamsType',
            'EmailSettings'=>'VMware_VCloud_API_Extension_EmailSettingsType',
            'ExtraConfig_Type'=>'VMware_VCloud_API_ExtraConfig_Type',
            'ProviderVdcCapacityType'=>'VMware_VCloud_API_ProviderVdcCapacityType',
            'DefaultStorageProfileSection_Type'=>'VMware_VCloud_API_DefaultStorageProfileSection_Type',
            'QueryResultAdminServiceRecordType'=>'VMware_VCloud_API_QueryResultAdminServiceRecordType',
            'NatPortForwardingRuleType'=>'VMware_VCloud_API_NatPortForwardingRuleType',
            'BlockingTaskReference'=>'VMware_VCloud_API_ReferenceType',
            'ImportVmIntoExistingVAppParams'=>'VMware_VCloud_API_Extension_ImportVmIntoExistingVAppParamsType',
            'VAppOrgVdcNetworkRelationReferences'=>'VMware_VCloud_API_ReferencesType',
            'VmCapabilities'=>'VMware_VCloud_API_VmCapabilitiesType',
            'Description'=>'VMware_VCloud_API_OVF_cimString',
            'VmCapabilitiesType'=>'VMware_VCloud_API_VmCapabilitiesType',
            'VMWExternalNetworkReferences'=>'VMware_VCloud_API_Extension_VMWExternalNetworkReferencesType',
            'ApiDefinitionReferences'=>'VMware_VCloud_API_ReferencesType',
            'SystemConfigurationSettingValueType'=>'VMware_VCloud_API_Extension_SystemConfigurationSettingValueType',
            'Envelope'=>'VMware_VCloud_API_OVF_EnvelopeType',
            'ImportVmIntoExistingVAppParamsType'=>'VMware_VCloud_API_Extension_ImportVmIntoExistingVAppParamsType',
            'OrganizationReferencesType'=>'VMware_VCloud_API_OrganizationReferencesType',
            'BlockingTaskOperations'=>'VMware_VCloud_API_TaskOperationListType',
            'DiskReferences'=>'VMware_VCloud_API_ReferencesType',
            'LoadBalancerPoolType'=>'VMware_VCloud_API_LoadBalancerPoolType',
            'ProviderVdcStorageProfile'=>'VMware_VCloud_API_ProviderVdcStorageProfileType',
            'SupportedOperatingSystemsInfoType'=>'VMware_VCloud_API_SupportedOperatingSystemsInfoType',
            'AdminShadowVMRecord'=>'VMware_VCloud_API_QueryResultAdminShadowVMRecordType',
            'CatalogSettingsType'=>'VMware_VCloud_API_Extension_CatalogSettingsType',
            'NotificationsSettings'=>'VMware_VCloud_API_Extension_NotificationsSettingsType',
            'DefaultValue'=>'VMware_VCloud_API_anySimpleType',
            'AdminVdcReference'=>'VMware_VCloud_API_ReferenceType',
            'AclRulesType'=>'VMware_VCloud_API_Extension_AclRulesType',
            'GatewayIpsecVpnTunnelType'=>'VMware_VCloud_API_GatewayIpsecVpnTunnelType',
            'MediaRecord'=>'VMware_VCloud_API_QueryResultMediaRecordType',
            'SubAllocationType'=>'VMware_VCloud_API_SubAllocationType',
            'VSSD_Type'=>'VMware_VCloud_API_OVF_VSSD_Type',
            'OrgNetworkRecord'=>'VMware_VCloud_API_QueryResultOrgNetworkRecordType',
            'VcTrustStoreUploadSocketType'=>'VMware_VCloud_API_Extension_VcTrustStoreUploadSocketType',
            'QueryResultLicensingManagedServerRecordType'=>'VMware_VCloud_API_QueryResultLicensingManagedServerRecordType',
            'ProviderVdcType'=>'VMware_VCloud_API_ProviderVdcType',
            'VCloudExtensibleType'=>'VMware_VCloud_API_VCloudExtensibleType',
            'VmObjectRefsListType'=>'VMware_VCloud_API_Extension_VmObjectRefsListType',
            'QueryResultCellRecordType'=>'VMware_VCloud_API_QueryResultCellRecordType',
            'MksTicket'=>'VMware_VCloud_API_MksTicketType',
            'PublishCatalogParams'=>'VMware_VCloud_API_PublishCatalogParamsType',
            'HostObjectRefType'=>'VMware_VCloud_API_Extension_HostObjectRefType',
            'Host'=>'VMware_VCloud_API_Extension_HostType',
            'OrgGuestPersonalizationSettingsType'=>'VMware_VCloud_API_OrgGuestPersonalizationSettingsType',
            'VersionInfoType'=>'VMware_VCloud_API_Version_VersionInfoType',
            'VirtualSystemIdentifier'=>'VMware_VCloud_API_OVF_cimString',
            'VdcServiceOfferingRecord'=>'VMware_VCloud_API_QueryResultVdcServiceOfferingRecordType',
            'RightRefsType'=>'VMware_VCloud_API_Extension_RightRefsType',
            'ConsumerVisibility'=>'VMware_VCloud_API_OVF_ConsumerVisibility',
            'ResourceClassActionsType'=>'VMware_VCloud_API_Extension_ResourceClassActionsType',
            'NetworkAssignment'=>'VMware_VCloud_API_NetworkAssignmentType',
            'VMWExtension'=>'VMware_VCloud_API_Extension_VMWExtensionType',
            'BootOrderSection_Type'=>'VMware_VCloud_API_BootOrderSection_Type',
            'ResourceAllocationSection'=>'VMware_VCloud_API_OVF_ResourceAllocationSection_Type',
            'VMWProviderVdc'=>'VMware_VCloud_API_Extension_VMWProviderVdcType',
            'QueryResultStrandedUserRecordType'=>'VMware_VCloud_API_QueryResultStrandedUserRecordType',
            'PlatformSection_Type'=>'VMware_VCloud_API_OVFENV_PlatformSection_Type',
            'OrganizationResourcePoolSet'=>'VMware_VCloud_API_Extension_OrganizationResourcePoolSetType',
            'cimDateTime'=>'VMware_VCloud_API_OVF_cimDateTime',
        );
        if (strpos($tagname, ':') > 0) {
            $names = explode(':', $tagname);
            $tagname = $names[1];
        }
        if (array_key_exists($tagname, $nameClassMap)) {
            $type = $nameClassMap[$tagname];
        }
        return $type;
    }

    public static function getNsid($namespace) {
        $nsid = '';
        $namespaceNsidMap = array(
                'http://www.vmware.com/vcloud/v1.5'=>'vcloud',
                'http://schemas.dmtf.org/ovf/environment/1'=>'ovfenv',
                'http://www.vmware.com/vcloud/versions'=>'version',
                'http://www.vmware.com/schema/ovf'=>'vmw',
                'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData'=>'rasd',
                'http://schemas.dmtf.org/ovf/envelope/1'=>'ovf',
                'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData'=>'vssd',
                'http://www.vmware.com/vcloud/extension/v1.5'=>'vmext',
                'http://schemas.dmtf.org/wbem/wscim/1/common'=>'cim',
        );
        if (array_key_exists($namespace, $namespaceNsidMap)) {
            $nsid = $namespaceNsidMap[$namespace];
        }
        return $nsid;
    }
}
?>
